#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1379
#define LARGE_STATE_COUNT 805
#define SYMBOL_COUNT 437
#define ALIAS_COUNT 43
#define TOKEN_COUNT 203
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 45

enum ts_symbol_identifiers {
  sym_comment = 1,
  sym_number = 2,
  aux_sym_boolean_token1 = 3,
  aux_sym_boolean_token2 = 4,
  aux_sym_boolean_token3 = 5,
  aux_sym_boolean_token4 = 6,
  aux_sym_pattern_token1 = 7,
  sym_time_format = 8,
  aux_sym_host_token1 = 9,
  aux_sym_host_token2 = 10,
  anon_sym_EQ = 11,
  anon_sym_DQUOTE = 12,
  aux_sym_match_token1 = 13,
  aux_sym_add_keys_to_agent_token1 = 14,
  aux_sym_address_family_token1 = 15,
  aux_sym_address_family_value_token1 = 16,
  aux_sym_address_family_value_token2 = 17,
  aux_sym_address_family_value_token3 = 18,
  aux_sym_batch_mode_token1 = 19,
  aux_sym_bind_address_token1 = 20,
  aux_sym_bind_interface_token1 = 21,
  aux_sym_canonical_domains_token1 = 22,
  aux_sym_canonicalize_fallback_local_token1 = 23,
  aux_sym_canonicalize_hostname_token1 = 24,
  aux_sym_canonicalize_hostname_value_token1 = 25,
  aux_sym_canonicalize_hostname_value_token2 = 26,
  aux_sym_canonicalize_max_dots_token1 = 27,
  aux_sym_canonicalize_permitted_cnames_token1 = 28,
  aux_sym_ca_signature_algorithms_token1 = 29,
  aux_sym_certificate_file_token1 = 30,
  aux_sym_challenge_response_authentication_token1 = 31,
  aux_sym_channel_timeout_token1 = 32,
  aux_sym_channel_timeout_type_token1 = 33,
  aux_sym_channel_timeout_type_token2 = 34,
  aux_sym_channel_timeout_type_token3 = 35,
  aux_sym_channel_timeout_type_token4 = 36,
  aux_sym_channel_timeout_type_token5 = 37,
  aux_sym_channel_timeout_type_token6 = 38,
  aux_sym_channel_timeout_type_token7 = 39,
  aux_sym_channel_timeout_type_token8 = 40,
  aux_sym_check_host_ip_token1 = 41,
  aux_sym_ciphers_token1 = 42,
  aux_sym_cipher_token1 = 43,
  aux_sym_clear_all_forwardings_token1 = 44,
  aux_sym_compression_token1 = 45,
  aux_sym_connection_attempts_token1 = 46,
  aux_sym_connect_timeout_token1 = 47,
  aux_sym_control_master_token1 = 48,
  aux_sym_control_master_value_token1 = 49,
  aux_sym_control_master_value_token2 = 50,
  aux_sym_control_master_value_token3 = 51,
  aux_sym_control_path_token1 = 52,
  aux_sym_control_persist_token1 = 53,
  aux_sym_dynamic_forward_token1 = 54,
  aux_sym_enable_escape_commandline_token1 = 55,
  aux_sym_enable_ssh_keysign_token1 = 56,
  aux_sym_escape_char_token1 = 57,
  anon_sym_none = 58,
  aux_sym_escape_char_value_token1 = 59,
  aux_sym_exit_on_forward_failure_token1 = 60,
  aux_sym_fingerprint_hash_token1 = 61,
  anon_sym_md5 = 62,
  anon_sym_sha256 = 63,
  aux_sym_fork_after_authentication_token1 = 64,
  aux_sym_forward_agent_token1 = 65,
  aux_sym_forward_x11_token1 = 66,
  aux_sym_forward_x11_timeout_token1 = 67,
  aux_sym_forward_x11_trusted_token1 = 68,
  aux_sym_gateway_ports_token1 = 69,
  aux_sym_global_known_hosts_file_token1 = 70,
  aux_sym_gssapi_authentication_token1 = 71,
  aux_sym_gssapi_client_identity_token1 = 72,
  aux_sym_gssapi_delegate_credentials_token1 = 73,
  aux_sym_gssapi_key_exchange_token1 = 74,
  aux_sym_gssapi_renewal_forces_rekey_token1 = 75,
  aux_sym_gssapi_server_identity_token1 = 76,
  aux_sym_gssapi_trust_dns_token1 = 77,
  aux_sym_gssapi_kex_algorithms_token1 = 78,
  aux_sym_hash_known_hosts_token1 = 79,
  aux_sym_hostbased_accepted_algorithms_token1 = 80,
  aux_sym_hostbased_authentication_token1 = 81,
  aux_sym_host_key_algorithms_token1 = 82,
  aux_sym_host_key_alias_token1 = 83,
  aux_sym_hostname_token1 = 84,
  aux_sym_identities_only_token1 = 85,
  aux_sym_identity_agent_token1 = 86,
  aux_sym_identity_file_token1 = 87,
  aux_sym_ignore_unknown_token1 = 88,
  aux_sym_include_token1 = 89,
  aux_sym_ip_qos_token1 = 90,
  anon_sym_af11 = 91,
  anon_sym_af12 = 92,
  anon_sym_af13 = 93,
  anon_sym_af21 = 94,
  anon_sym_af22 = 95,
  anon_sym_af23 = 96,
  anon_sym_af31 = 97,
  anon_sym_af32 = 98,
  anon_sym_af33 = 99,
  anon_sym_af41 = 100,
  anon_sym_af42 = 101,
  anon_sym_af43 = 102,
  anon_sym_cs0 = 103,
  anon_sym_cs1 = 104,
  anon_sym_cs2 = 105,
  anon_sym_cs3 = 106,
  anon_sym_cs4 = 107,
  anon_sym_cs5 = 108,
  anon_sym_cs6 = 109,
  anon_sym_cs7 = 110,
  anon_sym_ef = 111,
  anon_sym_le = 112,
  anon_sym_lowdelay = 113,
  anon_sym_throughput = 114,
  anon_sym_reliability = 115,
  aux_sym_kbd_interactive_authentication_token1 = 116,
  aux_sym_kbd_interactive_devices_token1 = 117,
  aux_sym_kex_algorithms_token1 = 118,
  aux_sym_known_hosts_command_token1 = 119,
  aux_sym_local_command_token1 = 120,
  aux_sym_local_forward_token1 = 121,
  aux_sym_log_level_token1 = 122,
  aux_sym_log_level_value_token1 = 123,
  aux_sym_log_level_value_token2 = 124,
  aux_sym_log_level_value_token3 = 125,
  aux_sym_log_level_value_token4 = 126,
  aux_sym_log_level_value_token5 = 127,
  aux_sym_log_level_value_token6 = 128,
  aux_sym_log_level_value_token7 = 129,
  aux_sym_log_level_value_token8 = 130,
  aux_sym_log_level_value_token9 = 131,
  aux_sym_log_verbose_token1 = 132,
  aux_sym_macs_token1 = 133,
  aux_sym_no_host_authentication_for_localhost_token1 = 134,
  aux_sym_number_of_password_prompts_token1 = 135,
  aux_sym_obscure_keystroke_timing_token1 = 136,
  aux_sym_obscure_keystroke_timing_value_token1 = 137,
  aux_sym_password_authentication_token1 = 138,
  aux_sym_permit_local_command_token1 = 139,
  aux_sym_permit_remote_open_token1 = 140,
  aux_sym_pkcs11_provider_token1 = 141,
  aux_sym_port_token1 = 142,
  aux_sym_preferred_authentications_token1 = 143,
  aux_sym_protocol_token1 = 144,
  anon_sym_1 = 145,
  anon_sym_2 = 146,
  aux_sym_proxy_command_token1 = 147,
  aux_sym_proxy_jump_token1 = 148,
  aux_sym_proxy_use_fdpass_token1 = 149,
  aux_sym_pubkey_accepted_algorithms_token1 = 150,
  aux_sym_pubkey_accepted_key_types_token1 = 151,
  aux_sym_pubkey_authentication_token1 = 152,
  aux_sym_pubkey_authentication_value_token1 = 153,
  aux_sym_pubkey_authentication_value_token2 = 154,
  aux_sym_rekey_limit_token1 = 155,
  aux_sym_remote_command_token1 = 156,
  aux_sym_remote_forward_token1 = 157,
  aux_sym_request_tty_token1 = 158,
  aux_sym_request_tty_value_token1 = 159,
  aux_sym_required_rsa_size_token1 = 160,
  aux_sym_revoked_host_keys_token1 = 161,
  aux_sym_security_key_provider_token1 = 162,
  aux_sym_send_env_token1 = 163,
  aux_sym_server_alive_count_max_token1 = 164,
  aux_sym_server_alive_interval_token1 = 165,
  aux_sym_session_type_token1 = 166,
  aux_sym_session_type_value_token1 = 167,
  aux_sym_session_type_value_token2 = 168,
  aux_sym_set_env_token1 = 169,
  aux_sym_stdin_null_token1 = 170,
  aux_sym_stream_local_bind_mask_token1 = 171,
  aux_sym_stream_local_bind_unlink_token1 = 172,
  aux_sym_strict_host_key_checking_token1 = 173,
  aux_sym_strict_host_key_checking_value_token1 = 174,
  aux_sym_strict_host_key_checking_value_token2 = 175,
  aux_sym_syslog_facility_token1 = 176,
  anon_sym_DAEMON = 177,
  anon_sym_USER = 178,
  anon_sym_AUTH = 179,
  anon_sym_LOCAL0 = 180,
  anon_sym_LOCAL1 = 181,
  anon_sym_LOCAL2 = 182,
  anon_sym_LOCAL3 = 183,
  anon_sym_LOCAL4 = 184,
  anon_sym_LOCAL5 = 185,
  anon_sym_LOCAL6 = 186,
  anon_sym_LOCAL7 = 187,
  aux_sym_tcp_keep_alive_token1 = 188,
  aux_sym_keep_alive_token1 = 189,
  aux_sym_tag_token1 = 190,
  aux_sym_tunnel_token1 = 191,
  aux_sym_tunnel_value_token1 = 192,
  aux_sym_tunnel_value_token2 = 193,
  aux_sym_tunnel_device_token1 = 194,
  aux_sym_update_host_keys_token1 = 195,
  aux_sym_use_keychain_token1 = 196,
  aux_sym_use_roaming_token1 = 197,
  aux_sym_user_token1 = 198,
  aux_sym_user_known_hosts_file_token1 = 199,
  aux_sym_verify_host_key_dns_token1 = 200,
  aux_sym_visual_host_key_token1 = 201,
  aux_sym_xauth_location_token1 = 202,
  sym_client_config = 203,
  sym__option = 204,
  sym_boolean = 205,
  sym_pattern = 206,
  sym_host = 207,
  sym_host_value = 208,
  sym_match = 209,
  sym_match_value = 210,
  sym_add_keys_to_agent = 211,
  sym_add_keys_to_agent_value = 212,
  sym_address_family = 213,
  sym_address_family_value = 214,
  sym_batch_mode = 215,
  sym_batch_mode_value = 216,
  sym_bind_address = 217,
  sym_bind_address_value = 218,
  sym_bind_interface = 219,
  sym_bind_interface_value = 220,
  sym_canonical_domains = 221,
  sym_canonical_domains_value = 222,
  sym_canonicalize_fallback_local = 223,
  sym_canonicalize_fallback_local_value = 224,
  sym_canonicalize_hostname = 225,
  sym_canonicalize_hostname_value = 226,
  sym_canonicalize_max_dots = 227,
  sym_canonicalize_max_dots_value = 228,
  sym_canonicalize_permitted_cnames = 229,
  sym_canonicalize_permitted_cnames_value = 230,
  sym_ca_signature_algorithms = 231,
  sym_ca_signature_algorithms_value = 232,
  sym_certificate_file = 233,
  sym_certificate_file_value = 234,
  sym_challenge_response_authentication = 235,
  sym_challenge_response_authentication_value = 236,
  sym_channel_timeout = 237,
  sym_channel_timeout_type = 238,
  aux_sym__channel_timeout_value = 239,
  sym_check_host_ip = 240,
  sym_check_host_ip_value = 241,
  sym_ciphers = 242,
  sym_ciphers_value = 243,
  sym_cipher = 244,
  sym_cipher_value = 245,
  sym_clear_all_forwardings = 246,
  sym_clear_all_forwardings_value = 247,
  sym_compression = 248,
  sym_compression_value = 249,
  sym_connection_attempts = 250,
  sym_connection_attempts_value = 251,
  sym_connect_timeout = 252,
  sym_connect_timeout_value = 253,
  sym_control_master = 254,
  sym_control_master_value = 255,
  sym_control_path = 256,
  sym_control_path_value = 257,
  sym_control_persist = 258,
  sym_control_persist_value = 259,
  sym_dynamic_forward = 260,
  sym_dynamic_forward_value = 261,
  sym_enable_escape_commandline = 262,
  sym_enable_escape_commandline_value = 263,
  sym_enable_ssh_keysign = 264,
  sym_enable_ssh_keysign_value = 265,
  sym_escape_char = 266,
  sym_escape_char_value = 267,
  sym_exit_on_forward_failure = 268,
  sym_exit_on_forward_failure_value = 269,
  sym_fingerprint_hash = 270,
  sym_fingerprint_hash_value = 271,
  sym_fork_after_authentication = 272,
  sym_fork_after_authentication_value = 273,
  sym_forward_agent = 274,
  sym_forward_agent_value = 275,
  sym_forward_x11 = 276,
  sym_forward_x11_value = 277,
  sym_forward_x11_timeout = 278,
  sym_forward_x11_timeout_value = 279,
  sym_forward_x11_trusted = 280,
  sym_forward_x11_trusted_value = 281,
  sym_gateway_ports = 282,
  sym_gateway_ports_value = 283,
  sym_global_known_hosts_file = 284,
  sym_global_known_hosts_file_value = 285,
  sym_gssapi_authentication = 286,
  sym_gssapi_authentication_value = 287,
  sym_gssapi_client_identity = 288,
  sym_gssapi_client_identity_value = 289,
  sym_gssapi_delegate_credentials = 290,
  sym_gssapi_delegate_credentials_value = 291,
  sym_gssapi_key_exchange = 292,
  sym_gssapi_key_exchange_value = 293,
  sym_gssapi_renewal_forces_rekey = 294,
  sym_gssapi_renewal_forces_rekey_value = 295,
  sym_gssapi_server_identity = 296,
  sym_gssapi_server_identity_value = 297,
  sym_gssapi_trust_dns = 298,
  sym_gssapi_trust_dns_value = 299,
  sym_gssapi_kex_algorithms = 300,
  sym_gssapi_kex_algorithms_value = 301,
  sym_hash_known_hosts = 302,
  sym_hash_known_hosts_value = 303,
  sym_hostbased_accepted_algorithms = 304,
  sym_hostbased_accepted_algorithms_value = 305,
  sym_hostbased_authentication = 306,
  sym_hostbased_authentication_value = 307,
  sym_host_key_algorithms = 308,
  sym_host_key_algorithms_value = 309,
  sym_host_key_alias = 310,
  sym_host_key_alias_value = 311,
  sym_hostname = 312,
  sym_hostname_value = 313,
  sym_identities_only = 314,
  sym_identities_only_value = 315,
  sym_identity_agent = 316,
  sym_identity_agent_value = 317,
  sym_identity_file = 318,
  sym_identity_file_value = 319,
  sym_ignore_unknown = 320,
  sym_ignore_unknown_value = 321,
  sym_include = 322,
  sym_include_value = 323,
  sym_ip_qos = 324,
  sym_ip_qos_value = 325,
  sym_kbd_interactive_authentication = 326,
  sym_kbd_interactive_authentication_value = 327,
  sym_kbd_interactive_devices = 328,
  sym_kbd_interactive_devices_value = 329,
  sym_kex_algorithms = 330,
  sym_kex_algorithms_value = 331,
  sym_known_hosts_command = 332,
  sym_known_hosts_command_value = 333,
  sym_local_command = 334,
  sym_local_command_value = 335,
  sym_local_forward = 336,
  sym_local_forward_value = 337,
  sym_log_level = 338,
  sym_log_level_value = 339,
  sym_log_verbose = 340,
  sym_log_verbose_value = 341,
  sym_macs = 342,
  sym_macs_value = 343,
  sym_no_host_authentication_for_localhost = 344,
  sym_no_host_authentication_for_localhost_value = 345,
  sym_number_of_password_prompts = 346,
  sym_number_of_password_prompts_value = 347,
  sym_obscure_keystroke_timing = 348,
  sym_obscure_keystroke_timing_value = 349,
  sym_password_authentication = 350,
  sym_password_authentication_value = 351,
  sym_permit_local_command = 352,
  sym_permit_local_command_value = 353,
  sym_permit_remote_open = 354,
  sym_permit_remote_open_value = 355,
  sym_pkcs11_provider = 356,
  sym_pkcs11_provider_value = 357,
  sym_port = 358,
  sym_port_value = 359,
  sym_preferred_authentications = 360,
  sym_preferred_authentications_value = 361,
  sym_protocol = 362,
  sym_protocol_value = 363,
  sym_proxy_command = 364,
  sym_proxy_command_value = 365,
  sym_proxy_jump = 366,
  sym_proxy_jump_value = 367,
  sym_proxy_use_fdpass = 368,
  sym_proxy_use_fdpass_value = 369,
  sym_pubkey_accepted_algorithms = 370,
  sym_pubkey_accepted_algorithms_value = 371,
  sym_pubkey_accepted_key_types = 372,
  sym_pubkey_accepted_key_types_value = 373,
  sym_pubkey_authentication = 374,
  sym_pubkey_authentication_value = 375,
  sym_rekey_limit = 376,
  sym_rekey_limit_value = 377,
  sym_remote_command = 378,
  sym_remote_command_value = 379,
  sym_remote_forward = 380,
  sym_remote_forward_value = 381,
  sym_request_tty = 382,
  sym_request_tty_value = 383,
  sym_required_rsa_size = 384,
  sym_required_rsa_size_value = 385,
  sym_revoked_host_keys = 386,
  sym_revoked_host_keys_value = 387,
  sym_security_key_provider = 388,
  sym_security_key_provider_value = 389,
  sym_send_env = 390,
  sym_send_env_value = 391,
  sym_server_alive_count_max = 392,
  sym_server_alive_count_max_value = 393,
  sym_server_alive_interval = 394,
  sym_server_alive_interval_value = 395,
  sym_session_type = 396,
  sym_session_type_value = 397,
  sym_set_env = 398,
  sym_set_env_value = 399,
  sym_stdin_null = 400,
  sym_stdin_null_value = 401,
  sym_stream_local_bind_mask = 402,
  sym_stream_local_bind_mask_value = 403,
  sym_stream_local_bind_unlink = 404,
  sym_stream_local_bind_unlink_value = 405,
  sym_strict_host_key_checking = 406,
  sym_strict_host_key_checking_value = 407,
  sym_syslog_facility = 408,
  sym_syslog_facility_value = 409,
  sym_tcp_keep_alive = 410,
  sym_tcp_keep_alive_value = 411,
  sym_keep_alive = 412,
  sym_keep_alive_value = 413,
  sym_tag = 414,
  sym_tag_value = 415,
  sym_tunnel = 416,
  sym_tunnel_value = 417,
  sym_tunnel_device = 418,
  sym_tunnel_device_value = 419,
  sym_update_host_keys = 420,
  sym_update_host_keys_value = 421,
  sym_use_keychain = 422,
  sym_use_keychain_value = 423,
  sym_use_roaming = 424,
  sym_use_roaming_value = 425,
  sym_user = 426,
  sym_user_value = 427,
  sym_user_known_hosts_file = 428,
  sym_user_known_hosts_file_value = 429,
  sym_verify_host_key_dns = 430,
  sym_verify_host_key_dns_value = 431,
  sym_visual_host_key = 432,
  sym_visual_host_key_value = 433,
  sym_xauth_location = 434,
  sym_xauth_location_value = 435,
  aux_sym_client_config_repeat1 = 436,
  anon_alias_sym_batch_mode_value = 437,
  anon_alias_sym_canonicalize_fallback_local_value = 438,
  anon_alias_sym_challenge_response_authentication_value = 439,
  anon_alias_sym_check_host_ip_value = 440,
  anon_alias_sym_clear_all_forwardings_value = 441,
  anon_alias_sym_compression_value = 442,
  anon_alias_sym_connect_timeout_value = 443,
  anon_alias_sym_connection_attempts_value = 444,
  anon_alias_sym_control_persist_value = 445,
  anon_alias_sym_enable_escape_commandline_value = 446,
  anon_alias_sym_enable_ssh_keysign_value = 447,
  anon_alias_sym_exit_on_forward_failure_value = 448,
  anon_alias_sym_fork_after_authentication_value = 449,
  anon_alias_sym_forward_x11_timeout_value = 450,
  anon_alias_sym_forward_x11_trusted_value = 451,
  anon_alias_sym_forward_x11_value = 452,
  anon_alias_sym_gateway_ports_value = 453,
  anon_alias_sym_gssapi_authentication_value = 454,
  anon_alias_sym_gssapi_delegate_credentials_value = 455,
  anon_alias_sym_gssapi_key_exchange_value = 456,
  anon_alias_sym_gssapi_renewal_forces_rekey_value = 457,
  anon_alias_sym_gssapi_trust_dns_value = 458,
  anon_alias_sym_hash_known_hosts_value = 459,
  anon_alias_sym_hostbased_authentication_value = 460,
  anon_alias_sym_identities_only_value = 461,
  anon_alias_sym_kbd_interactive_authentication_value = 462,
  anon_alias_sym_keep_alive_value = 463,
  anon_alias_sym_match_value = 464,
  anon_alias_sym_no_host_authentication_for_localhost_value = 465,
  anon_alias_sym_number_of_password_prompts_value = 466,
  anon_alias_sym_password_authentication_value = 467,
  anon_alias_sym_permit_local_command_value = 468,
  anon_alias_sym_port_value = 469,
  anon_alias_sym_proxy_use_fdpass_value = 470,
  anon_alias_sym_required_rsa_size_value = 471,
  anon_alias_sym_server_alive_count_max_value = 472,
  anon_alias_sym_server_alive_interval_value = 473,
  anon_alias_sym_stdin_null_value = 474,
  anon_alias_sym_stream_local_bind_unlink_value = 475,
  anon_alias_sym_tcp_keep_alive_value = 476,
  anon_alias_sym_use_keychain_value = 477,
  anon_alias_sym_use_roaming_value = 478,
  anon_alias_sym_visual_host_key_value = 479,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_comment] = "comment",
  [sym_number] = "canonicalize_max_dots_value",
  [aux_sym_boolean_token1] = "boolean_token1",
  [aux_sym_boolean_token2] = "boolean_token2",
  [aux_sym_boolean_token3] = "boolean_token3",
  [aux_sym_boolean_token4] = "boolean_token4",
  [aux_sym_pattern_token1] = "pattern_token1",
  [sym_time_format] = "time_format",
  [aux_sym_host_token1] = "Host",
  [aux_sym_host_token2] = "host_token2",
  [anon_sym_EQ] = "=",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_match_token1] = "Match",
  [aux_sym_add_keys_to_agent_token1] = "AddKeysToAgent",
  [aux_sym_address_family_token1] = "AddressFamily",
  [aux_sym_address_family_value_token1] = "address_family_value_token1",
  [aux_sym_address_family_value_token2] = "address_family_value_token2",
  [aux_sym_address_family_value_token3] = "address_family_value_token3",
  [aux_sym_batch_mode_token1] = "BatchMode",
  [aux_sym_bind_address_token1] = "BindAddress",
  [aux_sym_bind_interface_token1] = "BindInterface",
  [aux_sym_canonical_domains_token1] = "CanonicalDomains",
  [aux_sym_canonicalize_fallback_local_token1] = "CanonicalizeFallbackLocal",
  [aux_sym_canonicalize_hostname_token1] = "CanonicalizeHostname",
  [aux_sym_canonicalize_hostname_value_token1] = "canonicalize_hostname_value_token1",
  [aux_sym_canonicalize_hostname_value_token2] = "canonicalize_hostname_value_token2",
  [aux_sym_canonicalize_max_dots_token1] = "CanonicalizeMaxDots",
  [aux_sym_canonicalize_permitted_cnames_token1] = "CanonicalizePermittedCNAMEs",
  [aux_sym_ca_signature_algorithms_token1] = "CASignatureAlgorithms",
  [aux_sym_certificate_file_token1] = "CertificateFile",
  [aux_sym_challenge_response_authentication_token1] = "ChallengeResponseAuthentication",
  [aux_sym_channel_timeout_token1] = "ChannelTimeout",
  [aux_sym_channel_timeout_type_token1] = "channel_timeout_type_token1",
  [aux_sym_channel_timeout_type_token2] = "channel_timeout_type_token2",
  [aux_sym_channel_timeout_type_token3] = "channel_timeout_type_token3",
  [aux_sym_channel_timeout_type_token4] = "channel_timeout_type_token4",
  [aux_sym_channel_timeout_type_token5] = "channel_timeout_type_token5",
  [aux_sym_channel_timeout_type_token6] = "channel_timeout_type_token6",
  [aux_sym_channel_timeout_type_token7] = "channel_timeout_type_token7",
  [aux_sym_channel_timeout_type_token8] = "channel_timeout_type_token8",
  [aux_sym_check_host_ip_token1] = "CheckHostIP",
  [aux_sym_ciphers_token1] = "Ciphers",
  [aux_sym_cipher_token1] = "Cipher",
  [aux_sym_clear_all_forwardings_token1] = "ClearAllForwardings",
  [aux_sym_compression_token1] = "Compression",
  [aux_sym_connection_attempts_token1] = "ConnectionAttempts",
  [aux_sym_connect_timeout_token1] = "ConnectTimeout",
  [aux_sym_control_master_token1] = "ControlMaster",
  [aux_sym_control_master_value_token1] = "control_master_value_token1",
  [aux_sym_control_master_value_token2] = "control_master_value_token2",
  [aux_sym_control_master_value_token3] = "control_master_value_token3",
  [aux_sym_control_path_token1] = "ControlPath",
  [aux_sym_control_persist_token1] = "ControlPersist",
  [aux_sym_dynamic_forward_token1] = "DynamicForward",
  [aux_sym_enable_escape_commandline_token1] = "EnableEscapeCommandline",
  [aux_sym_enable_ssh_keysign_token1] = "EnableSSHKeysign",
  [aux_sym_escape_char_token1] = "EscapeChar",
  [anon_sym_none] = "none",
  [aux_sym_escape_char_value_token1] = "escape_char_value_token1",
  [aux_sym_exit_on_forward_failure_token1] = "ExitOnForwardFailure",
  [aux_sym_fingerprint_hash_token1] = "FingerprintHash",
  [anon_sym_md5] = "md5",
  [anon_sym_sha256] = "sha256",
  [aux_sym_fork_after_authentication_token1] = "ForkAfterAuthentication",
  [aux_sym_forward_agent_token1] = "ForwardAgent",
  [aux_sym_forward_x11_token1] = "ForwardX11",
  [aux_sym_forward_x11_timeout_token1] = "ForwardX11Timeout",
  [aux_sym_forward_x11_trusted_token1] = "ForwardX11Trusted",
  [aux_sym_gateway_ports_token1] = "GatewayPorts",
  [aux_sym_global_known_hosts_file_token1] = "GlobalKnownHostsFile",
  [aux_sym_gssapi_authentication_token1] = "GSSAPIAuthentication",
  [aux_sym_gssapi_client_identity_token1] = "GSSAPIClientIdentity",
  [aux_sym_gssapi_delegate_credentials_token1] = "GSSAPIDelegateCredentials",
  [aux_sym_gssapi_key_exchange_token1] = "GSSAPIKeyExchange",
  [aux_sym_gssapi_renewal_forces_rekey_token1] = "GSSAPIRenewalForcesRekey",
  [aux_sym_gssapi_server_identity_token1] = "GSSAPIServerIdentity",
  [aux_sym_gssapi_trust_dns_token1] = "GSSAPITrustDns",
  [aux_sym_gssapi_kex_algorithms_token1] = "GSSAPIKexAlgorithms",
  [aux_sym_hash_known_hosts_token1] = "HashKnownHosts",
  [aux_sym_hostbased_accepted_algorithms_token1] = "HostbasedAcceptedAlgorithms",
  [aux_sym_hostbased_authentication_token1] = "HostbasedAuthentication",
  [aux_sym_host_key_algorithms_token1] = "HostKeyAlgorithms",
  [aux_sym_host_key_alias_token1] = "HostKeyAlias",
  [aux_sym_hostname_token1] = "Hostname",
  [aux_sym_identities_only_token1] = "IdentitiesOnly",
  [aux_sym_identity_agent_token1] = "IdentityAgent",
  [aux_sym_identity_file_token1] = "IdentityFile",
  [aux_sym_ignore_unknown_token1] = "IgnoreUnknown",
  [aux_sym_include_token1] = "Include",
  [aux_sym_ip_qos_token1] = "IPQoS",
  [anon_sym_af11] = "ip_qos_value",
  [anon_sym_af12] = "ip_qos_value",
  [anon_sym_af13] = "ip_qos_value",
  [anon_sym_af21] = "ip_qos_value",
  [anon_sym_af22] = "ip_qos_value",
  [anon_sym_af23] = "ip_qos_value",
  [anon_sym_af31] = "ip_qos_value",
  [anon_sym_af32] = "ip_qos_value",
  [anon_sym_af33] = "ip_qos_value",
  [anon_sym_af41] = "ip_qos_value",
  [anon_sym_af42] = "ip_qos_value",
  [anon_sym_af43] = "ip_qos_value",
  [anon_sym_cs0] = "ip_qos_value",
  [anon_sym_cs1] = "ip_qos_value",
  [anon_sym_cs2] = "ip_qos_value",
  [anon_sym_cs3] = "ip_qos_value",
  [anon_sym_cs4] = "ip_qos_value",
  [anon_sym_cs5] = "ip_qos_value",
  [anon_sym_cs6] = "ip_qos_value",
  [anon_sym_cs7] = "ip_qos_value",
  [anon_sym_ef] = "ip_qos_value",
  [anon_sym_le] = "ip_qos_value",
  [anon_sym_lowdelay] = "ip_qos_value",
  [anon_sym_throughput] = "ip_qos_value",
  [anon_sym_reliability] = "ip_qos_value",
  [aux_sym_kbd_interactive_authentication_token1] = "KbdInteractiveAuthentication",
  [aux_sym_kbd_interactive_devices_token1] = "KbdInteractiveDevices",
  [aux_sym_kex_algorithms_token1] = "KexAlgorithms",
  [aux_sym_known_hosts_command_token1] = "KnownHostsCommand",
  [aux_sym_local_command_token1] = "LocalCommand",
  [aux_sym_local_forward_token1] = "LocalForward",
  [aux_sym_log_level_token1] = "LogLevel",
  [aux_sym_log_level_value_token1] = "log_level_value_token1",
  [aux_sym_log_level_value_token2] = "log_level_value_token2",
  [aux_sym_log_level_value_token3] = "log_level_value_token3",
  [aux_sym_log_level_value_token4] = "log_level_value_token4",
  [aux_sym_log_level_value_token5] = "log_level_value_token5",
  [aux_sym_log_level_value_token6] = "log_level_value_token6",
  [aux_sym_log_level_value_token7] = "log_level_value_token7",
  [aux_sym_log_level_value_token8] = "log_level_value_token8",
  [aux_sym_log_level_value_token9] = "log_level_value_token9",
  [aux_sym_log_verbose_token1] = "LogVerbose",
  [aux_sym_macs_token1] = "MACs",
  [aux_sym_no_host_authentication_for_localhost_token1] = "NoHostAuthenticationForLocalhost",
  [aux_sym_number_of_password_prompts_token1] = "NumberOfPasswordPrompts",
  [aux_sym_obscure_keystroke_timing_token1] = "ObscureKeystrokeTiming",
  [aux_sym_obscure_keystroke_timing_value_token1] = "obscure_keystroke_timing_value_token1",
  [aux_sym_password_authentication_token1] = "PasswordAuthentication",
  [aux_sym_permit_local_command_token1] = "PermitLocalCommand",
  [aux_sym_permit_remote_open_token1] = "PermitRemoteOpen",
  [aux_sym_pkcs11_provider_token1] = "PKCS11Provider",
  [aux_sym_port_token1] = "Port",
  [aux_sym_preferred_authentications_token1] = "PreferredAuthentications",
  [aux_sym_protocol_token1] = "Protocol",
  [anon_sym_1] = "1",
  [anon_sym_2] = "2",
  [aux_sym_proxy_command_token1] = "ProxyCommand",
  [aux_sym_proxy_jump_token1] = "ProxyJump",
  [aux_sym_proxy_use_fdpass_token1] = "ProxyUseFdpass",
  [aux_sym_pubkey_accepted_algorithms_token1] = "PubkeyAcceptedAlgorithms",
  [aux_sym_pubkey_accepted_key_types_token1] = "PubkeyAcceptedKeyTypes",
  [aux_sym_pubkey_authentication_token1] = "PubkeyAuthentication",
  [aux_sym_pubkey_authentication_value_token1] = "pubkey_authentication_value_token1",
  [aux_sym_pubkey_authentication_value_token2] = "pubkey_authentication_value_token2",
  [aux_sym_rekey_limit_token1] = "RekeyLimit",
  [aux_sym_remote_command_token1] = "RemoteCommand",
  [aux_sym_remote_forward_token1] = "RemoteForward",
  [aux_sym_request_tty_token1] = "RequestTTY",
  [aux_sym_request_tty_value_token1] = "request_tty_value_token1",
  [aux_sym_required_rsa_size_token1] = "RequiredRSASize",
  [aux_sym_revoked_host_keys_token1] = "RevokedHostKeys",
  [aux_sym_security_key_provider_token1] = "SecurityKeyProvider",
  [aux_sym_send_env_token1] = "SendEnv",
  [aux_sym_server_alive_count_max_token1] = "ServerAliveCountMax",
  [aux_sym_server_alive_interval_token1] = "ServerAliveInterval",
  [aux_sym_session_type_token1] = "SessionType",
  [aux_sym_session_type_value_token1] = "session_type_value_token1",
  [aux_sym_session_type_value_token2] = "session_type_value_token2",
  [aux_sym_set_env_token1] = "SetEnv",
  [aux_sym_stdin_null_token1] = "StdinNull",
  [aux_sym_stream_local_bind_mask_token1] = "StreamLocalBindMask",
  [aux_sym_stream_local_bind_unlink_token1] = "StreamLocalBindUnlink",
  [aux_sym_strict_host_key_checking_token1] = "StrictHostKeyChecking",
  [aux_sym_strict_host_key_checking_value_token1] = "strict_host_key_checking_value_token1",
  [aux_sym_strict_host_key_checking_value_token2] = "strict_host_key_checking_value_token2",
  [aux_sym_syslog_facility_token1] = "SyslogFacility",
  [anon_sym_DAEMON] = "DAEMON",
  [anon_sym_USER] = "USER",
  [anon_sym_AUTH] = "AUTH",
  [anon_sym_LOCAL0] = "LOCAL0",
  [anon_sym_LOCAL1] = "LOCAL1",
  [anon_sym_LOCAL2] = "LOCAL2",
  [anon_sym_LOCAL3] = "LOCAL3",
  [anon_sym_LOCAL4] = "LOCAL4",
  [anon_sym_LOCAL5] = "LOCAL5",
  [anon_sym_LOCAL6] = "LOCAL6",
  [anon_sym_LOCAL7] = "LOCAL7",
  [aux_sym_tcp_keep_alive_token1] = "TCPKeepAlive",
  [aux_sym_keep_alive_token1] = "KeepAlive",
  [aux_sym_tag_token1] = "Tag",
  [aux_sym_tunnel_token1] = "Tunnel",
  [aux_sym_tunnel_value_token1] = "tunnel_value_token1",
  [aux_sym_tunnel_value_token2] = "tunnel_value_token2",
  [aux_sym_tunnel_device_token1] = "TunnelDevice",
  [aux_sym_update_host_keys_token1] = "UpdateHostKeys",
  [aux_sym_use_keychain_token1] = "UseKeychain",
  [aux_sym_use_roaming_token1] = "UseRoaming",
  [aux_sym_user_token1] = "User",
  [aux_sym_user_known_hosts_file_token1] = "UserKnownHostsFile",
  [aux_sym_verify_host_key_dns_token1] = "VerifyHostKeyDNS",
  [aux_sym_visual_host_key_token1] = "VisualHostKey",
  [aux_sym_xauth_location_token1] = "XAuthLocation",
  [sym_client_config] = "client_config",
  [sym__option] = "_option",
  [sym_boolean] = "add_keys_to_agent_value",
  [sym_pattern] = "host_value",
  [sym_host] = "host",
  [sym_host_value] = "host_value",
  [sym_match] = "match",
  [sym_match_value] = "match_value",
  [sym_add_keys_to_agent] = "add_keys_to_agent",
  [sym_add_keys_to_agent_value] = "add_keys_to_agent_value",
  [sym_address_family] = "address_family",
  [sym_address_family_value] = "address_family_value",
  [sym_batch_mode] = "batch_mode",
  [sym_batch_mode_value] = "batch_mode_value",
  [sym_bind_address] = "bind_address",
  [sym_bind_address_value] = "bind_address_value",
  [sym_bind_interface] = "bind_interface",
  [sym_bind_interface_value] = "bind_interface_value",
  [sym_canonical_domains] = "canonical_domains",
  [sym_canonical_domains_value] = "canonical_domains_value",
  [sym_canonicalize_fallback_local] = "canonicalize_fallback_local",
  [sym_canonicalize_fallback_local_value] = "canonicalize_fallback_local_value",
  [sym_canonicalize_hostname] = "canonicalize_hostname",
  [sym_canonicalize_hostname_value] = "canonicalize_hostname_value",
  [sym_canonicalize_max_dots] = "canonicalize_max_dots",
  [sym_canonicalize_max_dots_value] = "canonicalize_max_dots_value",
  [sym_canonicalize_permitted_cnames] = "canonicalize_permitted_cnames",
  [sym_canonicalize_permitted_cnames_value] = "canonicalize_permitted_cnames_value",
  [sym_ca_signature_algorithms] = "ca_signature_algorithms",
  [sym_ca_signature_algorithms_value] = "ca_signature_algorithms_value",
  [sym_certificate_file] = "certificate_file",
  [sym_certificate_file_value] = "certificate_file_value",
  [sym_challenge_response_authentication] = "challenge_response_authentication",
  [sym_challenge_response_authentication_value] = "challenge_response_authentication_value",
  [sym_channel_timeout] = "channel_timeout",
  [sym_channel_timeout_type] = "channel_timeout_type",
  [aux_sym__channel_timeout_value] = "_channel_timeout_value",
  [sym_check_host_ip] = "check_host_ip",
  [sym_check_host_ip_value] = "check_host_ip_value",
  [sym_ciphers] = "ciphers",
  [sym_ciphers_value] = "ciphers_value",
  [sym_cipher] = "cipher",
  [sym_cipher_value] = "cipher_value",
  [sym_clear_all_forwardings] = "clear_all_forwardings",
  [sym_clear_all_forwardings_value] = "clear_all_forwardings_value",
  [sym_compression] = "compression",
  [sym_compression_value] = "compression_value",
  [sym_connection_attempts] = "connection_attempts",
  [sym_connection_attempts_value] = "connection_attempts_value",
  [sym_connect_timeout] = "connect_timeout",
  [sym_connect_timeout_value] = "connect_timeout_value",
  [sym_control_master] = "control_master",
  [sym_control_master_value] = "control_master_value",
  [sym_control_path] = "control_path",
  [sym_control_path_value] = "control_path_value",
  [sym_control_persist] = "control_persist",
  [sym_control_persist_value] = "control_persist_value",
  [sym_dynamic_forward] = "dynamic_forward",
  [sym_dynamic_forward_value] = "dynamic_forward_value",
  [sym_enable_escape_commandline] = "enable_escape_commandline",
  [sym_enable_escape_commandline_value] = "enable_escape_commandline_value",
  [sym_enable_ssh_keysign] = "enable_ssh_keysign",
  [sym_enable_ssh_keysign_value] = "enable_ssh_keysign_value",
  [sym_escape_char] = "escape_char",
  [sym_escape_char_value] = "escape_char_value",
  [sym_exit_on_forward_failure] = "exit_on_forward_failure",
  [sym_exit_on_forward_failure_value] = "exit_on_forward_failure_value",
  [sym_fingerprint_hash] = "fingerprint_hash",
  [sym_fingerprint_hash_value] = "fingerprint_hash_value",
  [sym_fork_after_authentication] = "fork_after_authentication",
  [sym_fork_after_authentication_value] = "fork_after_authentication_value",
  [sym_forward_agent] = "forward_agent",
  [sym_forward_agent_value] = "forward_agent_value",
  [sym_forward_x11] = "forward_x11",
  [sym_forward_x11_value] = "forward_x11_value",
  [sym_forward_x11_timeout] = "forward_x11_timeout",
  [sym_forward_x11_timeout_value] = "forward_x11_timeout_value",
  [sym_forward_x11_trusted] = "forward_x11_trusted",
  [sym_forward_x11_trusted_value] = "forward_x11_trusted_value",
  [sym_gateway_ports] = "gateway_ports",
  [sym_gateway_ports_value] = "gateway_ports_value",
  [sym_global_known_hosts_file] = "global_known_hosts_file",
  [sym_global_known_hosts_file_value] = "global_known_hosts_file_value",
  [sym_gssapi_authentication] = "gssapi_authentication",
  [sym_gssapi_authentication_value] = "gssapi_authentication_value",
  [sym_gssapi_client_identity] = "gssapi_client_identity",
  [sym_gssapi_client_identity_value] = "gssapi_client_identity_value",
  [sym_gssapi_delegate_credentials] = "gssapi_delegate_credentials",
  [sym_gssapi_delegate_credentials_value] = "gssapi_delegate_credentials_value",
  [sym_gssapi_key_exchange] = "gssapi_key_exchange",
  [sym_gssapi_key_exchange_value] = "gssapi_key_exchange_value",
  [sym_gssapi_renewal_forces_rekey] = "gssapi_renewal_forces_rekey",
  [sym_gssapi_renewal_forces_rekey_value] = "gssapi_renewal_forces_rekey_value",
  [sym_gssapi_server_identity] = "gssapi_server_identity",
  [sym_gssapi_server_identity_value] = "gssapi_server_identity_value",
  [sym_gssapi_trust_dns] = "gssapi_trust_dns",
  [sym_gssapi_trust_dns_value] = "gssapi_trust_dns_value",
  [sym_gssapi_kex_algorithms] = "gssapi_kex_algorithms",
  [sym_gssapi_kex_algorithms_value] = "gssapi_kex_algorithms_value",
  [sym_hash_known_hosts] = "hash_known_hosts",
  [sym_hash_known_hosts_value] = "hash_known_hosts_value",
  [sym_hostbased_accepted_algorithms] = "hostbased_accepted_algorithms",
  [sym_hostbased_accepted_algorithms_value] = "hostbased_accepted_algorithms_value",
  [sym_hostbased_authentication] = "hostbased_authentication",
  [sym_hostbased_authentication_value] = "hostbased_authentication_value",
  [sym_host_key_algorithms] = "host_key_algorithms",
  [sym_host_key_algorithms_value] = "host_key_algorithms_value",
  [sym_host_key_alias] = "host_key_alias",
  [sym_host_key_alias_value] = "host_key_alias_value",
  [sym_hostname] = "hostname",
  [sym_hostname_value] = "hostname_value",
  [sym_identities_only] = "identities_only",
  [sym_identities_only_value] = "identities_only_value",
  [sym_identity_agent] = "identity_agent",
  [sym_identity_agent_value] = "identity_agent_value",
  [sym_identity_file] = "identity_file",
  [sym_identity_file_value] = "identity_file_value",
  [sym_ignore_unknown] = "ignore_unknown",
  [sym_ignore_unknown_value] = "ignore_unknown_value",
  [sym_include] = "include",
  [sym_include_value] = "include_value",
  [sym_ip_qos] = "ip_qos",
  [sym_ip_qos_value] = "ip_qos_value",
  [sym_kbd_interactive_authentication] = "kbd_interactive_authentication",
  [sym_kbd_interactive_authentication_value] = "kbd_interactive_authentication_value",
  [sym_kbd_interactive_devices] = "kbd_interactive_devices",
  [sym_kbd_interactive_devices_value] = "kbd_interactive_devices_value",
  [sym_kex_algorithms] = "kex_algorithms",
  [sym_kex_algorithms_value] = "kex_algorithms_value",
  [sym_known_hosts_command] = "known_hosts_command",
  [sym_known_hosts_command_value] = "known_hosts_command_value",
  [sym_local_command] = "local_command",
  [sym_local_command_value] = "local_command_value",
  [sym_local_forward] = "local_forward",
  [sym_local_forward_value] = "local_forward_value",
  [sym_log_level] = "log_level",
  [sym_log_level_value] = "log_level_value",
  [sym_log_verbose] = "log_verbose",
  [sym_log_verbose_value] = "log_verbose_value",
  [sym_macs] = "macs",
  [sym_macs_value] = "macs_value",
  [sym_no_host_authentication_for_localhost] = "no_host_authentication_for_localhost",
  [sym_no_host_authentication_for_localhost_value] = "no_host_authentication_for_localhost_value",
  [sym_number_of_password_prompts] = "number_of_password_prompts",
  [sym_number_of_password_prompts_value] = "number_of_password_prompts_value",
  [sym_obscure_keystroke_timing] = "obscure_keystroke_timing",
  [sym_obscure_keystroke_timing_value] = "obscure_keystroke_timing_value",
  [sym_password_authentication] = "password_authentication",
  [sym_password_authentication_value] = "password_authentication_value",
  [sym_permit_local_command] = "permit_local_command",
  [sym_permit_local_command_value] = "permit_local_command_value",
  [sym_permit_remote_open] = "permit_remote_open",
  [sym_permit_remote_open_value] = "permit_remote_open_value",
  [sym_pkcs11_provider] = "pkcs11_provider",
  [sym_pkcs11_provider_value] = "pkcs11_provider_value",
  [sym_port] = "port",
  [sym_port_value] = "port_value",
  [sym_preferred_authentications] = "preferred_authentications",
  [sym_preferred_authentications_value] = "preferred_authentications_value",
  [sym_protocol] = "protocol",
  [sym_protocol_value] = "protocol_value",
  [sym_proxy_command] = "proxy_command",
  [sym_proxy_command_value] = "proxy_command_value",
  [sym_proxy_jump] = "proxy_jump",
  [sym_proxy_jump_value] = "proxy_jump_value",
  [sym_proxy_use_fdpass] = "proxy_use_fdpass",
  [sym_proxy_use_fdpass_value] = "proxy_use_fdpass_value",
  [sym_pubkey_accepted_algorithms] = "pubkey_accepted_algorithms",
  [sym_pubkey_accepted_algorithms_value] = "pubkey_accepted_algorithms_value",
  [sym_pubkey_accepted_key_types] = "pubkey_accepted_key_types",
  [sym_pubkey_accepted_key_types_value] = "pubkey_accepted_key_types_value",
  [sym_pubkey_authentication] = "pubkey_authentication",
  [sym_pubkey_authentication_value] = "pubkey_authentication_value",
  [sym_rekey_limit] = "rekey_limit",
  [sym_rekey_limit_value] = "rekey_limit_value",
  [sym_remote_command] = "remote_command",
  [sym_remote_command_value] = "remote_command_value",
  [sym_remote_forward] = "remote_forward",
  [sym_remote_forward_value] = "remote_forward_value",
  [sym_request_tty] = "request_tty",
  [sym_request_tty_value] = "request_tty_value",
  [sym_required_rsa_size] = "required_rsa_size",
  [sym_required_rsa_size_value] = "required_rsa_size_value",
  [sym_revoked_host_keys] = "revoked_host_keys",
  [sym_revoked_host_keys_value] = "revoked_host_keys_value",
  [sym_security_key_provider] = "security_key_provider",
  [sym_security_key_provider_value] = "security_key_provider_value",
  [sym_send_env] = "send_env",
  [sym_send_env_value] = "send_env_value",
  [sym_server_alive_count_max] = "server_alive_count_max",
  [sym_server_alive_count_max_value] = "server_alive_count_max_value",
  [sym_server_alive_interval] = "server_alive_interval",
  [sym_server_alive_interval_value] = "server_alive_interval_value",
  [sym_session_type] = "session_type",
  [sym_session_type_value] = "session_type_value",
  [sym_set_env] = "set_env",
  [sym_set_env_value] = "set_env_value",
  [sym_stdin_null] = "stdin_null",
  [sym_stdin_null_value] = "stdin_null_value",
  [sym_stream_local_bind_mask] = "stream_local_bind_mask",
  [sym_stream_local_bind_mask_value] = "stream_local_bind_mask_value",
  [sym_stream_local_bind_unlink] = "stream_local_bind_unlink",
  [sym_stream_local_bind_unlink_value] = "stream_local_bind_unlink_value",
  [sym_strict_host_key_checking] = "strict_host_key_checking",
  [sym_strict_host_key_checking_value] = "strict_host_key_checking_value",
  [sym_syslog_facility] = "syslog_facility",
  [sym_syslog_facility_value] = "syslog_facility_value",
  [sym_tcp_keep_alive] = "tcp_keep_alive",
  [sym_tcp_keep_alive_value] = "tcp_keep_alive_value",
  [sym_keep_alive] = "keep_alive",
  [sym_keep_alive_value] = "keep_alive_value",
  [sym_tag] = "tag",
  [sym_tag_value] = "tag_value",
  [sym_tunnel] = "tunnel",
  [sym_tunnel_value] = "tunnel_value",
  [sym_tunnel_device] = "tunnel_device",
  [sym_tunnel_device_value] = "tunnel_device_value",
  [sym_update_host_keys] = "update_host_keys",
  [sym_update_host_keys_value] = "update_host_keys_value",
  [sym_use_keychain] = "use_keychain",
  [sym_use_keychain_value] = "use_keychain_value",
  [sym_use_roaming] = "use_roaming",
  [sym_use_roaming_value] = "use_roaming_value",
  [sym_user] = "user",
  [sym_user_value] = "user_value",
  [sym_user_known_hosts_file] = "user_known_hosts_file",
  [sym_user_known_hosts_file_value] = "user_known_hosts_file_value",
  [sym_verify_host_key_dns] = "verify_host_key_dns",
  [sym_verify_host_key_dns_value] = "verify_host_key_dns_value",
  [sym_visual_host_key] = "visual_host_key",
  [sym_visual_host_key_value] = "visual_host_key_value",
  [sym_xauth_location] = "xauth_location",
  [sym_xauth_location_value] = "xauth_location_value",
  [aux_sym_client_config_repeat1] = "client_config_repeat1",
  [anon_alias_sym_batch_mode_value] = "batch_mode_value",
  [anon_alias_sym_canonicalize_fallback_local_value] = "canonicalize_fallback_local_value",
  [anon_alias_sym_challenge_response_authentication_value] = "challenge_response_authentication_value",
  [anon_alias_sym_check_host_ip_value] = "check_host_ip_value",
  [anon_alias_sym_clear_all_forwardings_value] = "clear_all_forwardings_value",
  [anon_alias_sym_compression_value] = "compression_value",
  [anon_alias_sym_connect_timeout_value] = "connect_timeout_value",
  [anon_alias_sym_connection_attempts_value] = "connection_attempts_value",
  [anon_alias_sym_control_persist_value] = "control_persist_value",
  [anon_alias_sym_enable_escape_commandline_value] = "enable_escape_commandline_value",
  [anon_alias_sym_enable_ssh_keysign_value] = "enable_ssh_keysign_value",
  [anon_alias_sym_exit_on_forward_failure_value] = "exit_on_forward_failure_value",
  [anon_alias_sym_fork_after_authentication_value] = "fork_after_authentication_value",
  [anon_alias_sym_forward_x11_timeout_value] = "forward_x11_timeout_value",
  [anon_alias_sym_forward_x11_trusted_value] = "forward_x11_trusted_value",
  [anon_alias_sym_forward_x11_value] = "forward_x11_value",
  [anon_alias_sym_gateway_ports_value] = "gateway_ports_value",
  [anon_alias_sym_gssapi_authentication_value] = "gssapi_authentication_value",
  [anon_alias_sym_gssapi_delegate_credentials_value] = "gssapi_delegate_credentials_value",
  [anon_alias_sym_gssapi_key_exchange_value] = "gssapi_key_exchange_value",
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = "gssapi_renewal_forces_rekey_value",
  [anon_alias_sym_gssapi_trust_dns_value] = "gssapi_trust_dns_value",
  [anon_alias_sym_hash_known_hosts_value] = "hash_known_hosts_value",
  [anon_alias_sym_hostbased_authentication_value] = "hostbased_authentication_value",
  [anon_alias_sym_identities_only_value] = "identities_only_value",
  [anon_alias_sym_kbd_interactive_authentication_value] = "kbd_interactive_authentication_value",
  [anon_alias_sym_keep_alive_value] = "keep_alive_value",
  [anon_alias_sym_match_value] = "match_value",
  [anon_alias_sym_no_host_authentication_for_localhost_value] = "no_host_authentication_for_localhost_value",
  [anon_alias_sym_number_of_password_prompts_value] = "number_of_password_prompts_value",
  [anon_alias_sym_password_authentication_value] = "password_authentication_value",
  [anon_alias_sym_permit_local_command_value] = "permit_local_command_value",
  [anon_alias_sym_port_value] = "port_value",
  [anon_alias_sym_proxy_use_fdpass_value] = "proxy_use_fdpass_value",
  [anon_alias_sym_required_rsa_size_value] = "required_rsa_size_value",
  [anon_alias_sym_server_alive_count_max_value] = "server_alive_count_max_value",
  [anon_alias_sym_server_alive_interval_value] = "server_alive_interval_value",
  [anon_alias_sym_stdin_null_value] = "stdin_null_value",
  [anon_alias_sym_stream_local_bind_unlink_value] = "stream_local_bind_unlink_value",
  [anon_alias_sym_tcp_keep_alive_value] = "tcp_keep_alive_value",
  [anon_alias_sym_use_keychain_value] = "use_keychain_value",
  [anon_alias_sym_use_roaming_value] = "use_roaming_value",
  [anon_alias_sym_visual_host_key_value] = "visual_host_key_value",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_comment] = sym_comment,
  [sym_number] = sym_number,
  [aux_sym_boolean_token1] = aux_sym_boolean_token1,
  [aux_sym_boolean_token2] = aux_sym_boolean_token2,
  [aux_sym_boolean_token3] = aux_sym_boolean_token3,
  [aux_sym_boolean_token4] = aux_sym_boolean_token4,
  [aux_sym_pattern_token1] = aux_sym_pattern_token1,
  [sym_time_format] = sym_time_format,
  [aux_sym_host_token1] = aux_sym_host_token1,
  [aux_sym_host_token2] = aux_sym_host_token2,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_match_token1] = aux_sym_match_token1,
  [aux_sym_add_keys_to_agent_token1] = aux_sym_add_keys_to_agent_token1,
  [aux_sym_address_family_token1] = aux_sym_address_family_token1,
  [aux_sym_address_family_value_token1] = aux_sym_address_family_value_token1,
  [aux_sym_address_family_value_token2] = aux_sym_address_family_value_token2,
  [aux_sym_address_family_value_token3] = aux_sym_address_family_value_token3,
  [aux_sym_batch_mode_token1] = aux_sym_batch_mode_token1,
  [aux_sym_bind_address_token1] = aux_sym_bind_address_token1,
  [aux_sym_bind_interface_token1] = aux_sym_bind_interface_token1,
  [aux_sym_canonical_domains_token1] = aux_sym_canonical_domains_token1,
  [aux_sym_canonicalize_fallback_local_token1] = aux_sym_canonicalize_fallback_local_token1,
  [aux_sym_canonicalize_hostname_token1] = aux_sym_canonicalize_hostname_token1,
  [aux_sym_canonicalize_hostname_value_token1] = aux_sym_canonicalize_hostname_value_token1,
  [aux_sym_canonicalize_hostname_value_token2] = aux_sym_canonicalize_hostname_value_token2,
  [aux_sym_canonicalize_max_dots_token1] = aux_sym_canonicalize_max_dots_token1,
  [aux_sym_canonicalize_permitted_cnames_token1] = aux_sym_canonicalize_permitted_cnames_token1,
  [aux_sym_ca_signature_algorithms_token1] = aux_sym_ca_signature_algorithms_token1,
  [aux_sym_certificate_file_token1] = aux_sym_certificate_file_token1,
  [aux_sym_challenge_response_authentication_token1] = aux_sym_challenge_response_authentication_token1,
  [aux_sym_channel_timeout_token1] = aux_sym_channel_timeout_token1,
  [aux_sym_channel_timeout_type_token1] = aux_sym_channel_timeout_type_token1,
  [aux_sym_channel_timeout_type_token2] = aux_sym_channel_timeout_type_token2,
  [aux_sym_channel_timeout_type_token3] = aux_sym_channel_timeout_type_token3,
  [aux_sym_channel_timeout_type_token4] = aux_sym_channel_timeout_type_token4,
  [aux_sym_channel_timeout_type_token5] = aux_sym_channel_timeout_type_token5,
  [aux_sym_channel_timeout_type_token6] = aux_sym_channel_timeout_type_token6,
  [aux_sym_channel_timeout_type_token7] = aux_sym_channel_timeout_type_token7,
  [aux_sym_channel_timeout_type_token8] = aux_sym_channel_timeout_type_token8,
  [aux_sym_check_host_ip_token1] = aux_sym_check_host_ip_token1,
  [aux_sym_ciphers_token1] = aux_sym_ciphers_token1,
  [aux_sym_cipher_token1] = aux_sym_cipher_token1,
  [aux_sym_clear_all_forwardings_token1] = aux_sym_clear_all_forwardings_token1,
  [aux_sym_compression_token1] = aux_sym_compression_token1,
  [aux_sym_connection_attempts_token1] = aux_sym_connection_attempts_token1,
  [aux_sym_connect_timeout_token1] = aux_sym_connect_timeout_token1,
  [aux_sym_control_master_token1] = aux_sym_control_master_token1,
  [aux_sym_control_master_value_token1] = aux_sym_control_master_value_token1,
  [aux_sym_control_master_value_token2] = aux_sym_control_master_value_token2,
  [aux_sym_control_master_value_token3] = aux_sym_control_master_value_token3,
  [aux_sym_control_path_token1] = aux_sym_control_path_token1,
  [aux_sym_control_persist_token1] = aux_sym_control_persist_token1,
  [aux_sym_dynamic_forward_token1] = aux_sym_dynamic_forward_token1,
  [aux_sym_enable_escape_commandline_token1] = aux_sym_enable_escape_commandline_token1,
  [aux_sym_enable_ssh_keysign_token1] = aux_sym_enable_ssh_keysign_token1,
  [aux_sym_escape_char_token1] = aux_sym_escape_char_token1,
  [anon_sym_none] = anon_sym_none,
  [aux_sym_escape_char_value_token1] = aux_sym_escape_char_value_token1,
  [aux_sym_exit_on_forward_failure_token1] = aux_sym_exit_on_forward_failure_token1,
  [aux_sym_fingerprint_hash_token1] = aux_sym_fingerprint_hash_token1,
  [anon_sym_md5] = anon_sym_md5,
  [anon_sym_sha256] = anon_sym_sha256,
  [aux_sym_fork_after_authentication_token1] = aux_sym_fork_after_authentication_token1,
  [aux_sym_forward_agent_token1] = aux_sym_forward_agent_token1,
  [aux_sym_forward_x11_token1] = aux_sym_forward_x11_token1,
  [aux_sym_forward_x11_timeout_token1] = aux_sym_forward_x11_timeout_token1,
  [aux_sym_forward_x11_trusted_token1] = aux_sym_forward_x11_trusted_token1,
  [aux_sym_gateway_ports_token1] = aux_sym_gateway_ports_token1,
  [aux_sym_global_known_hosts_file_token1] = aux_sym_global_known_hosts_file_token1,
  [aux_sym_gssapi_authentication_token1] = aux_sym_gssapi_authentication_token1,
  [aux_sym_gssapi_client_identity_token1] = aux_sym_gssapi_client_identity_token1,
  [aux_sym_gssapi_delegate_credentials_token1] = aux_sym_gssapi_delegate_credentials_token1,
  [aux_sym_gssapi_key_exchange_token1] = aux_sym_gssapi_key_exchange_token1,
  [aux_sym_gssapi_renewal_forces_rekey_token1] = aux_sym_gssapi_renewal_forces_rekey_token1,
  [aux_sym_gssapi_server_identity_token1] = aux_sym_gssapi_server_identity_token1,
  [aux_sym_gssapi_trust_dns_token1] = aux_sym_gssapi_trust_dns_token1,
  [aux_sym_gssapi_kex_algorithms_token1] = aux_sym_gssapi_kex_algorithms_token1,
  [aux_sym_hash_known_hosts_token1] = aux_sym_hash_known_hosts_token1,
  [aux_sym_hostbased_accepted_algorithms_token1] = aux_sym_hostbased_accepted_algorithms_token1,
  [aux_sym_hostbased_authentication_token1] = aux_sym_hostbased_authentication_token1,
  [aux_sym_host_key_algorithms_token1] = aux_sym_host_key_algorithms_token1,
  [aux_sym_host_key_alias_token1] = aux_sym_host_key_alias_token1,
  [aux_sym_hostname_token1] = aux_sym_hostname_token1,
  [aux_sym_identities_only_token1] = aux_sym_identities_only_token1,
  [aux_sym_identity_agent_token1] = aux_sym_identity_agent_token1,
  [aux_sym_identity_file_token1] = aux_sym_identity_file_token1,
  [aux_sym_ignore_unknown_token1] = aux_sym_ignore_unknown_token1,
  [aux_sym_include_token1] = aux_sym_include_token1,
  [aux_sym_ip_qos_token1] = aux_sym_ip_qos_token1,
  [anon_sym_af11] = anon_sym_af11,
  [anon_sym_af12] = anon_sym_af11,
  [anon_sym_af13] = anon_sym_af11,
  [anon_sym_af21] = anon_sym_af11,
  [anon_sym_af22] = anon_sym_af11,
  [anon_sym_af23] = anon_sym_af11,
  [anon_sym_af31] = anon_sym_af11,
  [anon_sym_af32] = anon_sym_af11,
  [anon_sym_af33] = anon_sym_af11,
  [anon_sym_af41] = anon_sym_af11,
  [anon_sym_af42] = anon_sym_af11,
  [anon_sym_af43] = anon_sym_af11,
  [anon_sym_cs0] = anon_sym_af11,
  [anon_sym_cs1] = anon_sym_af11,
  [anon_sym_cs2] = anon_sym_af11,
  [anon_sym_cs3] = anon_sym_af11,
  [anon_sym_cs4] = anon_sym_af11,
  [anon_sym_cs5] = anon_sym_af11,
  [anon_sym_cs6] = anon_sym_af11,
  [anon_sym_cs7] = anon_sym_af11,
  [anon_sym_ef] = anon_sym_af11,
  [anon_sym_le] = anon_sym_af11,
  [anon_sym_lowdelay] = anon_sym_af11,
  [anon_sym_throughput] = anon_sym_af11,
  [anon_sym_reliability] = anon_sym_af11,
  [aux_sym_kbd_interactive_authentication_token1] = aux_sym_kbd_interactive_authentication_token1,
  [aux_sym_kbd_interactive_devices_token1] = aux_sym_kbd_interactive_devices_token1,
  [aux_sym_kex_algorithms_token1] = aux_sym_kex_algorithms_token1,
  [aux_sym_known_hosts_command_token1] = aux_sym_known_hosts_command_token1,
  [aux_sym_local_command_token1] = aux_sym_local_command_token1,
  [aux_sym_local_forward_token1] = aux_sym_local_forward_token1,
  [aux_sym_log_level_token1] = aux_sym_log_level_token1,
  [aux_sym_log_level_value_token1] = aux_sym_log_level_value_token1,
  [aux_sym_log_level_value_token2] = aux_sym_log_level_value_token2,
  [aux_sym_log_level_value_token3] = aux_sym_log_level_value_token3,
  [aux_sym_log_level_value_token4] = aux_sym_log_level_value_token4,
  [aux_sym_log_level_value_token5] = aux_sym_log_level_value_token5,
  [aux_sym_log_level_value_token6] = aux_sym_log_level_value_token6,
  [aux_sym_log_level_value_token7] = aux_sym_log_level_value_token7,
  [aux_sym_log_level_value_token8] = aux_sym_log_level_value_token8,
  [aux_sym_log_level_value_token9] = aux_sym_log_level_value_token9,
  [aux_sym_log_verbose_token1] = aux_sym_log_verbose_token1,
  [aux_sym_macs_token1] = aux_sym_macs_token1,
  [aux_sym_no_host_authentication_for_localhost_token1] = aux_sym_no_host_authentication_for_localhost_token1,
  [aux_sym_number_of_password_prompts_token1] = aux_sym_number_of_password_prompts_token1,
  [aux_sym_obscure_keystroke_timing_token1] = aux_sym_obscure_keystroke_timing_token1,
  [aux_sym_obscure_keystroke_timing_value_token1] = aux_sym_obscure_keystroke_timing_value_token1,
  [aux_sym_password_authentication_token1] = aux_sym_password_authentication_token1,
  [aux_sym_permit_local_command_token1] = aux_sym_permit_local_command_token1,
  [aux_sym_permit_remote_open_token1] = aux_sym_permit_remote_open_token1,
  [aux_sym_pkcs11_provider_token1] = aux_sym_pkcs11_provider_token1,
  [aux_sym_port_token1] = aux_sym_port_token1,
  [aux_sym_preferred_authentications_token1] = aux_sym_preferred_authentications_token1,
  [aux_sym_protocol_token1] = aux_sym_protocol_token1,
  [anon_sym_1] = anon_sym_1,
  [anon_sym_2] = anon_sym_2,
  [aux_sym_proxy_command_token1] = aux_sym_proxy_command_token1,
  [aux_sym_proxy_jump_token1] = aux_sym_proxy_jump_token1,
  [aux_sym_proxy_use_fdpass_token1] = aux_sym_proxy_use_fdpass_token1,
  [aux_sym_pubkey_accepted_algorithms_token1] = aux_sym_pubkey_accepted_algorithms_token1,
  [aux_sym_pubkey_accepted_key_types_token1] = aux_sym_pubkey_accepted_key_types_token1,
  [aux_sym_pubkey_authentication_token1] = aux_sym_pubkey_authentication_token1,
  [aux_sym_pubkey_authentication_value_token1] = aux_sym_pubkey_authentication_value_token1,
  [aux_sym_pubkey_authentication_value_token2] = aux_sym_pubkey_authentication_value_token2,
  [aux_sym_rekey_limit_token1] = aux_sym_rekey_limit_token1,
  [aux_sym_remote_command_token1] = aux_sym_remote_command_token1,
  [aux_sym_remote_forward_token1] = aux_sym_remote_forward_token1,
  [aux_sym_request_tty_token1] = aux_sym_request_tty_token1,
  [aux_sym_request_tty_value_token1] = aux_sym_request_tty_value_token1,
  [aux_sym_required_rsa_size_token1] = aux_sym_required_rsa_size_token1,
  [aux_sym_revoked_host_keys_token1] = aux_sym_revoked_host_keys_token1,
  [aux_sym_security_key_provider_token1] = aux_sym_security_key_provider_token1,
  [aux_sym_send_env_token1] = aux_sym_send_env_token1,
  [aux_sym_server_alive_count_max_token1] = aux_sym_server_alive_count_max_token1,
  [aux_sym_server_alive_interval_token1] = aux_sym_server_alive_interval_token1,
  [aux_sym_session_type_token1] = aux_sym_session_type_token1,
  [aux_sym_session_type_value_token1] = aux_sym_session_type_value_token1,
  [aux_sym_session_type_value_token2] = aux_sym_session_type_value_token2,
  [aux_sym_set_env_token1] = aux_sym_set_env_token1,
  [aux_sym_stdin_null_token1] = aux_sym_stdin_null_token1,
  [aux_sym_stream_local_bind_mask_token1] = aux_sym_stream_local_bind_mask_token1,
  [aux_sym_stream_local_bind_unlink_token1] = aux_sym_stream_local_bind_unlink_token1,
  [aux_sym_strict_host_key_checking_token1] = aux_sym_strict_host_key_checking_token1,
  [aux_sym_strict_host_key_checking_value_token1] = aux_sym_strict_host_key_checking_value_token1,
  [aux_sym_strict_host_key_checking_value_token2] = aux_sym_strict_host_key_checking_value_token2,
  [aux_sym_syslog_facility_token1] = aux_sym_syslog_facility_token1,
  [anon_sym_DAEMON] = anon_sym_DAEMON,
  [anon_sym_USER] = anon_sym_USER,
  [anon_sym_AUTH] = anon_sym_AUTH,
  [anon_sym_LOCAL0] = anon_sym_LOCAL0,
  [anon_sym_LOCAL1] = anon_sym_LOCAL1,
  [anon_sym_LOCAL2] = anon_sym_LOCAL2,
  [anon_sym_LOCAL3] = anon_sym_LOCAL3,
  [anon_sym_LOCAL4] = anon_sym_LOCAL4,
  [anon_sym_LOCAL5] = anon_sym_LOCAL5,
  [anon_sym_LOCAL6] = anon_sym_LOCAL6,
  [anon_sym_LOCAL7] = anon_sym_LOCAL7,
  [aux_sym_tcp_keep_alive_token1] = aux_sym_tcp_keep_alive_token1,
  [aux_sym_keep_alive_token1] = aux_sym_keep_alive_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_tunnel_token1] = aux_sym_tunnel_token1,
  [aux_sym_tunnel_value_token1] = aux_sym_tunnel_value_token1,
  [aux_sym_tunnel_value_token2] = aux_sym_tunnel_value_token2,
  [aux_sym_tunnel_device_token1] = aux_sym_tunnel_device_token1,
  [aux_sym_update_host_keys_token1] = aux_sym_update_host_keys_token1,
  [aux_sym_use_keychain_token1] = aux_sym_use_keychain_token1,
  [aux_sym_use_roaming_token1] = aux_sym_use_roaming_token1,
  [aux_sym_user_token1] = aux_sym_user_token1,
  [aux_sym_user_known_hosts_file_token1] = aux_sym_user_known_hosts_file_token1,
  [aux_sym_verify_host_key_dns_token1] = aux_sym_verify_host_key_dns_token1,
  [aux_sym_visual_host_key_token1] = aux_sym_visual_host_key_token1,
  [aux_sym_xauth_location_token1] = aux_sym_xauth_location_token1,
  [sym_client_config] = sym_client_config,
  [sym__option] = sym__option,
  [sym_boolean] = sym_boolean,
  [sym_pattern] = sym_pattern,
  [sym_host] = sym_host,
  [sym_host_value] = sym_host_value,
  [sym_match] = sym_match,
  [sym_match_value] = sym_match_value,
  [sym_add_keys_to_agent] = sym_add_keys_to_agent,
  [sym_add_keys_to_agent_value] = sym_add_keys_to_agent_value,
  [sym_address_family] = sym_address_family,
  [sym_address_family_value] = sym_address_family_value,
  [sym_batch_mode] = sym_batch_mode,
  [sym_batch_mode_value] = sym_batch_mode_value,
  [sym_bind_address] = sym_bind_address,
  [sym_bind_address_value] = sym_bind_address_value,
  [sym_bind_interface] = sym_bind_interface,
  [sym_bind_interface_value] = sym_bind_interface_value,
  [sym_canonical_domains] = sym_canonical_domains,
  [sym_canonical_domains_value] = sym_canonical_domains_value,
  [sym_canonicalize_fallback_local] = sym_canonicalize_fallback_local,
  [sym_canonicalize_fallback_local_value] = sym_canonicalize_fallback_local_value,
  [sym_canonicalize_hostname] = sym_canonicalize_hostname,
  [sym_canonicalize_hostname_value] = sym_canonicalize_hostname_value,
  [sym_canonicalize_max_dots] = sym_canonicalize_max_dots,
  [sym_canonicalize_max_dots_value] = sym_canonicalize_max_dots_value,
  [sym_canonicalize_permitted_cnames] = sym_canonicalize_permitted_cnames,
  [sym_canonicalize_permitted_cnames_value] = sym_canonicalize_permitted_cnames_value,
  [sym_ca_signature_algorithms] = sym_ca_signature_algorithms,
  [sym_ca_signature_algorithms_value] = sym_ca_signature_algorithms_value,
  [sym_certificate_file] = sym_certificate_file,
  [sym_certificate_file_value] = sym_certificate_file_value,
  [sym_challenge_response_authentication] = sym_challenge_response_authentication,
  [sym_challenge_response_authentication_value] = sym_challenge_response_authentication_value,
  [sym_channel_timeout] = sym_channel_timeout,
  [sym_channel_timeout_type] = sym_channel_timeout_type,
  [aux_sym__channel_timeout_value] = aux_sym__channel_timeout_value,
  [sym_check_host_ip] = sym_check_host_ip,
  [sym_check_host_ip_value] = sym_check_host_ip_value,
  [sym_ciphers] = sym_ciphers,
  [sym_ciphers_value] = sym_ciphers_value,
  [sym_cipher] = sym_cipher,
  [sym_cipher_value] = sym_cipher_value,
  [sym_clear_all_forwardings] = sym_clear_all_forwardings,
  [sym_clear_all_forwardings_value] = sym_clear_all_forwardings_value,
  [sym_compression] = sym_compression,
  [sym_compression_value] = sym_compression_value,
  [sym_connection_attempts] = sym_connection_attempts,
  [sym_connection_attempts_value] = sym_connection_attempts_value,
  [sym_connect_timeout] = sym_connect_timeout,
  [sym_connect_timeout_value] = sym_connect_timeout_value,
  [sym_control_master] = sym_control_master,
  [sym_control_master_value] = sym_control_master_value,
  [sym_control_path] = sym_control_path,
  [sym_control_path_value] = sym_control_path_value,
  [sym_control_persist] = sym_control_persist,
  [sym_control_persist_value] = sym_control_persist_value,
  [sym_dynamic_forward] = sym_dynamic_forward,
  [sym_dynamic_forward_value] = sym_dynamic_forward_value,
  [sym_enable_escape_commandline] = sym_enable_escape_commandline,
  [sym_enable_escape_commandline_value] = sym_enable_escape_commandline_value,
  [sym_enable_ssh_keysign] = sym_enable_ssh_keysign,
  [sym_enable_ssh_keysign_value] = sym_enable_ssh_keysign_value,
  [sym_escape_char] = sym_escape_char,
  [sym_escape_char_value] = sym_escape_char_value,
  [sym_exit_on_forward_failure] = sym_exit_on_forward_failure,
  [sym_exit_on_forward_failure_value] = sym_exit_on_forward_failure_value,
  [sym_fingerprint_hash] = sym_fingerprint_hash,
  [sym_fingerprint_hash_value] = sym_fingerprint_hash_value,
  [sym_fork_after_authentication] = sym_fork_after_authentication,
  [sym_fork_after_authentication_value] = sym_fork_after_authentication_value,
  [sym_forward_agent] = sym_forward_agent,
  [sym_forward_agent_value] = sym_forward_agent_value,
  [sym_forward_x11] = sym_forward_x11,
  [sym_forward_x11_value] = sym_forward_x11_value,
  [sym_forward_x11_timeout] = sym_forward_x11_timeout,
  [sym_forward_x11_timeout_value] = sym_forward_x11_timeout_value,
  [sym_forward_x11_trusted] = sym_forward_x11_trusted,
  [sym_forward_x11_trusted_value] = sym_forward_x11_trusted_value,
  [sym_gateway_ports] = sym_gateway_ports,
  [sym_gateway_ports_value] = sym_gateway_ports_value,
  [sym_global_known_hosts_file] = sym_global_known_hosts_file,
  [sym_global_known_hosts_file_value] = sym_global_known_hosts_file_value,
  [sym_gssapi_authentication] = sym_gssapi_authentication,
  [sym_gssapi_authentication_value] = sym_gssapi_authentication_value,
  [sym_gssapi_client_identity] = sym_gssapi_client_identity,
  [sym_gssapi_client_identity_value] = sym_gssapi_client_identity_value,
  [sym_gssapi_delegate_credentials] = sym_gssapi_delegate_credentials,
  [sym_gssapi_delegate_credentials_value] = sym_gssapi_delegate_credentials_value,
  [sym_gssapi_key_exchange] = sym_gssapi_key_exchange,
  [sym_gssapi_key_exchange_value] = sym_gssapi_key_exchange_value,
  [sym_gssapi_renewal_forces_rekey] = sym_gssapi_renewal_forces_rekey,
  [sym_gssapi_renewal_forces_rekey_value] = sym_gssapi_renewal_forces_rekey_value,
  [sym_gssapi_server_identity] = sym_gssapi_server_identity,
  [sym_gssapi_server_identity_value] = sym_gssapi_server_identity_value,
  [sym_gssapi_trust_dns] = sym_gssapi_trust_dns,
  [sym_gssapi_trust_dns_value] = sym_gssapi_trust_dns_value,
  [sym_gssapi_kex_algorithms] = sym_gssapi_kex_algorithms,
  [sym_gssapi_kex_algorithms_value] = sym_gssapi_kex_algorithms_value,
  [sym_hash_known_hosts] = sym_hash_known_hosts,
  [sym_hash_known_hosts_value] = sym_hash_known_hosts_value,
  [sym_hostbased_accepted_algorithms] = sym_hostbased_accepted_algorithms,
  [sym_hostbased_accepted_algorithms_value] = sym_hostbased_accepted_algorithms_value,
  [sym_hostbased_authentication] = sym_hostbased_authentication,
  [sym_hostbased_authentication_value] = sym_hostbased_authentication_value,
  [sym_host_key_algorithms] = sym_host_key_algorithms,
  [sym_host_key_algorithms_value] = sym_host_key_algorithms_value,
  [sym_host_key_alias] = sym_host_key_alias,
  [sym_host_key_alias_value] = sym_host_key_alias_value,
  [sym_hostname] = sym_hostname,
  [sym_hostname_value] = sym_hostname_value,
  [sym_identities_only] = sym_identities_only,
  [sym_identities_only_value] = sym_identities_only_value,
  [sym_identity_agent] = sym_identity_agent,
  [sym_identity_agent_value] = sym_identity_agent_value,
  [sym_identity_file] = sym_identity_file,
  [sym_identity_file_value] = sym_identity_file_value,
  [sym_ignore_unknown] = sym_ignore_unknown,
  [sym_ignore_unknown_value] = sym_ignore_unknown_value,
  [sym_include] = sym_include,
  [sym_include_value] = sym_include_value,
  [sym_ip_qos] = sym_ip_qos,
  [sym_ip_qos_value] = sym_ip_qos_value,
  [sym_kbd_interactive_authentication] = sym_kbd_interactive_authentication,
  [sym_kbd_interactive_authentication_value] = sym_kbd_interactive_authentication_value,
  [sym_kbd_interactive_devices] = sym_kbd_interactive_devices,
  [sym_kbd_interactive_devices_value] = sym_kbd_interactive_devices_value,
  [sym_kex_algorithms] = sym_kex_algorithms,
  [sym_kex_algorithms_value] = sym_kex_algorithms_value,
  [sym_known_hosts_command] = sym_known_hosts_command,
  [sym_known_hosts_command_value] = sym_known_hosts_command_value,
  [sym_local_command] = sym_local_command,
  [sym_local_command_value] = sym_local_command_value,
  [sym_local_forward] = sym_local_forward,
  [sym_local_forward_value] = sym_local_forward_value,
  [sym_log_level] = sym_log_level,
  [sym_log_level_value] = sym_log_level_value,
  [sym_log_verbose] = sym_log_verbose,
  [sym_log_verbose_value] = sym_log_verbose_value,
  [sym_macs] = sym_macs,
  [sym_macs_value] = sym_macs_value,
  [sym_no_host_authentication_for_localhost] = sym_no_host_authentication_for_localhost,
  [sym_no_host_authentication_for_localhost_value] = sym_no_host_authentication_for_localhost_value,
  [sym_number_of_password_prompts] = sym_number_of_password_prompts,
  [sym_number_of_password_prompts_value] = sym_number_of_password_prompts_value,
  [sym_obscure_keystroke_timing] = sym_obscure_keystroke_timing,
  [sym_obscure_keystroke_timing_value] = sym_obscure_keystroke_timing_value,
  [sym_password_authentication] = sym_password_authentication,
  [sym_password_authentication_value] = sym_password_authentication_value,
  [sym_permit_local_command] = sym_permit_local_command,
  [sym_permit_local_command_value] = sym_permit_local_command_value,
  [sym_permit_remote_open] = sym_permit_remote_open,
  [sym_permit_remote_open_value] = sym_permit_remote_open_value,
  [sym_pkcs11_provider] = sym_pkcs11_provider,
  [sym_pkcs11_provider_value] = sym_pkcs11_provider_value,
  [sym_port] = sym_port,
  [sym_port_value] = sym_port_value,
  [sym_preferred_authentications] = sym_preferred_authentications,
  [sym_preferred_authentications_value] = sym_preferred_authentications_value,
  [sym_protocol] = sym_protocol,
  [sym_protocol_value] = sym_protocol_value,
  [sym_proxy_command] = sym_proxy_command,
  [sym_proxy_command_value] = sym_proxy_command_value,
  [sym_proxy_jump] = sym_proxy_jump,
  [sym_proxy_jump_value] = sym_proxy_jump_value,
  [sym_proxy_use_fdpass] = sym_proxy_use_fdpass,
  [sym_proxy_use_fdpass_value] = sym_proxy_use_fdpass_value,
  [sym_pubkey_accepted_algorithms] = sym_pubkey_accepted_algorithms,
  [sym_pubkey_accepted_algorithms_value] = sym_pubkey_accepted_algorithms_value,
  [sym_pubkey_accepted_key_types] = sym_pubkey_accepted_key_types,
  [sym_pubkey_accepted_key_types_value] = sym_pubkey_accepted_key_types_value,
  [sym_pubkey_authentication] = sym_pubkey_authentication,
  [sym_pubkey_authentication_value] = sym_pubkey_authentication_value,
  [sym_rekey_limit] = sym_rekey_limit,
  [sym_rekey_limit_value] = sym_rekey_limit_value,
  [sym_remote_command] = sym_remote_command,
  [sym_remote_command_value] = sym_remote_command_value,
  [sym_remote_forward] = sym_remote_forward,
  [sym_remote_forward_value] = sym_remote_forward_value,
  [sym_request_tty] = sym_request_tty,
  [sym_request_tty_value] = sym_request_tty_value,
  [sym_required_rsa_size] = sym_required_rsa_size,
  [sym_required_rsa_size_value] = sym_required_rsa_size_value,
  [sym_revoked_host_keys] = sym_revoked_host_keys,
  [sym_revoked_host_keys_value] = sym_revoked_host_keys_value,
  [sym_security_key_provider] = sym_security_key_provider,
  [sym_security_key_provider_value] = sym_security_key_provider_value,
  [sym_send_env] = sym_send_env,
  [sym_send_env_value] = sym_send_env_value,
  [sym_server_alive_count_max] = sym_server_alive_count_max,
  [sym_server_alive_count_max_value] = sym_server_alive_count_max_value,
  [sym_server_alive_interval] = sym_server_alive_interval,
  [sym_server_alive_interval_value] = sym_server_alive_interval_value,
  [sym_session_type] = sym_session_type,
  [sym_session_type_value] = sym_session_type_value,
  [sym_set_env] = sym_set_env,
  [sym_set_env_value] = sym_set_env_value,
  [sym_stdin_null] = sym_stdin_null,
  [sym_stdin_null_value] = sym_stdin_null_value,
  [sym_stream_local_bind_mask] = sym_stream_local_bind_mask,
  [sym_stream_local_bind_mask_value] = sym_stream_local_bind_mask_value,
  [sym_stream_local_bind_unlink] = sym_stream_local_bind_unlink,
  [sym_stream_local_bind_unlink_value] = sym_stream_local_bind_unlink_value,
  [sym_strict_host_key_checking] = sym_strict_host_key_checking,
  [sym_strict_host_key_checking_value] = sym_strict_host_key_checking_value,
  [sym_syslog_facility] = sym_syslog_facility,
  [sym_syslog_facility_value] = sym_syslog_facility_value,
  [sym_tcp_keep_alive] = sym_tcp_keep_alive,
  [sym_tcp_keep_alive_value] = sym_tcp_keep_alive_value,
  [sym_keep_alive] = sym_keep_alive,
  [sym_keep_alive_value] = sym_keep_alive_value,
  [sym_tag] = sym_tag,
  [sym_tag_value] = sym_tag_value,
  [sym_tunnel] = sym_tunnel,
  [sym_tunnel_value] = sym_tunnel_value,
  [sym_tunnel_device] = sym_tunnel_device,
  [sym_tunnel_device_value] = sym_tunnel_device_value,
  [sym_update_host_keys] = sym_update_host_keys,
  [sym_update_host_keys_value] = sym_update_host_keys_value,
  [sym_use_keychain] = sym_use_keychain,
  [sym_use_keychain_value] = sym_use_keychain_value,
  [sym_use_roaming] = sym_use_roaming,
  [sym_use_roaming_value] = sym_use_roaming_value,
  [sym_user] = sym_user,
  [sym_user_value] = sym_user_value,
  [sym_user_known_hosts_file] = sym_user_known_hosts_file,
  [sym_user_known_hosts_file_value] = sym_user_known_hosts_file_value,
  [sym_verify_host_key_dns] = sym_verify_host_key_dns,
  [sym_verify_host_key_dns_value] = sym_verify_host_key_dns_value,
  [sym_visual_host_key] = sym_visual_host_key,
  [sym_visual_host_key_value] = sym_visual_host_key_value,
  [sym_xauth_location] = sym_xauth_location,
  [sym_xauth_location_value] = sym_xauth_location_value,
  [aux_sym_client_config_repeat1] = aux_sym_client_config_repeat1,
  [anon_alias_sym_batch_mode_value] = anon_alias_sym_batch_mode_value,
  [anon_alias_sym_canonicalize_fallback_local_value] = anon_alias_sym_canonicalize_fallback_local_value,
  [anon_alias_sym_challenge_response_authentication_value] = anon_alias_sym_challenge_response_authentication_value,
  [anon_alias_sym_check_host_ip_value] = anon_alias_sym_check_host_ip_value,
  [anon_alias_sym_clear_all_forwardings_value] = anon_alias_sym_clear_all_forwardings_value,
  [anon_alias_sym_compression_value] = anon_alias_sym_compression_value,
  [anon_alias_sym_connect_timeout_value] = anon_alias_sym_connect_timeout_value,
  [anon_alias_sym_connection_attempts_value] = anon_alias_sym_connection_attempts_value,
  [anon_alias_sym_control_persist_value] = anon_alias_sym_control_persist_value,
  [anon_alias_sym_enable_escape_commandline_value] = anon_alias_sym_enable_escape_commandline_value,
  [anon_alias_sym_enable_ssh_keysign_value] = anon_alias_sym_enable_ssh_keysign_value,
  [anon_alias_sym_exit_on_forward_failure_value] = anon_alias_sym_exit_on_forward_failure_value,
  [anon_alias_sym_fork_after_authentication_value] = anon_alias_sym_fork_after_authentication_value,
  [anon_alias_sym_forward_x11_timeout_value] = anon_alias_sym_forward_x11_timeout_value,
  [anon_alias_sym_forward_x11_trusted_value] = anon_alias_sym_forward_x11_trusted_value,
  [anon_alias_sym_forward_x11_value] = anon_alias_sym_forward_x11_value,
  [anon_alias_sym_gateway_ports_value] = anon_alias_sym_gateway_ports_value,
  [anon_alias_sym_gssapi_authentication_value] = anon_alias_sym_gssapi_authentication_value,
  [anon_alias_sym_gssapi_delegate_credentials_value] = anon_alias_sym_gssapi_delegate_credentials_value,
  [anon_alias_sym_gssapi_key_exchange_value] = anon_alias_sym_gssapi_key_exchange_value,
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = anon_alias_sym_gssapi_renewal_forces_rekey_value,
  [anon_alias_sym_gssapi_trust_dns_value] = anon_alias_sym_gssapi_trust_dns_value,
  [anon_alias_sym_hash_known_hosts_value] = anon_alias_sym_hash_known_hosts_value,
  [anon_alias_sym_hostbased_authentication_value] = anon_alias_sym_hostbased_authentication_value,
  [anon_alias_sym_identities_only_value] = anon_alias_sym_identities_only_value,
  [anon_alias_sym_kbd_interactive_authentication_value] = anon_alias_sym_kbd_interactive_authentication_value,
  [anon_alias_sym_keep_alive_value] = anon_alias_sym_keep_alive_value,
  [anon_alias_sym_match_value] = anon_alias_sym_match_value,
  [anon_alias_sym_no_host_authentication_for_localhost_value] = anon_alias_sym_no_host_authentication_for_localhost_value,
  [anon_alias_sym_number_of_password_prompts_value] = anon_alias_sym_number_of_password_prompts_value,
  [anon_alias_sym_password_authentication_value] = anon_alias_sym_password_authentication_value,
  [anon_alias_sym_permit_local_command_value] = anon_alias_sym_permit_local_command_value,
  [anon_alias_sym_port_value] = anon_alias_sym_port_value,
  [anon_alias_sym_proxy_use_fdpass_value] = anon_alias_sym_proxy_use_fdpass_value,
  [anon_alias_sym_required_rsa_size_value] = anon_alias_sym_required_rsa_size_value,
  [anon_alias_sym_server_alive_count_max_value] = anon_alias_sym_server_alive_count_max_value,
  [anon_alias_sym_server_alive_interval_value] = anon_alias_sym_server_alive_interval_value,
  [anon_alias_sym_stdin_null_value] = anon_alias_sym_stdin_null_value,
  [anon_alias_sym_stream_local_bind_unlink_value] = anon_alias_sym_stream_local_bind_unlink_value,
  [anon_alias_sym_tcp_keep_alive_value] = anon_alias_sym_tcp_keep_alive_value,
  [anon_alias_sym_use_keychain_value] = anon_alias_sym_use_keychain_value,
  [anon_alias_sym_use_roaming_value] = anon_alias_sym_use_roaming_value,
  [anon_alias_sym_visual_host_key_value] = anon_alias_sym_visual_host_key_value,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_boolean_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_time_format] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_host_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_keys_to_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_address_family_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_address_family_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_address_family_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_address_family_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_batch_mode_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bind_address_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bind_interface_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonical_domains_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_fallback_local_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_canonicalize_hostname_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_canonicalize_max_dots_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_canonicalize_permitted_cnames_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ca_signature_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_certificate_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_challenge_response_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_channel_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_channel_timeout_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_check_host_ip_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ciphers_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cipher_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clear_all_forwardings_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_compression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_connection_attempts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_connect_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_master_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_master_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_master_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_master_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_control_path_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_persist_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_dynamic_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enable_escape_commandline_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enable_ssh_keysign_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_char_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_none] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_char_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exit_on_forward_failure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_fingerprint_hash_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_md5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sha256] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_fork_after_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_timeout_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_forward_x11_trusted_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gateway_ports_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_known_hosts_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_client_identity_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_delegate_credentials_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_key_exchange_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_renewal_forces_rekey_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_server_identity_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_trust_dns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_gssapi_kex_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hash_known_hosts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostbased_accepted_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostbased_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_key_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_host_key_alias_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hostname_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identities_only_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identity_agent_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identity_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ignore_unknown_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ip_qos_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af11] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af12] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af13] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af21] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af22] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af23] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af31] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af33] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af41] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af42] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_af43] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cs7] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_le] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lowdelay] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throughput] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reliability] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kbd_interactive_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kbd_interactive_devices_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kex_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_known_hosts_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_local_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_local_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_log_level_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_log_level_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_level_value_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_log_verbose_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_macs_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_no_host_authentication_for_localhost_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_of_password_prompts_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_obscure_keystroke_timing_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_obscure_keystroke_timing_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_password_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_permit_local_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_permit_remote_open_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pkcs11_provider_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_port_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preferred_authentications_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_protocol_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_jump_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_proxy_use_fdpass_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_accepted_algorithms_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_accepted_key_types_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_authentication_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pubkey_authentication_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pubkey_authentication_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rekey_limit_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_remote_command_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_remote_forward_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_request_tty_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_request_tty_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_required_rsa_size_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_revoked_host_keys_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_security_key_provider_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_send_env_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_server_alive_count_max_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_server_alive_interval_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_session_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_session_type_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_session_type_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_env_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stdin_null_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stream_local_bind_mask_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stream_local_bind_unlink_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_strict_host_key_checking_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_syslog_facility_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DAEMON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_USER] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AUTH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCAL7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tcp_keep_alive_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keep_alive_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tunnel_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tunnel_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tunnel_value_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tunnel_device_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_update_host_keys_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_keychain_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_roaming_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_known_hosts_file_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_verify_host_key_dns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visual_host_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_xauth_location_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_client_config] = {
    .visible = true,
    .named = true,
  },
  [sym__option] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [sym_pattern] = {
    .visible = true,
    .named = false,
  },
  [sym_host] = {
    .visible = true,
    .named = true,
  },
  [sym_host_value] = {
    .visible = true,
    .named = true,
  },
  [sym_match] = {
    .visible = true,
    .named = true,
  },
  [sym_match_value] = {
    .visible = true,
    .named = true,
  },
  [sym_add_keys_to_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_add_keys_to_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_address_family] = {
    .visible = true,
    .named = true,
  },
  [sym_address_family_value] = {
    .visible = true,
    .named = true,
  },
  [sym_batch_mode] = {
    .visible = true,
    .named = true,
  },
  [sym_batch_mode_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_address] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_address_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_bind_interface_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonical_domains] = {
    .visible = true,
    .named = true,
  },
  [sym_canonical_domains_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_fallback_local] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_fallback_local_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_hostname] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_hostname_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_max_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_max_dots_value] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_permitted_cnames] = {
    .visible = true,
    .named = true,
  },
  [sym_canonicalize_permitted_cnames_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ca_signature_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_ca_signature_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_certificate_file] = {
    .visible = true,
    .named = true,
  },
  [sym_certificate_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_challenge_response_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_challenge_response_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_timeout_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__channel_timeout_value] = {
    .visible = false,
    .named = false,
  },
  [sym_check_host_ip] = {
    .visible = true,
    .named = true,
  },
  [sym_check_host_ip_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ciphers] = {
    .visible = true,
    .named = true,
  },
  [sym_ciphers_value] = {
    .visible = true,
    .named = true,
  },
  [sym_cipher] = {
    .visible = true,
    .named = true,
  },
  [sym_cipher_value] = {
    .visible = true,
    .named = true,
  },
  [sym_clear_all_forwardings] = {
    .visible = true,
    .named = true,
  },
  [sym_clear_all_forwardings_value] = {
    .visible = true,
    .named = true,
  },
  [sym_compression] = {
    .visible = true,
    .named = true,
  },
  [sym_compression_value] = {
    .visible = true,
    .named = true,
  },
  [sym_connection_attempts] = {
    .visible = true,
    .named = true,
  },
  [sym_connection_attempts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_connect_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_connect_timeout_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_master] = {
    .visible = true,
    .named = true,
  },
  [sym_control_master_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_path] = {
    .visible = true,
    .named = true,
  },
  [sym_control_path_value] = {
    .visible = true,
    .named = true,
  },
  [sym_control_persist] = {
    .visible = true,
    .named = true,
  },
  [sym_control_persist_value] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_escape_commandline] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_escape_commandline_value] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_ssh_keysign] = {
    .visible = true,
    .named = true,
  },
  [sym_enable_ssh_keysign_value] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_char] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_char_value] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_on_forward_failure] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_on_forward_failure_value] = {
    .visible = true,
    .named = true,
  },
  [sym_fingerprint_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_fingerprint_hash_value] = {
    .visible = true,
    .named = true,
  },
  [sym_fork_after_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_fork_after_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_timeout] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_timeout_value] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_trusted] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_x11_trusted_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gateway_ports] = {
    .visible = true,
    .named = true,
  },
  [sym_gateway_ports_value] = {
    .visible = true,
    .named = true,
  },
  [sym_global_known_hosts_file] = {
    .visible = true,
    .named = true,
  },
  [sym_global_known_hosts_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_client_identity] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_client_identity_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_delegate_credentials] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_delegate_credentials_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_key_exchange] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_key_exchange_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_renewal_forces_rekey] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_renewal_forces_rekey_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_server_identity] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_server_identity_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_trust_dns] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_trust_dns_value] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_kex_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_gssapi_kex_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_known_hosts] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_known_hosts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_accepted_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_accepted_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_hostbased_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_host_key_alias_value] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname] = {
    .visible = true,
    .named = true,
  },
  [sym_hostname_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identities_only] = {
    .visible = true,
    .named = true,
  },
  [sym_identities_only_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_agent] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_agent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_file] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_unknown] = {
    .visible = true,
    .named = true,
  },
  [sym_ignore_unknown_value] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_include_value] = {
    .visible = true,
    .named = true,
  },
  [sym_ip_qos] = {
    .visible = true,
    .named = true,
  },
  [sym_ip_qos_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_devices] = {
    .visible = true,
    .named = true,
  },
  [sym_kbd_interactive_devices_value] = {
    .visible = true,
    .named = true,
  },
  [sym_kex_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_kex_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_known_hosts_command] = {
    .visible = true,
    .named = true,
  },
  [sym_known_hosts_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_local_command] = {
    .visible = true,
    .named = true,
  },
  [sym_local_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_local_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_local_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_log_level] = {
    .visible = true,
    .named = true,
  },
  [sym_log_level_value] = {
    .visible = true,
    .named = true,
  },
  [sym_log_verbose] = {
    .visible = true,
    .named = true,
  },
  [sym_log_verbose_value] = {
    .visible = true,
    .named = true,
  },
  [sym_macs] = {
    .visible = true,
    .named = true,
  },
  [sym_macs_value] = {
    .visible = true,
    .named = true,
  },
  [sym_no_host_authentication_for_localhost] = {
    .visible = true,
    .named = true,
  },
  [sym_no_host_authentication_for_localhost_value] = {
    .visible = true,
    .named = true,
  },
  [sym_number_of_password_prompts] = {
    .visible = true,
    .named = true,
  },
  [sym_number_of_password_prompts_value] = {
    .visible = true,
    .named = true,
  },
  [sym_obscure_keystroke_timing] = {
    .visible = true,
    .named = true,
  },
  [sym_obscure_keystroke_timing_value] = {
    .visible = true,
    .named = true,
  },
  [sym_password_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_password_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_local_command] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_local_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_remote_open] = {
    .visible = true,
    .named = true,
  },
  [sym_permit_remote_open_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pkcs11_provider] = {
    .visible = true,
    .named = true,
  },
  [sym_pkcs11_provider_value] = {
    .visible = true,
    .named = true,
  },
  [sym_port] = {
    .visible = true,
    .named = true,
  },
  [sym_port_value] = {
    .visible = true,
    .named = true,
  },
  [sym_preferred_authentications] = {
    .visible = true,
    .named = true,
  },
  [sym_preferred_authentications_value] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_command] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_jump] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_jump_value] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_use_fdpass] = {
    .visible = true,
    .named = true,
  },
  [sym_proxy_use_fdpass_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_algorithms] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_algorithms_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_key_types] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_accepted_key_types_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_authentication] = {
    .visible = true,
    .named = true,
  },
  [sym_pubkey_authentication_value] = {
    .visible = true,
    .named = true,
  },
  [sym_rekey_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_rekey_limit_value] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_command] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_command_value] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_forward] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_forward_value] = {
    .visible = true,
    .named = true,
  },
  [sym_request_tty] = {
    .visible = true,
    .named = true,
  },
  [sym_request_tty_value] = {
    .visible = true,
    .named = true,
  },
  [sym_required_rsa_size] = {
    .visible = true,
    .named = true,
  },
  [sym_required_rsa_size_value] = {
    .visible = true,
    .named = true,
  },
  [sym_revoked_host_keys] = {
    .visible = true,
    .named = true,
  },
  [sym_revoked_host_keys_value] = {
    .visible = true,
    .named = true,
  },
  [sym_security_key_provider] = {
    .visible = true,
    .named = true,
  },
  [sym_security_key_provider_value] = {
    .visible = true,
    .named = true,
  },
  [sym_send_env] = {
    .visible = true,
    .named = true,
  },
  [sym_send_env_value] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_count_max] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_count_max_value] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_server_alive_interval_value] = {
    .visible = true,
    .named = true,
  },
  [sym_session_type] = {
    .visible = true,
    .named = true,
  },
  [sym_session_type_value] = {
    .visible = true,
    .named = true,
  },
  [sym_set_env] = {
    .visible = true,
    .named = true,
  },
  [sym_set_env_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stdin_null] = {
    .visible = true,
    .named = true,
  },
  [sym_stdin_null_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_mask] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_mask_value] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_unlink] = {
    .visible = true,
    .named = true,
  },
  [sym_stream_local_bind_unlink_value] = {
    .visible = true,
    .named = true,
  },
  [sym_strict_host_key_checking] = {
    .visible = true,
    .named = true,
  },
  [sym_strict_host_key_checking_value] = {
    .visible = true,
    .named = true,
  },
  [sym_syslog_facility] = {
    .visible = true,
    .named = true,
  },
  [sym_syslog_facility_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tcp_keep_alive] = {
    .visible = true,
    .named = true,
  },
  [sym_tcp_keep_alive_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_alive] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_alive_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_value] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_device] = {
    .visible = true,
    .named = true,
  },
  [sym_tunnel_device_value] = {
    .visible = true,
    .named = true,
  },
  [sym_update_host_keys] = {
    .visible = true,
    .named = true,
  },
  [sym_update_host_keys_value] = {
    .visible = true,
    .named = true,
  },
  [sym_use_keychain] = {
    .visible = true,
    .named = true,
  },
  [sym_use_keychain_value] = {
    .visible = true,
    .named = true,
  },
  [sym_use_roaming] = {
    .visible = true,
    .named = true,
  },
  [sym_use_roaming_value] = {
    .visible = true,
    .named = true,
  },
  [sym_user] = {
    .visible = true,
    .named = true,
  },
  [sym_user_value] = {
    .visible = true,
    .named = true,
  },
  [sym_user_known_hosts_file] = {
    .visible = true,
    .named = true,
  },
  [sym_user_known_hosts_file_value] = {
    .visible = true,
    .named = true,
  },
  [sym_verify_host_key_dns] = {
    .visible = true,
    .named = true,
  },
  [sym_verify_host_key_dns_value] = {
    .visible = true,
    .named = true,
  },
  [sym_visual_host_key] = {
    .visible = true,
    .named = true,
  },
  [sym_visual_host_key_value] = {
    .visible = true,
    .named = true,
  },
  [sym_xauth_location] = {
    .visible = true,
    .named = true,
  },
  [sym_xauth_location_value] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_client_config_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_batch_mode_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_canonicalize_fallback_local_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_challenge_response_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_check_host_ip_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_clear_all_forwardings_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_compression_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_connect_timeout_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_connection_attempts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_control_persist_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_enable_escape_commandline_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_enable_ssh_keysign_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_exit_on_forward_failure_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_fork_after_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_timeout_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_trusted_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_forward_x11_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gateway_ports_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_delegate_credentials_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_key_exchange_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_renewal_forces_rekey_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_gssapi_trust_dns_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_hash_known_hosts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_hostbased_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_identities_only_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_kbd_interactive_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_keep_alive_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_match_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_no_host_authentication_for_localhost_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_number_of_password_prompts_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_password_authentication_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_permit_local_command_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_port_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_proxy_use_fdpass_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_required_rsa_size_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_server_alive_count_max_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_server_alive_interval_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_stdin_null_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_stream_local_bind_unlink_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_tcp_keep_alive_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_use_keychain_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_use_roaming_value] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_visual_host_key_value] = {
    .visible = true,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_match_value,
  },
  [2] = {
    [0] = anon_alias_sym_batch_mode_value,
  },
  [3] = {
    [0] = anon_alias_sym_canonicalize_fallback_local_value,
  },
  [4] = {
    [0] = anon_alias_sym_challenge_response_authentication_value,
  },
  [5] = {
    [0] = anon_alias_sym_check_host_ip_value,
  },
  [6] = {
    [0] = anon_alias_sym_clear_all_forwardings_value,
  },
  [7] = {
    [0] = anon_alias_sym_compression_value,
  },
  [8] = {
    [0] = anon_alias_sym_connection_attempts_value,
  },
  [9] = {
    [0] = anon_alias_sym_connect_timeout_value,
  },
  [10] = {
    [0] = anon_alias_sym_control_persist_value,
  },
  [11] = {
    [0] = anon_alias_sym_enable_escape_commandline_value,
  },
  [12] = {
    [0] = anon_alias_sym_enable_ssh_keysign_value,
  },
  [13] = {
    [0] = anon_alias_sym_exit_on_forward_failure_value,
  },
  [14] = {
    [0] = anon_alias_sym_fork_after_authentication_value,
  },
  [15] = {
    [0] = anon_alias_sym_forward_x11_value,
  },
  [16] = {
    [0] = anon_alias_sym_forward_x11_timeout_value,
  },
  [17] = {
    [0] = anon_alias_sym_forward_x11_trusted_value,
  },
  [18] = {
    [0] = anon_alias_sym_gateway_ports_value,
  },
  [19] = {
    [0] = anon_alias_sym_gssapi_authentication_value,
  },
  [20] = {
    [0] = anon_alias_sym_gssapi_delegate_credentials_value,
  },
  [21] = {
    [0] = anon_alias_sym_gssapi_key_exchange_value,
  },
  [22] = {
    [0] = anon_alias_sym_gssapi_renewal_forces_rekey_value,
  },
  [23] = {
    [0] = anon_alias_sym_gssapi_trust_dns_value,
  },
  [24] = {
    [0] = anon_alias_sym_hash_known_hosts_value,
  },
  [25] = {
    [0] = anon_alias_sym_hostbased_authentication_value,
  },
  [26] = {
    [0] = anon_alias_sym_identities_only_value,
  },
  [27] = {
    [0] = anon_sym_af11,
  },
  [28] = {
    [0] = anon_alias_sym_kbd_interactive_authentication_value,
  },
  [29] = {
    [0] = anon_alias_sym_no_host_authentication_for_localhost_value,
  },
  [30] = {
    [0] = anon_alias_sym_number_of_password_prompts_value,
  },
  [31] = {
    [0] = anon_alias_sym_password_authentication_value,
  },
  [32] = {
    [0] = anon_alias_sym_permit_local_command_value,
  },
  [33] = {
    [0] = anon_alias_sym_port_value,
  },
  [34] = {
    [0] = anon_alias_sym_proxy_use_fdpass_value,
  },
  [35] = {
    [0] = anon_alias_sym_required_rsa_size_value,
  },
  [36] = {
    [0] = anon_alias_sym_server_alive_count_max_value,
  },
  [37] = {
    [0] = anon_alias_sym_server_alive_interval_value,
  },
  [38] = {
    [0] = anon_alias_sym_stdin_null_value,
  },
  [39] = {
    [0] = anon_alias_sym_stream_local_bind_unlink_value,
  },
  [40] = {
    [0] = anon_alias_sym_tcp_keep_alive_value,
  },
  [41] = {
    [0] = anon_alias_sym_keep_alive_value,
  },
  [42] = {
    [0] = anon_alias_sym_use_keychain_value,
  },
  [43] = {
    [0] = anon_alias_sym_use_roaming_value,
  },
  [44] = {
    [0] = anon_alias_sym_visual_host_key_value,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_boolean, 35,
    sym_boolean,
    anon_alias_sym_batch_mode_value,
    anon_alias_sym_canonicalize_fallback_local_value,
    anon_alias_sym_challenge_response_authentication_value,
    anon_alias_sym_check_host_ip_value,
    anon_alias_sym_clear_all_forwardings_value,
    anon_alias_sym_compression_value,
    anon_alias_sym_control_persist_value,
    anon_alias_sym_enable_escape_commandline_value,
    anon_alias_sym_enable_ssh_keysign_value,
    anon_alias_sym_exit_on_forward_failure_value,
    anon_alias_sym_fork_after_authentication_value,
    anon_alias_sym_forward_x11_trusted_value,
    anon_alias_sym_forward_x11_value,
    anon_alias_sym_gateway_ports_value,
    anon_alias_sym_gssapi_authentication_value,
    anon_alias_sym_gssapi_delegate_credentials_value,
    anon_alias_sym_gssapi_key_exchange_value,
    anon_alias_sym_gssapi_renewal_forces_rekey_value,
    anon_alias_sym_gssapi_trust_dns_value,
    anon_alias_sym_hash_known_hosts_value,
    anon_alias_sym_hostbased_authentication_value,
    anon_alias_sym_identities_only_value,
    anon_alias_sym_kbd_interactive_authentication_value,
    anon_alias_sym_keep_alive_value,
    anon_alias_sym_no_host_authentication_for_localhost_value,
    anon_alias_sym_password_authentication_value,
    anon_alias_sym_permit_local_command_value,
    anon_alias_sym_proxy_use_fdpass_value,
    anon_alias_sym_stdin_null_value,
    anon_alias_sym_stream_local_bind_unlink_value,
    anon_alias_sym_tcp_keep_alive_value,
    anon_alias_sym_use_keychain_value,
    anon_alias_sym_use_roaming_value,
    anon_alias_sym_visual_host_key_value,
  sym_pattern, 2,
    sym_pattern,
    anon_alias_sym_match_value,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(1517);
      ADVANCE_MAP(
        '"', 1532,
        '#', 1518,
        '1', 1672,
        '2', 1674,
        '=', 1530,
        'A', 68,
        'C', 114,
        'D', 43,
        'E', 873,
        'I', 347,
        'L', 58,
        'M', 115,
        'R', 368,
        'S', 369,
        'T', 116,
        'U', 65,
        'a', 80,
        'c', 103,
        'd', 400,
        'e', 82,
        'i', 56,
        'l', 59,
        'm', 75,
        'r', 48,
        's', 85,
        't', 86,
        'u', 876,
        'B', 121,
        'b', 121,
        'F', 118,
        'f', 118,
        'G', 124,
        'g', 124,
        'H', 125,
        'h', 125,
        'K', 230,
        'k', 230,
        'N', 965,
        'n', 965,
        'O', 234,
        'o', 234,
        'P', 133,
        'p', 133,
        'Q', 1417,
        'q', 1417,
        'V', 412,
        'v', 412,
        'X', 24,
        'x', 24,
        'Y', 418,
        'y', 418,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1519);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 1532,
        '#', 1518,
        '1', 1671,
        '2', 1673,
        '=', 1530,
        'A', 1435,
        'a', 1435,
        'F', 171,
        'f', 171,
        'N', 968,
        'n', 968,
        'T', 1122,
        't', 1122,
        'Y', 418,
        'y', 418,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '"', 1532,
        '#', 1518,
        '=', 1530,
        'A', 69,
        'D', 42,
        'L', 61,
        'U', 66,
        'a', 245,
        'i', 98,
        'u', 875,
        'E', 1286,
        'e', 1286,
        'F', 170,
        'f', 170,
        'H', 1043,
        'h', 1043,
        'N', 968,
        'n', 968,
        'O', 534,
        'o', 534,
        'P', 1041,
        'p', 1041,
        'T', 1122,
        't', 1122,
        'Y', 418,
        'y', 418,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1527);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(1532);
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '=') ADVANCE(1530);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1582);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(1532);
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1583);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(1533);
      if (lookahead == '#') ADVANCE(1525);
      if (lookahead == '=') ADVANCE(1531);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead != 0) ADVANCE(1525);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(1533);
      if (lookahead == '#') ADVANCE(1525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0) ADVANCE(1525);
      END_STATE();
    case 7:
      if (lookahead == '#') ADVANCE(1518);
      if (lookahead == '=') ADVANCE(1530);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1529);
      if (('\n' <= lookahead && lookahead <= '\r')) SKIP(7);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(1525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead != 0) ADVANCE(1525);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1584);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 10:
      if (lookahead == '-') ADVANCE(1240);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(287);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(423);
      END_STATE();
    case 12:
      if (lookahead == '-') ADVANCE(1092);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(1325);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(918);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(1285);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(243);
      END_STATE();
    case 17:
      if (lookahead == '-') ADVANCE(317);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(318);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(272);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(273);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '0', 1629,
        '1', 1630,
        '2', 1631,
        '3', 1632,
        '4', 1633,
        '5', 1634,
        '6', 1635,
        '7', 1636,
      );
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '0', 1708,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        '7', 1715,
      );
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '0', 1708,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        '7', 1715,
        'C', 974,
        'c', 974,
        'F', 989,
        'f', 989,
      );
      END_STATE();
    case 24:
      if (lookahead == '1') ADVANCE(26);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1422);
      END_STATE();
    case 25:
      if (lookahead == '1') ADVANCE(27);
      if (lookahead == '2') ADVANCE(28);
      if (lookahead == '3') ADVANCE(29);
      if (lookahead == '4') ADVANCE(30);
      END_STATE();
    case 26:
      if (lookahead == '1') ADVANCE(17);
      END_STATE();
    case 27:
      if (lookahead == '1') ADVANCE(1617);
      if (lookahead == '2') ADVANCE(1618);
      if (lookahead == '3') ADVANCE(1619);
      END_STATE();
    case 28:
      if (lookahead == '1') ADVANCE(1620);
      if (lookahead == '2') ADVANCE(1621);
      if (lookahead == '3') ADVANCE(1622);
      END_STATE();
    case 29:
      if (lookahead == '1') ADVANCE(1623);
      if (lookahead == '2') ADVANCE(1624);
      if (lookahead == '3') ADVANCE(1625);
      END_STATE();
    case 30:
      if (lookahead == '1') ADVANCE(1626);
      if (lookahead == '2') ADVANCE(1627);
      if (lookahead == '3') ADVANCE(1628);
      END_STATE();
    case 31:
      if (lookahead == '1') ADVANCE(1592);
      END_STATE();
    case 32:
      if (lookahead == '1') ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '1') ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '1') ADVANCE(1099);
      END_STATE();
    case 35:
      if (lookahead == '2') ADVANCE(37);
      END_STATE();
    case 36:
      if (lookahead == '5') ADVANCE(1588);
      END_STATE();
    case 37:
      if (lookahead == '5') ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '6') ADVANCE(1589);
      END_STATE();
    case 39:
      if (lookahead == ':') ADVANCE(1514);
      END_STATE();
    case 40:
      if (lookahead == '@') ADVANCE(1048);
      END_STATE();
    case 41:
      if (lookahead == '@') ADVANCE(1061);
      END_STATE();
    case 42:
      if (lookahead == 'A') ADVANCE(49);
      END_STATE();
    case 43:
      if (lookahead == 'A') ADVANCE(49);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(231);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1127);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(882);
      END_STATE();
    case 44:
      if (lookahead == 'A') ADVANCE(53);
      if (lookahead == 'a') ADVANCE(744);
      END_STATE();
    case 45:
      if (lookahead == 'A') ADVANCE(54);
      END_STATE();
    case 46:
      if (lookahead == 'C') ADVANCE(44);
      if (lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(766);
      END_STATE();
    case 47:
      if (lookahead == 'C') ADVANCE(45);
      END_STATE();
    case 48:
      if (lookahead == 'E') ADVANCE(721);
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 49:
      if (lookahead == 'E') ADVANCE(55);
      END_STATE();
    case 50:
      if (lookahead == 'E') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 51:
      if (lookahead == 'E') ADVANCE(64);
      END_STATE();
    case 52:
      if (lookahead == 'H') ADVANCE(1707);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1572);
      END_STATE();
    case 53:
      if (lookahead == 'L') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(264);
      END_STATE();
    case 54:
      if (lookahead == 'L') ADVANCE(22);
      END_STATE();
    case 55:
      if (lookahead == 'M') ADVANCE(60);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        'N', 247,
        'n', 105,
        'D', 414,
        'd', 414,
        'G', 883,
        'g', 883,
        'P', 1112,
        'p', 1112,
      );
      END_STATE();
    case 57:
      if (lookahead == 'N') ADVANCE(1705);
      END_STATE();
    case 58:
      if (lookahead == 'O') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 59:
      if (lookahead == 'O') ADVANCE(256);
      if (lookahead == 'e') ADVANCE(1638);
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 60:
      if (lookahead == 'O') ADVANCE(57);
      END_STATE();
    case 61:
      if (lookahead == 'O') ADVANCE(47);
      END_STATE();
    case 62:
      if (lookahead == 'O') ADVANCE(607);
      if (lookahead == 'o') ADVANCE(97);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(811);
      END_STATE();
    case 63:
      if (lookahead == 'R') ADVANCE(1726);
      if (lookahead == 'r') ADVANCE(1726);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(409);
      END_STATE();
    case 64:
      if (lookahead == 'R') ADVANCE(1706);
      END_STATE();
    case 65:
      if (lookahead == 'S') ADVANCE(50);
      if (lookahead == 's') ADVANCE(402);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(337);
      END_STATE();
    case 66:
      if (lookahead == 'S') ADVANCE(51);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(52);
      if (lookahead == 't') ADVANCE(966);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        'U', 67,
        'u', 1307,
        'C', 251,
        'c', 251,
        'D', 320,
        'd', 320,
        'G', 413,
        'g', 413,
        'L', 1463,
        'l', 1463,
        'N', 1482,
        'n', 1482,
        'S', 716,
        's', 716,
      );
      END_STATE();
    case 69:
      if (lookahead == 'U') ADVANCE(67);
      if (lookahead == 'u') ADVANCE(1307);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(251);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(716);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 74:
      if (lookahead == 'b') ADVANCE(91);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(36);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(1580);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        'f', 25,
        'C', 251,
        'c', 251,
        'D', 320,
        'd', 320,
        'G', 413,
        'g', 413,
        'L', 1463,
        'l', 1463,
        'N', 1482,
        'n', 1482,
        'S', 716,
        's', 716,
        'U', 1307,
        'u', 1307,
      );
      END_STATE();
    case 81:
      if (lookahead == 'f') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(320);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(413);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        'f', 1637,
        'N', 128,
        'n', 128,
        'R', 1125,
        'r', 1125,
        'S', 254,
        's', 254,
        'T', 583,
        't', 583,
        'X', 652,
        'x', 652,
      );
      END_STATE();
    case 83:
      if (lookahead == 'f') ADVANCE(1637);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(128);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(254);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(652);
      END_STATE();
    case 84:
      if (lookahead == 'g') ADVANCE(88);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        'h', 70,
        'E', 252,
        'e', 252,
        'T', 336,
        't', 336,
        'U', 235,
        'u', 235,
        'Y', 1220,
        'y', 1220,
      );
      END_STATE();
    case 86:
      ADVANCE_MAP(
        'h', 101,
        'A', 555,
        'a', 555,
        'C', 1083,
        'c', 1083,
        'R', 1424,
        'r', 1424,
        'U', 855,
        'u', 855,
      );
      END_STATE();
    case 87:
      if (lookahead == 'h') ADVANCE(101);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(555);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1083);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(855);
      END_STATE();
    case 88:
      if (lookahead == 'h') ADVANCE(100);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        'l', 90,
        'K', 403,
        'k', 403,
        'M', 1014,
        'm', 1014,
        'Q', 1418,
        'q', 1418,
        'V', 1021,
        'v', 1021,
      );
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(72);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1040);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 99:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        's', 21,
        'A', 880,
        'a', 880,
        'E', 1124,
        'e', 1124,
        'H', 119,
        'h', 119,
        'I', 1108,
        'i', 1108,
        'L', 405,
        'l', 405,
        'O', 810,
        'o', 810,
      );
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(79);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(759);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1287);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(967);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(1640);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 108:
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 109:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 110:
      if (lookahead == 'v') ADVANCE(73);
      END_STATE();
    case 111:
      if (lookahead == 'w') ADVANCE(76);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(766);
      END_STATE();
    case 112:
      if (lookahead == 'y') ADVANCE(1639);
      END_STATE();
    case 113:
      if (lookahead == 'y') ADVANCE(1641);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        'A', 880,
        'a', 880,
        'E', 1124,
        'e', 1124,
        'H', 119,
        'h', 119,
        'I', 1108,
        'i', 1108,
        'L', 405,
        'l', 405,
        'O', 810,
        'o', 810,
      );
      END_STATE();
    case 115:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        'A', 555,
        'a', 555,
        'C', 1083,
        'c', 1083,
        'R', 1424,
        'r', 1424,
        'U', 855,
        'u', 855,
      );
      END_STATE();
    case 117:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(555);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1083);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(855);
      END_STATE();
    case 118:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(764);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(877);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1113);
      END_STATE();
    case 119:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(756);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 120:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 121:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1312);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(881);
      END_STATE();
    case 122:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1497);
      END_STATE();
    case 123:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1479);
      END_STATE();
    case 124:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1316);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(971);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1230);
      END_STATE();
    case 125:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1218);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1223);
      END_STATE();
    case 126:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(842);
      END_STATE();
    case 127:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1478);
      END_STATE();
    case 128:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(232);
      END_STATE();
    case 129:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(820);
      END_STATE();
    case 130:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(552);
      END_STATE();
    case 131:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(744);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1097);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        'A', 1233,
        'a', 1233,
        'E', 1123,
        'e', 1123,
        'K', 263,
        'k', 263,
        'O', 658,
        'o', 658,
        'R', 401,
        'r', 401,
        'U', 241,
        'u', 241,
      );
      END_STATE();
    case 134:
      ADVANCE_MAP(
        'A', 1233,
        'a', 1233,
        'E', 1123,
        'e', 1123,
        'K', 263,
        'k', 263,
        'O', 1128,
        'o', 1128,
        'R', 401,
        'r', 401,
        'U', 241,
        'u', 241,
      );
      END_STATE();
    case 135:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(745);
      END_STATE();
    case 136:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(338);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(931);
      END_STATE();
    case 137:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1133);
      END_STATE();
    case 138:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1085);
      END_STATE();
    case 139:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(757);
      END_STATE();
    case 140:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1423);
      END_STATE();
    case 141:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1492);
      END_STATE();
    case 142:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(806);
      END_STATE();
    case 143:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(835);
      END_STATE();
    case 144:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(795);
      END_STATE();
    case 145:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(768);
      END_STATE();
    case 146:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 147:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1129);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(257);
      END_STATE();
    case 149:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(750);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1375);
      END_STATE();
    case 151:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(752);
      END_STATE();
    case 152:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 153:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1117);
      END_STATE();
    case 154:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(653);
      END_STATE();
    case 155:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(805);
      END_STATE();
    case 156:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1132);
      END_STATE();
    case 157:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1315);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1139);
      END_STATE();
    case 158:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1135);
      END_STATE();
    case 159:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1136);
      END_STATE();
    case 160:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1239);
      END_STATE();
    case 161:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(753);
      END_STATE();
    case 162:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1195);
      END_STATE();
    case 163:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1137);
      END_STATE();
    case 164:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(754);
      END_STATE();
    case 165:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1167);
      END_STATE();
    case 166:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(775);
      END_STATE();
    case 167:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(755);
      END_STATE();
    case 168:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1371);
      END_STATE();
    case 169:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1231);
      END_STATE();
    case 170:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(763);
      END_STATE();
    case 171:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(763);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1166);
      END_STATE();
    case 172:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1227);
      END_STATE();
    case 173:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(568);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(33);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(814);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        'A', 1428,
        'a', 1428,
        'C', 780,
        'c', 780,
        'D', 474,
        'd', 474,
        'K', 378,
        'k', 378,
        'R', 493,
        'r', 493,
        'S', 449,
        's', 449,
        'T', 1130,
        't', 1130,
      );
      END_STATE();
    case 176:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(928);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(762);
      END_STATE();
    case 178:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(831);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1332);
      END_STATE();
    case 180:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(894);
      END_STATE();
    case 181:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(829);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1250);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(773);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 185:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(896);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(637);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1378);
      END_STATE();
    case 188:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(898);
      END_STATE();
    case 189:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(659);
      END_STATE();
    case 190:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1247);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1340);
      END_STATE();
    case 192:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(903);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(904);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(905);
      END_STATE();
    case 195:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1361);
      END_STATE();
    case 196:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1100);
      END_STATE();
    case 197:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(291);
      END_STATE();
    case 198:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(787);
      END_STATE();
    case 199:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1277);
      END_STATE();
    case 200:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(788);
      END_STATE();
    case 201:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(837);
      END_STATE();
    case 202:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(791);
      END_STATE();
    case 203:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(296);
      END_STATE();
    case 204:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(845);
      END_STATE();
    case 205:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1273);
      END_STATE();
    case 206:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(797);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(569);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(665);
      END_STATE();
    case 208:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(571);
      END_STATE();
    case 209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1386);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1387);
      END_STATE();
    case 211:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1388);
      END_STATE();
    case 212:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1389);
      END_STATE();
    case 213:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1390);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1391);
      END_STATE();
    case 215:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1392);
      END_STATE();
    case 216:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1393);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1394);
      END_STATE();
    case 218:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(799);
      END_STATE();
    case 219:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(798);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(801);
      END_STATE();
    case 221:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(803);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(440);
      END_STATE();
    case 222:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(804);
      END_STATE();
    case 223:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(854);
      END_STATE();
    case 224:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1442);
      END_STATE();
    case 225:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1443);
      END_STATE();
    case 226:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1444);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1445);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(512);
      END_STATE();
    case 228:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1446);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1447);
      END_STATE();
    case 230:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(349);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(407);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(970);
      END_STATE();
    case 231:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1419);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(140);
      END_STATE();
    case 232:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(772);
      END_STATE();
    case 233:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1226);
      END_STATE();
    case 234:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1226);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(535);
      END_STATE();
    case 235:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1261);
      END_STATE();
    case 236:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(978);
      END_STATE();
    case 237:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(142);
      END_STATE();
    case 238:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(482);
      END_STATE();
    case 239:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(675);
      END_STATE();
    case 240:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(148);
      END_STATE();
    case 241:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(727);
      END_STATE();
    case 242:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1019);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(536);
      END_STATE();
    case 243:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1044);
      END_STATE();
    case 244:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1030);
      END_STATE();
    case 245:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(251);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(716);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1307);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(759);
      END_STATE();
    case 247:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(759);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1287);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(967);
      END_STATE();
    case 248:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(720);
      END_STATE();
    case 249:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(577);
      END_STATE();
    case 250:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(582);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        'C', 1425,
        'c', 1425,
        'N', 353,
        'n', 353,
        'R', 1450,
        'r', 1450,
        'S', 1224,
        's', 1224,
        'T', 421,
        't', 421,
      );
      END_STATE();
    case 253:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(737);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(592);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(131);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(766);
      END_STATE();
    case 257:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(742);
      END_STATE();
    case 258:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(586);
      END_STATE();
    case 259:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1190);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 260:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1434);
      END_STATE();
    case 261:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1309);
      END_STATE();
    case 262:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1377);
      END_STATE();
    case 263:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1219);
      END_STATE();
    case 264:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(974);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(989);
      END_STATE();
    case 265:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1292);
      END_STATE();
    case 266:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(639);
      END_STATE();
    case 267:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(374);
      END_STATE();
    case 268:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(374);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(130);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(147);
      END_STATE();
    case 269:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      END_STATE();
    case 270:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(986);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(945);
      END_STATE();
    case 271:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(187);
      END_STATE();
    case 272:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(980);
      END_STATE();
    case 273:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(982);
      END_STATE();
    case 274:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(152);
      END_STATE();
    case 275:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(155);
      END_STATE();
    case 276:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 277:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(167);
      END_STATE();
    case 278:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 279:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(389);
      END_STATE();
    case 280:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(390);
      END_STATE();
    case 281:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(278);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1408);
      END_STATE();
    case 282:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1088);
      END_STATE();
    case 283:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(990);
      END_STATE();
    case 284:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(597);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1091);
      END_STATE();
    case 286:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(588);
      END_STATE();
    case 287:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1018);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(920);
      END_STATE();
    case 289:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(466);
      END_STATE();
    case 291:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1383);
      END_STATE();
    case 292:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1150);
      END_STATE();
    case 293:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(196);
      END_STATE();
    case 294:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(191);
      END_STATE();
    case 295:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(505);
      END_STATE();
    case 296:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1411);
      END_STATE();
    case 297:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 298:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1382);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1384);
      END_STATE();
    case 300:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1385);
      END_STATE();
    case 301:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(553);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1066);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(1421);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1252);
      END_STATE();
    case 303:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 304:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(219);
      END_STATE();
    case 305:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1071);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1062);
      END_STATE();
    case 306:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 307:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1073);
      END_STATE();
    case 308:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 309:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1074);
      END_STATE();
    case 310:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 311:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1075);
      END_STATE();
    case 312:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 313:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(214);
      END_STATE();
    case 314:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 315:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(216);
      END_STATE();
    case 316:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(217);
      END_STATE();
    case 317:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1076);
      END_STATE();
    case 318:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1077);
      END_STATE();
    case 319:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(320);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(413);
      END_STATE();
    case 320:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(723);
      END_STATE();
    case 321:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1681);
      END_STATE();
    case 322:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 323:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1646);
      END_STATE();
    case 324:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1647);
      END_STATE();
    case 325:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1675);
      END_STATE();
    case 326:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1684);
      END_STATE();
    case 327:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1685);
      END_STATE();
    case 328:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1576);
      END_STATE();
    case 329:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      END_STATE();
    case 330:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(822);
      END_STATE();
    case 331:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1594);
      END_STATE();
    case 332:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1645);
      END_STATE();
    case 333:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1665);
      END_STATE();
    case 334:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1682);
      END_STATE();
    case 335:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 336:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(629);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 337:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 338:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(361);
      END_STATE();
    case 339:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 340:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1154);
      END_STATE();
    case 341:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(911);
      END_STATE();
    case 342:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1017);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 343:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 344:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1010);
      END_STATE();
    case 345:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(376);
      END_STATE();
    case 346:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(380);
      END_STATE();
    case 347:
      ADVANCE_MAP(
        'D', 414,
        'd', 414,
        'G', 883,
        'g', 883,
        'N', 247,
        'n', 247,
        'P', 1112,
        'p', 1112,
      );
      END_STATE();
    case 348:
      ADVANCE_MAP(
        'D', 414,
        'd', 414,
        'G', 883,
        'g', 883,
        'N', 246,
        'n', 246,
        'P', 1112,
        'p', 1112,
      );
      END_STATE();
    case 349:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(630);
      END_STATE();
    case 350:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1098);
      END_STATE();
    case 351:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(540);
      END_STATE();
    case 352:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(916);
      END_STATE();
    case 353:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(437);
      END_STATE();
    case 354:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(643);
      END_STATE();
    case 355:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(460);
      END_STATE();
    case 356:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 357:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1101);
      END_STATE();
    case 358:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(786);
      END_STATE();
    case 359:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(511);
      END_STATE();
    case 360:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(15);
      END_STATE();
    case 361:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1175);
      END_STATE();
    case 362:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(203);
      END_STATE();
    case 363:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(513);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(516);
      END_STATE();
    case 365:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(610);
      END_STATE();
    case 366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(222);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(226);
      END_STATE();
    case 368:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(721);
      END_STATE();
    case 369:
      ADVANCE_MAP(
        'E', 252,
        'e', 252,
        'T', 336,
        't', 336,
        'U', 235,
        'u', 235,
        'Y', 1220,
        'y', 1220,
      );
      END_STATE();
    case 370:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(336);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1220);
      END_STATE();
    case 371:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1521);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1547);
      END_STATE();
    case 373:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1524);
      END_STATE();
    case 374:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1687);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 376:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1615);
      END_STATE();
    case 377:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1653);
      END_STATE();
    case 378:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1481);
      END_STATE();
    case 379:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1610);
      END_STATE();
    case 380:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1540);
      END_STATE();
    case 381:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1717);
      END_STATE();
    case 382:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1658);
      END_STATE();
    case 383:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1480);
      END_STATE();
    case 384:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 385:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1694);
      END_STATE();
    case 386:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1613);
      END_STATE();
    case 388:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1716);
      END_STATE();
    case 389:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1722);
      END_STATE();
    case 390:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1542);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 392:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1551);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1688);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1600);
      END_STATE();
    case 395:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1545);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1586);
      END_STATE();
    case 397:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1596);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1577);
      END_STATE();
    case 399:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 400:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(231);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1127);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(882);
      END_STATE();
    case 401:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(543);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1319);
      END_STATE();
    case 402:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 403:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1493);
      END_STATE();
    case 404:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(726);
      END_STATE();
    case 405:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 406:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1462);
      END_STATE();
    case 407:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1087);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(139);
      END_STATE();
    case 408:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1451);
      END_STATE();
    case 409:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1494);
      END_STATE();
    case 410:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1086);
      END_STATE();
    case 411:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1500);
      END_STATE();
    case 412:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1114);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1225);
      END_STATE();
    case 413:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 414:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(924);
      END_STATE();
    case 415:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(570);
      END_STATE();
    case 416:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 417:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1189);
      END_STATE();
    case 419:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(807);
      END_STATE();
    case 420:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 421:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      END_STATE();
    case 422:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 423:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(746);
      END_STATE();
    case 424:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1290);
      END_STATE();
    case 425:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(830);
      END_STATE();
    case 426:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1427);
      END_STATE();
    case 427:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 428:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 429:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1116);
      END_STATE();
    case 430:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1105);
      END_STATE();
    case 431:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(126);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(262);
      END_STATE();
    case 432:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1509);
      END_STATE();
    case 433:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1153);
      END_STATE();
    case 434:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(782);
      END_STATE();
    case 435:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1486);
      END_STATE();
    case 436:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1155);
      END_STATE();
    case 437:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(879);
      END_STATE();
    case 438:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 439:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1164);
      END_STATE();
    case 440:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1505);
      END_STATE();
    case 441:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(748);
      END_STATE();
    case 442:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 443:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 444:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1491);
      END_STATE();
    case 445:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1295);
      END_STATE();
    case 446:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1156);
      END_STATE();
    case 447:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1229);
      END_STATE();
    case 448:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 449:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1163);
      END_STATE();
    case 450:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1267);
      END_STATE();
    case 451:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 452:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1234);
      END_STATE();
    case 453:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1022);
      END_STATE();
    case 454:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 455:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1186);
      END_STATE();
    case 456:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(983);
      END_STATE();
    case 457:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1118);
      END_STATE();
    case 458:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 459:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 460:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1119);
      END_STATE();
    case 461:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1126);
      END_STATE();
    case 462:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1120);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1142);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1225);
      END_STATE();
    case 464:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(932);
      END_STATE();
    case 465:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1276);
      END_STATE();
    case 466:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1210);
      END_STATE();
    case 467:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1211);
      END_STATE();
    case 468:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1216);
      END_STATE();
    case 469:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1465);
      END_STATE();
    case 470:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1453);
      END_STATE();
    case 471:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      END_STATE();
    case 472:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(838);
      END_STATE();
    case 473:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(548);
      END_STATE();
    case 474:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(774);
      END_STATE();
    case 475:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1495);
      END_STATE();
    case 476:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1501);
      END_STATE();
    case 477:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1238);
      END_STATE();
    case 478:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1183);
      END_STATE();
    case 479:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1511);
      END_STATE();
    case 480:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(362);
      END_STATE();
    case 481:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1499);
      END_STATE();
    case 482:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1134);
      END_STATE();
    case 483:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1271);
      END_STATE();
    case 484:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1143);
      END_STATE();
    case 485:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 486:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1467);
      END_STATE();
    case 487:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 488:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1508);
      END_STATE();
    case 489:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(738);
      END_STATE();
    case 490:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(910);
      END_STATE();
    case 491:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1242);
      END_STATE();
    case 492:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1188);
      END_STATE();
    case 493:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      END_STATE();
    case 494:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1502);
      END_STATE();
    case 495:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(913);
      END_STATE();
    case 496:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1503);
      END_STATE();
    case 497:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(915);
      END_STATE();
    case 498:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1504);
      END_STATE();
    case 499:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1352);
      END_STATE();
    case 500:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(733);
      END_STATE();
    case 501:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1174);
      END_STATE();
    case 502:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(937);
      END_STATE();
    case 503:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(934);
      END_STATE();
    case 504:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1161);
      END_STATE();
    case 505:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1107);
      END_STATE();
    case 506:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1025);
      END_STATE();
    case 507:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 508:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(935);
      END_STATE();
    case 509:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1029);
      END_STATE();
    case 510:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(601);
      END_STATE();
    case 511:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(936);
      END_STATE();
    case 512:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1460);
      END_STATE();
    case 513:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(941);
      END_STATE();
    case 514:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 515:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(942);
      END_STATE();
    case 516:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(944);
      END_STATE();
    case 517:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 518:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 519:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 520:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 521:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 522:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 523:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 524:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(956);
      END_STATE();
    case 525:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(957);
      END_STATE();
    case 526:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(958);
      END_STATE();
    case 527:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(959);
      END_STATE();
    case 528:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(960);
      END_STATE();
    case 529:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(961);
      END_STATE();
    case 530:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(962);
      END_STATE();
    case 531:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(963);
      END_STATE();
    case 532:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 533:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 534:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(535);
      END_STATE();
    case 535:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1702);
      END_STATE();
    case 536:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1510);
      END_STATE();
    case 537:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 538:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(146);
      END_STATE();
    case 539:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(184);
      END_STATE();
    case 540:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(154);
      END_STATE();
    case 541:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1093);
      END_STATE();
    case 542:
      ADVANCE_MAP(
        'F', 183,
        'f', 183,
        'H', 1039,
        'h', 1039,
        'M', 123,
        'm', 123,
        'P', 501,
        'p', 501,
      );
      END_STATE();
    case 543:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(439);
      END_STATE();
    case 544:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1002);
      END_STATE();
    case 545:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1005);
      END_STATE();
    case 546:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(178);
      END_STATE();
    case 547:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(663);
      END_STATE();
    case 548:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(670);
      END_STATE();
    case 549:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(672);
      END_STATE();
    case 550:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(676);
      END_STATE();
    case 551:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1059);
      END_STATE();
    case 552:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1380);
      END_STATE();
    case 553:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1063);
      END_STATE();
    case 554:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1064);
      END_STATE();
    case 555:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1718);
      END_STATE();
    case 556:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1654);
      END_STATE();
    case 557:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1701);
      END_STATE();
    case 558:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1662);
      END_STATE();
    case 559:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1725);
      END_STATE();
    case 560:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(538);
      END_STATE();
    case 561:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(864);
      END_STATE();
    case 562:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1207);
      END_STATE();
    case 563:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(394);
      END_STATE();
    case 564:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(899);
      END_STATE();
    case 565:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1045);
      END_STATE();
    case 566:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(436);
      END_STATE();
    case 567:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(504);
      END_STATE();
    case 568:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(490);
      END_STATE();
    case 569:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(495);
      END_STATE();
    case 570:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(195);
      END_STATE();
    case 571:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(497);
      END_STATE();
    case 572:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1051);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 573:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1053);
      END_STATE();
    case 574:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1055);
      END_STATE();
    case 575:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1056);
      END_STATE();
    case 576:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1057);
      END_STATE();
    case 577:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1534);
      END_STATE();
    case 578:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1574);
      END_STATE();
    case 579:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1587);
      END_STATE();
    case 580:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      END_STATE();
    case 581:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(734);
      END_STATE();
    case 582:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(816);
      END_STATE();
    case 583:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(420);
      END_STATE();
    case 584:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(818);
      END_STATE();
    case 585:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1023);
      END_STATE();
    case 586:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(186);
      END_STATE();
    case 587:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 588:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 589:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(770);
      END_STATE();
    case 590:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(429);
      END_STATE();
    case 591:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(821);
      END_STATE();
    case 592:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(153);
      END_STATE();
    case 593:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(992);
      END_STATE();
    case 594:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(823);
      END_STATE();
    case 595:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(825);
      END_STATE();
    case 596:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(826);
      END_STATE();
    case 597:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(443);
      END_STATE();
    case 598:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(828);
      END_STATE();
    case 599:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(20);
      END_STATE();
    case 600:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1026);
      END_STATE();
    case 601:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1050);
      END_STATE();
    case 602:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(508);
      END_STATE();
    case 603:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1052);
      END_STATE();
    case 604:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1054);
      END_STATE();
    case 605:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1033);
      END_STATE();
    case 606:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1038);
      END_STATE();
    case 607:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1040);
      END_STATE();
    case 608:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1042);
      END_STATE();
    case 609:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(739);
      END_STATE();
    case 610:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1069);
      END_STATE();
    case 611:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1068);
      END_STATE();
    case 612:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(524);
      END_STATE();
    case 613:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(525);
      END_STATE();
    case 614:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(526);
      END_STATE();
    case 615:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(527);
      END_STATE();
    case 616:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(528);
      END_STATE();
    case 617:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(529);
      END_STATE();
    case 618:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(530);
      END_STATE();
    case 619:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(531);
      END_STATE();
    case 620:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 621:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1127);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(882);
      END_STATE();
    case 622:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(564);
      END_STATE();
    case 623:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(536);
      END_STATE();
    case 624:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(547);
      END_STATE();
    case 625:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(877);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1121);
      END_STATE();
    case 626:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(561);
      END_STATE();
    case 627:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 628:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1079);
      END_STATE();
    case 629:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(895);
      END_STATE();
    case 630:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(930);
      END_STATE();
    case 631:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 632:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1080);
      END_STATE();
    case 633:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1291);
      END_STATE();
    case 634:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1081);
      END_STATE();
    case 635:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1294);
      END_STATE();
    case 636:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1314);
      END_STATE();
    case 637:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(858);
      END_STATE();
    case 638:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1020);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(698);
      END_STATE();
    case 639:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(784);
      END_STATE();
    case 640:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(761);
      END_STATE();
    case 641:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1296);
      END_STATE();
    case 642:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1347);
      END_STATE();
    case 643:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(889);
      END_STATE();
    case 644:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(888);
      END_STATE();
    case 645:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(891);
      END_STATE();
    case 646:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(892);
      END_STATE();
    case 647:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1321);
      END_STATE();
    case 648:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(893);
      END_STATE();
    case 649:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(166);
      END_STATE();
    case 650:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1323);
      END_STATE();
    case 651:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1324);
      END_STATE();
    case 652:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1348);
      END_STATE();
    case 653:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(790);
      END_STATE();
    case 654:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1513);
      END_STATE();
    case 655:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 656:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(827);
      END_STATE();
    case 657:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(890);
      END_STATE();
    case 658:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(890);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1289);
      END_STATE();
    case 659:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(914);
      END_STATE();
    case 660:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(279);
      END_STATE();
    case 661:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1454);
      END_STATE();
    case 662:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(450);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(207);
      END_STATE();
    case 663:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 664:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(988);
      END_STATE();
    case 665:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(776);
      END_STATE();
    case 666:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 667:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(908);
      END_STATE();
    case 668:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1456);
      END_STATE();
    case 669:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(836);
      END_STATE();
    case 670:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(777);
      END_STATE();
    case 671:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(991);
      END_STATE();
    case 672:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(778);
      END_STATE();
    case 673:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(922);
      END_STATE();
    case 674:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1457);
      END_STATE();
    case 675:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      END_STATE();
    case 676:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(779);
      END_STATE();
    case 677:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1458);
      END_STATE();
    case 678:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(994);
      END_STATE();
    case 679:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(917);
      END_STATE();
    case 680:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1251);
      END_STATE();
    case 681:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(995);
      END_STATE();
    case 682:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(996);
      END_STATE();
    case 683:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(998);
      END_STATE();
    case 684:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1001);
      END_STATE();
    case 685:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1003);
      END_STATE();
    case 686:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1004);
      END_STATE();
    case 687:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      END_STATE();
    case 688:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 689:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1027);
      END_STATE();
    case 690:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1008);
      END_STATE();
    case 691:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1009);
      END_STATE();
    case 692:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(833);
      END_STATE();
    case 693:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 694:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1354);
      END_STATE();
    case 695:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1374);
      END_STATE();
    case 696:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(503);
      END_STATE();
    case 697:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1047);
      END_STATE();
    case 698:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(841);
      END_STATE();
    case 699:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 700:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 701:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1358);
      END_STATE();
    case 702:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1441);
      END_STATE();
    case 703:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1360);
      END_STATE();
    case 704:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1363);
      END_STATE();
    case 705:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1367);
      END_STATE();
    case 706:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(303);
      END_STATE();
    case 707:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 708:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(306);
      END_STATE();
    case 709:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 710:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(310);
      END_STATE();
    case 711:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 712:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(313);
      END_STATE();
    case 713:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 714:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(315);
      END_STATE();
    case 715:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 716:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1570);
      END_STATE();
    case 717:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1573);
      END_STATE();
    case 718:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1699);
      END_STATE();
    case 719:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1700);
      END_STATE();
    case 720:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(593);
      END_STATE();
    case 721:
      ADVANCE_MAP(
        'K', 403,
        'k', 403,
        'M', 1014,
        'm', 1014,
        'Q', 1418,
        'q', 1418,
        'V', 1021,
        'v', 1021,
      );
      END_STATE();
    case 722:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(130);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(147);
      END_STATE();
    case 723:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(481);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(477);
      END_STATE();
    case 724:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(454);
      END_STATE();
    case 725:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(409);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1726);
      END_STATE();
    case 726:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(409);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1727);
      END_STATE();
    case 727:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(411);
      END_STATE();
    case 728:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(417);
      END_STATE();
    case 729:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(479);
      END_STATE();
    case 730:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(432);
      END_STATE();
    case 731:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(435);
      END_STATE();
    case 732:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(499);
      END_STATE();
    case 733:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(444);
      END_STATE();
    case 734:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(948);
      END_STATE();
    case 735:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(475);
      END_STATE();
    case 736:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(923);
      END_STATE();
    case 737:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(645);
      END_STATE();
    case 738:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(488);
      END_STATE();
    case 739:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(494);
      END_STATE();
    case 740:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(496);
      END_STATE();
    case 741:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(498);
      END_STATE();
    case 742:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(794);
      END_STATE();
    case 743:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(951);
      END_STATE();
    case 744:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(264);
      END_STATE();
    case 745:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1650);
      END_STATE();
    case 746:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1719);
      END_STATE();
    case 747:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 748:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1648);
      END_STATE();
    case 749:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1670);
      END_STATE();
    case 750:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(342);
      END_STATE();
    case 751:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1698);
      END_STATE();
    case 752:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(572);
      END_STATE();
    case 753:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 754:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1693);
      END_STATE();
    case 755:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1544);
      END_STATE();
    case 756:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(783);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(900);
      END_STATE();
    case 757:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(565);
      END_STATE();
    case 758:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 759:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1420);
      END_STATE();
    case 760:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(692);
      END_STATE();
    case 761:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1485);
      END_STATE();
    case 762:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(661);
      END_STATE();
    case 763:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1236);
      END_STATE();
    case 764:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1236);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(135);
      END_STATE();
    case 765:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(972);
      END_STATE();
    case 766:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(470);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(433);
      END_STATE();
    case 767:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1487);
      END_STATE();
    case 768:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(802);
      END_STATE();
    case 769:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1293);
      END_STATE();
    case 770:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1024);
      END_STATE();
    case 771:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(751);
      END_STATE();
    case 772:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(375);
      END_STATE();
    case 773:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(781);
      END_STATE();
    case 774:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(415);
      END_STATE();
    case 775:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1215);
      END_STATE();
    case 776:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 777:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 778:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(397);
      END_STATE();
    case 779:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 780:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(696);
      END_STATE();
    case 781:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 782:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1318);
      END_STATE();
    case 783:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(502);
      END_STATE();
    case 784:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(647);
      END_STATE();
    case 785:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(644);
      END_STATE();
    case 786:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 787:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(544);
      END_STATE();
    case 788:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(668);
      END_STATE();
    case 789:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1028);
      END_STATE();
    case 790:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1439);
      END_STATE();
    case 791:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(674);
      END_STATE();
    case 792:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1031);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(472);
      END_STATE();
    case 793:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1032);
      END_STATE();
    case 794:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1034);
      END_STATE();
    case 795:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(604);
      END_STATE();
    case 796:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1036);
      END_STATE();
    case 797:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(608);
      END_STATE();
    case 798:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 799:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 800:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1067);
      END_STATE();
    case 801:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(574);
      END_STATE();
    case 802:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 803:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 804:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(576);
      END_STATE();
    case 805:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 806:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(743);
      END_STATE();
    case 807:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1695);
      END_STATE();
    case 808:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1556);
      END_STATE();
    case 809:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1558);
      END_STATE();
    case 810:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1084);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(939);
      END_STATE();
    case 811:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(238);
      END_STATE();
    case 812:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(633);
      END_STATE();
    case 813:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(819);
      END_STATE();
    case 814:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(627);
      END_STATE();
    case 815:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1078);
      END_STATE();
    case 816:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1016);
      END_STATE();
    case 817:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(199);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(157);
      END_STATE();
    case 818:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1196);
      END_STATE();
    case 819:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(180);
      END_STATE();
    case 820:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(379);
      END_STATE();
    case 821:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1204);
      END_STATE();
    case 822:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(172);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(906);
      END_STATE();
    case 823:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1208);
      END_STATE();
    case 824:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(127);
      END_STATE();
    case 825:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1209);
      END_STATE();
    case 826:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1214);
      END_STATE();
    case 827:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(453);
      END_STATE();
    case 828:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1217);
      END_STATE();
    case 829:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(395);
      END_STATE();
    case 830:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1094);
      END_STATE();
    case 831:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(640);
      END_STATE();
    case 832:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1095);
      END_STATE();
    case 833:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(641);
      END_STATE();
    case 834:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(695);
      END_STATE();
    case 835:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(468);
      END_STATE();
    case 836:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(646);
      END_STATE();
    case 837:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(648);
      END_STATE();
    case 838:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1035);
      END_STATE();
    case 839:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(189);
      END_STATE();
    case 840:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(185);
      END_STATE();
    case 841:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(506);
      END_STATE();
    case 842:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(789);
      END_STATE();
    case 843:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(188);
      END_STATE();
    case 844:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(509);
      END_STATE();
    case 845:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(793);
      END_STATE();
    case 846:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(192);
      END_STATE();
    case 847:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(193);
      END_STATE();
    case 848:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(194);
      END_STATE();
    case 849:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(840);
      END_STATE();
    case 850:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(843);
      END_STATE();
    case 851:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(846);
      END_STATE();
    case 852:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(847);
      END_STATE();
    case 853:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(848);
      END_STATE();
    case 854:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(800);
      END_STATE();
    case 855:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(11);
      END_STATE();
    case 856:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1559);
      END_STATE();
    case 857:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1566);
      END_STATE();
    case 858:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1724);
      END_STATE();
    case 859:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1614);
      END_STATE();
    case 860:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1731);
      END_STATE();
    case 861:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1560);
      END_STATE();
    case 862:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1561);
      END_STATE();
    case 863:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1554);
      END_STATE();
    case 864:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1578);
      END_STATE();
    case 865:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1666);
      END_STATE();
    case 866:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1597);
      END_STATE();
    case 867:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1680);
      END_STATE();
    case 868:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1664);
      END_STATE();
    case 869:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1590);
      END_STATE();
    case 870:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1607);
      END_STATE();
    case 871:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1642);
      END_STATE();
    case 872:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1552);
      END_STATE();
    case 873:
      ADVANCE_MAP(
        'N', 128,
        'n', 128,
        'R', 1125,
        'r', 1125,
        'S', 254,
        's', 254,
        'T', 583,
        't', 583,
        'X', 652,
        'x', 652,
      );
      END_STATE();
    case 874:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(128);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(254);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(652);
      END_STATE();
    case 875:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 876:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(337);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(402);
      END_STATE();
    case 877:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(566);
      END_STATE();
    case 878:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1448);
      END_STATE();
    case 879:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1449);
      END_STATE();
    case 880:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(975);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(622);
      END_STATE();
    case 881:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(335);
      END_STATE();
    case 882:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 883:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1013);
      END_STATE();
    case 884:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(551);
      END_STATE();
    case 885:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(655);
      END_STATE();
    case 886:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1407);
      END_STATE();
    case 887:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 888:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(719);
      END_STATE();
    case 889:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 890:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1306);
      END_STATE();
    case 891:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 892:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 893:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(559);
      END_STATE();
    case 894:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 895:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(926);
      END_STATE();
    case 896:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 897:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(929);
      END_STATE();
    case 898:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 899:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 900:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(434);
      END_STATE();
    case 901:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 902:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(767);
      END_STATE();
    case 903:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 904:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 905:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 906:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(785);
      END_STATE();
    case 907:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(445);
      END_STATE();
    case 908:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1351);
      END_STATE();
    case 909:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 910:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1297);
      END_STATE();
    case 911:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1198);
      END_STATE();
    case 912:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 913:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1298);
      END_STATE();
    case 914:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1202);
      END_STATE();
    case 915:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1299);
      END_STATE();
    case 916:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 917:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1303);
      END_STATE();
    case 918:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(406);
      END_STATE();
    case 919:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1356);
      END_STATE();
    case 920:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 921:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1213);
      END_STATE();
    case 922:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 923:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1012);
      END_STATE();
    case 924:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1350);
      END_STATE();
    case 925:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(585);
      END_STATE();
    case 926:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1433);
      END_STATE();
    case 927:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(181);
      END_STATE();
    case 928:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(563);
      END_STATE();
    case 929:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 930:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1376);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1364);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1257);
      END_STATE();
    case 933:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1260);
      END_STATE();
    case 934:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1327);
      END_STATE();
    case 935:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1379);
      END_STATE();
    case 936:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1329);
      END_STATE();
    case 937:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(567);
      END_STATE();
    case 938:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(736);
      END_STATE();
    case 939:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(485);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1131);
      END_STATE();
    case 940:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(486);
      END_STATE();
    case 941:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1369);
      END_STATE();
    case 942:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1275);
      END_STATE();
    case 943:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 944:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1370);
      END_STATE();
    case 945:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1373);
      END_STATE();
    case 946:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(605);
      END_STATE();
    case 947:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(606);
      END_STATE();
    case 948:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1065);
      END_STATE();
    case 949:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 950:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(611);
      END_STATE();
    case 951:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1070);
      END_STATE();
    case 952:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 953:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1072);
      END_STATE();
    case 954:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(949);
      END_STATE();
    case 955:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(952);
      END_STATE();
    case 956:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1398);
      END_STATE();
    case 957:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1399);
      END_STATE();
    case 958:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1400);
      END_STATE();
    case 959:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1401);
      END_STATE();
    case 960:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1402);
      END_STATE();
    case 961:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1403);
      END_STATE();
    case 962:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1404);
      END_STATE();
    case 963:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1405);
      END_STATE();
    case 964:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 965:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1523);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(811);
      END_STATE();
    case 966:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1572);
      END_STATE();
    case 967:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1652);
      END_STATE();
    case 968:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1522);
      END_STATE();
    case 969:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1571);
      END_STATE();
    case 970:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1464);
      END_STATE();
    case 971:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(237);
      END_STATE();
    case 972:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(560);
      END_STATE();
    case 973:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(12);
      END_STATE();
    case 974:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(813);
      END_STATE();
    case 975:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(885);
      END_STATE();
    case 976:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1115);
      END_STATE();
    case 977:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(541);
      END_STATE();
    case 978:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1432);
      END_STATE();
    case 979:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 980:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(808);
      END_STATE();
    case 981:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(884);
      END_STATE();
    case 982:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(809);
      END_STATE();
    case 983:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1103);
      END_STATE();
    case 984:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1191);
      END_STATE();
    case 985:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(747);
      END_STATE();
    case 986:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1438);
      END_STATE();
    case 987:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1152);
      END_STATE();
    case 988:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(856);
      END_STATE();
    case 989:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1158);
      END_STATE();
    case 990:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(749);
      END_STATE();
    case 991:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(857);
      END_STATE();
    case 992:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1265);
      END_STATE();
    case 993:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(902);
      END_STATE();
    case 994:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(860);
      END_STATE();
    case 995:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(861);
      END_STATE();
    case 996:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(862);
      END_STATE();
    case 997:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(933);
      END_STATE();
    case 998:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(863);
      END_STATE();
    case 999:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(208);
      END_STATE();
    case 1000:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1141);
      END_STATE();
    case 1001:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(866);
      END_STATE();
    case 1002:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1162);
      END_STATE();
    case 1003:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(867);
      END_STATE();
    case 1004:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(868);
      END_STATE();
    case 1005:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1184);
      END_STATE();
    case 1006:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(869);
      END_STATE();
    case 1007:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(870);
      END_STATE();
    case 1008:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(871);
      END_STATE();
    case 1009:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(872);
      END_STATE();
    case 1010:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1338);
      END_STATE();
    case 1011:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1145);
      END_STATE();
    case 1012:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1466);
      END_STATE();
    case 1013:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1140);
      END_STATE();
    case 1014:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1330);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1452);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(346);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(839);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(897);
      END_STATE();
    case 1019:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1245);
      END_STATE();
    case 1020:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(912);
      END_STATE();
    case 1021:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(728);
      END_STATE();
    case 1022:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1429);
      END_STATE();
    case 1023:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1241);
      END_STATE();
    case 1024:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(271);
      END_STATE();
    case 1025:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1430);
      END_STATE();
    case 1026:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1243);
      END_STATE();
    case 1027:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(921);
      END_STATE();
    case 1028:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(274);
      END_STATE();
    case 1029:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1431);
      END_STATE();
    case 1030:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1255);
      END_STATE();
    case 1031:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 1032:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(276);
      END_STATE();
    case 1033:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1249);
      END_STATE();
    case 1034:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 1035:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1341);
      END_STATE();
    case 1036:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(297);
      END_STATE();
    case 1037:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(732);
      END_STATE();
    case 1038:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1253);
      END_STATE();
    case 1039:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1254);
      END_STATE();
    case 1040:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1256);
      END_STATE();
    case 1041:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(657);
      END_STATE();
    case 1042:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1258);
      END_STATE();
    case 1043:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1259);
      END_STATE();
    case 1044:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1440);
      END_STATE();
    case 1045:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1165);
      END_STATE();
    case 1046:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(832);
      END_STATE();
    case 1047:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(943);
      END_STATE();
    case 1048:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1104);
      END_STATE();
    case 1049:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(679);
      END_STATE();
    case 1050:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1274);
      END_STATE();
    case 1051:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1173);
      END_STATE();
    case 1052:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1278);
      END_STATE();
    case 1053:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1177);
      END_STATE();
    case 1054:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1279);
      END_STATE();
    case 1055:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1179);
      END_STATE();
    case 1056:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1181);
      END_STATE();
    case 1057:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1182);
      END_STATE();
    case 1058:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(607);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(811);
      END_STATE();
    case 1059:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1172);
      END_STATE();
    case 1060:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1461);
      END_STATE();
    case 1061:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1109);
      END_STATE();
    case 1062:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1176);
      END_STATE();
    case 1063:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1178);
      END_STATE();
    case 1064:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1180);
      END_STATE();
    case 1065:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1475);
      END_STATE();
    case 1066:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(849);
      END_STATE();
    case 1067:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(304);
      END_STATE();
    case 1068:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1283);
      END_STATE();
    case 1069:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1284);
      END_STATE();
    case 1070:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1476);
      END_STATE();
    case 1071:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(850);
      END_STATE();
    case 1072:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1477);
      END_STATE();
    case 1073:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(851);
      END_STATE();
    case 1074:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(852);
      END_STATE();
    case 1075:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(853);
      END_STATE();
    case 1076:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(954);
      END_STATE();
    case 1077:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(955);
      END_STATE();
    case 1078:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1676);
      END_STATE();
    case 1079:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1562);
      END_STATE();
    case 1080:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1555);
      END_STATE();
    case 1081:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1557);
      END_STATE();
    case 1082:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(337);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(404);
      END_STATE();
    case 1083:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(724);
      END_STATE();
    case 1084:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1171);
      END_STATE();
    case 1085:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(620);
      END_STATE();
    case 1086:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1308);
      END_STATE();
    case 1087:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(177);
      END_STATE();
    case 1088:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(632);
      END_STATE();
    case 1089:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1159);
      END_STATE();
    case 1090:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1011);
      END_STATE();
    case 1091:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(634);
      END_STATE();
    case 1092:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1049);
      END_STATE();
    case 1093:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(205);
      END_STATE();
    case 1094:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1337);
      END_STATE();
    case 1095:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1339);
      END_STATE();
    case 1096:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(385);
      END_STATE();
    case 1097:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(427);
      END_STATE();
    case 1098:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(190);
      END_STATE();
    case 1099:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1138);
      END_STATE();
    case 1100:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(523);
      END_STATE();
    case 1101:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1144);
      END_STATE();
    case 1102:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(467);
      END_STATE();
    case 1103:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(459);
      END_STATE();
    case 1104:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(464);
      END_STATE();
    case 1105:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1342);
      END_STATE();
    case 1106:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(997);
      END_STATE();
    case 1107:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1381);
      END_STATE();
    case 1108:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 1109:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(515);
      END_STATE();
    case 1110:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 1111:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1185);
      END_STATE();
    case 1112:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(984);
      END_STATE();
    case 1113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 1114:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 1115:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1651);
      END_STATE();
    case 1116:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1564);
      END_STATE();
    case 1117:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1579);
      END_STATE();
    case 1118:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1569);
      END_STATE();
    case 1119:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1667);
      END_STATE();
    case 1120:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1690);
      END_STATE();
    case 1121:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(722);
      END_STATE();
    case 1122:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1424);
      END_STATE();
    case 1123:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(812);
      END_STATE();
    case 1124:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1311);
      END_STATE();
    case 1125:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(976);
      END_STATE();
    case 1126:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1455);
      END_STATE();
    case 1127:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(416);
      END_STATE();
    case 1128:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1289);
      END_STATE();
    case 1129:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 1130:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1436);
      END_STATE();
    case 1131:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(985);
      END_STATE();
    case 1132:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 1133:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 1134:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(977);
      END_STATE();
    case 1135:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(351);
      END_STATE();
    case 1136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 1137:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 1138:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1015);
      END_STATE();
    case 1139:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1237);
      END_STATE();
    case 1140:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 1141:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 1142:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(623);
      END_STATE();
    case 1143:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 1144:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1046);
      END_STATE();
    case 1145:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1331);
      END_STATE();
    case 1146:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(428);
      END_STATE();
    case 1147:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(489);
      END_STATE();
    case 1148:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(520);
      END_STATE();
    case 1149:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(514);
      END_STATE();
    case 1150:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(507);
      END_STATE();
    case 1151:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 1152:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 1153:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 1154:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1248);
      END_STATE();
    case 1155:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1089);
      END_STATE();
    case 1156:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(539);
      END_STATE();
    case 1157:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(907);
      END_STATE();
    case 1158:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1469);
      END_STATE();
    case 1159:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 1160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 1161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 1162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 1163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1459);
      END_STATE();
    case 1164:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1170);
      END_STATE();
    case 1165:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(642);
      END_STATE();
    case 1166:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 1167:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 1168:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1037);
      END_STATE();
    case 1169:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 1170:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(532);
      END_STATE();
    case 1171:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(483);
      END_STATE();
    case 1172:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1470);
      END_STATE();
    case 1173:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(694);
      END_STATE();
    case 1174:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(834);
      END_STATE();
    case 1175:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(491);
      END_STATE();
    case 1176:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1472);
      END_STATE();
    case 1177:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(701);
      END_STATE();
    case 1178:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1473);
      END_STATE();
    case 1179:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(703);
      END_STATE();
    case 1180:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1474);
      END_STATE();
    case 1181:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      END_STATE();
    case 1182:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(705);
      END_STATE();
    case 1183:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(200);
      END_STATE();
    case 1184:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(796);
      END_STATE();
    case 1185:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1060);
      END_STATE();
    case 1186:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(707);
      END_STATE();
    case 1187:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(522);
      END_STATE();
    case 1188:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 1189:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1520);
      END_STATE();
    case 1190:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1659);
      END_STATE();
    case 1191:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1616);
      END_STATE();
    case 1192:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1546);
      END_STATE();
    case 1193:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1541);
      END_STATE();
    case 1194:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1595);
      END_STATE();
    case 1195:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1609);
      END_STATE();
    case 1196:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1644);
      END_STATE();
    case 1197:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1723);
      END_STATE();
    case 1198:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1603);
      END_STATE();
    case 1199:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1605);
      END_STATE();
    case 1200:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1677);
      END_STATE();
    case 1201:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1689);
      END_STATE();
    case 1202:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1543);
      END_STATE();
    case 1203:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1729);
      END_STATE();
    case 1204:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1608);
      END_STATE();
    case 1205:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1567);
      END_STATE();
    case 1206:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1548);
      END_STATE();
    case 1207:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1565);
      END_STATE();
    case 1208:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1604);
      END_STATE();
    case 1209:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1550);
      END_STATE();
    case 1210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1643);
      END_STATE();
    case 1211:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1679);
      END_STATE();
    case 1212:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1661);
      END_STATE();
    case 1213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1669);
      END_STATE();
    case 1214:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1678);
      END_STATE();
    case 1215:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1599);
      END_STATE();
    case 1216:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1549);
      END_STATE();
    case 1217:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1606);
      END_STATE();
    case 1218:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(581);
      END_STATE();
    case 1219:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(32);
      END_STATE();
    case 1220:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(765);
      END_STATE();
    case 1221:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1468);
      END_STATE();
    case 1222:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(717);
      END_STATE();
    case 1223:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1288);
      END_STATE();
    case 1224:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(664);
      END_STATE();
    case 1225:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1426);
      END_STATE();
    case 1226:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(260);
      END_STATE();
    case 1227:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(718);
      END_STATE();
    case 1228:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(546);
      END_STATE();
    case 1229:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(609);
      END_STATE();
    case 1230:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(138);
      END_STATE();
    case 1231:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(579);
      END_STATE();
    case 1232:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(580);
      END_STATE();
    case 1233:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1221);
      END_STATE();
    case 1234:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1106);
      END_STATE();
    case 1235:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1353);
      END_STATE();
    case 1236:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(373);
      END_STATE();
    case 1237:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(680);
      END_STATE();
    case 1238:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1228);
      END_STATE();
    case 1239:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(654);
      END_STATE();
    case 1240:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1366);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(282);
      END_STATE();
    case 1241:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1349);
      END_STATE();
    case 1242:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1193);
      END_STATE();
    case 1243:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1362);
      END_STATE();
    case 1244:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1322);
      END_STATE();
    case 1245:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(377);
      END_STATE();
    case 1246:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1359);
      END_STATE();
    case 1247:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1200);
      END_STATE();
    case 1248:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(160);
      END_STATE();
    case 1249:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1333);
      END_STATE();
    case 1250:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(480);
      END_STATE();
    case 1251:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1302);
      END_STATE();
    case 1252:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(422);
      END_STATE();
    case 1253:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1336);
      END_STATE();
    case 1254:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1357);
      END_STATE();
    case 1255:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(382);
      END_STATE();
    case 1256:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1416);
      END_STATE();
    case 1257:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1232);
      END_STATE();
    case 1258:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1305);
      END_STATE();
    case 1259:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1313);
      END_STATE();
    case 1260:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(533);
      END_STATE();
    case 1261:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1498);
      END_STATE();
    case 1262:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(626);
      END_STATE();
    case 1263:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(307);
      END_STATE();
    case 1264:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1326);
      END_STATE();
    case 1265:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1320);
      END_STATE();
    case 1266:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1335);
      END_STATE();
    case 1267:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(993);
      END_STATE();
    case 1268:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1344);
      END_STATE();
    case 1269:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1471);
      END_STATE();
    case 1270:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(671);
      END_STATE();
    case 1271:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1270);
      END_STATE();
    case 1272:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(599);
      END_STATE();
    case 1273:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1269);
      END_STATE();
    case 1274:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1395);
      END_STATE();
    case 1275:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1272);
      END_STATE();
    case 1276:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1169);
      END_STATE();
    case 1277:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1372);
      END_STATE();
    case 1278:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1365);
      END_STATE();
    case 1279:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1368);
      END_STATE();
    case 1280:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(293);
      END_STATE();
    case 1281:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(549);
      END_STATE();
    case 1282:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(550);
      END_STATE();
    case 1283:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1397);
      END_STATE();
    case 1284:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1396);
      END_STATE();
    case 1285:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1406);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(285);
      END_STATE();
    case 1286:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(583);
      END_STATE();
    case 1287:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1538);
      END_STATE();
    case 1288:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1528);
      END_STATE();
    case 1289:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1668);
      END_STATE();
    case 1290:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1649);
      END_STATE();
    case 1291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(792);
      END_STATE();
    case 1292:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(638);
      END_STATE();
    case 1293:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1696);
      END_STATE();
    case 1294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(662);
      END_STATE();
    case 1295:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1721);
      END_STATE();
    case 1296:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1683);
      END_STATE();
    case 1297:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1591);
      END_STATE();
    case 1298:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1612);
      END_STATE();
    case 1299:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1535);
      END_STATE();
    case 1300:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1553);
      END_STATE();
    case 1301:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1568);
      END_STATE();
    case 1302:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1575);
      END_STATE();
    case 1303:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1720);
      END_STATE();
    case 1304:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1593);
      END_STATE();
    case 1305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1660);
      END_STATE();
    case 1306:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(13);
      END_STATE();
    case 1307:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(966);
      END_STATE();
    case 1308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(14);
      END_STATE();
    case 1309:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(10);
      END_STATE();
    case 1310:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(589);
      END_STATE();
    case 1311:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(624);
      END_STATE();
    case 1312:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(250);
      END_STATE();
    case 1313:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(16);
      END_STATE();
    case 1314:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1507);
      END_STATE();
    case 1315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(578);
      END_STATE();
    case 1316:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(469);
      END_STATE();
    case 1317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1484);
      END_STATE();
    case 1318:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(656);
      END_STATE();
    case 1319:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(979);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1483);
      END_STATE();
    case 1320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(628);
      END_STATE();
    case 1321:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1488);
      END_STATE();
    case 1322:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(341);
      END_STATE();
    case 1323:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1489);
      END_STATE();
    case 1324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1490);
      END_STATE();
    case 1325:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(973);
      END_STATE();
    case 1326:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(999);
      END_STATE();
    case 1327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(693);
      END_STATE();
    case 1328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1317);
      END_STATE();
    case 1329:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(649);
      END_STATE();
    case 1330:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(517);
      END_STATE();
    case 1331:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1194);
      END_STATE();
    case 1332:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(510);
      END_STATE();
    case 1333:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1199);
      END_STATE();
    case 1334:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(969);
      END_STATE();
    case 1335:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(419);
      END_STATE();
    case 1336:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      END_STATE();
    case 1337:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1205);
      END_STATE();
    case 1338:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1206);
      END_STATE();
    case 1339:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1212);
      END_STATE();
    case 1340:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(473);
      END_STATE();
    case 1341:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(456);
      END_STATE();
    case 1342:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(448);
      END_STATE();
    case 1343:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(425);
      END_STATE();
    case 1344:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(451);
      END_STATE();
    case 1345:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(458);
      END_STATE();
    case 1346:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(602);
      END_STATE();
    case 1347:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(584);
      END_STATE();
    case 1348:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(981);
      END_STATE();
    case 1349:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1263);
      END_STATE();
    case 1350:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(635);
      END_STATE();
    case 1351:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(587);
      END_STATE();
    case 1352:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(669);
      END_STATE();
    case 1353:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1328);
      END_STATE();
    case 1354:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(591);
      END_STATE();
    case 1355:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1496);
      END_STATE();
    case 1356:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(824);
      END_STATE();
    case 1357:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(927);
      END_STATE();
    case 1358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(594);
      END_STATE();
    case 1359:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1168);
      END_STATE();
    case 1360:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(595);
      END_STATE();
    case 1361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(442);
      END_STATE();
    case 1362:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(735);
      END_STATE();
    case 1363:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(596);
      END_STATE();
    case 1364:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(446);
      END_STATE();
    case 1365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(730);
      END_STATE();
    case 1366:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1149);
      END_STATE();
    case 1367:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(598);
      END_STATE();
    case 1368:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(731);
      END_STATE();
    case 1369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(650);
      END_STATE();
    case 1370:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(651);
      END_STATE();
    case 1371:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1343);
      END_STATE();
    case 1372:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(457);
      END_STATE();
    case 1373:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(461);
      END_STATE();
    case 1374:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1345);
      END_STATE();
    case 1375:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1437);
      END_STATE();
    case 1376:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(484);
      END_STATE();
    case 1377:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(600);
      END_STATE();
    case 1378:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(678);
      END_STATE();
    case 1379:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(706);
      END_STATE();
    case 1380:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(492);
      END_STATE();
    case 1381:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(487);
      END_STATE();
    case 1382:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(681);
      END_STATE();
    case 1383:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      END_STATE();
    case 1384:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(682);
      END_STATE();
    case 1385:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(683);
      END_STATE();
    case 1386:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(684);
      END_STATE();
    case 1387:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(685);
      END_STATE();
    case 1388:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(686);
      END_STATE();
    case 1389:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(687);
      END_STATE();
    case 1390:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(688);
      END_STATE();
    case 1391:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(689);
      END_STATE();
    case 1392:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(690);
      END_STATE();
    case 1393:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(691);
      END_STATE();
    case 1394:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(697);
      END_STATE();
    case 1395:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(740);
      END_STATE();
    case 1396:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(741);
      END_STATE();
    case 1397:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1282);
      END_STATE();
    case 1398:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(708);
      END_STATE();
    case 1399:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(709);
      END_STATE();
    case 1400:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(710);
      END_STATE();
    case 1401:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(711);
      END_STATE();
    case 1402:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(712);
      END_STATE();
    case 1403:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(713);
      END_STATE();
    case 1404:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(714);
      END_STATE();
    case 1405:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(715);
      END_STATE();
    case 1406:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1187);
      END_STATE();
    case 1407:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(18);
      END_STATE();
    case 1408:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(612);
      END_STATE();
    case 1409:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(613);
      END_STATE();
    case 1410:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(614);
      END_STATE();
    case 1411:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(615);
      END_STATE();
    case 1412:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(616);
      END_STATE();
    case 1413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(617);
      END_STATE();
    case 1414:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(618);
      END_STATE();
    case 1415:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(619);
      END_STATE();
    case 1416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(229);
      END_STATE();
    case 1417:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(631);
      END_STATE();
    case 1418:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(471);
      END_STATE();
    case 1419:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(556);
      END_STATE();
    case 1420:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(345);
      END_STATE();
    case 1421:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(815);
      END_STATE();
    case 1422:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1310);
      END_STATE();
    case 1423:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(769);
      END_STATE();
    case 1424:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 1425:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1160);
      END_STATE();
    case 1426:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(144);
      END_STATE();
    case 1427:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(938);
      END_STATE();
    case 1428:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1346);
      END_STATE();
    case 1429:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1300);
      END_STATE();
    case 1430:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1301);
      END_STATE();
    case 1431:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1304);
      END_STATE();
    case 1432:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(887);
      END_STATE();
    case 1433:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(771);
      END_STATE();
    case 1434:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1147);
      END_STATE();
    case 1435:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1334);
      END_STATE();
    case 1436:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1244);
      END_STATE();
    case 1437:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1148);
      END_STATE();
    case 1438:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(919);
      END_STATE();
    case 1439:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1151);
      END_STATE();
    case 1440:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(909);
      END_STATE();
    case 1441:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1268);
      END_STATE();
    case 1442:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1409);
      END_STATE();
    case 1443:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1410);
      END_STATE();
    case 1444:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1412);
      END_STATE();
    case 1445:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1413);
      END_STATE();
    case 1446:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1414);
      END_STATE();
    case 1447:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1415);
      END_STATE();
    case 1448:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1697);
      END_STATE();
    case 1449:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1691);
      END_STATE();
    case 1450:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(478);
      END_STATE();
    case 1451:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(660);
      END_STATE();
    case 1452:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(666);
      END_STATE();
    case 1453:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(441);
      END_STATE();
    case 1454:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(381);
      END_STATE();
    case 1455:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(164);
      END_STATE();
    case 1456:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(384);
      END_STATE();
    case 1457:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(388);
      END_STATE();
    case 1458:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(391);
      END_STATE();
    case 1459:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(455);
      END_STATE();
    case 1460:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(700);
      END_STATE();
    case 1461:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(699);
      END_STATE();
    case 1462:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1703);
      END_STATE();
    case 1463:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(122);
      END_STATE();
    case 1464:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(925);
      END_STATE();
    case 1465:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(141);
      END_STATE();
    case 1466:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(859);
      END_STATE();
    case 1467:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(198);
      END_STATE();
    case 1468:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(987);
      END_STATE();
    case 1469:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 1470:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 1471:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1000);
      END_STATE();
    case 1472:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(159);
      END_STATE();
    case 1473:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(163);
      END_STATE();
    case 1474:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(165);
      END_STATE();
    case 1475:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(946);
      END_STATE();
    case 1476:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(947);
      END_STATE();
    case 1477:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(950);
      END_STATE();
    case 1478:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1692);
      END_STATE();
    case 1479:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(344);
      END_STATE();
    case 1480:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(286);
      END_STATE();
    case 1481:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(218);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(383);
      END_STATE();
    case 1482:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1537);
      END_STATE();
    case 1483:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(302);
      END_STATE();
    case 1484:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1686);
      END_STATE();
    case 1485:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1536);
      END_STATE();
    case 1486:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1730);
      END_STATE();
    case 1487:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1611);
      END_STATE();
    case 1488:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1704);
      END_STATE();
    case 1489:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1598);
      END_STATE();
    case 1490:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1602);
      END_STATE();
    case 1491:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1601);
      END_STATE();
    case 1492:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1090);
      END_STATE();
    case 1493:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(760);
      END_STATE();
    case 1494:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 1495:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(284);
      END_STATE();
    case 1496:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1102);
      END_STATE();
    case 1497:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1192);
      END_STATE();
    case 1498:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1266);
      END_STATE();
    case 1499:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1264);
      END_STATE();
    case 1500:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 1501:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 1502:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1262);
      END_STATE();
    case 1503:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1197);
      END_STATE();
    case 1504:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1201);
      END_STATE();
    case 1505:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1355);
      END_STATE();
    case 1506:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1096);
      END_STATE();
    case 1507:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(729);
      END_STATE();
    case 1508:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1246);
      END_STATE();
    case 1509:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(352);
      END_STATE();
    case 1510:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(603);
      END_STATE();
    case 1511:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1111);
      END_STATE();
    case 1512:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(386);
      END_STATE();
    case 1513:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(393);
      END_STATE();
    case 1514:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1663);
      END_STATE();
    case 1515:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1581);
      END_STATE();
    case 1516:
      if (eof) ADVANCE(1517);
      ADVANCE_MAP(
        '"', 1532,
        '#', 1518,
        '=', 1530,
        'A', 319,
        'C', 114,
        'E', 874,
        'L', 964,
        'N', 1058,
        'R', 368,
        'T', 117,
        'a', 81,
        'c', 103,
        'e', 83,
        'l', 59,
        'n', 62,
        'r', 48,
        't', 87,
        'B', 121,
        'b', 121,
        'D', 621,
        'd', 621,
        'F', 625,
        'f', 625,
        'G', 124,
        'g', 124,
        'H', 125,
        'h', 125,
        'I', 348,
        'i', 348,
        'K', 230,
        'k', 230,
        'M', 115,
        'm', 115,
        'O', 233,
        'o', 233,
        'P', 134,
        'p', 134,
        'S', 370,
        's', 370,
        'U', 1082,
        'u', 1082,
        'V', 463,
        'v', 463,
        'X', 24,
        'x', 24,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1516);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1519);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1518);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1519);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_boolean_token1);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_boolean_token2);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_boolean_token3);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_boolean_token3);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_boolean_token4);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_pattern_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1525);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(sym_time_format);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(sym_time_format);
      ADVANCE_MAP(
        'D', 1526,
        'H', 1526,
        'M', 1526,
        'S', 1526,
        'W', 1526,
        'd', 1526,
        'h', 1526,
        'm', 1526,
        's', 1526,
        'w', 1526,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1527);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_host_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(182);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(476);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_host_token2);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1529);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1525);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1525);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_match_token1);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_add_keys_to_agent_token1);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_address_family_token1);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_address_family_value_token1);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_address_family_value_token2);
      if (lookahead == '6') ADVANCE(1539);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_address_family_value_token3);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_batch_mode_token1);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_bind_address_token1);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_bind_interface_token1);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_canonical_domains_token1);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_canonicalize_fallback_local_token1);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_token1);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_value_token1);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_canonicalize_hostname_value_token2);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_canonicalize_max_dots_token1);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_canonicalize_permitted_cnames_token1);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_ca_signature_algorithms_token1);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_certificate_file_token1);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_challenge_response_authentication_token1);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_channel_timeout_token1);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token1);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token2);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token3);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token4);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token5);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token6);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1506);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token7);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_channel_timeout_type_token8);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_check_host_ip_token1);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_ciphers_token1);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_cipher_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1563);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_clear_all_forwardings_token1);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_compression_token1);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_connection_attempts_token1);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_connect_timeout_token1);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_control_master_token1);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_control_master_value_token1);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_control_master_value_token2);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_control_master_value_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1222);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_control_master_value_token3);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_control_path_token1);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_control_persist_token1);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_dynamic_forward_token1);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_enable_escape_commandline_token1);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_enable_ssh_keysign_token1);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_escape_char_token1);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(anon_sym_none);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '"') ADVANCE(1532);
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '=') ADVANCE(1530);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1582);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '"') ADVANCE(1532);
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1583);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == '#') ADVANCE(1581);
      if (lookahead == '^') ADVANCE(1515);
      if (lookahead == 'n') ADVANCE(1585);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1584);
      if (lookahead != 0) ADVANCE(1581);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_escape_char_value_token1);
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_exit_on_forward_failure_token1);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_fingerprint_hash_token1);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(anon_sym_md5);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(anon_sym_sha256);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_fork_after_authentication_token1);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_forward_agent_token1);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_forward_x11_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(702);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_forward_x11_timeout_token1);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_forward_x11_trusted_token1);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_gateway_ports_token1);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_global_known_hosts_file_token1);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_gssapi_authentication_token1);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_gssapi_client_identity_token1);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym_gssapi_delegate_credentials_token1);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym_gssapi_key_exchange_token1);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_gssapi_renewal_forces_rekey_token1);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_gssapi_server_identity_token1);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_gssapi_trust_dns_token1);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_gssapi_kex_algorithms_token1);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_hash_known_hosts_token1);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_hostbased_accepted_algorithms_token1);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_hostbased_authentication_token1);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_host_key_algorithms_token1);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym_host_key_alias_token1);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_hostname_token1);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_identities_only_token1);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_identity_agent_token1);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_identity_file_token1);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_ignore_unknown_token1);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_include_token1);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_ip_qos_token1);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(anon_sym_af11);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(anon_sym_af12);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(anon_sym_af13);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(anon_sym_af21);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(anon_sym_af22);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(anon_sym_af23);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(anon_sym_af31);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(anon_sym_af32);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(anon_sym_af33);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(anon_sym_af41);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(anon_sym_af42);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(anon_sym_af43);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(anon_sym_cs0);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(anon_sym_cs1);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(anon_sym_cs2);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(anon_sym_cs3);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(anon_sym_cs4);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(anon_sym_cs5);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(anon_sym_cs6);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(anon_sym_cs7);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(anon_sym_ef);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(anon_sym_le);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(anon_sym_lowdelay);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(anon_sym_throughput);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(anon_sym_reliability);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym_kbd_interactive_authentication_token1);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym_kbd_interactive_devices_token1);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym_kex_algorithms_token1);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym_known_hosts_command_token1);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym_local_command_token1);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym_local_forward_token1);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym_log_level_token1);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym_log_level_value_token1);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym_log_level_value_token2);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym_log_level_value_token3);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym_log_level_value_token4);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym_log_level_value_token5);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym_log_level_value_token6);
      if (lookahead == '1') ADVANCE(1655);
      if (lookahead == '2') ADVANCE(1656);
      if (lookahead == '3') ADVANCE(1657);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym_log_level_value_token7);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_log_level_value_token8);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_log_level_value_token9);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_log_verbose_token1);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym_macs_token1);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym_no_host_authentication_for_localhost_token1);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_number_of_password_prompts_token1);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_obscure_keystroke_timing_token1);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_obscure_keystroke_timing_value_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1663);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_password_authentication_token1);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_permit_local_command_token1);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_permit_remote_open_token1);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_pkcs11_provider_token1);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_port_token1);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_preferred_authentications_token1);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym_protocol_token1);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(anon_sym_1);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(anon_sym_1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1519);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(anon_sym_2);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(anon_sym_2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1519);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_proxy_command_token1);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_proxy_jump_token1);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_proxy_use_fdpass_token1);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym_pubkey_accepted_algorithms_token1);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(aux_sym_pubkey_accepted_key_types_token1);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_token1);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_value_token1);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym_pubkey_authentication_value_token2);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym_rekey_limit_token1);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym_remote_command_token1);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_remote_forward_token1);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_request_tty_token1);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_request_tty_value_token1);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_required_rsa_size_token1);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_revoked_host_keys_token1);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_security_key_provider_token1);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_send_env_token1);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_server_alive_count_max_token1);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_server_alive_interval_token1);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_session_type_token1);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_session_type_value_token1);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_session_type_value_token2);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_set_env_token1);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_stdin_null_token1);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_stream_local_bind_mask_token1);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_stream_local_bind_unlink_token1);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_token1);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_value_token1);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_strict_host_key_checking_value_token2);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_syslog_facility_token1);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(anon_sym_DAEMON);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(anon_sym_USER);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(anon_sym_AUTH);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(anon_sym_LOCAL0);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(anon_sym_LOCAL1);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(anon_sym_LOCAL2);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(anon_sym_LOCAL3);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(anon_sym_LOCAL4);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(anon_sym_LOCAL5);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(anon_sym_LOCAL6);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(anon_sym_LOCAL7);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym_tcp_keep_alive_token1);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_keep_alive_token1);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym_tunnel_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(aux_sym_tunnel_value_token1);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(aux_sym_tunnel_value_token2);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(aux_sym_tunnel_device_token1);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(aux_sym_update_host_keys_token1);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(aux_sym_use_keychain_token1);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(aux_sym_use_roaming_token1);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(aux_sym_user_token1);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym_user_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(953);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym_user_known_hosts_file_token1);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym_verify_host_key_dns_token1);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym_visual_host_key_token1);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym_xauth_location_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 1516},
  [2] = {.lex_state = 1516},
  [3] = {.lex_state = 1516},
  [4] = {.lex_state = 1516},
  [5] = {.lex_state = 1516},
  [6] = {.lex_state = 1516},
  [7] = {.lex_state = 1516},
  [8] = {.lex_state = 1516},
  [9] = {.lex_state = 1516},
  [10] = {.lex_state = 1516},
  [11] = {.lex_state = 1516},
  [12] = {.lex_state = 1516},
  [13] = {.lex_state = 1516},
  [14] = {.lex_state = 1516},
  [15] = {.lex_state = 1516},
  [16] = {.lex_state = 1516},
  [17] = {.lex_state = 1516},
  [18] = {.lex_state = 1516},
  [19] = {.lex_state = 1516},
  [20] = {.lex_state = 1516},
  [21] = {.lex_state = 1516},
  [22] = {.lex_state = 1516},
  [23] = {.lex_state = 1516},
  [24] = {.lex_state = 1516},
  [25] = {.lex_state = 1516},
  [26] = {.lex_state = 1516},
  [27] = {.lex_state = 1516},
  [28] = {.lex_state = 1516},
  [29] = {.lex_state = 1516},
  [30] = {.lex_state = 1516},
  [31] = {.lex_state = 1516},
  [32] = {.lex_state = 1516},
  [33] = {.lex_state = 1516},
  [34] = {.lex_state = 1516},
  [35] = {.lex_state = 1516},
  [36] = {.lex_state = 1516},
  [37] = {.lex_state = 1516},
  [38] = {.lex_state = 1516},
  [39] = {.lex_state = 1516},
  [40] = {.lex_state = 1516},
  [41] = {.lex_state = 1516},
  [42] = {.lex_state = 1516},
  [43] = {.lex_state = 1516},
  [44] = {.lex_state = 1516},
  [45] = {.lex_state = 1516},
  [46] = {.lex_state = 1516},
  [47] = {.lex_state = 1516},
  [48] = {.lex_state = 1516},
  [49] = {.lex_state = 1516},
  [50] = {.lex_state = 1516},
  [51] = {.lex_state = 1516},
  [52] = {.lex_state = 1516},
  [53] = {.lex_state = 1516},
  [54] = {.lex_state = 1516},
  [55] = {.lex_state = 1516},
  [56] = {.lex_state = 1516},
  [57] = {.lex_state = 1516},
  [58] = {.lex_state = 1516},
  [59] = {.lex_state = 1516},
  [60] = {.lex_state = 1516},
  [61] = {.lex_state = 1516},
  [62] = {.lex_state = 1516},
  [63] = {.lex_state = 1516},
  [64] = {.lex_state = 1516},
  [65] = {.lex_state = 1516},
  [66] = {.lex_state = 1516},
  [67] = {.lex_state = 1516},
  [68] = {.lex_state = 1516},
  [69] = {.lex_state = 1516},
  [70] = {.lex_state = 1516},
  [71] = {.lex_state = 1516},
  [72] = {.lex_state = 1516},
  [73] = {.lex_state = 1516},
  [74] = {.lex_state = 1516},
  [75] = {.lex_state = 1516},
  [76] = {.lex_state = 1516},
  [77] = {.lex_state = 1516},
  [78] = {.lex_state = 1516},
  [79] = {.lex_state = 1516},
  [80] = {.lex_state = 1516},
  [81] = {.lex_state = 1516},
  [82] = {.lex_state = 1516},
  [83] = {.lex_state = 1516},
  [84] = {.lex_state = 1516},
  [85] = {.lex_state = 1516},
  [86] = {.lex_state = 1516},
  [87] = {.lex_state = 1516},
  [88] = {.lex_state = 1516},
  [89] = {.lex_state = 1516},
  [90] = {.lex_state = 1516},
  [91] = {.lex_state = 1516},
  [92] = {.lex_state = 1516},
  [93] = {.lex_state = 1516},
  [94] = {.lex_state = 1516},
  [95] = {.lex_state = 1516},
  [96] = {.lex_state = 1516},
  [97] = {.lex_state = 1516},
  [98] = {.lex_state = 1516},
  [99] = {.lex_state = 1516},
  [100] = {.lex_state = 1516},
  [101] = {.lex_state = 1516},
  [102] = {.lex_state = 1516},
  [103] = {.lex_state = 1516},
  [104] = {.lex_state = 1516},
  [105] = {.lex_state = 1516},
  [106] = {.lex_state = 1516},
  [107] = {.lex_state = 1516},
  [108] = {.lex_state = 1516},
  [109] = {.lex_state = 1516},
  [110] = {.lex_state = 1516},
  [111] = {.lex_state = 1516},
  [112] = {.lex_state = 1516},
  [113] = {.lex_state = 1516},
  [114] = {.lex_state = 1516},
  [115] = {.lex_state = 1516},
  [116] = {.lex_state = 1516},
  [117] = {.lex_state = 1516},
  [118] = {.lex_state = 1516},
  [119] = {.lex_state = 1516},
  [120] = {.lex_state = 1516},
  [121] = {.lex_state = 1516},
  [122] = {.lex_state = 1516},
  [123] = {.lex_state = 1516},
  [124] = {.lex_state = 1516},
  [125] = {.lex_state = 1516},
  [126] = {.lex_state = 1516},
  [127] = {.lex_state = 1516},
  [128] = {.lex_state = 1516},
  [129] = {.lex_state = 1516},
  [130] = {.lex_state = 1516},
  [131] = {.lex_state = 1516},
  [132] = {.lex_state = 1516},
  [133] = {.lex_state = 1516},
  [134] = {.lex_state = 1516},
  [135] = {.lex_state = 1516},
  [136] = {.lex_state = 1516},
  [137] = {.lex_state = 1516},
  [138] = {.lex_state = 1516},
  [139] = {.lex_state = 1516},
  [140] = {.lex_state = 1516},
  [141] = {.lex_state = 1516},
  [142] = {.lex_state = 1516},
  [143] = {.lex_state = 1516},
  [144] = {.lex_state = 1516},
  [145] = {.lex_state = 1516},
  [146] = {.lex_state = 1516},
  [147] = {.lex_state = 1516},
  [148] = {.lex_state = 1516},
  [149] = {.lex_state = 1516},
  [150] = {.lex_state = 1516},
  [151] = {.lex_state = 1516},
  [152] = {.lex_state = 1516},
  [153] = {.lex_state = 1516},
  [154] = {.lex_state = 1516},
  [155] = {.lex_state = 1516},
  [156] = {.lex_state = 1516},
  [157] = {.lex_state = 1516},
  [158] = {.lex_state = 1516},
  [159] = {.lex_state = 1516},
  [160] = {.lex_state = 1516},
  [161] = {.lex_state = 1516},
  [162] = {.lex_state = 1516},
  [163] = {.lex_state = 1516},
  [164] = {.lex_state = 1516},
  [165] = {.lex_state = 1516},
  [166] = {.lex_state = 1516},
  [167] = {.lex_state = 1516},
  [168] = {.lex_state = 1516},
  [169] = {.lex_state = 1516},
  [170] = {.lex_state = 1516},
  [171] = {.lex_state = 1516},
  [172] = {.lex_state = 1516},
  [173] = {.lex_state = 1516},
  [174] = {.lex_state = 1516},
  [175] = {.lex_state = 1516},
  [176] = {.lex_state = 1516},
  [177] = {.lex_state = 1516},
  [178] = {.lex_state = 1516},
  [179] = {.lex_state = 1516},
  [180] = {.lex_state = 1516},
  [181] = {.lex_state = 1516},
  [182] = {.lex_state = 1516},
  [183] = {.lex_state = 1516},
  [184] = {.lex_state = 1516},
  [185] = {.lex_state = 1516},
  [186] = {.lex_state = 1516},
  [187] = {.lex_state = 1516},
  [188] = {.lex_state = 1516},
  [189] = {.lex_state = 1516},
  [190] = {.lex_state = 1516},
  [191] = {.lex_state = 1516},
  [192] = {.lex_state = 1516},
  [193] = {.lex_state = 1516},
  [194] = {.lex_state = 1516},
  [195] = {.lex_state = 1516},
  [196] = {.lex_state = 1516},
  [197] = {.lex_state = 1516},
  [198] = {.lex_state = 1516},
  [199] = {.lex_state = 1516},
  [200] = {.lex_state = 1516},
  [201] = {.lex_state = 1516},
  [202] = {.lex_state = 1516},
  [203] = {.lex_state = 1516},
  [204] = {.lex_state = 1516},
  [205] = {.lex_state = 1516},
  [206] = {.lex_state = 1516},
  [207] = {.lex_state = 1516},
  [208] = {.lex_state = 1516},
  [209] = {.lex_state = 1516},
  [210] = {.lex_state = 1516},
  [211] = {.lex_state = 1516},
  [212] = {.lex_state = 1516},
  [213] = {.lex_state = 1516},
  [214] = {.lex_state = 1516},
  [215] = {.lex_state = 1516},
  [216] = {.lex_state = 1516},
  [217] = {.lex_state = 1516},
  [218] = {.lex_state = 1516},
  [219] = {.lex_state = 1516},
  [220] = {.lex_state = 1516},
  [221] = {.lex_state = 1516},
  [222] = {.lex_state = 1516},
  [223] = {.lex_state = 1516},
  [224] = {.lex_state = 1516},
  [225] = {.lex_state = 1516},
  [226] = {.lex_state = 1516},
  [227] = {.lex_state = 1516},
  [228] = {.lex_state = 1516},
  [229] = {.lex_state = 1516},
  [230] = {.lex_state = 1516},
  [231] = {.lex_state = 1516},
  [232] = {.lex_state = 1516},
  [233] = {.lex_state = 1516},
  [234] = {.lex_state = 1516},
  [235] = {.lex_state = 1516},
  [236] = {.lex_state = 1516},
  [237] = {.lex_state = 1516},
  [238] = {.lex_state = 1516},
  [239] = {.lex_state = 1516},
  [240] = {.lex_state = 1516},
  [241] = {.lex_state = 1516},
  [242] = {.lex_state = 1516},
  [243] = {.lex_state = 1516},
  [244] = {.lex_state = 1516},
  [245] = {.lex_state = 1516},
  [246] = {.lex_state = 1516},
  [247] = {.lex_state = 1516},
  [248] = {.lex_state = 1516},
  [249] = {.lex_state = 1516},
  [250] = {.lex_state = 1516},
  [251] = {.lex_state = 1516},
  [252] = {.lex_state = 1516},
  [253] = {.lex_state = 1516},
  [254] = {.lex_state = 1516},
  [255] = {.lex_state = 1516},
  [256] = {.lex_state = 1516},
  [257] = {.lex_state = 1516},
  [258] = {.lex_state = 1516},
  [259] = {.lex_state = 1516},
  [260] = {.lex_state = 1516},
  [261] = {.lex_state = 1516},
  [262] = {.lex_state = 1516},
  [263] = {.lex_state = 1516},
  [264] = {.lex_state = 1516},
  [265] = {.lex_state = 1516},
  [266] = {.lex_state = 1516},
  [267] = {.lex_state = 1516},
  [268] = {.lex_state = 1516},
  [269] = {.lex_state = 1516},
  [270] = {.lex_state = 1516},
  [271] = {.lex_state = 1516},
  [272] = {.lex_state = 1516},
  [273] = {.lex_state = 1516},
  [274] = {.lex_state = 1516},
  [275] = {.lex_state = 1516},
  [276] = {.lex_state = 1516},
  [277] = {.lex_state = 1516},
  [278] = {.lex_state = 1516},
  [279] = {.lex_state = 1516},
  [280] = {.lex_state = 1516},
  [281] = {.lex_state = 1516},
  [282] = {.lex_state = 1516},
  [283] = {.lex_state = 1516},
  [284] = {.lex_state = 1516},
  [285] = {.lex_state = 1516},
  [286] = {.lex_state = 1516},
  [287] = {.lex_state = 1516},
  [288] = {.lex_state = 1516},
  [289] = {.lex_state = 1516},
  [290] = {.lex_state = 1516},
  [291] = {.lex_state = 1516},
  [292] = {.lex_state = 1516},
  [293] = {.lex_state = 1516},
  [294] = {.lex_state = 1516},
  [295] = {.lex_state = 1516},
  [296] = {.lex_state = 1516},
  [297] = {.lex_state = 1516},
  [298] = {.lex_state = 1516},
  [299] = {.lex_state = 1516},
  [300] = {.lex_state = 1516},
  [301] = {.lex_state = 1516},
  [302] = {.lex_state = 1516},
  [303] = {.lex_state = 1516},
  [304] = {.lex_state = 1516},
  [305] = {.lex_state = 1516},
  [306] = {.lex_state = 1516},
  [307] = {.lex_state = 1516},
  [308] = {.lex_state = 1516},
  [309] = {.lex_state = 1516},
  [310] = {.lex_state = 1516},
  [311] = {.lex_state = 1516},
  [312] = {.lex_state = 1516},
  [313] = {.lex_state = 1516},
  [314] = {.lex_state = 1516},
  [315] = {.lex_state = 1516},
  [316] = {.lex_state = 1516},
  [317] = {.lex_state = 1516},
  [318] = {.lex_state = 1516},
  [319] = {.lex_state = 1516},
  [320] = {.lex_state = 1516},
  [321] = {.lex_state = 1516},
  [322] = {.lex_state = 1516},
  [323] = {.lex_state = 1516},
  [324] = {.lex_state = 1516},
  [325] = {.lex_state = 1516},
  [326] = {.lex_state = 1516},
  [327] = {.lex_state = 1516},
  [328] = {.lex_state = 1516},
  [329] = {.lex_state = 1516},
  [330] = {.lex_state = 1516},
  [331] = {.lex_state = 1516},
  [332] = {.lex_state = 1516},
  [333] = {.lex_state = 1516},
  [334] = {.lex_state = 1516},
  [335] = {.lex_state = 1516},
  [336] = {.lex_state = 1516},
  [337] = {.lex_state = 1516},
  [338] = {.lex_state = 1516},
  [339] = {.lex_state = 1516},
  [340] = {.lex_state = 1516},
  [341] = {.lex_state = 1516},
  [342] = {.lex_state = 1516},
  [343] = {.lex_state = 1516},
  [344] = {.lex_state = 1516},
  [345] = {.lex_state = 1516},
  [346] = {.lex_state = 1516},
  [347] = {.lex_state = 1516},
  [348] = {.lex_state = 1516},
  [349] = {.lex_state = 1516},
  [350] = {.lex_state = 1516},
  [351] = {.lex_state = 1516},
  [352] = {.lex_state = 1516},
  [353] = {.lex_state = 1516},
  [354] = {.lex_state = 1516},
  [355] = {.lex_state = 1516},
  [356] = {.lex_state = 1516},
  [357] = {.lex_state = 1516},
  [358] = {.lex_state = 1516},
  [359] = {.lex_state = 1516},
  [360] = {.lex_state = 1516},
  [361] = {.lex_state = 1516},
  [362] = {.lex_state = 1516},
  [363] = {.lex_state = 1516},
  [364] = {.lex_state = 1516},
  [365] = {.lex_state = 1516},
  [366] = {.lex_state = 1516},
  [367] = {.lex_state = 1516},
  [368] = {.lex_state = 1516},
  [369] = {.lex_state = 1516},
  [370] = {.lex_state = 1516},
  [371] = {.lex_state = 1516},
  [372] = {.lex_state = 1516},
  [373] = {.lex_state = 1516},
  [374] = {.lex_state = 1516},
  [375] = {.lex_state = 1516},
  [376] = {.lex_state = 1516},
  [377] = {.lex_state = 1516},
  [378] = {.lex_state = 1516},
  [379] = {.lex_state = 1516},
  [380] = {.lex_state = 1516},
  [381] = {.lex_state = 1516},
  [382] = {.lex_state = 1516},
  [383] = {.lex_state = 1516},
  [384] = {.lex_state = 1516},
  [385] = {.lex_state = 1516},
  [386] = {.lex_state = 1516},
  [387] = {.lex_state = 1516},
  [388] = {.lex_state = 1516},
  [389] = {.lex_state = 1516},
  [390] = {.lex_state = 1516},
  [391] = {.lex_state = 1516},
  [392] = {.lex_state = 1516},
  [393] = {.lex_state = 1516},
  [394] = {.lex_state = 1516},
  [395] = {.lex_state = 1516},
  [396] = {.lex_state = 1516},
  [397] = {.lex_state = 1516},
  [398] = {.lex_state = 1516},
  [399] = {.lex_state = 1516},
  [400] = {.lex_state = 1516},
  [401] = {.lex_state = 1516},
  [402] = {.lex_state = 1516},
  [403] = {.lex_state = 1516},
  [404] = {.lex_state = 1516},
  [405] = {.lex_state = 1516},
  [406] = {.lex_state = 1516},
  [407] = {.lex_state = 1516},
  [408] = {.lex_state = 1516},
  [409] = {.lex_state = 1516},
  [410] = {.lex_state = 1516},
  [411] = {.lex_state = 1516},
  [412] = {.lex_state = 1516},
  [413] = {.lex_state = 1516},
  [414] = {.lex_state = 1516},
  [415] = {.lex_state = 1516},
  [416] = {.lex_state = 1516},
  [417] = {.lex_state = 1516},
  [418] = {.lex_state = 1516},
  [419] = {.lex_state = 1516},
  [420] = {.lex_state = 1516},
  [421] = {.lex_state = 1516},
  [422] = {.lex_state = 1516},
  [423] = {.lex_state = 1516},
  [424] = {.lex_state = 1516},
  [425] = {.lex_state = 1516},
  [426] = {.lex_state = 1516},
  [427] = {.lex_state = 1516},
  [428] = {.lex_state = 1516},
  [429] = {.lex_state = 1516},
  [430] = {.lex_state = 1516},
  [431] = {.lex_state = 1516},
  [432] = {.lex_state = 1516},
  [433] = {.lex_state = 1516},
  [434] = {.lex_state = 1516},
  [435] = {.lex_state = 1516},
  [436] = {.lex_state = 1516},
  [437] = {.lex_state = 1516},
  [438] = {.lex_state = 1516},
  [439] = {.lex_state = 1516},
  [440] = {.lex_state = 1516},
  [441] = {.lex_state = 1516},
  [442] = {.lex_state = 1516},
  [443] = {.lex_state = 1516},
  [444] = {.lex_state = 1516},
  [445] = {.lex_state = 1516},
  [446] = {.lex_state = 1516},
  [447] = {.lex_state = 1516},
  [448] = {.lex_state = 1516},
  [449] = {.lex_state = 1516},
  [450] = {.lex_state = 1516},
  [451] = {.lex_state = 1516},
  [452] = {.lex_state = 1516},
  [453] = {.lex_state = 1516},
  [454] = {.lex_state = 1516},
  [455] = {.lex_state = 1516},
  [456] = {.lex_state = 1516},
  [457] = {.lex_state = 1516},
  [458] = {.lex_state = 1516},
  [459] = {.lex_state = 1516},
  [460] = {.lex_state = 1516},
  [461] = {.lex_state = 1516},
  [462] = {.lex_state = 1516},
  [463] = {.lex_state = 1516},
  [464] = {.lex_state = 1516},
  [465] = {.lex_state = 1516},
  [466] = {.lex_state = 1516},
  [467] = {.lex_state = 1516},
  [468] = {.lex_state = 1516},
  [469] = {.lex_state = 1516},
  [470] = {.lex_state = 1516},
  [471] = {.lex_state = 1516},
  [472] = {.lex_state = 1516},
  [473] = {.lex_state = 1516},
  [474] = {.lex_state = 1516},
  [475] = {.lex_state = 1516},
  [476] = {.lex_state = 1516},
  [477] = {.lex_state = 1516},
  [478] = {.lex_state = 1516},
  [479] = {.lex_state = 1516},
  [480] = {.lex_state = 1516},
  [481] = {.lex_state = 1516},
  [482] = {.lex_state = 1516},
  [483] = {.lex_state = 1516},
  [484] = {.lex_state = 1516},
  [485] = {.lex_state = 1516},
  [486] = {.lex_state = 1516},
  [487] = {.lex_state = 1516},
  [488] = {.lex_state = 1516},
  [489] = {.lex_state = 1516},
  [490] = {.lex_state = 1516},
  [491] = {.lex_state = 1516},
  [492] = {.lex_state = 1516},
  [493] = {.lex_state = 1516},
  [494] = {.lex_state = 1516},
  [495] = {.lex_state = 1516},
  [496] = {.lex_state = 1516},
  [497] = {.lex_state = 1516},
  [498] = {.lex_state = 1516},
  [499] = {.lex_state = 1516},
  [500] = {.lex_state = 1516},
  [501] = {.lex_state = 1516},
  [502] = {.lex_state = 1516},
  [503] = {.lex_state = 1516},
  [504] = {.lex_state = 1516},
  [505] = {.lex_state = 1516},
  [506] = {.lex_state = 1516},
  [507] = {.lex_state = 1516},
  [508] = {.lex_state = 1516},
  [509] = {.lex_state = 1516},
  [510] = {.lex_state = 1516},
  [511] = {.lex_state = 1516},
  [512] = {.lex_state = 1516},
  [513] = {.lex_state = 1516},
  [514] = {.lex_state = 1516},
  [515] = {.lex_state = 1516},
  [516] = {.lex_state = 1516},
  [517] = {.lex_state = 1516},
  [518] = {.lex_state = 1516},
  [519] = {.lex_state = 1516},
  [520] = {.lex_state = 1516},
  [521] = {.lex_state = 1516},
  [522] = {.lex_state = 1516},
  [523] = {.lex_state = 1516},
  [524] = {.lex_state = 1516},
  [525] = {.lex_state = 1516},
  [526] = {.lex_state = 1516},
  [527] = {.lex_state = 1516},
  [528] = {.lex_state = 1516},
  [529] = {.lex_state = 1516},
  [530] = {.lex_state = 1516},
  [531] = {.lex_state = 1516},
  [532] = {.lex_state = 1516},
  [533] = {.lex_state = 1516},
  [534] = {.lex_state = 1516},
  [535] = {.lex_state = 1516},
  [536] = {.lex_state = 1516},
  [537] = {.lex_state = 1516},
  [538] = {.lex_state = 1516},
  [539] = {.lex_state = 1516},
  [540] = {.lex_state = 1516},
  [541] = {.lex_state = 1516},
  [542] = {.lex_state = 1516},
  [543] = {.lex_state = 1516},
  [544] = {.lex_state = 1516},
  [545] = {.lex_state = 1516},
  [546] = {.lex_state = 1516},
  [547] = {.lex_state = 1516},
  [548] = {.lex_state = 1516},
  [549] = {.lex_state = 1516},
  [550] = {.lex_state = 1516},
  [551] = {.lex_state = 1516},
  [552] = {.lex_state = 1516},
  [553] = {.lex_state = 1516},
  [554] = {.lex_state = 1516},
  [555] = {.lex_state = 1516},
  [556] = {.lex_state = 1516},
  [557] = {.lex_state = 1516},
  [558] = {.lex_state = 1516},
  [559] = {.lex_state = 1516},
  [560] = {.lex_state = 1516},
  [561] = {.lex_state = 1516},
  [562] = {.lex_state = 1516},
  [563] = {.lex_state = 1516},
  [564] = {.lex_state = 1516},
  [565] = {.lex_state = 1516},
  [566] = {.lex_state = 1516},
  [567] = {.lex_state = 1516},
  [568] = {.lex_state = 1516},
  [569] = {.lex_state = 1516},
  [570] = {.lex_state = 1516},
  [571] = {.lex_state = 1516},
  [572] = {.lex_state = 1516},
  [573] = {.lex_state = 1516},
  [574] = {.lex_state = 1516},
  [575] = {.lex_state = 1516},
  [576] = {.lex_state = 1516},
  [577] = {.lex_state = 1516},
  [578] = {.lex_state = 1516},
  [579] = {.lex_state = 1516},
  [580] = {.lex_state = 1516},
  [581] = {.lex_state = 1516},
  [582] = {.lex_state = 1516},
  [583] = {.lex_state = 1516},
  [584] = {.lex_state = 1516},
  [585] = {.lex_state = 1516},
  [586] = {.lex_state = 1516},
  [587] = {.lex_state = 1516},
  [588] = {.lex_state = 1516},
  [589] = {.lex_state = 1516},
  [590] = {.lex_state = 1516},
  [591] = {.lex_state = 1516},
  [592] = {.lex_state = 1516},
  [593] = {.lex_state = 1516},
  [594] = {.lex_state = 1516},
  [595] = {.lex_state = 1516},
  [596] = {.lex_state = 1516},
  [597] = {.lex_state = 1516},
  [598] = {.lex_state = 1516},
  [599] = {.lex_state = 1516},
  [600] = {.lex_state = 1516},
  [601] = {.lex_state = 1516},
  [602] = {.lex_state = 1516},
  [603] = {.lex_state = 1516},
  [604] = {.lex_state = 1516},
  [605] = {.lex_state = 1516},
  [606] = {.lex_state = 1516},
  [607] = {.lex_state = 1516},
  [608] = {.lex_state = 1516},
  [609] = {.lex_state = 1516},
  [610] = {.lex_state = 1516},
  [611] = {.lex_state = 1516},
  [612] = {.lex_state = 1516},
  [613] = {.lex_state = 1516},
  [614] = {.lex_state = 1516},
  [615] = {.lex_state = 1516},
  [616] = {.lex_state = 1516},
  [617] = {.lex_state = 1516},
  [618] = {.lex_state = 1516},
  [619] = {.lex_state = 1516},
  [620] = {.lex_state = 1516},
  [621] = {.lex_state = 1516},
  [622] = {.lex_state = 1516},
  [623] = {.lex_state = 1516},
  [624] = {.lex_state = 1516},
  [625] = {.lex_state = 1516},
  [626] = {.lex_state = 1516},
  [627] = {.lex_state = 1516},
  [628] = {.lex_state = 1516},
  [629] = {.lex_state = 1516},
  [630] = {.lex_state = 1516},
  [631] = {.lex_state = 1516},
  [632] = {.lex_state = 1516},
  [633] = {.lex_state = 1516},
  [634] = {.lex_state = 1516},
  [635] = {.lex_state = 1516},
  [636] = {.lex_state = 1516},
  [637] = {.lex_state = 1516},
  [638] = {.lex_state = 1516},
  [639] = {.lex_state = 1516},
  [640] = {.lex_state = 1516},
  [641] = {.lex_state = 1516},
  [642] = {.lex_state = 1516},
  [643] = {.lex_state = 1516},
  [644] = {.lex_state = 1516},
  [645] = {.lex_state = 1516},
  [646] = {.lex_state = 1516},
  [647] = {.lex_state = 1516},
  [648] = {.lex_state = 1516},
  [649] = {.lex_state = 1516},
  [650] = {.lex_state = 1516},
  [651] = {.lex_state = 1516},
  [652] = {.lex_state = 1516},
  [653] = {.lex_state = 1516},
  [654] = {.lex_state = 1516},
  [655] = {.lex_state = 1516},
  [656] = {.lex_state = 1516},
  [657] = {.lex_state = 1516},
  [658] = {.lex_state = 1516},
  [659] = {.lex_state = 1516},
  [660] = {.lex_state = 1516},
  [661] = {.lex_state = 1516},
  [662] = {.lex_state = 1516},
  [663] = {.lex_state = 1516},
  [664] = {.lex_state = 1516},
  [665] = {.lex_state = 1516},
  [666] = {.lex_state = 1516},
  [667] = {.lex_state = 1516},
  [668] = {.lex_state = 1516},
  [669] = {.lex_state = 1516},
  [670] = {.lex_state = 1516},
  [671] = {.lex_state = 1516},
  [672] = {.lex_state = 1516},
  [673] = {.lex_state = 1516},
  [674] = {.lex_state = 1516},
  [675] = {.lex_state = 1516},
  [676] = {.lex_state = 1516},
  [677] = {.lex_state = 1516},
  [678] = {.lex_state = 1516},
  [679] = {.lex_state = 1516},
  [680] = {.lex_state = 1516},
  [681] = {.lex_state = 1516},
  [682] = {.lex_state = 1516},
  [683] = {.lex_state = 1516},
  [684] = {.lex_state = 1516},
  [685] = {.lex_state = 1516},
  [686] = {.lex_state = 1516},
  [687] = {.lex_state = 1516},
  [688] = {.lex_state = 1516},
  [689] = {.lex_state = 1516},
  [690] = {.lex_state = 1516},
  [691] = {.lex_state = 1516},
  [692] = {.lex_state = 1516},
  [693] = {.lex_state = 1516},
  [694] = {.lex_state = 1516},
  [695] = {.lex_state = 1516},
  [696] = {.lex_state = 1516},
  [697] = {.lex_state = 1516},
  [698] = {.lex_state = 1516},
  [699] = {.lex_state = 1516},
  [700] = {.lex_state = 1516},
  [701] = {.lex_state = 1516},
  [702] = {.lex_state = 1516},
  [703] = {.lex_state = 1516},
  [704] = {.lex_state = 1516},
  [705] = {.lex_state = 1516},
  [706] = {.lex_state = 1516},
  [707] = {.lex_state = 1516},
  [708] = {.lex_state = 1516},
  [709] = {.lex_state = 1516},
  [710] = {.lex_state = 1516},
  [711] = {.lex_state = 1516},
  [712] = {.lex_state = 1516},
  [713] = {.lex_state = 1516},
  [714] = {.lex_state = 1516},
  [715] = {.lex_state = 1516},
  [716] = {.lex_state = 1516},
  [717] = {.lex_state = 1516},
  [718] = {.lex_state = 1516},
  [719] = {.lex_state = 1516},
  [720] = {.lex_state = 1516},
  [721] = {.lex_state = 1516},
  [722] = {.lex_state = 1516},
  [723] = {.lex_state = 1516},
  [724] = {.lex_state = 1516},
  [725] = {.lex_state = 1516},
  [726] = {.lex_state = 1516},
  [727] = {.lex_state = 1516},
  [728] = {.lex_state = 1516},
  [729] = {.lex_state = 1516},
  [730] = {.lex_state = 1516},
  [731] = {.lex_state = 1516},
  [732] = {.lex_state = 1516},
  [733] = {.lex_state = 1516},
  [734] = {.lex_state = 1516},
  [735] = {.lex_state = 1516},
  [736] = {.lex_state = 1516},
  [737] = {.lex_state = 1516},
  [738] = {.lex_state = 1516},
  [739] = {.lex_state = 1516},
  [740] = {.lex_state = 1516},
  [741] = {.lex_state = 1516},
  [742] = {.lex_state = 1516},
  [743] = {.lex_state = 1516},
  [744] = {.lex_state = 1516},
  [745] = {.lex_state = 1516},
  [746] = {.lex_state = 1516},
  [747] = {.lex_state = 1516},
  [748] = {.lex_state = 1516},
  [749] = {.lex_state = 1516},
  [750] = {.lex_state = 1516},
  [751] = {.lex_state = 1516},
  [752] = {.lex_state = 1516},
  [753] = {.lex_state = 1516},
  [754] = {.lex_state = 1516},
  [755] = {.lex_state = 1516},
  [756] = {.lex_state = 1516},
  [757] = {.lex_state = 1516},
  [758] = {.lex_state = 1516},
  [759] = {.lex_state = 1516},
  [760] = {.lex_state = 1516},
  [761] = {.lex_state = 1516},
  [762] = {.lex_state = 1516},
  [763] = {.lex_state = 1516},
  [764] = {.lex_state = 1516},
  [765] = {.lex_state = 1516},
  [766] = {.lex_state = 1516},
  [767] = {.lex_state = 1516},
  [768] = {.lex_state = 1516},
  [769] = {.lex_state = 1516},
  [770] = {.lex_state = 1516},
  [771] = {.lex_state = 1516},
  [772] = {.lex_state = 1516},
  [773] = {.lex_state = 1516},
  [774] = {.lex_state = 1516},
  [775] = {.lex_state = 1516},
  [776] = {.lex_state = 1516},
  [777] = {.lex_state = 1516},
  [778] = {.lex_state = 1516},
  [779] = {.lex_state = 1516},
  [780] = {.lex_state = 1516},
  [781] = {.lex_state = 1516},
  [782] = {.lex_state = 1516},
  [783] = {.lex_state = 1516},
  [784] = {.lex_state = 1516},
  [785] = {.lex_state = 1516},
  [786] = {.lex_state = 1516},
  [787] = {.lex_state = 1516},
  [788] = {.lex_state = 1516},
  [789] = {.lex_state = 1516},
  [790] = {.lex_state = 1516},
  [791] = {.lex_state = 1516},
  [792] = {.lex_state = 1516},
  [793] = {.lex_state = 1516},
  [794] = {.lex_state = 1516},
  [795] = {.lex_state = 1516},
  [796] = {.lex_state = 1516},
  [797] = {.lex_state = 1516},
  [798] = {.lex_state = 1516},
  [799] = {.lex_state = 1516},
  [800] = {.lex_state = 1516},
  [801] = {.lex_state = 1516},
  [802] = {.lex_state = 1516},
  [803] = {.lex_state = 1516},
  [804] = {.lex_state = 1516},
  [805] = {.lex_state = 1516},
  [806] = {.lex_state = 1516},
  [807] = {.lex_state = 1516},
  [808] = {.lex_state = 1516},
  [809] = {.lex_state = 2},
  [810] = {.lex_state = 2},
  [811] = {.lex_state = 2},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 2},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 2},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 2},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 2},
  [825] = {.lex_state = 2},
  [826] = {.lex_state = 1},
  [827] = {.lex_state = 2},
  [828] = {.lex_state = 2},
  [829] = {.lex_state = 2},
  [830] = {.lex_state = 2},
  [831] = {.lex_state = 2},
  [832] = {.lex_state = 2},
  [833] = {.lex_state = 2},
  [834] = {.lex_state = 2},
  [835] = {.lex_state = 2},
  [836] = {.lex_state = 2},
  [837] = {.lex_state = 2},
  [838] = {.lex_state = 2},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 2},
  [841] = {.lex_state = 2},
  [842] = {.lex_state = 2},
  [843] = {.lex_state = 2},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 2},
  [846] = {.lex_state = 2},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 2},
  [849] = {.lex_state = 2},
  [850] = {.lex_state = 2},
  [851] = {.lex_state = 2},
  [852] = {.lex_state = 2},
  [853] = {.lex_state = 2},
  [854] = {.lex_state = 2},
  [855] = {.lex_state = 2},
  [856] = {.lex_state = 2},
  [857] = {.lex_state = 2},
  [858] = {.lex_state = 2},
  [859] = {.lex_state = 2},
  [860] = {.lex_state = 2},
  [861] = {.lex_state = 2},
  [862] = {.lex_state = 2},
  [863] = {.lex_state = 2},
  [864] = {.lex_state = 2},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 2},
  [867] = {.lex_state = 2},
  [868] = {.lex_state = 2},
  [869] = {.lex_state = 2},
  [870] = {.lex_state = 2},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 2},
  [874] = {.lex_state = 2},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 2},
  [878] = {.lex_state = 2},
  [879] = {.lex_state = 2},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 2},
  [882] = {.lex_state = 2},
  [883] = {.lex_state = 2},
  [884] = {.lex_state = 2},
  [885] = {.lex_state = 2},
  [886] = {.lex_state = 2},
  [887] = {.lex_state = 2},
  [888] = {.lex_state = 2},
  [889] = {.lex_state = 2},
  [890] = {.lex_state = 2},
  [891] = {.lex_state = 2},
  [892] = {.lex_state = 2},
  [893] = {.lex_state = 2},
  [894] = {.lex_state = 1},
  [895] = {.lex_state = 2},
  [896] = {.lex_state = 2},
  [897] = {.lex_state = 2},
  [898] = {.lex_state = 2},
  [899] = {.lex_state = 2},
  [900] = {.lex_state = 2},
  [901] = {.lex_state = 2},
  [902] = {.lex_state = 2},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 2},
  [905] = {.lex_state = 2},
  [906] = {.lex_state = 2},
  [907] = {.lex_state = 2},
  [908] = {.lex_state = 2},
  [909] = {.lex_state = 2},
  [910] = {.lex_state = 2},
  [911] = {.lex_state = 2},
  [912] = {.lex_state = 2},
  [913] = {.lex_state = 1},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 2},
  [916] = {.lex_state = 2},
  [917] = {.lex_state = 2},
  [918] = {.lex_state = 2},
  [919] = {.lex_state = 2},
  [920] = {.lex_state = 2},
  [921] = {.lex_state = 2},
  [922] = {.lex_state = 2},
  [923] = {.lex_state = 2},
  [924] = {.lex_state = 2},
  [925] = {.lex_state = 2},
  [926] = {.lex_state = 2},
  [927] = {.lex_state = 2},
  [928] = {.lex_state = 2},
  [929] = {.lex_state = 2},
  [930] = {.lex_state = 2},
  [931] = {.lex_state = 2},
  [932] = {.lex_state = 2},
  [933] = {.lex_state = 2},
  [934] = {.lex_state = 2},
  [935] = {.lex_state = 2},
  [936] = {.lex_state = 2},
  [937] = {.lex_state = 2},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 2},
  [940] = {.lex_state = 2},
  [941] = {.lex_state = 2},
  [942] = {.lex_state = 2},
  [943] = {.lex_state = 2},
  [944] = {.lex_state = 2},
  [945] = {.lex_state = 2},
  [946] = {.lex_state = 2},
  [947] = {.lex_state = 2},
  [948] = {.lex_state = 2},
  [949] = {.lex_state = 2},
  [950] = {.lex_state = 2},
  [951] = {.lex_state = 2},
  [952] = {.lex_state = 2},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 2},
  [955] = {.lex_state = 2},
  [956] = {.lex_state = 2},
  [957] = {.lex_state = 2},
  [958] = {.lex_state = 2},
  [959] = {.lex_state = 2},
  [960] = {.lex_state = 2},
  [961] = {.lex_state = 2},
  [962] = {.lex_state = 2},
  [963] = {.lex_state = 2},
  [964] = {.lex_state = 2},
  [965] = {.lex_state = 2},
  [966] = {.lex_state = 2},
  [967] = {.lex_state = 2},
  [968] = {.lex_state = 2},
  [969] = {.lex_state = 2},
  [970] = {.lex_state = 2},
  [971] = {.lex_state = 2},
  [972] = {.lex_state = 2},
  [973] = {.lex_state = 2},
  [974] = {.lex_state = 2},
  [975] = {.lex_state = 2},
  [976] = {.lex_state = 2},
  [977] = {.lex_state = 2},
  [978] = {.lex_state = 2},
  [979] = {.lex_state = 2},
  [980] = {.lex_state = 2},
  [981] = {.lex_state = 2},
  [982] = {.lex_state = 2},
  [983] = {.lex_state = 2},
  [984] = {.lex_state = 2},
  [985] = {.lex_state = 2},
  [986] = {.lex_state = 2},
  [987] = {.lex_state = 2},
  [988] = {.lex_state = 2},
  [989] = {.lex_state = 2},
  [990] = {.lex_state = 2},
  [991] = {.lex_state = 2},
  [992] = {.lex_state = 2},
  [993] = {.lex_state = 2},
  [994] = {.lex_state = 5},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 2},
  [997] = {.lex_state = 2},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 5},
  [1000] = {.lex_state = 3},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 2},
  [1003] = {.lex_state = 1},
  [1004] = {.lex_state = 4},
  [1005] = {.lex_state = 5},
  [1006] = {.lex_state = 5},
  [1007] = {.lex_state = 5},
  [1008] = {.lex_state = 1516},
  [1009] = {.lex_state = 1516},
  [1010] = {.lex_state = 5},
  [1011] = {.lex_state = 1516},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 5},
  [1014] = {.lex_state = 1516},
  [1015] = {.lex_state = 5},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 5},
  [1018] = {.lex_state = 5},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 5},
  [1021] = {.lex_state = 6},
  [1022] = {.lex_state = 5},
  [1023] = {.lex_state = 1516},
  [1024] = {.lex_state = 5},
  [1025] = {.lex_state = 5},
  [1026] = {.lex_state = 6},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 5},
  [1029] = {.lex_state = 5},
  [1030] = {.lex_state = 5},
  [1031] = {.lex_state = 5},
  [1032] = {.lex_state = 5},
  [1033] = {.lex_state = 5},
  [1034] = {.lex_state = 5},
  [1035] = {.lex_state = 5},
  [1036] = {.lex_state = 2},
  [1037] = {.lex_state = 5},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 5},
  [1040] = {.lex_state = 5},
  [1041] = {.lex_state = 5},
  [1042] = {.lex_state = 5},
  [1043] = {.lex_state = 5},
  [1044] = {.lex_state = 5},
  [1045] = {.lex_state = 5},
  [1046] = {.lex_state = 5},
  [1047] = {.lex_state = 5},
  [1048] = {.lex_state = 1},
  [1049] = {.lex_state = 1516},
  [1050] = {.lex_state = 5},
  [1051] = {.lex_state = 1516},
  [1052] = {.lex_state = 5},
  [1053] = {.lex_state = 2},
  [1054] = {.lex_state = 5},
  [1055] = {.lex_state = 5},
  [1056] = {.lex_state = 5},
  [1057] = {.lex_state = 5},
  [1058] = {.lex_state = 5},
  [1059] = {.lex_state = 5},
  [1060] = {.lex_state = 5},
  [1061] = {.lex_state = 1516},
  [1062] = {.lex_state = 2},
  [1063] = {.lex_state = 5},
  [1064] = {.lex_state = 5},
  [1065] = {.lex_state = 5},
  [1066] = {.lex_state = 5},
  [1067] = {.lex_state = 5},
  [1068] = {.lex_state = 5},
  [1069] = {.lex_state = 5},
  [1070] = {.lex_state = 5},
  [1071] = {.lex_state = 5},
  [1072] = {.lex_state = 5},
  [1073] = {.lex_state = 5},
  [1074] = {.lex_state = 8},
  [1075] = {.lex_state = 1},
  [1076] = {.lex_state = 6},
  [1077] = {.lex_state = 6},
  [1078] = {.lex_state = 6},
  [1079] = {.lex_state = 6},
  [1080] = {.lex_state = 6},
  [1081] = {.lex_state = 6},
  [1082] = {.lex_state = 6},
  [1083] = {.lex_state = 6},
  [1084] = {.lex_state = 6},
  [1085] = {.lex_state = 6},
  [1086] = {.lex_state = 6},
  [1087] = {.lex_state = 6},
  [1088] = {.lex_state = 6},
  [1089] = {.lex_state = 6},
  [1090] = {.lex_state = 6},
  [1091] = {.lex_state = 6},
  [1092] = {.lex_state = 1516},
  [1093] = {.lex_state = 6},
  [1094] = {.lex_state = 6},
  [1095] = {.lex_state = 6},
  [1096] = {.lex_state = 6},
  [1097] = {.lex_state = 1516},
  [1098] = {.lex_state = 6},
  [1099] = {.lex_state = 6},
  [1100] = {.lex_state = 1},
  [1101] = {.lex_state = 6},
  [1102] = {.lex_state = 2},
  [1103] = {.lex_state = 6},
  [1104] = {.lex_state = 6},
  [1105] = {.lex_state = 6},
  [1106] = {.lex_state = 6},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 6},
  [1109] = {.lex_state = 9},
  [1110] = {.lex_state = 6},
  [1111] = {.lex_state = 6},
  [1112] = {.lex_state = 6},
  [1113] = {.lex_state = 1516},
  [1114] = {.lex_state = 6},
  [1115] = {.lex_state = 6},
  [1116] = {.lex_state = 6},
  [1117] = {.lex_state = 6},
  [1118] = {.lex_state = 6},
  [1119] = {.lex_state = 1516},
  [1120] = {.lex_state = 1516},
  [1121] = {.lex_state = 1516},
  [1122] = {.lex_state = 1516},
  [1123] = {.lex_state = 6},
  [1124] = {.lex_state = 6},
  [1125] = {.lex_state = 6},
  [1126] = {.lex_state = 6},
  [1127] = {.lex_state = 6},
  [1128] = {.lex_state = 6},
  [1129] = {.lex_state = 6},
  [1130] = {.lex_state = 6},
  [1131] = {.lex_state = 1516},
  [1132] = {.lex_state = 6},
  [1133] = {.lex_state = 6},
  [1134] = {.lex_state = 6},
  [1135] = {.lex_state = 6},
  [1136] = {.lex_state = 6},
  [1137] = {.lex_state = 8},
  [1138] = {.lex_state = 8},
  [1139] = {.lex_state = 8},
  [1140] = {.lex_state = 6},
  [1141] = {.lex_state = 9},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 7},
  [1144] = {.lex_state = 8},
  [1145] = {.lex_state = 8},
  [1146] = {.lex_state = 7},
  [1147] = {.lex_state = 8},
  [1148] = {.lex_state = 7},
  [1149] = {.lex_state = 8},
  [1150] = {.lex_state = 7},
  [1151] = {.lex_state = 8},
  [1152] = {.lex_state = 7},
  [1153] = {.lex_state = 8},
  [1154] = {.lex_state = 7},
  [1155] = {.lex_state = 8},
  [1156] = {.lex_state = 7},
  [1157] = {.lex_state = 8},
  [1158] = {.lex_state = 7},
  [1159] = {.lex_state = 7},
  [1160] = {.lex_state = 8},
  [1161] = {.lex_state = 7},
  [1162] = {.lex_state = 1516},
  [1163] = {.lex_state = 7},
  [1164] = {.lex_state = 8},
  [1165] = {.lex_state = 7},
  [1166] = {.lex_state = 8},
  [1167] = {.lex_state = 7},
  [1168] = {.lex_state = 1516},
  [1169] = {.lex_state = 7},
  [1170] = {.lex_state = 8},
  [1171] = {.lex_state = 7},
  [1172] = {.lex_state = 8},
  [1173] = {.lex_state = 7},
  [1174] = {.lex_state = 8},
  [1175] = {.lex_state = 7},
  [1176] = {.lex_state = 8},
  [1177] = {.lex_state = 7},
  [1178] = {.lex_state = 8},
  [1179] = {.lex_state = 7},
  [1180] = {.lex_state = 8},
  [1181] = {.lex_state = 7},
  [1182] = {.lex_state = 8},
  [1183] = {.lex_state = 7},
  [1184] = {.lex_state = 8},
  [1185] = {.lex_state = 7},
  [1186] = {.lex_state = 8},
  [1187] = {.lex_state = 7},
  [1188] = {.lex_state = 8},
  [1189] = {.lex_state = 7},
  [1190] = {.lex_state = 8},
  [1191] = {.lex_state = 7},
  [1192] = {.lex_state = 1516},
  [1193] = {.lex_state = 7},
  [1194] = {.lex_state = 8},
  [1195] = {.lex_state = 7},
  [1196] = {.lex_state = 8},
  [1197] = {.lex_state = 7},
  [1198] = {.lex_state = 8},
  [1199] = {.lex_state = 7},
  [1200] = {.lex_state = 8},
  [1201] = {.lex_state = 7},
  [1202] = {.lex_state = 8},
  [1203] = {.lex_state = 7},
  [1204] = {.lex_state = 8},
  [1205] = {.lex_state = 7},
  [1206] = {.lex_state = 8},
  [1207] = {.lex_state = 7},
  [1208] = {.lex_state = 2},
  [1209] = {.lex_state = 7},
  [1210] = {.lex_state = 8},
  [1211] = {.lex_state = 7},
  [1212] = {.lex_state = 7},
  [1213] = {.lex_state = 7},
  [1214] = {.lex_state = 1516},
  [1215] = {.lex_state = 7},
  [1216] = {.lex_state = 8},
  [1217] = {.lex_state = 7},
  [1218] = {.lex_state = 8},
  [1219] = {.lex_state = 7},
  [1220] = {.lex_state = 1516},
  [1221] = {.lex_state = 7},
  [1222] = {.lex_state = 1516},
  [1223] = {.lex_state = 7},
  [1224] = {.lex_state = 8},
  [1225] = {.lex_state = 7},
  [1226] = {.lex_state = 8},
  [1227] = {.lex_state = 7},
  [1228] = {.lex_state = 8},
  [1229] = {.lex_state = 7},
  [1230] = {.lex_state = 8},
  [1231] = {.lex_state = 7},
  [1232] = {.lex_state = 8},
  [1233] = {.lex_state = 7},
  [1234] = {.lex_state = 8},
  [1235] = {.lex_state = 7},
  [1236] = {.lex_state = 7},
  [1237] = {.lex_state = 7},
  [1238] = {.lex_state = 8},
  [1239] = {.lex_state = 7},
  [1240] = {.lex_state = 8},
  [1241] = {.lex_state = 7},
  [1242] = {.lex_state = 8},
  [1243] = {.lex_state = 7},
  [1244] = {.lex_state = 8},
  [1245] = {.lex_state = 7},
  [1246] = {.lex_state = 7},
  [1247] = {.lex_state = 7},
  [1248] = {.lex_state = 8},
  [1249] = {.lex_state = 7},
  [1250] = {.lex_state = 8},
  [1251] = {.lex_state = 7},
  [1252] = {.lex_state = 8},
  [1253] = {.lex_state = 7},
  [1254] = {.lex_state = 8},
  [1255] = {.lex_state = 7},
  [1256] = {.lex_state = 7},
  [1257] = {.lex_state = 7},
  [1258] = {.lex_state = 8},
  [1259] = {.lex_state = 7},
  [1260] = {.lex_state = 7},
  [1261] = {.lex_state = 7},
  [1262] = {.lex_state = 8},
  [1263] = {.lex_state = 7},
  [1264] = {.lex_state = 7},
  [1265] = {.lex_state = 8},
  [1266] = {.lex_state = 1516},
  [1267] = {.lex_state = 8},
  [1268] = {.lex_state = 8},
  [1269] = {.lex_state = 7},
  [1270] = {.lex_state = 1516},
  [1271] = {.lex_state = 1516},
  [1272] = {.lex_state = 7},
  [1273] = {.lex_state = 8},
  [1274] = {.lex_state = 8},
  [1275] = {.lex_state = 8},
  [1276] = {.lex_state = 7},
  [1277] = {.lex_state = 8},
  [1278] = {.lex_state = 8},
  [1279] = {.lex_state = 8},
  [1280] = {.lex_state = 7},
  [1281] = {.lex_state = 8},
  [1282] = {.lex_state = 8},
  [1283] = {.lex_state = 7},
  [1284] = {.lex_state = 8},
  [1285] = {.lex_state = 8},
  [1286] = {.lex_state = 7},
  [1287] = {.lex_state = 8},
  [1288] = {.lex_state = 8},
  [1289] = {.lex_state = 8},
  [1290] = {.lex_state = 1516},
  [1291] = {.lex_state = 7},
  [1292] = {.lex_state = 7},
  [1293] = {.lex_state = 1516},
  [1294] = {.lex_state = 1516},
  [1295] = {.lex_state = 7},
  [1296] = {.lex_state = 8},
  [1297] = {.lex_state = 1516},
  [1298] = {.lex_state = 8},
  [1299] = {.lex_state = 7},
  [1300] = {.lex_state = 8},
  [1301] = {.lex_state = 8},
  [1302] = {.lex_state = 7},
  [1303] = {.lex_state = 8},
  [1304] = {.lex_state = 8},
  [1305] = {.lex_state = 7},
  [1306] = {.lex_state = 1516},
  [1307] = {.lex_state = 7},
  [1308] = {.lex_state = 7},
  [1309] = {.lex_state = 8},
  [1310] = {.lex_state = 8},
  [1311] = {.lex_state = 7},
  [1312] = {.lex_state = 8},
  [1313] = {.lex_state = 7},
  [1314] = {.lex_state = 7},
  [1315] = {.lex_state = 8},
  [1316] = {.lex_state = 7},
  [1317] = {.lex_state = 7},
  [1318] = {.lex_state = 8},
  [1319] = {.lex_state = 7},
  [1320] = {.lex_state = 8},
  [1321] = {.lex_state = 8},
  [1322] = {.lex_state = 7},
  [1323] = {.lex_state = 8},
  [1324] = {.lex_state = 8},
  [1325] = {.lex_state = 7},
  [1326] = {.lex_state = 7},
  [1327] = {.lex_state = 2},
  [1328] = {.lex_state = 8},
  [1329] = {.lex_state = 7},
  [1330] = {.lex_state = 7},
  [1331] = {.lex_state = 8},
  [1332] = {.lex_state = 7},
  [1333] = {.lex_state = 7},
  [1334] = {.lex_state = 8},
  [1335] = {.lex_state = 1516},
  [1336] = {.lex_state = 7},
  [1337] = {.lex_state = 8},
  [1338] = {.lex_state = 7},
  [1339] = {.lex_state = 7},
  [1340] = {.lex_state = 8},
  [1341] = {.lex_state = 8},
  [1342] = {.lex_state = 7},
  [1343] = {.lex_state = 7},
  [1344] = {.lex_state = 8},
  [1345] = {.lex_state = 1516},
  [1346] = {.lex_state = 7},
  [1347] = {.lex_state = 7},
  [1348] = {.lex_state = 8},
  [1349] = {.lex_state = 8},
  [1350] = {.lex_state = 7},
  [1351] = {.lex_state = 8},
  [1352] = {.lex_state = 7},
  [1353] = {.lex_state = 7},
  [1354] = {.lex_state = 8},
  [1355] = {.lex_state = 7},
  [1356] = {.lex_state = 8},
  [1357] = {.lex_state = 7},
  [1358] = {.lex_state = 8},
  [1359] = {.lex_state = 7},
  [1360] = {.lex_state = 8},
  [1361] = {.lex_state = 7},
  [1362] = {.lex_state = 8},
  [1363] = {.lex_state = 7},
  [1364] = {.lex_state = 8},
  [1365] = {.lex_state = 7},
  [1366] = {.lex_state = 8},
  [1367] = {.lex_state = 7},
  [1368] = {.lex_state = 8},
  [1369] = {.lex_state = 7},
  [1370] = {.lex_state = 8},
  [1371] = {.lex_state = 7},
  [1372] = {.lex_state = 8},
  [1373] = {.lex_state = 7},
  [1374] = {.lex_state = 8},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1),
    [aux_sym_boolean_token1] = ACTIONS(1),
    [aux_sym_boolean_token2] = ACTIONS(1),
    [aux_sym_boolean_token3] = ACTIONS(1),
    [aux_sym_boolean_token4] = ACTIONS(1),
    [aux_sym_host_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_match_token1] = ACTIONS(1),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1),
    [aux_sym_address_family_token1] = ACTIONS(1),
    [aux_sym_address_family_value_token1] = ACTIONS(1),
    [aux_sym_address_family_value_token2] = ACTIONS(1),
    [aux_sym_address_family_value_token3] = ACTIONS(1),
    [aux_sym_batch_mode_token1] = ACTIONS(1),
    [aux_sym_bind_address_token1] = ACTIONS(1),
    [aux_sym_bind_interface_token1] = ACTIONS(1),
    [aux_sym_canonical_domains_token1] = ACTIONS(1),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_value_token1] = ACTIONS(1),
    [aux_sym_canonicalize_hostname_value_token2] = ACTIONS(1),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1),
    [aux_sym_certificate_file_token1] = ACTIONS(1),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(1),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(1),
    [aux_sym_check_host_ip_token1] = ACTIONS(1),
    [aux_sym_ciphers_token1] = ACTIONS(1),
    [aux_sym_cipher_token1] = ACTIONS(1),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1),
    [aux_sym_compression_token1] = ACTIONS(1),
    [aux_sym_connection_attempts_token1] = ACTIONS(1),
    [aux_sym_connect_timeout_token1] = ACTIONS(1),
    [aux_sym_control_master_token1] = ACTIONS(1),
    [aux_sym_control_master_value_token1] = ACTIONS(1),
    [aux_sym_control_master_value_token2] = ACTIONS(1),
    [aux_sym_control_master_value_token3] = ACTIONS(1),
    [aux_sym_control_path_token1] = ACTIONS(1),
    [aux_sym_control_persist_token1] = ACTIONS(1),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1),
    [aux_sym_escape_char_token1] = ACTIONS(1),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1),
    [anon_sym_md5] = ACTIONS(1),
    [anon_sym_sha256] = ACTIONS(1),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1),
    [aux_sym_forward_agent_token1] = ACTIONS(1),
    [aux_sym_forward_x11_token1] = ACTIONS(1),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1),
    [aux_sym_gateway_ports_token1] = ACTIONS(1),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1),
    [aux_sym_host_key_alias_token1] = ACTIONS(1),
    [aux_sym_hostname_token1] = ACTIONS(1),
    [aux_sym_identities_only_token1] = ACTIONS(1),
    [aux_sym_identity_agent_token1] = ACTIONS(1),
    [aux_sym_identity_file_token1] = ACTIONS(1),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1),
    [aux_sym_include_token1] = ACTIONS(1),
    [aux_sym_ip_qos_token1] = ACTIONS(1),
    [anon_sym_af11] = ACTIONS(1),
    [anon_sym_af12] = ACTIONS(1),
    [anon_sym_af13] = ACTIONS(1),
    [anon_sym_af21] = ACTIONS(1),
    [anon_sym_af22] = ACTIONS(1),
    [anon_sym_af23] = ACTIONS(1),
    [anon_sym_af31] = ACTIONS(1),
    [anon_sym_af32] = ACTIONS(1),
    [anon_sym_af33] = ACTIONS(1),
    [anon_sym_af41] = ACTIONS(1),
    [anon_sym_af42] = ACTIONS(1),
    [anon_sym_af43] = ACTIONS(1),
    [anon_sym_cs0] = ACTIONS(1),
    [anon_sym_cs1] = ACTIONS(1),
    [anon_sym_cs2] = ACTIONS(1),
    [anon_sym_cs3] = ACTIONS(1),
    [anon_sym_cs4] = ACTIONS(1),
    [anon_sym_cs5] = ACTIONS(1),
    [anon_sym_cs6] = ACTIONS(1),
    [anon_sym_cs7] = ACTIONS(1),
    [anon_sym_ef] = ACTIONS(1),
    [anon_sym_le] = ACTIONS(1),
    [anon_sym_lowdelay] = ACTIONS(1),
    [anon_sym_throughput] = ACTIONS(1),
    [anon_sym_reliability] = ACTIONS(1),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1),
    [aux_sym_local_command_token1] = ACTIONS(1),
    [aux_sym_local_forward_token1] = ACTIONS(1),
    [aux_sym_log_level_token1] = ACTIONS(1),
    [aux_sym_log_level_value_token1] = ACTIONS(1),
    [aux_sym_log_level_value_token2] = ACTIONS(1),
    [aux_sym_log_level_value_token3] = ACTIONS(1),
    [aux_sym_log_level_value_token4] = ACTIONS(1),
    [aux_sym_log_level_value_token5] = ACTIONS(1),
    [aux_sym_log_level_value_token6] = ACTIONS(1),
    [aux_sym_log_level_value_token7] = ACTIONS(1),
    [aux_sym_log_level_value_token8] = ACTIONS(1),
    [aux_sym_log_level_value_token9] = ACTIONS(1),
    [aux_sym_log_verbose_token1] = ACTIONS(1),
    [aux_sym_macs_token1] = ACTIONS(1),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1),
    [aux_sym_obscure_keystroke_timing_value_token1] = ACTIONS(1),
    [aux_sym_password_authentication_token1] = ACTIONS(1),
    [aux_sym_permit_local_command_token1] = ACTIONS(1),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1),
    [aux_sym_port_token1] = ACTIONS(1),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1),
    [aux_sym_protocol_token1] = ACTIONS(1),
    [anon_sym_1] = ACTIONS(1),
    [anon_sym_2] = ACTIONS(1),
    [aux_sym_proxy_command_token1] = ACTIONS(1),
    [aux_sym_proxy_jump_token1] = ACTIONS(1),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_value_token1] = ACTIONS(1),
    [aux_sym_pubkey_authentication_value_token2] = ACTIONS(1),
    [aux_sym_rekey_limit_token1] = ACTIONS(1),
    [aux_sym_remote_command_token1] = ACTIONS(1),
    [aux_sym_remote_forward_token1] = ACTIONS(1),
    [aux_sym_request_tty_token1] = ACTIONS(1),
    [aux_sym_request_tty_value_token1] = ACTIONS(1),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1),
    [aux_sym_security_key_provider_token1] = ACTIONS(1),
    [aux_sym_send_env_token1] = ACTIONS(1),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1),
    [aux_sym_session_type_token1] = ACTIONS(1),
    [aux_sym_session_type_value_token1] = ACTIONS(1),
    [aux_sym_session_type_value_token2] = ACTIONS(1),
    [aux_sym_set_env_token1] = ACTIONS(1),
    [aux_sym_stdin_null_token1] = ACTIONS(1),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_value_token1] = ACTIONS(1),
    [aux_sym_strict_host_key_checking_value_token2] = ACTIONS(1),
    [aux_sym_syslog_facility_token1] = ACTIONS(1),
    [anon_sym_DAEMON] = ACTIONS(1),
    [anon_sym_USER] = ACTIONS(1),
    [anon_sym_AUTH] = ACTIONS(1),
    [anon_sym_LOCAL0] = ACTIONS(1),
    [anon_sym_LOCAL1] = ACTIONS(1),
    [anon_sym_LOCAL2] = ACTIONS(1),
    [anon_sym_LOCAL3] = ACTIONS(1),
    [anon_sym_LOCAL4] = ACTIONS(1),
    [anon_sym_LOCAL5] = ACTIONS(1),
    [anon_sym_LOCAL6] = ACTIONS(1),
    [anon_sym_LOCAL7] = ACTIONS(1),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1),
    [aux_sym_keep_alive_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_tunnel_token1] = ACTIONS(1),
    [aux_sym_tunnel_value_token1] = ACTIONS(1),
    [aux_sym_tunnel_value_token2] = ACTIONS(1),
    [aux_sym_tunnel_device_token1] = ACTIONS(1),
    [aux_sym_update_host_keys_token1] = ACTIONS(1),
    [aux_sym_use_keychain_token1] = ACTIONS(1),
    [aux_sym_user_token1] = ACTIONS(1),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1),
    [aux_sym_visual_host_key_token1] = ACTIONS(1),
    [aux_sym_xauth_location_token1] = ACTIONS(1),
  },
  [1] = {
    [sym_client_config] = STATE(1375),
    [sym__option] = STATE(2),
    [sym_host] = STATE(2),
    [sym_match] = STATE(2),
    [sym_add_keys_to_agent] = STATE(2),
    [sym_address_family] = STATE(2),
    [sym_batch_mode] = STATE(2),
    [sym_bind_address] = STATE(2),
    [sym_bind_interface] = STATE(2),
    [sym_canonical_domains] = STATE(2),
    [sym_canonicalize_fallback_local] = STATE(2),
    [sym_canonicalize_hostname] = STATE(2),
    [sym_canonicalize_max_dots] = STATE(2),
    [sym_canonicalize_permitted_cnames] = STATE(2),
    [sym_ca_signature_algorithms] = STATE(2),
    [sym_certificate_file] = STATE(2),
    [sym_challenge_response_authentication] = STATE(2),
    [sym_channel_timeout] = STATE(2),
    [sym_check_host_ip] = STATE(2),
    [sym_ciphers] = STATE(2),
    [sym_cipher] = STATE(2),
    [sym_clear_all_forwardings] = STATE(2),
    [sym_compression] = STATE(2),
    [sym_connection_attempts] = STATE(2),
    [sym_connect_timeout] = STATE(2),
    [sym_control_master] = STATE(2),
    [sym_control_path] = STATE(2),
    [sym_control_persist] = STATE(2),
    [sym_dynamic_forward] = STATE(2),
    [sym_enable_escape_commandline] = STATE(2),
    [sym_enable_ssh_keysign] = STATE(2),
    [sym_escape_char] = STATE(2),
    [sym_exit_on_forward_failure] = STATE(2),
    [sym_fingerprint_hash] = STATE(2),
    [sym_fork_after_authentication] = STATE(2),
    [sym_forward_agent] = STATE(2),
    [sym_forward_x11] = STATE(2),
    [sym_forward_x11_timeout] = STATE(2),
    [sym_forward_x11_trusted] = STATE(2),
    [sym_gateway_ports] = STATE(2),
    [sym_global_known_hosts_file] = STATE(2),
    [sym_gssapi_authentication] = STATE(2),
    [sym_gssapi_client_identity] = STATE(2),
    [sym_gssapi_delegate_credentials] = STATE(2),
    [sym_gssapi_key_exchange] = STATE(2),
    [sym_gssapi_renewal_forces_rekey] = STATE(2),
    [sym_gssapi_server_identity] = STATE(2),
    [sym_gssapi_trust_dns] = STATE(2),
    [sym_gssapi_kex_algorithms] = STATE(2),
    [sym_hash_known_hosts] = STATE(2),
    [sym_hostbased_accepted_algorithms] = STATE(2),
    [sym_hostbased_authentication] = STATE(2),
    [sym_host_key_algorithms] = STATE(2),
    [sym_host_key_alias] = STATE(2),
    [sym_hostname] = STATE(2),
    [sym_identities_only] = STATE(2),
    [sym_identity_agent] = STATE(2),
    [sym_identity_file] = STATE(2),
    [sym_ignore_unknown] = STATE(2),
    [sym_include] = STATE(2),
    [sym_ip_qos] = STATE(2),
    [sym_kbd_interactive_authentication] = STATE(2),
    [sym_kbd_interactive_devices] = STATE(2),
    [sym_kex_algorithms] = STATE(2),
    [sym_known_hosts_command] = STATE(2),
    [sym_local_command] = STATE(2),
    [sym_local_forward] = STATE(2),
    [sym_log_level] = STATE(2),
    [sym_log_verbose] = STATE(2),
    [sym_macs] = STATE(2),
    [sym_no_host_authentication_for_localhost] = STATE(2),
    [sym_number_of_password_prompts] = STATE(2),
    [sym_obscure_keystroke_timing] = STATE(2),
    [sym_password_authentication] = STATE(2),
    [sym_permit_local_command] = STATE(2),
    [sym_permit_remote_open] = STATE(2),
    [sym_pkcs11_provider] = STATE(2),
    [sym_port] = STATE(2),
    [sym_preferred_authentications] = STATE(2),
    [sym_protocol] = STATE(2),
    [sym_proxy_command] = STATE(2),
    [sym_proxy_jump] = STATE(2),
    [sym_proxy_use_fdpass] = STATE(2),
    [sym_pubkey_accepted_algorithms] = STATE(2),
    [sym_pubkey_accepted_key_types] = STATE(2),
    [sym_pubkey_authentication] = STATE(2),
    [sym_rekey_limit] = STATE(2),
    [sym_remote_command] = STATE(2),
    [sym_remote_forward] = STATE(2),
    [sym_request_tty] = STATE(2),
    [sym_required_rsa_size] = STATE(2),
    [sym_revoked_host_keys] = STATE(2),
    [sym_security_key_provider] = STATE(2),
    [sym_send_env] = STATE(2),
    [sym_server_alive_count_max] = STATE(2),
    [sym_server_alive_interval] = STATE(2),
    [sym_session_type] = STATE(2),
    [sym_set_env] = STATE(2),
    [sym_stdin_null] = STATE(2),
    [sym_stream_local_bind_mask] = STATE(2),
    [sym_stream_local_bind_unlink] = STATE(2),
    [sym_strict_host_key_checking] = STATE(2),
    [sym_syslog_facility] = STATE(2),
    [sym_tcp_keep_alive] = STATE(2),
    [sym_keep_alive] = STATE(2),
    [sym_tag] = STATE(2),
    [sym_tunnel] = STATE(2),
    [sym_tunnel_device] = STATE(2),
    [sym_update_host_keys] = STATE(2),
    [sym_use_keychain] = STATE(2),
    [sym_use_roaming] = STATE(2),
    [sym_user] = STATE(2),
    [sym_user_known_hosts_file] = STATE(2),
    [sym_verify_host_key_dns] = STATE(2),
    [sym_visual_host_key] = STATE(2),
    [sym_xauth_location] = STATE(2),
    [aux_sym_client_config_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(7),
    [aux_sym_match_token1] = ACTIONS(9),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(11),
    [aux_sym_address_family_token1] = ACTIONS(13),
    [aux_sym_batch_mode_token1] = ACTIONS(15),
    [aux_sym_bind_address_token1] = ACTIONS(17),
    [aux_sym_bind_interface_token1] = ACTIONS(19),
    [aux_sym_canonical_domains_token1] = ACTIONS(21),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(23),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(25),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(27),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(29),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(31),
    [aux_sym_certificate_file_token1] = ACTIONS(33),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(35),
    [aux_sym_channel_timeout_token1] = ACTIONS(37),
    [aux_sym_check_host_ip_token1] = ACTIONS(39),
    [aux_sym_ciphers_token1] = ACTIONS(41),
    [aux_sym_cipher_token1] = ACTIONS(43),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(45),
    [aux_sym_compression_token1] = ACTIONS(47),
    [aux_sym_connection_attempts_token1] = ACTIONS(49),
    [aux_sym_connect_timeout_token1] = ACTIONS(51),
    [aux_sym_control_master_token1] = ACTIONS(53),
    [aux_sym_control_path_token1] = ACTIONS(55),
    [aux_sym_control_persist_token1] = ACTIONS(57),
    [aux_sym_dynamic_forward_token1] = ACTIONS(59),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(61),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(63),
    [aux_sym_escape_char_token1] = ACTIONS(65),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(67),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(69),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(71),
    [aux_sym_forward_agent_token1] = ACTIONS(73),
    [aux_sym_forward_x11_token1] = ACTIONS(75),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(77),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(79),
    [aux_sym_gateway_ports_token1] = ACTIONS(81),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(83),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(85),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(87),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(89),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(91),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(93),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(95),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(97),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(99),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(101),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(107),
    [aux_sym_host_key_alias_token1] = ACTIONS(109),
    [aux_sym_hostname_token1] = ACTIONS(111),
    [aux_sym_identities_only_token1] = ACTIONS(113),
    [aux_sym_identity_agent_token1] = ACTIONS(115),
    [aux_sym_identity_file_token1] = ACTIONS(117),
    [aux_sym_ignore_unknown_token1] = ACTIONS(119),
    [aux_sym_include_token1] = ACTIONS(121),
    [aux_sym_ip_qos_token1] = ACTIONS(123),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(125),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(129),
    [aux_sym_known_hosts_command_token1] = ACTIONS(131),
    [aux_sym_local_command_token1] = ACTIONS(133),
    [aux_sym_local_forward_token1] = ACTIONS(135),
    [aux_sym_log_level_token1] = ACTIONS(137),
    [aux_sym_log_verbose_token1] = ACTIONS(139),
    [aux_sym_macs_token1] = ACTIONS(141),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(143),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(147),
    [aux_sym_password_authentication_token1] = ACTIONS(149),
    [aux_sym_permit_local_command_token1] = ACTIONS(151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(153),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(155),
    [aux_sym_port_token1] = ACTIONS(157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(159),
    [aux_sym_protocol_token1] = ACTIONS(161),
    [aux_sym_proxy_command_token1] = ACTIONS(163),
    [aux_sym_proxy_jump_token1] = ACTIONS(165),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(167),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(173),
    [aux_sym_rekey_limit_token1] = ACTIONS(175),
    [aux_sym_remote_command_token1] = ACTIONS(177),
    [aux_sym_remote_forward_token1] = ACTIONS(179),
    [aux_sym_request_tty_token1] = ACTIONS(181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(183),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(185),
    [aux_sym_security_key_provider_token1] = ACTIONS(187),
    [aux_sym_send_env_token1] = ACTIONS(189),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(193),
    [aux_sym_session_type_token1] = ACTIONS(195),
    [aux_sym_set_env_token1] = ACTIONS(197),
    [aux_sym_stdin_null_token1] = ACTIONS(199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(201),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(203),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(205),
    [aux_sym_syslog_facility_token1] = ACTIONS(207),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(209),
    [aux_sym_keep_alive_token1] = ACTIONS(211),
    [aux_sym_tag_token1] = ACTIONS(213),
    [aux_sym_tunnel_token1] = ACTIONS(215),
    [aux_sym_tunnel_device_token1] = ACTIONS(217),
    [aux_sym_update_host_keys_token1] = ACTIONS(219),
    [aux_sym_use_keychain_token1] = ACTIONS(221),
    [aux_sym_use_roaming_token1] = ACTIONS(223),
    [aux_sym_user_token1] = ACTIONS(225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(227),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(229),
    [aux_sym_visual_host_key_token1] = ACTIONS(231),
    [aux_sym_xauth_location_token1] = ACTIONS(233),
  },
  [2] = {
    [sym__option] = STATE(3),
    [sym_host] = STATE(3),
    [sym_match] = STATE(3),
    [sym_add_keys_to_agent] = STATE(3),
    [sym_address_family] = STATE(3),
    [sym_batch_mode] = STATE(3),
    [sym_bind_address] = STATE(3),
    [sym_bind_interface] = STATE(3),
    [sym_canonical_domains] = STATE(3),
    [sym_canonicalize_fallback_local] = STATE(3),
    [sym_canonicalize_hostname] = STATE(3),
    [sym_canonicalize_max_dots] = STATE(3),
    [sym_canonicalize_permitted_cnames] = STATE(3),
    [sym_ca_signature_algorithms] = STATE(3),
    [sym_certificate_file] = STATE(3),
    [sym_challenge_response_authentication] = STATE(3),
    [sym_channel_timeout] = STATE(3),
    [sym_check_host_ip] = STATE(3),
    [sym_ciphers] = STATE(3),
    [sym_cipher] = STATE(3),
    [sym_clear_all_forwardings] = STATE(3),
    [sym_compression] = STATE(3),
    [sym_connection_attempts] = STATE(3),
    [sym_connect_timeout] = STATE(3),
    [sym_control_master] = STATE(3),
    [sym_control_path] = STATE(3),
    [sym_control_persist] = STATE(3),
    [sym_dynamic_forward] = STATE(3),
    [sym_enable_escape_commandline] = STATE(3),
    [sym_enable_ssh_keysign] = STATE(3),
    [sym_escape_char] = STATE(3),
    [sym_exit_on_forward_failure] = STATE(3),
    [sym_fingerprint_hash] = STATE(3),
    [sym_fork_after_authentication] = STATE(3),
    [sym_forward_agent] = STATE(3),
    [sym_forward_x11] = STATE(3),
    [sym_forward_x11_timeout] = STATE(3),
    [sym_forward_x11_trusted] = STATE(3),
    [sym_gateway_ports] = STATE(3),
    [sym_global_known_hosts_file] = STATE(3),
    [sym_gssapi_authentication] = STATE(3),
    [sym_gssapi_client_identity] = STATE(3),
    [sym_gssapi_delegate_credentials] = STATE(3),
    [sym_gssapi_key_exchange] = STATE(3),
    [sym_gssapi_renewal_forces_rekey] = STATE(3),
    [sym_gssapi_server_identity] = STATE(3),
    [sym_gssapi_trust_dns] = STATE(3),
    [sym_gssapi_kex_algorithms] = STATE(3),
    [sym_hash_known_hosts] = STATE(3),
    [sym_hostbased_accepted_algorithms] = STATE(3),
    [sym_hostbased_authentication] = STATE(3),
    [sym_host_key_algorithms] = STATE(3),
    [sym_host_key_alias] = STATE(3),
    [sym_hostname] = STATE(3),
    [sym_identities_only] = STATE(3),
    [sym_identity_agent] = STATE(3),
    [sym_identity_file] = STATE(3),
    [sym_ignore_unknown] = STATE(3),
    [sym_include] = STATE(3),
    [sym_ip_qos] = STATE(3),
    [sym_kbd_interactive_authentication] = STATE(3),
    [sym_kbd_interactive_devices] = STATE(3),
    [sym_kex_algorithms] = STATE(3),
    [sym_known_hosts_command] = STATE(3),
    [sym_local_command] = STATE(3),
    [sym_local_forward] = STATE(3),
    [sym_log_level] = STATE(3),
    [sym_log_verbose] = STATE(3),
    [sym_macs] = STATE(3),
    [sym_no_host_authentication_for_localhost] = STATE(3),
    [sym_number_of_password_prompts] = STATE(3),
    [sym_obscure_keystroke_timing] = STATE(3),
    [sym_password_authentication] = STATE(3),
    [sym_permit_local_command] = STATE(3),
    [sym_permit_remote_open] = STATE(3),
    [sym_pkcs11_provider] = STATE(3),
    [sym_port] = STATE(3),
    [sym_preferred_authentications] = STATE(3),
    [sym_protocol] = STATE(3),
    [sym_proxy_command] = STATE(3),
    [sym_proxy_jump] = STATE(3),
    [sym_proxy_use_fdpass] = STATE(3),
    [sym_pubkey_accepted_algorithms] = STATE(3),
    [sym_pubkey_accepted_key_types] = STATE(3),
    [sym_pubkey_authentication] = STATE(3),
    [sym_rekey_limit] = STATE(3),
    [sym_remote_command] = STATE(3),
    [sym_remote_forward] = STATE(3),
    [sym_request_tty] = STATE(3),
    [sym_required_rsa_size] = STATE(3),
    [sym_revoked_host_keys] = STATE(3),
    [sym_security_key_provider] = STATE(3),
    [sym_send_env] = STATE(3),
    [sym_server_alive_count_max] = STATE(3),
    [sym_server_alive_interval] = STATE(3),
    [sym_session_type] = STATE(3),
    [sym_set_env] = STATE(3),
    [sym_stdin_null] = STATE(3),
    [sym_stream_local_bind_mask] = STATE(3),
    [sym_stream_local_bind_unlink] = STATE(3),
    [sym_strict_host_key_checking] = STATE(3),
    [sym_syslog_facility] = STATE(3),
    [sym_tcp_keep_alive] = STATE(3),
    [sym_keep_alive] = STATE(3),
    [sym_tag] = STATE(3),
    [sym_tunnel] = STATE(3),
    [sym_tunnel_device] = STATE(3),
    [sym_update_host_keys] = STATE(3),
    [sym_use_keychain] = STATE(3),
    [sym_use_roaming] = STATE(3),
    [sym_user] = STATE(3),
    [sym_user_known_hosts_file] = STATE(3),
    [sym_verify_host_key_dns] = STATE(3),
    [sym_visual_host_key] = STATE(3),
    [sym_xauth_location] = STATE(3),
    [aux_sym_client_config_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(7),
    [aux_sym_match_token1] = ACTIONS(9),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(11),
    [aux_sym_address_family_token1] = ACTIONS(13),
    [aux_sym_batch_mode_token1] = ACTIONS(15),
    [aux_sym_bind_address_token1] = ACTIONS(17),
    [aux_sym_bind_interface_token1] = ACTIONS(19),
    [aux_sym_canonical_domains_token1] = ACTIONS(21),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(23),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(25),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(27),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(29),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(31),
    [aux_sym_certificate_file_token1] = ACTIONS(33),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(35),
    [aux_sym_channel_timeout_token1] = ACTIONS(37),
    [aux_sym_check_host_ip_token1] = ACTIONS(39),
    [aux_sym_ciphers_token1] = ACTIONS(41),
    [aux_sym_cipher_token1] = ACTIONS(43),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(45),
    [aux_sym_compression_token1] = ACTIONS(47),
    [aux_sym_connection_attempts_token1] = ACTIONS(49),
    [aux_sym_connect_timeout_token1] = ACTIONS(51),
    [aux_sym_control_master_token1] = ACTIONS(53),
    [aux_sym_control_path_token1] = ACTIONS(55),
    [aux_sym_control_persist_token1] = ACTIONS(57),
    [aux_sym_dynamic_forward_token1] = ACTIONS(59),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(61),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(63),
    [aux_sym_escape_char_token1] = ACTIONS(65),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(67),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(69),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(71),
    [aux_sym_forward_agent_token1] = ACTIONS(73),
    [aux_sym_forward_x11_token1] = ACTIONS(75),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(77),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(79),
    [aux_sym_gateway_ports_token1] = ACTIONS(81),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(83),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(85),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(87),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(89),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(91),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(93),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(95),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(97),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(99),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(101),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(107),
    [aux_sym_host_key_alias_token1] = ACTIONS(109),
    [aux_sym_hostname_token1] = ACTIONS(111),
    [aux_sym_identities_only_token1] = ACTIONS(113),
    [aux_sym_identity_agent_token1] = ACTIONS(115),
    [aux_sym_identity_file_token1] = ACTIONS(117),
    [aux_sym_ignore_unknown_token1] = ACTIONS(119),
    [aux_sym_include_token1] = ACTIONS(121),
    [aux_sym_ip_qos_token1] = ACTIONS(123),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(125),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(129),
    [aux_sym_known_hosts_command_token1] = ACTIONS(131),
    [aux_sym_local_command_token1] = ACTIONS(133),
    [aux_sym_local_forward_token1] = ACTIONS(135),
    [aux_sym_log_level_token1] = ACTIONS(137),
    [aux_sym_log_verbose_token1] = ACTIONS(139),
    [aux_sym_macs_token1] = ACTIONS(141),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(143),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(147),
    [aux_sym_password_authentication_token1] = ACTIONS(149),
    [aux_sym_permit_local_command_token1] = ACTIONS(151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(153),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(155),
    [aux_sym_port_token1] = ACTIONS(157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(159),
    [aux_sym_protocol_token1] = ACTIONS(161),
    [aux_sym_proxy_command_token1] = ACTIONS(163),
    [aux_sym_proxy_jump_token1] = ACTIONS(165),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(167),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(173),
    [aux_sym_rekey_limit_token1] = ACTIONS(175),
    [aux_sym_remote_command_token1] = ACTIONS(177),
    [aux_sym_remote_forward_token1] = ACTIONS(179),
    [aux_sym_request_tty_token1] = ACTIONS(181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(183),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(185),
    [aux_sym_security_key_provider_token1] = ACTIONS(187),
    [aux_sym_send_env_token1] = ACTIONS(189),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(193),
    [aux_sym_session_type_token1] = ACTIONS(195),
    [aux_sym_set_env_token1] = ACTIONS(197),
    [aux_sym_stdin_null_token1] = ACTIONS(199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(201),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(203),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(205),
    [aux_sym_syslog_facility_token1] = ACTIONS(207),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(209),
    [aux_sym_keep_alive_token1] = ACTIONS(211),
    [aux_sym_tag_token1] = ACTIONS(213),
    [aux_sym_tunnel_token1] = ACTIONS(215),
    [aux_sym_tunnel_device_token1] = ACTIONS(217),
    [aux_sym_update_host_keys_token1] = ACTIONS(219),
    [aux_sym_use_keychain_token1] = ACTIONS(221),
    [aux_sym_use_roaming_token1] = ACTIONS(223),
    [aux_sym_user_token1] = ACTIONS(225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(227),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(229),
    [aux_sym_visual_host_key_token1] = ACTIONS(231),
    [aux_sym_xauth_location_token1] = ACTIONS(233),
  },
  [3] = {
    [sym__option] = STATE(3),
    [sym_host] = STATE(3),
    [sym_match] = STATE(3),
    [sym_add_keys_to_agent] = STATE(3),
    [sym_address_family] = STATE(3),
    [sym_batch_mode] = STATE(3),
    [sym_bind_address] = STATE(3),
    [sym_bind_interface] = STATE(3),
    [sym_canonical_domains] = STATE(3),
    [sym_canonicalize_fallback_local] = STATE(3),
    [sym_canonicalize_hostname] = STATE(3),
    [sym_canonicalize_max_dots] = STATE(3),
    [sym_canonicalize_permitted_cnames] = STATE(3),
    [sym_ca_signature_algorithms] = STATE(3),
    [sym_certificate_file] = STATE(3),
    [sym_challenge_response_authentication] = STATE(3),
    [sym_channel_timeout] = STATE(3),
    [sym_check_host_ip] = STATE(3),
    [sym_ciphers] = STATE(3),
    [sym_cipher] = STATE(3),
    [sym_clear_all_forwardings] = STATE(3),
    [sym_compression] = STATE(3),
    [sym_connection_attempts] = STATE(3),
    [sym_connect_timeout] = STATE(3),
    [sym_control_master] = STATE(3),
    [sym_control_path] = STATE(3),
    [sym_control_persist] = STATE(3),
    [sym_dynamic_forward] = STATE(3),
    [sym_enable_escape_commandline] = STATE(3),
    [sym_enable_ssh_keysign] = STATE(3),
    [sym_escape_char] = STATE(3),
    [sym_exit_on_forward_failure] = STATE(3),
    [sym_fingerprint_hash] = STATE(3),
    [sym_fork_after_authentication] = STATE(3),
    [sym_forward_agent] = STATE(3),
    [sym_forward_x11] = STATE(3),
    [sym_forward_x11_timeout] = STATE(3),
    [sym_forward_x11_trusted] = STATE(3),
    [sym_gateway_ports] = STATE(3),
    [sym_global_known_hosts_file] = STATE(3),
    [sym_gssapi_authentication] = STATE(3),
    [sym_gssapi_client_identity] = STATE(3),
    [sym_gssapi_delegate_credentials] = STATE(3),
    [sym_gssapi_key_exchange] = STATE(3),
    [sym_gssapi_renewal_forces_rekey] = STATE(3),
    [sym_gssapi_server_identity] = STATE(3),
    [sym_gssapi_trust_dns] = STATE(3),
    [sym_gssapi_kex_algorithms] = STATE(3),
    [sym_hash_known_hosts] = STATE(3),
    [sym_hostbased_accepted_algorithms] = STATE(3),
    [sym_hostbased_authentication] = STATE(3),
    [sym_host_key_algorithms] = STATE(3),
    [sym_host_key_alias] = STATE(3),
    [sym_hostname] = STATE(3),
    [sym_identities_only] = STATE(3),
    [sym_identity_agent] = STATE(3),
    [sym_identity_file] = STATE(3),
    [sym_ignore_unknown] = STATE(3),
    [sym_include] = STATE(3),
    [sym_ip_qos] = STATE(3),
    [sym_kbd_interactive_authentication] = STATE(3),
    [sym_kbd_interactive_devices] = STATE(3),
    [sym_kex_algorithms] = STATE(3),
    [sym_known_hosts_command] = STATE(3),
    [sym_local_command] = STATE(3),
    [sym_local_forward] = STATE(3),
    [sym_log_level] = STATE(3),
    [sym_log_verbose] = STATE(3),
    [sym_macs] = STATE(3),
    [sym_no_host_authentication_for_localhost] = STATE(3),
    [sym_number_of_password_prompts] = STATE(3),
    [sym_obscure_keystroke_timing] = STATE(3),
    [sym_password_authentication] = STATE(3),
    [sym_permit_local_command] = STATE(3),
    [sym_permit_remote_open] = STATE(3),
    [sym_pkcs11_provider] = STATE(3),
    [sym_port] = STATE(3),
    [sym_preferred_authentications] = STATE(3),
    [sym_protocol] = STATE(3),
    [sym_proxy_command] = STATE(3),
    [sym_proxy_jump] = STATE(3),
    [sym_proxy_use_fdpass] = STATE(3),
    [sym_pubkey_accepted_algorithms] = STATE(3),
    [sym_pubkey_accepted_key_types] = STATE(3),
    [sym_pubkey_authentication] = STATE(3),
    [sym_rekey_limit] = STATE(3),
    [sym_remote_command] = STATE(3),
    [sym_remote_forward] = STATE(3),
    [sym_request_tty] = STATE(3),
    [sym_required_rsa_size] = STATE(3),
    [sym_revoked_host_keys] = STATE(3),
    [sym_security_key_provider] = STATE(3),
    [sym_send_env] = STATE(3),
    [sym_server_alive_count_max] = STATE(3),
    [sym_server_alive_interval] = STATE(3),
    [sym_session_type] = STATE(3),
    [sym_set_env] = STATE(3),
    [sym_stdin_null] = STATE(3),
    [sym_stream_local_bind_mask] = STATE(3),
    [sym_stream_local_bind_unlink] = STATE(3),
    [sym_strict_host_key_checking] = STATE(3),
    [sym_syslog_facility] = STATE(3),
    [sym_tcp_keep_alive] = STATE(3),
    [sym_keep_alive] = STATE(3),
    [sym_tag] = STATE(3),
    [sym_tunnel] = STATE(3),
    [sym_tunnel_device] = STATE(3),
    [sym_update_host_keys] = STATE(3),
    [sym_use_keychain] = STATE(3),
    [sym_use_roaming] = STATE(3),
    [sym_user] = STATE(3),
    [sym_user_known_hosts_file] = STATE(3),
    [sym_verify_host_key_dns] = STATE(3),
    [sym_visual_host_key] = STATE(3),
    [sym_xauth_location] = STATE(3),
    [aux_sym_client_config_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(239),
    [aux_sym_match_token1] = ACTIONS(242),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(245),
    [aux_sym_address_family_token1] = ACTIONS(248),
    [aux_sym_batch_mode_token1] = ACTIONS(251),
    [aux_sym_bind_address_token1] = ACTIONS(254),
    [aux_sym_bind_interface_token1] = ACTIONS(257),
    [aux_sym_canonical_domains_token1] = ACTIONS(260),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(263),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(266),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(269),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(272),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(275),
    [aux_sym_certificate_file_token1] = ACTIONS(278),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(281),
    [aux_sym_channel_timeout_token1] = ACTIONS(284),
    [aux_sym_check_host_ip_token1] = ACTIONS(287),
    [aux_sym_ciphers_token1] = ACTIONS(290),
    [aux_sym_cipher_token1] = ACTIONS(293),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(296),
    [aux_sym_compression_token1] = ACTIONS(299),
    [aux_sym_connection_attempts_token1] = ACTIONS(302),
    [aux_sym_connect_timeout_token1] = ACTIONS(305),
    [aux_sym_control_master_token1] = ACTIONS(308),
    [aux_sym_control_path_token1] = ACTIONS(311),
    [aux_sym_control_persist_token1] = ACTIONS(314),
    [aux_sym_dynamic_forward_token1] = ACTIONS(317),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(320),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(323),
    [aux_sym_escape_char_token1] = ACTIONS(326),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(329),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(332),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(335),
    [aux_sym_forward_agent_token1] = ACTIONS(338),
    [aux_sym_forward_x11_token1] = ACTIONS(341),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(344),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(347),
    [aux_sym_gateway_ports_token1] = ACTIONS(350),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(353),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(356),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(359),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(362),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(365),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(368),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(371),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(374),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(377),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(380),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(383),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(386),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(389),
    [aux_sym_host_key_alias_token1] = ACTIONS(392),
    [aux_sym_hostname_token1] = ACTIONS(395),
    [aux_sym_identities_only_token1] = ACTIONS(398),
    [aux_sym_identity_agent_token1] = ACTIONS(401),
    [aux_sym_identity_file_token1] = ACTIONS(404),
    [aux_sym_ignore_unknown_token1] = ACTIONS(407),
    [aux_sym_include_token1] = ACTIONS(410),
    [aux_sym_ip_qos_token1] = ACTIONS(413),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(416),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(419),
    [aux_sym_kex_algorithms_token1] = ACTIONS(422),
    [aux_sym_known_hosts_command_token1] = ACTIONS(425),
    [aux_sym_local_command_token1] = ACTIONS(428),
    [aux_sym_local_forward_token1] = ACTIONS(431),
    [aux_sym_log_level_token1] = ACTIONS(434),
    [aux_sym_log_verbose_token1] = ACTIONS(437),
    [aux_sym_macs_token1] = ACTIONS(440),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(443),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(446),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(449),
    [aux_sym_password_authentication_token1] = ACTIONS(452),
    [aux_sym_permit_local_command_token1] = ACTIONS(455),
    [aux_sym_permit_remote_open_token1] = ACTIONS(458),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(461),
    [aux_sym_port_token1] = ACTIONS(464),
    [aux_sym_preferred_authentications_token1] = ACTIONS(467),
    [aux_sym_protocol_token1] = ACTIONS(470),
    [aux_sym_proxy_command_token1] = ACTIONS(473),
    [aux_sym_proxy_jump_token1] = ACTIONS(476),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(479),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(482),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(485),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(488),
    [aux_sym_rekey_limit_token1] = ACTIONS(491),
    [aux_sym_remote_command_token1] = ACTIONS(494),
    [aux_sym_remote_forward_token1] = ACTIONS(497),
    [aux_sym_request_tty_token1] = ACTIONS(500),
    [aux_sym_required_rsa_size_token1] = ACTIONS(503),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(506),
    [aux_sym_security_key_provider_token1] = ACTIONS(509),
    [aux_sym_send_env_token1] = ACTIONS(512),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(515),
    [aux_sym_server_alive_interval_token1] = ACTIONS(518),
    [aux_sym_session_type_token1] = ACTIONS(521),
    [aux_sym_set_env_token1] = ACTIONS(524),
    [aux_sym_stdin_null_token1] = ACTIONS(527),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(530),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(533),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(536),
    [aux_sym_syslog_facility_token1] = ACTIONS(539),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(542),
    [aux_sym_keep_alive_token1] = ACTIONS(545),
    [aux_sym_tag_token1] = ACTIONS(548),
    [aux_sym_tunnel_token1] = ACTIONS(551),
    [aux_sym_tunnel_device_token1] = ACTIONS(554),
    [aux_sym_update_host_keys_token1] = ACTIONS(557),
    [aux_sym_use_keychain_token1] = ACTIONS(560),
    [aux_sym_use_roaming_token1] = ACTIONS(563),
    [aux_sym_user_token1] = ACTIONS(566),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(569),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(572),
    [aux_sym_visual_host_key_token1] = ACTIONS(575),
    [aux_sym_xauth_location_token1] = ACTIONS(578),
  },
  [4] = {
    [sym_channel_timeout_type] = STATE(1376),
    [aux_sym__channel_timeout_value] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(583),
    [anon_sym_DQUOTE] = ACTIONS(581),
    [aux_sym_match_token1] = ACTIONS(581),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(581),
    [aux_sym_address_family_token1] = ACTIONS(581),
    [aux_sym_batch_mode_token1] = ACTIONS(581),
    [aux_sym_bind_address_token1] = ACTIONS(581),
    [aux_sym_bind_interface_token1] = ACTIONS(581),
    [aux_sym_canonical_domains_token1] = ACTIONS(581),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(581),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(581),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(581),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(581),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(581),
    [aux_sym_certificate_file_token1] = ACTIONS(581),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(581),
    [aux_sym_channel_timeout_token1] = ACTIONS(581),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(588),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(585),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(585),
    [aux_sym_check_host_ip_token1] = ACTIONS(581),
    [aux_sym_ciphers_token1] = ACTIONS(581),
    [aux_sym_cipher_token1] = ACTIONS(583),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(581),
    [aux_sym_compression_token1] = ACTIONS(581),
    [aux_sym_connection_attempts_token1] = ACTIONS(581),
    [aux_sym_connect_timeout_token1] = ACTIONS(581),
    [aux_sym_control_master_token1] = ACTIONS(581),
    [aux_sym_control_path_token1] = ACTIONS(581),
    [aux_sym_control_persist_token1] = ACTIONS(581),
    [aux_sym_dynamic_forward_token1] = ACTIONS(581),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(581),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(581),
    [aux_sym_escape_char_token1] = ACTIONS(581),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(581),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(581),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(581),
    [aux_sym_forward_agent_token1] = ACTIONS(581),
    [aux_sym_forward_x11_token1] = ACTIONS(583),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(581),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(581),
    [aux_sym_gateway_ports_token1] = ACTIONS(581),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(581),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(581),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(581),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(581),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(581),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(581),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(581),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(581),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(581),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(581),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(581),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(581),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(581),
    [aux_sym_host_key_alias_token1] = ACTIONS(581),
    [aux_sym_hostname_token1] = ACTIONS(581),
    [aux_sym_identities_only_token1] = ACTIONS(581),
    [aux_sym_identity_agent_token1] = ACTIONS(581),
    [aux_sym_identity_file_token1] = ACTIONS(581),
    [aux_sym_ignore_unknown_token1] = ACTIONS(581),
    [aux_sym_include_token1] = ACTIONS(581),
    [aux_sym_ip_qos_token1] = ACTIONS(581),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(581),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(581),
    [aux_sym_kex_algorithms_token1] = ACTIONS(581),
    [aux_sym_known_hosts_command_token1] = ACTIONS(581),
    [aux_sym_local_command_token1] = ACTIONS(581),
    [aux_sym_local_forward_token1] = ACTIONS(581),
    [aux_sym_log_level_token1] = ACTIONS(581),
    [aux_sym_log_verbose_token1] = ACTIONS(581),
    [aux_sym_macs_token1] = ACTIONS(581),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(581),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(581),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(581),
    [aux_sym_password_authentication_token1] = ACTIONS(581),
    [aux_sym_permit_local_command_token1] = ACTIONS(581),
    [aux_sym_permit_remote_open_token1] = ACTIONS(581),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(581),
    [aux_sym_port_token1] = ACTIONS(581),
    [aux_sym_preferred_authentications_token1] = ACTIONS(581),
    [aux_sym_protocol_token1] = ACTIONS(581),
    [aux_sym_proxy_command_token1] = ACTIONS(581),
    [aux_sym_proxy_jump_token1] = ACTIONS(581),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(581),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(581),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(581),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(581),
    [aux_sym_rekey_limit_token1] = ACTIONS(581),
    [aux_sym_remote_command_token1] = ACTIONS(581),
    [aux_sym_remote_forward_token1] = ACTIONS(581),
    [aux_sym_request_tty_token1] = ACTIONS(581),
    [aux_sym_required_rsa_size_token1] = ACTIONS(581),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(581),
    [aux_sym_security_key_provider_token1] = ACTIONS(581),
    [aux_sym_send_env_token1] = ACTIONS(581),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(581),
    [aux_sym_server_alive_interval_token1] = ACTIONS(581),
    [aux_sym_session_type_token1] = ACTIONS(581),
    [aux_sym_set_env_token1] = ACTIONS(581),
    [aux_sym_stdin_null_token1] = ACTIONS(581),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(581),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(581),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(581),
    [aux_sym_syslog_facility_token1] = ACTIONS(581),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(581),
    [aux_sym_keep_alive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(581),
    [aux_sym_tunnel_token1] = ACTIONS(583),
    [aux_sym_tunnel_device_token1] = ACTIONS(581),
    [aux_sym_update_host_keys_token1] = ACTIONS(581),
    [aux_sym_use_keychain_token1] = ACTIONS(581),
    [aux_sym_use_roaming_token1] = ACTIONS(581),
    [aux_sym_user_token1] = ACTIONS(583),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(581),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(581),
    [aux_sym_visual_host_key_token1] = ACTIONS(581),
    [aux_sym_xauth_location_token1] = ACTIONS(581),
  },
  [5] = {
    [sym_channel_timeout_type] = STATE(1376),
    [aux_sym__channel_timeout_value] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(593),
    [anon_sym_DQUOTE] = ACTIONS(595),
    [aux_sym_match_token1] = ACTIONS(591),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(591),
    [aux_sym_address_family_token1] = ACTIONS(591),
    [aux_sym_batch_mode_token1] = ACTIONS(591),
    [aux_sym_bind_address_token1] = ACTIONS(591),
    [aux_sym_bind_interface_token1] = ACTIONS(591),
    [aux_sym_canonical_domains_token1] = ACTIONS(591),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(591),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(591),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(591),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(591),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(591),
    [aux_sym_certificate_file_token1] = ACTIONS(591),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(591),
    [aux_sym_channel_timeout_token1] = ACTIONS(591),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(599),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(597),
    [aux_sym_check_host_ip_token1] = ACTIONS(591),
    [aux_sym_ciphers_token1] = ACTIONS(591),
    [aux_sym_cipher_token1] = ACTIONS(593),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(591),
    [aux_sym_compression_token1] = ACTIONS(591),
    [aux_sym_connection_attempts_token1] = ACTIONS(591),
    [aux_sym_connect_timeout_token1] = ACTIONS(591),
    [aux_sym_control_master_token1] = ACTIONS(591),
    [aux_sym_control_path_token1] = ACTIONS(591),
    [aux_sym_control_persist_token1] = ACTIONS(591),
    [aux_sym_dynamic_forward_token1] = ACTIONS(591),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(591),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(591),
    [aux_sym_escape_char_token1] = ACTIONS(591),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(591),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(591),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(591),
    [aux_sym_forward_agent_token1] = ACTIONS(591),
    [aux_sym_forward_x11_token1] = ACTIONS(593),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(591),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(591),
    [aux_sym_gateway_ports_token1] = ACTIONS(591),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(591),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(591),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(591),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(591),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(591),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(591),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(591),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(591),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(591),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(591),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(591),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(591),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(591),
    [aux_sym_host_key_alias_token1] = ACTIONS(591),
    [aux_sym_hostname_token1] = ACTIONS(591),
    [aux_sym_identities_only_token1] = ACTIONS(591),
    [aux_sym_identity_agent_token1] = ACTIONS(591),
    [aux_sym_identity_file_token1] = ACTIONS(591),
    [aux_sym_ignore_unknown_token1] = ACTIONS(591),
    [aux_sym_include_token1] = ACTIONS(591),
    [aux_sym_ip_qos_token1] = ACTIONS(591),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(591),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(591),
    [aux_sym_kex_algorithms_token1] = ACTIONS(591),
    [aux_sym_known_hosts_command_token1] = ACTIONS(591),
    [aux_sym_local_command_token1] = ACTIONS(591),
    [aux_sym_local_forward_token1] = ACTIONS(591),
    [aux_sym_log_level_token1] = ACTIONS(591),
    [aux_sym_log_verbose_token1] = ACTIONS(591),
    [aux_sym_macs_token1] = ACTIONS(591),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(591),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(591),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(591),
    [aux_sym_password_authentication_token1] = ACTIONS(591),
    [aux_sym_permit_local_command_token1] = ACTIONS(591),
    [aux_sym_permit_remote_open_token1] = ACTIONS(591),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(591),
    [aux_sym_port_token1] = ACTIONS(591),
    [aux_sym_preferred_authentications_token1] = ACTIONS(591),
    [aux_sym_protocol_token1] = ACTIONS(591),
    [aux_sym_proxy_command_token1] = ACTIONS(591),
    [aux_sym_proxy_jump_token1] = ACTIONS(591),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(591),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(591),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(591),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(591),
    [aux_sym_rekey_limit_token1] = ACTIONS(591),
    [aux_sym_remote_command_token1] = ACTIONS(591),
    [aux_sym_remote_forward_token1] = ACTIONS(591),
    [aux_sym_request_tty_token1] = ACTIONS(591),
    [aux_sym_required_rsa_size_token1] = ACTIONS(591),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(591),
    [aux_sym_security_key_provider_token1] = ACTIONS(591),
    [aux_sym_send_env_token1] = ACTIONS(591),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(591),
    [aux_sym_server_alive_interval_token1] = ACTIONS(591),
    [aux_sym_session_type_token1] = ACTIONS(591),
    [aux_sym_set_env_token1] = ACTIONS(591),
    [aux_sym_stdin_null_token1] = ACTIONS(591),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(591),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(591),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(591),
    [aux_sym_syslog_facility_token1] = ACTIONS(591),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(591),
    [aux_sym_keep_alive_token1] = ACTIONS(591),
    [aux_sym_tag_token1] = ACTIONS(591),
    [aux_sym_tunnel_token1] = ACTIONS(593),
    [aux_sym_tunnel_device_token1] = ACTIONS(591),
    [aux_sym_update_host_keys_token1] = ACTIONS(591),
    [aux_sym_use_keychain_token1] = ACTIONS(591),
    [aux_sym_use_roaming_token1] = ACTIONS(591),
    [aux_sym_user_token1] = ACTIONS(593),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(591),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(591),
    [aux_sym_visual_host_key_token1] = ACTIONS(591),
    [aux_sym_xauth_location_token1] = ACTIONS(591),
  },
  [6] = {
    [sym_channel_timeout_type] = STATE(1376),
    [aux_sym__channel_timeout_value] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(601),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(603),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_match_token1] = ACTIONS(601),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(601),
    [aux_sym_address_family_token1] = ACTIONS(601),
    [aux_sym_batch_mode_token1] = ACTIONS(601),
    [aux_sym_bind_address_token1] = ACTIONS(601),
    [aux_sym_bind_interface_token1] = ACTIONS(601),
    [aux_sym_canonical_domains_token1] = ACTIONS(601),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(601),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(601),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(601),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(601),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(601),
    [aux_sym_certificate_file_token1] = ACTIONS(601),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(601),
    [aux_sym_channel_timeout_token1] = ACTIONS(601),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(599),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(597),
    [aux_sym_check_host_ip_token1] = ACTIONS(601),
    [aux_sym_ciphers_token1] = ACTIONS(601),
    [aux_sym_cipher_token1] = ACTIONS(603),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(601),
    [aux_sym_compression_token1] = ACTIONS(601),
    [aux_sym_connection_attempts_token1] = ACTIONS(601),
    [aux_sym_connect_timeout_token1] = ACTIONS(601),
    [aux_sym_control_master_token1] = ACTIONS(601),
    [aux_sym_control_path_token1] = ACTIONS(601),
    [aux_sym_control_persist_token1] = ACTIONS(601),
    [aux_sym_dynamic_forward_token1] = ACTIONS(601),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(601),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(601),
    [aux_sym_escape_char_token1] = ACTIONS(601),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(601),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(601),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(601),
    [aux_sym_forward_agent_token1] = ACTIONS(601),
    [aux_sym_forward_x11_token1] = ACTIONS(603),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(601),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(601),
    [aux_sym_gateway_ports_token1] = ACTIONS(601),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(601),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(601),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(601),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(601),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(601),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(601),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(601),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(601),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(601),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(601),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(601),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(601),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(601),
    [aux_sym_host_key_alias_token1] = ACTIONS(601),
    [aux_sym_hostname_token1] = ACTIONS(601),
    [aux_sym_identities_only_token1] = ACTIONS(601),
    [aux_sym_identity_agent_token1] = ACTIONS(601),
    [aux_sym_identity_file_token1] = ACTIONS(601),
    [aux_sym_ignore_unknown_token1] = ACTIONS(601),
    [aux_sym_include_token1] = ACTIONS(601),
    [aux_sym_ip_qos_token1] = ACTIONS(601),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(601),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(601),
    [aux_sym_kex_algorithms_token1] = ACTIONS(601),
    [aux_sym_known_hosts_command_token1] = ACTIONS(601),
    [aux_sym_local_command_token1] = ACTIONS(601),
    [aux_sym_local_forward_token1] = ACTIONS(601),
    [aux_sym_log_level_token1] = ACTIONS(601),
    [aux_sym_log_verbose_token1] = ACTIONS(601),
    [aux_sym_macs_token1] = ACTIONS(601),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(601),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(601),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(601),
    [aux_sym_password_authentication_token1] = ACTIONS(601),
    [aux_sym_permit_local_command_token1] = ACTIONS(601),
    [aux_sym_permit_remote_open_token1] = ACTIONS(601),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(601),
    [aux_sym_port_token1] = ACTIONS(601),
    [aux_sym_preferred_authentications_token1] = ACTIONS(601),
    [aux_sym_protocol_token1] = ACTIONS(601),
    [aux_sym_proxy_command_token1] = ACTIONS(601),
    [aux_sym_proxy_jump_token1] = ACTIONS(601),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(601),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(601),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(601),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(601),
    [aux_sym_rekey_limit_token1] = ACTIONS(601),
    [aux_sym_remote_command_token1] = ACTIONS(601),
    [aux_sym_remote_forward_token1] = ACTIONS(601),
    [aux_sym_request_tty_token1] = ACTIONS(601),
    [aux_sym_required_rsa_size_token1] = ACTIONS(601),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(601),
    [aux_sym_security_key_provider_token1] = ACTIONS(601),
    [aux_sym_send_env_token1] = ACTIONS(601),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(601),
    [aux_sym_server_alive_interval_token1] = ACTIONS(601),
    [aux_sym_session_type_token1] = ACTIONS(601),
    [aux_sym_set_env_token1] = ACTIONS(601),
    [aux_sym_stdin_null_token1] = ACTIONS(601),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(601),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(601),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(601),
    [aux_sym_syslog_facility_token1] = ACTIONS(601),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(601),
    [aux_sym_keep_alive_token1] = ACTIONS(601),
    [aux_sym_tag_token1] = ACTIONS(601),
    [aux_sym_tunnel_token1] = ACTIONS(603),
    [aux_sym_tunnel_device_token1] = ACTIONS(601),
    [aux_sym_update_host_keys_token1] = ACTIONS(601),
    [aux_sym_use_keychain_token1] = ACTIONS(601),
    [aux_sym_use_roaming_token1] = ACTIONS(601),
    [aux_sym_user_token1] = ACTIONS(603),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(601),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(601),
    [aux_sym_visual_host_key_token1] = ACTIONS(601),
    [aux_sym_xauth_location_token1] = ACTIONS(601),
  },
  [7] = {
    [sym_channel_timeout_type] = STATE(1376),
    [aux_sym__channel_timeout_value] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_match_token1] = ACTIONS(607),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(607),
    [aux_sym_address_family_token1] = ACTIONS(607),
    [aux_sym_batch_mode_token1] = ACTIONS(607),
    [aux_sym_bind_address_token1] = ACTIONS(607),
    [aux_sym_bind_interface_token1] = ACTIONS(607),
    [aux_sym_canonical_domains_token1] = ACTIONS(607),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(607),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(607),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(607),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(607),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(607),
    [aux_sym_certificate_file_token1] = ACTIONS(607),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(607),
    [aux_sym_channel_timeout_token1] = ACTIONS(607),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(599),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(597),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(597),
    [aux_sym_check_host_ip_token1] = ACTIONS(607),
    [aux_sym_ciphers_token1] = ACTIONS(607),
    [aux_sym_cipher_token1] = ACTIONS(609),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(607),
    [aux_sym_compression_token1] = ACTIONS(607),
    [aux_sym_connection_attempts_token1] = ACTIONS(607),
    [aux_sym_connect_timeout_token1] = ACTIONS(607),
    [aux_sym_control_master_token1] = ACTIONS(607),
    [aux_sym_control_path_token1] = ACTIONS(607),
    [aux_sym_control_persist_token1] = ACTIONS(607),
    [aux_sym_dynamic_forward_token1] = ACTIONS(607),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(607),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(607),
    [aux_sym_escape_char_token1] = ACTIONS(607),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(607),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(607),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(607),
    [aux_sym_forward_agent_token1] = ACTIONS(607),
    [aux_sym_forward_x11_token1] = ACTIONS(609),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(607),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(607),
    [aux_sym_gateway_ports_token1] = ACTIONS(607),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(607),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(607),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(607),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(607),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(607),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(607),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(607),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(607),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(607),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(607),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(607),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(607),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(607),
    [aux_sym_host_key_alias_token1] = ACTIONS(607),
    [aux_sym_hostname_token1] = ACTIONS(607),
    [aux_sym_identities_only_token1] = ACTIONS(607),
    [aux_sym_identity_agent_token1] = ACTIONS(607),
    [aux_sym_identity_file_token1] = ACTIONS(607),
    [aux_sym_ignore_unknown_token1] = ACTIONS(607),
    [aux_sym_include_token1] = ACTIONS(607),
    [aux_sym_ip_qos_token1] = ACTIONS(607),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(607),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(607),
    [aux_sym_kex_algorithms_token1] = ACTIONS(607),
    [aux_sym_known_hosts_command_token1] = ACTIONS(607),
    [aux_sym_local_command_token1] = ACTIONS(607),
    [aux_sym_local_forward_token1] = ACTIONS(607),
    [aux_sym_log_level_token1] = ACTIONS(607),
    [aux_sym_log_verbose_token1] = ACTIONS(607),
    [aux_sym_macs_token1] = ACTIONS(607),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(607),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(607),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(607),
    [aux_sym_password_authentication_token1] = ACTIONS(607),
    [aux_sym_permit_local_command_token1] = ACTIONS(607),
    [aux_sym_permit_remote_open_token1] = ACTIONS(607),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(607),
    [aux_sym_port_token1] = ACTIONS(607),
    [aux_sym_preferred_authentications_token1] = ACTIONS(607),
    [aux_sym_protocol_token1] = ACTIONS(607),
    [aux_sym_proxy_command_token1] = ACTIONS(607),
    [aux_sym_proxy_jump_token1] = ACTIONS(607),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(607),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(607),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(607),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(607),
    [aux_sym_rekey_limit_token1] = ACTIONS(607),
    [aux_sym_remote_command_token1] = ACTIONS(607),
    [aux_sym_remote_forward_token1] = ACTIONS(607),
    [aux_sym_request_tty_token1] = ACTIONS(607),
    [aux_sym_required_rsa_size_token1] = ACTIONS(607),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(607),
    [aux_sym_security_key_provider_token1] = ACTIONS(607),
    [aux_sym_send_env_token1] = ACTIONS(607),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(607),
    [aux_sym_server_alive_interval_token1] = ACTIONS(607),
    [aux_sym_session_type_token1] = ACTIONS(607),
    [aux_sym_set_env_token1] = ACTIONS(607),
    [aux_sym_stdin_null_token1] = ACTIONS(607),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(607),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(607),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(607),
    [aux_sym_syslog_facility_token1] = ACTIONS(607),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(607),
    [aux_sym_keep_alive_token1] = ACTIONS(607),
    [aux_sym_tag_token1] = ACTIONS(607),
    [aux_sym_tunnel_token1] = ACTIONS(609),
    [aux_sym_tunnel_device_token1] = ACTIONS(607),
    [aux_sym_update_host_keys_token1] = ACTIONS(607),
    [aux_sym_use_keychain_token1] = ACTIONS(607),
    [aux_sym_use_roaming_token1] = ACTIONS(607),
    [aux_sym_user_token1] = ACTIONS(609),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(607),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(607),
    [aux_sym_visual_host_key_token1] = ACTIONS(607),
    [aux_sym_xauth_location_token1] = ACTIONS(607),
  },
  [8] = {
    [ts_builtin_sym_end] = ACTIONS(613),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_match_token1] = ACTIONS(613),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(613),
    [aux_sym_address_family_token1] = ACTIONS(613),
    [aux_sym_batch_mode_token1] = ACTIONS(613),
    [aux_sym_bind_address_token1] = ACTIONS(613),
    [aux_sym_bind_interface_token1] = ACTIONS(613),
    [aux_sym_canonical_domains_token1] = ACTIONS(613),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(613),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(613),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(613),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(613),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(613),
    [aux_sym_certificate_file_token1] = ACTIONS(613),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(613),
    [aux_sym_channel_timeout_token1] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token1] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token2] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token3] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token4] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token5] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token6] = ACTIONS(615),
    [aux_sym_channel_timeout_type_token7] = ACTIONS(613),
    [aux_sym_channel_timeout_type_token8] = ACTIONS(613),
    [aux_sym_check_host_ip_token1] = ACTIONS(613),
    [aux_sym_ciphers_token1] = ACTIONS(613),
    [aux_sym_cipher_token1] = ACTIONS(615),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(613),
    [aux_sym_compression_token1] = ACTIONS(613),
    [aux_sym_connection_attempts_token1] = ACTIONS(613),
    [aux_sym_connect_timeout_token1] = ACTIONS(613),
    [aux_sym_control_master_token1] = ACTIONS(613),
    [aux_sym_control_path_token1] = ACTIONS(613),
    [aux_sym_control_persist_token1] = ACTIONS(613),
    [aux_sym_dynamic_forward_token1] = ACTIONS(613),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(613),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(613),
    [aux_sym_escape_char_token1] = ACTIONS(613),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(613),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(613),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(613),
    [aux_sym_forward_agent_token1] = ACTIONS(613),
    [aux_sym_forward_x11_token1] = ACTIONS(615),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(613),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(613),
    [aux_sym_gateway_ports_token1] = ACTIONS(613),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(613),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(613),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(613),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(613),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(613),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(613),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(613),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(613),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(613),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(613),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(613),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(613),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(613),
    [aux_sym_host_key_alias_token1] = ACTIONS(613),
    [aux_sym_hostname_token1] = ACTIONS(613),
    [aux_sym_identities_only_token1] = ACTIONS(613),
    [aux_sym_identity_agent_token1] = ACTIONS(613),
    [aux_sym_identity_file_token1] = ACTIONS(613),
    [aux_sym_ignore_unknown_token1] = ACTIONS(613),
    [aux_sym_include_token1] = ACTIONS(613),
    [aux_sym_ip_qos_token1] = ACTIONS(613),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(613),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(613),
    [aux_sym_kex_algorithms_token1] = ACTIONS(613),
    [aux_sym_known_hosts_command_token1] = ACTIONS(613),
    [aux_sym_local_command_token1] = ACTIONS(613),
    [aux_sym_local_forward_token1] = ACTIONS(613),
    [aux_sym_log_level_token1] = ACTIONS(613),
    [aux_sym_log_verbose_token1] = ACTIONS(613),
    [aux_sym_macs_token1] = ACTIONS(613),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(613),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(613),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(613),
    [aux_sym_password_authentication_token1] = ACTIONS(613),
    [aux_sym_permit_local_command_token1] = ACTIONS(613),
    [aux_sym_permit_remote_open_token1] = ACTIONS(613),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(613),
    [aux_sym_port_token1] = ACTIONS(613),
    [aux_sym_preferred_authentications_token1] = ACTIONS(613),
    [aux_sym_protocol_token1] = ACTIONS(613),
    [aux_sym_proxy_command_token1] = ACTIONS(613),
    [aux_sym_proxy_jump_token1] = ACTIONS(613),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(613),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(613),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(613),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(613),
    [aux_sym_rekey_limit_token1] = ACTIONS(613),
    [aux_sym_remote_command_token1] = ACTIONS(613),
    [aux_sym_remote_forward_token1] = ACTIONS(613),
    [aux_sym_request_tty_token1] = ACTIONS(613),
    [aux_sym_required_rsa_size_token1] = ACTIONS(613),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(613),
    [aux_sym_security_key_provider_token1] = ACTIONS(613),
    [aux_sym_send_env_token1] = ACTIONS(613),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(613),
    [aux_sym_server_alive_interval_token1] = ACTIONS(613),
    [aux_sym_session_type_token1] = ACTIONS(613),
    [aux_sym_set_env_token1] = ACTIONS(613),
    [aux_sym_stdin_null_token1] = ACTIONS(613),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(613),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(613),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(613),
    [aux_sym_syslog_facility_token1] = ACTIONS(613),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(613),
    [aux_sym_keep_alive_token1] = ACTIONS(613),
    [aux_sym_tag_token1] = ACTIONS(613),
    [aux_sym_tunnel_token1] = ACTIONS(615),
    [aux_sym_tunnel_device_token1] = ACTIONS(613),
    [aux_sym_update_host_keys_token1] = ACTIONS(613),
    [aux_sym_use_keychain_token1] = ACTIONS(613),
    [aux_sym_use_roaming_token1] = ACTIONS(613),
    [aux_sym_user_token1] = ACTIONS(615),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(613),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(613),
    [aux_sym_visual_host_key_token1] = ACTIONS(613),
    [aux_sym_xauth_location_token1] = ACTIONS(613),
  },
  [9] = {
    [ts_builtin_sym_end] = ACTIONS(617),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(621),
    [aux_sym_match_token1] = ACTIONS(617),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(617),
    [aux_sym_address_family_token1] = ACTIONS(617),
    [aux_sym_batch_mode_token1] = ACTIONS(617),
    [aux_sym_bind_address_token1] = ACTIONS(617),
    [aux_sym_bind_interface_token1] = ACTIONS(617),
    [aux_sym_canonical_domains_token1] = ACTIONS(617),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(617),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(617),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(617),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(617),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(617),
    [aux_sym_certificate_file_token1] = ACTIONS(617),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(617),
    [aux_sym_channel_timeout_token1] = ACTIONS(617),
    [aux_sym_check_host_ip_token1] = ACTIONS(617),
    [aux_sym_ciphers_token1] = ACTIONS(617),
    [aux_sym_cipher_token1] = ACTIONS(619),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(617),
    [aux_sym_compression_token1] = ACTIONS(617),
    [aux_sym_connection_attempts_token1] = ACTIONS(617),
    [aux_sym_connect_timeout_token1] = ACTIONS(617),
    [aux_sym_control_master_token1] = ACTIONS(617),
    [aux_sym_control_path_token1] = ACTIONS(617),
    [aux_sym_control_persist_token1] = ACTIONS(617),
    [aux_sym_dynamic_forward_token1] = ACTIONS(617),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(617),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(617),
    [aux_sym_escape_char_token1] = ACTIONS(617),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(617),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(617),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(617),
    [aux_sym_forward_agent_token1] = ACTIONS(617),
    [aux_sym_forward_x11_token1] = ACTIONS(619),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(617),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(617),
    [aux_sym_gateway_ports_token1] = ACTIONS(617),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(617),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(617),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(617),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(617),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(617),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(617),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(617),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(617),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(617),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(617),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(617),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(617),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(617),
    [aux_sym_host_key_alias_token1] = ACTIONS(617),
    [aux_sym_hostname_token1] = ACTIONS(617),
    [aux_sym_identities_only_token1] = ACTIONS(617),
    [aux_sym_identity_agent_token1] = ACTIONS(617),
    [aux_sym_identity_file_token1] = ACTIONS(617),
    [aux_sym_ignore_unknown_token1] = ACTIONS(617),
    [aux_sym_include_token1] = ACTIONS(617),
    [aux_sym_ip_qos_token1] = ACTIONS(617),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(617),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(617),
    [aux_sym_kex_algorithms_token1] = ACTIONS(617),
    [aux_sym_known_hosts_command_token1] = ACTIONS(617),
    [aux_sym_local_command_token1] = ACTIONS(617),
    [aux_sym_local_forward_token1] = ACTIONS(617),
    [aux_sym_log_level_token1] = ACTIONS(617),
    [aux_sym_log_verbose_token1] = ACTIONS(617),
    [aux_sym_macs_token1] = ACTIONS(617),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(617),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(617),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(617),
    [aux_sym_password_authentication_token1] = ACTIONS(617),
    [aux_sym_permit_local_command_token1] = ACTIONS(617),
    [aux_sym_permit_remote_open_token1] = ACTIONS(617),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(617),
    [aux_sym_port_token1] = ACTIONS(617),
    [aux_sym_preferred_authentications_token1] = ACTIONS(617),
    [aux_sym_protocol_token1] = ACTIONS(617),
    [aux_sym_proxy_command_token1] = ACTIONS(617),
    [aux_sym_proxy_jump_token1] = ACTIONS(617),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(617),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(617),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(617),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(617),
    [aux_sym_rekey_limit_token1] = ACTIONS(617),
    [aux_sym_remote_command_token1] = ACTIONS(617),
    [aux_sym_remote_forward_token1] = ACTIONS(617),
    [aux_sym_request_tty_token1] = ACTIONS(617),
    [aux_sym_required_rsa_size_token1] = ACTIONS(617),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(617),
    [aux_sym_security_key_provider_token1] = ACTIONS(617),
    [aux_sym_send_env_token1] = ACTIONS(617),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(617),
    [aux_sym_server_alive_interval_token1] = ACTIONS(617),
    [aux_sym_session_type_token1] = ACTIONS(617),
    [aux_sym_set_env_token1] = ACTIONS(617),
    [aux_sym_stdin_null_token1] = ACTIONS(617),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(617),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(617),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(617),
    [aux_sym_syslog_facility_token1] = ACTIONS(617),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(617),
    [aux_sym_keep_alive_token1] = ACTIONS(617),
    [aux_sym_tag_token1] = ACTIONS(617),
    [aux_sym_tunnel_token1] = ACTIONS(619),
    [aux_sym_tunnel_device_token1] = ACTIONS(617),
    [aux_sym_update_host_keys_token1] = ACTIONS(617),
    [aux_sym_use_keychain_token1] = ACTIONS(617),
    [aux_sym_use_roaming_token1] = ACTIONS(617),
    [aux_sym_user_token1] = ACTIONS(619),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(617),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(617),
    [aux_sym_visual_host_key_token1] = ACTIONS(617),
    [aux_sym_xauth_location_token1] = ACTIONS(617),
  },
  [10] = {
    [ts_builtin_sym_end] = ACTIONS(623),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [aux_sym_match_token1] = ACTIONS(623),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(623),
    [aux_sym_address_family_token1] = ACTIONS(623),
    [aux_sym_batch_mode_token1] = ACTIONS(623),
    [aux_sym_bind_address_token1] = ACTIONS(623),
    [aux_sym_bind_interface_token1] = ACTIONS(623),
    [aux_sym_canonical_domains_token1] = ACTIONS(623),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(623),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(623),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(623),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(623),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(623),
    [aux_sym_certificate_file_token1] = ACTIONS(623),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(623),
    [aux_sym_channel_timeout_token1] = ACTIONS(623),
    [aux_sym_check_host_ip_token1] = ACTIONS(623),
    [aux_sym_ciphers_token1] = ACTIONS(623),
    [aux_sym_cipher_token1] = ACTIONS(625),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(623),
    [aux_sym_compression_token1] = ACTIONS(623),
    [aux_sym_connection_attempts_token1] = ACTIONS(623),
    [aux_sym_connect_timeout_token1] = ACTIONS(623),
    [aux_sym_control_master_token1] = ACTIONS(623),
    [aux_sym_control_path_token1] = ACTIONS(623),
    [aux_sym_control_persist_token1] = ACTIONS(623),
    [aux_sym_dynamic_forward_token1] = ACTIONS(623),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(623),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(623),
    [aux_sym_escape_char_token1] = ACTIONS(623),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(623),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(623),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(623),
    [aux_sym_forward_agent_token1] = ACTIONS(623),
    [aux_sym_forward_x11_token1] = ACTIONS(625),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(623),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(623),
    [aux_sym_gateway_ports_token1] = ACTIONS(623),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(623),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(623),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(623),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(623),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(623),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(623),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(623),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(623),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(623),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(623),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(623),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(623),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(623),
    [aux_sym_host_key_alias_token1] = ACTIONS(623),
    [aux_sym_hostname_token1] = ACTIONS(623),
    [aux_sym_identities_only_token1] = ACTIONS(623),
    [aux_sym_identity_agent_token1] = ACTIONS(623),
    [aux_sym_identity_file_token1] = ACTIONS(623),
    [aux_sym_ignore_unknown_token1] = ACTIONS(623),
    [aux_sym_include_token1] = ACTIONS(623),
    [aux_sym_ip_qos_token1] = ACTIONS(623),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(623),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(623),
    [aux_sym_kex_algorithms_token1] = ACTIONS(623),
    [aux_sym_known_hosts_command_token1] = ACTIONS(623),
    [aux_sym_local_command_token1] = ACTIONS(623),
    [aux_sym_local_forward_token1] = ACTIONS(623),
    [aux_sym_log_level_token1] = ACTIONS(623),
    [aux_sym_log_verbose_token1] = ACTIONS(623),
    [aux_sym_macs_token1] = ACTIONS(623),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(623),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(623),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(623),
    [aux_sym_password_authentication_token1] = ACTIONS(623),
    [aux_sym_permit_local_command_token1] = ACTIONS(623),
    [aux_sym_permit_remote_open_token1] = ACTIONS(623),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(623),
    [aux_sym_port_token1] = ACTIONS(623),
    [aux_sym_preferred_authentications_token1] = ACTIONS(623),
    [aux_sym_protocol_token1] = ACTIONS(623),
    [aux_sym_proxy_command_token1] = ACTIONS(623),
    [aux_sym_proxy_jump_token1] = ACTIONS(623),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(623),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(623),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(623),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(623),
    [aux_sym_rekey_limit_token1] = ACTIONS(623),
    [aux_sym_remote_command_token1] = ACTIONS(623),
    [aux_sym_remote_forward_token1] = ACTIONS(623),
    [aux_sym_request_tty_token1] = ACTIONS(623),
    [aux_sym_required_rsa_size_token1] = ACTIONS(623),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(623),
    [aux_sym_security_key_provider_token1] = ACTIONS(623),
    [aux_sym_send_env_token1] = ACTIONS(623),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(623),
    [aux_sym_server_alive_interval_token1] = ACTIONS(623),
    [aux_sym_session_type_token1] = ACTIONS(623),
    [aux_sym_set_env_token1] = ACTIONS(623),
    [aux_sym_stdin_null_token1] = ACTIONS(623),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(623),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(623),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(623),
    [aux_sym_syslog_facility_token1] = ACTIONS(623),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(623),
    [aux_sym_keep_alive_token1] = ACTIONS(623),
    [aux_sym_tag_token1] = ACTIONS(623),
    [aux_sym_tunnel_token1] = ACTIONS(625),
    [aux_sym_tunnel_device_token1] = ACTIONS(623),
    [aux_sym_update_host_keys_token1] = ACTIONS(623),
    [aux_sym_use_keychain_token1] = ACTIONS(623),
    [aux_sym_use_roaming_token1] = ACTIONS(623),
    [aux_sym_user_token1] = ACTIONS(625),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(623),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(623),
    [aux_sym_visual_host_key_token1] = ACTIONS(623),
    [aux_sym_xauth_location_token1] = ACTIONS(623),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [aux_sym_match_token1] = ACTIONS(629),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(629),
    [aux_sym_address_family_token1] = ACTIONS(629),
    [aux_sym_batch_mode_token1] = ACTIONS(629),
    [aux_sym_bind_address_token1] = ACTIONS(629),
    [aux_sym_bind_interface_token1] = ACTIONS(629),
    [aux_sym_canonical_domains_token1] = ACTIONS(629),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(629),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(629),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(629),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(629),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(629),
    [aux_sym_certificate_file_token1] = ACTIONS(629),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(629),
    [aux_sym_channel_timeout_token1] = ACTIONS(629),
    [aux_sym_check_host_ip_token1] = ACTIONS(629),
    [aux_sym_ciphers_token1] = ACTIONS(629),
    [aux_sym_cipher_token1] = ACTIONS(631),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(629),
    [aux_sym_compression_token1] = ACTIONS(629),
    [aux_sym_connection_attempts_token1] = ACTIONS(629),
    [aux_sym_connect_timeout_token1] = ACTIONS(629),
    [aux_sym_control_master_token1] = ACTIONS(629),
    [aux_sym_control_path_token1] = ACTIONS(629),
    [aux_sym_control_persist_token1] = ACTIONS(629),
    [aux_sym_dynamic_forward_token1] = ACTIONS(629),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(629),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(629),
    [aux_sym_escape_char_token1] = ACTIONS(629),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(629),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(629),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(629),
    [aux_sym_forward_agent_token1] = ACTIONS(629),
    [aux_sym_forward_x11_token1] = ACTIONS(631),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(629),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(629),
    [aux_sym_gateway_ports_token1] = ACTIONS(629),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(629),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(629),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(629),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(629),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(629),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(629),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(629),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(629),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(629),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(629),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(629),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(629),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(629),
    [aux_sym_host_key_alias_token1] = ACTIONS(629),
    [aux_sym_hostname_token1] = ACTIONS(629),
    [aux_sym_identities_only_token1] = ACTIONS(629),
    [aux_sym_identity_agent_token1] = ACTIONS(629),
    [aux_sym_identity_file_token1] = ACTIONS(629),
    [aux_sym_ignore_unknown_token1] = ACTIONS(629),
    [aux_sym_include_token1] = ACTIONS(629),
    [aux_sym_ip_qos_token1] = ACTIONS(629),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(629),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(629),
    [aux_sym_kex_algorithms_token1] = ACTIONS(629),
    [aux_sym_known_hosts_command_token1] = ACTIONS(629),
    [aux_sym_local_command_token1] = ACTIONS(629),
    [aux_sym_local_forward_token1] = ACTIONS(629),
    [aux_sym_log_level_token1] = ACTIONS(629),
    [aux_sym_log_verbose_token1] = ACTIONS(629),
    [aux_sym_macs_token1] = ACTIONS(629),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(629),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(629),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(629),
    [aux_sym_password_authentication_token1] = ACTIONS(629),
    [aux_sym_permit_local_command_token1] = ACTIONS(629),
    [aux_sym_permit_remote_open_token1] = ACTIONS(629),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(629),
    [aux_sym_port_token1] = ACTIONS(629),
    [aux_sym_preferred_authentications_token1] = ACTIONS(629),
    [aux_sym_protocol_token1] = ACTIONS(629),
    [aux_sym_proxy_command_token1] = ACTIONS(629),
    [aux_sym_proxy_jump_token1] = ACTIONS(629),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(629),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(629),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(629),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(629),
    [aux_sym_rekey_limit_token1] = ACTIONS(629),
    [aux_sym_remote_command_token1] = ACTIONS(629),
    [aux_sym_remote_forward_token1] = ACTIONS(629),
    [aux_sym_request_tty_token1] = ACTIONS(629),
    [aux_sym_required_rsa_size_token1] = ACTIONS(629),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(629),
    [aux_sym_security_key_provider_token1] = ACTIONS(629),
    [aux_sym_send_env_token1] = ACTIONS(629),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(629),
    [aux_sym_server_alive_interval_token1] = ACTIONS(629),
    [aux_sym_session_type_token1] = ACTIONS(629),
    [aux_sym_set_env_token1] = ACTIONS(629),
    [aux_sym_stdin_null_token1] = ACTIONS(629),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(629),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(629),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(629),
    [aux_sym_syslog_facility_token1] = ACTIONS(629),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(629),
    [aux_sym_keep_alive_token1] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(629),
    [aux_sym_tunnel_token1] = ACTIONS(631),
    [aux_sym_tunnel_device_token1] = ACTIONS(629),
    [aux_sym_update_host_keys_token1] = ACTIONS(629),
    [aux_sym_use_keychain_token1] = ACTIONS(629),
    [aux_sym_use_roaming_token1] = ACTIONS(629),
    [aux_sym_user_token1] = ACTIONS(631),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(629),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(629),
    [aux_sym_visual_host_key_token1] = ACTIONS(629),
    [aux_sym_xauth_location_token1] = ACTIONS(629),
  },
  [12] = {
    [ts_builtin_sym_end] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(639),
    [aux_sym_match_token1] = ACTIONS(635),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(635),
    [aux_sym_address_family_token1] = ACTIONS(635),
    [aux_sym_batch_mode_token1] = ACTIONS(635),
    [aux_sym_bind_address_token1] = ACTIONS(635),
    [aux_sym_bind_interface_token1] = ACTIONS(635),
    [aux_sym_canonical_domains_token1] = ACTIONS(635),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(635),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(635),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(635),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(635),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(635),
    [aux_sym_certificate_file_token1] = ACTIONS(635),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(635),
    [aux_sym_channel_timeout_token1] = ACTIONS(635),
    [aux_sym_check_host_ip_token1] = ACTIONS(635),
    [aux_sym_ciphers_token1] = ACTIONS(635),
    [aux_sym_cipher_token1] = ACTIONS(637),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(635),
    [aux_sym_compression_token1] = ACTIONS(635),
    [aux_sym_connection_attempts_token1] = ACTIONS(635),
    [aux_sym_connect_timeout_token1] = ACTIONS(635),
    [aux_sym_control_master_token1] = ACTIONS(635),
    [aux_sym_control_path_token1] = ACTIONS(635),
    [aux_sym_control_persist_token1] = ACTIONS(635),
    [aux_sym_dynamic_forward_token1] = ACTIONS(635),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(635),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(635),
    [aux_sym_escape_char_token1] = ACTIONS(635),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(635),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(635),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(635),
    [aux_sym_forward_agent_token1] = ACTIONS(635),
    [aux_sym_forward_x11_token1] = ACTIONS(637),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(635),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(635),
    [aux_sym_gateway_ports_token1] = ACTIONS(635),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(635),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(635),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(635),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(635),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(635),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(635),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(635),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(635),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(635),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(635),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(635),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(635),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(635),
    [aux_sym_host_key_alias_token1] = ACTIONS(635),
    [aux_sym_hostname_token1] = ACTIONS(635),
    [aux_sym_identities_only_token1] = ACTIONS(635),
    [aux_sym_identity_agent_token1] = ACTIONS(635),
    [aux_sym_identity_file_token1] = ACTIONS(635),
    [aux_sym_ignore_unknown_token1] = ACTIONS(635),
    [aux_sym_include_token1] = ACTIONS(635),
    [aux_sym_ip_qos_token1] = ACTIONS(635),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(635),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(635),
    [aux_sym_kex_algorithms_token1] = ACTIONS(635),
    [aux_sym_known_hosts_command_token1] = ACTIONS(635),
    [aux_sym_local_command_token1] = ACTIONS(635),
    [aux_sym_local_forward_token1] = ACTIONS(635),
    [aux_sym_log_level_token1] = ACTIONS(635),
    [aux_sym_log_verbose_token1] = ACTIONS(635),
    [aux_sym_macs_token1] = ACTIONS(635),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(635),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(635),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(635),
    [aux_sym_password_authentication_token1] = ACTIONS(635),
    [aux_sym_permit_local_command_token1] = ACTIONS(635),
    [aux_sym_permit_remote_open_token1] = ACTIONS(635),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(635),
    [aux_sym_port_token1] = ACTIONS(635),
    [aux_sym_preferred_authentications_token1] = ACTIONS(635),
    [aux_sym_protocol_token1] = ACTIONS(635),
    [aux_sym_proxy_command_token1] = ACTIONS(635),
    [aux_sym_proxy_jump_token1] = ACTIONS(635),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(635),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(635),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(635),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(635),
    [aux_sym_rekey_limit_token1] = ACTIONS(635),
    [aux_sym_remote_command_token1] = ACTIONS(635),
    [aux_sym_remote_forward_token1] = ACTIONS(635),
    [aux_sym_request_tty_token1] = ACTIONS(635),
    [aux_sym_required_rsa_size_token1] = ACTIONS(635),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(635),
    [aux_sym_security_key_provider_token1] = ACTIONS(635),
    [aux_sym_send_env_token1] = ACTIONS(635),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(635),
    [aux_sym_server_alive_interval_token1] = ACTIONS(635),
    [aux_sym_session_type_token1] = ACTIONS(635),
    [aux_sym_set_env_token1] = ACTIONS(635),
    [aux_sym_stdin_null_token1] = ACTIONS(635),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(635),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(635),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(635),
    [aux_sym_syslog_facility_token1] = ACTIONS(635),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(635),
    [aux_sym_keep_alive_token1] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(635),
    [aux_sym_tunnel_token1] = ACTIONS(637),
    [aux_sym_tunnel_device_token1] = ACTIONS(635),
    [aux_sym_update_host_keys_token1] = ACTIONS(635),
    [aux_sym_use_keychain_token1] = ACTIONS(635),
    [aux_sym_use_roaming_token1] = ACTIONS(635),
    [aux_sym_user_token1] = ACTIONS(637),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(635),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(635),
    [aux_sym_visual_host_key_token1] = ACTIONS(635),
    [aux_sym_xauth_location_token1] = ACTIONS(635),
  },
  [13] = {
    [ts_builtin_sym_end] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [aux_sym_match_token1] = ACTIONS(641),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(641),
    [aux_sym_address_family_token1] = ACTIONS(641),
    [aux_sym_batch_mode_token1] = ACTIONS(641),
    [aux_sym_bind_address_token1] = ACTIONS(641),
    [aux_sym_bind_interface_token1] = ACTIONS(641),
    [aux_sym_canonical_domains_token1] = ACTIONS(641),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(641),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(641),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(641),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(641),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(641),
    [aux_sym_certificate_file_token1] = ACTIONS(641),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(641),
    [aux_sym_channel_timeout_token1] = ACTIONS(641),
    [aux_sym_check_host_ip_token1] = ACTIONS(641),
    [aux_sym_ciphers_token1] = ACTIONS(641),
    [aux_sym_cipher_token1] = ACTIONS(643),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(641),
    [aux_sym_compression_token1] = ACTIONS(641),
    [aux_sym_connection_attempts_token1] = ACTIONS(641),
    [aux_sym_connect_timeout_token1] = ACTIONS(641),
    [aux_sym_control_master_token1] = ACTIONS(641),
    [aux_sym_control_path_token1] = ACTIONS(641),
    [aux_sym_control_persist_token1] = ACTIONS(641),
    [aux_sym_dynamic_forward_token1] = ACTIONS(641),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(641),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(641),
    [aux_sym_escape_char_token1] = ACTIONS(641),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(641),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(641),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(641),
    [aux_sym_forward_agent_token1] = ACTIONS(641),
    [aux_sym_forward_x11_token1] = ACTIONS(643),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(641),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(641),
    [aux_sym_gateway_ports_token1] = ACTIONS(641),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(641),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(641),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(641),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(641),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(641),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(641),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(641),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(641),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(641),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(641),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(641),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(641),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(641),
    [aux_sym_host_key_alias_token1] = ACTIONS(641),
    [aux_sym_hostname_token1] = ACTIONS(641),
    [aux_sym_identities_only_token1] = ACTIONS(641),
    [aux_sym_identity_agent_token1] = ACTIONS(641),
    [aux_sym_identity_file_token1] = ACTIONS(641),
    [aux_sym_ignore_unknown_token1] = ACTIONS(641),
    [aux_sym_include_token1] = ACTIONS(641),
    [aux_sym_ip_qos_token1] = ACTIONS(641),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(641),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(641),
    [aux_sym_kex_algorithms_token1] = ACTIONS(641),
    [aux_sym_known_hosts_command_token1] = ACTIONS(641),
    [aux_sym_local_command_token1] = ACTIONS(641),
    [aux_sym_local_forward_token1] = ACTIONS(641),
    [aux_sym_log_level_token1] = ACTIONS(641),
    [aux_sym_log_verbose_token1] = ACTIONS(641),
    [aux_sym_macs_token1] = ACTIONS(641),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(641),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(641),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(641),
    [aux_sym_password_authentication_token1] = ACTIONS(641),
    [aux_sym_permit_local_command_token1] = ACTIONS(641),
    [aux_sym_permit_remote_open_token1] = ACTIONS(641),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(641),
    [aux_sym_port_token1] = ACTIONS(641),
    [aux_sym_preferred_authentications_token1] = ACTIONS(641),
    [aux_sym_protocol_token1] = ACTIONS(641),
    [aux_sym_proxy_command_token1] = ACTIONS(641),
    [aux_sym_proxy_jump_token1] = ACTIONS(641),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(641),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(641),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(641),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(641),
    [aux_sym_rekey_limit_token1] = ACTIONS(641),
    [aux_sym_remote_command_token1] = ACTIONS(641),
    [aux_sym_remote_forward_token1] = ACTIONS(641),
    [aux_sym_request_tty_token1] = ACTIONS(641),
    [aux_sym_required_rsa_size_token1] = ACTIONS(641),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(641),
    [aux_sym_security_key_provider_token1] = ACTIONS(641),
    [aux_sym_send_env_token1] = ACTIONS(641),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(641),
    [aux_sym_server_alive_interval_token1] = ACTIONS(641),
    [aux_sym_session_type_token1] = ACTIONS(641),
    [aux_sym_set_env_token1] = ACTIONS(641),
    [aux_sym_stdin_null_token1] = ACTIONS(641),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(641),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(641),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(641),
    [aux_sym_syslog_facility_token1] = ACTIONS(641),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(641),
    [aux_sym_keep_alive_token1] = ACTIONS(641),
    [aux_sym_tag_token1] = ACTIONS(641),
    [aux_sym_tunnel_token1] = ACTIONS(643),
    [aux_sym_tunnel_device_token1] = ACTIONS(641),
    [aux_sym_update_host_keys_token1] = ACTIONS(641),
    [aux_sym_use_keychain_token1] = ACTIONS(641),
    [aux_sym_use_roaming_token1] = ACTIONS(641),
    [aux_sym_user_token1] = ACTIONS(643),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(641),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(641),
    [aux_sym_visual_host_key_token1] = ACTIONS(641),
    [aux_sym_xauth_location_token1] = ACTIONS(641),
  },
  [14] = {
    [ts_builtin_sym_end] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(649),
    [anon_sym_DQUOTE] = ACTIONS(651),
    [aux_sym_match_token1] = ACTIONS(647),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(647),
    [aux_sym_address_family_token1] = ACTIONS(647),
    [aux_sym_batch_mode_token1] = ACTIONS(647),
    [aux_sym_bind_address_token1] = ACTIONS(647),
    [aux_sym_bind_interface_token1] = ACTIONS(647),
    [aux_sym_canonical_domains_token1] = ACTIONS(647),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(647),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(647),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(647),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(647),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(647),
    [aux_sym_certificate_file_token1] = ACTIONS(647),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(647),
    [aux_sym_channel_timeout_token1] = ACTIONS(647),
    [aux_sym_check_host_ip_token1] = ACTIONS(647),
    [aux_sym_ciphers_token1] = ACTIONS(647),
    [aux_sym_cipher_token1] = ACTIONS(649),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(647),
    [aux_sym_compression_token1] = ACTIONS(647),
    [aux_sym_connection_attempts_token1] = ACTIONS(647),
    [aux_sym_connect_timeout_token1] = ACTIONS(647),
    [aux_sym_control_master_token1] = ACTIONS(647),
    [aux_sym_control_path_token1] = ACTIONS(647),
    [aux_sym_control_persist_token1] = ACTIONS(647),
    [aux_sym_dynamic_forward_token1] = ACTIONS(647),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(647),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(647),
    [aux_sym_escape_char_token1] = ACTIONS(647),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(647),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(647),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(647),
    [aux_sym_forward_agent_token1] = ACTIONS(647),
    [aux_sym_forward_x11_token1] = ACTIONS(649),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(647),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(647),
    [aux_sym_gateway_ports_token1] = ACTIONS(647),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(647),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(647),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(647),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(647),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(647),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(647),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(647),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(647),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(647),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(647),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(647),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(647),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(647),
    [aux_sym_host_key_alias_token1] = ACTIONS(647),
    [aux_sym_hostname_token1] = ACTIONS(647),
    [aux_sym_identities_only_token1] = ACTIONS(647),
    [aux_sym_identity_agent_token1] = ACTIONS(647),
    [aux_sym_identity_file_token1] = ACTIONS(647),
    [aux_sym_ignore_unknown_token1] = ACTIONS(647),
    [aux_sym_include_token1] = ACTIONS(647),
    [aux_sym_ip_qos_token1] = ACTIONS(647),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(647),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(647),
    [aux_sym_kex_algorithms_token1] = ACTIONS(647),
    [aux_sym_known_hosts_command_token1] = ACTIONS(647),
    [aux_sym_local_command_token1] = ACTIONS(647),
    [aux_sym_local_forward_token1] = ACTIONS(647),
    [aux_sym_log_level_token1] = ACTIONS(647),
    [aux_sym_log_verbose_token1] = ACTIONS(647),
    [aux_sym_macs_token1] = ACTIONS(647),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(647),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(647),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(647),
    [aux_sym_password_authentication_token1] = ACTIONS(647),
    [aux_sym_permit_local_command_token1] = ACTIONS(647),
    [aux_sym_permit_remote_open_token1] = ACTIONS(647),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(647),
    [aux_sym_port_token1] = ACTIONS(647),
    [aux_sym_preferred_authentications_token1] = ACTIONS(647),
    [aux_sym_protocol_token1] = ACTIONS(647),
    [aux_sym_proxy_command_token1] = ACTIONS(647),
    [aux_sym_proxy_jump_token1] = ACTIONS(647),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(647),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(647),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(647),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(647),
    [aux_sym_rekey_limit_token1] = ACTIONS(647),
    [aux_sym_remote_command_token1] = ACTIONS(647),
    [aux_sym_remote_forward_token1] = ACTIONS(647),
    [aux_sym_request_tty_token1] = ACTIONS(647),
    [aux_sym_required_rsa_size_token1] = ACTIONS(647),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(647),
    [aux_sym_security_key_provider_token1] = ACTIONS(647),
    [aux_sym_send_env_token1] = ACTIONS(647),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(647),
    [aux_sym_server_alive_interval_token1] = ACTIONS(647),
    [aux_sym_session_type_token1] = ACTIONS(647),
    [aux_sym_set_env_token1] = ACTIONS(647),
    [aux_sym_stdin_null_token1] = ACTIONS(647),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(647),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(647),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(647),
    [aux_sym_syslog_facility_token1] = ACTIONS(647),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(647),
    [aux_sym_keep_alive_token1] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(647),
    [aux_sym_tunnel_token1] = ACTIONS(649),
    [aux_sym_tunnel_device_token1] = ACTIONS(647),
    [aux_sym_update_host_keys_token1] = ACTIONS(647),
    [aux_sym_use_keychain_token1] = ACTIONS(647),
    [aux_sym_use_roaming_token1] = ACTIONS(647),
    [aux_sym_user_token1] = ACTIONS(649),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(647),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(647),
    [aux_sym_visual_host_key_token1] = ACTIONS(647),
    [aux_sym_xauth_location_token1] = ACTIONS(647),
  },
  [15] = {
    [ts_builtin_sym_end] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(657),
    [aux_sym_match_token1] = ACTIONS(653),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(653),
    [aux_sym_address_family_token1] = ACTIONS(653),
    [aux_sym_batch_mode_token1] = ACTIONS(653),
    [aux_sym_bind_address_token1] = ACTIONS(653),
    [aux_sym_bind_interface_token1] = ACTIONS(653),
    [aux_sym_canonical_domains_token1] = ACTIONS(653),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(653),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(653),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(653),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(653),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(653),
    [aux_sym_certificate_file_token1] = ACTIONS(653),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(653),
    [aux_sym_channel_timeout_token1] = ACTIONS(653),
    [aux_sym_check_host_ip_token1] = ACTIONS(653),
    [aux_sym_ciphers_token1] = ACTIONS(653),
    [aux_sym_cipher_token1] = ACTIONS(655),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(653),
    [aux_sym_compression_token1] = ACTIONS(653),
    [aux_sym_connection_attempts_token1] = ACTIONS(653),
    [aux_sym_connect_timeout_token1] = ACTIONS(653),
    [aux_sym_control_master_token1] = ACTIONS(653),
    [aux_sym_control_path_token1] = ACTIONS(653),
    [aux_sym_control_persist_token1] = ACTIONS(653),
    [aux_sym_dynamic_forward_token1] = ACTIONS(653),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(653),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(653),
    [aux_sym_escape_char_token1] = ACTIONS(653),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(653),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(653),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(653),
    [aux_sym_forward_agent_token1] = ACTIONS(653),
    [aux_sym_forward_x11_token1] = ACTIONS(655),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(653),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(653),
    [aux_sym_gateway_ports_token1] = ACTIONS(653),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(653),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(653),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(653),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(653),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(653),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(653),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(653),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(653),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(653),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(653),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(653),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(653),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(653),
    [aux_sym_host_key_alias_token1] = ACTIONS(653),
    [aux_sym_hostname_token1] = ACTIONS(653),
    [aux_sym_identities_only_token1] = ACTIONS(653),
    [aux_sym_identity_agent_token1] = ACTIONS(653),
    [aux_sym_identity_file_token1] = ACTIONS(653),
    [aux_sym_ignore_unknown_token1] = ACTIONS(653),
    [aux_sym_include_token1] = ACTIONS(653),
    [aux_sym_ip_qos_token1] = ACTIONS(653),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(653),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(653),
    [aux_sym_kex_algorithms_token1] = ACTIONS(653),
    [aux_sym_known_hosts_command_token1] = ACTIONS(653),
    [aux_sym_local_command_token1] = ACTIONS(653),
    [aux_sym_local_forward_token1] = ACTIONS(653),
    [aux_sym_log_level_token1] = ACTIONS(653),
    [aux_sym_log_verbose_token1] = ACTIONS(653),
    [aux_sym_macs_token1] = ACTIONS(653),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(653),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(653),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(653),
    [aux_sym_password_authentication_token1] = ACTIONS(653),
    [aux_sym_permit_local_command_token1] = ACTIONS(653),
    [aux_sym_permit_remote_open_token1] = ACTIONS(653),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(653),
    [aux_sym_port_token1] = ACTIONS(653),
    [aux_sym_preferred_authentications_token1] = ACTIONS(653),
    [aux_sym_protocol_token1] = ACTIONS(653),
    [aux_sym_proxy_command_token1] = ACTIONS(653),
    [aux_sym_proxy_jump_token1] = ACTIONS(653),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(653),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(653),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(653),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(653),
    [aux_sym_rekey_limit_token1] = ACTIONS(653),
    [aux_sym_remote_command_token1] = ACTIONS(653),
    [aux_sym_remote_forward_token1] = ACTIONS(653),
    [aux_sym_request_tty_token1] = ACTIONS(653),
    [aux_sym_required_rsa_size_token1] = ACTIONS(653),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(653),
    [aux_sym_security_key_provider_token1] = ACTIONS(653),
    [aux_sym_send_env_token1] = ACTIONS(653),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(653),
    [aux_sym_server_alive_interval_token1] = ACTIONS(653),
    [aux_sym_session_type_token1] = ACTIONS(653),
    [aux_sym_set_env_token1] = ACTIONS(653),
    [aux_sym_stdin_null_token1] = ACTIONS(653),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(653),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(653),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(653),
    [aux_sym_syslog_facility_token1] = ACTIONS(653),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(653),
    [aux_sym_keep_alive_token1] = ACTIONS(653),
    [aux_sym_tag_token1] = ACTIONS(653),
    [aux_sym_tunnel_token1] = ACTIONS(655),
    [aux_sym_tunnel_device_token1] = ACTIONS(653),
    [aux_sym_update_host_keys_token1] = ACTIONS(653),
    [aux_sym_use_keychain_token1] = ACTIONS(653),
    [aux_sym_use_roaming_token1] = ACTIONS(653),
    [aux_sym_user_token1] = ACTIONS(655),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(653),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(653),
    [aux_sym_visual_host_key_token1] = ACTIONS(653),
    [aux_sym_xauth_location_token1] = ACTIONS(653),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(659),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [aux_sym_match_token1] = ACTIONS(659),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(659),
    [aux_sym_address_family_token1] = ACTIONS(659),
    [aux_sym_batch_mode_token1] = ACTIONS(659),
    [aux_sym_bind_address_token1] = ACTIONS(659),
    [aux_sym_bind_interface_token1] = ACTIONS(659),
    [aux_sym_canonical_domains_token1] = ACTIONS(659),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(659),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(659),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(659),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(659),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(659),
    [aux_sym_certificate_file_token1] = ACTIONS(659),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(659),
    [aux_sym_channel_timeout_token1] = ACTIONS(659),
    [aux_sym_check_host_ip_token1] = ACTIONS(659),
    [aux_sym_ciphers_token1] = ACTIONS(659),
    [aux_sym_cipher_token1] = ACTIONS(661),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(659),
    [aux_sym_compression_token1] = ACTIONS(659),
    [aux_sym_connection_attempts_token1] = ACTIONS(659),
    [aux_sym_connect_timeout_token1] = ACTIONS(659),
    [aux_sym_control_master_token1] = ACTIONS(659),
    [aux_sym_control_path_token1] = ACTIONS(659),
    [aux_sym_control_persist_token1] = ACTIONS(659),
    [aux_sym_dynamic_forward_token1] = ACTIONS(659),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(659),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(659),
    [aux_sym_escape_char_token1] = ACTIONS(659),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(659),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(659),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(659),
    [aux_sym_forward_agent_token1] = ACTIONS(659),
    [aux_sym_forward_x11_token1] = ACTIONS(661),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(659),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(659),
    [aux_sym_gateway_ports_token1] = ACTIONS(659),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(659),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(659),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(659),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(659),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(659),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(659),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(659),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(659),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(659),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(659),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(659),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(659),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(659),
    [aux_sym_host_key_alias_token1] = ACTIONS(659),
    [aux_sym_hostname_token1] = ACTIONS(659),
    [aux_sym_identities_only_token1] = ACTIONS(659),
    [aux_sym_identity_agent_token1] = ACTIONS(659),
    [aux_sym_identity_file_token1] = ACTIONS(659),
    [aux_sym_ignore_unknown_token1] = ACTIONS(659),
    [aux_sym_include_token1] = ACTIONS(659),
    [aux_sym_ip_qos_token1] = ACTIONS(659),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(659),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(659),
    [aux_sym_kex_algorithms_token1] = ACTIONS(659),
    [aux_sym_known_hosts_command_token1] = ACTIONS(659),
    [aux_sym_local_command_token1] = ACTIONS(659),
    [aux_sym_local_forward_token1] = ACTIONS(659),
    [aux_sym_log_level_token1] = ACTIONS(659),
    [aux_sym_log_verbose_token1] = ACTIONS(659),
    [aux_sym_macs_token1] = ACTIONS(659),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(659),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(659),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(659),
    [aux_sym_password_authentication_token1] = ACTIONS(659),
    [aux_sym_permit_local_command_token1] = ACTIONS(659),
    [aux_sym_permit_remote_open_token1] = ACTIONS(659),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(659),
    [aux_sym_port_token1] = ACTIONS(659),
    [aux_sym_preferred_authentications_token1] = ACTIONS(659),
    [aux_sym_protocol_token1] = ACTIONS(659),
    [aux_sym_proxy_command_token1] = ACTIONS(659),
    [aux_sym_proxy_jump_token1] = ACTIONS(659),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(659),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(659),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(659),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(659),
    [aux_sym_rekey_limit_token1] = ACTIONS(659),
    [aux_sym_remote_command_token1] = ACTIONS(659),
    [aux_sym_remote_forward_token1] = ACTIONS(659),
    [aux_sym_request_tty_token1] = ACTIONS(659),
    [aux_sym_required_rsa_size_token1] = ACTIONS(659),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(659),
    [aux_sym_security_key_provider_token1] = ACTIONS(659),
    [aux_sym_send_env_token1] = ACTIONS(659),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(659),
    [aux_sym_server_alive_interval_token1] = ACTIONS(659),
    [aux_sym_session_type_token1] = ACTIONS(659),
    [aux_sym_set_env_token1] = ACTIONS(659),
    [aux_sym_stdin_null_token1] = ACTIONS(659),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(659),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(659),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(659),
    [aux_sym_syslog_facility_token1] = ACTIONS(659),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(659),
    [aux_sym_keep_alive_token1] = ACTIONS(659),
    [aux_sym_tag_token1] = ACTIONS(659),
    [aux_sym_tunnel_token1] = ACTIONS(661),
    [aux_sym_tunnel_device_token1] = ACTIONS(659),
    [aux_sym_update_host_keys_token1] = ACTIONS(659),
    [aux_sym_use_keychain_token1] = ACTIONS(659),
    [aux_sym_use_roaming_token1] = ACTIONS(659),
    [aux_sym_user_token1] = ACTIONS(661),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(659),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(659),
    [aux_sym_visual_host_key_token1] = ACTIONS(659),
    [aux_sym_xauth_location_token1] = ACTIONS(659),
  },
  [17] = {
    [ts_builtin_sym_end] = ACTIONS(665),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [aux_sym_match_token1] = ACTIONS(665),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(665),
    [aux_sym_address_family_token1] = ACTIONS(665),
    [aux_sym_batch_mode_token1] = ACTIONS(665),
    [aux_sym_bind_address_token1] = ACTIONS(665),
    [aux_sym_bind_interface_token1] = ACTIONS(665),
    [aux_sym_canonical_domains_token1] = ACTIONS(665),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(665),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(665),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(665),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(665),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(665),
    [aux_sym_certificate_file_token1] = ACTIONS(665),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(665),
    [aux_sym_channel_timeout_token1] = ACTIONS(665),
    [aux_sym_check_host_ip_token1] = ACTIONS(665),
    [aux_sym_ciphers_token1] = ACTIONS(665),
    [aux_sym_cipher_token1] = ACTIONS(667),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(665),
    [aux_sym_compression_token1] = ACTIONS(665),
    [aux_sym_connection_attempts_token1] = ACTIONS(665),
    [aux_sym_connect_timeout_token1] = ACTIONS(665),
    [aux_sym_control_master_token1] = ACTIONS(665),
    [aux_sym_control_path_token1] = ACTIONS(665),
    [aux_sym_control_persist_token1] = ACTIONS(665),
    [aux_sym_dynamic_forward_token1] = ACTIONS(665),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(665),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(665),
    [aux_sym_escape_char_token1] = ACTIONS(665),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(665),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(665),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(665),
    [aux_sym_forward_agent_token1] = ACTIONS(665),
    [aux_sym_forward_x11_token1] = ACTIONS(667),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(665),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(665),
    [aux_sym_gateway_ports_token1] = ACTIONS(665),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(665),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(665),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(665),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(665),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(665),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(665),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(665),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(665),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(665),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(665),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(665),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(665),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(665),
    [aux_sym_host_key_alias_token1] = ACTIONS(665),
    [aux_sym_hostname_token1] = ACTIONS(665),
    [aux_sym_identities_only_token1] = ACTIONS(665),
    [aux_sym_identity_agent_token1] = ACTIONS(665),
    [aux_sym_identity_file_token1] = ACTIONS(665),
    [aux_sym_ignore_unknown_token1] = ACTIONS(665),
    [aux_sym_include_token1] = ACTIONS(665),
    [aux_sym_ip_qos_token1] = ACTIONS(665),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(665),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(665),
    [aux_sym_kex_algorithms_token1] = ACTIONS(665),
    [aux_sym_known_hosts_command_token1] = ACTIONS(665),
    [aux_sym_local_command_token1] = ACTIONS(665),
    [aux_sym_local_forward_token1] = ACTIONS(665),
    [aux_sym_log_level_token1] = ACTIONS(665),
    [aux_sym_log_verbose_token1] = ACTIONS(665),
    [aux_sym_macs_token1] = ACTIONS(665),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(665),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(665),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(665),
    [aux_sym_password_authentication_token1] = ACTIONS(665),
    [aux_sym_permit_local_command_token1] = ACTIONS(665),
    [aux_sym_permit_remote_open_token1] = ACTIONS(665),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(665),
    [aux_sym_port_token1] = ACTIONS(665),
    [aux_sym_preferred_authentications_token1] = ACTIONS(665),
    [aux_sym_protocol_token1] = ACTIONS(665),
    [aux_sym_proxy_command_token1] = ACTIONS(665),
    [aux_sym_proxy_jump_token1] = ACTIONS(665),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(665),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(665),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(665),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(665),
    [aux_sym_rekey_limit_token1] = ACTIONS(665),
    [aux_sym_remote_command_token1] = ACTIONS(665),
    [aux_sym_remote_forward_token1] = ACTIONS(665),
    [aux_sym_request_tty_token1] = ACTIONS(665),
    [aux_sym_required_rsa_size_token1] = ACTIONS(665),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(665),
    [aux_sym_security_key_provider_token1] = ACTIONS(665),
    [aux_sym_send_env_token1] = ACTIONS(665),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(665),
    [aux_sym_server_alive_interval_token1] = ACTIONS(665),
    [aux_sym_session_type_token1] = ACTIONS(665),
    [aux_sym_set_env_token1] = ACTIONS(665),
    [aux_sym_stdin_null_token1] = ACTIONS(665),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(665),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(665),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(665),
    [aux_sym_syslog_facility_token1] = ACTIONS(665),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(665),
    [aux_sym_keep_alive_token1] = ACTIONS(665),
    [aux_sym_tag_token1] = ACTIONS(665),
    [aux_sym_tunnel_token1] = ACTIONS(667),
    [aux_sym_tunnel_device_token1] = ACTIONS(665),
    [aux_sym_update_host_keys_token1] = ACTIONS(665),
    [aux_sym_use_keychain_token1] = ACTIONS(665),
    [aux_sym_use_roaming_token1] = ACTIONS(665),
    [aux_sym_user_token1] = ACTIONS(667),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(665),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(665),
    [aux_sym_visual_host_key_token1] = ACTIONS(665),
    [aux_sym_xauth_location_token1] = ACTIONS(665),
  },
  [18] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(673),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [aux_sym_match_token1] = ACTIONS(671),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(671),
    [aux_sym_address_family_token1] = ACTIONS(671),
    [aux_sym_batch_mode_token1] = ACTIONS(671),
    [aux_sym_bind_address_token1] = ACTIONS(671),
    [aux_sym_bind_interface_token1] = ACTIONS(671),
    [aux_sym_canonical_domains_token1] = ACTIONS(671),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(671),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(671),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(671),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(671),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(671),
    [aux_sym_certificate_file_token1] = ACTIONS(671),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(671),
    [aux_sym_channel_timeout_token1] = ACTIONS(671),
    [aux_sym_check_host_ip_token1] = ACTIONS(671),
    [aux_sym_ciphers_token1] = ACTIONS(671),
    [aux_sym_cipher_token1] = ACTIONS(673),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(671),
    [aux_sym_compression_token1] = ACTIONS(671),
    [aux_sym_connection_attempts_token1] = ACTIONS(671),
    [aux_sym_connect_timeout_token1] = ACTIONS(671),
    [aux_sym_control_master_token1] = ACTIONS(671),
    [aux_sym_control_path_token1] = ACTIONS(671),
    [aux_sym_control_persist_token1] = ACTIONS(671),
    [aux_sym_dynamic_forward_token1] = ACTIONS(671),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(671),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(671),
    [aux_sym_escape_char_token1] = ACTIONS(671),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(671),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(671),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(671),
    [aux_sym_forward_agent_token1] = ACTIONS(671),
    [aux_sym_forward_x11_token1] = ACTIONS(673),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(671),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(671),
    [aux_sym_gateway_ports_token1] = ACTIONS(671),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(671),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(671),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(671),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(671),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(671),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(671),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(671),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(671),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(671),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(671),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(671),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(671),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(671),
    [aux_sym_host_key_alias_token1] = ACTIONS(671),
    [aux_sym_hostname_token1] = ACTIONS(671),
    [aux_sym_identities_only_token1] = ACTIONS(671),
    [aux_sym_identity_agent_token1] = ACTIONS(671),
    [aux_sym_identity_file_token1] = ACTIONS(671),
    [aux_sym_ignore_unknown_token1] = ACTIONS(671),
    [aux_sym_include_token1] = ACTIONS(671),
    [aux_sym_ip_qos_token1] = ACTIONS(671),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(671),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(671),
    [aux_sym_kex_algorithms_token1] = ACTIONS(671),
    [aux_sym_known_hosts_command_token1] = ACTIONS(671),
    [aux_sym_local_command_token1] = ACTIONS(671),
    [aux_sym_local_forward_token1] = ACTIONS(671),
    [aux_sym_log_level_token1] = ACTIONS(671),
    [aux_sym_log_verbose_token1] = ACTIONS(671),
    [aux_sym_macs_token1] = ACTIONS(671),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(671),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(671),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(671),
    [aux_sym_password_authentication_token1] = ACTIONS(671),
    [aux_sym_permit_local_command_token1] = ACTIONS(671),
    [aux_sym_permit_remote_open_token1] = ACTIONS(671),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(671),
    [aux_sym_port_token1] = ACTIONS(671),
    [aux_sym_preferred_authentications_token1] = ACTIONS(671),
    [aux_sym_protocol_token1] = ACTIONS(671),
    [aux_sym_proxy_command_token1] = ACTIONS(671),
    [aux_sym_proxy_jump_token1] = ACTIONS(671),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(671),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(671),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(671),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(671),
    [aux_sym_rekey_limit_token1] = ACTIONS(671),
    [aux_sym_remote_command_token1] = ACTIONS(671),
    [aux_sym_remote_forward_token1] = ACTIONS(671),
    [aux_sym_request_tty_token1] = ACTIONS(671),
    [aux_sym_required_rsa_size_token1] = ACTIONS(671),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(671),
    [aux_sym_security_key_provider_token1] = ACTIONS(671),
    [aux_sym_send_env_token1] = ACTIONS(671),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(671),
    [aux_sym_server_alive_interval_token1] = ACTIONS(671),
    [aux_sym_session_type_token1] = ACTIONS(671),
    [aux_sym_set_env_token1] = ACTIONS(671),
    [aux_sym_stdin_null_token1] = ACTIONS(671),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(671),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(671),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(671),
    [aux_sym_syslog_facility_token1] = ACTIONS(671),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(671),
    [aux_sym_keep_alive_token1] = ACTIONS(671),
    [aux_sym_tag_token1] = ACTIONS(671),
    [aux_sym_tunnel_token1] = ACTIONS(673),
    [aux_sym_tunnel_device_token1] = ACTIONS(671),
    [aux_sym_update_host_keys_token1] = ACTIONS(671),
    [aux_sym_use_keychain_token1] = ACTIONS(671),
    [aux_sym_use_roaming_token1] = ACTIONS(671),
    [aux_sym_user_token1] = ACTIONS(673),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(671),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(671),
    [aux_sym_visual_host_key_token1] = ACTIONS(671),
    [aux_sym_xauth_location_token1] = ACTIONS(671),
  },
  [19] = {
    [ts_builtin_sym_end] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [aux_sym_match_token1] = ACTIONS(677),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(677),
    [aux_sym_address_family_token1] = ACTIONS(677),
    [aux_sym_batch_mode_token1] = ACTIONS(677),
    [aux_sym_bind_address_token1] = ACTIONS(677),
    [aux_sym_bind_interface_token1] = ACTIONS(677),
    [aux_sym_canonical_domains_token1] = ACTIONS(677),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(677),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(677),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(677),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(677),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(677),
    [aux_sym_certificate_file_token1] = ACTIONS(677),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(677),
    [aux_sym_channel_timeout_token1] = ACTIONS(677),
    [aux_sym_check_host_ip_token1] = ACTIONS(677),
    [aux_sym_ciphers_token1] = ACTIONS(677),
    [aux_sym_cipher_token1] = ACTIONS(679),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(677),
    [aux_sym_compression_token1] = ACTIONS(677),
    [aux_sym_connection_attempts_token1] = ACTIONS(677),
    [aux_sym_connect_timeout_token1] = ACTIONS(677),
    [aux_sym_control_master_token1] = ACTIONS(677),
    [aux_sym_control_path_token1] = ACTIONS(677),
    [aux_sym_control_persist_token1] = ACTIONS(677),
    [aux_sym_dynamic_forward_token1] = ACTIONS(677),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(677),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(677),
    [aux_sym_escape_char_token1] = ACTIONS(677),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(677),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(677),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(677),
    [aux_sym_forward_agent_token1] = ACTIONS(677),
    [aux_sym_forward_x11_token1] = ACTIONS(679),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(677),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(677),
    [aux_sym_gateway_ports_token1] = ACTIONS(677),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(677),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(677),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(677),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(677),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(677),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(677),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(677),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(677),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(677),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(677),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(677),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(677),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(677),
    [aux_sym_host_key_alias_token1] = ACTIONS(677),
    [aux_sym_hostname_token1] = ACTIONS(677),
    [aux_sym_identities_only_token1] = ACTIONS(677),
    [aux_sym_identity_agent_token1] = ACTIONS(677),
    [aux_sym_identity_file_token1] = ACTIONS(677),
    [aux_sym_ignore_unknown_token1] = ACTIONS(677),
    [aux_sym_include_token1] = ACTIONS(677),
    [aux_sym_ip_qos_token1] = ACTIONS(677),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(677),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(677),
    [aux_sym_kex_algorithms_token1] = ACTIONS(677),
    [aux_sym_known_hosts_command_token1] = ACTIONS(677),
    [aux_sym_local_command_token1] = ACTIONS(677),
    [aux_sym_local_forward_token1] = ACTIONS(677),
    [aux_sym_log_level_token1] = ACTIONS(677),
    [aux_sym_log_verbose_token1] = ACTIONS(677),
    [aux_sym_macs_token1] = ACTIONS(677),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(677),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(677),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(677),
    [aux_sym_password_authentication_token1] = ACTIONS(677),
    [aux_sym_permit_local_command_token1] = ACTIONS(677),
    [aux_sym_permit_remote_open_token1] = ACTIONS(677),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(677),
    [aux_sym_port_token1] = ACTIONS(677),
    [aux_sym_preferred_authentications_token1] = ACTIONS(677),
    [aux_sym_protocol_token1] = ACTIONS(677),
    [aux_sym_proxy_command_token1] = ACTIONS(677),
    [aux_sym_proxy_jump_token1] = ACTIONS(677),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(677),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(677),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(677),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(677),
    [aux_sym_rekey_limit_token1] = ACTIONS(677),
    [aux_sym_remote_command_token1] = ACTIONS(677),
    [aux_sym_remote_forward_token1] = ACTIONS(677),
    [aux_sym_request_tty_token1] = ACTIONS(677),
    [aux_sym_required_rsa_size_token1] = ACTIONS(677),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(677),
    [aux_sym_security_key_provider_token1] = ACTIONS(677),
    [aux_sym_send_env_token1] = ACTIONS(677),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(677),
    [aux_sym_server_alive_interval_token1] = ACTIONS(677),
    [aux_sym_session_type_token1] = ACTIONS(677),
    [aux_sym_set_env_token1] = ACTIONS(677),
    [aux_sym_stdin_null_token1] = ACTIONS(677),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(677),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(677),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(677),
    [aux_sym_syslog_facility_token1] = ACTIONS(677),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(677),
    [aux_sym_keep_alive_token1] = ACTIONS(677),
    [aux_sym_tag_token1] = ACTIONS(677),
    [aux_sym_tunnel_token1] = ACTIONS(679),
    [aux_sym_tunnel_device_token1] = ACTIONS(677),
    [aux_sym_update_host_keys_token1] = ACTIONS(677),
    [aux_sym_use_keychain_token1] = ACTIONS(677),
    [aux_sym_use_roaming_token1] = ACTIONS(677),
    [aux_sym_user_token1] = ACTIONS(679),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(677),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(677),
    [aux_sym_visual_host_key_token1] = ACTIONS(677),
    [aux_sym_xauth_location_token1] = ACTIONS(677),
  },
  [20] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(685),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [aux_sym_match_token1] = ACTIONS(683),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(683),
    [aux_sym_address_family_token1] = ACTIONS(683),
    [aux_sym_batch_mode_token1] = ACTIONS(683),
    [aux_sym_bind_address_token1] = ACTIONS(683),
    [aux_sym_bind_interface_token1] = ACTIONS(683),
    [aux_sym_canonical_domains_token1] = ACTIONS(683),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(683),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(683),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(683),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(683),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(683),
    [aux_sym_certificate_file_token1] = ACTIONS(683),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(683),
    [aux_sym_channel_timeout_token1] = ACTIONS(683),
    [aux_sym_check_host_ip_token1] = ACTIONS(683),
    [aux_sym_ciphers_token1] = ACTIONS(683),
    [aux_sym_cipher_token1] = ACTIONS(685),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(683),
    [aux_sym_compression_token1] = ACTIONS(683),
    [aux_sym_connection_attempts_token1] = ACTIONS(683),
    [aux_sym_connect_timeout_token1] = ACTIONS(683),
    [aux_sym_control_master_token1] = ACTIONS(683),
    [aux_sym_control_path_token1] = ACTIONS(683),
    [aux_sym_control_persist_token1] = ACTIONS(683),
    [aux_sym_dynamic_forward_token1] = ACTIONS(683),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(683),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(683),
    [aux_sym_escape_char_token1] = ACTIONS(683),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(683),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(683),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(683),
    [aux_sym_forward_agent_token1] = ACTIONS(683),
    [aux_sym_forward_x11_token1] = ACTIONS(685),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(683),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(683),
    [aux_sym_gateway_ports_token1] = ACTIONS(683),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(683),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(683),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(683),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(683),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(683),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(683),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(683),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(683),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(683),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(683),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(683),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(683),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(683),
    [aux_sym_host_key_alias_token1] = ACTIONS(683),
    [aux_sym_hostname_token1] = ACTIONS(683),
    [aux_sym_identities_only_token1] = ACTIONS(683),
    [aux_sym_identity_agent_token1] = ACTIONS(683),
    [aux_sym_identity_file_token1] = ACTIONS(683),
    [aux_sym_ignore_unknown_token1] = ACTIONS(683),
    [aux_sym_include_token1] = ACTIONS(683),
    [aux_sym_ip_qos_token1] = ACTIONS(683),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(683),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(683),
    [aux_sym_kex_algorithms_token1] = ACTIONS(683),
    [aux_sym_known_hosts_command_token1] = ACTIONS(683),
    [aux_sym_local_command_token1] = ACTIONS(683),
    [aux_sym_local_forward_token1] = ACTIONS(683),
    [aux_sym_log_level_token1] = ACTIONS(683),
    [aux_sym_log_verbose_token1] = ACTIONS(683),
    [aux_sym_macs_token1] = ACTIONS(683),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(683),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(683),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(683),
    [aux_sym_password_authentication_token1] = ACTIONS(683),
    [aux_sym_permit_local_command_token1] = ACTIONS(683),
    [aux_sym_permit_remote_open_token1] = ACTIONS(683),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(683),
    [aux_sym_port_token1] = ACTIONS(683),
    [aux_sym_preferred_authentications_token1] = ACTIONS(683),
    [aux_sym_protocol_token1] = ACTIONS(683),
    [aux_sym_proxy_command_token1] = ACTIONS(683),
    [aux_sym_proxy_jump_token1] = ACTIONS(683),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(683),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(683),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(683),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(683),
    [aux_sym_rekey_limit_token1] = ACTIONS(683),
    [aux_sym_remote_command_token1] = ACTIONS(683),
    [aux_sym_remote_forward_token1] = ACTIONS(683),
    [aux_sym_request_tty_token1] = ACTIONS(683),
    [aux_sym_required_rsa_size_token1] = ACTIONS(683),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(683),
    [aux_sym_security_key_provider_token1] = ACTIONS(683),
    [aux_sym_send_env_token1] = ACTIONS(683),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(683),
    [aux_sym_server_alive_interval_token1] = ACTIONS(683),
    [aux_sym_session_type_token1] = ACTIONS(683),
    [aux_sym_set_env_token1] = ACTIONS(683),
    [aux_sym_stdin_null_token1] = ACTIONS(683),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(683),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(683),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(683),
    [aux_sym_syslog_facility_token1] = ACTIONS(683),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(683),
    [aux_sym_keep_alive_token1] = ACTIONS(683),
    [aux_sym_tag_token1] = ACTIONS(683),
    [aux_sym_tunnel_token1] = ACTIONS(685),
    [aux_sym_tunnel_device_token1] = ACTIONS(683),
    [aux_sym_update_host_keys_token1] = ACTIONS(683),
    [aux_sym_use_keychain_token1] = ACTIONS(683),
    [aux_sym_use_roaming_token1] = ACTIONS(683),
    [aux_sym_user_token1] = ACTIONS(685),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(683),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(683),
    [aux_sym_visual_host_key_token1] = ACTIONS(683),
    [aux_sym_xauth_location_token1] = ACTIONS(683),
  },
  [21] = {
    [ts_builtin_sym_end] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [aux_sym_match_token1] = ACTIONS(689),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(689),
    [aux_sym_address_family_token1] = ACTIONS(689),
    [aux_sym_batch_mode_token1] = ACTIONS(689),
    [aux_sym_bind_address_token1] = ACTIONS(689),
    [aux_sym_bind_interface_token1] = ACTIONS(689),
    [aux_sym_canonical_domains_token1] = ACTIONS(689),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(689),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(689),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(689),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(689),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(689),
    [aux_sym_certificate_file_token1] = ACTIONS(689),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(689),
    [aux_sym_channel_timeout_token1] = ACTIONS(689),
    [aux_sym_check_host_ip_token1] = ACTIONS(689),
    [aux_sym_ciphers_token1] = ACTIONS(689),
    [aux_sym_cipher_token1] = ACTIONS(691),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(689),
    [aux_sym_compression_token1] = ACTIONS(689),
    [aux_sym_connection_attempts_token1] = ACTIONS(689),
    [aux_sym_connect_timeout_token1] = ACTIONS(689),
    [aux_sym_control_master_token1] = ACTIONS(689),
    [aux_sym_control_path_token1] = ACTIONS(689),
    [aux_sym_control_persist_token1] = ACTIONS(689),
    [aux_sym_dynamic_forward_token1] = ACTIONS(689),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(689),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(689),
    [aux_sym_escape_char_token1] = ACTIONS(689),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(689),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(689),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(689),
    [aux_sym_forward_agent_token1] = ACTIONS(689),
    [aux_sym_forward_x11_token1] = ACTIONS(691),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(689),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(689),
    [aux_sym_gateway_ports_token1] = ACTIONS(689),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(689),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(689),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(689),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(689),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(689),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(689),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(689),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(689),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(689),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(689),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(689),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(689),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(689),
    [aux_sym_host_key_alias_token1] = ACTIONS(689),
    [aux_sym_hostname_token1] = ACTIONS(689),
    [aux_sym_identities_only_token1] = ACTIONS(689),
    [aux_sym_identity_agent_token1] = ACTIONS(689),
    [aux_sym_identity_file_token1] = ACTIONS(689),
    [aux_sym_ignore_unknown_token1] = ACTIONS(689),
    [aux_sym_include_token1] = ACTIONS(689),
    [aux_sym_ip_qos_token1] = ACTIONS(689),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(689),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(689),
    [aux_sym_kex_algorithms_token1] = ACTIONS(689),
    [aux_sym_known_hosts_command_token1] = ACTIONS(689),
    [aux_sym_local_command_token1] = ACTIONS(689),
    [aux_sym_local_forward_token1] = ACTIONS(689),
    [aux_sym_log_level_token1] = ACTIONS(689),
    [aux_sym_log_verbose_token1] = ACTIONS(689),
    [aux_sym_macs_token1] = ACTIONS(689),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(689),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(689),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(689),
    [aux_sym_password_authentication_token1] = ACTIONS(689),
    [aux_sym_permit_local_command_token1] = ACTIONS(689),
    [aux_sym_permit_remote_open_token1] = ACTIONS(689),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(689),
    [aux_sym_port_token1] = ACTIONS(689),
    [aux_sym_preferred_authentications_token1] = ACTIONS(689),
    [aux_sym_protocol_token1] = ACTIONS(689),
    [aux_sym_proxy_command_token1] = ACTIONS(689),
    [aux_sym_proxy_jump_token1] = ACTIONS(689),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(689),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(689),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(689),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(689),
    [aux_sym_rekey_limit_token1] = ACTIONS(689),
    [aux_sym_remote_command_token1] = ACTIONS(689),
    [aux_sym_remote_forward_token1] = ACTIONS(689),
    [aux_sym_request_tty_token1] = ACTIONS(689),
    [aux_sym_required_rsa_size_token1] = ACTIONS(689),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(689),
    [aux_sym_security_key_provider_token1] = ACTIONS(689),
    [aux_sym_send_env_token1] = ACTIONS(689),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(689),
    [aux_sym_server_alive_interval_token1] = ACTIONS(689),
    [aux_sym_session_type_token1] = ACTIONS(689),
    [aux_sym_set_env_token1] = ACTIONS(689),
    [aux_sym_stdin_null_token1] = ACTIONS(689),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(689),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(689),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(689),
    [aux_sym_syslog_facility_token1] = ACTIONS(689),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(689),
    [aux_sym_keep_alive_token1] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(689),
    [aux_sym_tunnel_token1] = ACTIONS(691),
    [aux_sym_tunnel_device_token1] = ACTIONS(689),
    [aux_sym_update_host_keys_token1] = ACTIONS(689),
    [aux_sym_use_keychain_token1] = ACTIONS(689),
    [aux_sym_use_roaming_token1] = ACTIONS(689),
    [aux_sym_user_token1] = ACTIONS(691),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(689),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(689),
    [aux_sym_visual_host_key_token1] = ACTIONS(689),
    [aux_sym_xauth_location_token1] = ACTIONS(689),
  },
  [22] = {
    [ts_builtin_sym_end] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(697),
    [anon_sym_DQUOTE] = ACTIONS(699),
    [aux_sym_match_token1] = ACTIONS(695),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(695),
    [aux_sym_address_family_token1] = ACTIONS(695),
    [aux_sym_batch_mode_token1] = ACTIONS(695),
    [aux_sym_bind_address_token1] = ACTIONS(695),
    [aux_sym_bind_interface_token1] = ACTIONS(695),
    [aux_sym_canonical_domains_token1] = ACTIONS(695),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(695),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(695),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(695),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(695),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(695),
    [aux_sym_certificate_file_token1] = ACTIONS(695),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(695),
    [aux_sym_channel_timeout_token1] = ACTIONS(695),
    [aux_sym_check_host_ip_token1] = ACTIONS(695),
    [aux_sym_ciphers_token1] = ACTIONS(695),
    [aux_sym_cipher_token1] = ACTIONS(697),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(695),
    [aux_sym_compression_token1] = ACTIONS(695),
    [aux_sym_connection_attempts_token1] = ACTIONS(695),
    [aux_sym_connect_timeout_token1] = ACTIONS(695),
    [aux_sym_control_master_token1] = ACTIONS(695),
    [aux_sym_control_path_token1] = ACTIONS(695),
    [aux_sym_control_persist_token1] = ACTIONS(695),
    [aux_sym_dynamic_forward_token1] = ACTIONS(695),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(695),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(695),
    [aux_sym_escape_char_token1] = ACTIONS(695),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(695),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(695),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(695),
    [aux_sym_forward_agent_token1] = ACTIONS(695),
    [aux_sym_forward_x11_token1] = ACTIONS(697),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(695),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(695),
    [aux_sym_gateway_ports_token1] = ACTIONS(695),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(695),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(695),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(695),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(695),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(695),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(695),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(695),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(695),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(695),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(695),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(695),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(695),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(695),
    [aux_sym_host_key_alias_token1] = ACTIONS(695),
    [aux_sym_hostname_token1] = ACTIONS(695),
    [aux_sym_identities_only_token1] = ACTIONS(695),
    [aux_sym_identity_agent_token1] = ACTIONS(695),
    [aux_sym_identity_file_token1] = ACTIONS(695),
    [aux_sym_ignore_unknown_token1] = ACTIONS(695),
    [aux_sym_include_token1] = ACTIONS(695),
    [aux_sym_ip_qos_token1] = ACTIONS(695),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(695),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(695),
    [aux_sym_kex_algorithms_token1] = ACTIONS(695),
    [aux_sym_known_hosts_command_token1] = ACTIONS(695),
    [aux_sym_local_command_token1] = ACTIONS(695),
    [aux_sym_local_forward_token1] = ACTIONS(695),
    [aux_sym_log_level_token1] = ACTIONS(695),
    [aux_sym_log_verbose_token1] = ACTIONS(695),
    [aux_sym_macs_token1] = ACTIONS(695),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(695),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(695),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(695),
    [aux_sym_password_authentication_token1] = ACTIONS(695),
    [aux_sym_permit_local_command_token1] = ACTIONS(695),
    [aux_sym_permit_remote_open_token1] = ACTIONS(695),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(695),
    [aux_sym_port_token1] = ACTIONS(695),
    [aux_sym_preferred_authentications_token1] = ACTIONS(695),
    [aux_sym_protocol_token1] = ACTIONS(695),
    [aux_sym_proxy_command_token1] = ACTIONS(695),
    [aux_sym_proxy_jump_token1] = ACTIONS(695),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(695),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(695),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(695),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(695),
    [aux_sym_rekey_limit_token1] = ACTIONS(695),
    [aux_sym_remote_command_token1] = ACTIONS(695),
    [aux_sym_remote_forward_token1] = ACTIONS(695),
    [aux_sym_request_tty_token1] = ACTIONS(695),
    [aux_sym_required_rsa_size_token1] = ACTIONS(695),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(695),
    [aux_sym_security_key_provider_token1] = ACTIONS(695),
    [aux_sym_send_env_token1] = ACTIONS(695),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(695),
    [aux_sym_server_alive_interval_token1] = ACTIONS(695),
    [aux_sym_session_type_token1] = ACTIONS(695),
    [aux_sym_set_env_token1] = ACTIONS(695),
    [aux_sym_stdin_null_token1] = ACTIONS(695),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(695),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(695),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(695),
    [aux_sym_syslog_facility_token1] = ACTIONS(695),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(695),
    [aux_sym_keep_alive_token1] = ACTIONS(695),
    [aux_sym_tag_token1] = ACTIONS(695),
    [aux_sym_tunnel_token1] = ACTIONS(697),
    [aux_sym_tunnel_device_token1] = ACTIONS(695),
    [aux_sym_update_host_keys_token1] = ACTIONS(695),
    [aux_sym_use_keychain_token1] = ACTIONS(695),
    [aux_sym_use_roaming_token1] = ACTIONS(695),
    [aux_sym_user_token1] = ACTIONS(697),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(695),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(695),
    [aux_sym_visual_host_key_token1] = ACTIONS(695),
    [aux_sym_xauth_location_token1] = ACTIONS(695),
  },
  [23] = {
    [ts_builtin_sym_end] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_match_token1] = ACTIONS(701),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(701),
    [aux_sym_address_family_token1] = ACTIONS(701),
    [aux_sym_batch_mode_token1] = ACTIONS(701),
    [aux_sym_bind_address_token1] = ACTIONS(701),
    [aux_sym_bind_interface_token1] = ACTIONS(701),
    [aux_sym_canonical_domains_token1] = ACTIONS(701),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(701),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(701),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(701),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(701),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(701),
    [aux_sym_certificate_file_token1] = ACTIONS(701),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(701),
    [aux_sym_channel_timeout_token1] = ACTIONS(701),
    [aux_sym_check_host_ip_token1] = ACTIONS(701),
    [aux_sym_ciphers_token1] = ACTIONS(701),
    [aux_sym_cipher_token1] = ACTIONS(703),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(701),
    [aux_sym_compression_token1] = ACTIONS(701),
    [aux_sym_connection_attempts_token1] = ACTIONS(701),
    [aux_sym_connect_timeout_token1] = ACTIONS(701),
    [aux_sym_control_master_token1] = ACTIONS(701),
    [aux_sym_control_path_token1] = ACTIONS(701),
    [aux_sym_control_persist_token1] = ACTIONS(701),
    [aux_sym_dynamic_forward_token1] = ACTIONS(701),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(701),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(701),
    [aux_sym_escape_char_token1] = ACTIONS(701),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(701),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(701),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(701),
    [aux_sym_forward_agent_token1] = ACTIONS(701),
    [aux_sym_forward_x11_token1] = ACTIONS(703),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(701),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(701),
    [aux_sym_gateway_ports_token1] = ACTIONS(701),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(701),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(701),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(701),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(701),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(701),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(701),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(701),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(701),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(701),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(701),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(701),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(701),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(701),
    [aux_sym_host_key_alias_token1] = ACTIONS(701),
    [aux_sym_hostname_token1] = ACTIONS(701),
    [aux_sym_identities_only_token1] = ACTIONS(701),
    [aux_sym_identity_agent_token1] = ACTIONS(701),
    [aux_sym_identity_file_token1] = ACTIONS(701),
    [aux_sym_ignore_unknown_token1] = ACTIONS(701),
    [aux_sym_include_token1] = ACTIONS(701),
    [aux_sym_ip_qos_token1] = ACTIONS(701),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(701),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(701),
    [aux_sym_kex_algorithms_token1] = ACTIONS(701),
    [aux_sym_known_hosts_command_token1] = ACTIONS(701),
    [aux_sym_local_command_token1] = ACTIONS(701),
    [aux_sym_local_forward_token1] = ACTIONS(701),
    [aux_sym_log_level_token1] = ACTIONS(701),
    [aux_sym_log_verbose_token1] = ACTIONS(701),
    [aux_sym_macs_token1] = ACTIONS(701),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(701),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(701),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(701),
    [aux_sym_password_authentication_token1] = ACTIONS(701),
    [aux_sym_permit_local_command_token1] = ACTIONS(701),
    [aux_sym_permit_remote_open_token1] = ACTIONS(701),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(701),
    [aux_sym_port_token1] = ACTIONS(701),
    [aux_sym_preferred_authentications_token1] = ACTIONS(701),
    [aux_sym_protocol_token1] = ACTIONS(701),
    [aux_sym_proxy_command_token1] = ACTIONS(701),
    [aux_sym_proxy_jump_token1] = ACTIONS(701),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(701),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(701),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(701),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(701),
    [aux_sym_rekey_limit_token1] = ACTIONS(701),
    [aux_sym_remote_command_token1] = ACTIONS(701),
    [aux_sym_remote_forward_token1] = ACTIONS(701),
    [aux_sym_request_tty_token1] = ACTIONS(701),
    [aux_sym_required_rsa_size_token1] = ACTIONS(701),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(701),
    [aux_sym_security_key_provider_token1] = ACTIONS(701),
    [aux_sym_send_env_token1] = ACTIONS(701),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(701),
    [aux_sym_server_alive_interval_token1] = ACTIONS(701),
    [aux_sym_session_type_token1] = ACTIONS(701),
    [aux_sym_set_env_token1] = ACTIONS(701),
    [aux_sym_stdin_null_token1] = ACTIONS(701),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(701),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(701),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(701),
    [aux_sym_syslog_facility_token1] = ACTIONS(701),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(701),
    [aux_sym_keep_alive_token1] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(701),
    [aux_sym_tunnel_token1] = ACTIONS(703),
    [aux_sym_tunnel_device_token1] = ACTIONS(701),
    [aux_sym_update_host_keys_token1] = ACTIONS(701),
    [aux_sym_use_keychain_token1] = ACTIONS(701),
    [aux_sym_use_roaming_token1] = ACTIONS(701),
    [aux_sym_user_token1] = ACTIONS(703),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(701),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(701),
    [aux_sym_visual_host_key_token1] = ACTIONS(701),
    [aux_sym_xauth_location_token1] = ACTIONS(701),
  },
  [24] = {
    [ts_builtin_sym_end] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(711),
    [aux_sym_match_token1] = ACTIONS(707),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(707),
    [aux_sym_address_family_token1] = ACTIONS(707),
    [aux_sym_batch_mode_token1] = ACTIONS(707),
    [aux_sym_bind_address_token1] = ACTIONS(707),
    [aux_sym_bind_interface_token1] = ACTIONS(707),
    [aux_sym_canonical_domains_token1] = ACTIONS(707),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(707),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(707),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(707),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(707),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(707),
    [aux_sym_certificate_file_token1] = ACTIONS(707),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(707),
    [aux_sym_channel_timeout_token1] = ACTIONS(707),
    [aux_sym_check_host_ip_token1] = ACTIONS(707),
    [aux_sym_ciphers_token1] = ACTIONS(707),
    [aux_sym_cipher_token1] = ACTIONS(709),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(707),
    [aux_sym_compression_token1] = ACTIONS(707),
    [aux_sym_connection_attempts_token1] = ACTIONS(707),
    [aux_sym_connect_timeout_token1] = ACTIONS(707),
    [aux_sym_control_master_token1] = ACTIONS(707),
    [aux_sym_control_path_token1] = ACTIONS(707),
    [aux_sym_control_persist_token1] = ACTIONS(707),
    [aux_sym_dynamic_forward_token1] = ACTIONS(707),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(707),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(707),
    [aux_sym_escape_char_token1] = ACTIONS(707),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(707),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(707),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(707),
    [aux_sym_forward_agent_token1] = ACTIONS(707),
    [aux_sym_forward_x11_token1] = ACTIONS(709),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(707),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(707),
    [aux_sym_gateway_ports_token1] = ACTIONS(707),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(707),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(707),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(707),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(707),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(707),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(707),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(707),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(707),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(707),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(707),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(707),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(707),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(707),
    [aux_sym_host_key_alias_token1] = ACTIONS(707),
    [aux_sym_hostname_token1] = ACTIONS(707),
    [aux_sym_identities_only_token1] = ACTIONS(707),
    [aux_sym_identity_agent_token1] = ACTIONS(707),
    [aux_sym_identity_file_token1] = ACTIONS(707),
    [aux_sym_ignore_unknown_token1] = ACTIONS(707),
    [aux_sym_include_token1] = ACTIONS(707),
    [aux_sym_ip_qos_token1] = ACTIONS(707),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(707),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(707),
    [aux_sym_kex_algorithms_token1] = ACTIONS(707),
    [aux_sym_known_hosts_command_token1] = ACTIONS(707),
    [aux_sym_local_command_token1] = ACTIONS(707),
    [aux_sym_local_forward_token1] = ACTIONS(707),
    [aux_sym_log_level_token1] = ACTIONS(707),
    [aux_sym_log_verbose_token1] = ACTIONS(707),
    [aux_sym_macs_token1] = ACTIONS(707),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(707),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(707),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(707),
    [aux_sym_password_authentication_token1] = ACTIONS(707),
    [aux_sym_permit_local_command_token1] = ACTIONS(707),
    [aux_sym_permit_remote_open_token1] = ACTIONS(707),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(707),
    [aux_sym_port_token1] = ACTIONS(707),
    [aux_sym_preferred_authentications_token1] = ACTIONS(707),
    [aux_sym_protocol_token1] = ACTIONS(707),
    [aux_sym_proxy_command_token1] = ACTIONS(707),
    [aux_sym_proxy_jump_token1] = ACTIONS(707),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(707),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(707),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(707),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(707),
    [aux_sym_rekey_limit_token1] = ACTIONS(707),
    [aux_sym_remote_command_token1] = ACTIONS(707),
    [aux_sym_remote_forward_token1] = ACTIONS(707),
    [aux_sym_request_tty_token1] = ACTIONS(707),
    [aux_sym_required_rsa_size_token1] = ACTIONS(707),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(707),
    [aux_sym_security_key_provider_token1] = ACTIONS(707),
    [aux_sym_send_env_token1] = ACTIONS(707),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(707),
    [aux_sym_server_alive_interval_token1] = ACTIONS(707),
    [aux_sym_session_type_token1] = ACTIONS(707),
    [aux_sym_set_env_token1] = ACTIONS(707),
    [aux_sym_stdin_null_token1] = ACTIONS(707),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(707),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(707),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(707),
    [aux_sym_syslog_facility_token1] = ACTIONS(707),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(707),
    [aux_sym_keep_alive_token1] = ACTIONS(707),
    [aux_sym_tag_token1] = ACTIONS(707),
    [aux_sym_tunnel_token1] = ACTIONS(709),
    [aux_sym_tunnel_device_token1] = ACTIONS(707),
    [aux_sym_update_host_keys_token1] = ACTIONS(707),
    [aux_sym_use_keychain_token1] = ACTIONS(707),
    [aux_sym_use_roaming_token1] = ACTIONS(707),
    [aux_sym_user_token1] = ACTIONS(709),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(707),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(707),
    [aux_sym_visual_host_key_token1] = ACTIONS(707),
    [aux_sym_xauth_location_token1] = ACTIONS(707),
  },
  [25] = {
    [ts_builtin_sym_end] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [aux_sym_match_token1] = ACTIONS(713),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(713),
    [aux_sym_address_family_token1] = ACTIONS(713),
    [aux_sym_batch_mode_token1] = ACTIONS(713),
    [aux_sym_bind_address_token1] = ACTIONS(713),
    [aux_sym_bind_interface_token1] = ACTIONS(713),
    [aux_sym_canonical_domains_token1] = ACTIONS(713),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(713),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(713),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(713),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(713),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(713),
    [aux_sym_certificate_file_token1] = ACTIONS(713),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(713),
    [aux_sym_channel_timeout_token1] = ACTIONS(713),
    [aux_sym_check_host_ip_token1] = ACTIONS(713),
    [aux_sym_ciphers_token1] = ACTIONS(713),
    [aux_sym_cipher_token1] = ACTIONS(715),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(713),
    [aux_sym_compression_token1] = ACTIONS(713),
    [aux_sym_connection_attempts_token1] = ACTIONS(713),
    [aux_sym_connect_timeout_token1] = ACTIONS(713),
    [aux_sym_control_master_token1] = ACTIONS(713),
    [aux_sym_control_path_token1] = ACTIONS(713),
    [aux_sym_control_persist_token1] = ACTIONS(713),
    [aux_sym_dynamic_forward_token1] = ACTIONS(713),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(713),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(713),
    [aux_sym_escape_char_token1] = ACTIONS(713),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(713),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(713),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(713),
    [aux_sym_forward_agent_token1] = ACTIONS(713),
    [aux_sym_forward_x11_token1] = ACTIONS(715),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(713),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(713),
    [aux_sym_gateway_ports_token1] = ACTIONS(713),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(713),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(713),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(713),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(713),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(713),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(713),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(713),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(713),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(713),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(713),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(713),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(713),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(713),
    [aux_sym_host_key_alias_token1] = ACTIONS(713),
    [aux_sym_hostname_token1] = ACTIONS(713),
    [aux_sym_identities_only_token1] = ACTIONS(713),
    [aux_sym_identity_agent_token1] = ACTIONS(713),
    [aux_sym_identity_file_token1] = ACTIONS(713),
    [aux_sym_ignore_unknown_token1] = ACTIONS(713),
    [aux_sym_include_token1] = ACTIONS(713),
    [aux_sym_ip_qos_token1] = ACTIONS(713),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(713),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(713),
    [aux_sym_kex_algorithms_token1] = ACTIONS(713),
    [aux_sym_known_hosts_command_token1] = ACTIONS(713),
    [aux_sym_local_command_token1] = ACTIONS(713),
    [aux_sym_local_forward_token1] = ACTIONS(713),
    [aux_sym_log_level_token1] = ACTIONS(713),
    [aux_sym_log_verbose_token1] = ACTIONS(713),
    [aux_sym_macs_token1] = ACTIONS(713),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(713),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(713),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(713),
    [aux_sym_password_authentication_token1] = ACTIONS(713),
    [aux_sym_permit_local_command_token1] = ACTIONS(713),
    [aux_sym_permit_remote_open_token1] = ACTIONS(713),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(713),
    [aux_sym_port_token1] = ACTIONS(713),
    [aux_sym_preferred_authentications_token1] = ACTIONS(713),
    [aux_sym_protocol_token1] = ACTIONS(713),
    [aux_sym_proxy_command_token1] = ACTIONS(713),
    [aux_sym_proxy_jump_token1] = ACTIONS(713),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(713),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(713),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(713),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(713),
    [aux_sym_rekey_limit_token1] = ACTIONS(713),
    [aux_sym_remote_command_token1] = ACTIONS(713),
    [aux_sym_remote_forward_token1] = ACTIONS(713),
    [aux_sym_request_tty_token1] = ACTIONS(713),
    [aux_sym_required_rsa_size_token1] = ACTIONS(713),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(713),
    [aux_sym_security_key_provider_token1] = ACTIONS(713),
    [aux_sym_send_env_token1] = ACTIONS(713),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(713),
    [aux_sym_server_alive_interval_token1] = ACTIONS(713),
    [aux_sym_session_type_token1] = ACTIONS(713),
    [aux_sym_set_env_token1] = ACTIONS(713),
    [aux_sym_stdin_null_token1] = ACTIONS(713),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(713),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(713),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(713),
    [aux_sym_syslog_facility_token1] = ACTIONS(713),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(713),
    [aux_sym_keep_alive_token1] = ACTIONS(713),
    [aux_sym_tag_token1] = ACTIONS(713),
    [aux_sym_tunnel_token1] = ACTIONS(715),
    [aux_sym_tunnel_device_token1] = ACTIONS(713),
    [aux_sym_update_host_keys_token1] = ACTIONS(713),
    [aux_sym_use_keychain_token1] = ACTIONS(713),
    [aux_sym_use_roaming_token1] = ACTIONS(713),
    [aux_sym_user_token1] = ACTIONS(715),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(713),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(713),
    [aux_sym_visual_host_key_token1] = ACTIONS(713),
    [aux_sym_xauth_location_token1] = ACTIONS(713),
  },
  [26] = {
    [ts_builtin_sym_end] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(723),
    [aux_sym_match_token1] = ACTIONS(719),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(719),
    [aux_sym_address_family_token1] = ACTIONS(719),
    [aux_sym_batch_mode_token1] = ACTIONS(719),
    [aux_sym_bind_address_token1] = ACTIONS(719),
    [aux_sym_bind_interface_token1] = ACTIONS(719),
    [aux_sym_canonical_domains_token1] = ACTIONS(719),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(719),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(719),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(719),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(719),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(719),
    [aux_sym_certificate_file_token1] = ACTIONS(719),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(719),
    [aux_sym_channel_timeout_token1] = ACTIONS(719),
    [aux_sym_check_host_ip_token1] = ACTIONS(719),
    [aux_sym_ciphers_token1] = ACTIONS(719),
    [aux_sym_cipher_token1] = ACTIONS(721),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(719),
    [aux_sym_compression_token1] = ACTIONS(719),
    [aux_sym_connection_attempts_token1] = ACTIONS(719),
    [aux_sym_connect_timeout_token1] = ACTIONS(719),
    [aux_sym_control_master_token1] = ACTIONS(719),
    [aux_sym_control_path_token1] = ACTIONS(719),
    [aux_sym_control_persist_token1] = ACTIONS(719),
    [aux_sym_dynamic_forward_token1] = ACTIONS(719),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(719),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(719),
    [aux_sym_escape_char_token1] = ACTIONS(719),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(719),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(719),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(719),
    [aux_sym_forward_agent_token1] = ACTIONS(719),
    [aux_sym_forward_x11_token1] = ACTIONS(721),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(719),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(719),
    [aux_sym_gateway_ports_token1] = ACTIONS(719),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(719),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(719),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(719),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(719),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(719),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(719),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(719),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(719),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(719),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(719),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(719),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(719),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(719),
    [aux_sym_host_key_alias_token1] = ACTIONS(719),
    [aux_sym_hostname_token1] = ACTIONS(719),
    [aux_sym_identities_only_token1] = ACTIONS(719),
    [aux_sym_identity_agent_token1] = ACTIONS(719),
    [aux_sym_identity_file_token1] = ACTIONS(719),
    [aux_sym_ignore_unknown_token1] = ACTIONS(719),
    [aux_sym_include_token1] = ACTIONS(719),
    [aux_sym_ip_qos_token1] = ACTIONS(719),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(719),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(719),
    [aux_sym_kex_algorithms_token1] = ACTIONS(719),
    [aux_sym_known_hosts_command_token1] = ACTIONS(719),
    [aux_sym_local_command_token1] = ACTIONS(719),
    [aux_sym_local_forward_token1] = ACTIONS(719),
    [aux_sym_log_level_token1] = ACTIONS(719),
    [aux_sym_log_verbose_token1] = ACTIONS(719),
    [aux_sym_macs_token1] = ACTIONS(719),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(719),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(719),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(719),
    [aux_sym_password_authentication_token1] = ACTIONS(719),
    [aux_sym_permit_local_command_token1] = ACTIONS(719),
    [aux_sym_permit_remote_open_token1] = ACTIONS(719),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(719),
    [aux_sym_port_token1] = ACTIONS(719),
    [aux_sym_preferred_authentications_token1] = ACTIONS(719),
    [aux_sym_protocol_token1] = ACTIONS(719),
    [aux_sym_proxy_command_token1] = ACTIONS(719),
    [aux_sym_proxy_jump_token1] = ACTIONS(719),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(719),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(719),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(719),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(719),
    [aux_sym_rekey_limit_token1] = ACTIONS(719),
    [aux_sym_remote_command_token1] = ACTIONS(719),
    [aux_sym_remote_forward_token1] = ACTIONS(719),
    [aux_sym_request_tty_token1] = ACTIONS(719),
    [aux_sym_required_rsa_size_token1] = ACTIONS(719),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(719),
    [aux_sym_security_key_provider_token1] = ACTIONS(719),
    [aux_sym_send_env_token1] = ACTIONS(719),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(719),
    [aux_sym_server_alive_interval_token1] = ACTIONS(719),
    [aux_sym_session_type_token1] = ACTIONS(719),
    [aux_sym_set_env_token1] = ACTIONS(719),
    [aux_sym_stdin_null_token1] = ACTIONS(719),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(719),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(719),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(719),
    [aux_sym_syslog_facility_token1] = ACTIONS(719),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(719),
    [aux_sym_keep_alive_token1] = ACTIONS(719),
    [aux_sym_tag_token1] = ACTIONS(719),
    [aux_sym_tunnel_token1] = ACTIONS(721),
    [aux_sym_tunnel_device_token1] = ACTIONS(719),
    [aux_sym_update_host_keys_token1] = ACTIONS(719),
    [aux_sym_use_keychain_token1] = ACTIONS(719),
    [aux_sym_use_roaming_token1] = ACTIONS(719),
    [aux_sym_user_token1] = ACTIONS(721),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(719),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(719),
    [aux_sym_visual_host_key_token1] = ACTIONS(719),
    [aux_sym_xauth_location_token1] = ACTIONS(719),
  },
  [27] = {
    [ts_builtin_sym_end] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [aux_sym_match_token1] = ACTIONS(725),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(725),
    [aux_sym_address_family_token1] = ACTIONS(725),
    [aux_sym_batch_mode_token1] = ACTIONS(725),
    [aux_sym_bind_address_token1] = ACTIONS(725),
    [aux_sym_bind_interface_token1] = ACTIONS(725),
    [aux_sym_canonical_domains_token1] = ACTIONS(725),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(725),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(725),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(725),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(725),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(725),
    [aux_sym_certificate_file_token1] = ACTIONS(725),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(725),
    [aux_sym_channel_timeout_token1] = ACTIONS(725),
    [aux_sym_check_host_ip_token1] = ACTIONS(725),
    [aux_sym_ciphers_token1] = ACTIONS(725),
    [aux_sym_cipher_token1] = ACTIONS(727),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(725),
    [aux_sym_compression_token1] = ACTIONS(725),
    [aux_sym_connection_attempts_token1] = ACTIONS(725),
    [aux_sym_connect_timeout_token1] = ACTIONS(725),
    [aux_sym_control_master_token1] = ACTIONS(725),
    [aux_sym_control_path_token1] = ACTIONS(725),
    [aux_sym_control_persist_token1] = ACTIONS(725),
    [aux_sym_dynamic_forward_token1] = ACTIONS(725),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(725),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(725),
    [aux_sym_escape_char_token1] = ACTIONS(725),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(725),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(725),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(725),
    [aux_sym_forward_agent_token1] = ACTIONS(725),
    [aux_sym_forward_x11_token1] = ACTIONS(727),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(725),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(725),
    [aux_sym_gateway_ports_token1] = ACTIONS(725),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(725),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(725),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(725),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(725),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(725),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(725),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(725),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(725),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(725),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(725),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(725),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(725),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(725),
    [aux_sym_host_key_alias_token1] = ACTIONS(725),
    [aux_sym_hostname_token1] = ACTIONS(725),
    [aux_sym_identities_only_token1] = ACTIONS(725),
    [aux_sym_identity_agent_token1] = ACTIONS(725),
    [aux_sym_identity_file_token1] = ACTIONS(725),
    [aux_sym_ignore_unknown_token1] = ACTIONS(725),
    [aux_sym_include_token1] = ACTIONS(725),
    [aux_sym_ip_qos_token1] = ACTIONS(725),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(725),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(725),
    [aux_sym_kex_algorithms_token1] = ACTIONS(725),
    [aux_sym_known_hosts_command_token1] = ACTIONS(725),
    [aux_sym_local_command_token1] = ACTIONS(725),
    [aux_sym_local_forward_token1] = ACTIONS(725),
    [aux_sym_log_level_token1] = ACTIONS(725),
    [aux_sym_log_verbose_token1] = ACTIONS(725),
    [aux_sym_macs_token1] = ACTIONS(725),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(725),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(725),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(725),
    [aux_sym_password_authentication_token1] = ACTIONS(725),
    [aux_sym_permit_local_command_token1] = ACTIONS(725),
    [aux_sym_permit_remote_open_token1] = ACTIONS(725),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(725),
    [aux_sym_port_token1] = ACTIONS(725),
    [aux_sym_preferred_authentications_token1] = ACTIONS(725),
    [aux_sym_protocol_token1] = ACTIONS(725),
    [aux_sym_proxy_command_token1] = ACTIONS(725),
    [aux_sym_proxy_jump_token1] = ACTIONS(725),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(725),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(725),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(725),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(725),
    [aux_sym_rekey_limit_token1] = ACTIONS(725),
    [aux_sym_remote_command_token1] = ACTIONS(725),
    [aux_sym_remote_forward_token1] = ACTIONS(725),
    [aux_sym_request_tty_token1] = ACTIONS(725),
    [aux_sym_required_rsa_size_token1] = ACTIONS(725),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(725),
    [aux_sym_security_key_provider_token1] = ACTIONS(725),
    [aux_sym_send_env_token1] = ACTIONS(725),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(725),
    [aux_sym_server_alive_interval_token1] = ACTIONS(725),
    [aux_sym_session_type_token1] = ACTIONS(725),
    [aux_sym_set_env_token1] = ACTIONS(725),
    [aux_sym_stdin_null_token1] = ACTIONS(725),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(725),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(725),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(725),
    [aux_sym_syslog_facility_token1] = ACTIONS(725),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(725),
    [aux_sym_keep_alive_token1] = ACTIONS(725),
    [aux_sym_tag_token1] = ACTIONS(725),
    [aux_sym_tunnel_token1] = ACTIONS(727),
    [aux_sym_tunnel_device_token1] = ACTIONS(725),
    [aux_sym_update_host_keys_token1] = ACTIONS(725),
    [aux_sym_use_keychain_token1] = ACTIONS(725),
    [aux_sym_use_roaming_token1] = ACTIONS(725),
    [aux_sym_user_token1] = ACTIONS(727),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(725),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(725),
    [aux_sym_visual_host_key_token1] = ACTIONS(725),
    [aux_sym_xauth_location_token1] = ACTIONS(725),
  },
  [28] = {
    [ts_builtin_sym_end] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(735),
    [aux_sym_match_token1] = ACTIONS(731),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(731),
    [aux_sym_address_family_token1] = ACTIONS(731),
    [aux_sym_batch_mode_token1] = ACTIONS(731),
    [aux_sym_bind_address_token1] = ACTIONS(731),
    [aux_sym_bind_interface_token1] = ACTIONS(731),
    [aux_sym_canonical_domains_token1] = ACTIONS(731),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(731),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(731),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(731),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(731),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(731),
    [aux_sym_certificate_file_token1] = ACTIONS(731),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(731),
    [aux_sym_channel_timeout_token1] = ACTIONS(731),
    [aux_sym_check_host_ip_token1] = ACTIONS(731),
    [aux_sym_ciphers_token1] = ACTIONS(731),
    [aux_sym_cipher_token1] = ACTIONS(733),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(731),
    [aux_sym_compression_token1] = ACTIONS(731),
    [aux_sym_connection_attempts_token1] = ACTIONS(731),
    [aux_sym_connect_timeout_token1] = ACTIONS(731),
    [aux_sym_control_master_token1] = ACTIONS(731),
    [aux_sym_control_path_token1] = ACTIONS(731),
    [aux_sym_control_persist_token1] = ACTIONS(731),
    [aux_sym_dynamic_forward_token1] = ACTIONS(731),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(731),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(731),
    [aux_sym_escape_char_token1] = ACTIONS(731),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(731),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(731),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(731),
    [aux_sym_forward_agent_token1] = ACTIONS(731),
    [aux_sym_forward_x11_token1] = ACTIONS(733),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(731),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(731),
    [aux_sym_gateway_ports_token1] = ACTIONS(731),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(731),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(731),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(731),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(731),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(731),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(731),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(731),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(731),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(731),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(731),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(731),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(731),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(731),
    [aux_sym_host_key_alias_token1] = ACTIONS(731),
    [aux_sym_hostname_token1] = ACTIONS(731),
    [aux_sym_identities_only_token1] = ACTIONS(731),
    [aux_sym_identity_agent_token1] = ACTIONS(731),
    [aux_sym_identity_file_token1] = ACTIONS(731),
    [aux_sym_ignore_unknown_token1] = ACTIONS(731),
    [aux_sym_include_token1] = ACTIONS(731),
    [aux_sym_ip_qos_token1] = ACTIONS(731),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(731),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(731),
    [aux_sym_kex_algorithms_token1] = ACTIONS(731),
    [aux_sym_known_hosts_command_token1] = ACTIONS(731),
    [aux_sym_local_command_token1] = ACTIONS(731),
    [aux_sym_local_forward_token1] = ACTIONS(731),
    [aux_sym_log_level_token1] = ACTIONS(731),
    [aux_sym_log_verbose_token1] = ACTIONS(731),
    [aux_sym_macs_token1] = ACTIONS(731),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(731),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(731),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(731),
    [aux_sym_password_authentication_token1] = ACTIONS(731),
    [aux_sym_permit_local_command_token1] = ACTIONS(731),
    [aux_sym_permit_remote_open_token1] = ACTIONS(731),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(731),
    [aux_sym_port_token1] = ACTIONS(731),
    [aux_sym_preferred_authentications_token1] = ACTIONS(731),
    [aux_sym_protocol_token1] = ACTIONS(731),
    [aux_sym_proxy_command_token1] = ACTIONS(731),
    [aux_sym_proxy_jump_token1] = ACTIONS(731),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(731),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(731),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(731),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(731),
    [aux_sym_rekey_limit_token1] = ACTIONS(731),
    [aux_sym_remote_command_token1] = ACTIONS(731),
    [aux_sym_remote_forward_token1] = ACTIONS(731),
    [aux_sym_request_tty_token1] = ACTIONS(731),
    [aux_sym_required_rsa_size_token1] = ACTIONS(731),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(731),
    [aux_sym_security_key_provider_token1] = ACTIONS(731),
    [aux_sym_send_env_token1] = ACTIONS(731),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(731),
    [aux_sym_server_alive_interval_token1] = ACTIONS(731),
    [aux_sym_session_type_token1] = ACTIONS(731),
    [aux_sym_set_env_token1] = ACTIONS(731),
    [aux_sym_stdin_null_token1] = ACTIONS(731),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(731),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(731),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(731),
    [aux_sym_syslog_facility_token1] = ACTIONS(731),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(731),
    [aux_sym_keep_alive_token1] = ACTIONS(731),
    [aux_sym_tag_token1] = ACTIONS(731),
    [aux_sym_tunnel_token1] = ACTIONS(733),
    [aux_sym_tunnel_device_token1] = ACTIONS(731),
    [aux_sym_update_host_keys_token1] = ACTIONS(731),
    [aux_sym_use_keychain_token1] = ACTIONS(731),
    [aux_sym_use_roaming_token1] = ACTIONS(731),
    [aux_sym_user_token1] = ACTIONS(733),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(731),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(731),
    [aux_sym_visual_host_key_token1] = ACTIONS(731),
    [aux_sym_xauth_location_token1] = ACTIONS(731),
  },
  [29] = {
    [ts_builtin_sym_end] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [aux_sym_match_token1] = ACTIONS(737),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(737),
    [aux_sym_address_family_token1] = ACTIONS(737),
    [aux_sym_batch_mode_token1] = ACTIONS(737),
    [aux_sym_bind_address_token1] = ACTIONS(737),
    [aux_sym_bind_interface_token1] = ACTIONS(737),
    [aux_sym_canonical_domains_token1] = ACTIONS(737),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(737),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(737),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(737),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(737),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(737),
    [aux_sym_certificate_file_token1] = ACTIONS(737),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(737),
    [aux_sym_channel_timeout_token1] = ACTIONS(737),
    [aux_sym_check_host_ip_token1] = ACTIONS(737),
    [aux_sym_ciphers_token1] = ACTIONS(737),
    [aux_sym_cipher_token1] = ACTIONS(739),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(737),
    [aux_sym_compression_token1] = ACTIONS(737),
    [aux_sym_connection_attempts_token1] = ACTIONS(737),
    [aux_sym_connect_timeout_token1] = ACTIONS(737),
    [aux_sym_control_master_token1] = ACTIONS(737),
    [aux_sym_control_path_token1] = ACTIONS(737),
    [aux_sym_control_persist_token1] = ACTIONS(737),
    [aux_sym_dynamic_forward_token1] = ACTIONS(737),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(737),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(737),
    [aux_sym_escape_char_token1] = ACTIONS(737),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(737),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(737),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(737),
    [aux_sym_forward_agent_token1] = ACTIONS(737),
    [aux_sym_forward_x11_token1] = ACTIONS(739),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(737),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(737),
    [aux_sym_gateway_ports_token1] = ACTIONS(737),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(737),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(737),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(737),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(737),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(737),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(737),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(737),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(737),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(737),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(737),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(737),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(737),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(737),
    [aux_sym_host_key_alias_token1] = ACTIONS(737),
    [aux_sym_hostname_token1] = ACTIONS(737),
    [aux_sym_identities_only_token1] = ACTIONS(737),
    [aux_sym_identity_agent_token1] = ACTIONS(737),
    [aux_sym_identity_file_token1] = ACTIONS(737),
    [aux_sym_ignore_unknown_token1] = ACTIONS(737),
    [aux_sym_include_token1] = ACTIONS(737),
    [aux_sym_ip_qos_token1] = ACTIONS(737),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(737),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(737),
    [aux_sym_kex_algorithms_token1] = ACTIONS(737),
    [aux_sym_known_hosts_command_token1] = ACTIONS(737),
    [aux_sym_local_command_token1] = ACTIONS(737),
    [aux_sym_local_forward_token1] = ACTIONS(737),
    [aux_sym_log_level_token1] = ACTIONS(737),
    [aux_sym_log_verbose_token1] = ACTIONS(737),
    [aux_sym_macs_token1] = ACTIONS(737),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(737),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(737),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(737),
    [aux_sym_password_authentication_token1] = ACTIONS(737),
    [aux_sym_permit_local_command_token1] = ACTIONS(737),
    [aux_sym_permit_remote_open_token1] = ACTIONS(737),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(737),
    [aux_sym_port_token1] = ACTIONS(737),
    [aux_sym_preferred_authentications_token1] = ACTIONS(737),
    [aux_sym_protocol_token1] = ACTIONS(737),
    [aux_sym_proxy_command_token1] = ACTIONS(737),
    [aux_sym_proxy_jump_token1] = ACTIONS(737),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(737),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(737),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(737),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(737),
    [aux_sym_rekey_limit_token1] = ACTIONS(737),
    [aux_sym_remote_command_token1] = ACTIONS(737),
    [aux_sym_remote_forward_token1] = ACTIONS(737),
    [aux_sym_request_tty_token1] = ACTIONS(737),
    [aux_sym_required_rsa_size_token1] = ACTIONS(737),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(737),
    [aux_sym_security_key_provider_token1] = ACTIONS(737),
    [aux_sym_send_env_token1] = ACTIONS(737),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(737),
    [aux_sym_server_alive_interval_token1] = ACTIONS(737),
    [aux_sym_session_type_token1] = ACTIONS(737),
    [aux_sym_set_env_token1] = ACTIONS(737),
    [aux_sym_stdin_null_token1] = ACTIONS(737),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(737),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(737),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(737),
    [aux_sym_syslog_facility_token1] = ACTIONS(737),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(737),
    [aux_sym_keep_alive_token1] = ACTIONS(737),
    [aux_sym_tag_token1] = ACTIONS(737),
    [aux_sym_tunnel_token1] = ACTIONS(739),
    [aux_sym_tunnel_device_token1] = ACTIONS(737),
    [aux_sym_update_host_keys_token1] = ACTIONS(737),
    [aux_sym_use_keychain_token1] = ACTIONS(737),
    [aux_sym_use_roaming_token1] = ACTIONS(737),
    [aux_sym_user_token1] = ACTIONS(739),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(737),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(737),
    [aux_sym_visual_host_key_token1] = ACTIONS(737),
    [aux_sym_xauth_location_token1] = ACTIONS(737),
  },
  [30] = {
    [ts_builtin_sym_end] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(745),
    [anon_sym_DQUOTE] = ACTIONS(747),
    [aux_sym_match_token1] = ACTIONS(743),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(743),
    [aux_sym_address_family_token1] = ACTIONS(743),
    [aux_sym_batch_mode_token1] = ACTIONS(743),
    [aux_sym_bind_address_token1] = ACTIONS(743),
    [aux_sym_bind_interface_token1] = ACTIONS(743),
    [aux_sym_canonical_domains_token1] = ACTIONS(743),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(743),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(743),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(743),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(743),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(743),
    [aux_sym_certificate_file_token1] = ACTIONS(743),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(743),
    [aux_sym_channel_timeout_token1] = ACTIONS(743),
    [aux_sym_check_host_ip_token1] = ACTIONS(743),
    [aux_sym_ciphers_token1] = ACTIONS(743),
    [aux_sym_cipher_token1] = ACTIONS(745),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(743),
    [aux_sym_compression_token1] = ACTIONS(743),
    [aux_sym_connection_attempts_token1] = ACTIONS(743),
    [aux_sym_connect_timeout_token1] = ACTIONS(743),
    [aux_sym_control_master_token1] = ACTIONS(743),
    [aux_sym_control_path_token1] = ACTIONS(743),
    [aux_sym_control_persist_token1] = ACTIONS(743),
    [aux_sym_dynamic_forward_token1] = ACTIONS(743),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(743),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(743),
    [aux_sym_escape_char_token1] = ACTIONS(743),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(743),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(743),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(743),
    [aux_sym_forward_agent_token1] = ACTIONS(743),
    [aux_sym_forward_x11_token1] = ACTIONS(745),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(743),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(743),
    [aux_sym_gateway_ports_token1] = ACTIONS(743),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(743),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(743),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(743),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(743),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(743),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(743),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(743),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(743),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(743),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(743),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(743),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(743),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(743),
    [aux_sym_host_key_alias_token1] = ACTIONS(743),
    [aux_sym_hostname_token1] = ACTIONS(743),
    [aux_sym_identities_only_token1] = ACTIONS(743),
    [aux_sym_identity_agent_token1] = ACTIONS(743),
    [aux_sym_identity_file_token1] = ACTIONS(743),
    [aux_sym_ignore_unknown_token1] = ACTIONS(743),
    [aux_sym_include_token1] = ACTIONS(743),
    [aux_sym_ip_qos_token1] = ACTIONS(743),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(743),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(743),
    [aux_sym_kex_algorithms_token1] = ACTIONS(743),
    [aux_sym_known_hosts_command_token1] = ACTIONS(743),
    [aux_sym_local_command_token1] = ACTIONS(743),
    [aux_sym_local_forward_token1] = ACTIONS(743),
    [aux_sym_log_level_token1] = ACTIONS(743),
    [aux_sym_log_verbose_token1] = ACTIONS(743),
    [aux_sym_macs_token1] = ACTIONS(743),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(743),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(743),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(743),
    [aux_sym_password_authentication_token1] = ACTIONS(743),
    [aux_sym_permit_local_command_token1] = ACTIONS(743),
    [aux_sym_permit_remote_open_token1] = ACTIONS(743),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(743),
    [aux_sym_port_token1] = ACTIONS(743),
    [aux_sym_preferred_authentications_token1] = ACTIONS(743),
    [aux_sym_protocol_token1] = ACTIONS(743),
    [aux_sym_proxy_command_token1] = ACTIONS(743),
    [aux_sym_proxy_jump_token1] = ACTIONS(743),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(743),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(743),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(743),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(743),
    [aux_sym_rekey_limit_token1] = ACTIONS(743),
    [aux_sym_remote_command_token1] = ACTIONS(743),
    [aux_sym_remote_forward_token1] = ACTIONS(743),
    [aux_sym_request_tty_token1] = ACTIONS(743),
    [aux_sym_required_rsa_size_token1] = ACTIONS(743),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(743),
    [aux_sym_security_key_provider_token1] = ACTIONS(743),
    [aux_sym_send_env_token1] = ACTIONS(743),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(743),
    [aux_sym_server_alive_interval_token1] = ACTIONS(743),
    [aux_sym_session_type_token1] = ACTIONS(743),
    [aux_sym_set_env_token1] = ACTIONS(743),
    [aux_sym_stdin_null_token1] = ACTIONS(743),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(743),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(743),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(743),
    [aux_sym_syslog_facility_token1] = ACTIONS(743),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(743),
    [aux_sym_keep_alive_token1] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(743),
    [aux_sym_tunnel_token1] = ACTIONS(745),
    [aux_sym_tunnel_device_token1] = ACTIONS(743),
    [aux_sym_update_host_keys_token1] = ACTIONS(743),
    [aux_sym_use_keychain_token1] = ACTIONS(743),
    [aux_sym_use_roaming_token1] = ACTIONS(743),
    [aux_sym_user_token1] = ACTIONS(745),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(743),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(743),
    [aux_sym_visual_host_key_token1] = ACTIONS(743),
    [aux_sym_xauth_location_token1] = ACTIONS(743),
  },
  [31] = {
    [ts_builtin_sym_end] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [aux_sym_match_token1] = ACTIONS(749),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(749),
    [aux_sym_address_family_token1] = ACTIONS(749),
    [aux_sym_batch_mode_token1] = ACTIONS(749),
    [aux_sym_bind_address_token1] = ACTIONS(749),
    [aux_sym_bind_interface_token1] = ACTIONS(749),
    [aux_sym_canonical_domains_token1] = ACTIONS(749),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(749),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(749),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(749),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(749),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(749),
    [aux_sym_certificate_file_token1] = ACTIONS(749),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(749),
    [aux_sym_channel_timeout_token1] = ACTIONS(749),
    [aux_sym_check_host_ip_token1] = ACTIONS(749),
    [aux_sym_ciphers_token1] = ACTIONS(749),
    [aux_sym_cipher_token1] = ACTIONS(751),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(749),
    [aux_sym_compression_token1] = ACTIONS(749),
    [aux_sym_connection_attempts_token1] = ACTIONS(749),
    [aux_sym_connect_timeout_token1] = ACTIONS(749),
    [aux_sym_control_master_token1] = ACTIONS(749),
    [aux_sym_control_path_token1] = ACTIONS(749),
    [aux_sym_control_persist_token1] = ACTIONS(749),
    [aux_sym_dynamic_forward_token1] = ACTIONS(749),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(749),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(749),
    [aux_sym_escape_char_token1] = ACTIONS(749),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(749),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(749),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(749),
    [aux_sym_forward_agent_token1] = ACTIONS(749),
    [aux_sym_forward_x11_token1] = ACTIONS(751),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(749),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(749),
    [aux_sym_gateway_ports_token1] = ACTIONS(749),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(749),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(749),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(749),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(749),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(749),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(749),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(749),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(749),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(749),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(749),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(749),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(749),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(749),
    [aux_sym_host_key_alias_token1] = ACTIONS(749),
    [aux_sym_hostname_token1] = ACTIONS(749),
    [aux_sym_identities_only_token1] = ACTIONS(749),
    [aux_sym_identity_agent_token1] = ACTIONS(749),
    [aux_sym_identity_file_token1] = ACTIONS(749),
    [aux_sym_ignore_unknown_token1] = ACTIONS(749),
    [aux_sym_include_token1] = ACTIONS(749),
    [aux_sym_ip_qos_token1] = ACTIONS(749),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(749),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(749),
    [aux_sym_kex_algorithms_token1] = ACTIONS(749),
    [aux_sym_known_hosts_command_token1] = ACTIONS(749),
    [aux_sym_local_command_token1] = ACTIONS(749),
    [aux_sym_local_forward_token1] = ACTIONS(749),
    [aux_sym_log_level_token1] = ACTIONS(749),
    [aux_sym_log_verbose_token1] = ACTIONS(749),
    [aux_sym_macs_token1] = ACTIONS(749),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(749),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(749),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(749),
    [aux_sym_password_authentication_token1] = ACTIONS(749),
    [aux_sym_permit_local_command_token1] = ACTIONS(749),
    [aux_sym_permit_remote_open_token1] = ACTIONS(749),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(749),
    [aux_sym_port_token1] = ACTIONS(749),
    [aux_sym_preferred_authentications_token1] = ACTIONS(749),
    [aux_sym_protocol_token1] = ACTIONS(749),
    [aux_sym_proxy_command_token1] = ACTIONS(749),
    [aux_sym_proxy_jump_token1] = ACTIONS(749),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(749),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(749),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(749),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(749),
    [aux_sym_rekey_limit_token1] = ACTIONS(749),
    [aux_sym_remote_command_token1] = ACTIONS(749),
    [aux_sym_remote_forward_token1] = ACTIONS(749),
    [aux_sym_request_tty_token1] = ACTIONS(749),
    [aux_sym_required_rsa_size_token1] = ACTIONS(749),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(749),
    [aux_sym_security_key_provider_token1] = ACTIONS(749),
    [aux_sym_send_env_token1] = ACTIONS(749),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(749),
    [aux_sym_server_alive_interval_token1] = ACTIONS(749),
    [aux_sym_session_type_token1] = ACTIONS(749),
    [aux_sym_set_env_token1] = ACTIONS(749),
    [aux_sym_stdin_null_token1] = ACTIONS(749),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(749),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(749),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(749),
    [aux_sym_syslog_facility_token1] = ACTIONS(749),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(749),
    [aux_sym_keep_alive_token1] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(749),
    [aux_sym_tunnel_token1] = ACTIONS(751),
    [aux_sym_tunnel_device_token1] = ACTIONS(749),
    [aux_sym_update_host_keys_token1] = ACTIONS(749),
    [aux_sym_use_keychain_token1] = ACTIONS(749),
    [aux_sym_use_roaming_token1] = ACTIONS(749),
    [aux_sym_user_token1] = ACTIONS(751),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(749),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(749),
    [aux_sym_visual_host_key_token1] = ACTIONS(749),
    [aux_sym_xauth_location_token1] = ACTIONS(749),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(759),
    [aux_sym_match_token1] = ACTIONS(755),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(755),
    [aux_sym_address_family_token1] = ACTIONS(755),
    [aux_sym_batch_mode_token1] = ACTIONS(755),
    [aux_sym_bind_address_token1] = ACTIONS(755),
    [aux_sym_bind_interface_token1] = ACTIONS(755),
    [aux_sym_canonical_domains_token1] = ACTIONS(755),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(755),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(755),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(755),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(755),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(755),
    [aux_sym_certificate_file_token1] = ACTIONS(755),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(755),
    [aux_sym_channel_timeout_token1] = ACTIONS(755),
    [aux_sym_check_host_ip_token1] = ACTIONS(755),
    [aux_sym_ciphers_token1] = ACTIONS(755),
    [aux_sym_cipher_token1] = ACTIONS(757),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(755),
    [aux_sym_compression_token1] = ACTIONS(755),
    [aux_sym_connection_attempts_token1] = ACTIONS(755),
    [aux_sym_connect_timeout_token1] = ACTIONS(755),
    [aux_sym_control_master_token1] = ACTIONS(755),
    [aux_sym_control_path_token1] = ACTIONS(755),
    [aux_sym_control_persist_token1] = ACTIONS(755),
    [aux_sym_dynamic_forward_token1] = ACTIONS(755),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(755),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(755),
    [aux_sym_escape_char_token1] = ACTIONS(755),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(755),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(755),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(755),
    [aux_sym_forward_agent_token1] = ACTIONS(755),
    [aux_sym_forward_x11_token1] = ACTIONS(757),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(755),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(755),
    [aux_sym_gateway_ports_token1] = ACTIONS(755),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(755),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(755),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(755),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(755),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(755),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(755),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(755),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(755),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(755),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(755),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(755),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(755),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(755),
    [aux_sym_host_key_alias_token1] = ACTIONS(755),
    [aux_sym_hostname_token1] = ACTIONS(755),
    [aux_sym_identities_only_token1] = ACTIONS(755),
    [aux_sym_identity_agent_token1] = ACTIONS(755),
    [aux_sym_identity_file_token1] = ACTIONS(755),
    [aux_sym_ignore_unknown_token1] = ACTIONS(755),
    [aux_sym_include_token1] = ACTIONS(755),
    [aux_sym_ip_qos_token1] = ACTIONS(755),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(755),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(755),
    [aux_sym_kex_algorithms_token1] = ACTIONS(755),
    [aux_sym_known_hosts_command_token1] = ACTIONS(755),
    [aux_sym_local_command_token1] = ACTIONS(755),
    [aux_sym_local_forward_token1] = ACTIONS(755),
    [aux_sym_log_level_token1] = ACTIONS(755),
    [aux_sym_log_verbose_token1] = ACTIONS(755),
    [aux_sym_macs_token1] = ACTIONS(755),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(755),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(755),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(755),
    [aux_sym_password_authentication_token1] = ACTIONS(755),
    [aux_sym_permit_local_command_token1] = ACTIONS(755),
    [aux_sym_permit_remote_open_token1] = ACTIONS(755),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(755),
    [aux_sym_port_token1] = ACTIONS(755),
    [aux_sym_preferred_authentications_token1] = ACTIONS(755),
    [aux_sym_protocol_token1] = ACTIONS(755),
    [aux_sym_proxy_command_token1] = ACTIONS(755),
    [aux_sym_proxy_jump_token1] = ACTIONS(755),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(755),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(755),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(755),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(755),
    [aux_sym_rekey_limit_token1] = ACTIONS(755),
    [aux_sym_remote_command_token1] = ACTIONS(755),
    [aux_sym_remote_forward_token1] = ACTIONS(755),
    [aux_sym_request_tty_token1] = ACTIONS(755),
    [aux_sym_required_rsa_size_token1] = ACTIONS(755),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(755),
    [aux_sym_security_key_provider_token1] = ACTIONS(755),
    [aux_sym_send_env_token1] = ACTIONS(755),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(755),
    [aux_sym_server_alive_interval_token1] = ACTIONS(755),
    [aux_sym_session_type_token1] = ACTIONS(755),
    [aux_sym_set_env_token1] = ACTIONS(755),
    [aux_sym_stdin_null_token1] = ACTIONS(755),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(755),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(755),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(755),
    [aux_sym_syslog_facility_token1] = ACTIONS(755),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(755),
    [aux_sym_keep_alive_token1] = ACTIONS(755),
    [aux_sym_tag_token1] = ACTIONS(755),
    [aux_sym_tunnel_token1] = ACTIONS(757),
    [aux_sym_tunnel_device_token1] = ACTIONS(755),
    [aux_sym_update_host_keys_token1] = ACTIONS(755),
    [aux_sym_use_keychain_token1] = ACTIONS(755),
    [aux_sym_use_roaming_token1] = ACTIONS(755),
    [aux_sym_user_token1] = ACTIONS(757),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(755),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(755),
    [aux_sym_visual_host_key_token1] = ACTIONS(755),
    [aux_sym_xauth_location_token1] = ACTIONS(755),
  },
  [33] = {
    [ts_builtin_sym_end] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [aux_sym_match_token1] = ACTIONS(761),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(761),
    [aux_sym_address_family_token1] = ACTIONS(761),
    [aux_sym_batch_mode_token1] = ACTIONS(761),
    [aux_sym_bind_address_token1] = ACTIONS(761),
    [aux_sym_bind_interface_token1] = ACTIONS(761),
    [aux_sym_canonical_domains_token1] = ACTIONS(761),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(761),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(761),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(761),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(761),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(761),
    [aux_sym_certificate_file_token1] = ACTIONS(761),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(761),
    [aux_sym_channel_timeout_token1] = ACTIONS(761),
    [aux_sym_check_host_ip_token1] = ACTIONS(761),
    [aux_sym_ciphers_token1] = ACTIONS(761),
    [aux_sym_cipher_token1] = ACTIONS(763),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(761),
    [aux_sym_compression_token1] = ACTIONS(761),
    [aux_sym_connection_attempts_token1] = ACTIONS(761),
    [aux_sym_connect_timeout_token1] = ACTIONS(761),
    [aux_sym_control_master_token1] = ACTIONS(761),
    [aux_sym_control_path_token1] = ACTIONS(761),
    [aux_sym_control_persist_token1] = ACTIONS(761),
    [aux_sym_dynamic_forward_token1] = ACTIONS(761),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(761),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(761),
    [aux_sym_escape_char_token1] = ACTIONS(761),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(761),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(761),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(761),
    [aux_sym_forward_agent_token1] = ACTIONS(761),
    [aux_sym_forward_x11_token1] = ACTIONS(763),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(761),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(761),
    [aux_sym_gateway_ports_token1] = ACTIONS(761),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(761),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(761),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(761),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(761),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(761),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(761),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(761),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(761),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(761),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(761),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(761),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(761),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(761),
    [aux_sym_host_key_alias_token1] = ACTIONS(761),
    [aux_sym_hostname_token1] = ACTIONS(761),
    [aux_sym_identities_only_token1] = ACTIONS(761),
    [aux_sym_identity_agent_token1] = ACTIONS(761),
    [aux_sym_identity_file_token1] = ACTIONS(761),
    [aux_sym_ignore_unknown_token1] = ACTIONS(761),
    [aux_sym_include_token1] = ACTIONS(761),
    [aux_sym_ip_qos_token1] = ACTIONS(761),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(761),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(761),
    [aux_sym_kex_algorithms_token1] = ACTIONS(761),
    [aux_sym_known_hosts_command_token1] = ACTIONS(761),
    [aux_sym_local_command_token1] = ACTIONS(761),
    [aux_sym_local_forward_token1] = ACTIONS(761),
    [aux_sym_log_level_token1] = ACTIONS(761),
    [aux_sym_log_verbose_token1] = ACTIONS(761),
    [aux_sym_macs_token1] = ACTIONS(761),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(761),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(761),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(761),
    [aux_sym_password_authentication_token1] = ACTIONS(761),
    [aux_sym_permit_local_command_token1] = ACTIONS(761),
    [aux_sym_permit_remote_open_token1] = ACTIONS(761),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(761),
    [aux_sym_port_token1] = ACTIONS(761),
    [aux_sym_preferred_authentications_token1] = ACTIONS(761),
    [aux_sym_protocol_token1] = ACTIONS(761),
    [aux_sym_proxy_command_token1] = ACTIONS(761),
    [aux_sym_proxy_jump_token1] = ACTIONS(761),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(761),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(761),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(761),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(761),
    [aux_sym_rekey_limit_token1] = ACTIONS(761),
    [aux_sym_remote_command_token1] = ACTIONS(761),
    [aux_sym_remote_forward_token1] = ACTIONS(761),
    [aux_sym_request_tty_token1] = ACTIONS(761),
    [aux_sym_required_rsa_size_token1] = ACTIONS(761),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(761),
    [aux_sym_security_key_provider_token1] = ACTIONS(761),
    [aux_sym_send_env_token1] = ACTIONS(761),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(761),
    [aux_sym_server_alive_interval_token1] = ACTIONS(761),
    [aux_sym_session_type_token1] = ACTIONS(761),
    [aux_sym_set_env_token1] = ACTIONS(761),
    [aux_sym_stdin_null_token1] = ACTIONS(761),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(761),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(761),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(761),
    [aux_sym_syslog_facility_token1] = ACTIONS(761),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(761),
    [aux_sym_keep_alive_token1] = ACTIONS(761),
    [aux_sym_tag_token1] = ACTIONS(761),
    [aux_sym_tunnel_token1] = ACTIONS(763),
    [aux_sym_tunnel_device_token1] = ACTIONS(761),
    [aux_sym_update_host_keys_token1] = ACTIONS(761),
    [aux_sym_use_keychain_token1] = ACTIONS(761),
    [aux_sym_use_roaming_token1] = ACTIONS(761),
    [aux_sym_user_token1] = ACTIONS(763),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(761),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(761),
    [aux_sym_visual_host_key_token1] = ACTIONS(761),
    [aux_sym_xauth_location_token1] = ACTIONS(761),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(771),
    [aux_sym_match_token1] = ACTIONS(767),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(767),
    [aux_sym_address_family_token1] = ACTIONS(767),
    [aux_sym_batch_mode_token1] = ACTIONS(767),
    [aux_sym_bind_address_token1] = ACTIONS(767),
    [aux_sym_bind_interface_token1] = ACTIONS(767),
    [aux_sym_canonical_domains_token1] = ACTIONS(767),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(767),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(767),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(767),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(767),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(767),
    [aux_sym_certificate_file_token1] = ACTIONS(767),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(767),
    [aux_sym_channel_timeout_token1] = ACTIONS(767),
    [aux_sym_check_host_ip_token1] = ACTIONS(767),
    [aux_sym_ciphers_token1] = ACTIONS(767),
    [aux_sym_cipher_token1] = ACTIONS(769),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(767),
    [aux_sym_compression_token1] = ACTIONS(767),
    [aux_sym_connection_attempts_token1] = ACTIONS(767),
    [aux_sym_connect_timeout_token1] = ACTIONS(767),
    [aux_sym_control_master_token1] = ACTIONS(767),
    [aux_sym_control_path_token1] = ACTIONS(767),
    [aux_sym_control_persist_token1] = ACTIONS(767),
    [aux_sym_dynamic_forward_token1] = ACTIONS(767),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(767),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(767),
    [aux_sym_escape_char_token1] = ACTIONS(767),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(767),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(767),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(767),
    [aux_sym_forward_agent_token1] = ACTIONS(767),
    [aux_sym_forward_x11_token1] = ACTIONS(769),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(767),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(767),
    [aux_sym_gateway_ports_token1] = ACTIONS(767),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(767),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(767),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(767),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(767),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(767),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(767),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(767),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(767),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(767),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(767),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(767),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(767),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(767),
    [aux_sym_host_key_alias_token1] = ACTIONS(767),
    [aux_sym_hostname_token1] = ACTIONS(767),
    [aux_sym_identities_only_token1] = ACTIONS(767),
    [aux_sym_identity_agent_token1] = ACTIONS(767),
    [aux_sym_identity_file_token1] = ACTIONS(767),
    [aux_sym_ignore_unknown_token1] = ACTIONS(767),
    [aux_sym_include_token1] = ACTIONS(767),
    [aux_sym_ip_qos_token1] = ACTIONS(767),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(767),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(767),
    [aux_sym_kex_algorithms_token1] = ACTIONS(767),
    [aux_sym_known_hosts_command_token1] = ACTIONS(767),
    [aux_sym_local_command_token1] = ACTIONS(767),
    [aux_sym_local_forward_token1] = ACTIONS(767),
    [aux_sym_log_level_token1] = ACTIONS(767),
    [aux_sym_log_verbose_token1] = ACTIONS(767),
    [aux_sym_macs_token1] = ACTIONS(767),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(767),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(767),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(767),
    [aux_sym_password_authentication_token1] = ACTIONS(767),
    [aux_sym_permit_local_command_token1] = ACTIONS(767),
    [aux_sym_permit_remote_open_token1] = ACTIONS(767),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(767),
    [aux_sym_port_token1] = ACTIONS(767),
    [aux_sym_preferred_authentications_token1] = ACTIONS(767),
    [aux_sym_protocol_token1] = ACTIONS(767),
    [aux_sym_proxy_command_token1] = ACTIONS(767),
    [aux_sym_proxy_jump_token1] = ACTIONS(767),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(767),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(767),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(767),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(767),
    [aux_sym_rekey_limit_token1] = ACTIONS(767),
    [aux_sym_remote_command_token1] = ACTIONS(767),
    [aux_sym_remote_forward_token1] = ACTIONS(767),
    [aux_sym_request_tty_token1] = ACTIONS(767),
    [aux_sym_required_rsa_size_token1] = ACTIONS(767),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(767),
    [aux_sym_security_key_provider_token1] = ACTIONS(767),
    [aux_sym_send_env_token1] = ACTIONS(767),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(767),
    [aux_sym_server_alive_interval_token1] = ACTIONS(767),
    [aux_sym_session_type_token1] = ACTIONS(767),
    [aux_sym_set_env_token1] = ACTIONS(767),
    [aux_sym_stdin_null_token1] = ACTIONS(767),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(767),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(767),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(767),
    [aux_sym_syslog_facility_token1] = ACTIONS(767),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(767),
    [aux_sym_keep_alive_token1] = ACTIONS(767),
    [aux_sym_tag_token1] = ACTIONS(767),
    [aux_sym_tunnel_token1] = ACTIONS(769),
    [aux_sym_tunnel_device_token1] = ACTIONS(767),
    [aux_sym_update_host_keys_token1] = ACTIONS(767),
    [aux_sym_use_keychain_token1] = ACTIONS(767),
    [aux_sym_use_roaming_token1] = ACTIONS(767),
    [aux_sym_user_token1] = ACTIONS(769),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(767),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(767),
    [aux_sym_visual_host_key_token1] = ACTIONS(767),
    [aux_sym_xauth_location_token1] = ACTIONS(767),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [aux_sym_match_token1] = ACTIONS(773),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(773),
    [aux_sym_address_family_token1] = ACTIONS(773),
    [aux_sym_batch_mode_token1] = ACTIONS(773),
    [aux_sym_bind_address_token1] = ACTIONS(773),
    [aux_sym_bind_interface_token1] = ACTIONS(773),
    [aux_sym_canonical_domains_token1] = ACTIONS(773),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(773),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(773),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(773),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(773),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(773),
    [aux_sym_certificate_file_token1] = ACTIONS(773),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(773),
    [aux_sym_channel_timeout_token1] = ACTIONS(773),
    [aux_sym_check_host_ip_token1] = ACTIONS(773),
    [aux_sym_ciphers_token1] = ACTIONS(773),
    [aux_sym_cipher_token1] = ACTIONS(775),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(773),
    [aux_sym_compression_token1] = ACTIONS(773),
    [aux_sym_connection_attempts_token1] = ACTIONS(773),
    [aux_sym_connect_timeout_token1] = ACTIONS(773),
    [aux_sym_control_master_token1] = ACTIONS(773),
    [aux_sym_control_path_token1] = ACTIONS(773),
    [aux_sym_control_persist_token1] = ACTIONS(773),
    [aux_sym_dynamic_forward_token1] = ACTIONS(773),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(773),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(773),
    [aux_sym_escape_char_token1] = ACTIONS(773),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(773),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(773),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(773),
    [aux_sym_forward_agent_token1] = ACTIONS(773),
    [aux_sym_forward_x11_token1] = ACTIONS(775),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(773),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(773),
    [aux_sym_gateway_ports_token1] = ACTIONS(773),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(773),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(773),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(773),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(773),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(773),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(773),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(773),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(773),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(773),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(773),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(773),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(773),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(773),
    [aux_sym_host_key_alias_token1] = ACTIONS(773),
    [aux_sym_hostname_token1] = ACTIONS(773),
    [aux_sym_identities_only_token1] = ACTIONS(773),
    [aux_sym_identity_agent_token1] = ACTIONS(773),
    [aux_sym_identity_file_token1] = ACTIONS(773),
    [aux_sym_ignore_unknown_token1] = ACTIONS(773),
    [aux_sym_include_token1] = ACTIONS(773),
    [aux_sym_ip_qos_token1] = ACTIONS(773),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(773),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(773),
    [aux_sym_kex_algorithms_token1] = ACTIONS(773),
    [aux_sym_known_hosts_command_token1] = ACTIONS(773),
    [aux_sym_local_command_token1] = ACTIONS(773),
    [aux_sym_local_forward_token1] = ACTIONS(773),
    [aux_sym_log_level_token1] = ACTIONS(773),
    [aux_sym_log_verbose_token1] = ACTIONS(773),
    [aux_sym_macs_token1] = ACTIONS(773),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(773),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(773),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(773),
    [aux_sym_password_authentication_token1] = ACTIONS(773),
    [aux_sym_permit_local_command_token1] = ACTIONS(773),
    [aux_sym_permit_remote_open_token1] = ACTIONS(773),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(773),
    [aux_sym_port_token1] = ACTIONS(773),
    [aux_sym_preferred_authentications_token1] = ACTIONS(773),
    [aux_sym_protocol_token1] = ACTIONS(773),
    [aux_sym_proxy_command_token1] = ACTIONS(773),
    [aux_sym_proxy_jump_token1] = ACTIONS(773),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(773),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(773),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(773),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(773),
    [aux_sym_rekey_limit_token1] = ACTIONS(773),
    [aux_sym_remote_command_token1] = ACTIONS(773),
    [aux_sym_remote_forward_token1] = ACTIONS(773),
    [aux_sym_request_tty_token1] = ACTIONS(773),
    [aux_sym_required_rsa_size_token1] = ACTIONS(773),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(773),
    [aux_sym_security_key_provider_token1] = ACTIONS(773),
    [aux_sym_send_env_token1] = ACTIONS(773),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(773),
    [aux_sym_server_alive_interval_token1] = ACTIONS(773),
    [aux_sym_session_type_token1] = ACTIONS(773),
    [aux_sym_set_env_token1] = ACTIONS(773),
    [aux_sym_stdin_null_token1] = ACTIONS(773),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(773),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(773),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(773),
    [aux_sym_syslog_facility_token1] = ACTIONS(773),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(773),
    [aux_sym_keep_alive_token1] = ACTIONS(773),
    [aux_sym_tag_token1] = ACTIONS(773),
    [aux_sym_tunnel_token1] = ACTIONS(775),
    [aux_sym_tunnel_device_token1] = ACTIONS(773),
    [aux_sym_update_host_keys_token1] = ACTIONS(773),
    [aux_sym_use_keychain_token1] = ACTIONS(773),
    [aux_sym_use_roaming_token1] = ACTIONS(773),
    [aux_sym_user_token1] = ACTIONS(775),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(773),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(773),
    [aux_sym_visual_host_key_token1] = ACTIONS(773),
    [aux_sym_xauth_location_token1] = ACTIONS(773),
  },
  [36] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(783),
    [aux_sym_match_token1] = ACTIONS(779),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(779),
    [aux_sym_address_family_token1] = ACTIONS(779),
    [aux_sym_batch_mode_token1] = ACTIONS(779),
    [aux_sym_bind_address_token1] = ACTIONS(779),
    [aux_sym_bind_interface_token1] = ACTIONS(779),
    [aux_sym_canonical_domains_token1] = ACTIONS(779),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(779),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(779),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(779),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(779),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(779),
    [aux_sym_certificate_file_token1] = ACTIONS(779),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(779),
    [aux_sym_channel_timeout_token1] = ACTIONS(779),
    [aux_sym_check_host_ip_token1] = ACTIONS(779),
    [aux_sym_ciphers_token1] = ACTIONS(779),
    [aux_sym_cipher_token1] = ACTIONS(781),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(779),
    [aux_sym_compression_token1] = ACTIONS(779),
    [aux_sym_connection_attempts_token1] = ACTIONS(779),
    [aux_sym_connect_timeout_token1] = ACTIONS(779),
    [aux_sym_control_master_token1] = ACTIONS(779),
    [aux_sym_control_path_token1] = ACTIONS(779),
    [aux_sym_control_persist_token1] = ACTIONS(779),
    [aux_sym_dynamic_forward_token1] = ACTIONS(779),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(779),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(779),
    [aux_sym_escape_char_token1] = ACTIONS(779),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(779),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(779),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(779),
    [aux_sym_forward_agent_token1] = ACTIONS(779),
    [aux_sym_forward_x11_token1] = ACTIONS(781),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(779),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(779),
    [aux_sym_gateway_ports_token1] = ACTIONS(779),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(779),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(779),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(779),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(779),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(779),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(779),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(779),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(779),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(779),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(779),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(779),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(779),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(779),
    [aux_sym_host_key_alias_token1] = ACTIONS(779),
    [aux_sym_hostname_token1] = ACTIONS(779),
    [aux_sym_identities_only_token1] = ACTIONS(779),
    [aux_sym_identity_agent_token1] = ACTIONS(779),
    [aux_sym_identity_file_token1] = ACTIONS(779),
    [aux_sym_ignore_unknown_token1] = ACTIONS(779),
    [aux_sym_include_token1] = ACTIONS(779),
    [aux_sym_ip_qos_token1] = ACTIONS(779),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(779),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(779),
    [aux_sym_kex_algorithms_token1] = ACTIONS(779),
    [aux_sym_known_hosts_command_token1] = ACTIONS(779),
    [aux_sym_local_command_token1] = ACTIONS(779),
    [aux_sym_local_forward_token1] = ACTIONS(779),
    [aux_sym_log_level_token1] = ACTIONS(779),
    [aux_sym_log_verbose_token1] = ACTIONS(779),
    [aux_sym_macs_token1] = ACTIONS(779),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(779),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(779),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(779),
    [aux_sym_password_authentication_token1] = ACTIONS(779),
    [aux_sym_permit_local_command_token1] = ACTIONS(779),
    [aux_sym_permit_remote_open_token1] = ACTIONS(779),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(779),
    [aux_sym_port_token1] = ACTIONS(779),
    [aux_sym_preferred_authentications_token1] = ACTIONS(779),
    [aux_sym_protocol_token1] = ACTIONS(779),
    [aux_sym_proxy_command_token1] = ACTIONS(779),
    [aux_sym_proxy_jump_token1] = ACTIONS(779),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(779),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(779),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(779),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(779),
    [aux_sym_rekey_limit_token1] = ACTIONS(779),
    [aux_sym_remote_command_token1] = ACTIONS(779),
    [aux_sym_remote_forward_token1] = ACTIONS(779),
    [aux_sym_request_tty_token1] = ACTIONS(779),
    [aux_sym_required_rsa_size_token1] = ACTIONS(779),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(779),
    [aux_sym_security_key_provider_token1] = ACTIONS(779),
    [aux_sym_send_env_token1] = ACTIONS(779),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(779),
    [aux_sym_server_alive_interval_token1] = ACTIONS(779),
    [aux_sym_session_type_token1] = ACTIONS(779),
    [aux_sym_set_env_token1] = ACTIONS(779),
    [aux_sym_stdin_null_token1] = ACTIONS(779),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(779),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(779),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(779),
    [aux_sym_syslog_facility_token1] = ACTIONS(779),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(779),
    [aux_sym_keep_alive_token1] = ACTIONS(779),
    [aux_sym_tag_token1] = ACTIONS(779),
    [aux_sym_tunnel_token1] = ACTIONS(781),
    [aux_sym_tunnel_device_token1] = ACTIONS(779),
    [aux_sym_update_host_keys_token1] = ACTIONS(779),
    [aux_sym_use_keychain_token1] = ACTIONS(779),
    [aux_sym_use_roaming_token1] = ACTIONS(779),
    [aux_sym_user_token1] = ACTIONS(781),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(779),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(779),
    [aux_sym_visual_host_key_token1] = ACTIONS(779),
    [aux_sym_xauth_location_token1] = ACTIONS(779),
  },
  [37] = {
    [ts_builtin_sym_end] = ACTIONS(785),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(787),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [aux_sym_match_token1] = ACTIONS(785),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(785),
    [aux_sym_address_family_token1] = ACTIONS(785),
    [aux_sym_batch_mode_token1] = ACTIONS(785),
    [aux_sym_bind_address_token1] = ACTIONS(785),
    [aux_sym_bind_interface_token1] = ACTIONS(785),
    [aux_sym_canonical_domains_token1] = ACTIONS(785),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(785),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(785),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(785),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(785),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(785),
    [aux_sym_certificate_file_token1] = ACTIONS(785),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(785),
    [aux_sym_channel_timeout_token1] = ACTIONS(785),
    [aux_sym_check_host_ip_token1] = ACTIONS(785),
    [aux_sym_ciphers_token1] = ACTIONS(785),
    [aux_sym_cipher_token1] = ACTIONS(787),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(785),
    [aux_sym_compression_token1] = ACTIONS(785),
    [aux_sym_connection_attempts_token1] = ACTIONS(785),
    [aux_sym_connect_timeout_token1] = ACTIONS(785),
    [aux_sym_control_master_token1] = ACTIONS(785),
    [aux_sym_control_path_token1] = ACTIONS(785),
    [aux_sym_control_persist_token1] = ACTIONS(785),
    [aux_sym_dynamic_forward_token1] = ACTIONS(785),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(785),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(785),
    [aux_sym_escape_char_token1] = ACTIONS(785),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(785),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(785),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(785),
    [aux_sym_forward_agent_token1] = ACTIONS(785),
    [aux_sym_forward_x11_token1] = ACTIONS(787),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(785),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(785),
    [aux_sym_gateway_ports_token1] = ACTIONS(785),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(785),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(785),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(785),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(785),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(785),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(785),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(785),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(785),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(785),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(785),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(785),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(785),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(785),
    [aux_sym_host_key_alias_token1] = ACTIONS(785),
    [aux_sym_hostname_token1] = ACTIONS(785),
    [aux_sym_identities_only_token1] = ACTIONS(785),
    [aux_sym_identity_agent_token1] = ACTIONS(785),
    [aux_sym_identity_file_token1] = ACTIONS(785),
    [aux_sym_ignore_unknown_token1] = ACTIONS(785),
    [aux_sym_include_token1] = ACTIONS(785),
    [aux_sym_ip_qos_token1] = ACTIONS(785),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(785),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(785),
    [aux_sym_kex_algorithms_token1] = ACTIONS(785),
    [aux_sym_known_hosts_command_token1] = ACTIONS(785),
    [aux_sym_local_command_token1] = ACTIONS(785),
    [aux_sym_local_forward_token1] = ACTIONS(785),
    [aux_sym_log_level_token1] = ACTIONS(785),
    [aux_sym_log_verbose_token1] = ACTIONS(785),
    [aux_sym_macs_token1] = ACTIONS(785),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(785),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(785),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(785),
    [aux_sym_password_authentication_token1] = ACTIONS(785),
    [aux_sym_permit_local_command_token1] = ACTIONS(785),
    [aux_sym_permit_remote_open_token1] = ACTIONS(785),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(785),
    [aux_sym_port_token1] = ACTIONS(785),
    [aux_sym_preferred_authentications_token1] = ACTIONS(785),
    [aux_sym_protocol_token1] = ACTIONS(785),
    [aux_sym_proxy_command_token1] = ACTIONS(785),
    [aux_sym_proxy_jump_token1] = ACTIONS(785),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(785),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(785),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(785),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(785),
    [aux_sym_rekey_limit_token1] = ACTIONS(785),
    [aux_sym_remote_command_token1] = ACTIONS(785),
    [aux_sym_remote_forward_token1] = ACTIONS(785),
    [aux_sym_request_tty_token1] = ACTIONS(785),
    [aux_sym_required_rsa_size_token1] = ACTIONS(785),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(785),
    [aux_sym_security_key_provider_token1] = ACTIONS(785),
    [aux_sym_send_env_token1] = ACTIONS(785),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(785),
    [aux_sym_server_alive_interval_token1] = ACTIONS(785),
    [aux_sym_session_type_token1] = ACTIONS(785),
    [aux_sym_set_env_token1] = ACTIONS(785),
    [aux_sym_stdin_null_token1] = ACTIONS(785),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(785),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(785),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(785),
    [aux_sym_syslog_facility_token1] = ACTIONS(785),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(785),
    [aux_sym_keep_alive_token1] = ACTIONS(785),
    [aux_sym_tag_token1] = ACTIONS(785),
    [aux_sym_tunnel_token1] = ACTIONS(787),
    [aux_sym_tunnel_device_token1] = ACTIONS(785),
    [aux_sym_update_host_keys_token1] = ACTIONS(785),
    [aux_sym_use_keychain_token1] = ACTIONS(785),
    [aux_sym_use_roaming_token1] = ACTIONS(785),
    [aux_sym_user_token1] = ACTIONS(787),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(785),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(785),
    [aux_sym_visual_host_key_token1] = ACTIONS(785),
    [aux_sym_xauth_location_token1] = ACTIONS(785),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(795),
    [aux_sym_match_token1] = ACTIONS(791),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(791),
    [aux_sym_address_family_token1] = ACTIONS(791),
    [aux_sym_batch_mode_token1] = ACTIONS(791),
    [aux_sym_bind_address_token1] = ACTIONS(791),
    [aux_sym_bind_interface_token1] = ACTIONS(791),
    [aux_sym_canonical_domains_token1] = ACTIONS(791),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(791),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(791),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(791),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(791),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(791),
    [aux_sym_certificate_file_token1] = ACTIONS(791),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(791),
    [aux_sym_channel_timeout_token1] = ACTIONS(791),
    [aux_sym_check_host_ip_token1] = ACTIONS(791),
    [aux_sym_ciphers_token1] = ACTIONS(791),
    [aux_sym_cipher_token1] = ACTIONS(793),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(791),
    [aux_sym_compression_token1] = ACTIONS(791),
    [aux_sym_connection_attempts_token1] = ACTIONS(791),
    [aux_sym_connect_timeout_token1] = ACTIONS(791),
    [aux_sym_control_master_token1] = ACTIONS(791),
    [aux_sym_control_path_token1] = ACTIONS(791),
    [aux_sym_control_persist_token1] = ACTIONS(791),
    [aux_sym_dynamic_forward_token1] = ACTIONS(791),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(791),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(791),
    [aux_sym_escape_char_token1] = ACTIONS(791),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(791),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(791),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(791),
    [aux_sym_forward_agent_token1] = ACTIONS(791),
    [aux_sym_forward_x11_token1] = ACTIONS(793),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(791),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(791),
    [aux_sym_gateway_ports_token1] = ACTIONS(791),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(791),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(791),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(791),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(791),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(791),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(791),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(791),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(791),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(791),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(791),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(791),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(791),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(791),
    [aux_sym_host_key_alias_token1] = ACTIONS(791),
    [aux_sym_hostname_token1] = ACTIONS(791),
    [aux_sym_identities_only_token1] = ACTIONS(791),
    [aux_sym_identity_agent_token1] = ACTIONS(791),
    [aux_sym_identity_file_token1] = ACTIONS(791),
    [aux_sym_ignore_unknown_token1] = ACTIONS(791),
    [aux_sym_include_token1] = ACTIONS(791),
    [aux_sym_ip_qos_token1] = ACTIONS(791),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(791),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(791),
    [aux_sym_kex_algorithms_token1] = ACTIONS(791),
    [aux_sym_known_hosts_command_token1] = ACTIONS(791),
    [aux_sym_local_command_token1] = ACTIONS(791),
    [aux_sym_local_forward_token1] = ACTIONS(791),
    [aux_sym_log_level_token1] = ACTIONS(791),
    [aux_sym_log_verbose_token1] = ACTIONS(791),
    [aux_sym_macs_token1] = ACTIONS(791),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(791),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(791),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(791),
    [aux_sym_password_authentication_token1] = ACTIONS(791),
    [aux_sym_permit_local_command_token1] = ACTIONS(791),
    [aux_sym_permit_remote_open_token1] = ACTIONS(791),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(791),
    [aux_sym_port_token1] = ACTIONS(791),
    [aux_sym_preferred_authentications_token1] = ACTIONS(791),
    [aux_sym_protocol_token1] = ACTIONS(791),
    [aux_sym_proxy_command_token1] = ACTIONS(791),
    [aux_sym_proxy_jump_token1] = ACTIONS(791),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(791),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(791),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(791),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(791),
    [aux_sym_rekey_limit_token1] = ACTIONS(791),
    [aux_sym_remote_command_token1] = ACTIONS(791),
    [aux_sym_remote_forward_token1] = ACTIONS(791),
    [aux_sym_request_tty_token1] = ACTIONS(791),
    [aux_sym_required_rsa_size_token1] = ACTIONS(791),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(791),
    [aux_sym_security_key_provider_token1] = ACTIONS(791),
    [aux_sym_send_env_token1] = ACTIONS(791),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(791),
    [aux_sym_server_alive_interval_token1] = ACTIONS(791),
    [aux_sym_session_type_token1] = ACTIONS(791),
    [aux_sym_set_env_token1] = ACTIONS(791),
    [aux_sym_stdin_null_token1] = ACTIONS(791),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(791),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(791),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(791),
    [aux_sym_syslog_facility_token1] = ACTIONS(791),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(791),
    [aux_sym_keep_alive_token1] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(791),
    [aux_sym_tunnel_token1] = ACTIONS(793),
    [aux_sym_tunnel_device_token1] = ACTIONS(791),
    [aux_sym_update_host_keys_token1] = ACTIONS(791),
    [aux_sym_use_keychain_token1] = ACTIONS(791),
    [aux_sym_use_roaming_token1] = ACTIONS(791),
    [aux_sym_user_token1] = ACTIONS(793),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(791),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(791),
    [aux_sym_visual_host_key_token1] = ACTIONS(791),
    [aux_sym_xauth_location_token1] = ACTIONS(791),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [aux_sym_match_token1] = ACTIONS(797),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(797),
    [aux_sym_address_family_token1] = ACTIONS(797),
    [aux_sym_batch_mode_token1] = ACTIONS(797),
    [aux_sym_bind_address_token1] = ACTIONS(797),
    [aux_sym_bind_interface_token1] = ACTIONS(797),
    [aux_sym_canonical_domains_token1] = ACTIONS(797),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(797),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(797),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(797),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(797),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(797),
    [aux_sym_certificate_file_token1] = ACTIONS(797),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(797),
    [aux_sym_channel_timeout_token1] = ACTIONS(797),
    [aux_sym_check_host_ip_token1] = ACTIONS(797),
    [aux_sym_ciphers_token1] = ACTIONS(797),
    [aux_sym_cipher_token1] = ACTIONS(799),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(797),
    [aux_sym_compression_token1] = ACTIONS(797),
    [aux_sym_connection_attempts_token1] = ACTIONS(797),
    [aux_sym_connect_timeout_token1] = ACTIONS(797),
    [aux_sym_control_master_token1] = ACTIONS(797),
    [aux_sym_control_path_token1] = ACTIONS(797),
    [aux_sym_control_persist_token1] = ACTIONS(797),
    [aux_sym_dynamic_forward_token1] = ACTIONS(797),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(797),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(797),
    [aux_sym_escape_char_token1] = ACTIONS(797),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(797),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(797),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(797),
    [aux_sym_forward_agent_token1] = ACTIONS(797),
    [aux_sym_forward_x11_token1] = ACTIONS(799),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(797),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(797),
    [aux_sym_gateway_ports_token1] = ACTIONS(797),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(797),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(797),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(797),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(797),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(797),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(797),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(797),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(797),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(797),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(797),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(797),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(797),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(797),
    [aux_sym_host_key_alias_token1] = ACTIONS(797),
    [aux_sym_hostname_token1] = ACTIONS(797),
    [aux_sym_identities_only_token1] = ACTIONS(797),
    [aux_sym_identity_agent_token1] = ACTIONS(797),
    [aux_sym_identity_file_token1] = ACTIONS(797),
    [aux_sym_ignore_unknown_token1] = ACTIONS(797),
    [aux_sym_include_token1] = ACTIONS(797),
    [aux_sym_ip_qos_token1] = ACTIONS(797),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(797),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(797),
    [aux_sym_kex_algorithms_token1] = ACTIONS(797),
    [aux_sym_known_hosts_command_token1] = ACTIONS(797),
    [aux_sym_local_command_token1] = ACTIONS(797),
    [aux_sym_local_forward_token1] = ACTIONS(797),
    [aux_sym_log_level_token1] = ACTIONS(797),
    [aux_sym_log_verbose_token1] = ACTIONS(797),
    [aux_sym_macs_token1] = ACTIONS(797),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(797),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(797),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(797),
    [aux_sym_password_authentication_token1] = ACTIONS(797),
    [aux_sym_permit_local_command_token1] = ACTIONS(797),
    [aux_sym_permit_remote_open_token1] = ACTIONS(797),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(797),
    [aux_sym_port_token1] = ACTIONS(797),
    [aux_sym_preferred_authentications_token1] = ACTIONS(797),
    [aux_sym_protocol_token1] = ACTIONS(797),
    [aux_sym_proxy_command_token1] = ACTIONS(797),
    [aux_sym_proxy_jump_token1] = ACTIONS(797),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(797),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(797),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(797),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(797),
    [aux_sym_rekey_limit_token1] = ACTIONS(797),
    [aux_sym_remote_command_token1] = ACTIONS(797),
    [aux_sym_remote_forward_token1] = ACTIONS(797),
    [aux_sym_request_tty_token1] = ACTIONS(797),
    [aux_sym_required_rsa_size_token1] = ACTIONS(797),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(797),
    [aux_sym_security_key_provider_token1] = ACTIONS(797),
    [aux_sym_send_env_token1] = ACTIONS(797),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(797),
    [aux_sym_server_alive_interval_token1] = ACTIONS(797),
    [aux_sym_session_type_token1] = ACTIONS(797),
    [aux_sym_set_env_token1] = ACTIONS(797),
    [aux_sym_stdin_null_token1] = ACTIONS(797),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(797),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(797),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(797),
    [aux_sym_syslog_facility_token1] = ACTIONS(797),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(797),
    [aux_sym_keep_alive_token1] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(797),
    [aux_sym_tunnel_token1] = ACTIONS(799),
    [aux_sym_tunnel_device_token1] = ACTIONS(797),
    [aux_sym_update_host_keys_token1] = ACTIONS(797),
    [aux_sym_use_keychain_token1] = ACTIONS(797),
    [aux_sym_use_roaming_token1] = ACTIONS(797),
    [aux_sym_user_token1] = ACTIONS(799),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(797),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(797),
    [aux_sym_visual_host_key_token1] = ACTIONS(797),
    [aux_sym_xauth_location_token1] = ACTIONS(797),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(807),
    [aux_sym_match_token1] = ACTIONS(803),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(803),
    [aux_sym_address_family_token1] = ACTIONS(803),
    [aux_sym_batch_mode_token1] = ACTIONS(803),
    [aux_sym_bind_address_token1] = ACTIONS(803),
    [aux_sym_bind_interface_token1] = ACTIONS(803),
    [aux_sym_canonical_domains_token1] = ACTIONS(803),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(803),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(803),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(803),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(803),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(803),
    [aux_sym_certificate_file_token1] = ACTIONS(803),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(803),
    [aux_sym_channel_timeout_token1] = ACTIONS(803),
    [aux_sym_check_host_ip_token1] = ACTIONS(803),
    [aux_sym_ciphers_token1] = ACTIONS(803),
    [aux_sym_cipher_token1] = ACTIONS(805),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(803),
    [aux_sym_compression_token1] = ACTIONS(803),
    [aux_sym_connection_attempts_token1] = ACTIONS(803),
    [aux_sym_connect_timeout_token1] = ACTIONS(803),
    [aux_sym_control_master_token1] = ACTIONS(803),
    [aux_sym_control_path_token1] = ACTIONS(803),
    [aux_sym_control_persist_token1] = ACTIONS(803),
    [aux_sym_dynamic_forward_token1] = ACTIONS(803),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(803),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(803),
    [aux_sym_escape_char_token1] = ACTIONS(803),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(803),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(803),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(803),
    [aux_sym_forward_agent_token1] = ACTIONS(803),
    [aux_sym_forward_x11_token1] = ACTIONS(805),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(803),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(803),
    [aux_sym_gateway_ports_token1] = ACTIONS(803),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(803),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(803),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(803),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(803),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(803),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(803),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(803),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(803),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(803),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(803),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(803),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(803),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(803),
    [aux_sym_host_key_alias_token1] = ACTIONS(803),
    [aux_sym_hostname_token1] = ACTIONS(803),
    [aux_sym_identities_only_token1] = ACTIONS(803),
    [aux_sym_identity_agent_token1] = ACTIONS(803),
    [aux_sym_identity_file_token1] = ACTIONS(803),
    [aux_sym_ignore_unknown_token1] = ACTIONS(803),
    [aux_sym_include_token1] = ACTIONS(803),
    [aux_sym_ip_qos_token1] = ACTIONS(803),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(803),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(803),
    [aux_sym_kex_algorithms_token1] = ACTIONS(803),
    [aux_sym_known_hosts_command_token1] = ACTIONS(803),
    [aux_sym_local_command_token1] = ACTIONS(803),
    [aux_sym_local_forward_token1] = ACTIONS(803),
    [aux_sym_log_level_token1] = ACTIONS(803),
    [aux_sym_log_verbose_token1] = ACTIONS(803),
    [aux_sym_macs_token1] = ACTIONS(803),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(803),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(803),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(803),
    [aux_sym_password_authentication_token1] = ACTIONS(803),
    [aux_sym_permit_local_command_token1] = ACTIONS(803),
    [aux_sym_permit_remote_open_token1] = ACTIONS(803),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(803),
    [aux_sym_port_token1] = ACTIONS(803),
    [aux_sym_preferred_authentications_token1] = ACTIONS(803),
    [aux_sym_protocol_token1] = ACTIONS(803),
    [aux_sym_proxy_command_token1] = ACTIONS(803),
    [aux_sym_proxy_jump_token1] = ACTIONS(803),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(803),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(803),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(803),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(803),
    [aux_sym_rekey_limit_token1] = ACTIONS(803),
    [aux_sym_remote_command_token1] = ACTIONS(803),
    [aux_sym_remote_forward_token1] = ACTIONS(803),
    [aux_sym_request_tty_token1] = ACTIONS(803),
    [aux_sym_required_rsa_size_token1] = ACTIONS(803),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(803),
    [aux_sym_security_key_provider_token1] = ACTIONS(803),
    [aux_sym_send_env_token1] = ACTIONS(803),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(803),
    [aux_sym_server_alive_interval_token1] = ACTIONS(803),
    [aux_sym_session_type_token1] = ACTIONS(803),
    [aux_sym_set_env_token1] = ACTIONS(803),
    [aux_sym_stdin_null_token1] = ACTIONS(803),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(803),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(803),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(803),
    [aux_sym_syslog_facility_token1] = ACTIONS(803),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(803),
    [aux_sym_keep_alive_token1] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(803),
    [aux_sym_tunnel_token1] = ACTIONS(805),
    [aux_sym_tunnel_device_token1] = ACTIONS(803),
    [aux_sym_update_host_keys_token1] = ACTIONS(803),
    [aux_sym_use_keychain_token1] = ACTIONS(803),
    [aux_sym_use_roaming_token1] = ACTIONS(803),
    [aux_sym_user_token1] = ACTIONS(805),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(803),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(803),
    [aux_sym_visual_host_key_token1] = ACTIONS(803),
    [aux_sym_xauth_location_token1] = ACTIONS(803),
  },
  [41] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(811),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [aux_sym_match_token1] = ACTIONS(809),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(809),
    [aux_sym_address_family_token1] = ACTIONS(809),
    [aux_sym_batch_mode_token1] = ACTIONS(809),
    [aux_sym_bind_address_token1] = ACTIONS(809),
    [aux_sym_bind_interface_token1] = ACTIONS(809),
    [aux_sym_canonical_domains_token1] = ACTIONS(809),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(809),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(809),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(809),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(809),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(809),
    [aux_sym_certificate_file_token1] = ACTIONS(809),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(809),
    [aux_sym_channel_timeout_token1] = ACTIONS(809),
    [aux_sym_check_host_ip_token1] = ACTIONS(809),
    [aux_sym_ciphers_token1] = ACTIONS(809),
    [aux_sym_cipher_token1] = ACTIONS(811),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(809),
    [aux_sym_compression_token1] = ACTIONS(809),
    [aux_sym_connection_attempts_token1] = ACTIONS(809),
    [aux_sym_connect_timeout_token1] = ACTIONS(809),
    [aux_sym_control_master_token1] = ACTIONS(809),
    [aux_sym_control_path_token1] = ACTIONS(809),
    [aux_sym_control_persist_token1] = ACTIONS(809),
    [aux_sym_dynamic_forward_token1] = ACTIONS(809),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(809),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(809),
    [aux_sym_escape_char_token1] = ACTIONS(809),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(809),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(809),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(809),
    [aux_sym_forward_agent_token1] = ACTIONS(809),
    [aux_sym_forward_x11_token1] = ACTIONS(811),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(809),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(809),
    [aux_sym_gateway_ports_token1] = ACTIONS(809),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(809),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(809),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(809),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(809),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(809),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(809),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(809),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(809),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(809),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(809),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(809),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(809),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(809),
    [aux_sym_host_key_alias_token1] = ACTIONS(809),
    [aux_sym_hostname_token1] = ACTIONS(809),
    [aux_sym_identities_only_token1] = ACTIONS(809),
    [aux_sym_identity_agent_token1] = ACTIONS(809),
    [aux_sym_identity_file_token1] = ACTIONS(809),
    [aux_sym_ignore_unknown_token1] = ACTIONS(809),
    [aux_sym_include_token1] = ACTIONS(809),
    [aux_sym_ip_qos_token1] = ACTIONS(809),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(809),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(809),
    [aux_sym_kex_algorithms_token1] = ACTIONS(809),
    [aux_sym_known_hosts_command_token1] = ACTIONS(809),
    [aux_sym_local_command_token1] = ACTIONS(809),
    [aux_sym_local_forward_token1] = ACTIONS(809),
    [aux_sym_log_level_token1] = ACTIONS(809),
    [aux_sym_log_verbose_token1] = ACTIONS(809),
    [aux_sym_macs_token1] = ACTIONS(809),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(809),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(809),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(809),
    [aux_sym_password_authentication_token1] = ACTIONS(809),
    [aux_sym_permit_local_command_token1] = ACTIONS(809),
    [aux_sym_permit_remote_open_token1] = ACTIONS(809),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(809),
    [aux_sym_port_token1] = ACTIONS(809),
    [aux_sym_preferred_authentications_token1] = ACTIONS(809),
    [aux_sym_protocol_token1] = ACTIONS(809),
    [aux_sym_proxy_command_token1] = ACTIONS(809),
    [aux_sym_proxy_jump_token1] = ACTIONS(809),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(809),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(809),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(809),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(809),
    [aux_sym_rekey_limit_token1] = ACTIONS(809),
    [aux_sym_remote_command_token1] = ACTIONS(809),
    [aux_sym_remote_forward_token1] = ACTIONS(809),
    [aux_sym_request_tty_token1] = ACTIONS(809),
    [aux_sym_required_rsa_size_token1] = ACTIONS(809),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(809),
    [aux_sym_security_key_provider_token1] = ACTIONS(809),
    [aux_sym_send_env_token1] = ACTIONS(809),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(809),
    [aux_sym_server_alive_interval_token1] = ACTIONS(809),
    [aux_sym_session_type_token1] = ACTIONS(809),
    [aux_sym_set_env_token1] = ACTIONS(809),
    [aux_sym_stdin_null_token1] = ACTIONS(809),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(809),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(809),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(809),
    [aux_sym_syslog_facility_token1] = ACTIONS(809),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(809),
    [aux_sym_keep_alive_token1] = ACTIONS(809),
    [aux_sym_tag_token1] = ACTIONS(809),
    [aux_sym_tunnel_token1] = ACTIONS(811),
    [aux_sym_tunnel_device_token1] = ACTIONS(809),
    [aux_sym_update_host_keys_token1] = ACTIONS(809),
    [aux_sym_use_keychain_token1] = ACTIONS(809),
    [aux_sym_use_roaming_token1] = ACTIONS(809),
    [aux_sym_user_token1] = ACTIONS(811),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(809),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(809),
    [aux_sym_visual_host_key_token1] = ACTIONS(809),
    [aux_sym_xauth_location_token1] = ACTIONS(809),
  },
  [42] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(819),
    [aux_sym_match_token1] = ACTIONS(815),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(815),
    [aux_sym_address_family_token1] = ACTIONS(815),
    [aux_sym_batch_mode_token1] = ACTIONS(815),
    [aux_sym_bind_address_token1] = ACTIONS(815),
    [aux_sym_bind_interface_token1] = ACTIONS(815),
    [aux_sym_canonical_domains_token1] = ACTIONS(815),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(815),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(815),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(815),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(815),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(815),
    [aux_sym_certificate_file_token1] = ACTIONS(815),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(815),
    [aux_sym_channel_timeout_token1] = ACTIONS(815),
    [aux_sym_check_host_ip_token1] = ACTIONS(815),
    [aux_sym_ciphers_token1] = ACTIONS(815),
    [aux_sym_cipher_token1] = ACTIONS(817),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(815),
    [aux_sym_compression_token1] = ACTIONS(815),
    [aux_sym_connection_attempts_token1] = ACTIONS(815),
    [aux_sym_connect_timeout_token1] = ACTIONS(815),
    [aux_sym_control_master_token1] = ACTIONS(815),
    [aux_sym_control_path_token1] = ACTIONS(815),
    [aux_sym_control_persist_token1] = ACTIONS(815),
    [aux_sym_dynamic_forward_token1] = ACTIONS(815),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(815),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(815),
    [aux_sym_escape_char_token1] = ACTIONS(815),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(815),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(815),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(815),
    [aux_sym_forward_agent_token1] = ACTIONS(815),
    [aux_sym_forward_x11_token1] = ACTIONS(817),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(815),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(815),
    [aux_sym_gateway_ports_token1] = ACTIONS(815),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(815),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(815),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(815),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(815),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(815),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(815),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(815),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(815),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(815),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(815),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(815),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(815),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(815),
    [aux_sym_host_key_alias_token1] = ACTIONS(815),
    [aux_sym_hostname_token1] = ACTIONS(815),
    [aux_sym_identities_only_token1] = ACTIONS(815),
    [aux_sym_identity_agent_token1] = ACTIONS(815),
    [aux_sym_identity_file_token1] = ACTIONS(815),
    [aux_sym_ignore_unknown_token1] = ACTIONS(815),
    [aux_sym_include_token1] = ACTIONS(815),
    [aux_sym_ip_qos_token1] = ACTIONS(815),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(815),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(815),
    [aux_sym_kex_algorithms_token1] = ACTIONS(815),
    [aux_sym_known_hosts_command_token1] = ACTIONS(815),
    [aux_sym_local_command_token1] = ACTIONS(815),
    [aux_sym_local_forward_token1] = ACTIONS(815),
    [aux_sym_log_level_token1] = ACTIONS(815),
    [aux_sym_log_verbose_token1] = ACTIONS(815),
    [aux_sym_macs_token1] = ACTIONS(815),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(815),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(815),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(815),
    [aux_sym_password_authentication_token1] = ACTIONS(815),
    [aux_sym_permit_local_command_token1] = ACTIONS(815),
    [aux_sym_permit_remote_open_token1] = ACTIONS(815),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(815),
    [aux_sym_port_token1] = ACTIONS(815),
    [aux_sym_preferred_authentications_token1] = ACTIONS(815),
    [aux_sym_protocol_token1] = ACTIONS(815),
    [aux_sym_proxy_command_token1] = ACTIONS(815),
    [aux_sym_proxy_jump_token1] = ACTIONS(815),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(815),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(815),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(815),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(815),
    [aux_sym_rekey_limit_token1] = ACTIONS(815),
    [aux_sym_remote_command_token1] = ACTIONS(815),
    [aux_sym_remote_forward_token1] = ACTIONS(815),
    [aux_sym_request_tty_token1] = ACTIONS(815),
    [aux_sym_required_rsa_size_token1] = ACTIONS(815),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(815),
    [aux_sym_security_key_provider_token1] = ACTIONS(815),
    [aux_sym_send_env_token1] = ACTIONS(815),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(815),
    [aux_sym_server_alive_interval_token1] = ACTIONS(815),
    [aux_sym_session_type_token1] = ACTIONS(815),
    [aux_sym_set_env_token1] = ACTIONS(815),
    [aux_sym_stdin_null_token1] = ACTIONS(815),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(815),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(815),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(815),
    [aux_sym_syslog_facility_token1] = ACTIONS(815),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(815),
    [aux_sym_keep_alive_token1] = ACTIONS(815),
    [aux_sym_tag_token1] = ACTIONS(815),
    [aux_sym_tunnel_token1] = ACTIONS(817),
    [aux_sym_tunnel_device_token1] = ACTIONS(815),
    [aux_sym_update_host_keys_token1] = ACTIONS(815),
    [aux_sym_use_keychain_token1] = ACTIONS(815),
    [aux_sym_use_roaming_token1] = ACTIONS(815),
    [aux_sym_user_token1] = ACTIONS(817),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(815),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(815),
    [aux_sym_visual_host_key_token1] = ACTIONS(815),
    [aux_sym_xauth_location_token1] = ACTIONS(815),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(823),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [aux_sym_match_token1] = ACTIONS(821),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(821),
    [aux_sym_address_family_token1] = ACTIONS(821),
    [aux_sym_batch_mode_token1] = ACTIONS(821),
    [aux_sym_bind_address_token1] = ACTIONS(821),
    [aux_sym_bind_interface_token1] = ACTIONS(821),
    [aux_sym_canonical_domains_token1] = ACTIONS(821),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(821),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(821),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(821),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(821),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(821),
    [aux_sym_certificate_file_token1] = ACTIONS(821),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(821),
    [aux_sym_channel_timeout_token1] = ACTIONS(821),
    [aux_sym_check_host_ip_token1] = ACTIONS(821),
    [aux_sym_ciphers_token1] = ACTIONS(821),
    [aux_sym_cipher_token1] = ACTIONS(823),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(821),
    [aux_sym_compression_token1] = ACTIONS(821),
    [aux_sym_connection_attempts_token1] = ACTIONS(821),
    [aux_sym_connect_timeout_token1] = ACTIONS(821),
    [aux_sym_control_master_token1] = ACTIONS(821),
    [aux_sym_control_path_token1] = ACTIONS(821),
    [aux_sym_control_persist_token1] = ACTIONS(821),
    [aux_sym_dynamic_forward_token1] = ACTIONS(821),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(821),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(821),
    [aux_sym_escape_char_token1] = ACTIONS(821),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(821),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(821),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(821),
    [aux_sym_forward_agent_token1] = ACTIONS(821),
    [aux_sym_forward_x11_token1] = ACTIONS(823),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(821),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(821),
    [aux_sym_gateway_ports_token1] = ACTIONS(821),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(821),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(821),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(821),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(821),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(821),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(821),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(821),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(821),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(821),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(821),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(821),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(821),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(821),
    [aux_sym_host_key_alias_token1] = ACTIONS(821),
    [aux_sym_hostname_token1] = ACTIONS(821),
    [aux_sym_identities_only_token1] = ACTIONS(821),
    [aux_sym_identity_agent_token1] = ACTIONS(821),
    [aux_sym_identity_file_token1] = ACTIONS(821),
    [aux_sym_ignore_unknown_token1] = ACTIONS(821),
    [aux_sym_include_token1] = ACTIONS(821),
    [aux_sym_ip_qos_token1] = ACTIONS(821),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(821),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(821),
    [aux_sym_kex_algorithms_token1] = ACTIONS(821),
    [aux_sym_known_hosts_command_token1] = ACTIONS(821),
    [aux_sym_local_command_token1] = ACTIONS(821),
    [aux_sym_local_forward_token1] = ACTIONS(821),
    [aux_sym_log_level_token1] = ACTIONS(821),
    [aux_sym_log_verbose_token1] = ACTIONS(821),
    [aux_sym_macs_token1] = ACTIONS(821),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(821),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(821),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(821),
    [aux_sym_password_authentication_token1] = ACTIONS(821),
    [aux_sym_permit_local_command_token1] = ACTIONS(821),
    [aux_sym_permit_remote_open_token1] = ACTIONS(821),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(821),
    [aux_sym_port_token1] = ACTIONS(821),
    [aux_sym_preferred_authentications_token1] = ACTIONS(821),
    [aux_sym_protocol_token1] = ACTIONS(821),
    [aux_sym_proxy_command_token1] = ACTIONS(821),
    [aux_sym_proxy_jump_token1] = ACTIONS(821),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(821),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(821),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(821),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(821),
    [aux_sym_rekey_limit_token1] = ACTIONS(821),
    [aux_sym_remote_command_token1] = ACTIONS(821),
    [aux_sym_remote_forward_token1] = ACTIONS(821),
    [aux_sym_request_tty_token1] = ACTIONS(821),
    [aux_sym_required_rsa_size_token1] = ACTIONS(821),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(821),
    [aux_sym_security_key_provider_token1] = ACTIONS(821),
    [aux_sym_send_env_token1] = ACTIONS(821),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(821),
    [aux_sym_server_alive_interval_token1] = ACTIONS(821),
    [aux_sym_session_type_token1] = ACTIONS(821),
    [aux_sym_set_env_token1] = ACTIONS(821),
    [aux_sym_stdin_null_token1] = ACTIONS(821),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(821),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(821),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(821),
    [aux_sym_syslog_facility_token1] = ACTIONS(821),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(821),
    [aux_sym_keep_alive_token1] = ACTIONS(821),
    [aux_sym_tag_token1] = ACTIONS(821),
    [aux_sym_tunnel_token1] = ACTIONS(823),
    [aux_sym_tunnel_device_token1] = ACTIONS(821),
    [aux_sym_update_host_keys_token1] = ACTIONS(821),
    [aux_sym_use_keychain_token1] = ACTIONS(821),
    [aux_sym_use_roaming_token1] = ACTIONS(821),
    [aux_sym_user_token1] = ACTIONS(823),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(821),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(821),
    [aux_sym_visual_host_key_token1] = ACTIONS(821),
    [aux_sym_xauth_location_token1] = ACTIONS(821),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(831),
    [aux_sym_match_token1] = ACTIONS(827),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(827),
    [aux_sym_address_family_token1] = ACTIONS(827),
    [aux_sym_batch_mode_token1] = ACTIONS(827),
    [aux_sym_bind_address_token1] = ACTIONS(827),
    [aux_sym_bind_interface_token1] = ACTIONS(827),
    [aux_sym_canonical_domains_token1] = ACTIONS(827),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(827),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(827),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(827),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(827),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(827),
    [aux_sym_certificate_file_token1] = ACTIONS(827),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(827),
    [aux_sym_channel_timeout_token1] = ACTIONS(827),
    [aux_sym_check_host_ip_token1] = ACTIONS(827),
    [aux_sym_ciphers_token1] = ACTIONS(827),
    [aux_sym_cipher_token1] = ACTIONS(829),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(827),
    [aux_sym_compression_token1] = ACTIONS(827),
    [aux_sym_connection_attempts_token1] = ACTIONS(827),
    [aux_sym_connect_timeout_token1] = ACTIONS(827),
    [aux_sym_control_master_token1] = ACTIONS(827),
    [aux_sym_control_path_token1] = ACTIONS(827),
    [aux_sym_control_persist_token1] = ACTIONS(827),
    [aux_sym_dynamic_forward_token1] = ACTIONS(827),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(827),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(827),
    [aux_sym_escape_char_token1] = ACTIONS(827),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(827),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(827),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(827),
    [aux_sym_forward_agent_token1] = ACTIONS(827),
    [aux_sym_forward_x11_token1] = ACTIONS(829),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(827),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(827),
    [aux_sym_gateway_ports_token1] = ACTIONS(827),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(827),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(827),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(827),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(827),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(827),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(827),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(827),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(827),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(827),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(827),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(827),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(827),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(827),
    [aux_sym_host_key_alias_token1] = ACTIONS(827),
    [aux_sym_hostname_token1] = ACTIONS(827),
    [aux_sym_identities_only_token1] = ACTIONS(827),
    [aux_sym_identity_agent_token1] = ACTIONS(827),
    [aux_sym_identity_file_token1] = ACTIONS(827),
    [aux_sym_ignore_unknown_token1] = ACTIONS(827),
    [aux_sym_include_token1] = ACTIONS(827),
    [aux_sym_ip_qos_token1] = ACTIONS(827),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(827),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(827),
    [aux_sym_kex_algorithms_token1] = ACTIONS(827),
    [aux_sym_known_hosts_command_token1] = ACTIONS(827),
    [aux_sym_local_command_token1] = ACTIONS(827),
    [aux_sym_local_forward_token1] = ACTIONS(827),
    [aux_sym_log_level_token1] = ACTIONS(827),
    [aux_sym_log_verbose_token1] = ACTIONS(827),
    [aux_sym_macs_token1] = ACTIONS(827),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(827),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(827),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(827),
    [aux_sym_password_authentication_token1] = ACTIONS(827),
    [aux_sym_permit_local_command_token1] = ACTIONS(827),
    [aux_sym_permit_remote_open_token1] = ACTIONS(827),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(827),
    [aux_sym_port_token1] = ACTIONS(827),
    [aux_sym_preferred_authentications_token1] = ACTIONS(827),
    [aux_sym_protocol_token1] = ACTIONS(827),
    [aux_sym_proxy_command_token1] = ACTIONS(827),
    [aux_sym_proxy_jump_token1] = ACTIONS(827),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(827),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(827),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(827),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(827),
    [aux_sym_rekey_limit_token1] = ACTIONS(827),
    [aux_sym_remote_command_token1] = ACTIONS(827),
    [aux_sym_remote_forward_token1] = ACTIONS(827),
    [aux_sym_request_tty_token1] = ACTIONS(827),
    [aux_sym_required_rsa_size_token1] = ACTIONS(827),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(827),
    [aux_sym_security_key_provider_token1] = ACTIONS(827),
    [aux_sym_send_env_token1] = ACTIONS(827),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(827),
    [aux_sym_server_alive_interval_token1] = ACTIONS(827),
    [aux_sym_session_type_token1] = ACTIONS(827),
    [aux_sym_set_env_token1] = ACTIONS(827),
    [aux_sym_stdin_null_token1] = ACTIONS(827),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(827),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(827),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(827),
    [aux_sym_syslog_facility_token1] = ACTIONS(827),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(827),
    [aux_sym_keep_alive_token1] = ACTIONS(827),
    [aux_sym_tag_token1] = ACTIONS(827),
    [aux_sym_tunnel_token1] = ACTIONS(829),
    [aux_sym_tunnel_device_token1] = ACTIONS(827),
    [aux_sym_update_host_keys_token1] = ACTIONS(827),
    [aux_sym_use_keychain_token1] = ACTIONS(827),
    [aux_sym_use_roaming_token1] = ACTIONS(827),
    [aux_sym_user_token1] = ACTIONS(829),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(827),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(827),
    [aux_sym_visual_host_key_token1] = ACTIONS(827),
    [aux_sym_xauth_location_token1] = ACTIONS(827),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(835),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [aux_sym_match_token1] = ACTIONS(833),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(833),
    [aux_sym_address_family_token1] = ACTIONS(833),
    [aux_sym_batch_mode_token1] = ACTIONS(833),
    [aux_sym_bind_address_token1] = ACTIONS(833),
    [aux_sym_bind_interface_token1] = ACTIONS(833),
    [aux_sym_canonical_domains_token1] = ACTIONS(833),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(833),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(833),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(833),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(833),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(833),
    [aux_sym_certificate_file_token1] = ACTIONS(833),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(833),
    [aux_sym_channel_timeout_token1] = ACTIONS(833),
    [aux_sym_check_host_ip_token1] = ACTIONS(833),
    [aux_sym_ciphers_token1] = ACTIONS(833),
    [aux_sym_cipher_token1] = ACTIONS(835),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(833),
    [aux_sym_compression_token1] = ACTIONS(833),
    [aux_sym_connection_attempts_token1] = ACTIONS(833),
    [aux_sym_connect_timeout_token1] = ACTIONS(833),
    [aux_sym_control_master_token1] = ACTIONS(833),
    [aux_sym_control_path_token1] = ACTIONS(833),
    [aux_sym_control_persist_token1] = ACTIONS(833),
    [aux_sym_dynamic_forward_token1] = ACTIONS(833),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(833),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(833),
    [aux_sym_escape_char_token1] = ACTIONS(833),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(833),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(833),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(833),
    [aux_sym_forward_agent_token1] = ACTIONS(833),
    [aux_sym_forward_x11_token1] = ACTIONS(835),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(833),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(833),
    [aux_sym_gateway_ports_token1] = ACTIONS(833),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(833),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(833),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(833),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(833),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(833),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(833),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(833),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(833),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(833),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(833),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(833),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(833),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(833),
    [aux_sym_host_key_alias_token1] = ACTIONS(833),
    [aux_sym_hostname_token1] = ACTIONS(833),
    [aux_sym_identities_only_token1] = ACTIONS(833),
    [aux_sym_identity_agent_token1] = ACTIONS(833),
    [aux_sym_identity_file_token1] = ACTIONS(833),
    [aux_sym_ignore_unknown_token1] = ACTIONS(833),
    [aux_sym_include_token1] = ACTIONS(833),
    [aux_sym_ip_qos_token1] = ACTIONS(833),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(833),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(833),
    [aux_sym_kex_algorithms_token1] = ACTIONS(833),
    [aux_sym_known_hosts_command_token1] = ACTIONS(833),
    [aux_sym_local_command_token1] = ACTIONS(833),
    [aux_sym_local_forward_token1] = ACTIONS(833),
    [aux_sym_log_level_token1] = ACTIONS(833),
    [aux_sym_log_verbose_token1] = ACTIONS(833),
    [aux_sym_macs_token1] = ACTIONS(833),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(833),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(833),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(833),
    [aux_sym_password_authentication_token1] = ACTIONS(833),
    [aux_sym_permit_local_command_token1] = ACTIONS(833),
    [aux_sym_permit_remote_open_token1] = ACTIONS(833),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(833),
    [aux_sym_port_token1] = ACTIONS(833),
    [aux_sym_preferred_authentications_token1] = ACTIONS(833),
    [aux_sym_protocol_token1] = ACTIONS(833),
    [aux_sym_proxy_command_token1] = ACTIONS(833),
    [aux_sym_proxy_jump_token1] = ACTIONS(833),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(833),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(833),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(833),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(833),
    [aux_sym_rekey_limit_token1] = ACTIONS(833),
    [aux_sym_remote_command_token1] = ACTIONS(833),
    [aux_sym_remote_forward_token1] = ACTIONS(833),
    [aux_sym_request_tty_token1] = ACTIONS(833),
    [aux_sym_required_rsa_size_token1] = ACTIONS(833),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(833),
    [aux_sym_security_key_provider_token1] = ACTIONS(833),
    [aux_sym_send_env_token1] = ACTIONS(833),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(833),
    [aux_sym_server_alive_interval_token1] = ACTIONS(833),
    [aux_sym_session_type_token1] = ACTIONS(833),
    [aux_sym_set_env_token1] = ACTIONS(833),
    [aux_sym_stdin_null_token1] = ACTIONS(833),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(833),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(833),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(833),
    [aux_sym_syslog_facility_token1] = ACTIONS(833),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(833),
    [aux_sym_keep_alive_token1] = ACTIONS(833),
    [aux_sym_tag_token1] = ACTIONS(833),
    [aux_sym_tunnel_token1] = ACTIONS(835),
    [aux_sym_tunnel_device_token1] = ACTIONS(833),
    [aux_sym_update_host_keys_token1] = ACTIONS(833),
    [aux_sym_use_keychain_token1] = ACTIONS(833),
    [aux_sym_use_roaming_token1] = ACTIONS(833),
    [aux_sym_user_token1] = ACTIONS(835),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(833),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(833),
    [aux_sym_visual_host_key_token1] = ACTIONS(833),
    [aux_sym_xauth_location_token1] = ACTIONS(833),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [aux_sym_match_token1] = ACTIONS(839),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(839),
    [aux_sym_address_family_token1] = ACTIONS(839),
    [aux_sym_batch_mode_token1] = ACTIONS(839),
    [aux_sym_bind_address_token1] = ACTIONS(839),
    [aux_sym_bind_interface_token1] = ACTIONS(839),
    [aux_sym_canonical_domains_token1] = ACTIONS(839),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(839),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(839),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(839),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(839),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(839),
    [aux_sym_certificate_file_token1] = ACTIONS(839),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(839),
    [aux_sym_channel_timeout_token1] = ACTIONS(839),
    [aux_sym_check_host_ip_token1] = ACTIONS(839),
    [aux_sym_ciphers_token1] = ACTIONS(839),
    [aux_sym_cipher_token1] = ACTIONS(841),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(839),
    [aux_sym_compression_token1] = ACTIONS(839),
    [aux_sym_connection_attempts_token1] = ACTIONS(839),
    [aux_sym_connect_timeout_token1] = ACTIONS(839),
    [aux_sym_control_master_token1] = ACTIONS(839),
    [aux_sym_control_path_token1] = ACTIONS(839),
    [aux_sym_control_persist_token1] = ACTIONS(839),
    [aux_sym_dynamic_forward_token1] = ACTIONS(839),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(839),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(839),
    [aux_sym_escape_char_token1] = ACTIONS(839),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(839),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(839),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(839),
    [aux_sym_forward_agent_token1] = ACTIONS(839),
    [aux_sym_forward_x11_token1] = ACTIONS(841),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(839),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(839),
    [aux_sym_gateway_ports_token1] = ACTIONS(839),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(839),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(839),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(839),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(839),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(839),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(839),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(839),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(839),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(839),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(839),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(839),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(839),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(839),
    [aux_sym_host_key_alias_token1] = ACTIONS(839),
    [aux_sym_hostname_token1] = ACTIONS(839),
    [aux_sym_identities_only_token1] = ACTIONS(839),
    [aux_sym_identity_agent_token1] = ACTIONS(839),
    [aux_sym_identity_file_token1] = ACTIONS(839),
    [aux_sym_ignore_unknown_token1] = ACTIONS(839),
    [aux_sym_include_token1] = ACTIONS(839),
    [aux_sym_ip_qos_token1] = ACTIONS(839),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(839),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(839),
    [aux_sym_kex_algorithms_token1] = ACTIONS(839),
    [aux_sym_known_hosts_command_token1] = ACTIONS(839),
    [aux_sym_local_command_token1] = ACTIONS(839),
    [aux_sym_local_forward_token1] = ACTIONS(839),
    [aux_sym_log_level_token1] = ACTIONS(839),
    [aux_sym_log_verbose_token1] = ACTIONS(839),
    [aux_sym_macs_token1] = ACTIONS(839),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(839),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(839),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(839),
    [aux_sym_password_authentication_token1] = ACTIONS(839),
    [aux_sym_permit_local_command_token1] = ACTIONS(839),
    [aux_sym_permit_remote_open_token1] = ACTIONS(839),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(839),
    [aux_sym_port_token1] = ACTIONS(839),
    [aux_sym_preferred_authentications_token1] = ACTIONS(839),
    [aux_sym_protocol_token1] = ACTIONS(839),
    [aux_sym_proxy_command_token1] = ACTIONS(839),
    [aux_sym_proxy_jump_token1] = ACTIONS(839),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(839),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(839),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(839),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(839),
    [aux_sym_rekey_limit_token1] = ACTIONS(839),
    [aux_sym_remote_command_token1] = ACTIONS(839),
    [aux_sym_remote_forward_token1] = ACTIONS(839),
    [aux_sym_request_tty_token1] = ACTIONS(839),
    [aux_sym_required_rsa_size_token1] = ACTIONS(839),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(839),
    [aux_sym_security_key_provider_token1] = ACTIONS(839),
    [aux_sym_send_env_token1] = ACTIONS(839),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(839),
    [aux_sym_server_alive_interval_token1] = ACTIONS(839),
    [aux_sym_session_type_token1] = ACTIONS(839),
    [aux_sym_set_env_token1] = ACTIONS(839),
    [aux_sym_stdin_null_token1] = ACTIONS(839),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(839),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(839),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(839),
    [aux_sym_syslog_facility_token1] = ACTIONS(839),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(839),
    [aux_sym_keep_alive_token1] = ACTIONS(839),
    [aux_sym_tag_token1] = ACTIONS(839),
    [aux_sym_tunnel_token1] = ACTIONS(841),
    [aux_sym_tunnel_device_token1] = ACTIONS(839),
    [aux_sym_update_host_keys_token1] = ACTIONS(839),
    [aux_sym_use_keychain_token1] = ACTIONS(839),
    [aux_sym_use_roaming_token1] = ACTIONS(839),
    [aux_sym_user_token1] = ACTIONS(841),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(839),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(839),
    [aux_sym_visual_host_key_token1] = ACTIONS(839),
    [aux_sym_xauth_location_token1] = ACTIONS(839),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(845),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(847),
    [anon_sym_DQUOTE] = ACTIONS(849),
    [aux_sym_match_token1] = ACTIONS(845),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(845),
    [aux_sym_address_family_token1] = ACTIONS(845),
    [aux_sym_batch_mode_token1] = ACTIONS(845),
    [aux_sym_bind_address_token1] = ACTIONS(845),
    [aux_sym_bind_interface_token1] = ACTIONS(845),
    [aux_sym_canonical_domains_token1] = ACTIONS(845),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(845),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(845),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(845),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(845),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(845),
    [aux_sym_certificate_file_token1] = ACTIONS(845),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(845),
    [aux_sym_channel_timeout_token1] = ACTIONS(845),
    [aux_sym_check_host_ip_token1] = ACTIONS(845),
    [aux_sym_ciphers_token1] = ACTIONS(845),
    [aux_sym_cipher_token1] = ACTIONS(847),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(845),
    [aux_sym_compression_token1] = ACTIONS(845),
    [aux_sym_connection_attempts_token1] = ACTIONS(845),
    [aux_sym_connect_timeout_token1] = ACTIONS(845),
    [aux_sym_control_master_token1] = ACTIONS(845),
    [aux_sym_control_path_token1] = ACTIONS(845),
    [aux_sym_control_persist_token1] = ACTIONS(845),
    [aux_sym_dynamic_forward_token1] = ACTIONS(845),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(845),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(845),
    [aux_sym_escape_char_token1] = ACTIONS(845),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(845),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(845),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(845),
    [aux_sym_forward_agent_token1] = ACTIONS(845),
    [aux_sym_forward_x11_token1] = ACTIONS(847),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(845),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(845),
    [aux_sym_gateway_ports_token1] = ACTIONS(845),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(845),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(845),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(845),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(845),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(845),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(845),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(845),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(845),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(845),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(845),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(845),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(845),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(845),
    [aux_sym_host_key_alias_token1] = ACTIONS(845),
    [aux_sym_hostname_token1] = ACTIONS(845),
    [aux_sym_identities_only_token1] = ACTIONS(845),
    [aux_sym_identity_agent_token1] = ACTIONS(845),
    [aux_sym_identity_file_token1] = ACTIONS(845),
    [aux_sym_ignore_unknown_token1] = ACTIONS(845),
    [aux_sym_include_token1] = ACTIONS(845),
    [aux_sym_ip_qos_token1] = ACTIONS(845),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(845),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(845),
    [aux_sym_kex_algorithms_token1] = ACTIONS(845),
    [aux_sym_known_hosts_command_token1] = ACTIONS(845),
    [aux_sym_local_command_token1] = ACTIONS(845),
    [aux_sym_local_forward_token1] = ACTIONS(845),
    [aux_sym_log_level_token1] = ACTIONS(845),
    [aux_sym_log_verbose_token1] = ACTIONS(845),
    [aux_sym_macs_token1] = ACTIONS(845),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(845),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(845),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(845),
    [aux_sym_password_authentication_token1] = ACTIONS(845),
    [aux_sym_permit_local_command_token1] = ACTIONS(845),
    [aux_sym_permit_remote_open_token1] = ACTIONS(845),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(845),
    [aux_sym_port_token1] = ACTIONS(845),
    [aux_sym_preferred_authentications_token1] = ACTIONS(845),
    [aux_sym_protocol_token1] = ACTIONS(845),
    [aux_sym_proxy_command_token1] = ACTIONS(845),
    [aux_sym_proxy_jump_token1] = ACTIONS(845),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(845),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(845),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(845),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(845),
    [aux_sym_rekey_limit_token1] = ACTIONS(845),
    [aux_sym_remote_command_token1] = ACTIONS(845),
    [aux_sym_remote_forward_token1] = ACTIONS(845),
    [aux_sym_request_tty_token1] = ACTIONS(845),
    [aux_sym_required_rsa_size_token1] = ACTIONS(845),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(845),
    [aux_sym_security_key_provider_token1] = ACTIONS(845),
    [aux_sym_send_env_token1] = ACTIONS(845),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(845),
    [aux_sym_server_alive_interval_token1] = ACTIONS(845),
    [aux_sym_session_type_token1] = ACTIONS(845),
    [aux_sym_set_env_token1] = ACTIONS(845),
    [aux_sym_stdin_null_token1] = ACTIONS(845),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(845),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(845),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(845),
    [aux_sym_syslog_facility_token1] = ACTIONS(845),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(845),
    [aux_sym_keep_alive_token1] = ACTIONS(845),
    [aux_sym_tag_token1] = ACTIONS(845),
    [aux_sym_tunnel_token1] = ACTIONS(847),
    [aux_sym_tunnel_device_token1] = ACTIONS(845),
    [aux_sym_update_host_keys_token1] = ACTIONS(845),
    [aux_sym_use_keychain_token1] = ACTIONS(845),
    [aux_sym_use_roaming_token1] = ACTIONS(845),
    [aux_sym_user_token1] = ACTIONS(847),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(845),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(845),
    [aux_sym_visual_host_key_token1] = ACTIONS(845),
    [aux_sym_xauth_location_token1] = ACTIONS(845),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [aux_sym_match_token1] = ACTIONS(851),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(851),
    [aux_sym_address_family_token1] = ACTIONS(851),
    [aux_sym_batch_mode_token1] = ACTIONS(851),
    [aux_sym_bind_address_token1] = ACTIONS(851),
    [aux_sym_bind_interface_token1] = ACTIONS(851),
    [aux_sym_canonical_domains_token1] = ACTIONS(851),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(851),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(851),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(851),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(851),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(851),
    [aux_sym_certificate_file_token1] = ACTIONS(851),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(851),
    [aux_sym_channel_timeout_token1] = ACTIONS(851),
    [aux_sym_check_host_ip_token1] = ACTIONS(851),
    [aux_sym_ciphers_token1] = ACTIONS(851),
    [aux_sym_cipher_token1] = ACTIONS(853),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(851),
    [aux_sym_compression_token1] = ACTIONS(851),
    [aux_sym_connection_attempts_token1] = ACTIONS(851),
    [aux_sym_connect_timeout_token1] = ACTIONS(851),
    [aux_sym_control_master_token1] = ACTIONS(851),
    [aux_sym_control_path_token1] = ACTIONS(851),
    [aux_sym_control_persist_token1] = ACTIONS(851),
    [aux_sym_dynamic_forward_token1] = ACTIONS(851),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(851),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(851),
    [aux_sym_escape_char_token1] = ACTIONS(851),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(851),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(851),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(851),
    [aux_sym_forward_agent_token1] = ACTIONS(851),
    [aux_sym_forward_x11_token1] = ACTIONS(853),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(851),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(851),
    [aux_sym_gateway_ports_token1] = ACTIONS(851),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(851),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(851),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(851),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(851),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(851),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(851),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(851),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(851),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(851),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(851),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(851),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(851),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(851),
    [aux_sym_host_key_alias_token1] = ACTIONS(851),
    [aux_sym_hostname_token1] = ACTIONS(851),
    [aux_sym_identities_only_token1] = ACTIONS(851),
    [aux_sym_identity_agent_token1] = ACTIONS(851),
    [aux_sym_identity_file_token1] = ACTIONS(851),
    [aux_sym_ignore_unknown_token1] = ACTIONS(851),
    [aux_sym_include_token1] = ACTIONS(851),
    [aux_sym_ip_qos_token1] = ACTIONS(851),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(851),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(851),
    [aux_sym_kex_algorithms_token1] = ACTIONS(851),
    [aux_sym_known_hosts_command_token1] = ACTIONS(851),
    [aux_sym_local_command_token1] = ACTIONS(851),
    [aux_sym_local_forward_token1] = ACTIONS(851),
    [aux_sym_log_level_token1] = ACTIONS(851),
    [aux_sym_log_verbose_token1] = ACTIONS(851),
    [aux_sym_macs_token1] = ACTIONS(851),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(851),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(851),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(851),
    [aux_sym_password_authentication_token1] = ACTIONS(851),
    [aux_sym_permit_local_command_token1] = ACTIONS(851),
    [aux_sym_permit_remote_open_token1] = ACTIONS(851),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(851),
    [aux_sym_port_token1] = ACTIONS(851),
    [aux_sym_preferred_authentications_token1] = ACTIONS(851),
    [aux_sym_protocol_token1] = ACTIONS(851),
    [aux_sym_proxy_command_token1] = ACTIONS(851),
    [aux_sym_proxy_jump_token1] = ACTIONS(851),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(851),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(851),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(851),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(851),
    [aux_sym_rekey_limit_token1] = ACTIONS(851),
    [aux_sym_remote_command_token1] = ACTIONS(851),
    [aux_sym_remote_forward_token1] = ACTIONS(851),
    [aux_sym_request_tty_token1] = ACTIONS(851),
    [aux_sym_required_rsa_size_token1] = ACTIONS(851),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(851),
    [aux_sym_security_key_provider_token1] = ACTIONS(851),
    [aux_sym_send_env_token1] = ACTIONS(851),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(851),
    [aux_sym_server_alive_interval_token1] = ACTIONS(851),
    [aux_sym_session_type_token1] = ACTIONS(851),
    [aux_sym_set_env_token1] = ACTIONS(851),
    [aux_sym_stdin_null_token1] = ACTIONS(851),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(851),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(851),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(851),
    [aux_sym_syslog_facility_token1] = ACTIONS(851),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(851),
    [aux_sym_keep_alive_token1] = ACTIONS(851),
    [aux_sym_tag_token1] = ACTIONS(851),
    [aux_sym_tunnel_token1] = ACTIONS(853),
    [aux_sym_tunnel_device_token1] = ACTIONS(851),
    [aux_sym_update_host_keys_token1] = ACTIONS(851),
    [aux_sym_use_keychain_token1] = ACTIONS(851),
    [aux_sym_use_roaming_token1] = ACTIONS(851),
    [aux_sym_user_token1] = ACTIONS(853),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(851),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(851),
    [aux_sym_visual_host_key_token1] = ACTIONS(851),
    [aux_sym_xauth_location_token1] = ACTIONS(851),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(857),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [aux_sym_match_token1] = ACTIONS(857),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(857),
    [aux_sym_address_family_token1] = ACTIONS(857),
    [aux_sym_batch_mode_token1] = ACTIONS(857),
    [aux_sym_bind_address_token1] = ACTIONS(857),
    [aux_sym_bind_interface_token1] = ACTIONS(857),
    [aux_sym_canonical_domains_token1] = ACTIONS(857),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(857),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(857),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(857),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(857),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(857),
    [aux_sym_certificate_file_token1] = ACTIONS(857),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(857),
    [aux_sym_channel_timeout_token1] = ACTIONS(857),
    [aux_sym_check_host_ip_token1] = ACTIONS(857),
    [aux_sym_ciphers_token1] = ACTIONS(857),
    [aux_sym_cipher_token1] = ACTIONS(859),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(857),
    [aux_sym_compression_token1] = ACTIONS(857),
    [aux_sym_connection_attempts_token1] = ACTIONS(857),
    [aux_sym_connect_timeout_token1] = ACTIONS(857),
    [aux_sym_control_master_token1] = ACTIONS(857),
    [aux_sym_control_path_token1] = ACTIONS(857),
    [aux_sym_control_persist_token1] = ACTIONS(857),
    [aux_sym_dynamic_forward_token1] = ACTIONS(857),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(857),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(857),
    [aux_sym_escape_char_token1] = ACTIONS(857),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(857),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(857),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(857),
    [aux_sym_forward_agent_token1] = ACTIONS(857),
    [aux_sym_forward_x11_token1] = ACTIONS(859),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(857),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(857),
    [aux_sym_gateway_ports_token1] = ACTIONS(857),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(857),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(857),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(857),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(857),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(857),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(857),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(857),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(857),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(857),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(857),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(857),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(857),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(857),
    [aux_sym_host_key_alias_token1] = ACTIONS(857),
    [aux_sym_hostname_token1] = ACTIONS(857),
    [aux_sym_identities_only_token1] = ACTIONS(857),
    [aux_sym_identity_agent_token1] = ACTIONS(857),
    [aux_sym_identity_file_token1] = ACTIONS(857),
    [aux_sym_ignore_unknown_token1] = ACTIONS(857),
    [aux_sym_include_token1] = ACTIONS(857),
    [aux_sym_ip_qos_token1] = ACTIONS(857),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(857),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(857),
    [aux_sym_kex_algorithms_token1] = ACTIONS(857),
    [aux_sym_known_hosts_command_token1] = ACTIONS(857),
    [aux_sym_local_command_token1] = ACTIONS(857),
    [aux_sym_local_forward_token1] = ACTIONS(857),
    [aux_sym_log_level_token1] = ACTIONS(857),
    [aux_sym_log_verbose_token1] = ACTIONS(857),
    [aux_sym_macs_token1] = ACTIONS(857),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(857),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(857),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(857),
    [aux_sym_password_authentication_token1] = ACTIONS(857),
    [aux_sym_permit_local_command_token1] = ACTIONS(857),
    [aux_sym_permit_remote_open_token1] = ACTIONS(857),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(857),
    [aux_sym_port_token1] = ACTIONS(857),
    [aux_sym_preferred_authentications_token1] = ACTIONS(857),
    [aux_sym_protocol_token1] = ACTIONS(857),
    [aux_sym_proxy_command_token1] = ACTIONS(857),
    [aux_sym_proxy_jump_token1] = ACTIONS(857),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(857),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(857),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(857),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(857),
    [aux_sym_rekey_limit_token1] = ACTIONS(857),
    [aux_sym_remote_command_token1] = ACTIONS(857),
    [aux_sym_remote_forward_token1] = ACTIONS(857),
    [aux_sym_request_tty_token1] = ACTIONS(857),
    [aux_sym_required_rsa_size_token1] = ACTIONS(857),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(857),
    [aux_sym_security_key_provider_token1] = ACTIONS(857),
    [aux_sym_send_env_token1] = ACTIONS(857),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(857),
    [aux_sym_server_alive_interval_token1] = ACTIONS(857),
    [aux_sym_session_type_token1] = ACTIONS(857),
    [aux_sym_set_env_token1] = ACTIONS(857),
    [aux_sym_stdin_null_token1] = ACTIONS(857),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(857),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(857),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(857),
    [aux_sym_syslog_facility_token1] = ACTIONS(857),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(857),
    [aux_sym_keep_alive_token1] = ACTIONS(857),
    [aux_sym_tag_token1] = ACTIONS(857),
    [aux_sym_tunnel_token1] = ACTIONS(859),
    [aux_sym_tunnel_device_token1] = ACTIONS(857),
    [aux_sym_update_host_keys_token1] = ACTIONS(857),
    [aux_sym_use_keychain_token1] = ACTIONS(857),
    [aux_sym_use_roaming_token1] = ACTIONS(857),
    [aux_sym_user_token1] = ACTIONS(859),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(857),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(857),
    [aux_sym_visual_host_key_token1] = ACTIONS(857),
    [aux_sym_xauth_location_token1] = ACTIONS(857),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(867),
    [aux_sym_match_token1] = ACTIONS(863),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(863),
    [aux_sym_address_family_token1] = ACTIONS(863),
    [aux_sym_batch_mode_token1] = ACTIONS(863),
    [aux_sym_bind_address_token1] = ACTIONS(863),
    [aux_sym_bind_interface_token1] = ACTIONS(863),
    [aux_sym_canonical_domains_token1] = ACTIONS(863),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(863),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(863),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(863),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(863),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(863),
    [aux_sym_certificate_file_token1] = ACTIONS(863),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(863),
    [aux_sym_channel_timeout_token1] = ACTIONS(863),
    [aux_sym_check_host_ip_token1] = ACTIONS(863),
    [aux_sym_ciphers_token1] = ACTIONS(863),
    [aux_sym_cipher_token1] = ACTIONS(865),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(863),
    [aux_sym_compression_token1] = ACTIONS(863),
    [aux_sym_connection_attempts_token1] = ACTIONS(863),
    [aux_sym_connect_timeout_token1] = ACTIONS(863),
    [aux_sym_control_master_token1] = ACTIONS(863),
    [aux_sym_control_path_token1] = ACTIONS(863),
    [aux_sym_control_persist_token1] = ACTIONS(863),
    [aux_sym_dynamic_forward_token1] = ACTIONS(863),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(863),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(863),
    [aux_sym_escape_char_token1] = ACTIONS(863),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(863),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(863),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(863),
    [aux_sym_forward_agent_token1] = ACTIONS(863),
    [aux_sym_forward_x11_token1] = ACTIONS(865),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(863),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(863),
    [aux_sym_gateway_ports_token1] = ACTIONS(863),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(863),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(863),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(863),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(863),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(863),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(863),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(863),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(863),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(863),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(863),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(863),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(863),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(863),
    [aux_sym_host_key_alias_token1] = ACTIONS(863),
    [aux_sym_hostname_token1] = ACTIONS(863),
    [aux_sym_identities_only_token1] = ACTIONS(863),
    [aux_sym_identity_agent_token1] = ACTIONS(863),
    [aux_sym_identity_file_token1] = ACTIONS(863),
    [aux_sym_ignore_unknown_token1] = ACTIONS(863),
    [aux_sym_include_token1] = ACTIONS(863),
    [aux_sym_ip_qos_token1] = ACTIONS(863),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(863),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(863),
    [aux_sym_kex_algorithms_token1] = ACTIONS(863),
    [aux_sym_known_hosts_command_token1] = ACTIONS(863),
    [aux_sym_local_command_token1] = ACTIONS(863),
    [aux_sym_local_forward_token1] = ACTIONS(863),
    [aux_sym_log_level_token1] = ACTIONS(863),
    [aux_sym_log_verbose_token1] = ACTIONS(863),
    [aux_sym_macs_token1] = ACTIONS(863),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(863),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(863),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(863),
    [aux_sym_password_authentication_token1] = ACTIONS(863),
    [aux_sym_permit_local_command_token1] = ACTIONS(863),
    [aux_sym_permit_remote_open_token1] = ACTIONS(863),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(863),
    [aux_sym_port_token1] = ACTIONS(863),
    [aux_sym_preferred_authentications_token1] = ACTIONS(863),
    [aux_sym_protocol_token1] = ACTIONS(863),
    [aux_sym_proxy_command_token1] = ACTIONS(863),
    [aux_sym_proxy_jump_token1] = ACTIONS(863),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(863),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(863),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(863),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(863),
    [aux_sym_rekey_limit_token1] = ACTIONS(863),
    [aux_sym_remote_command_token1] = ACTIONS(863),
    [aux_sym_remote_forward_token1] = ACTIONS(863),
    [aux_sym_request_tty_token1] = ACTIONS(863),
    [aux_sym_required_rsa_size_token1] = ACTIONS(863),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(863),
    [aux_sym_security_key_provider_token1] = ACTIONS(863),
    [aux_sym_send_env_token1] = ACTIONS(863),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(863),
    [aux_sym_server_alive_interval_token1] = ACTIONS(863),
    [aux_sym_session_type_token1] = ACTIONS(863),
    [aux_sym_set_env_token1] = ACTIONS(863),
    [aux_sym_stdin_null_token1] = ACTIONS(863),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(863),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(863),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(863),
    [aux_sym_syslog_facility_token1] = ACTIONS(863),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(863),
    [aux_sym_keep_alive_token1] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(863),
    [aux_sym_tunnel_token1] = ACTIONS(865),
    [aux_sym_tunnel_device_token1] = ACTIONS(863),
    [aux_sym_update_host_keys_token1] = ACTIONS(863),
    [aux_sym_use_keychain_token1] = ACTIONS(863),
    [aux_sym_use_roaming_token1] = ACTIONS(863),
    [aux_sym_user_token1] = ACTIONS(865),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(863),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(863),
    [aux_sym_visual_host_key_token1] = ACTIONS(863),
    [aux_sym_xauth_location_token1] = ACTIONS(863),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(871),
    [anon_sym_DQUOTE] = ACTIONS(873),
    [aux_sym_match_token1] = ACTIONS(869),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(869),
    [aux_sym_address_family_token1] = ACTIONS(869),
    [aux_sym_batch_mode_token1] = ACTIONS(869),
    [aux_sym_bind_address_token1] = ACTIONS(869),
    [aux_sym_bind_interface_token1] = ACTIONS(869),
    [aux_sym_canonical_domains_token1] = ACTIONS(869),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(869),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(869),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(869),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(869),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(869),
    [aux_sym_certificate_file_token1] = ACTIONS(869),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(869),
    [aux_sym_channel_timeout_token1] = ACTIONS(869),
    [aux_sym_check_host_ip_token1] = ACTIONS(869),
    [aux_sym_ciphers_token1] = ACTIONS(869),
    [aux_sym_cipher_token1] = ACTIONS(871),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(869),
    [aux_sym_compression_token1] = ACTIONS(869),
    [aux_sym_connection_attempts_token1] = ACTIONS(869),
    [aux_sym_connect_timeout_token1] = ACTIONS(869),
    [aux_sym_control_master_token1] = ACTIONS(869),
    [aux_sym_control_path_token1] = ACTIONS(869),
    [aux_sym_control_persist_token1] = ACTIONS(869),
    [aux_sym_dynamic_forward_token1] = ACTIONS(869),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(869),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(869),
    [aux_sym_escape_char_token1] = ACTIONS(869),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(869),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(869),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(869),
    [aux_sym_forward_agent_token1] = ACTIONS(869),
    [aux_sym_forward_x11_token1] = ACTIONS(871),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(869),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(869),
    [aux_sym_gateway_ports_token1] = ACTIONS(869),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(869),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(869),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(869),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(869),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(869),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(869),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(869),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(869),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(869),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(869),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(869),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(869),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(869),
    [aux_sym_host_key_alias_token1] = ACTIONS(869),
    [aux_sym_hostname_token1] = ACTIONS(869),
    [aux_sym_identities_only_token1] = ACTIONS(869),
    [aux_sym_identity_agent_token1] = ACTIONS(869),
    [aux_sym_identity_file_token1] = ACTIONS(869),
    [aux_sym_ignore_unknown_token1] = ACTIONS(869),
    [aux_sym_include_token1] = ACTIONS(869),
    [aux_sym_ip_qos_token1] = ACTIONS(869),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(869),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(869),
    [aux_sym_kex_algorithms_token1] = ACTIONS(869),
    [aux_sym_known_hosts_command_token1] = ACTIONS(869),
    [aux_sym_local_command_token1] = ACTIONS(869),
    [aux_sym_local_forward_token1] = ACTIONS(869),
    [aux_sym_log_level_token1] = ACTIONS(869),
    [aux_sym_log_verbose_token1] = ACTIONS(869),
    [aux_sym_macs_token1] = ACTIONS(869),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(869),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(869),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(869),
    [aux_sym_password_authentication_token1] = ACTIONS(869),
    [aux_sym_permit_local_command_token1] = ACTIONS(869),
    [aux_sym_permit_remote_open_token1] = ACTIONS(869),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(869),
    [aux_sym_port_token1] = ACTIONS(869),
    [aux_sym_preferred_authentications_token1] = ACTIONS(869),
    [aux_sym_protocol_token1] = ACTIONS(869),
    [aux_sym_proxy_command_token1] = ACTIONS(869),
    [aux_sym_proxy_jump_token1] = ACTIONS(869),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(869),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(869),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(869),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(869),
    [aux_sym_rekey_limit_token1] = ACTIONS(869),
    [aux_sym_remote_command_token1] = ACTIONS(869),
    [aux_sym_remote_forward_token1] = ACTIONS(869),
    [aux_sym_request_tty_token1] = ACTIONS(869),
    [aux_sym_required_rsa_size_token1] = ACTIONS(869),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(869),
    [aux_sym_security_key_provider_token1] = ACTIONS(869),
    [aux_sym_send_env_token1] = ACTIONS(869),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(869),
    [aux_sym_server_alive_interval_token1] = ACTIONS(869),
    [aux_sym_session_type_token1] = ACTIONS(869),
    [aux_sym_set_env_token1] = ACTIONS(869),
    [aux_sym_stdin_null_token1] = ACTIONS(869),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(869),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(869),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(869),
    [aux_sym_syslog_facility_token1] = ACTIONS(869),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(869),
    [aux_sym_keep_alive_token1] = ACTIONS(869),
    [aux_sym_tag_token1] = ACTIONS(869),
    [aux_sym_tunnel_token1] = ACTIONS(871),
    [aux_sym_tunnel_device_token1] = ACTIONS(869),
    [aux_sym_update_host_keys_token1] = ACTIONS(869),
    [aux_sym_use_keychain_token1] = ACTIONS(869),
    [aux_sym_use_roaming_token1] = ACTIONS(869),
    [aux_sym_user_token1] = ACTIONS(871),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(869),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(869),
    [aux_sym_visual_host_key_token1] = ACTIONS(869),
    [aux_sym_xauth_location_token1] = ACTIONS(869),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(879),
    [aux_sym_match_token1] = ACTIONS(875),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(875),
    [aux_sym_address_family_token1] = ACTIONS(875),
    [aux_sym_batch_mode_token1] = ACTIONS(875),
    [aux_sym_bind_address_token1] = ACTIONS(875),
    [aux_sym_bind_interface_token1] = ACTIONS(875),
    [aux_sym_canonical_domains_token1] = ACTIONS(875),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(875),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(875),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(875),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(875),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(875),
    [aux_sym_certificate_file_token1] = ACTIONS(875),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(875),
    [aux_sym_channel_timeout_token1] = ACTIONS(875),
    [aux_sym_check_host_ip_token1] = ACTIONS(875),
    [aux_sym_ciphers_token1] = ACTIONS(875),
    [aux_sym_cipher_token1] = ACTIONS(877),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(875),
    [aux_sym_compression_token1] = ACTIONS(875),
    [aux_sym_connection_attempts_token1] = ACTIONS(875),
    [aux_sym_connect_timeout_token1] = ACTIONS(875),
    [aux_sym_control_master_token1] = ACTIONS(875),
    [aux_sym_control_path_token1] = ACTIONS(875),
    [aux_sym_control_persist_token1] = ACTIONS(875),
    [aux_sym_dynamic_forward_token1] = ACTIONS(875),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(875),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(875),
    [aux_sym_escape_char_token1] = ACTIONS(875),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(875),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(875),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(875),
    [aux_sym_forward_agent_token1] = ACTIONS(875),
    [aux_sym_forward_x11_token1] = ACTIONS(877),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(875),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(875),
    [aux_sym_gateway_ports_token1] = ACTIONS(875),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(875),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(875),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(875),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(875),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(875),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(875),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(875),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(875),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(875),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(875),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(875),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(875),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(875),
    [aux_sym_host_key_alias_token1] = ACTIONS(875),
    [aux_sym_hostname_token1] = ACTIONS(875),
    [aux_sym_identities_only_token1] = ACTIONS(875),
    [aux_sym_identity_agent_token1] = ACTIONS(875),
    [aux_sym_identity_file_token1] = ACTIONS(875),
    [aux_sym_ignore_unknown_token1] = ACTIONS(875),
    [aux_sym_include_token1] = ACTIONS(875),
    [aux_sym_ip_qos_token1] = ACTIONS(875),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(875),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(875),
    [aux_sym_kex_algorithms_token1] = ACTIONS(875),
    [aux_sym_known_hosts_command_token1] = ACTIONS(875),
    [aux_sym_local_command_token1] = ACTIONS(875),
    [aux_sym_local_forward_token1] = ACTIONS(875),
    [aux_sym_log_level_token1] = ACTIONS(875),
    [aux_sym_log_verbose_token1] = ACTIONS(875),
    [aux_sym_macs_token1] = ACTIONS(875),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(875),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(875),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(875),
    [aux_sym_password_authentication_token1] = ACTIONS(875),
    [aux_sym_permit_local_command_token1] = ACTIONS(875),
    [aux_sym_permit_remote_open_token1] = ACTIONS(875),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(875),
    [aux_sym_port_token1] = ACTIONS(875),
    [aux_sym_preferred_authentications_token1] = ACTIONS(875),
    [aux_sym_protocol_token1] = ACTIONS(875),
    [aux_sym_proxy_command_token1] = ACTIONS(875),
    [aux_sym_proxy_jump_token1] = ACTIONS(875),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(875),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(875),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(875),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(875),
    [aux_sym_rekey_limit_token1] = ACTIONS(875),
    [aux_sym_remote_command_token1] = ACTIONS(875),
    [aux_sym_remote_forward_token1] = ACTIONS(875),
    [aux_sym_request_tty_token1] = ACTIONS(875),
    [aux_sym_required_rsa_size_token1] = ACTIONS(875),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(875),
    [aux_sym_security_key_provider_token1] = ACTIONS(875),
    [aux_sym_send_env_token1] = ACTIONS(875),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(875),
    [aux_sym_server_alive_interval_token1] = ACTIONS(875),
    [aux_sym_session_type_token1] = ACTIONS(875),
    [aux_sym_set_env_token1] = ACTIONS(875),
    [aux_sym_stdin_null_token1] = ACTIONS(875),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(875),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(875),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(875),
    [aux_sym_syslog_facility_token1] = ACTIONS(875),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(875),
    [aux_sym_keep_alive_token1] = ACTIONS(875),
    [aux_sym_tag_token1] = ACTIONS(875),
    [aux_sym_tunnel_token1] = ACTIONS(877),
    [aux_sym_tunnel_device_token1] = ACTIONS(875),
    [aux_sym_update_host_keys_token1] = ACTIONS(875),
    [aux_sym_use_keychain_token1] = ACTIONS(875),
    [aux_sym_use_roaming_token1] = ACTIONS(875),
    [aux_sym_user_token1] = ACTIONS(877),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(875),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(875),
    [aux_sym_visual_host_key_token1] = ACTIONS(875),
    [aux_sym_xauth_location_token1] = ACTIONS(875),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [aux_sym_match_token1] = ACTIONS(881),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(881),
    [aux_sym_address_family_token1] = ACTIONS(881),
    [aux_sym_batch_mode_token1] = ACTIONS(881),
    [aux_sym_bind_address_token1] = ACTIONS(881),
    [aux_sym_bind_interface_token1] = ACTIONS(881),
    [aux_sym_canonical_domains_token1] = ACTIONS(881),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(881),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(881),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(881),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(881),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(881),
    [aux_sym_certificate_file_token1] = ACTIONS(881),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(881),
    [aux_sym_channel_timeout_token1] = ACTIONS(881),
    [aux_sym_check_host_ip_token1] = ACTIONS(881),
    [aux_sym_ciphers_token1] = ACTIONS(881),
    [aux_sym_cipher_token1] = ACTIONS(883),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(881),
    [aux_sym_compression_token1] = ACTIONS(881),
    [aux_sym_connection_attempts_token1] = ACTIONS(881),
    [aux_sym_connect_timeout_token1] = ACTIONS(881),
    [aux_sym_control_master_token1] = ACTIONS(881),
    [aux_sym_control_path_token1] = ACTIONS(881),
    [aux_sym_control_persist_token1] = ACTIONS(881),
    [aux_sym_dynamic_forward_token1] = ACTIONS(881),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(881),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(881),
    [aux_sym_escape_char_token1] = ACTIONS(881),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(881),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(881),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(881),
    [aux_sym_forward_agent_token1] = ACTIONS(881),
    [aux_sym_forward_x11_token1] = ACTIONS(883),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(881),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(881),
    [aux_sym_gateway_ports_token1] = ACTIONS(881),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(881),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(881),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(881),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(881),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(881),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(881),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(881),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(881),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(881),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(881),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(881),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(881),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(881),
    [aux_sym_host_key_alias_token1] = ACTIONS(881),
    [aux_sym_hostname_token1] = ACTIONS(881),
    [aux_sym_identities_only_token1] = ACTIONS(881),
    [aux_sym_identity_agent_token1] = ACTIONS(881),
    [aux_sym_identity_file_token1] = ACTIONS(881),
    [aux_sym_ignore_unknown_token1] = ACTIONS(881),
    [aux_sym_include_token1] = ACTIONS(881),
    [aux_sym_ip_qos_token1] = ACTIONS(881),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(881),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(881),
    [aux_sym_kex_algorithms_token1] = ACTIONS(881),
    [aux_sym_known_hosts_command_token1] = ACTIONS(881),
    [aux_sym_local_command_token1] = ACTIONS(881),
    [aux_sym_local_forward_token1] = ACTIONS(881),
    [aux_sym_log_level_token1] = ACTIONS(881),
    [aux_sym_log_verbose_token1] = ACTIONS(881),
    [aux_sym_macs_token1] = ACTIONS(881),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(881),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(881),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(881),
    [aux_sym_password_authentication_token1] = ACTIONS(881),
    [aux_sym_permit_local_command_token1] = ACTIONS(881),
    [aux_sym_permit_remote_open_token1] = ACTIONS(881),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(881),
    [aux_sym_port_token1] = ACTIONS(881),
    [aux_sym_preferred_authentications_token1] = ACTIONS(881),
    [aux_sym_protocol_token1] = ACTIONS(881),
    [aux_sym_proxy_command_token1] = ACTIONS(881),
    [aux_sym_proxy_jump_token1] = ACTIONS(881),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(881),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(881),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(881),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(881),
    [aux_sym_rekey_limit_token1] = ACTIONS(881),
    [aux_sym_remote_command_token1] = ACTIONS(881),
    [aux_sym_remote_forward_token1] = ACTIONS(881),
    [aux_sym_request_tty_token1] = ACTIONS(881),
    [aux_sym_required_rsa_size_token1] = ACTIONS(881),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(881),
    [aux_sym_security_key_provider_token1] = ACTIONS(881),
    [aux_sym_send_env_token1] = ACTIONS(881),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(881),
    [aux_sym_server_alive_interval_token1] = ACTIONS(881),
    [aux_sym_session_type_token1] = ACTIONS(881),
    [aux_sym_set_env_token1] = ACTIONS(881),
    [aux_sym_stdin_null_token1] = ACTIONS(881),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(881),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(881),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(881),
    [aux_sym_syslog_facility_token1] = ACTIONS(881),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(881),
    [aux_sym_keep_alive_token1] = ACTIONS(881),
    [aux_sym_tag_token1] = ACTIONS(881),
    [aux_sym_tunnel_token1] = ACTIONS(883),
    [aux_sym_tunnel_device_token1] = ACTIONS(881),
    [aux_sym_update_host_keys_token1] = ACTIONS(881),
    [aux_sym_use_keychain_token1] = ACTIONS(881),
    [aux_sym_use_roaming_token1] = ACTIONS(881),
    [aux_sym_user_token1] = ACTIONS(883),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(881),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(881),
    [aux_sym_visual_host_key_token1] = ACTIONS(881),
    [aux_sym_xauth_location_token1] = ACTIONS(881),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(887),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(889),
    [anon_sym_DQUOTE] = ACTIONS(891),
    [aux_sym_match_token1] = ACTIONS(887),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(887),
    [aux_sym_address_family_token1] = ACTIONS(887),
    [aux_sym_batch_mode_token1] = ACTIONS(887),
    [aux_sym_bind_address_token1] = ACTIONS(887),
    [aux_sym_bind_interface_token1] = ACTIONS(887),
    [aux_sym_canonical_domains_token1] = ACTIONS(887),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(887),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(887),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(887),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(887),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(887),
    [aux_sym_certificate_file_token1] = ACTIONS(887),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(887),
    [aux_sym_channel_timeout_token1] = ACTIONS(887),
    [aux_sym_check_host_ip_token1] = ACTIONS(887),
    [aux_sym_ciphers_token1] = ACTIONS(887),
    [aux_sym_cipher_token1] = ACTIONS(889),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(887),
    [aux_sym_compression_token1] = ACTIONS(887),
    [aux_sym_connection_attempts_token1] = ACTIONS(887),
    [aux_sym_connect_timeout_token1] = ACTIONS(887),
    [aux_sym_control_master_token1] = ACTIONS(887),
    [aux_sym_control_path_token1] = ACTIONS(887),
    [aux_sym_control_persist_token1] = ACTIONS(887),
    [aux_sym_dynamic_forward_token1] = ACTIONS(887),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(887),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(887),
    [aux_sym_escape_char_token1] = ACTIONS(887),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(887),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(887),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(887),
    [aux_sym_forward_agent_token1] = ACTIONS(887),
    [aux_sym_forward_x11_token1] = ACTIONS(889),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(887),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(887),
    [aux_sym_gateway_ports_token1] = ACTIONS(887),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(887),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(887),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(887),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(887),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(887),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(887),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(887),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(887),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(887),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(887),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(887),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(887),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(887),
    [aux_sym_host_key_alias_token1] = ACTIONS(887),
    [aux_sym_hostname_token1] = ACTIONS(887),
    [aux_sym_identities_only_token1] = ACTIONS(887),
    [aux_sym_identity_agent_token1] = ACTIONS(887),
    [aux_sym_identity_file_token1] = ACTIONS(887),
    [aux_sym_ignore_unknown_token1] = ACTIONS(887),
    [aux_sym_include_token1] = ACTIONS(887),
    [aux_sym_ip_qos_token1] = ACTIONS(887),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(887),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(887),
    [aux_sym_kex_algorithms_token1] = ACTIONS(887),
    [aux_sym_known_hosts_command_token1] = ACTIONS(887),
    [aux_sym_local_command_token1] = ACTIONS(887),
    [aux_sym_local_forward_token1] = ACTIONS(887),
    [aux_sym_log_level_token1] = ACTIONS(887),
    [aux_sym_log_verbose_token1] = ACTIONS(887),
    [aux_sym_macs_token1] = ACTIONS(887),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(887),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(887),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(887),
    [aux_sym_password_authentication_token1] = ACTIONS(887),
    [aux_sym_permit_local_command_token1] = ACTIONS(887),
    [aux_sym_permit_remote_open_token1] = ACTIONS(887),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(887),
    [aux_sym_port_token1] = ACTIONS(887),
    [aux_sym_preferred_authentications_token1] = ACTIONS(887),
    [aux_sym_protocol_token1] = ACTIONS(887),
    [aux_sym_proxy_command_token1] = ACTIONS(887),
    [aux_sym_proxy_jump_token1] = ACTIONS(887),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(887),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(887),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(887),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(887),
    [aux_sym_rekey_limit_token1] = ACTIONS(887),
    [aux_sym_remote_command_token1] = ACTIONS(887),
    [aux_sym_remote_forward_token1] = ACTIONS(887),
    [aux_sym_request_tty_token1] = ACTIONS(887),
    [aux_sym_required_rsa_size_token1] = ACTIONS(887),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(887),
    [aux_sym_security_key_provider_token1] = ACTIONS(887),
    [aux_sym_send_env_token1] = ACTIONS(887),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(887),
    [aux_sym_server_alive_interval_token1] = ACTIONS(887),
    [aux_sym_session_type_token1] = ACTIONS(887),
    [aux_sym_set_env_token1] = ACTIONS(887),
    [aux_sym_stdin_null_token1] = ACTIONS(887),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(887),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(887),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(887),
    [aux_sym_syslog_facility_token1] = ACTIONS(887),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(887),
    [aux_sym_keep_alive_token1] = ACTIONS(887),
    [aux_sym_tag_token1] = ACTIONS(887),
    [aux_sym_tunnel_token1] = ACTIONS(889),
    [aux_sym_tunnel_device_token1] = ACTIONS(887),
    [aux_sym_update_host_keys_token1] = ACTIONS(887),
    [aux_sym_use_keychain_token1] = ACTIONS(887),
    [aux_sym_use_roaming_token1] = ACTIONS(887),
    [aux_sym_user_token1] = ACTIONS(889),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(887),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(887),
    [aux_sym_visual_host_key_token1] = ACTIONS(887),
    [aux_sym_xauth_location_token1] = ACTIONS(887),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [aux_sym_match_token1] = ACTIONS(893),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(893),
    [aux_sym_address_family_token1] = ACTIONS(893),
    [aux_sym_batch_mode_token1] = ACTIONS(893),
    [aux_sym_bind_address_token1] = ACTIONS(893),
    [aux_sym_bind_interface_token1] = ACTIONS(893),
    [aux_sym_canonical_domains_token1] = ACTIONS(893),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(893),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(893),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(893),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(893),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(893),
    [aux_sym_certificate_file_token1] = ACTIONS(893),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(893),
    [aux_sym_channel_timeout_token1] = ACTIONS(893),
    [aux_sym_check_host_ip_token1] = ACTIONS(893),
    [aux_sym_ciphers_token1] = ACTIONS(893),
    [aux_sym_cipher_token1] = ACTIONS(895),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(893),
    [aux_sym_compression_token1] = ACTIONS(893),
    [aux_sym_connection_attempts_token1] = ACTIONS(893),
    [aux_sym_connect_timeout_token1] = ACTIONS(893),
    [aux_sym_control_master_token1] = ACTIONS(893),
    [aux_sym_control_path_token1] = ACTIONS(893),
    [aux_sym_control_persist_token1] = ACTIONS(893),
    [aux_sym_dynamic_forward_token1] = ACTIONS(893),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(893),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(893),
    [aux_sym_escape_char_token1] = ACTIONS(893),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(893),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(893),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(893),
    [aux_sym_forward_agent_token1] = ACTIONS(893),
    [aux_sym_forward_x11_token1] = ACTIONS(895),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(893),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(893),
    [aux_sym_gateway_ports_token1] = ACTIONS(893),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(893),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(893),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(893),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(893),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(893),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(893),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(893),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(893),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(893),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(893),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(893),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(893),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(893),
    [aux_sym_host_key_alias_token1] = ACTIONS(893),
    [aux_sym_hostname_token1] = ACTIONS(893),
    [aux_sym_identities_only_token1] = ACTIONS(893),
    [aux_sym_identity_agent_token1] = ACTIONS(893),
    [aux_sym_identity_file_token1] = ACTIONS(893),
    [aux_sym_ignore_unknown_token1] = ACTIONS(893),
    [aux_sym_include_token1] = ACTIONS(893),
    [aux_sym_ip_qos_token1] = ACTIONS(893),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(893),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(893),
    [aux_sym_kex_algorithms_token1] = ACTIONS(893),
    [aux_sym_known_hosts_command_token1] = ACTIONS(893),
    [aux_sym_local_command_token1] = ACTIONS(893),
    [aux_sym_local_forward_token1] = ACTIONS(893),
    [aux_sym_log_level_token1] = ACTIONS(893),
    [aux_sym_log_verbose_token1] = ACTIONS(893),
    [aux_sym_macs_token1] = ACTIONS(893),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(893),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(893),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(893),
    [aux_sym_password_authentication_token1] = ACTIONS(893),
    [aux_sym_permit_local_command_token1] = ACTIONS(893),
    [aux_sym_permit_remote_open_token1] = ACTIONS(893),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(893),
    [aux_sym_port_token1] = ACTIONS(893),
    [aux_sym_preferred_authentications_token1] = ACTIONS(893),
    [aux_sym_protocol_token1] = ACTIONS(893),
    [aux_sym_proxy_command_token1] = ACTIONS(893),
    [aux_sym_proxy_jump_token1] = ACTIONS(893),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(893),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(893),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(893),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(893),
    [aux_sym_rekey_limit_token1] = ACTIONS(893),
    [aux_sym_remote_command_token1] = ACTIONS(893),
    [aux_sym_remote_forward_token1] = ACTIONS(893),
    [aux_sym_request_tty_token1] = ACTIONS(893),
    [aux_sym_required_rsa_size_token1] = ACTIONS(893),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(893),
    [aux_sym_security_key_provider_token1] = ACTIONS(893),
    [aux_sym_send_env_token1] = ACTIONS(893),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(893),
    [aux_sym_server_alive_interval_token1] = ACTIONS(893),
    [aux_sym_session_type_token1] = ACTIONS(893),
    [aux_sym_set_env_token1] = ACTIONS(893),
    [aux_sym_stdin_null_token1] = ACTIONS(893),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(893),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(893),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(893),
    [aux_sym_syslog_facility_token1] = ACTIONS(893),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(893),
    [aux_sym_keep_alive_token1] = ACTIONS(893),
    [aux_sym_tag_token1] = ACTIONS(893),
    [aux_sym_tunnel_token1] = ACTIONS(895),
    [aux_sym_tunnel_device_token1] = ACTIONS(893),
    [aux_sym_update_host_keys_token1] = ACTIONS(893),
    [aux_sym_use_keychain_token1] = ACTIONS(893),
    [aux_sym_use_roaming_token1] = ACTIONS(893),
    [aux_sym_user_token1] = ACTIONS(895),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(893),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(893),
    [aux_sym_visual_host_key_token1] = ACTIONS(893),
    [aux_sym_xauth_location_token1] = ACTIONS(893),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(903),
    [aux_sym_match_token1] = ACTIONS(899),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(899),
    [aux_sym_address_family_token1] = ACTIONS(899),
    [aux_sym_batch_mode_token1] = ACTIONS(899),
    [aux_sym_bind_address_token1] = ACTIONS(899),
    [aux_sym_bind_interface_token1] = ACTIONS(899),
    [aux_sym_canonical_domains_token1] = ACTIONS(899),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(899),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(899),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(899),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(899),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(899),
    [aux_sym_certificate_file_token1] = ACTIONS(899),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(899),
    [aux_sym_channel_timeout_token1] = ACTIONS(899),
    [aux_sym_check_host_ip_token1] = ACTIONS(899),
    [aux_sym_ciphers_token1] = ACTIONS(899),
    [aux_sym_cipher_token1] = ACTIONS(901),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(899),
    [aux_sym_compression_token1] = ACTIONS(899),
    [aux_sym_connection_attempts_token1] = ACTIONS(899),
    [aux_sym_connect_timeout_token1] = ACTIONS(899),
    [aux_sym_control_master_token1] = ACTIONS(899),
    [aux_sym_control_path_token1] = ACTIONS(899),
    [aux_sym_control_persist_token1] = ACTIONS(899),
    [aux_sym_dynamic_forward_token1] = ACTIONS(899),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(899),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(899),
    [aux_sym_escape_char_token1] = ACTIONS(899),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(899),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(899),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(899),
    [aux_sym_forward_agent_token1] = ACTIONS(899),
    [aux_sym_forward_x11_token1] = ACTIONS(901),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(899),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(899),
    [aux_sym_gateway_ports_token1] = ACTIONS(899),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(899),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(899),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(899),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(899),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(899),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(899),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(899),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(899),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(899),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(899),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(899),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(899),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(899),
    [aux_sym_host_key_alias_token1] = ACTIONS(899),
    [aux_sym_hostname_token1] = ACTIONS(899),
    [aux_sym_identities_only_token1] = ACTIONS(899),
    [aux_sym_identity_agent_token1] = ACTIONS(899),
    [aux_sym_identity_file_token1] = ACTIONS(899),
    [aux_sym_ignore_unknown_token1] = ACTIONS(899),
    [aux_sym_include_token1] = ACTIONS(899),
    [aux_sym_ip_qos_token1] = ACTIONS(899),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(899),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(899),
    [aux_sym_kex_algorithms_token1] = ACTIONS(899),
    [aux_sym_known_hosts_command_token1] = ACTIONS(899),
    [aux_sym_local_command_token1] = ACTIONS(899),
    [aux_sym_local_forward_token1] = ACTIONS(899),
    [aux_sym_log_level_token1] = ACTIONS(899),
    [aux_sym_log_verbose_token1] = ACTIONS(899),
    [aux_sym_macs_token1] = ACTIONS(899),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(899),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(899),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(899),
    [aux_sym_password_authentication_token1] = ACTIONS(899),
    [aux_sym_permit_local_command_token1] = ACTIONS(899),
    [aux_sym_permit_remote_open_token1] = ACTIONS(899),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(899),
    [aux_sym_port_token1] = ACTIONS(899),
    [aux_sym_preferred_authentications_token1] = ACTIONS(899),
    [aux_sym_protocol_token1] = ACTIONS(899),
    [aux_sym_proxy_command_token1] = ACTIONS(899),
    [aux_sym_proxy_jump_token1] = ACTIONS(899),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(899),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(899),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(899),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(899),
    [aux_sym_rekey_limit_token1] = ACTIONS(899),
    [aux_sym_remote_command_token1] = ACTIONS(899),
    [aux_sym_remote_forward_token1] = ACTIONS(899),
    [aux_sym_request_tty_token1] = ACTIONS(899),
    [aux_sym_required_rsa_size_token1] = ACTIONS(899),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(899),
    [aux_sym_security_key_provider_token1] = ACTIONS(899),
    [aux_sym_send_env_token1] = ACTIONS(899),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(899),
    [aux_sym_server_alive_interval_token1] = ACTIONS(899),
    [aux_sym_session_type_token1] = ACTIONS(899),
    [aux_sym_set_env_token1] = ACTIONS(899),
    [aux_sym_stdin_null_token1] = ACTIONS(899),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(899),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(899),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(899),
    [aux_sym_syslog_facility_token1] = ACTIONS(899),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(899),
    [aux_sym_keep_alive_token1] = ACTIONS(899),
    [aux_sym_tag_token1] = ACTIONS(899),
    [aux_sym_tunnel_token1] = ACTIONS(901),
    [aux_sym_tunnel_device_token1] = ACTIONS(899),
    [aux_sym_update_host_keys_token1] = ACTIONS(899),
    [aux_sym_use_keychain_token1] = ACTIONS(899),
    [aux_sym_use_roaming_token1] = ACTIONS(899),
    [aux_sym_user_token1] = ACTIONS(901),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(899),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(899),
    [aux_sym_visual_host_key_token1] = ACTIONS(899),
    [aux_sym_xauth_location_token1] = ACTIONS(899),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [aux_sym_match_token1] = ACTIONS(905),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(905),
    [aux_sym_address_family_token1] = ACTIONS(905),
    [aux_sym_batch_mode_token1] = ACTIONS(905),
    [aux_sym_bind_address_token1] = ACTIONS(905),
    [aux_sym_bind_interface_token1] = ACTIONS(905),
    [aux_sym_canonical_domains_token1] = ACTIONS(905),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(905),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(905),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(905),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(905),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(905),
    [aux_sym_certificate_file_token1] = ACTIONS(905),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(905),
    [aux_sym_channel_timeout_token1] = ACTIONS(905),
    [aux_sym_check_host_ip_token1] = ACTIONS(905),
    [aux_sym_ciphers_token1] = ACTIONS(905),
    [aux_sym_cipher_token1] = ACTIONS(907),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(905),
    [aux_sym_compression_token1] = ACTIONS(905),
    [aux_sym_connection_attempts_token1] = ACTIONS(905),
    [aux_sym_connect_timeout_token1] = ACTIONS(905),
    [aux_sym_control_master_token1] = ACTIONS(905),
    [aux_sym_control_path_token1] = ACTIONS(905),
    [aux_sym_control_persist_token1] = ACTIONS(905),
    [aux_sym_dynamic_forward_token1] = ACTIONS(905),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(905),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(905),
    [aux_sym_escape_char_token1] = ACTIONS(905),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(905),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(905),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(905),
    [aux_sym_forward_agent_token1] = ACTIONS(905),
    [aux_sym_forward_x11_token1] = ACTIONS(907),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(905),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(905),
    [aux_sym_gateway_ports_token1] = ACTIONS(905),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(905),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(905),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(905),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(905),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(905),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(905),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(905),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(905),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(905),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(905),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(905),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(905),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(905),
    [aux_sym_host_key_alias_token1] = ACTIONS(905),
    [aux_sym_hostname_token1] = ACTIONS(905),
    [aux_sym_identities_only_token1] = ACTIONS(905),
    [aux_sym_identity_agent_token1] = ACTIONS(905),
    [aux_sym_identity_file_token1] = ACTIONS(905),
    [aux_sym_ignore_unknown_token1] = ACTIONS(905),
    [aux_sym_include_token1] = ACTIONS(905),
    [aux_sym_ip_qos_token1] = ACTIONS(905),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(905),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(905),
    [aux_sym_kex_algorithms_token1] = ACTIONS(905),
    [aux_sym_known_hosts_command_token1] = ACTIONS(905),
    [aux_sym_local_command_token1] = ACTIONS(905),
    [aux_sym_local_forward_token1] = ACTIONS(905),
    [aux_sym_log_level_token1] = ACTIONS(905),
    [aux_sym_log_verbose_token1] = ACTIONS(905),
    [aux_sym_macs_token1] = ACTIONS(905),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(905),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(905),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(905),
    [aux_sym_password_authentication_token1] = ACTIONS(905),
    [aux_sym_permit_local_command_token1] = ACTIONS(905),
    [aux_sym_permit_remote_open_token1] = ACTIONS(905),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(905),
    [aux_sym_port_token1] = ACTIONS(905),
    [aux_sym_preferred_authentications_token1] = ACTIONS(905),
    [aux_sym_protocol_token1] = ACTIONS(905),
    [aux_sym_proxy_command_token1] = ACTIONS(905),
    [aux_sym_proxy_jump_token1] = ACTIONS(905),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(905),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(905),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(905),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(905),
    [aux_sym_rekey_limit_token1] = ACTIONS(905),
    [aux_sym_remote_command_token1] = ACTIONS(905),
    [aux_sym_remote_forward_token1] = ACTIONS(905),
    [aux_sym_request_tty_token1] = ACTIONS(905),
    [aux_sym_required_rsa_size_token1] = ACTIONS(905),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(905),
    [aux_sym_security_key_provider_token1] = ACTIONS(905),
    [aux_sym_send_env_token1] = ACTIONS(905),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(905),
    [aux_sym_server_alive_interval_token1] = ACTIONS(905),
    [aux_sym_session_type_token1] = ACTIONS(905),
    [aux_sym_set_env_token1] = ACTIONS(905),
    [aux_sym_stdin_null_token1] = ACTIONS(905),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(905),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(905),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(905),
    [aux_sym_syslog_facility_token1] = ACTIONS(905),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(905),
    [aux_sym_keep_alive_token1] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(905),
    [aux_sym_tunnel_token1] = ACTIONS(907),
    [aux_sym_tunnel_device_token1] = ACTIONS(905),
    [aux_sym_update_host_keys_token1] = ACTIONS(905),
    [aux_sym_use_keychain_token1] = ACTIONS(905),
    [aux_sym_use_roaming_token1] = ACTIONS(905),
    [aux_sym_user_token1] = ACTIONS(907),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(905),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(905),
    [aux_sym_visual_host_key_token1] = ACTIONS(905),
    [aux_sym_xauth_location_token1] = ACTIONS(905),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(913),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [aux_sym_match_token1] = ACTIONS(911),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(911),
    [aux_sym_address_family_token1] = ACTIONS(911),
    [aux_sym_batch_mode_token1] = ACTIONS(911),
    [aux_sym_bind_address_token1] = ACTIONS(911),
    [aux_sym_bind_interface_token1] = ACTIONS(911),
    [aux_sym_canonical_domains_token1] = ACTIONS(911),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(911),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(911),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(911),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(911),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(911),
    [aux_sym_certificate_file_token1] = ACTIONS(911),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(911),
    [aux_sym_channel_timeout_token1] = ACTIONS(911),
    [aux_sym_check_host_ip_token1] = ACTIONS(911),
    [aux_sym_ciphers_token1] = ACTIONS(911),
    [aux_sym_cipher_token1] = ACTIONS(913),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(911),
    [aux_sym_compression_token1] = ACTIONS(911),
    [aux_sym_connection_attempts_token1] = ACTIONS(911),
    [aux_sym_connect_timeout_token1] = ACTIONS(911),
    [aux_sym_control_master_token1] = ACTIONS(911),
    [aux_sym_control_path_token1] = ACTIONS(911),
    [aux_sym_control_persist_token1] = ACTIONS(911),
    [aux_sym_dynamic_forward_token1] = ACTIONS(911),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(911),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(911),
    [aux_sym_escape_char_token1] = ACTIONS(911),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(911),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(911),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(911),
    [aux_sym_forward_agent_token1] = ACTIONS(911),
    [aux_sym_forward_x11_token1] = ACTIONS(913),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(911),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(911),
    [aux_sym_gateway_ports_token1] = ACTIONS(911),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(911),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(911),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(911),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(911),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(911),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(911),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(911),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(911),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(911),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(911),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(911),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(911),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(911),
    [aux_sym_host_key_alias_token1] = ACTIONS(911),
    [aux_sym_hostname_token1] = ACTIONS(911),
    [aux_sym_identities_only_token1] = ACTIONS(911),
    [aux_sym_identity_agent_token1] = ACTIONS(911),
    [aux_sym_identity_file_token1] = ACTIONS(911),
    [aux_sym_ignore_unknown_token1] = ACTIONS(911),
    [aux_sym_include_token1] = ACTIONS(911),
    [aux_sym_ip_qos_token1] = ACTIONS(911),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(911),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(911),
    [aux_sym_kex_algorithms_token1] = ACTIONS(911),
    [aux_sym_known_hosts_command_token1] = ACTIONS(911),
    [aux_sym_local_command_token1] = ACTIONS(911),
    [aux_sym_local_forward_token1] = ACTIONS(911),
    [aux_sym_log_level_token1] = ACTIONS(911),
    [aux_sym_log_verbose_token1] = ACTIONS(911),
    [aux_sym_macs_token1] = ACTIONS(911),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(911),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(911),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(911),
    [aux_sym_password_authentication_token1] = ACTIONS(911),
    [aux_sym_permit_local_command_token1] = ACTIONS(911),
    [aux_sym_permit_remote_open_token1] = ACTIONS(911),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(911),
    [aux_sym_port_token1] = ACTIONS(911),
    [aux_sym_preferred_authentications_token1] = ACTIONS(911),
    [aux_sym_protocol_token1] = ACTIONS(911),
    [aux_sym_proxy_command_token1] = ACTIONS(911),
    [aux_sym_proxy_jump_token1] = ACTIONS(911),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(911),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(911),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(911),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(911),
    [aux_sym_rekey_limit_token1] = ACTIONS(911),
    [aux_sym_remote_command_token1] = ACTIONS(911),
    [aux_sym_remote_forward_token1] = ACTIONS(911),
    [aux_sym_request_tty_token1] = ACTIONS(911),
    [aux_sym_required_rsa_size_token1] = ACTIONS(911),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(911),
    [aux_sym_security_key_provider_token1] = ACTIONS(911),
    [aux_sym_send_env_token1] = ACTIONS(911),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(911),
    [aux_sym_server_alive_interval_token1] = ACTIONS(911),
    [aux_sym_session_type_token1] = ACTIONS(911),
    [aux_sym_set_env_token1] = ACTIONS(911),
    [aux_sym_stdin_null_token1] = ACTIONS(911),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(911),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(911),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(911),
    [aux_sym_syslog_facility_token1] = ACTIONS(911),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(911),
    [aux_sym_keep_alive_token1] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(911),
    [aux_sym_tunnel_token1] = ACTIONS(913),
    [aux_sym_tunnel_device_token1] = ACTIONS(911),
    [aux_sym_update_host_keys_token1] = ACTIONS(911),
    [aux_sym_use_keychain_token1] = ACTIONS(911),
    [aux_sym_use_roaming_token1] = ACTIONS(911),
    [aux_sym_user_token1] = ACTIONS(913),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(911),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(911),
    [aux_sym_visual_host_key_token1] = ACTIONS(911),
    [aux_sym_xauth_location_token1] = ACTIONS(911),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(921),
    [aux_sym_match_token1] = ACTIONS(917),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(917),
    [aux_sym_address_family_token1] = ACTIONS(917),
    [aux_sym_batch_mode_token1] = ACTIONS(917),
    [aux_sym_bind_address_token1] = ACTIONS(917),
    [aux_sym_bind_interface_token1] = ACTIONS(917),
    [aux_sym_canonical_domains_token1] = ACTIONS(917),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(917),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(917),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(917),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(917),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(917),
    [aux_sym_certificate_file_token1] = ACTIONS(917),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(917),
    [aux_sym_channel_timeout_token1] = ACTIONS(917),
    [aux_sym_check_host_ip_token1] = ACTIONS(917),
    [aux_sym_ciphers_token1] = ACTIONS(917),
    [aux_sym_cipher_token1] = ACTIONS(919),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(917),
    [aux_sym_compression_token1] = ACTIONS(917),
    [aux_sym_connection_attempts_token1] = ACTIONS(917),
    [aux_sym_connect_timeout_token1] = ACTIONS(917),
    [aux_sym_control_master_token1] = ACTIONS(917),
    [aux_sym_control_path_token1] = ACTIONS(917),
    [aux_sym_control_persist_token1] = ACTIONS(917),
    [aux_sym_dynamic_forward_token1] = ACTIONS(917),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(917),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(917),
    [aux_sym_escape_char_token1] = ACTIONS(917),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(917),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(917),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(917),
    [aux_sym_forward_agent_token1] = ACTIONS(917),
    [aux_sym_forward_x11_token1] = ACTIONS(919),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(917),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(917),
    [aux_sym_gateway_ports_token1] = ACTIONS(917),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(917),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(917),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(917),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(917),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(917),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(917),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(917),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(917),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(917),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(917),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(917),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(917),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(917),
    [aux_sym_host_key_alias_token1] = ACTIONS(917),
    [aux_sym_hostname_token1] = ACTIONS(917),
    [aux_sym_identities_only_token1] = ACTIONS(917),
    [aux_sym_identity_agent_token1] = ACTIONS(917),
    [aux_sym_identity_file_token1] = ACTIONS(917),
    [aux_sym_ignore_unknown_token1] = ACTIONS(917),
    [aux_sym_include_token1] = ACTIONS(917),
    [aux_sym_ip_qos_token1] = ACTIONS(917),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(917),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(917),
    [aux_sym_kex_algorithms_token1] = ACTIONS(917),
    [aux_sym_known_hosts_command_token1] = ACTIONS(917),
    [aux_sym_local_command_token1] = ACTIONS(917),
    [aux_sym_local_forward_token1] = ACTIONS(917),
    [aux_sym_log_level_token1] = ACTIONS(917),
    [aux_sym_log_verbose_token1] = ACTIONS(917),
    [aux_sym_macs_token1] = ACTIONS(917),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(917),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(917),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(917),
    [aux_sym_password_authentication_token1] = ACTIONS(917),
    [aux_sym_permit_local_command_token1] = ACTIONS(917),
    [aux_sym_permit_remote_open_token1] = ACTIONS(917),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(917),
    [aux_sym_port_token1] = ACTIONS(917),
    [aux_sym_preferred_authentications_token1] = ACTIONS(917),
    [aux_sym_protocol_token1] = ACTIONS(917),
    [aux_sym_proxy_command_token1] = ACTIONS(917),
    [aux_sym_proxy_jump_token1] = ACTIONS(917),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(917),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(917),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(917),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(917),
    [aux_sym_rekey_limit_token1] = ACTIONS(917),
    [aux_sym_remote_command_token1] = ACTIONS(917),
    [aux_sym_remote_forward_token1] = ACTIONS(917),
    [aux_sym_request_tty_token1] = ACTIONS(917),
    [aux_sym_required_rsa_size_token1] = ACTIONS(917),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(917),
    [aux_sym_security_key_provider_token1] = ACTIONS(917),
    [aux_sym_send_env_token1] = ACTIONS(917),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(917),
    [aux_sym_server_alive_interval_token1] = ACTIONS(917),
    [aux_sym_session_type_token1] = ACTIONS(917),
    [aux_sym_set_env_token1] = ACTIONS(917),
    [aux_sym_stdin_null_token1] = ACTIONS(917),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(917),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(917),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(917),
    [aux_sym_syslog_facility_token1] = ACTIONS(917),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(917),
    [aux_sym_keep_alive_token1] = ACTIONS(917),
    [aux_sym_tag_token1] = ACTIONS(917),
    [aux_sym_tunnel_token1] = ACTIONS(919),
    [aux_sym_tunnel_device_token1] = ACTIONS(917),
    [aux_sym_update_host_keys_token1] = ACTIONS(917),
    [aux_sym_use_keychain_token1] = ACTIONS(917),
    [aux_sym_use_roaming_token1] = ACTIONS(917),
    [aux_sym_user_token1] = ACTIONS(919),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(917),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(917),
    [aux_sym_visual_host_key_token1] = ACTIONS(917),
    [aux_sym_xauth_location_token1] = ACTIONS(917),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(925),
    [anon_sym_DQUOTE] = ACTIONS(927),
    [aux_sym_match_token1] = ACTIONS(923),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(923),
    [aux_sym_address_family_token1] = ACTIONS(923),
    [aux_sym_batch_mode_token1] = ACTIONS(923),
    [aux_sym_bind_address_token1] = ACTIONS(923),
    [aux_sym_bind_interface_token1] = ACTIONS(923),
    [aux_sym_canonical_domains_token1] = ACTIONS(923),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(923),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(923),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(923),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(923),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(923),
    [aux_sym_certificate_file_token1] = ACTIONS(923),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(923),
    [aux_sym_channel_timeout_token1] = ACTIONS(923),
    [aux_sym_check_host_ip_token1] = ACTIONS(923),
    [aux_sym_ciphers_token1] = ACTIONS(923),
    [aux_sym_cipher_token1] = ACTIONS(925),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(923),
    [aux_sym_compression_token1] = ACTIONS(923),
    [aux_sym_connection_attempts_token1] = ACTIONS(923),
    [aux_sym_connect_timeout_token1] = ACTIONS(923),
    [aux_sym_control_master_token1] = ACTIONS(923),
    [aux_sym_control_path_token1] = ACTIONS(923),
    [aux_sym_control_persist_token1] = ACTIONS(923),
    [aux_sym_dynamic_forward_token1] = ACTIONS(923),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(923),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(923),
    [aux_sym_escape_char_token1] = ACTIONS(923),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(923),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(923),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(923),
    [aux_sym_forward_agent_token1] = ACTIONS(923),
    [aux_sym_forward_x11_token1] = ACTIONS(925),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(923),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(923),
    [aux_sym_gateway_ports_token1] = ACTIONS(923),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(923),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(923),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(923),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(923),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(923),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(923),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(923),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(923),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(923),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(923),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(923),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(923),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(923),
    [aux_sym_host_key_alias_token1] = ACTIONS(923),
    [aux_sym_hostname_token1] = ACTIONS(923),
    [aux_sym_identities_only_token1] = ACTIONS(923),
    [aux_sym_identity_agent_token1] = ACTIONS(923),
    [aux_sym_identity_file_token1] = ACTIONS(923),
    [aux_sym_ignore_unknown_token1] = ACTIONS(923),
    [aux_sym_include_token1] = ACTIONS(923),
    [aux_sym_ip_qos_token1] = ACTIONS(923),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(923),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(923),
    [aux_sym_kex_algorithms_token1] = ACTIONS(923),
    [aux_sym_known_hosts_command_token1] = ACTIONS(923),
    [aux_sym_local_command_token1] = ACTIONS(923),
    [aux_sym_local_forward_token1] = ACTIONS(923),
    [aux_sym_log_level_token1] = ACTIONS(923),
    [aux_sym_log_verbose_token1] = ACTIONS(923),
    [aux_sym_macs_token1] = ACTIONS(923),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(923),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(923),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(923),
    [aux_sym_password_authentication_token1] = ACTIONS(923),
    [aux_sym_permit_local_command_token1] = ACTIONS(923),
    [aux_sym_permit_remote_open_token1] = ACTIONS(923),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(923),
    [aux_sym_port_token1] = ACTIONS(923),
    [aux_sym_preferred_authentications_token1] = ACTIONS(923),
    [aux_sym_protocol_token1] = ACTIONS(923),
    [aux_sym_proxy_command_token1] = ACTIONS(923),
    [aux_sym_proxy_jump_token1] = ACTIONS(923),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(923),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(923),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(923),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(923),
    [aux_sym_rekey_limit_token1] = ACTIONS(923),
    [aux_sym_remote_command_token1] = ACTIONS(923),
    [aux_sym_remote_forward_token1] = ACTIONS(923),
    [aux_sym_request_tty_token1] = ACTIONS(923),
    [aux_sym_required_rsa_size_token1] = ACTIONS(923),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(923),
    [aux_sym_security_key_provider_token1] = ACTIONS(923),
    [aux_sym_send_env_token1] = ACTIONS(923),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(923),
    [aux_sym_server_alive_interval_token1] = ACTIONS(923),
    [aux_sym_session_type_token1] = ACTIONS(923),
    [aux_sym_set_env_token1] = ACTIONS(923),
    [aux_sym_stdin_null_token1] = ACTIONS(923),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(923),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(923),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(923),
    [aux_sym_syslog_facility_token1] = ACTIONS(923),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(923),
    [aux_sym_keep_alive_token1] = ACTIONS(923),
    [aux_sym_tag_token1] = ACTIONS(923),
    [aux_sym_tunnel_token1] = ACTIONS(925),
    [aux_sym_tunnel_device_token1] = ACTIONS(923),
    [aux_sym_update_host_keys_token1] = ACTIONS(923),
    [aux_sym_use_keychain_token1] = ACTIONS(923),
    [aux_sym_use_roaming_token1] = ACTIONS(923),
    [aux_sym_user_token1] = ACTIONS(925),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(923),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(923),
    [aux_sym_visual_host_key_token1] = ACTIONS(923),
    [aux_sym_xauth_location_token1] = ACTIONS(923),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [aux_sym_match_token1] = ACTIONS(929),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(929),
    [aux_sym_address_family_token1] = ACTIONS(929),
    [aux_sym_batch_mode_token1] = ACTIONS(929),
    [aux_sym_bind_address_token1] = ACTIONS(929),
    [aux_sym_bind_interface_token1] = ACTIONS(929),
    [aux_sym_canonical_domains_token1] = ACTIONS(929),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(929),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(929),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(929),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(929),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(929),
    [aux_sym_certificate_file_token1] = ACTIONS(929),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(929),
    [aux_sym_channel_timeout_token1] = ACTIONS(929),
    [aux_sym_check_host_ip_token1] = ACTIONS(929),
    [aux_sym_ciphers_token1] = ACTIONS(929),
    [aux_sym_cipher_token1] = ACTIONS(931),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(929),
    [aux_sym_compression_token1] = ACTIONS(929),
    [aux_sym_connection_attempts_token1] = ACTIONS(929),
    [aux_sym_connect_timeout_token1] = ACTIONS(929),
    [aux_sym_control_master_token1] = ACTIONS(929),
    [aux_sym_control_path_token1] = ACTIONS(929),
    [aux_sym_control_persist_token1] = ACTIONS(929),
    [aux_sym_dynamic_forward_token1] = ACTIONS(929),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(929),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(929),
    [aux_sym_escape_char_token1] = ACTIONS(929),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(929),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(929),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(929),
    [aux_sym_forward_agent_token1] = ACTIONS(929),
    [aux_sym_forward_x11_token1] = ACTIONS(931),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(929),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(929),
    [aux_sym_gateway_ports_token1] = ACTIONS(929),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(929),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(929),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(929),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(929),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(929),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(929),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(929),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(929),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(929),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(929),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(929),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(929),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(929),
    [aux_sym_host_key_alias_token1] = ACTIONS(929),
    [aux_sym_hostname_token1] = ACTIONS(929),
    [aux_sym_identities_only_token1] = ACTIONS(929),
    [aux_sym_identity_agent_token1] = ACTIONS(929),
    [aux_sym_identity_file_token1] = ACTIONS(929),
    [aux_sym_ignore_unknown_token1] = ACTIONS(929),
    [aux_sym_include_token1] = ACTIONS(929),
    [aux_sym_ip_qos_token1] = ACTIONS(929),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(929),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(929),
    [aux_sym_kex_algorithms_token1] = ACTIONS(929),
    [aux_sym_known_hosts_command_token1] = ACTIONS(929),
    [aux_sym_local_command_token1] = ACTIONS(929),
    [aux_sym_local_forward_token1] = ACTIONS(929),
    [aux_sym_log_level_token1] = ACTIONS(929),
    [aux_sym_log_verbose_token1] = ACTIONS(929),
    [aux_sym_macs_token1] = ACTIONS(929),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(929),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(929),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(929),
    [aux_sym_password_authentication_token1] = ACTIONS(929),
    [aux_sym_permit_local_command_token1] = ACTIONS(929),
    [aux_sym_permit_remote_open_token1] = ACTIONS(929),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(929),
    [aux_sym_port_token1] = ACTIONS(929),
    [aux_sym_preferred_authentications_token1] = ACTIONS(929),
    [aux_sym_protocol_token1] = ACTIONS(929),
    [aux_sym_proxy_command_token1] = ACTIONS(929),
    [aux_sym_proxy_jump_token1] = ACTIONS(929),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(929),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(929),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(929),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(929),
    [aux_sym_rekey_limit_token1] = ACTIONS(929),
    [aux_sym_remote_command_token1] = ACTIONS(929),
    [aux_sym_remote_forward_token1] = ACTIONS(929),
    [aux_sym_request_tty_token1] = ACTIONS(929),
    [aux_sym_required_rsa_size_token1] = ACTIONS(929),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(929),
    [aux_sym_security_key_provider_token1] = ACTIONS(929),
    [aux_sym_send_env_token1] = ACTIONS(929),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(929),
    [aux_sym_server_alive_interval_token1] = ACTIONS(929),
    [aux_sym_session_type_token1] = ACTIONS(929),
    [aux_sym_set_env_token1] = ACTIONS(929),
    [aux_sym_stdin_null_token1] = ACTIONS(929),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(929),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(929),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(929),
    [aux_sym_syslog_facility_token1] = ACTIONS(929),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(929),
    [aux_sym_keep_alive_token1] = ACTIONS(929),
    [aux_sym_tag_token1] = ACTIONS(929),
    [aux_sym_tunnel_token1] = ACTIONS(931),
    [aux_sym_tunnel_device_token1] = ACTIONS(929),
    [aux_sym_update_host_keys_token1] = ACTIONS(929),
    [aux_sym_use_keychain_token1] = ACTIONS(929),
    [aux_sym_use_roaming_token1] = ACTIONS(929),
    [aux_sym_user_token1] = ACTIONS(931),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(929),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(929),
    [aux_sym_visual_host_key_token1] = ACTIONS(929),
    [aux_sym_xauth_location_token1] = ACTIONS(929),
  },
  [62] = {
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [aux_sym_match_token1] = ACTIONS(935),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(935),
    [aux_sym_address_family_token1] = ACTIONS(935),
    [aux_sym_batch_mode_token1] = ACTIONS(935),
    [aux_sym_bind_address_token1] = ACTIONS(935),
    [aux_sym_bind_interface_token1] = ACTIONS(935),
    [aux_sym_canonical_domains_token1] = ACTIONS(935),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(935),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(935),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(935),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(935),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(935),
    [aux_sym_certificate_file_token1] = ACTIONS(935),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(935),
    [aux_sym_channel_timeout_token1] = ACTIONS(935),
    [aux_sym_check_host_ip_token1] = ACTIONS(935),
    [aux_sym_ciphers_token1] = ACTIONS(935),
    [aux_sym_cipher_token1] = ACTIONS(937),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(935),
    [aux_sym_compression_token1] = ACTIONS(935),
    [aux_sym_connection_attempts_token1] = ACTIONS(935),
    [aux_sym_connect_timeout_token1] = ACTIONS(935),
    [aux_sym_control_master_token1] = ACTIONS(935),
    [aux_sym_control_path_token1] = ACTIONS(935),
    [aux_sym_control_persist_token1] = ACTIONS(935),
    [aux_sym_dynamic_forward_token1] = ACTIONS(935),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(935),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(935),
    [aux_sym_escape_char_token1] = ACTIONS(935),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(935),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(935),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(935),
    [aux_sym_forward_agent_token1] = ACTIONS(935),
    [aux_sym_forward_x11_token1] = ACTIONS(937),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(935),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(935),
    [aux_sym_gateway_ports_token1] = ACTIONS(935),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(935),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(935),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(935),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(935),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(935),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(935),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(935),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(935),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(935),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(935),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(935),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(935),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(935),
    [aux_sym_host_key_alias_token1] = ACTIONS(935),
    [aux_sym_hostname_token1] = ACTIONS(935),
    [aux_sym_identities_only_token1] = ACTIONS(935),
    [aux_sym_identity_agent_token1] = ACTIONS(935),
    [aux_sym_identity_file_token1] = ACTIONS(935),
    [aux_sym_ignore_unknown_token1] = ACTIONS(935),
    [aux_sym_include_token1] = ACTIONS(935),
    [aux_sym_ip_qos_token1] = ACTIONS(935),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(935),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(935),
    [aux_sym_kex_algorithms_token1] = ACTIONS(935),
    [aux_sym_known_hosts_command_token1] = ACTIONS(935),
    [aux_sym_local_command_token1] = ACTIONS(935),
    [aux_sym_local_forward_token1] = ACTIONS(935),
    [aux_sym_log_level_token1] = ACTIONS(935),
    [aux_sym_log_verbose_token1] = ACTIONS(935),
    [aux_sym_macs_token1] = ACTIONS(935),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(935),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(935),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(935),
    [aux_sym_password_authentication_token1] = ACTIONS(935),
    [aux_sym_permit_local_command_token1] = ACTIONS(935),
    [aux_sym_permit_remote_open_token1] = ACTIONS(935),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(935),
    [aux_sym_port_token1] = ACTIONS(935),
    [aux_sym_preferred_authentications_token1] = ACTIONS(935),
    [aux_sym_protocol_token1] = ACTIONS(935),
    [aux_sym_proxy_command_token1] = ACTIONS(935),
    [aux_sym_proxy_jump_token1] = ACTIONS(935),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(935),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(935),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(935),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(935),
    [aux_sym_rekey_limit_token1] = ACTIONS(935),
    [aux_sym_remote_command_token1] = ACTIONS(935),
    [aux_sym_remote_forward_token1] = ACTIONS(935),
    [aux_sym_request_tty_token1] = ACTIONS(935),
    [aux_sym_required_rsa_size_token1] = ACTIONS(935),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(935),
    [aux_sym_security_key_provider_token1] = ACTIONS(935),
    [aux_sym_send_env_token1] = ACTIONS(935),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(935),
    [aux_sym_server_alive_interval_token1] = ACTIONS(935),
    [aux_sym_session_type_token1] = ACTIONS(935),
    [aux_sym_set_env_token1] = ACTIONS(935),
    [aux_sym_stdin_null_token1] = ACTIONS(935),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(935),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(935),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(935),
    [aux_sym_syslog_facility_token1] = ACTIONS(935),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(935),
    [aux_sym_keep_alive_token1] = ACTIONS(935),
    [aux_sym_tag_token1] = ACTIONS(935),
    [aux_sym_tunnel_token1] = ACTIONS(937),
    [aux_sym_tunnel_device_token1] = ACTIONS(935),
    [aux_sym_update_host_keys_token1] = ACTIONS(935),
    [aux_sym_use_keychain_token1] = ACTIONS(935),
    [aux_sym_use_roaming_token1] = ACTIONS(935),
    [aux_sym_user_token1] = ACTIONS(937),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(935),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(935),
    [aux_sym_visual_host_key_token1] = ACTIONS(935),
    [aux_sym_xauth_location_token1] = ACTIONS(935),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [aux_sym_match_token1] = ACTIONS(941),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(941),
    [aux_sym_address_family_token1] = ACTIONS(941),
    [aux_sym_batch_mode_token1] = ACTIONS(941),
    [aux_sym_bind_address_token1] = ACTIONS(941),
    [aux_sym_bind_interface_token1] = ACTIONS(941),
    [aux_sym_canonical_domains_token1] = ACTIONS(941),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(941),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(941),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(941),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(941),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(941),
    [aux_sym_certificate_file_token1] = ACTIONS(941),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(941),
    [aux_sym_channel_timeout_token1] = ACTIONS(941),
    [aux_sym_check_host_ip_token1] = ACTIONS(941),
    [aux_sym_ciphers_token1] = ACTIONS(941),
    [aux_sym_cipher_token1] = ACTIONS(943),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(941),
    [aux_sym_compression_token1] = ACTIONS(941),
    [aux_sym_connection_attempts_token1] = ACTIONS(941),
    [aux_sym_connect_timeout_token1] = ACTIONS(941),
    [aux_sym_control_master_token1] = ACTIONS(941),
    [aux_sym_control_path_token1] = ACTIONS(941),
    [aux_sym_control_persist_token1] = ACTIONS(941),
    [aux_sym_dynamic_forward_token1] = ACTIONS(941),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(941),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(941),
    [aux_sym_escape_char_token1] = ACTIONS(941),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(941),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(941),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(941),
    [aux_sym_forward_agent_token1] = ACTIONS(941),
    [aux_sym_forward_x11_token1] = ACTIONS(943),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(941),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(941),
    [aux_sym_gateway_ports_token1] = ACTIONS(941),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(941),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(941),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(941),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(941),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(941),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(941),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(941),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(941),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(941),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(941),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(941),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(941),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(941),
    [aux_sym_host_key_alias_token1] = ACTIONS(941),
    [aux_sym_hostname_token1] = ACTIONS(941),
    [aux_sym_identities_only_token1] = ACTIONS(941),
    [aux_sym_identity_agent_token1] = ACTIONS(941),
    [aux_sym_identity_file_token1] = ACTIONS(941),
    [aux_sym_ignore_unknown_token1] = ACTIONS(941),
    [aux_sym_include_token1] = ACTIONS(941),
    [aux_sym_ip_qos_token1] = ACTIONS(941),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(941),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(941),
    [aux_sym_kex_algorithms_token1] = ACTIONS(941),
    [aux_sym_known_hosts_command_token1] = ACTIONS(941),
    [aux_sym_local_command_token1] = ACTIONS(941),
    [aux_sym_local_forward_token1] = ACTIONS(941),
    [aux_sym_log_level_token1] = ACTIONS(941),
    [aux_sym_log_verbose_token1] = ACTIONS(941),
    [aux_sym_macs_token1] = ACTIONS(941),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(941),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(941),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(941),
    [aux_sym_password_authentication_token1] = ACTIONS(941),
    [aux_sym_permit_local_command_token1] = ACTIONS(941),
    [aux_sym_permit_remote_open_token1] = ACTIONS(941),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(941),
    [aux_sym_port_token1] = ACTIONS(941),
    [aux_sym_preferred_authentications_token1] = ACTIONS(941),
    [aux_sym_protocol_token1] = ACTIONS(941),
    [aux_sym_proxy_command_token1] = ACTIONS(941),
    [aux_sym_proxy_jump_token1] = ACTIONS(941),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(941),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(941),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(941),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(941),
    [aux_sym_rekey_limit_token1] = ACTIONS(941),
    [aux_sym_remote_command_token1] = ACTIONS(941),
    [aux_sym_remote_forward_token1] = ACTIONS(941),
    [aux_sym_request_tty_token1] = ACTIONS(941),
    [aux_sym_required_rsa_size_token1] = ACTIONS(941),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(941),
    [aux_sym_security_key_provider_token1] = ACTIONS(941),
    [aux_sym_send_env_token1] = ACTIONS(941),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(941),
    [aux_sym_server_alive_interval_token1] = ACTIONS(941),
    [aux_sym_session_type_token1] = ACTIONS(941),
    [aux_sym_set_env_token1] = ACTIONS(941),
    [aux_sym_stdin_null_token1] = ACTIONS(941),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(941),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(941),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(941),
    [aux_sym_syslog_facility_token1] = ACTIONS(941),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(941),
    [aux_sym_keep_alive_token1] = ACTIONS(941),
    [aux_sym_tag_token1] = ACTIONS(941),
    [aux_sym_tunnel_token1] = ACTIONS(943),
    [aux_sym_tunnel_device_token1] = ACTIONS(941),
    [aux_sym_update_host_keys_token1] = ACTIONS(941),
    [aux_sym_use_keychain_token1] = ACTIONS(941),
    [aux_sym_use_roaming_token1] = ACTIONS(941),
    [aux_sym_user_token1] = ACTIONS(943),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(941),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(941),
    [aux_sym_visual_host_key_token1] = ACTIONS(941),
    [aux_sym_xauth_location_token1] = ACTIONS(941),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [aux_sym_match_token1] = ACTIONS(947),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(947),
    [aux_sym_address_family_token1] = ACTIONS(947),
    [aux_sym_batch_mode_token1] = ACTIONS(947),
    [aux_sym_bind_address_token1] = ACTIONS(947),
    [aux_sym_bind_interface_token1] = ACTIONS(947),
    [aux_sym_canonical_domains_token1] = ACTIONS(947),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(947),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(947),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(947),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(947),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(947),
    [aux_sym_certificate_file_token1] = ACTIONS(947),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(947),
    [aux_sym_channel_timeout_token1] = ACTIONS(947),
    [aux_sym_check_host_ip_token1] = ACTIONS(947),
    [aux_sym_ciphers_token1] = ACTIONS(947),
    [aux_sym_cipher_token1] = ACTIONS(949),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(947),
    [aux_sym_compression_token1] = ACTIONS(947),
    [aux_sym_connection_attempts_token1] = ACTIONS(947),
    [aux_sym_connect_timeout_token1] = ACTIONS(947),
    [aux_sym_control_master_token1] = ACTIONS(947),
    [aux_sym_control_path_token1] = ACTIONS(947),
    [aux_sym_control_persist_token1] = ACTIONS(947),
    [aux_sym_dynamic_forward_token1] = ACTIONS(947),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(947),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(947),
    [aux_sym_escape_char_token1] = ACTIONS(947),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(947),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(947),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(947),
    [aux_sym_forward_agent_token1] = ACTIONS(947),
    [aux_sym_forward_x11_token1] = ACTIONS(949),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(947),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(947),
    [aux_sym_gateway_ports_token1] = ACTIONS(947),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(947),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(947),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(947),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(947),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(947),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(947),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(947),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(947),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(947),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(947),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(947),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(947),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(947),
    [aux_sym_host_key_alias_token1] = ACTIONS(947),
    [aux_sym_hostname_token1] = ACTIONS(947),
    [aux_sym_identities_only_token1] = ACTIONS(947),
    [aux_sym_identity_agent_token1] = ACTIONS(947),
    [aux_sym_identity_file_token1] = ACTIONS(947),
    [aux_sym_ignore_unknown_token1] = ACTIONS(947),
    [aux_sym_include_token1] = ACTIONS(947),
    [aux_sym_ip_qos_token1] = ACTIONS(947),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(947),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(947),
    [aux_sym_kex_algorithms_token1] = ACTIONS(947),
    [aux_sym_known_hosts_command_token1] = ACTIONS(947),
    [aux_sym_local_command_token1] = ACTIONS(947),
    [aux_sym_local_forward_token1] = ACTIONS(947),
    [aux_sym_log_level_token1] = ACTIONS(947),
    [aux_sym_log_verbose_token1] = ACTIONS(947),
    [aux_sym_macs_token1] = ACTIONS(947),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(947),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(947),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(947),
    [aux_sym_password_authentication_token1] = ACTIONS(947),
    [aux_sym_permit_local_command_token1] = ACTIONS(947),
    [aux_sym_permit_remote_open_token1] = ACTIONS(947),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(947),
    [aux_sym_port_token1] = ACTIONS(947),
    [aux_sym_preferred_authentications_token1] = ACTIONS(947),
    [aux_sym_protocol_token1] = ACTIONS(947),
    [aux_sym_proxy_command_token1] = ACTIONS(947),
    [aux_sym_proxy_jump_token1] = ACTIONS(947),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(947),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(947),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(947),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(947),
    [aux_sym_rekey_limit_token1] = ACTIONS(947),
    [aux_sym_remote_command_token1] = ACTIONS(947),
    [aux_sym_remote_forward_token1] = ACTIONS(947),
    [aux_sym_request_tty_token1] = ACTIONS(947),
    [aux_sym_required_rsa_size_token1] = ACTIONS(947),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(947),
    [aux_sym_security_key_provider_token1] = ACTIONS(947),
    [aux_sym_send_env_token1] = ACTIONS(947),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(947),
    [aux_sym_server_alive_interval_token1] = ACTIONS(947),
    [aux_sym_session_type_token1] = ACTIONS(947),
    [aux_sym_set_env_token1] = ACTIONS(947),
    [aux_sym_stdin_null_token1] = ACTIONS(947),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(947),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(947),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(947),
    [aux_sym_syslog_facility_token1] = ACTIONS(947),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(947),
    [aux_sym_keep_alive_token1] = ACTIONS(947),
    [aux_sym_tag_token1] = ACTIONS(947),
    [aux_sym_tunnel_token1] = ACTIONS(949),
    [aux_sym_tunnel_device_token1] = ACTIONS(947),
    [aux_sym_update_host_keys_token1] = ACTIONS(947),
    [aux_sym_use_keychain_token1] = ACTIONS(947),
    [aux_sym_use_roaming_token1] = ACTIONS(947),
    [aux_sym_user_token1] = ACTIONS(949),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(947),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(947),
    [aux_sym_visual_host_key_token1] = ACTIONS(947),
    [aux_sym_xauth_location_token1] = ACTIONS(947),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [aux_sym_match_token1] = ACTIONS(953),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(953),
    [aux_sym_address_family_token1] = ACTIONS(953),
    [aux_sym_batch_mode_token1] = ACTIONS(953),
    [aux_sym_bind_address_token1] = ACTIONS(953),
    [aux_sym_bind_interface_token1] = ACTIONS(953),
    [aux_sym_canonical_domains_token1] = ACTIONS(953),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(953),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(953),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(953),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(953),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(953),
    [aux_sym_certificate_file_token1] = ACTIONS(953),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(953),
    [aux_sym_channel_timeout_token1] = ACTIONS(953),
    [aux_sym_check_host_ip_token1] = ACTIONS(953),
    [aux_sym_ciphers_token1] = ACTIONS(953),
    [aux_sym_cipher_token1] = ACTIONS(955),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(953),
    [aux_sym_compression_token1] = ACTIONS(953),
    [aux_sym_connection_attempts_token1] = ACTIONS(953),
    [aux_sym_connect_timeout_token1] = ACTIONS(953),
    [aux_sym_control_master_token1] = ACTIONS(953),
    [aux_sym_control_path_token1] = ACTIONS(953),
    [aux_sym_control_persist_token1] = ACTIONS(953),
    [aux_sym_dynamic_forward_token1] = ACTIONS(953),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(953),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(953),
    [aux_sym_escape_char_token1] = ACTIONS(953),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(953),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(953),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(953),
    [aux_sym_forward_agent_token1] = ACTIONS(953),
    [aux_sym_forward_x11_token1] = ACTIONS(955),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(953),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(953),
    [aux_sym_gateway_ports_token1] = ACTIONS(953),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(953),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(953),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(953),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(953),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(953),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(953),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(953),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(953),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(953),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(953),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(953),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(953),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(953),
    [aux_sym_host_key_alias_token1] = ACTIONS(953),
    [aux_sym_hostname_token1] = ACTIONS(953),
    [aux_sym_identities_only_token1] = ACTIONS(953),
    [aux_sym_identity_agent_token1] = ACTIONS(953),
    [aux_sym_identity_file_token1] = ACTIONS(953),
    [aux_sym_ignore_unknown_token1] = ACTIONS(953),
    [aux_sym_include_token1] = ACTIONS(953),
    [aux_sym_ip_qos_token1] = ACTIONS(953),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(953),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(953),
    [aux_sym_kex_algorithms_token1] = ACTIONS(953),
    [aux_sym_known_hosts_command_token1] = ACTIONS(953),
    [aux_sym_local_command_token1] = ACTIONS(953),
    [aux_sym_local_forward_token1] = ACTIONS(953),
    [aux_sym_log_level_token1] = ACTIONS(953),
    [aux_sym_log_verbose_token1] = ACTIONS(953),
    [aux_sym_macs_token1] = ACTIONS(953),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(953),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(953),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(953),
    [aux_sym_password_authentication_token1] = ACTIONS(953),
    [aux_sym_permit_local_command_token1] = ACTIONS(953),
    [aux_sym_permit_remote_open_token1] = ACTIONS(953),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(953),
    [aux_sym_port_token1] = ACTIONS(953),
    [aux_sym_preferred_authentications_token1] = ACTIONS(953),
    [aux_sym_protocol_token1] = ACTIONS(953),
    [aux_sym_proxy_command_token1] = ACTIONS(953),
    [aux_sym_proxy_jump_token1] = ACTIONS(953),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(953),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(953),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(953),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(953),
    [aux_sym_rekey_limit_token1] = ACTIONS(953),
    [aux_sym_remote_command_token1] = ACTIONS(953),
    [aux_sym_remote_forward_token1] = ACTIONS(953),
    [aux_sym_request_tty_token1] = ACTIONS(953),
    [aux_sym_required_rsa_size_token1] = ACTIONS(953),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(953),
    [aux_sym_security_key_provider_token1] = ACTIONS(953),
    [aux_sym_send_env_token1] = ACTIONS(953),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(953),
    [aux_sym_server_alive_interval_token1] = ACTIONS(953),
    [aux_sym_session_type_token1] = ACTIONS(953),
    [aux_sym_set_env_token1] = ACTIONS(953),
    [aux_sym_stdin_null_token1] = ACTIONS(953),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(953),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(953),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(953),
    [aux_sym_syslog_facility_token1] = ACTIONS(953),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(953),
    [aux_sym_keep_alive_token1] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(953),
    [aux_sym_tunnel_token1] = ACTIONS(955),
    [aux_sym_tunnel_device_token1] = ACTIONS(953),
    [aux_sym_update_host_keys_token1] = ACTIONS(953),
    [aux_sym_use_keychain_token1] = ACTIONS(953),
    [aux_sym_use_roaming_token1] = ACTIONS(953),
    [aux_sym_user_token1] = ACTIONS(955),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(953),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(953),
    [aux_sym_visual_host_key_token1] = ACTIONS(953),
    [aux_sym_xauth_location_token1] = ACTIONS(953),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(963),
    [aux_sym_match_token1] = ACTIONS(959),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(959),
    [aux_sym_address_family_token1] = ACTIONS(959),
    [aux_sym_batch_mode_token1] = ACTIONS(959),
    [aux_sym_bind_address_token1] = ACTIONS(959),
    [aux_sym_bind_interface_token1] = ACTIONS(959),
    [aux_sym_canonical_domains_token1] = ACTIONS(959),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(959),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(959),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(959),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(959),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(959),
    [aux_sym_certificate_file_token1] = ACTIONS(959),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(959),
    [aux_sym_channel_timeout_token1] = ACTIONS(959),
    [aux_sym_check_host_ip_token1] = ACTIONS(959),
    [aux_sym_ciphers_token1] = ACTIONS(959),
    [aux_sym_cipher_token1] = ACTIONS(961),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(959),
    [aux_sym_compression_token1] = ACTIONS(959),
    [aux_sym_connection_attempts_token1] = ACTIONS(959),
    [aux_sym_connect_timeout_token1] = ACTIONS(959),
    [aux_sym_control_master_token1] = ACTIONS(959),
    [aux_sym_control_path_token1] = ACTIONS(959),
    [aux_sym_control_persist_token1] = ACTIONS(959),
    [aux_sym_dynamic_forward_token1] = ACTIONS(959),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(959),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(959),
    [aux_sym_escape_char_token1] = ACTIONS(959),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(959),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(959),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(959),
    [aux_sym_forward_agent_token1] = ACTIONS(959),
    [aux_sym_forward_x11_token1] = ACTIONS(961),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(959),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(959),
    [aux_sym_gateway_ports_token1] = ACTIONS(959),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(959),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(959),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(959),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(959),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(959),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(959),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(959),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(959),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(959),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(959),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(959),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(959),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(959),
    [aux_sym_host_key_alias_token1] = ACTIONS(959),
    [aux_sym_hostname_token1] = ACTIONS(959),
    [aux_sym_identities_only_token1] = ACTIONS(959),
    [aux_sym_identity_agent_token1] = ACTIONS(959),
    [aux_sym_identity_file_token1] = ACTIONS(959),
    [aux_sym_ignore_unknown_token1] = ACTIONS(959),
    [aux_sym_include_token1] = ACTIONS(959),
    [aux_sym_ip_qos_token1] = ACTIONS(959),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(959),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(959),
    [aux_sym_kex_algorithms_token1] = ACTIONS(959),
    [aux_sym_known_hosts_command_token1] = ACTIONS(959),
    [aux_sym_local_command_token1] = ACTIONS(959),
    [aux_sym_local_forward_token1] = ACTIONS(959),
    [aux_sym_log_level_token1] = ACTIONS(959),
    [aux_sym_log_verbose_token1] = ACTIONS(959),
    [aux_sym_macs_token1] = ACTIONS(959),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(959),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(959),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(959),
    [aux_sym_password_authentication_token1] = ACTIONS(959),
    [aux_sym_permit_local_command_token1] = ACTIONS(959),
    [aux_sym_permit_remote_open_token1] = ACTIONS(959),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(959),
    [aux_sym_port_token1] = ACTIONS(959),
    [aux_sym_preferred_authentications_token1] = ACTIONS(959),
    [aux_sym_protocol_token1] = ACTIONS(959),
    [aux_sym_proxy_command_token1] = ACTIONS(959),
    [aux_sym_proxy_jump_token1] = ACTIONS(959),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(959),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(959),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(959),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(959),
    [aux_sym_rekey_limit_token1] = ACTIONS(959),
    [aux_sym_remote_command_token1] = ACTIONS(959),
    [aux_sym_remote_forward_token1] = ACTIONS(959),
    [aux_sym_request_tty_token1] = ACTIONS(959),
    [aux_sym_required_rsa_size_token1] = ACTIONS(959),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(959),
    [aux_sym_security_key_provider_token1] = ACTIONS(959),
    [aux_sym_send_env_token1] = ACTIONS(959),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(959),
    [aux_sym_server_alive_interval_token1] = ACTIONS(959),
    [aux_sym_session_type_token1] = ACTIONS(959),
    [aux_sym_set_env_token1] = ACTIONS(959),
    [aux_sym_stdin_null_token1] = ACTIONS(959),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(959),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(959),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(959),
    [aux_sym_syslog_facility_token1] = ACTIONS(959),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(959),
    [aux_sym_keep_alive_token1] = ACTIONS(959),
    [aux_sym_tag_token1] = ACTIONS(959),
    [aux_sym_tunnel_token1] = ACTIONS(961),
    [aux_sym_tunnel_device_token1] = ACTIONS(959),
    [aux_sym_update_host_keys_token1] = ACTIONS(959),
    [aux_sym_use_keychain_token1] = ACTIONS(959),
    [aux_sym_use_roaming_token1] = ACTIONS(959),
    [aux_sym_user_token1] = ACTIONS(961),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(959),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(959),
    [aux_sym_visual_host_key_token1] = ACTIONS(959),
    [aux_sym_xauth_location_token1] = ACTIONS(959),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [aux_sym_match_token1] = ACTIONS(965),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(965),
    [aux_sym_address_family_token1] = ACTIONS(965),
    [aux_sym_batch_mode_token1] = ACTIONS(965),
    [aux_sym_bind_address_token1] = ACTIONS(965),
    [aux_sym_bind_interface_token1] = ACTIONS(965),
    [aux_sym_canonical_domains_token1] = ACTIONS(965),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(965),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(965),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(965),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(965),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(965),
    [aux_sym_certificate_file_token1] = ACTIONS(965),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(965),
    [aux_sym_channel_timeout_token1] = ACTIONS(965),
    [aux_sym_check_host_ip_token1] = ACTIONS(965),
    [aux_sym_ciphers_token1] = ACTIONS(965),
    [aux_sym_cipher_token1] = ACTIONS(967),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(965),
    [aux_sym_compression_token1] = ACTIONS(965),
    [aux_sym_connection_attempts_token1] = ACTIONS(965),
    [aux_sym_connect_timeout_token1] = ACTIONS(965),
    [aux_sym_control_master_token1] = ACTIONS(965),
    [aux_sym_control_path_token1] = ACTIONS(965),
    [aux_sym_control_persist_token1] = ACTIONS(965),
    [aux_sym_dynamic_forward_token1] = ACTIONS(965),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(965),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(965),
    [aux_sym_escape_char_token1] = ACTIONS(965),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(965),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(965),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(965),
    [aux_sym_forward_agent_token1] = ACTIONS(965),
    [aux_sym_forward_x11_token1] = ACTIONS(967),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(965),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(965),
    [aux_sym_gateway_ports_token1] = ACTIONS(965),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(965),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(965),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(965),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(965),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(965),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(965),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(965),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(965),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(965),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(965),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(965),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(965),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(965),
    [aux_sym_host_key_alias_token1] = ACTIONS(965),
    [aux_sym_hostname_token1] = ACTIONS(965),
    [aux_sym_identities_only_token1] = ACTIONS(965),
    [aux_sym_identity_agent_token1] = ACTIONS(965),
    [aux_sym_identity_file_token1] = ACTIONS(965),
    [aux_sym_ignore_unknown_token1] = ACTIONS(965),
    [aux_sym_include_token1] = ACTIONS(965),
    [aux_sym_ip_qos_token1] = ACTIONS(965),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(965),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(965),
    [aux_sym_kex_algorithms_token1] = ACTIONS(965),
    [aux_sym_known_hosts_command_token1] = ACTIONS(965),
    [aux_sym_local_command_token1] = ACTIONS(965),
    [aux_sym_local_forward_token1] = ACTIONS(965),
    [aux_sym_log_level_token1] = ACTIONS(965),
    [aux_sym_log_verbose_token1] = ACTIONS(965),
    [aux_sym_macs_token1] = ACTIONS(965),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(965),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(965),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(965),
    [aux_sym_password_authentication_token1] = ACTIONS(965),
    [aux_sym_permit_local_command_token1] = ACTIONS(965),
    [aux_sym_permit_remote_open_token1] = ACTIONS(965),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(965),
    [aux_sym_port_token1] = ACTIONS(965),
    [aux_sym_preferred_authentications_token1] = ACTIONS(965),
    [aux_sym_protocol_token1] = ACTIONS(965),
    [aux_sym_proxy_command_token1] = ACTIONS(965),
    [aux_sym_proxy_jump_token1] = ACTIONS(965),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(965),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(965),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(965),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(965),
    [aux_sym_rekey_limit_token1] = ACTIONS(965),
    [aux_sym_remote_command_token1] = ACTIONS(965),
    [aux_sym_remote_forward_token1] = ACTIONS(965),
    [aux_sym_request_tty_token1] = ACTIONS(965),
    [aux_sym_required_rsa_size_token1] = ACTIONS(965),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(965),
    [aux_sym_security_key_provider_token1] = ACTIONS(965),
    [aux_sym_send_env_token1] = ACTIONS(965),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(965),
    [aux_sym_server_alive_interval_token1] = ACTIONS(965),
    [aux_sym_session_type_token1] = ACTIONS(965),
    [aux_sym_set_env_token1] = ACTIONS(965),
    [aux_sym_stdin_null_token1] = ACTIONS(965),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(965),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(965),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(965),
    [aux_sym_syslog_facility_token1] = ACTIONS(965),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(965),
    [aux_sym_keep_alive_token1] = ACTIONS(965),
    [aux_sym_tag_token1] = ACTIONS(965),
    [aux_sym_tunnel_token1] = ACTIONS(967),
    [aux_sym_tunnel_device_token1] = ACTIONS(965),
    [aux_sym_update_host_keys_token1] = ACTIONS(965),
    [aux_sym_use_keychain_token1] = ACTIONS(965),
    [aux_sym_use_roaming_token1] = ACTIONS(965),
    [aux_sym_user_token1] = ACTIONS(967),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(965),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(965),
    [aux_sym_visual_host_key_token1] = ACTIONS(965),
    [aux_sym_xauth_location_token1] = ACTIONS(965),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [aux_sym_match_token1] = ACTIONS(971),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(971),
    [aux_sym_address_family_token1] = ACTIONS(971),
    [aux_sym_batch_mode_token1] = ACTIONS(971),
    [aux_sym_bind_address_token1] = ACTIONS(971),
    [aux_sym_bind_interface_token1] = ACTIONS(971),
    [aux_sym_canonical_domains_token1] = ACTIONS(971),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(971),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(971),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(971),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(971),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(971),
    [aux_sym_certificate_file_token1] = ACTIONS(971),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(971),
    [aux_sym_channel_timeout_token1] = ACTIONS(971),
    [aux_sym_check_host_ip_token1] = ACTIONS(971),
    [aux_sym_ciphers_token1] = ACTIONS(971),
    [aux_sym_cipher_token1] = ACTIONS(973),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(971),
    [aux_sym_compression_token1] = ACTIONS(971),
    [aux_sym_connection_attempts_token1] = ACTIONS(971),
    [aux_sym_connect_timeout_token1] = ACTIONS(971),
    [aux_sym_control_master_token1] = ACTIONS(971),
    [aux_sym_control_path_token1] = ACTIONS(971),
    [aux_sym_control_persist_token1] = ACTIONS(971),
    [aux_sym_dynamic_forward_token1] = ACTIONS(971),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(971),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(971),
    [aux_sym_escape_char_token1] = ACTIONS(971),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(971),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(971),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(971),
    [aux_sym_forward_agent_token1] = ACTIONS(971),
    [aux_sym_forward_x11_token1] = ACTIONS(973),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(971),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(971),
    [aux_sym_gateway_ports_token1] = ACTIONS(971),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(971),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(971),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(971),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(971),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(971),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(971),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(971),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(971),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(971),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(971),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(971),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(971),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(971),
    [aux_sym_host_key_alias_token1] = ACTIONS(971),
    [aux_sym_hostname_token1] = ACTIONS(971),
    [aux_sym_identities_only_token1] = ACTIONS(971),
    [aux_sym_identity_agent_token1] = ACTIONS(971),
    [aux_sym_identity_file_token1] = ACTIONS(971),
    [aux_sym_ignore_unknown_token1] = ACTIONS(971),
    [aux_sym_include_token1] = ACTIONS(971),
    [aux_sym_ip_qos_token1] = ACTIONS(971),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(971),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(971),
    [aux_sym_kex_algorithms_token1] = ACTIONS(971),
    [aux_sym_known_hosts_command_token1] = ACTIONS(971),
    [aux_sym_local_command_token1] = ACTIONS(971),
    [aux_sym_local_forward_token1] = ACTIONS(971),
    [aux_sym_log_level_token1] = ACTIONS(971),
    [aux_sym_log_verbose_token1] = ACTIONS(971),
    [aux_sym_macs_token1] = ACTIONS(971),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(971),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(971),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(971),
    [aux_sym_password_authentication_token1] = ACTIONS(971),
    [aux_sym_permit_local_command_token1] = ACTIONS(971),
    [aux_sym_permit_remote_open_token1] = ACTIONS(971),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(971),
    [aux_sym_port_token1] = ACTIONS(971),
    [aux_sym_preferred_authentications_token1] = ACTIONS(971),
    [aux_sym_protocol_token1] = ACTIONS(971),
    [aux_sym_proxy_command_token1] = ACTIONS(971),
    [aux_sym_proxy_jump_token1] = ACTIONS(971),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(971),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(971),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(971),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(971),
    [aux_sym_rekey_limit_token1] = ACTIONS(971),
    [aux_sym_remote_command_token1] = ACTIONS(971),
    [aux_sym_remote_forward_token1] = ACTIONS(971),
    [aux_sym_request_tty_token1] = ACTIONS(971),
    [aux_sym_required_rsa_size_token1] = ACTIONS(971),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(971),
    [aux_sym_security_key_provider_token1] = ACTIONS(971),
    [aux_sym_send_env_token1] = ACTIONS(971),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(971),
    [aux_sym_server_alive_interval_token1] = ACTIONS(971),
    [aux_sym_session_type_token1] = ACTIONS(971),
    [aux_sym_set_env_token1] = ACTIONS(971),
    [aux_sym_stdin_null_token1] = ACTIONS(971),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(971),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(971),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(971),
    [aux_sym_syslog_facility_token1] = ACTIONS(971),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(971),
    [aux_sym_keep_alive_token1] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(971),
    [aux_sym_tunnel_token1] = ACTIONS(973),
    [aux_sym_tunnel_device_token1] = ACTIONS(971),
    [aux_sym_update_host_keys_token1] = ACTIONS(971),
    [aux_sym_use_keychain_token1] = ACTIONS(971),
    [aux_sym_use_roaming_token1] = ACTIONS(971),
    [aux_sym_user_token1] = ACTIONS(973),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(971),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(971),
    [aux_sym_visual_host_key_token1] = ACTIONS(971),
    [aux_sym_xauth_location_token1] = ACTIONS(971),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [aux_sym_match_token1] = ACTIONS(977),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(977),
    [aux_sym_address_family_token1] = ACTIONS(977),
    [aux_sym_batch_mode_token1] = ACTIONS(977),
    [aux_sym_bind_address_token1] = ACTIONS(977),
    [aux_sym_bind_interface_token1] = ACTIONS(977),
    [aux_sym_canonical_domains_token1] = ACTIONS(977),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(977),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(977),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(977),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(977),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(977),
    [aux_sym_certificate_file_token1] = ACTIONS(977),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(977),
    [aux_sym_channel_timeout_token1] = ACTIONS(977),
    [aux_sym_check_host_ip_token1] = ACTIONS(977),
    [aux_sym_ciphers_token1] = ACTIONS(977),
    [aux_sym_cipher_token1] = ACTIONS(979),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(977),
    [aux_sym_compression_token1] = ACTIONS(977),
    [aux_sym_connection_attempts_token1] = ACTIONS(977),
    [aux_sym_connect_timeout_token1] = ACTIONS(977),
    [aux_sym_control_master_token1] = ACTIONS(977),
    [aux_sym_control_path_token1] = ACTIONS(977),
    [aux_sym_control_persist_token1] = ACTIONS(977),
    [aux_sym_dynamic_forward_token1] = ACTIONS(977),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(977),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(977),
    [aux_sym_escape_char_token1] = ACTIONS(977),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(977),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(977),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(977),
    [aux_sym_forward_agent_token1] = ACTIONS(977),
    [aux_sym_forward_x11_token1] = ACTIONS(979),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(977),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(977),
    [aux_sym_gateway_ports_token1] = ACTIONS(977),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(977),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(977),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(977),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(977),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(977),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(977),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(977),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(977),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(977),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(977),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(977),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(977),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(977),
    [aux_sym_host_key_alias_token1] = ACTIONS(977),
    [aux_sym_hostname_token1] = ACTIONS(977),
    [aux_sym_identities_only_token1] = ACTIONS(977),
    [aux_sym_identity_agent_token1] = ACTIONS(977),
    [aux_sym_identity_file_token1] = ACTIONS(977),
    [aux_sym_ignore_unknown_token1] = ACTIONS(977),
    [aux_sym_include_token1] = ACTIONS(977),
    [aux_sym_ip_qos_token1] = ACTIONS(977),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(977),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(977),
    [aux_sym_kex_algorithms_token1] = ACTIONS(977),
    [aux_sym_known_hosts_command_token1] = ACTIONS(977),
    [aux_sym_local_command_token1] = ACTIONS(977),
    [aux_sym_local_forward_token1] = ACTIONS(977),
    [aux_sym_log_level_token1] = ACTIONS(977),
    [aux_sym_log_verbose_token1] = ACTIONS(977),
    [aux_sym_macs_token1] = ACTIONS(977),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(977),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(977),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(977),
    [aux_sym_password_authentication_token1] = ACTIONS(977),
    [aux_sym_permit_local_command_token1] = ACTIONS(977),
    [aux_sym_permit_remote_open_token1] = ACTIONS(977),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(977),
    [aux_sym_port_token1] = ACTIONS(977),
    [aux_sym_preferred_authentications_token1] = ACTIONS(977),
    [aux_sym_protocol_token1] = ACTIONS(977),
    [aux_sym_proxy_command_token1] = ACTIONS(977),
    [aux_sym_proxy_jump_token1] = ACTIONS(977),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(977),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(977),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(977),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(977),
    [aux_sym_rekey_limit_token1] = ACTIONS(977),
    [aux_sym_remote_command_token1] = ACTIONS(977),
    [aux_sym_remote_forward_token1] = ACTIONS(977),
    [aux_sym_request_tty_token1] = ACTIONS(977),
    [aux_sym_required_rsa_size_token1] = ACTIONS(977),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(977),
    [aux_sym_security_key_provider_token1] = ACTIONS(977),
    [aux_sym_send_env_token1] = ACTIONS(977),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(977),
    [aux_sym_server_alive_interval_token1] = ACTIONS(977),
    [aux_sym_session_type_token1] = ACTIONS(977),
    [aux_sym_set_env_token1] = ACTIONS(977),
    [aux_sym_stdin_null_token1] = ACTIONS(977),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(977),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(977),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(977),
    [aux_sym_syslog_facility_token1] = ACTIONS(977),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(977),
    [aux_sym_keep_alive_token1] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(977),
    [aux_sym_tunnel_token1] = ACTIONS(979),
    [aux_sym_tunnel_device_token1] = ACTIONS(977),
    [aux_sym_update_host_keys_token1] = ACTIONS(977),
    [aux_sym_use_keychain_token1] = ACTIONS(977),
    [aux_sym_use_roaming_token1] = ACTIONS(977),
    [aux_sym_user_token1] = ACTIONS(979),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(977),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(977),
    [aux_sym_visual_host_key_token1] = ACTIONS(977),
    [aux_sym_xauth_location_token1] = ACTIONS(977),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(985),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_match_token1] = ACTIONS(983),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(983),
    [aux_sym_address_family_token1] = ACTIONS(983),
    [aux_sym_batch_mode_token1] = ACTIONS(983),
    [aux_sym_bind_address_token1] = ACTIONS(983),
    [aux_sym_bind_interface_token1] = ACTIONS(983),
    [aux_sym_canonical_domains_token1] = ACTIONS(983),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(983),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(983),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(983),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(983),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(983),
    [aux_sym_certificate_file_token1] = ACTIONS(983),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(983),
    [aux_sym_channel_timeout_token1] = ACTIONS(983),
    [aux_sym_check_host_ip_token1] = ACTIONS(983),
    [aux_sym_ciphers_token1] = ACTIONS(983),
    [aux_sym_cipher_token1] = ACTIONS(985),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(983),
    [aux_sym_compression_token1] = ACTIONS(983),
    [aux_sym_connection_attempts_token1] = ACTIONS(983),
    [aux_sym_connect_timeout_token1] = ACTIONS(983),
    [aux_sym_control_master_token1] = ACTIONS(983),
    [aux_sym_control_path_token1] = ACTIONS(983),
    [aux_sym_control_persist_token1] = ACTIONS(983),
    [aux_sym_dynamic_forward_token1] = ACTIONS(983),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(983),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(983),
    [aux_sym_escape_char_token1] = ACTIONS(983),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(983),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(983),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(983),
    [aux_sym_forward_agent_token1] = ACTIONS(983),
    [aux_sym_forward_x11_token1] = ACTIONS(985),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(983),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(983),
    [aux_sym_gateway_ports_token1] = ACTIONS(983),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(983),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(983),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(983),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(983),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(983),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(983),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(983),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(983),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(983),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(983),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(983),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(983),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(983),
    [aux_sym_host_key_alias_token1] = ACTIONS(983),
    [aux_sym_hostname_token1] = ACTIONS(983),
    [aux_sym_identities_only_token1] = ACTIONS(983),
    [aux_sym_identity_agent_token1] = ACTIONS(983),
    [aux_sym_identity_file_token1] = ACTIONS(983),
    [aux_sym_ignore_unknown_token1] = ACTIONS(983),
    [aux_sym_include_token1] = ACTIONS(983),
    [aux_sym_ip_qos_token1] = ACTIONS(983),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(983),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(983),
    [aux_sym_kex_algorithms_token1] = ACTIONS(983),
    [aux_sym_known_hosts_command_token1] = ACTIONS(983),
    [aux_sym_local_command_token1] = ACTIONS(983),
    [aux_sym_local_forward_token1] = ACTIONS(983),
    [aux_sym_log_level_token1] = ACTIONS(983),
    [aux_sym_log_verbose_token1] = ACTIONS(983),
    [aux_sym_macs_token1] = ACTIONS(983),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(983),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(983),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(983),
    [aux_sym_password_authentication_token1] = ACTIONS(983),
    [aux_sym_permit_local_command_token1] = ACTIONS(983),
    [aux_sym_permit_remote_open_token1] = ACTIONS(983),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(983),
    [aux_sym_port_token1] = ACTIONS(983),
    [aux_sym_preferred_authentications_token1] = ACTIONS(983),
    [aux_sym_protocol_token1] = ACTIONS(983),
    [aux_sym_proxy_command_token1] = ACTIONS(983),
    [aux_sym_proxy_jump_token1] = ACTIONS(983),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(983),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(983),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(983),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(983),
    [aux_sym_rekey_limit_token1] = ACTIONS(983),
    [aux_sym_remote_command_token1] = ACTIONS(983),
    [aux_sym_remote_forward_token1] = ACTIONS(983),
    [aux_sym_request_tty_token1] = ACTIONS(983),
    [aux_sym_required_rsa_size_token1] = ACTIONS(983),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(983),
    [aux_sym_security_key_provider_token1] = ACTIONS(983),
    [aux_sym_send_env_token1] = ACTIONS(983),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(983),
    [aux_sym_server_alive_interval_token1] = ACTIONS(983),
    [aux_sym_session_type_token1] = ACTIONS(983),
    [aux_sym_set_env_token1] = ACTIONS(983),
    [aux_sym_stdin_null_token1] = ACTIONS(983),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(983),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(983),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(983),
    [aux_sym_syslog_facility_token1] = ACTIONS(983),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(983),
    [aux_sym_keep_alive_token1] = ACTIONS(983),
    [aux_sym_tag_token1] = ACTIONS(983),
    [aux_sym_tunnel_token1] = ACTIONS(985),
    [aux_sym_tunnel_device_token1] = ACTIONS(983),
    [aux_sym_update_host_keys_token1] = ACTIONS(983),
    [aux_sym_use_keychain_token1] = ACTIONS(983),
    [aux_sym_use_roaming_token1] = ACTIONS(983),
    [aux_sym_user_token1] = ACTIONS(985),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(983),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(983),
    [aux_sym_visual_host_key_token1] = ACTIONS(983),
    [aux_sym_xauth_location_token1] = ACTIONS(983),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [aux_sym_match_token1] = ACTIONS(989),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(989),
    [aux_sym_address_family_token1] = ACTIONS(989),
    [aux_sym_batch_mode_token1] = ACTIONS(989),
    [aux_sym_bind_address_token1] = ACTIONS(989),
    [aux_sym_bind_interface_token1] = ACTIONS(989),
    [aux_sym_canonical_domains_token1] = ACTIONS(989),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(989),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(989),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(989),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(989),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(989),
    [aux_sym_certificate_file_token1] = ACTIONS(989),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(989),
    [aux_sym_channel_timeout_token1] = ACTIONS(989),
    [aux_sym_check_host_ip_token1] = ACTIONS(989),
    [aux_sym_ciphers_token1] = ACTIONS(989),
    [aux_sym_cipher_token1] = ACTIONS(991),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(989),
    [aux_sym_compression_token1] = ACTIONS(989),
    [aux_sym_connection_attempts_token1] = ACTIONS(989),
    [aux_sym_connect_timeout_token1] = ACTIONS(989),
    [aux_sym_control_master_token1] = ACTIONS(989),
    [aux_sym_control_path_token1] = ACTIONS(989),
    [aux_sym_control_persist_token1] = ACTIONS(989),
    [aux_sym_dynamic_forward_token1] = ACTIONS(989),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(989),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(989),
    [aux_sym_escape_char_token1] = ACTIONS(989),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(989),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(989),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(989),
    [aux_sym_forward_agent_token1] = ACTIONS(989),
    [aux_sym_forward_x11_token1] = ACTIONS(991),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(989),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(989),
    [aux_sym_gateway_ports_token1] = ACTIONS(989),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(989),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(989),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(989),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(989),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(989),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(989),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(989),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(989),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(989),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(989),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(989),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(989),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(989),
    [aux_sym_host_key_alias_token1] = ACTIONS(989),
    [aux_sym_hostname_token1] = ACTIONS(989),
    [aux_sym_identities_only_token1] = ACTIONS(989),
    [aux_sym_identity_agent_token1] = ACTIONS(989),
    [aux_sym_identity_file_token1] = ACTIONS(989),
    [aux_sym_ignore_unknown_token1] = ACTIONS(989),
    [aux_sym_include_token1] = ACTIONS(989),
    [aux_sym_ip_qos_token1] = ACTIONS(989),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(989),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(989),
    [aux_sym_kex_algorithms_token1] = ACTIONS(989),
    [aux_sym_known_hosts_command_token1] = ACTIONS(989),
    [aux_sym_local_command_token1] = ACTIONS(989),
    [aux_sym_local_forward_token1] = ACTIONS(989),
    [aux_sym_log_level_token1] = ACTIONS(989),
    [aux_sym_log_verbose_token1] = ACTIONS(989),
    [aux_sym_macs_token1] = ACTIONS(989),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(989),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(989),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(989),
    [aux_sym_password_authentication_token1] = ACTIONS(989),
    [aux_sym_permit_local_command_token1] = ACTIONS(989),
    [aux_sym_permit_remote_open_token1] = ACTIONS(989),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(989),
    [aux_sym_port_token1] = ACTIONS(989),
    [aux_sym_preferred_authentications_token1] = ACTIONS(989),
    [aux_sym_protocol_token1] = ACTIONS(989),
    [aux_sym_proxy_command_token1] = ACTIONS(989),
    [aux_sym_proxy_jump_token1] = ACTIONS(989),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(989),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(989),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(989),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(989),
    [aux_sym_rekey_limit_token1] = ACTIONS(989),
    [aux_sym_remote_command_token1] = ACTIONS(989),
    [aux_sym_remote_forward_token1] = ACTIONS(989),
    [aux_sym_request_tty_token1] = ACTIONS(989),
    [aux_sym_required_rsa_size_token1] = ACTIONS(989),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(989),
    [aux_sym_security_key_provider_token1] = ACTIONS(989),
    [aux_sym_send_env_token1] = ACTIONS(989),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(989),
    [aux_sym_server_alive_interval_token1] = ACTIONS(989),
    [aux_sym_session_type_token1] = ACTIONS(989),
    [aux_sym_set_env_token1] = ACTIONS(989),
    [aux_sym_stdin_null_token1] = ACTIONS(989),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(989),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(989),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(989),
    [aux_sym_syslog_facility_token1] = ACTIONS(989),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(989),
    [aux_sym_keep_alive_token1] = ACTIONS(989),
    [aux_sym_tag_token1] = ACTIONS(989),
    [aux_sym_tunnel_token1] = ACTIONS(991),
    [aux_sym_tunnel_device_token1] = ACTIONS(989),
    [aux_sym_update_host_keys_token1] = ACTIONS(989),
    [aux_sym_use_keychain_token1] = ACTIONS(989),
    [aux_sym_use_roaming_token1] = ACTIONS(989),
    [aux_sym_user_token1] = ACTIONS(991),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(989),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(989),
    [aux_sym_visual_host_key_token1] = ACTIONS(989),
    [aux_sym_xauth_location_token1] = ACTIONS(989),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_match_token1] = ACTIONS(995),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(995),
    [aux_sym_address_family_token1] = ACTIONS(995),
    [aux_sym_batch_mode_token1] = ACTIONS(995),
    [aux_sym_bind_address_token1] = ACTIONS(995),
    [aux_sym_bind_interface_token1] = ACTIONS(995),
    [aux_sym_canonical_domains_token1] = ACTIONS(995),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(995),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(995),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(995),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(995),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(995),
    [aux_sym_certificate_file_token1] = ACTIONS(995),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(995),
    [aux_sym_channel_timeout_token1] = ACTIONS(995),
    [aux_sym_check_host_ip_token1] = ACTIONS(995),
    [aux_sym_ciphers_token1] = ACTIONS(995),
    [aux_sym_cipher_token1] = ACTIONS(997),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(995),
    [aux_sym_compression_token1] = ACTIONS(995),
    [aux_sym_connection_attempts_token1] = ACTIONS(995),
    [aux_sym_connect_timeout_token1] = ACTIONS(995),
    [aux_sym_control_master_token1] = ACTIONS(995),
    [aux_sym_control_path_token1] = ACTIONS(995),
    [aux_sym_control_persist_token1] = ACTIONS(995),
    [aux_sym_dynamic_forward_token1] = ACTIONS(995),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(995),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(995),
    [aux_sym_escape_char_token1] = ACTIONS(995),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(995),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(995),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(995),
    [aux_sym_forward_agent_token1] = ACTIONS(995),
    [aux_sym_forward_x11_token1] = ACTIONS(997),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(995),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(995),
    [aux_sym_gateway_ports_token1] = ACTIONS(995),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(995),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(995),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(995),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(995),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(995),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(995),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(995),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(995),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(995),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(995),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(995),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(995),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(995),
    [aux_sym_host_key_alias_token1] = ACTIONS(995),
    [aux_sym_hostname_token1] = ACTIONS(995),
    [aux_sym_identities_only_token1] = ACTIONS(995),
    [aux_sym_identity_agent_token1] = ACTIONS(995),
    [aux_sym_identity_file_token1] = ACTIONS(995),
    [aux_sym_ignore_unknown_token1] = ACTIONS(995),
    [aux_sym_include_token1] = ACTIONS(995),
    [aux_sym_ip_qos_token1] = ACTIONS(995),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(995),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(995),
    [aux_sym_kex_algorithms_token1] = ACTIONS(995),
    [aux_sym_known_hosts_command_token1] = ACTIONS(995),
    [aux_sym_local_command_token1] = ACTIONS(995),
    [aux_sym_local_forward_token1] = ACTIONS(995),
    [aux_sym_log_level_token1] = ACTIONS(995),
    [aux_sym_log_verbose_token1] = ACTIONS(995),
    [aux_sym_macs_token1] = ACTIONS(995),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(995),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(995),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(995),
    [aux_sym_password_authentication_token1] = ACTIONS(995),
    [aux_sym_permit_local_command_token1] = ACTIONS(995),
    [aux_sym_permit_remote_open_token1] = ACTIONS(995),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(995),
    [aux_sym_port_token1] = ACTIONS(995),
    [aux_sym_preferred_authentications_token1] = ACTIONS(995),
    [aux_sym_protocol_token1] = ACTIONS(995),
    [aux_sym_proxy_command_token1] = ACTIONS(995),
    [aux_sym_proxy_jump_token1] = ACTIONS(995),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(995),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(995),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(995),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(995),
    [aux_sym_rekey_limit_token1] = ACTIONS(995),
    [aux_sym_remote_command_token1] = ACTIONS(995),
    [aux_sym_remote_forward_token1] = ACTIONS(995),
    [aux_sym_request_tty_token1] = ACTIONS(995),
    [aux_sym_required_rsa_size_token1] = ACTIONS(995),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(995),
    [aux_sym_security_key_provider_token1] = ACTIONS(995),
    [aux_sym_send_env_token1] = ACTIONS(995),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(995),
    [aux_sym_server_alive_interval_token1] = ACTIONS(995),
    [aux_sym_session_type_token1] = ACTIONS(995),
    [aux_sym_set_env_token1] = ACTIONS(995),
    [aux_sym_stdin_null_token1] = ACTIONS(995),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(995),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(995),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(995),
    [aux_sym_syslog_facility_token1] = ACTIONS(995),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(995),
    [aux_sym_keep_alive_token1] = ACTIONS(995),
    [aux_sym_tag_token1] = ACTIONS(995),
    [aux_sym_tunnel_token1] = ACTIONS(997),
    [aux_sym_tunnel_device_token1] = ACTIONS(995),
    [aux_sym_update_host_keys_token1] = ACTIONS(995),
    [aux_sym_use_keychain_token1] = ACTIONS(995),
    [aux_sym_use_roaming_token1] = ACTIONS(995),
    [aux_sym_user_token1] = ACTIONS(997),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(995),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(995),
    [aux_sym_visual_host_key_token1] = ACTIONS(995),
    [aux_sym_xauth_location_token1] = ACTIONS(995),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1003),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_match_token1] = ACTIONS(1001),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1001),
    [aux_sym_address_family_token1] = ACTIONS(1001),
    [aux_sym_batch_mode_token1] = ACTIONS(1001),
    [aux_sym_bind_address_token1] = ACTIONS(1001),
    [aux_sym_bind_interface_token1] = ACTIONS(1001),
    [aux_sym_canonical_domains_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1001),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1001),
    [aux_sym_certificate_file_token1] = ACTIONS(1001),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1001),
    [aux_sym_channel_timeout_token1] = ACTIONS(1001),
    [aux_sym_check_host_ip_token1] = ACTIONS(1001),
    [aux_sym_ciphers_token1] = ACTIONS(1001),
    [aux_sym_cipher_token1] = ACTIONS(1003),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1001),
    [aux_sym_compression_token1] = ACTIONS(1001),
    [aux_sym_connection_attempts_token1] = ACTIONS(1001),
    [aux_sym_connect_timeout_token1] = ACTIONS(1001),
    [aux_sym_control_master_token1] = ACTIONS(1001),
    [aux_sym_control_path_token1] = ACTIONS(1001),
    [aux_sym_control_persist_token1] = ACTIONS(1001),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1001),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1001),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1001),
    [aux_sym_escape_char_token1] = ACTIONS(1001),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1001),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1001),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1001),
    [aux_sym_forward_agent_token1] = ACTIONS(1001),
    [aux_sym_forward_x11_token1] = ACTIONS(1003),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1001),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1001),
    [aux_sym_gateway_ports_token1] = ACTIONS(1001),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1001),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1001),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1001),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1001),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1001),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1001),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1001),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1001),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1001),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1001),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1001),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1001),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1001),
    [aux_sym_host_key_alias_token1] = ACTIONS(1001),
    [aux_sym_hostname_token1] = ACTIONS(1001),
    [aux_sym_identities_only_token1] = ACTIONS(1001),
    [aux_sym_identity_agent_token1] = ACTIONS(1001),
    [aux_sym_identity_file_token1] = ACTIONS(1001),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1001),
    [aux_sym_include_token1] = ACTIONS(1001),
    [aux_sym_ip_qos_token1] = ACTIONS(1001),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1001),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1001),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1001),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1001),
    [aux_sym_local_command_token1] = ACTIONS(1001),
    [aux_sym_local_forward_token1] = ACTIONS(1001),
    [aux_sym_log_level_token1] = ACTIONS(1001),
    [aux_sym_log_verbose_token1] = ACTIONS(1001),
    [aux_sym_macs_token1] = ACTIONS(1001),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1001),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1001),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1001),
    [aux_sym_password_authentication_token1] = ACTIONS(1001),
    [aux_sym_permit_local_command_token1] = ACTIONS(1001),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1001),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1001),
    [aux_sym_port_token1] = ACTIONS(1001),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1001),
    [aux_sym_protocol_token1] = ACTIONS(1001),
    [aux_sym_proxy_command_token1] = ACTIONS(1001),
    [aux_sym_proxy_jump_token1] = ACTIONS(1001),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1001),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1001),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1001),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1001),
    [aux_sym_rekey_limit_token1] = ACTIONS(1001),
    [aux_sym_remote_command_token1] = ACTIONS(1001),
    [aux_sym_remote_forward_token1] = ACTIONS(1001),
    [aux_sym_request_tty_token1] = ACTIONS(1001),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1001),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1001),
    [aux_sym_security_key_provider_token1] = ACTIONS(1001),
    [aux_sym_send_env_token1] = ACTIONS(1001),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1001),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1001),
    [aux_sym_session_type_token1] = ACTIONS(1001),
    [aux_sym_set_env_token1] = ACTIONS(1001),
    [aux_sym_stdin_null_token1] = ACTIONS(1001),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1001),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1001),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1001),
    [aux_sym_syslog_facility_token1] = ACTIONS(1001),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1001),
    [aux_sym_keep_alive_token1] = ACTIONS(1001),
    [aux_sym_tag_token1] = ACTIONS(1001),
    [aux_sym_tunnel_token1] = ACTIONS(1003),
    [aux_sym_tunnel_device_token1] = ACTIONS(1001),
    [aux_sym_update_host_keys_token1] = ACTIONS(1001),
    [aux_sym_use_keychain_token1] = ACTIONS(1001),
    [aux_sym_use_roaming_token1] = ACTIONS(1001),
    [aux_sym_user_token1] = ACTIONS(1003),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1001),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1001),
    [aux_sym_visual_host_key_token1] = ACTIONS(1001),
    [aux_sym_xauth_location_token1] = ACTIONS(1001),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [aux_sym_match_token1] = ACTIONS(1007),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1007),
    [aux_sym_address_family_token1] = ACTIONS(1007),
    [aux_sym_batch_mode_token1] = ACTIONS(1007),
    [aux_sym_bind_address_token1] = ACTIONS(1007),
    [aux_sym_bind_interface_token1] = ACTIONS(1007),
    [aux_sym_canonical_domains_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1007),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1007),
    [aux_sym_certificate_file_token1] = ACTIONS(1007),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1007),
    [aux_sym_channel_timeout_token1] = ACTIONS(1007),
    [aux_sym_check_host_ip_token1] = ACTIONS(1007),
    [aux_sym_ciphers_token1] = ACTIONS(1007),
    [aux_sym_cipher_token1] = ACTIONS(1009),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1007),
    [aux_sym_compression_token1] = ACTIONS(1007),
    [aux_sym_connection_attempts_token1] = ACTIONS(1007),
    [aux_sym_connect_timeout_token1] = ACTIONS(1007),
    [aux_sym_control_master_token1] = ACTIONS(1007),
    [aux_sym_control_path_token1] = ACTIONS(1007),
    [aux_sym_control_persist_token1] = ACTIONS(1007),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1007),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1007),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1007),
    [aux_sym_escape_char_token1] = ACTIONS(1007),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1007),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1007),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1007),
    [aux_sym_forward_agent_token1] = ACTIONS(1007),
    [aux_sym_forward_x11_token1] = ACTIONS(1009),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1007),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1007),
    [aux_sym_gateway_ports_token1] = ACTIONS(1007),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1007),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1007),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1007),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1007),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1007),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1007),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1007),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1007),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1007),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1007),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1007),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1007),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1007),
    [aux_sym_host_key_alias_token1] = ACTIONS(1007),
    [aux_sym_hostname_token1] = ACTIONS(1007),
    [aux_sym_identities_only_token1] = ACTIONS(1007),
    [aux_sym_identity_agent_token1] = ACTIONS(1007),
    [aux_sym_identity_file_token1] = ACTIONS(1007),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1007),
    [aux_sym_include_token1] = ACTIONS(1007),
    [aux_sym_ip_qos_token1] = ACTIONS(1007),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1007),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1007),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1007),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1007),
    [aux_sym_local_command_token1] = ACTIONS(1007),
    [aux_sym_local_forward_token1] = ACTIONS(1007),
    [aux_sym_log_level_token1] = ACTIONS(1007),
    [aux_sym_log_verbose_token1] = ACTIONS(1007),
    [aux_sym_macs_token1] = ACTIONS(1007),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1007),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1007),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1007),
    [aux_sym_password_authentication_token1] = ACTIONS(1007),
    [aux_sym_permit_local_command_token1] = ACTIONS(1007),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1007),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1007),
    [aux_sym_port_token1] = ACTIONS(1007),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1007),
    [aux_sym_protocol_token1] = ACTIONS(1007),
    [aux_sym_proxy_command_token1] = ACTIONS(1007),
    [aux_sym_proxy_jump_token1] = ACTIONS(1007),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1007),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1007),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1007),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1007),
    [aux_sym_rekey_limit_token1] = ACTIONS(1007),
    [aux_sym_remote_command_token1] = ACTIONS(1007),
    [aux_sym_remote_forward_token1] = ACTIONS(1007),
    [aux_sym_request_tty_token1] = ACTIONS(1007),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1007),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1007),
    [aux_sym_security_key_provider_token1] = ACTIONS(1007),
    [aux_sym_send_env_token1] = ACTIONS(1007),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1007),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1007),
    [aux_sym_session_type_token1] = ACTIONS(1007),
    [aux_sym_set_env_token1] = ACTIONS(1007),
    [aux_sym_stdin_null_token1] = ACTIONS(1007),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1007),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1007),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1007),
    [aux_sym_syslog_facility_token1] = ACTIONS(1007),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1007),
    [aux_sym_keep_alive_token1] = ACTIONS(1007),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [aux_sym_tunnel_token1] = ACTIONS(1009),
    [aux_sym_tunnel_device_token1] = ACTIONS(1007),
    [aux_sym_update_host_keys_token1] = ACTIONS(1007),
    [aux_sym_use_keychain_token1] = ACTIONS(1007),
    [aux_sym_use_roaming_token1] = ACTIONS(1007),
    [aux_sym_user_token1] = ACTIONS(1009),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1007),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1007),
    [aux_sym_visual_host_key_token1] = ACTIONS(1007),
    [aux_sym_xauth_location_token1] = ACTIONS(1007),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [aux_sym_match_token1] = ACTIONS(1013),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1013),
    [aux_sym_address_family_token1] = ACTIONS(1013),
    [aux_sym_batch_mode_token1] = ACTIONS(1013),
    [aux_sym_bind_address_token1] = ACTIONS(1013),
    [aux_sym_bind_interface_token1] = ACTIONS(1013),
    [aux_sym_canonical_domains_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1013),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1013),
    [aux_sym_certificate_file_token1] = ACTIONS(1013),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1013),
    [aux_sym_channel_timeout_token1] = ACTIONS(1013),
    [aux_sym_check_host_ip_token1] = ACTIONS(1013),
    [aux_sym_ciphers_token1] = ACTIONS(1013),
    [aux_sym_cipher_token1] = ACTIONS(1015),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1013),
    [aux_sym_compression_token1] = ACTIONS(1013),
    [aux_sym_connection_attempts_token1] = ACTIONS(1013),
    [aux_sym_connect_timeout_token1] = ACTIONS(1013),
    [aux_sym_control_master_token1] = ACTIONS(1013),
    [aux_sym_control_path_token1] = ACTIONS(1013),
    [aux_sym_control_persist_token1] = ACTIONS(1013),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1013),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1013),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1013),
    [aux_sym_escape_char_token1] = ACTIONS(1013),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1013),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1013),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1013),
    [aux_sym_forward_agent_token1] = ACTIONS(1013),
    [aux_sym_forward_x11_token1] = ACTIONS(1015),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1013),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1013),
    [aux_sym_gateway_ports_token1] = ACTIONS(1013),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1013),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1013),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1013),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1013),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1013),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1013),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1013),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1013),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1013),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1013),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1013),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1013),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1013),
    [aux_sym_host_key_alias_token1] = ACTIONS(1013),
    [aux_sym_hostname_token1] = ACTIONS(1013),
    [aux_sym_identities_only_token1] = ACTIONS(1013),
    [aux_sym_identity_agent_token1] = ACTIONS(1013),
    [aux_sym_identity_file_token1] = ACTIONS(1013),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1013),
    [aux_sym_include_token1] = ACTIONS(1013),
    [aux_sym_ip_qos_token1] = ACTIONS(1013),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1013),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1013),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1013),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1013),
    [aux_sym_local_command_token1] = ACTIONS(1013),
    [aux_sym_local_forward_token1] = ACTIONS(1013),
    [aux_sym_log_level_token1] = ACTIONS(1013),
    [aux_sym_log_verbose_token1] = ACTIONS(1013),
    [aux_sym_macs_token1] = ACTIONS(1013),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1013),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1013),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1013),
    [aux_sym_password_authentication_token1] = ACTIONS(1013),
    [aux_sym_permit_local_command_token1] = ACTIONS(1013),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1013),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1013),
    [aux_sym_port_token1] = ACTIONS(1013),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1013),
    [aux_sym_protocol_token1] = ACTIONS(1013),
    [aux_sym_proxy_command_token1] = ACTIONS(1013),
    [aux_sym_proxy_jump_token1] = ACTIONS(1013),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1013),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1013),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1013),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1013),
    [aux_sym_rekey_limit_token1] = ACTIONS(1013),
    [aux_sym_remote_command_token1] = ACTIONS(1013),
    [aux_sym_remote_forward_token1] = ACTIONS(1013),
    [aux_sym_request_tty_token1] = ACTIONS(1013),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1013),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1013),
    [aux_sym_security_key_provider_token1] = ACTIONS(1013),
    [aux_sym_send_env_token1] = ACTIONS(1013),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1013),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1013),
    [aux_sym_session_type_token1] = ACTIONS(1013),
    [aux_sym_set_env_token1] = ACTIONS(1013),
    [aux_sym_stdin_null_token1] = ACTIONS(1013),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1013),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1013),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1013),
    [aux_sym_syslog_facility_token1] = ACTIONS(1013),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1013),
    [aux_sym_keep_alive_token1] = ACTIONS(1013),
    [aux_sym_tag_token1] = ACTIONS(1013),
    [aux_sym_tunnel_token1] = ACTIONS(1015),
    [aux_sym_tunnel_device_token1] = ACTIONS(1013),
    [aux_sym_update_host_keys_token1] = ACTIONS(1013),
    [aux_sym_use_keychain_token1] = ACTIONS(1013),
    [aux_sym_use_roaming_token1] = ACTIONS(1013),
    [aux_sym_user_token1] = ACTIONS(1015),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1013),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1013),
    [aux_sym_visual_host_key_token1] = ACTIONS(1013),
    [aux_sym_xauth_location_token1] = ACTIONS(1013),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1021),
    [anon_sym_DQUOTE] = ACTIONS(1023),
    [aux_sym_match_token1] = ACTIONS(1019),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1019),
    [aux_sym_address_family_token1] = ACTIONS(1019),
    [aux_sym_batch_mode_token1] = ACTIONS(1019),
    [aux_sym_bind_address_token1] = ACTIONS(1019),
    [aux_sym_bind_interface_token1] = ACTIONS(1019),
    [aux_sym_canonical_domains_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1019),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1019),
    [aux_sym_certificate_file_token1] = ACTIONS(1019),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1019),
    [aux_sym_channel_timeout_token1] = ACTIONS(1019),
    [aux_sym_check_host_ip_token1] = ACTIONS(1019),
    [aux_sym_ciphers_token1] = ACTIONS(1019),
    [aux_sym_cipher_token1] = ACTIONS(1021),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1019),
    [aux_sym_compression_token1] = ACTIONS(1019),
    [aux_sym_connection_attempts_token1] = ACTIONS(1019),
    [aux_sym_connect_timeout_token1] = ACTIONS(1019),
    [aux_sym_control_master_token1] = ACTIONS(1019),
    [aux_sym_control_path_token1] = ACTIONS(1019),
    [aux_sym_control_persist_token1] = ACTIONS(1019),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1019),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1019),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1019),
    [aux_sym_escape_char_token1] = ACTIONS(1019),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1019),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1019),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1019),
    [aux_sym_forward_agent_token1] = ACTIONS(1019),
    [aux_sym_forward_x11_token1] = ACTIONS(1021),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1019),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1019),
    [aux_sym_gateway_ports_token1] = ACTIONS(1019),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1019),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1019),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1019),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1019),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1019),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1019),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1019),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1019),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1019),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1019),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1019),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1019),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1019),
    [aux_sym_host_key_alias_token1] = ACTIONS(1019),
    [aux_sym_hostname_token1] = ACTIONS(1019),
    [aux_sym_identities_only_token1] = ACTIONS(1019),
    [aux_sym_identity_agent_token1] = ACTIONS(1019),
    [aux_sym_identity_file_token1] = ACTIONS(1019),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1019),
    [aux_sym_include_token1] = ACTIONS(1019),
    [aux_sym_ip_qos_token1] = ACTIONS(1019),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1019),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1019),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1019),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1019),
    [aux_sym_local_command_token1] = ACTIONS(1019),
    [aux_sym_local_forward_token1] = ACTIONS(1019),
    [aux_sym_log_level_token1] = ACTIONS(1019),
    [aux_sym_log_verbose_token1] = ACTIONS(1019),
    [aux_sym_macs_token1] = ACTIONS(1019),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1019),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1019),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1019),
    [aux_sym_password_authentication_token1] = ACTIONS(1019),
    [aux_sym_permit_local_command_token1] = ACTIONS(1019),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1019),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1019),
    [aux_sym_port_token1] = ACTIONS(1019),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1019),
    [aux_sym_protocol_token1] = ACTIONS(1019),
    [aux_sym_proxy_command_token1] = ACTIONS(1019),
    [aux_sym_proxy_jump_token1] = ACTIONS(1019),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1019),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1019),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1019),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1019),
    [aux_sym_rekey_limit_token1] = ACTIONS(1019),
    [aux_sym_remote_command_token1] = ACTIONS(1019),
    [aux_sym_remote_forward_token1] = ACTIONS(1019),
    [aux_sym_request_tty_token1] = ACTIONS(1019),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1019),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1019),
    [aux_sym_security_key_provider_token1] = ACTIONS(1019),
    [aux_sym_send_env_token1] = ACTIONS(1019),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1019),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1019),
    [aux_sym_session_type_token1] = ACTIONS(1019),
    [aux_sym_set_env_token1] = ACTIONS(1019),
    [aux_sym_stdin_null_token1] = ACTIONS(1019),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1019),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1019),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1019),
    [aux_sym_syslog_facility_token1] = ACTIONS(1019),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1019),
    [aux_sym_keep_alive_token1] = ACTIONS(1019),
    [aux_sym_tag_token1] = ACTIONS(1019),
    [aux_sym_tunnel_token1] = ACTIONS(1021),
    [aux_sym_tunnel_device_token1] = ACTIONS(1019),
    [aux_sym_update_host_keys_token1] = ACTIONS(1019),
    [aux_sym_use_keychain_token1] = ACTIONS(1019),
    [aux_sym_use_roaming_token1] = ACTIONS(1019),
    [aux_sym_user_token1] = ACTIONS(1021),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1019),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1019),
    [aux_sym_visual_host_key_token1] = ACTIONS(1019),
    [aux_sym_xauth_location_token1] = ACTIONS(1019),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_match_token1] = ACTIONS(1025),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1025),
    [aux_sym_address_family_token1] = ACTIONS(1025),
    [aux_sym_batch_mode_token1] = ACTIONS(1025),
    [aux_sym_bind_address_token1] = ACTIONS(1025),
    [aux_sym_bind_interface_token1] = ACTIONS(1025),
    [aux_sym_canonical_domains_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1025),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1025),
    [aux_sym_certificate_file_token1] = ACTIONS(1025),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1025),
    [aux_sym_channel_timeout_token1] = ACTIONS(1025),
    [aux_sym_check_host_ip_token1] = ACTIONS(1025),
    [aux_sym_ciphers_token1] = ACTIONS(1025),
    [aux_sym_cipher_token1] = ACTIONS(1027),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1025),
    [aux_sym_compression_token1] = ACTIONS(1025),
    [aux_sym_connection_attempts_token1] = ACTIONS(1025),
    [aux_sym_connect_timeout_token1] = ACTIONS(1025),
    [aux_sym_control_master_token1] = ACTIONS(1025),
    [aux_sym_control_path_token1] = ACTIONS(1025),
    [aux_sym_control_persist_token1] = ACTIONS(1025),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1025),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1025),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1025),
    [aux_sym_escape_char_token1] = ACTIONS(1025),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1025),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1025),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1025),
    [aux_sym_forward_agent_token1] = ACTIONS(1025),
    [aux_sym_forward_x11_token1] = ACTIONS(1027),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1025),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1025),
    [aux_sym_gateway_ports_token1] = ACTIONS(1025),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1025),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1025),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1025),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1025),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1025),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1025),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1025),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1025),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1025),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1025),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1025),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1025),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1025),
    [aux_sym_host_key_alias_token1] = ACTIONS(1025),
    [aux_sym_hostname_token1] = ACTIONS(1025),
    [aux_sym_identities_only_token1] = ACTIONS(1025),
    [aux_sym_identity_agent_token1] = ACTIONS(1025),
    [aux_sym_identity_file_token1] = ACTIONS(1025),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1025),
    [aux_sym_include_token1] = ACTIONS(1025),
    [aux_sym_ip_qos_token1] = ACTIONS(1025),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1025),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1025),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1025),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1025),
    [aux_sym_local_command_token1] = ACTIONS(1025),
    [aux_sym_local_forward_token1] = ACTIONS(1025),
    [aux_sym_log_level_token1] = ACTIONS(1025),
    [aux_sym_log_verbose_token1] = ACTIONS(1025),
    [aux_sym_macs_token1] = ACTIONS(1025),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1025),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1025),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1025),
    [aux_sym_password_authentication_token1] = ACTIONS(1025),
    [aux_sym_permit_local_command_token1] = ACTIONS(1025),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1025),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1025),
    [aux_sym_port_token1] = ACTIONS(1025),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1025),
    [aux_sym_protocol_token1] = ACTIONS(1025),
    [aux_sym_proxy_command_token1] = ACTIONS(1025),
    [aux_sym_proxy_jump_token1] = ACTIONS(1025),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1025),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1025),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1025),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1025),
    [aux_sym_rekey_limit_token1] = ACTIONS(1025),
    [aux_sym_remote_command_token1] = ACTIONS(1025),
    [aux_sym_remote_forward_token1] = ACTIONS(1025),
    [aux_sym_request_tty_token1] = ACTIONS(1025),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1025),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1025),
    [aux_sym_security_key_provider_token1] = ACTIONS(1025),
    [aux_sym_send_env_token1] = ACTIONS(1025),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1025),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1025),
    [aux_sym_session_type_token1] = ACTIONS(1025),
    [aux_sym_set_env_token1] = ACTIONS(1025),
    [aux_sym_stdin_null_token1] = ACTIONS(1025),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1025),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1025),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1025),
    [aux_sym_syslog_facility_token1] = ACTIONS(1025),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1025),
    [aux_sym_keep_alive_token1] = ACTIONS(1025),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [aux_sym_tunnel_token1] = ACTIONS(1027),
    [aux_sym_tunnel_device_token1] = ACTIONS(1025),
    [aux_sym_update_host_keys_token1] = ACTIONS(1025),
    [aux_sym_use_keychain_token1] = ACTIONS(1025),
    [aux_sym_use_roaming_token1] = ACTIONS(1025),
    [aux_sym_user_token1] = ACTIONS(1027),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1025),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1025),
    [aux_sym_visual_host_key_token1] = ACTIONS(1025),
    [aux_sym_xauth_location_token1] = ACTIONS(1025),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1035),
    [aux_sym_match_token1] = ACTIONS(1031),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1031),
    [aux_sym_address_family_token1] = ACTIONS(1031),
    [aux_sym_batch_mode_token1] = ACTIONS(1031),
    [aux_sym_bind_address_token1] = ACTIONS(1031),
    [aux_sym_bind_interface_token1] = ACTIONS(1031),
    [aux_sym_canonical_domains_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1031),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1031),
    [aux_sym_certificate_file_token1] = ACTIONS(1031),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1031),
    [aux_sym_channel_timeout_token1] = ACTIONS(1031),
    [aux_sym_check_host_ip_token1] = ACTIONS(1031),
    [aux_sym_ciphers_token1] = ACTIONS(1031),
    [aux_sym_cipher_token1] = ACTIONS(1033),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1031),
    [aux_sym_compression_token1] = ACTIONS(1031),
    [aux_sym_connection_attempts_token1] = ACTIONS(1031),
    [aux_sym_connect_timeout_token1] = ACTIONS(1031),
    [aux_sym_control_master_token1] = ACTIONS(1031),
    [aux_sym_control_path_token1] = ACTIONS(1031),
    [aux_sym_control_persist_token1] = ACTIONS(1031),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1031),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1031),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1031),
    [aux_sym_escape_char_token1] = ACTIONS(1031),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1031),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1031),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1031),
    [aux_sym_forward_agent_token1] = ACTIONS(1031),
    [aux_sym_forward_x11_token1] = ACTIONS(1033),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1031),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1031),
    [aux_sym_gateway_ports_token1] = ACTIONS(1031),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1031),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1031),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1031),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1031),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1031),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1031),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1031),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1031),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1031),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1031),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1031),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1031),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1031),
    [aux_sym_host_key_alias_token1] = ACTIONS(1031),
    [aux_sym_hostname_token1] = ACTIONS(1031),
    [aux_sym_identities_only_token1] = ACTIONS(1031),
    [aux_sym_identity_agent_token1] = ACTIONS(1031),
    [aux_sym_identity_file_token1] = ACTIONS(1031),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1031),
    [aux_sym_include_token1] = ACTIONS(1031),
    [aux_sym_ip_qos_token1] = ACTIONS(1031),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1031),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1031),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1031),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1031),
    [aux_sym_local_command_token1] = ACTIONS(1031),
    [aux_sym_local_forward_token1] = ACTIONS(1031),
    [aux_sym_log_level_token1] = ACTIONS(1031),
    [aux_sym_log_verbose_token1] = ACTIONS(1031),
    [aux_sym_macs_token1] = ACTIONS(1031),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1031),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1031),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1031),
    [aux_sym_password_authentication_token1] = ACTIONS(1031),
    [aux_sym_permit_local_command_token1] = ACTIONS(1031),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1031),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1031),
    [aux_sym_port_token1] = ACTIONS(1031),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1031),
    [aux_sym_protocol_token1] = ACTIONS(1031),
    [aux_sym_proxy_command_token1] = ACTIONS(1031),
    [aux_sym_proxy_jump_token1] = ACTIONS(1031),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1031),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1031),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1031),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1031),
    [aux_sym_rekey_limit_token1] = ACTIONS(1031),
    [aux_sym_remote_command_token1] = ACTIONS(1031),
    [aux_sym_remote_forward_token1] = ACTIONS(1031),
    [aux_sym_request_tty_token1] = ACTIONS(1031),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1031),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1031),
    [aux_sym_security_key_provider_token1] = ACTIONS(1031),
    [aux_sym_send_env_token1] = ACTIONS(1031),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1031),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1031),
    [aux_sym_session_type_token1] = ACTIONS(1031),
    [aux_sym_set_env_token1] = ACTIONS(1031),
    [aux_sym_stdin_null_token1] = ACTIONS(1031),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1031),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1031),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1031),
    [aux_sym_syslog_facility_token1] = ACTIONS(1031),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1031),
    [aux_sym_keep_alive_token1] = ACTIONS(1031),
    [aux_sym_tag_token1] = ACTIONS(1031),
    [aux_sym_tunnel_token1] = ACTIONS(1033),
    [aux_sym_tunnel_device_token1] = ACTIONS(1031),
    [aux_sym_update_host_keys_token1] = ACTIONS(1031),
    [aux_sym_use_keychain_token1] = ACTIONS(1031),
    [aux_sym_use_roaming_token1] = ACTIONS(1031),
    [aux_sym_user_token1] = ACTIONS(1033),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1031),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1031),
    [aux_sym_visual_host_key_token1] = ACTIONS(1031),
    [aux_sym_xauth_location_token1] = ACTIONS(1031),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1039),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_match_token1] = ACTIONS(1037),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1037),
    [aux_sym_address_family_token1] = ACTIONS(1037),
    [aux_sym_batch_mode_token1] = ACTIONS(1037),
    [aux_sym_bind_address_token1] = ACTIONS(1037),
    [aux_sym_bind_interface_token1] = ACTIONS(1037),
    [aux_sym_canonical_domains_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1037),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1037),
    [aux_sym_certificate_file_token1] = ACTIONS(1037),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1037),
    [aux_sym_channel_timeout_token1] = ACTIONS(1037),
    [aux_sym_check_host_ip_token1] = ACTIONS(1037),
    [aux_sym_ciphers_token1] = ACTIONS(1037),
    [aux_sym_cipher_token1] = ACTIONS(1039),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1037),
    [aux_sym_compression_token1] = ACTIONS(1037),
    [aux_sym_connection_attempts_token1] = ACTIONS(1037),
    [aux_sym_connect_timeout_token1] = ACTIONS(1037),
    [aux_sym_control_master_token1] = ACTIONS(1037),
    [aux_sym_control_path_token1] = ACTIONS(1037),
    [aux_sym_control_persist_token1] = ACTIONS(1037),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1037),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1037),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1037),
    [aux_sym_escape_char_token1] = ACTIONS(1037),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1037),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1037),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1037),
    [aux_sym_forward_agent_token1] = ACTIONS(1037),
    [aux_sym_forward_x11_token1] = ACTIONS(1039),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1037),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1037),
    [aux_sym_gateway_ports_token1] = ACTIONS(1037),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1037),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1037),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1037),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1037),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1037),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1037),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1037),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1037),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1037),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1037),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1037),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1037),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1037),
    [aux_sym_host_key_alias_token1] = ACTIONS(1037),
    [aux_sym_hostname_token1] = ACTIONS(1037),
    [aux_sym_identities_only_token1] = ACTIONS(1037),
    [aux_sym_identity_agent_token1] = ACTIONS(1037),
    [aux_sym_identity_file_token1] = ACTIONS(1037),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1037),
    [aux_sym_include_token1] = ACTIONS(1037),
    [aux_sym_ip_qos_token1] = ACTIONS(1037),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1037),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1037),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1037),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1037),
    [aux_sym_local_command_token1] = ACTIONS(1037),
    [aux_sym_local_forward_token1] = ACTIONS(1037),
    [aux_sym_log_level_token1] = ACTIONS(1037),
    [aux_sym_log_verbose_token1] = ACTIONS(1037),
    [aux_sym_macs_token1] = ACTIONS(1037),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1037),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1037),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1037),
    [aux_sym_password_authentication_token1] = ACTIONS(1037),
    [aux_sym_permit_local_command_token1] = ACTIONS(1037),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1037),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1037),
    [aux_sym_port_token1] = ACTIONS(1037),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1037),
    [aux_sym_protocol_token1] = ACTIONS(1037),
    [aux_sym_proxy_command_token1] = ACTIONS(1037),
    [aux_sym_proxy_jump_token1] = ACTIONS(1037),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1037),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1037),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1037),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1037),
    [aux_sym_rekey_limit_token1] = ACTIONS(1037),
    [aux_sym_remote_command_token1] = ACTIONS(1037),
    [aux_sym_remote_forward_token1] = ACTIONS(1037),
    [aux_sym_request_tty_token1] = ACTIONS(1037),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1037),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1037),
    [aux_sym_security_key_provider_token1] = ACTIONS(1037),
    [aux_sym_send_env_token1] = ACTIONS(1037),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1037),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1037),
    [aux_sym_session_type_token1] = ACTIONS(1037),
    [aux_sym_set_env_token1] = ACTIONS(1037),
    [aux_sym_stdin_null_token1] = ACTIONS(1037),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1037),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1037),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1037),
    [aux_sym_syslog_facility_token1] = ACTIONS(1037),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1037),
    [aux_sym_keep_alive_token1] = ACTIONS(1037),
    [aux_sym_tag_token1] = ACTIONS(1037),
    [aux_sym_tunnel_token1] = ACTIONS(1039),
    [aux_sym_tunnel_device_token1] = ACTIONS(1037),
    [aux_sym_update_host_keys_token1] = ACTIONS(1037),
    [aux_sym_use_keychain_token1] = ACTIONS(1037),
    [aux_sym_use_roaming_token1] = ACTIONS(1037),
    [aux_sym_user_token1] = ACTIONS(1039),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1037),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1037),
    [aux_sym_visual_host_key_token1] = ACTIONS(1037),
    [aux_sym_xauth_location_token1] = ACTIONS(1037),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_match_token1] = ACTIONS(1043),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1043),
    [aux_sym_address_family_token1] = ACTIONS(1043),
    [aux_sym_batch_mode_token1] = ACTIONS(1043),
    [aux_sym_bind_address_token1] = ACTIONS(1043),
    [aux_sym_bind_interface_token1] = ACTIONS(1043),
    [aux_sym_canonical_domains_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1043),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1043),
    [aux_sym_certificate_file_token1] = ACTIONS(1043),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1043),
    [aux_sym_channel_timeout_token1] = ACTIONS(1043),
    [aux_sym_check_host_ip_token1] = ACTIONS(1043),
    [aux_sym_ciphers_token1] = ACTIONS(1043),
    [aux_sym_cipher_token1] = ACTIONS(1045),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1043),
    [aux_sym_compression_token1] = ACTIONS(1043),
    [aux_sym_connection_attempts_token1] = ACTIONS(1043),
    [aux_sym_connect_timeout_token1] = ACTIONS(1043),
    [aux_sym_control_master_token1] = ACTIONS(1043),
    [aux_sym_control_path_token1] = ACTIONS(1043),
    [aux_sym_control_persist_token1] = ACTIONS(1043),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1043),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1043),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1043),
    [aux_sym_escape_char_token1] = ACTIONS(1043),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1043),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1043),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1043),
    [aux_sym_forward_agent_token1] = ACTIONS(1043),
    [aux_sym_forward_x11_token1] = ACTIONS(1045),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1043),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1043),
    [aux_sym_gateway_ports_token1] = ACTIONS(1043),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1043),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1043),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1043),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1043),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1043),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1043),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1043),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1043),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1043),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1043),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1043),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1043),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1043),
    [aux_sym_host_key_alias_token1] = ACTIONS(1043),
    [aux_sym_hostname_token1] = ACTIONS(1043),
    [aux_sym_identities_only_token1] = ACTIONS(1043),
    [aux_sym_identity_agent_token1] = ACTIONS(1043),
    [aux_sym_identity_file_token1] = ACTIONS(1043),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1043),
    [aux_sym_include_token1] = ACTIONS(1043),
    [aux_sym_ip_qos_token1] = ACTIONS(1043),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1043),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1043),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1043),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1043),
    [aux_sym_local_command_token1] = ACTIONS(1043),
    [aux_sym_local_forward_token1] = ACTIONS(1043),
    [aux_sym_log_level_token1] = ACTIONS(1043),
    [aux_sym_log_verbose_token1] = ACTIONS(1043),
    [aux_sym_macs_token1] = ACTIONS(1043),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1043),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1043),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1043),
    [aux_sym_password_authentication_token1] = ACTIONS(1043),
    [aux_sym_permit_local_command_token1] = ACTIONS(1043),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1043),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1043),
    [aux_sym_port_token1] = ACTIONS(1043),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1043),
    [aux_sym_protocol_token1] = ACTIONS(1043),
    [aux_sym_proxy_command_token1] = ACTIONS(1043),
    [aux_sym_proxy_jump_token1] = ACTIONS(1043),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1043),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1043),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1043),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1043),
    [aux_sym_rekey_limit_token1] = ACTIONS(1043),
    [aux_sym_remote_command_token1] = ACTIONS(1043),
    [aux_sym_remote_forward_token1] = ACTIONS(1043),
    [aux_sym_request_tty_token1] = ACTIONS(1043),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1043),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1043),
    [aux_sym_security_key_provider_token1] = ACTIONS(1043),
    [aux_sym_send_env_token1] = ACTIONS(1043),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1043),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1043),
    [aux_sym_session_type_token1] = ACTIONS(1043),
    [aux_sym_set_env_token1] = ACTIONS(1043),
    [aux_sym_stdin_null_token1] = ACTIONS(1043),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1043),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1043),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1043),
    [aux_sym_syslog_facility_token1] = ACTIONS(1043),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1043),
    [aux_sym_keep_alive_token1] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1043),
    [aux_sym_tunnel_token1] = ACTIONS(1045),
    [aux_sym_tunnel_device_token1] = ACTIONS(1043),
    [aux_sym_update_host_keys_token1] = ACTIONS(1043),
    [aux_sym_use_keychain_token1] = ACTIONS(1043),
    [aux_sym_use_roaming_token1] = ACTIONS(1043),
    [aux_sym_user_token1] = ACTIONS(1045),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1043),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1043),
    [aux_sym_visual_host_key_token1] = ACTIONS(1043),
    [aux_sym_xauth_location_token1] = ACTIONS(1043),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [aux_sym_match_token1] = ACTIONS(1049),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1049),
    [aux_sym_address_family_token1] = ACTIONS(1049),
    [aux_sym_batch_mode_token1] = ACTIONS(1049),
    [aux_sym_bind_address_token1] = ACTIONS(1049),
    [aux_sym_bind_interface_token1] = ACTIONS(1049),
    [aux_sym_canonical_domains_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1049),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1049),
    [aux_sym_certificate_file_token1] = ACTIONS(1049),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1049),
    [aux_sym_channel_timeout_token1] = ACTIONS(1049),
    [aux_sym_check_host_ip_token1] = ACTIONS(1049),
    [aux_sym_ciphers_token1] = ACTIONS(1049),
    [aux_sym_cipher_token1] = ACTIONS(1051),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1049),
    [aux_sym_compression_token1] = ACTIONS(1049),
    [aux_sym_connection_attempts_token1] = ACTIONS(1049),
    [aux_sym_connect_timeout_token1] = ACTIONS(1049),
    [aux_sym_control_master_token1] = ACTIONS(1049),
    [aux_sym_control_path_token1] = ACTIONS(1049),
    [aux_sym_control_persist_token1] = ACTIONS(1049),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1049),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1049),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1049),
    [aux_sym_escape_char_token1] = ACTIONS(1049),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1049),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1049),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1049),
    [aux_sym_forward_agent_token1] = ACTIONS(1049),
    [aux_sym_forward_x11_token1] = ACTIONS(1051),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1049),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1049),
    [aux_sym_gateway_ports_token1] = ACTIONS(1049),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1049),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1049),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1049),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1049),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1049),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1049),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1049),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1049),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1049),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1049),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1049),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1049),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1049),
    [aux_sym_host_key_alias_token1] = ACTIONS(1049),
    [aux_sym_hostname_token1] = ACTIONS(1049),
    [aux_sym_identities_only_token1] = ACTIONS(1049),
    [aux_sym_identity_agent_token1] = ACTIONS(1049),
    [aux_sym_identity_file_token1] = ACTIONS(1049),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1049),
    [aux_sym_include_token1] = ACTIONS(1049),
    [aux_sym_ip_qos_token1] = ACTIONS(1049),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1049),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1049),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1049),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1049),
    [aux_sym_local_command_token1] = ACTIONS(1049),
    [aux_sym_local_forward_token1] = ACTIONS(1049),
    [aux_sym_log_level_token1] = ACTIONS(1049),
    [aux_sym_log_verbose_token1] = ACTIONS(1049),
    [aux_sym_macs_token1] = ACTIONS(1049),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1049),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1049),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1049),
    [aux_sym_password_authentication_token1] = ACTIONS(1049),
    [aux_sym_permit_local_command_token1] = ACTIONS(1049),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1049),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1049),
    [aux_sym_port_token1] = ACTIONS(1049),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1049),
    [aux_sym_protocol_token1] = ACTIONS(1049),
    [aux_sym_proxy_command_token1] = ACTIONS(1049),
    [aux_sym_proxy_jump_token1] = ACTIONS(1049),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1049),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1049),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1049),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1049),
    [aux_sym_rekey_limit_token1] = ACTIONS(1049),
    [aux_sym_remote_command_token1] = ACTIONS(1049),
    [aux_sym_remote_forward_token1] = ACTIONS(1049),
    [aux_sym_request_tty_token1] = ACTIONS(1049),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1049),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1049),
    [aux_sym_security_key_provider_token1] = ACTIONS(1049),
    [aux_sym_send_env_token1] = ACTIONS(1049),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1049),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1049),
    [aux_sym_session_type_token1] = ACTIONS(1049),
    [aux_sym_set_env_token1] = ACTIONS(1049),
    [aux_sym_stdin_null_token1] = ACTIONS(1049),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1049),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1049),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1049),
    [aux_sym_syslog_facility_token1] = ACTIONS(1049),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1049),
    [aux_sym_keep_alive_token1] = ACTIONS(1049),
    [aux_sym_tag_token1] = ACTIONS(1049),
    [aux_sym_tunnel_token1] = ACTIONS(1051),
    [aux_sym_tunnel_device_token1] = ACTIONS(1049),
    [aux_sym_update_host_keys_token1] = ACTIONS(1049),
    [aux_sym_use_keychain_token1] = ACTIONS(1049),
    [aux_sym_use_roaming_token1] = ACTIONS(1049),
    [aux_sym_user_token1] = ACTIONS(1051),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1049),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1049),
    [aux_sym_visual_host_key_token1] = ACTIONS(1049),
    [aux_sym_xauth_location_token1] = ACTIONS(1049),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [aux_sym_match_token1] = ACTIONS(1055),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1055),
    [aux_sym_address_family_token1] = ACTIONS(1055),
    [aux_sym_batch_mode_token1] = ACTIONS(1055),
    [aux_sym_bind_address_token1] = ACTIONS(1055),
    [aux_sym_bind_interface_token1] = ACTIONS(1055),
    [aux_sym_canonical_domains_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1055),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1055),
    [aux_sym_certificate_file_token1] = ACTIONS(1055),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1055),
    [aux_sym_channel_timeout_token1] = ACTIONS(1055),
    [aux_sym_check_host_ip_token1] = ACTIONS(1055),
    [aux_sym_ciphers_token1] = ACTIONS(1055),
    [aux_sym_cipher_token1] = ACTIONS(1057),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1055),
    [aux_sym_compression_token1] = ACTIONS(1055),
    [aux_sym_connection_attempts_token1] = ACTIONS(1055),
    [aux_sym_connect_timeout_token1] = ACTIONS(1055),
    [aux_sym_control_master_token1] = ACTIONS(1055),
    [aux_sym_control_path_token1] = ACTIONS(1055),
    [aux_sym_control_persist_token1] = ACTIONS(1055),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1055),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1055),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1055),
    [aux_sym_escape_char_token1] = ACTIONS(1055),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1055),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1055),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1055),
    [aux_sym_forward_agent_token1] = ACTIONS(1055),
    [aux_sym_forward_x11_token1] = ACTIONS(1057),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1055),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1055),
    [aux_sym_gateway_ports_token1] = ACTIONS(1055),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1055),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1055),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1055),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1055),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1055),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1055),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1055),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1055),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1055),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1055),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1055),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1055),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1055),
    [aux_sym_host_key_alias_token1] = ACTIONS(1055),
    [aux_sym_hostname_token1] = ACTIONS(1055),
    [aux_sym_identities_only_token1] = ACTIONS(1055),
    [aux_sym_identity_agent_token1] = ACTIONS(1055),
    [aux_sym_identity_file_token1] = ACTIONS(1055),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1055),
    [aux_sym_include_token1] = ACTIONS(1055),
    [aux_sym_ip_qos_token1] = ACTIONS(1055),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1055),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1055),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1055),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1055),
    [aux_sym_local_command_token1] = ACTIONS(1055),
    [aux_sym_local_forward_token1] = ACTIONS(1055),
    [aux_sym_log_level_token1] = ACTIONS(1055),
    [aux_sym_log_verbose_token1] = ACTIONS(1055),
    [aux_sym_macs_token1] = ACTIONS(1055),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1055),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1055),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1055),
    [aux_sym_password_authentication_token1] = ACTIONS(1055),
    [aux_sym_permit_local_command_token1] = ACTIONS(1055),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1055),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1055),
    [aux_sym_port_token1] = ACTIONS(1055),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1055),
    [aux_sym_protocol_token1] = ACTIONS(1055),
    [aux_sym_proxy_command_token1] = ACTIONS(1055),
    [aux_sym_proxy_jump_token1] = ACTIONS(1055),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1055),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1055),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1055),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1055),
    [aux_sym_rekey_limit_token1] = ACTIONS(1055),
    [aux_sym_remote_command_token1] = ACTIONS(1055),
    [aux_sym_remote_forward_token1] = ACTIONS(1055),
    [aux_sym_request_tty_token1] = ACTIONS(1055),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1055),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1055),
    [aux_sym_security_key_provider_token1] = ACTIONS(1055),
    [aux_sym_send_env_token1] = ACTIONS(1055),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1055),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1055),
    [aux_sym_session_type_token1] = ACTIONS(1055),
    [aux_sym_set_env_token1] = ACTIONS(1055),
    [aux_sym_stdin_null_token1] = ACTIONS(1055),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1055),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1055),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1055),
    [aux_sym_syslog_facility_token1] = ACTIONS(1055),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1055),
    [aux_sym_keep_alive_token1] = ACTIONS(1055),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [aux_sym_tunnel_token1] = ACTIONS(1057),
    [aux_sym_tunnel_device_token1] = ACTIONS(1055),
    [aux_sym_update_host_keys_token1] = ACTIONS(1055),
    [aux_sym_use_keychain_token1] = ACTIONS(1055),
    [aux_sym_use_roaming_token1] = ACTIONS(1055),
    [aux_sym_user_token1] = ACTIONS(1057),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1055),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1055),
    [aux_sym_visual_host_key_token1] = ACTIONS(1055),
    [aux_sym_xauth_location_token1] = ACTIONS(1055),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(1065),
    [aux_sym_match_token1] = ACTIONS(1061),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1061),
    [aux_sym_address_family_token1] = ACTIONS(1061),
    [aux_sym_batch_mode_token1] = ACTIONS(1061),
    [aux_sym_bind_address_token1] = ACTIONS(1061),
    [aux_sym_bind_interface_token1] = ACTIONS(1061),
    [aux_sym_canonical_domains_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1061),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1061),
    [aux_sym_certificate_file_token1] = ACTIONS(1061),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1061),
    [aux_sym_channel_timeout_token1] = ACTIONS(1061),
    [aux_sym_check_host_ip_token1] = ACTIONS(1061),
    [aux_sym_ciphers_token1] = ACTIONS(1061),
    [aux_sym_cipher_token1] = ACTIONS(1063),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1061),
    [aux_sym_compression_token1] = ACTIONS(1061),
    [aux_sym_connection_attempts_token1] = ACTIONS(1061),
    [aux_sym_connect_timeout_token1] = ACTIONS(1061),
    [aux_sym_control_master_token1] = ACTIONS(1061),
    [aux_sym_control_path_token1] = ACTIONS(1061),
    [aux_sym_control_persist_token1] = ACTIONS(1061),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1061),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1061),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1061),
    [aux_sym_escape_char_token1] = ACTIONS(1061),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1061),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1061),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1061),
    [aux_sym_forward_agent_token1] = ACTIONS(1061),
    [aux_sym_forward_x11_token1] = ACTIONS(1063),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1061),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1061),
    [aux_sym_gateway_ports_token1] = ACTIONS(1061),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1061),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1061),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1061),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1061),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1061),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1061),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1061),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1061),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1061),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1061),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1061),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1061),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1061),
    [aux_sym_host_key_alias_token1] = ACTIONS(1061),
    [aux_sym_hostname_token1] = ACTIONS(1061),
    [aux_sym_identities_only_token1] = ACTIONS(1061),
    [aux_sym_identity_agent_token1] = ACTIONS(1061),
    [aux_sym_identity_file_token1] = ACTIONS(1061),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1061),
    [aux_sym_include_token1] = ACTIONS(1061),
    [aux_sym_ip_qos_token1] = ACTIONS(1061),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1061),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1061),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1061),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1061),
    [aux_sym_local_command_token1] = ACTIONS(1061),
    [aux_sym_local_forward_token1] = ACTIONS(1061),
    [aux_sym_log_level_token1] = ACTIONS(1061),
    [aux_sym_log_verbose_token1] = ACTIONS(1061),
    [aux_sym_macs_token1] = ACTIONS(1061),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1061),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1061),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1061),
    [aux_sym_password_authentication_token1] = ACTIONS(1061),
    [aux_sym_permit_local_command_token1] = ACTIONS(1061),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1061),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1061),
    [aux_sym_port_token1] = ACTIONS(1061),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1061),
    [aux_sym_protocol_token1] = ACTIONS(1061),
    [aux_sym_proxy_command_token1] = ACTIONS(1061),
    [aux_sym_proxy_jump_token1] = ACTIONS(1061),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1061),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1061),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1061),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1061),
    [aux_sym_rekey_limit_token1] = ACTIONS(1061),
    [aux_sym_remote_command_token1] = ACTIONS(1061),
    [aux_sym_remote_forward_token1] = ACTIONS(1061),
    [aux_sym_request_tty_token1] = ACTIONS(1061),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1061),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1061),
    [aux_sym_security_key_provider_token1] = ACTIONS(1061),
    [aux_sym_send_env_token1] = ACTIONS(1061),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1061),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1061),
    [aux_sym_session_type_token1] = ACTIONS(1061),
    [aux_sym_set_env_token1] = ACTIONS(1061),
    [aux_sym_stdin_null_token1] = ACTIONS(1061),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1061),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1061),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1061),
    [aux_sym_syslog_facility_token1] = ACTIONS(1061),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1061),
    [aux_sym_keep_alive_token1] = ACTIONS(1061),
    [aux_sym_tag_token1] = ACTIONS(1061),
    [aux_sym_tunnel_token1] = ACTIONS(1063),
    [aux_sym_tunnel_device_token1] = ACTIONS(1061),
    [aux_sym_update_host_keys_token1] = ACTIONS(1061),
    [aux_sym_use_keychain_token1] = ACTIONS(1061),
    [aux_sym_use_roaming_token1] = ACTIONS(1061),
    [aux_sym_user_token1] = ACTIONS(1063),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1061),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1061),
    [aux_sym_visual_host_key_token1] = ACTIONS(1061),
    [aux_sym_xauth_location_token1] = ACTIONS(1061),
  },
  [84] = {
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1069),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_match_token1] = ACTIONS(1067),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1067),
    [aux_sym_address_family_token1] = ACTIONS(1067),
    [aux_sym_batch_mode_token1] = ACTIONS(1067),
    [aux_sym_bind_address_token1] = ACTIONS(1067),
    [aux_sym_bind_interface_token1] = ACTIONS(1067),
    [aux_sym_canonical_domains_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1067),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1067),
    [aux_sym_certificate_file_token1] = ACTIONS(1067),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1067),
    [aux_sym_channel_timeout_token1] = ACTIONS(1067),
    [aux_sym_check_host_ip_token1] = ACTIONS(1067),
    [aux_sym_ciphers_token1] = ACTIONS(1067),
    [aux_sym_cipher_token1] = ACTIONS(1069),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1067),
    [aux_sym_compression_token1] = ACTIONS(1067),
    [aux_sym_connection_attempts_token1] = ACTIONS(1067),
    [aux_sym_connect_timeout_token1] = ACTIONS(1067),
    [aux_sym_control_master_token1] = ACTIONS(1067),
    [aux_sym_control_path_token1] = ACTIONS(1067),
    [aux_sym_control_persist_token1] = ACTIONS(1067),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1067),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1067),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1067),
    [aux_sym_escape_char_token1] = ACTIONS(1067),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1067),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1067),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1067),
    [aux_sym_forward_agent_token1] = ACTIONS(1067),
    [aux_sym_forward_x11_token1] = ACTIONS(1069),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1067),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1067),
    [aux_sym_gateway_ports_token1] = ACTIONS(1067),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1067),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1067),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1067),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1067),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1067),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1067),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1067),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1067),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1067),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1067),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1067),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1067),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1067),
    [aux_sym_host_key_alias_token1] = ACTIONS(1067),
    [aux_sym_hostname_token1] = ACTIONS(1067),
    [aux_sym_identities_only_token1] = ACTIONS(1067),
    [aux_sym_identity_agent_token1] = ACTIONS(1067),
    [aux_sym_identity_file_token1] = ACTIONS(1067),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1067),
    [aux_sym_include_token1] = ACTIONS(1067),
    [aux_sym_ip_qos_token1] = ACTIONS(1067),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1067),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1067),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1067),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1067),
    [aux_sym_local_command_token1] = ACTIONS(1067),
    [aux_sym_local_forward_token1] = ACTIONS(1067),
    [aux_sym_log_level_token1] = ACTIONS(1067),
    [aux_sym_log_verbose_token1] = ACTIONS(1067),
    [aux_sym_macs_token1] = ACTIONS(1067),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1067),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1067),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1067),
    [aux_sym_password_authentication_token1] = ACTIONS(1067),
    [aux_sym_permit_local_command_token1] = ACTIONS(1067),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1067),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1067),
    [aux_sym_port_token1] = ACTIONS(1067),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1067),
    [aux_sym_protocol_token1] = ACTIONS(1067),
    [aux_sym_proxy_command_token1] = ACTIONS(1067),
    [aux_sym_proxy_jump_token1] = ACTIONS(1067),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1067),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1067),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1067),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1067),
    [aux_sym_rekey_limit_token1] = ACTIONS(1067),
    [aux_sym_remote_command_token1] = ACTIONS(1067),
    [aux_sym_remote_forward_token1] = ACTIONS(1067),
    [aux_sym_request_tty_token1] = ACTIONS(1067),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1067),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1067),
    [aux_sym_security_key_provider_token1] = ACTIONS(1067),
    [aux_sym_send_env_token1] = ACTIONS(1067),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1067),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1067),
    [aux_sym_session_type_token1] = ACTIONS(1067),
    [aux_sym_set_env_token1] = ACTIONS(1067),
    [aux_sym_stdin_null_token1] = ACTIONS(1067),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1067),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1067),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1067),
    [aux_sym_syslog_facility_token1] = ACTIONS(1067),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1067),
    [aux_sym_keep_alive_token1] = ACTIONS(1067),
    [aux_sym_tag_token1] = ACTIONS(1067),
    [aux_sym_tunnel_token1] = ACTIONS(1069),
    [aux_sym_tunnel_device_token1] = ACTIONS(1067),
    [aux_sym_update_host_keys_token1] = ACTIONS(1067),
    [aux_sym_use_keychain_token1] = ACTIONS(1067),
    [aux_sym_use_roaming_token1] = ACTIONS(1067),
    [aux_sym_user_token1] = ACTIONS(1069),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1067),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1067),
    [aux_sym_visual_host_key_token1] = ACTIONS(1067),
    [aux_sym_xauth_location_token1] = ACTIONS(1067),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [aux_sym_match_token1] = ACTIONS(1073),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1073),
    [aux_sym_address_family_token1] = ACTIONS(1073),
    [aux_sym_batch_mode_token1] = ACTIONS(1073),
    [aux_sym_bind_address_token1] = ACTIONS(1073),
    [aux_sym_bind_interface_token1] = ACTIONS(1073),
    [aux_sym_canonical_domains_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1073),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1073),
    [aux_sym_certificate_file_token1] = ACTIONS(1073),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1073),
    [aux_sym_channel_timeout_token1] = ACTIONS(1073),
    [aux_sym_check_host_ip_token1] = ACTIONS(1073),
    [aux_sym_ciphers_token1] = ACTIONS(1073),
    [aux_sym_cipher_token1] = ACTIONS(1075),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1073),
    [aux_sym_compression_token1] = ACTIONS(1073),
    [aux_sym_connection_attempts_token1] = ACTIONS(1073),
    [aux_sym_connect_timeout_token1] = ACTIONS(1073),
    [aux_sym_control_master_token1] = ACTIONS(1073),
    [aux_sym_control_path_token1] = ACTIONS(1073),
    [aux_sym_control_persist_token1] = ACTIONS(1073),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1073),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1073),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1073),
    [aux_sym_escape_char_token1] = ACTIONS(1073),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1073),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1073),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1073),
    [aux_sym_forward_agent_token1] = ACTIONS(1073),
    [aux_sym_forward_x11_token1] = ACTIONS(1075),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1073),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1073),
    [aux_sym_gateway_ports_token1] = ACTIONS(1073),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1073),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1073),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1073),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1073),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1073),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1073),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1073),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1073),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1073),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1073),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1073),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1073),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1073),
    [aux_sym_host_key_alias_token1] = ACTIONS(1073),
    [aux_sym_hostname_token1] = ACTIONS(1073),
    [aux_sym_identities_only_token1] = ACTIONS(1073),
    [aux_sym_identity_agent_token1] = ACTIONS(1073),
    [aux_sym_identity_file_token1] = ACTIONS(1073),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1073),
    [aux_sym_include_token1] = ACTIONS(1073),
    [aux_sym_ip_qos_token1] = ACTIONS(1073),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1073),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1073),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1073),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1073),
    [aux_sym_local_command_token1] = ACTIONS(1073),
    [aux_sym_local_forward_token1] = ACTIONS(1073),
    [aux_sym_log_level_token1] = ACTIONS(1073),
    [aux_sym_log_verbose_token1] = ACTIONS(1073),
    [aux_sym_macs_token1] = ACTIONS(1073),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1073),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1073),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1073),
    [aux_sym_password_authentication_token1] = ACTIONS(1073),
    [aux_sym_permit_local_command_token1] = ACTIONS(1073),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1073),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1073),
    [aux_sym_port_token1] = ACTIONS(1073),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1073),
    [aux_sym_protocol_token1] = ACTIONS(1073),
    [aux_sym_proxy_command_token1] = ACTIONS(1073),
    [aux_sym_proxy_jump_token1] = ACTIONS(1073),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1073),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1073),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1073),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1073),
    [aux_sym_rekey_limit_token1] = ACTIONS(1073),
    [aux_sym_remote_command_token1] = ACTIONS(1073),
    [aux_sym_remote_forward_token1] = ACTIONS(1073),
    [aux_sym_request_tty_token1] = ACTIONS(1073),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1073),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1073),
    [aux_sym_security_key_provider_token1] = ACTIONS(1073),
    [aux_sym_send_env_token1] = ACTIONS(1073),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1073),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1073),
    [aux_sym_session_type_token1] = ACTIONS(1073),
    [aux_sym_set_env_token1] = ACTIONS(1073),
    [aux_sym_stdin_null_token1] = ACTIONS(1073),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1073),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1073),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1073),
    [aux_sym_syslog_facility_token1] = ACTIONS(1073),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1073),
    [aux_sym_keep_alive_token1] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1073),
    [aux_sym_tunnel_token1] = ACTIONS(1075),
    [aux_sym_tunnel_device_token1] = ACTIONS(1073),
    [aux_sym_update_host_keys_token1] = ACTIONS(1073),
    [aux_sym_use_keychain_token1] = ACTIONS(1073),
    [aux_sym_use_roaming_token1] = ACTIONS(1073),
    [aux_sym_user_token1] = ACTIONS(1075),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1073),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1073),
    [aux_sym_visual_host_key_token1] = ACTIONS(1073),
    [aux_sym_xauth_location_token1] = ACTIONS(1073),
  },
  [86] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1081),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_match_token1] = ACTIONS(1079),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1079),
    [aux_sym_address_family_token1] = ACTIONS(1079),
    [aux_sym_batch_mode_token1] = ACTIONS(1079),
    [aux_sym_bind_address_token1] = ACTIONS(1079),
    [aux_sym_bind_interface_token1] = ACTIONS(1079),
    [aux_sym_canonical_domains_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1079),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1079),
    [aux_sym_certificate_file_token1] = ACTIONS(1079),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1079),
    [aux_sym_channel_timeout_token1] = ACTIONS(1079),
    [aux_sym_check_host_ip_token1] = ACTIONS(1079),
    [aux_sym_ciphers_token1] = ACTIONS(1079),
    [aux_sym_cipher_token1] = ACTIONS(1081),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1079),
    [aux_sym_compression_token1] = ACTIONS(1079),
    [aux_sym_connection_attempts_token1] = ACTIONS(1079),
    [aux_sym_connect_timeout_token1] = ACTIONS(1079),
    [aux_sym_control_master_token1] = ACTIONS(1079),
    [aux_sym_control_path_token1] = ACTIONS(1079),
    [aux_sym_control_persist_token1] = ACTIONS(1079),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1079),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1079),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1079),
    [aux_sym_escape_char_token1] = ACTIONS(1079),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1079),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1079),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1079),
    [aux_sym_forward_agent_token1] = ACTIONS(1079),
    [aux_sym_forward_x11_token1] = ACTIONS(1081),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1079),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1079),
    [aux_sym_gateway_ports_token1] = ACTIONS(1079),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1079),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1079),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1079),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1079),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1079),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1079),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1079),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1079),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1079),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1079),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1079),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1079),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1079),
    [aux_sym_host_key_alias_token1] = ACTIONS(1079),
    [aux_sym_hostname_token1] = ACTIONS(1079),
    [aux_sym_identities_only_token1] = ACTIONS(1079),
    [aux_sym_identity_agent_token1] = ACTIONS(1079),
    [aux_sym_identity_file_token1] = ACTIONS(1079),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1079),
    [aux_sym_include_token1] = ACTIONS(1079),
    [aux_sym_ip_qos_token1] = ACTIONS(1079),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1079),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1079),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1079),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1079),
    [aux_sym_local_command_token1] = ACTIONS(1079),
    [aux_sym_local_forward_token1] = ACTIONS(1079),
    [aux_sym_log_level_token1] = ACTIONS(1079),
    [aux_sym_log_verbose_token1] = ACTIONS(1079),
    [aux_sym_macs_token1] = ACTIONS(1079),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1079),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1079),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1079),
    [aux_sym_password_authentication_token1] = ACTIONS(1079),
    [aux_sym_permit_local_command_token1] = ACTIONS(1079),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1079),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1079),
    [aux_sym_port_token1] = ACTIONS(1079),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1079),
    [aux_sym_protocol_token1] = ACTIONS(1079),
    [aux_sym_proxy_command_token1] = ACTIONS(1079),
    [aux_sym_proxy_jump_token1] = ACTIONS(1079),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1079),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1079),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1079),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1079),
    [aux_sym_rekey_limit_token1] = ACTIONS(1079),
    [aux_sym_remote_command_token1] = ACTIONS(1079),
    [aux_sym_remote_forward_token1] = ACTIONS(1079),
    [aux_sym_request_tty_token1] = ACTIONS(1079),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1079),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1079),
    [aux_sym_security_key_provider_token1] = ACTIONS(1079),
    [aux_sym_send_env_token1] = ACTIONS(1079),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1079),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1079),
    [aux_sym_session_type_token1] = ACTIONS(1079),
    [aux_sym_set_env_token1] = ACTIONS(1079),
    [aux_sym_stdin_null_token1] = ACTIONS(1079),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1079),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1079),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1079),
    [aux_sym_syslog_facility_token1] = ACTIONS(1079),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1079),
    [aux_sym_keep_alive_token1] = ACTIONS(1079),
    [aux_sym_tag_token1] = ACTIONS(1079),
    [aux_sym_tunnel_token1] = ACTIONS(1081),
    [aux_sym_tunnel_device_token1] = ACTIONS(1079),
    [aux_sym_update_host_keys_token1] = ACTIONS(1079),
    [aux_sym_use_keychain_token1] = ACTIONS(1079),
    [aux_sym_use_roaming_token1] = ACTIONS(1079),
    [aux_sym_user_token1] = ACTIONS(1081),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1079),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1079),
    [aux_sym_visual_host_key_token1] = ACTIONS(1079),
    [aux_sym_xauth_location_token1] = ACTIONS(1079),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1089),
    [aux_sym_match_token1] = ACTIONS(1085),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1085),
    [aux_sym_address_family_token1] = ACTIONS(1085),
    [aux_sym_batch_mode_token1] = ACTIONS(1085),
    [aux_sym_bind_address_token1] = ACTIONS(1085),
    [aux_sym_bind_interface_token1] = ACTIONS(1085),
    [aux_sym_canonical_domains_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1085),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1085),
    [aux_sym_certificate_file_token1] = ACTIONS(1085),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1085),
    [aux_sym_channel_timeout_token1] = ACTIONS(1085),
    [aux_sym_check_host_ip_token1] = ACTIONS(1085),
    [aux_sym_ciphers_token1] = ACTIONS(1085),
    [aux_sym_cipher_token1] = ACTIONS(1087),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1085),
    [aux_sym_compression_token1] = ACTIONS(1085),
    [aux_sym_connection_attempts_token1] = ACTIONS(1085),
    [aux_sym_connect_timeout_token1] = ACTIONS(1085),
    [aux_sym_control_master_token1] = ACTIONS(1085),
    [aux_sym_control_path_token1] = ACTIONS(1085),
    [aux_sym_control_persist_token1] = ACTIONS(1085),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1085),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1085),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1085),
    [aux_sym_escape_char_token1] = ACTIONS(1085),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1085),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1085),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1085),
    [aux_sym_forward_agent_token1] = ACTIONS(1085),
    [aux_sym_forward_x11_token1] = ACTIONS(1087),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1085),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1085),
    [aux_sym_gateway_ports_token1] = ACTIONS(1085),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1085),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1085),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1085),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1085),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1085),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1085),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1085),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1085),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1085),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1085),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1085),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1085),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1085),
    [aux_sym_host_key_alias_token1] = ACTIONS(1085),
    [aux_sym_hostname_token1] = ACTIONS(1085),
    [aux_sym_identities_only_token1] = ACTIONS(1085),
    [aux_sym_identity_agent_token1] = ACTIONS(1085),
    [aux_sym_identity_file_token1] = ACTIONS(1085),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1085),
    [aux_sym_include_token1] = ACTIONS(1085),
    [aux_sym_ip_qos_token1] = ACTIONS(1085),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1085),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1085),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1085),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1085),
    [aux_sym_local_command_token1] = ACTIONS(1085),
    [aux_sym_local_forward_token1] = ACTIONS(1085),
    [aux_sym_log_level_token1] = ACTIONS(1085),
    [aux_sym_log_verbose_token1] = ACTIONS(1085),
    [aux_sym_macs_token1] = ACTIONS(1085),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1085),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1085),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1085),
    [aux_sym_password_authentication_token1] = ACTIONS(1085),
    [aux_sym_permit_local_command_token1] = ACTIONS(1085),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1085),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1085),
    [aux_sym_port_token1] = ACTIONS(1085),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1085),
    [aux_sym_protocol_token1] = ACTIONS(1085),
    [aux_sym_proxy_command_token1] = ACTIONS(1085),
    [aux_sym_proxy_jump_token1] = ACTIONS(1085),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1085),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1085),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1085),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1085),
    [aux_sym_rekey_limit_token1] = ACTIONS(1085),
    [aux_sym_remote_command_token1] = ACTIONS(1085),
    [aux_sym_remote_forward_token1] = ACTIONS(1085),
    [aux_sym_request_tty_token1] = ACTIONS(1085),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1085),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1085),
    [aux_sym_security_key_provider_token1] = ACTIONS(1085),
    [aux_sym_send_env_token1] = ACTIONS(1085),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1085),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1085),
    [aux_sym_session_type_token1] = ACTIONS(1085),
    [aux_sym_set_env_token1] = ACTIONS(1085),
    [aux_sym_stdin_null_token1] = ACTIONS(1085),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1085),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1085),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1085),
    [aux_sym_syslog_facility_token1] = ACTIONS(1085),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1085),
    [aux_sym_keep_alive_token1] = ACTIONS(1085),
    [aux_sym_tag_token1] = ACTIONS(1085),
    [aux_sym_tunnel_token1] = ACTIONS(1087),
    [aux_sym_tunnel_device_token1] = ACTIONS(1085),
    [aux_sym_update_host_keys_token1] = ACTIONS(1085),
    [aux_sym_use_keychain_token1] = ACTIONS(1085),
    [aux_sym_use_roaming_token1] = ACTIONS(1085),
    [aux_sym_user_token1] = ACTIONS(1087),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1085),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1085),
    [aux_sym_visual_host_key_token1] = ACTIONS(1085),
    [aux_sym_xauth_location_token1] = ACTIONS(1085),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1093),
    [anon_sym_DQUOTE] = ACTIONS(1095),
    [aux_sym_match_token1] = ACTIONS(1091),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1091),
    [aux_sym_address_family_token1] = ACTIONS(1091),
    [aux_sym_batch_mode_token1] = ACTIONS(1091),
    [aux_sym_bind_address_token1] = ACTIONS(1091),
    [aux_sym_bind_interface_token1] = ACTIONS(1091),
    [aux_sym_canonical_domains_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1091),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1091),
    [aux_sym_certificate_file_token1] = ACTIONS(1091),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1091),
    [aux_sym_channel_timeout_token1] = ACTIONS(1091),
    [aux_sym_check_host_ip_token1] = ACTIONS(1091),
    [aux_sym_ciphers_token1] = ACTIONS(1091),
    [aux_sym_cipher_token1] = ACTIONS(1093),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1091),
    [aux_sym_compression_token1] = ACTIONS(1091),
    [aux_sym_connection_attempts_token1] = ACTIONS(1091),
    [aux_sym_connect_timeout_token1] = ACTIONS(1091),
    [aux_sym_control_master_token1] = ACTIONS(1091),
    [aux_sym_control_path_token1] = ACTIONS(1091),
    [aux_sym_control_persist_token1] = ACTIONS(1091),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1091),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1091),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1091),
    [aux_sym_escape_char_token1] = ACTIONS(1091),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1091),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1091),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1091),
    [aux_sym_forward_agent_token1] = ACTIONS(1091),
    [aux_sym_forward_x11_token1] = ACTIONS(1093),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1091),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1091),
    [aux_sym_gateway_ports_token1] = ACTIONS(1091),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1091),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1091),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1091),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1091),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1091),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1091),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1091),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1091),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1091),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1091),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1091),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1091),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1091),
    [aux_sym_host_key_alias_token1] = ACTIONS(1091),
    [aux_sym_hostname_token1] = ACTIONS(1091),
    [aux_sym_identities_only_token1] = ACTIONS(1091),
    [aux_sym_identity_agent_token1] = ACTIONS(1091),
    [aux_sym_identity_file_token1] = ACTIONS(1091),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1091),
    [aux_sym_include_token1] = ACTIONS(1091),
    [aux_sym_ip_qos_token1] = ACTIONS(1091),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1091),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1091),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1091),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1091),
    [aux_sym_local_command_token1] = ACTIONS(1091),
    [aux_sym_local_forward_token1] = ACTIONS(1091),
    [aux_sym_log_level_token1] = ACTIONS(1091),
    [aux_sym_log_verbose_token1] = ACTIONS(1091),
    [aux_sym_macs_token1] = ACTIONS(1091),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1091),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1091),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1091),
    [aux_sym_password_authentication_token1] = ACTIONS(1091),
    [aux_sym_permit_local_command_token1] = ACTIONS(1091),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1091),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1091),
    [aux_sym_port_token1] = ACTIONS(1091),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1091),
    [aux_sym_protocol_token1] = ACTIONS(1091),
    [aux_sym_proxy_command_token1] = ACTIONS(1091),
    [aux_sym_proxy_jump_token1] = ACTIONS(1091),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1091),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1091),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1091),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1091),
    [aux_sym_rekey_limit_token1] = ACTIONS(1091),
    [aux_sym_remote_command_token1] = ACTIONS(1091),
    [aux_sym_remote_forward_token1] = ACTIONS(1091),
    [aux_sym_request_tty_token1] = ACTIONS(1091),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1091),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1091),
    [aux_sym_security_key_provider_token1] = ACTIONS(1091),
    [aux_sym_send_env_token1] = ACTIONS(1091),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1091),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1091),
    [aux_sym_session_type_token1] = ACTIONS(1091),
    [aux_sym_set_env_token1] = ACTIONS(1091),
    [aux_sym_stdin_null_token1] = ACTIONS(1091),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1091),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1091),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1091),
    [aux_sym_syslog_facility_token1] = ACTIONS(1091),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1091),
    [aux_sym_keep_alive_token1] = ACTIONS(1091),
    [aux_sym_tag_token1] = ACTIONS(1091),
    [aux_sym_tunnel_token1] = ACTIONS(1093),
    [aux_sym_tunnel_device_token1] = ACTIONS(1091),
    [aux_sym_update_host_keys_token1] = ACTIONS(1091),
    [aux_sym_use_keychain_token1] = ACTIONS(1091),
    [aux_sym_use_roaming_token1] = ACTIONS(1091),
    [aux_sym_user_token1] = ACTIONS(1093),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1091),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1091),
    [aux_sym_visual_host_key_token1] = ACTIONS(1091),
    [aux_sym_xauth_location_token1] = ACTIONS(1091),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [aux_sym_match_token1] = ACTIONS(1097),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1097),
    [aux_sym_address_family_token1] = ACTIONS(1097),
    [aux_sym_batch_mode_token1] = ACTIONS(1097),
    [aux_sym_bind_address_token1] = ACTIONS(1097),
    [aux_sym_bind_interface_token1] = ACTIONS(1097),
    [aux_sym_canonical_domains_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1097),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1097),
    [aux_sym_certificate_file_token1] = ACTIONS(1097),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1097),
    [aux_sym_channel_timeout_token1] = ACTIONS(1097),
    [aux_sym_check_host_ip_token1] = ACTIONS(1097),
    [aux_sym_ciphers_token1] = ACTIONS(1097),
    [aux_sym_cipher_token1] = ACTIONS(1099),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1097),
    [aux_sym_compression_token1] = ACTIONS(1097),
    [aux_sym_connection_attempts_token1] = ACTIONS(1097),
    [aux_sym_connect_timeout_token1] = ACTIONS(1097),
    [aux_sym_control_master_token1] = ACTIONS(1097),
    [aux_sym_control_path_token1] = ACTIONS(1097),
    [aux_sym_control_persist_token1] = ACTIONS(1097),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1097),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1097),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1097),
    [aux_sym_escape_char_token1] = ACTIONS(1097),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1097),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1097),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1097),
    [aux_sym_forward_agent_token1] = ACTIONS(1097),
    [aux_sym_forward_x11_token1] = ACTIONS(1099),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1097),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1097),
    [aux_sym_gateway_ports_token1] = ACTIONS(1097),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1097),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1097),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1097),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1097),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1097),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1097),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1097),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1097),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1097),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1097),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1097),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1097),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1097),
    [aux_sym_host_key_alias_token1] = ACTIONS(1097),
    [aux_sym_hostname_token1] = ACTIONS(1097),
    [aux_sym_identities_only_token1] = ACTIONS(1097),
    [aux_sym_identity_agent_token1] = ACTIONS(1097),
    [aux_sym_identity_file_token1] = ACTIONS(1097),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1097),
    [aux_sym_include_token1] = ACTIONS(1097),
    [aux_sym_ip_qos_token1] = ACTIONS(1097),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1097),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1097),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1097),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1097),
    [aux_sym_local_command_token1] = ACTIONS(1097),
    [aux_sym_local_forward_token1] = ACTIONS(1097),
    [aux_sym_log_level_token1] = ACTIONS(1097),
    [aux_sym_log_verbose_token1] = ACTIONS(1097),
    [aux_sym_macs_token1] = ACTIONS(1097),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1097),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1097),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1097),
    [aux_sym_password_authentication_token1] = ACTIONS(1097),
    [aux_sym_permit_local_command_token1] = ACTIONS(1097),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1097),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1097),
    [aux_sym_port_token1] = ACTIONS(1097),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1097),
    [aux_sym_protocol_token1] = ACTIONS(1097),
    [aux_sym_proxy_command_token1] = ACTIONS(1097),
    [aux_sym_proxy_jump_token1] = ACTIONS(1097),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1097),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1097),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1097),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1097),
    [aux_sym_rekey_limit_token1] = ACTIONS(1097),
    [aux_sym_remote_command_token1] = ACTIONS(1097),
    [aux_sym_remote_forward_token1] = ACTIONS(1097),
    [aux_sym_request_tty_token1] = ACTIONS(1097),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1097),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1097),
    [aux_sym_security_key_provider_token1] = ACTIONS(1097),
    [aux_sym_send_env_token1] = ACTIONS(1097),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1097),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1097),
    [aux_sym_session_type_token1] = ACTIONS(1097),
    [aux_sym_set_env_token1] = ACTIONS(1097),
    [aux_sym_stdin_null_token1] = ACTIONS(1097),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1097),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1097),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1097),
    [aux_sym_syslog_facility_token1] = ACTIONS(1097),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1097),
    [aux_sym_keep_alive_token1] = ACTIONS(1097),
    [aux_sym_tag_token1] = ACTIONS(1097),
    [aux_sym_tunnel_token1] = ACTIONS(1099),
    [aux_sym_tunnel_device_token1] = ACTIONS(1097),
    [aux_sym_update_host_keys_token1] = ACTIONS(1097),
    [aux_sym_use_keychain_token1] = ACTIONS(1097),
    [aux_sym_use_roaming_token1] = ACTIONS(1097),
    [aux_sym_user_token1] = ACTIONS(1099),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1097),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1097),
    [aux_sym_visual_host_key_token1] = ACTIONS(1097),
    [aux_sym_xauth_location_token1] = ACTIONS(1097),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [aux_sym_match_token1] = ACTIONS(1103),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1103),
    [aux_sym_address_family_token1] = ACTIONS(1103),
    [aux_sym_batch_mode_token1] = ACTIONS(1103),
    [aux_sym_bind_address_token1] = ACTIONS(1103),
    [aux_sym_bind_interface_token1] = ACTIONS(1103),
    [aux_sym_canonical_domains_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1103),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1103),
    [aux_sym_certificate_file_token1] = ACTIONS(1103),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1103),
    [aux_sym_channel_timeout_token1] = ACTIONS(1103),
    [aux_sym_check_host_ip_token1] = ACTIONS(1103),
    [aux_sym_ciphers_token1] = ACTIONS(1103),
    [aux_sym_cipher_token1] = ACTIONS(1105),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1103),
    [aux_sym_compression_token1] = ACTIONS(1103),
    [aux_sym_connection_attempts_token1] = ACTIONS(1103),
    [aux_sym_connect_timeout_token1] = ACTIONS(1103),
    [aux_sym_control_master_token1] = ACTIONS(1103),
    [aux_sym_control_path_token1] = ACTIONS(1103),
    [aux_sym_control_persist_token1] = ACTIONS(1103),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1103),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1103),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1103),
    [aux_sym_escape_char_token1] = ACTIONS(1103),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1103),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1103),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1103),
    [aux_sym_forward_agent_token1] = ACTIONS(1103),
    [aux_sym_forward_x11_token1] = ACTIONS(1105),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1103),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1103),
    [aux_sym_gateway_ports_token1] = ACTIONS(1103),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1103),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1103),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1103),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1103),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1103),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1103),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1103),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1103),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1103),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1103),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1103),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1103),
    [aux_sym_host_key_alias_token1] = ACTIONS(1103),
    [aux_sym_hostname_token1] = ACTIONS(1103),
    [aux_sym_identities_only_token1] = ACTIONS(1103),
    [aux_sym_identity_agent_token1] = ACTIONS(1103),
    [aux_sym_identity_file_token1] = ACTIONS(1103),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1103),
    [aux_sym_include_token1] = ACTIONS(1103),
    [aux_sym_ip_qos_token1] = ACTIONS(1103),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1103),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1103),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1103),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1103),
    [aux_sym_local_command_token1] = ACTIONS(1103),
    [aux_sym_local_forward_token1] = ACTIONS(1103),
    [aux_sym_log_level_token1] = ACTIONS(1103),
    [aux_sym_log_verbose_token1] = ACTIONS(1103),
    [aux_sym_macs_token1] = ACTIONS(1103),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1103),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1103),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1103),
    [aux_sym_password_authentication_token1] = ACTIONS(1103),
    [aux_sym_permit_local_command_token1] = ACTIONS(1103),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1103),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1103),
    [aux_sym_port_token1] = ACTIONS(1103),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1103),
    [aux_sym_protocol_token1] = ACTIONS(1103),
    [aux_sym_proxy_command_token1] = ACTIONS(1103),
    [aux_sym_proxy_jump_token1] = ACTIONS(1103),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1103),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1103),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1103),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1103),
    [aux_sym_rekey_limit_token1] = ACTIONS(1103),
    [aux_sym_remote_command_token1] = ACTIONS(1103),
    [aux_sym_remote_forward_token1] = ACTIONS(1103),
    [aux_sym_request_tty_token1] = ACTIONS(1103),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1103),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1103),
    [aux_sym_security_key_provider_token1] = ACTIONS(1103),
    [aux_sym_send_env_token1] = ACTIONS(1103),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1103),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1103),
    [aux_sym_session_type_token1] = ACTIONS(1103),
    [aux_sym_set_env_token1] = ACTIONS(1103),
    [aux_sym_stdin_null_token1] = ACTIONS(1103),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1103),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1103),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1103),
    [aux_sym_syslog_facility_token1] = ACTIONS(1103),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1103),
    [aux_sym_keep_alive_token1] = ACTIONS(1103),
    [aux_sym_tag_token1] = ACTIONS(1103),
    [aux_sym_tunnel_token1] = ACTIONS(1105),
    [aux_sym_tunnel_device_token1] = ACTIONS(1103),
    [aux_sym_update_host_keys_token1] = ACTIONS(1103),
    [aux_sym_use_keychain_token1] = ACTIONS(1103),
    [aux_sym_use_roaming_token1] = ACTIONS(1103),
    [aux_sym_user_token1] = ACTIONS(1105),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1103),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1103),
    [aux_sym_visual_host_key_token1] = ACTIONS(1103),
    [aux_sym_xauth_location_token1] = ACTIONS(1103),
  },
  [91] = {
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [aux_sym_match_token1] = ACTIONS(1109),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1109),
    [aux_sym_address_family_token1] = ACTIONS(1109),
    [aux_sym_batch_mode_token1] = ACTIONS(1109),
    [aux_sym_bind_address_token1] = ACTIONS(1109),
    [aux_sym_bind_interface_token1] = ACTIONS(1109),
    [aux_sym_canonical_domains_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1109),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1109),
    [aux_sym_certificate_file_token1] = ACTIONS(1109),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1109),
    [aux_sym_channel_timeout_token1] = ACTIONS(1109),
    [aux_sym_check_host_ip_token1] = ACTIONS(1109),
    [aux_sym_ciphers_token1] = ACTIONS(1109),
    [aux_sym_cipher_token1] = ACTIONS(1111),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1109),
    [aux_sym_compression_token1] = ACTIONS(1109),
    [aux_sym_connection_attempts_token1] = ACTIONS(1109),
    [aux_sym_connect_timeout_token1] = ACTIONS(1109),
    [aux_sym_control_master_token1] = ACTIONS(1109),
    [aux_sym_control_path_token1] = ACTIONS(1109),
    [aux_sym_control_persist_token1] = ACTIONS(1109),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1109),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1109),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1109),
    [aux_sym_escape_char_token1] = ACTIONS(1109),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1109),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1109),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1109),
    [aux_sym_forward_agent_token1] = ACTIONS(1109),
    [aux_sym_forward_x11_token1] = ACTIONS(1111),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1109),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1109),
    [aux_sym_gateway_ports_token1] = ACTIONS(1109),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1109),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1109),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1109),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1109),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1109),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1109),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1109),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1109),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1109),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1109),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1109),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1109),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1109),
    [aux_sym_host_key_alias_token1] = ACTIONS(1109),
    [aux_sym_hostname_token1] = ACTIONS(1109),
    [aux_sym_identities_only_token1] = ACTIONS(1109),
    [aux_sym_identity_agent_token1] = ACTIONS(1109),
    [aux_sym_identity_file_token1] = ACTIONS(1109),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1109),
    [aux_sym_include_token1] = ACTIONS(1109),
    [aux_sym_ip_qos_token1] = ACTIONS(1109),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1109),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1109),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1109),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1109),
    [aux_sym_local_command_token1] = ACTIONS(1109),
    [aux_sym_local_forward_token1] = ACTIONS(1109),
    [aux_sym_log_level_token1] = ACTIONS(1109),
    [aux_sym_log_verbose_token1] = ACTIONS(1109),
    [aux_sym_macs_token1] = ACTIONS(1109),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1109),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1109),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1109),
    [aux_sym_password_authentication_token1] = ACTIONS(1109),
    [aux_sym_permit_local_command_token1] = ACTIONS(1109),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1109),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1109),
    [aux_sym_port_token1] = ACTIONS(1109),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1109),
    [aux_sym_protocol_token1] = ACTIONS(1109),
    [aux_sym_proxy_command_token1] = ACTIONS(1109),
    [aux_sym_proxy_jump_token1] = ACTIONS(1109),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1109),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1109),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1109),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1109),
    [aux_sym_rekey_limit_token1] = ACTIONS(1109),
    [aux_sym_remote_command_token1] = ACTIONS(1109),
    [aux_sym_remote_forward_token1] = ACTIONS(1109),
    [aux_sym_request_tty_token1] = ACTIONS(1109),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1109),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1109),
    [aux_sym_security_key_provider_token1] = ACTIONS(1109),
    [aux_sym_send_env_token1] = ACTIONS(1109),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1109),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1109),
    [aux_sym_session_type_token1] = ACTIONS(1109),
    [aux_sym_set_env_token1] = ACTIONS(1109),
    [aux_sym_stdin_null_token1] = ACTIONS(1109),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1109),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1109),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1109),
    [aux_sym_syslog_facility_token1] = ACTIONS(1109),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1109),
    [aux_sym_keep_alive_token1] = ACTIONS(1109),
    [aux_sym_tag_token1] = ACTIONS(1109),
    [aux_sym_tunnel_token1] = ACTIONS(1111),
    [aux_sym_tunnel_device_token1] = ACTIONS(1109),
    [aux_sym_update_host_keys_token1] = ACTIONS(1109),
    [aux_sym_use_keychain_token1] = ACTIONS(1109),
    [aux_sym_use_roaming_token1] = ACTIONS(1109),
    [aux_sym_user_token1] = ACTIONS(1111),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1109),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1109),
    [aux_sym_visual_host_key_token1] = ACTIONS(1109),
    [aux_sym_xauth_location_token1] = ACTIONS(1109),
  },
  [92] = {
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [aux_sym_match_token1] = ACTIONS(1115),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1115),
    [aux_sym_address_family_token1] = ACTIONS(1115),
    [aux_sym_batch_mode_token1] = ACTIONS(1115),
    [aux_sym_bind_address_token1] = ACTIONS(1115),
    [aux_sym_bind_interface_token1] = ACTIONS(1115),
    [aux_sym_canonical_domains_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1115),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1115),
    [aux_sym_certificate_file_token1] = ACTIONS(1115),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1115),
    [aux_sym_channel_timeout_token1] = ACTIONS(1115),
    [aux_sym_check_host_ip_token1] = ACTIONS(1115),
    [aux_sym_ciphers_token1] = ACTIONS(1115),
    [aux_sym_cipher_token1] = ACTIONS(1117),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1115),
    [aux_sym_compression_token1] = ACTIONS(1115),
    [aux_sym_connection_attempts_token1] = ACTIONS(1115),
    [aux_sym_connect_timeout_token1] = ACTIONS(1115),
    [aux_sym_control_master_token1] = ACTIONS(1115),
    [aux_sym_control_path_token1] = ACTIONS(1115),
    [aux_sym_control_persist_token1] = ACTIONS(1115),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1115),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1115),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1115),
    [aux_sym_escape_char_token1] = ACTIONS(1115),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1115),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1115),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1115),
    [aux_sym_forward_agent_token1] = ACTIONS(1115),
    [aux_sym_forward_x11_token1] = ACTIONS(1117),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1115),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1115),
    [aux_sym_gateway_ports_token1] = ACTIONS(1115),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1115),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1115),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1115),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1115),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1115),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1115),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1115),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1115),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1115),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1115),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1115),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1115),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1115),
    [aux_sym_host_key_alias_token1] = ACTIONS(1115),
    [aux_sym_hostname_token1] = ACTIONS(1115),
    [aux_sym_identities_only_token1] = ACTIONS(1115),
    [aux_sym_identity_agent_token1] = ACTIONS(1115),
    [aux_sym_identity_file_token1] = ACTIONS(1115),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1115),
    [aux_sym_include_token1] = ACTIONS(1115),
    [aux_sym_ip_qos_token1] = ACTIONS(1115),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1115),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1115),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1115),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1115),
    [aux_sym_local_command_token1] = ACTIONS(1115),
    [aux_sym_local_forward_token1] = ACTIONS(1115),
    [aux_sym_log_level_token1] = ACTIONS(1115),
    [aux_sym_log_verbose_token1] = ACTIONS(1115),
    [aux_sym_macs_token1] = ACTIONS(1115),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1115),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1115),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1115),
    [aux_sym_password_authentication_token1] = ACTIONS(1115),
    [aux_sym_permit_local_command_token1] = ACTIONS(1115),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1115),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1115),
    [aux_sym_port_token1] = ACTIONS(1115),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1115),
    [aux_sym_protocol_token1] = ACTIONS(1115),
    [aux_sym_proxy_command_token1] = ACTIONS(1115),
    [aux_sym_proxy_jump_token1] = ACTIONS(1115),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1115),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1115),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1115),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1115),
    [aux_sym_rekey_limit_token1] = ACTIONS(1115),
    [aux_sym_remote_command_token1] = ACTIONS(1115),
    [aux_sym_remote_forward_token1] = ACTIONS(1115),
    [aux_sym_request_tty_token1] = ACTIONS(1115),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1115),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1115),
    [aux_sym_security_key_provider_token1] = ACTIONS(1115),
    [aux_sym_send_env_token1] = ACTIONS(1115),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1115),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1115),
    [aux_sym_session_type_token1] = ACTIONS(1115),
    [aux_sym_set_env_token1] = ACTIONS(1115),
    [aux_sym_stdin_null_token1] = ACTIONS(1115),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1115),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1115),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1115),
    [aux_sym_syslog_facility_token1] = ACTIONS(1115),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1115),
    [aux_sym_keep_alive_token1] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1115),
    [aux_sym_tunnel_token1] = ACTIONS(1117),
    [aux_sym_tunnel_device_token1] = ACTIONS(1115),
    [aux_sym_update_host_keys_token1] = ACTIONS(1115),
    [aux_sym_use_keychain_token1] = ACTIONS(1115),
    [aux_sym_use_roaming_token1] = ACTIONS(1115),
    [aux_sym_user_token1] = ACTIONS(1117),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1115),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1115),
    [aux_sym_visual_host_key_token1] = ACTIONS(1115),
    [aux_sym_xauth_location_token1] = ACTIONS(1115),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(1121),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [aux_sym_match_token1] = ACTIONS(1121),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1121),
    [aux_sym_address_family_token1] = ACTIONS(1121),
    [aux_sym_batch_mode_token1] = ACTIONS(1121),
    [aux_sym_bind_address_token1] = ACTIONS(1121),
    [aux_sym_bind_interface_token1] = ACTIONS(1121),
    [aux_sym_canonical_domains_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1121),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1121),
    [aux_sym_certificate_file_token1] = ACTIONS(1121),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1121),
    [aux_sym_channel_timeout_token1] = ACTIONS(1121),
    [aux_sym_check_host_ip_token1] = ACTIONS(1121),
    [aux_sym_ciphers_token1] = ACTIONS(1121),
    [aux_sym_cipher_token1] = ACTIONS(1123),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1121),
    [aux_sym_compression_token1] = ACTIONS(1121),
    [aux_sym_connection_attempts_token1] = ACTIONS(1121),
    [aux_sym_connect_timeout_token1] = ACTIONS(1121),
    [aux_sym_control_master_token1] = ACTIONS(1121),
    [aux_sym_control_path_token1] = ACTIONS(1121),
    [aux_sym_control_persist_token1] = ACTIONS(1121),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1121),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1121),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1121),
    [aux_sym_escape_char_token1] = ACTIONS(1121),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1121),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1121),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1121),
    [aux_sym_forward_agent_token1] = ACTIONS(1121),
    [aux_sym_forward_x11_token1] = ACTIONS(1123),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1121),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1121),
    [aux_sym_gateway_ports_token1] = ACTIONS(1121),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1121),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1121),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1121),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1121),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1121),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1121),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1121),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1121),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1121),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1121),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1121),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1121),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1121),
    [aux_sym_host_key_alias_token1] = ACTIONS(1121),
    [aux_sym_hostname_token1] = ACTIONS(1121),
    [aux_sym_identities_only_token1] = ACTIONS(1121),
    [aux_sym_identity_agent_token1] = ACTIONS(1121),
    [aux_sym_identity_file_token1] = ACTIONS(1121),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1121),
    [aux_sym_include_token1] = ACTIONS(1121),
    [aux_sym_ip_qos_token1] = ACTIONS(1121),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1121),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1121),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1121),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1121),
    [aux_sym_local_command_token1] = ACTIONS(1121),
    [aux_sym_local_forward_token1] = ACTIONS(1121),
    [aux_sym_log_level_token1] = ACTIONS(1121),
    [aux_sym_log_verbose_token1] = ACTIONS(1121),
    [aux_sym_macs_token1] = ACTIONS(1121),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1121),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1121),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1121),
    [aux_sym_password_authentication_token1] = ACTIONS(1121),
    [aux_sym_permit_local_command_token1] = ACTIONS(1121),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1121),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1121),
    [aux_sym_port_token1] = ACTIONS(1121),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1121),
    [aux_sym_protocol_token1] = ACTIONS(1121),
    [aux_sym_proxy_command_token1] = ACTIONS(1121),
    [aux_sym_proxy_jump_token1] = ACTIONS(1121),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1121),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1121),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1121),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1121),
    [aux_sym_rekey_limit_token1] = ACTIONS(1121),
    [aux_sym_remote_command_token1] = ACTIONS(1121),
    [aux_sym_remote_forward_token1] = ACTIONS(1121),
    [aux_sym_request_tty_token1] = ACTIONS(1121),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1121),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1121),
    [aux_sym_security_key_provider_token1] = ACTIONS(1121),
    [aux_sym_send_env_token1] = ACTIONS(1121),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1121),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1121),
    [aux_sym_session_type_token1] = ACTIONS(1121),
    [aux_sym_set_env_token1] = ACTIONS(1121),
    [aux_sym_stdin_null_token1] = ACTIONS(1121),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1121),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1121),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1121),
    [aux_sym_syslog_facility_token1] = ACTIONS(1121),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1121),
    [aux_sym_keep_alive_token1] = ACTIONS(1121),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [aux_sym_tunnel_token1] = ACTIONS(1123),
    [aux_sym_tunnel_device_token1] = ACTIONS(1121),
    [aux_sym_update_host_keys_token1] = ACTIONS(1121),
    [aux_sym_use_keychain_token1] = ACTIONS(1121),
    [aux_sym_use_roaming_token1] = ACTIONS(1121),
    [aux_sym_user_token1] = ACTIONS(1123),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1121),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1121),
    [aux_sym_visual_host_key_token1] = ACTIONS(1121),
    [aux_sym_xauth_location_token1] = ACTIONS(1121),
  },
  [94] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [aux_sym_match_token1] = ACTIONS(1127),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1127),
    [aux_sym_address_family_token1] = ACTIONS(1127),
    [aux_sym_batch_mode_token1] = ACTIONS(1127),
    [aux_sym_bind_address_token1] = ACTIONS(1127),
    [aux_sym_bind_interface_token1] = ACTIONS(1127),
    [aux_sym_canonical_domains_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1127),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1127),
    [aux_sym_certificate_file_token1] = ACTIONS(1127),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1127),
    [aux_sym_channel_timeout_token1] = ACTIONS(1127),
    [aux_sym_check_host_ip_token1] = ACTIONS(1127),
    [aux_sym_ciphers_token1] = ACTIONS(1127),
    [aux_sym_cipher_token1] = ACTIONS(1129),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1127),
    [aux_sym_compression_token1] = ACTIONS(1127),
    [aux_sym_connection_attempts_token1] = ACTIONS(1127),
    [aux_sym_connect_timeout_token1] = ACTIONS(1127),
    [aux_sym_control_master_token1] = ACTIONS(1127),
    [aux_sym_control_path_token1] = ACTIONS(1127),
    [aux_sym_control_persist_token1] = ACTIONS(1127),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1127),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1127),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1127),
    [aux_sym_escape_char_token1] = ACTIONS(1127),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1127),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1127),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1127),
    [aux_sym_forward_agent_token1] = ACTIONS(1127),
    [aux_sym_forward_x11_token1] = ACTIONS(1129),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1127),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1127),
    [aux_sym_gateway_ports_token1] = ACTIONS(1127),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1127),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1127),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1127),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1127),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1127),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1127),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1127),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1127),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1127),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1127),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1127),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1127),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1127),
    [aux_sym_host_key_alias_token1] = ACTIONS(1127),
    [aux_sym_hostname_token1] = ACTIONS(1127),
    [aux_sym_identities_only_token1] = ACTIONS(1127),
    [aux_sym_identity_agent_token1] = ACTIONS(1127),
    [aux_sym_identity_file_token1] = ACTIONS(1127),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1127),
    [aux_sym_include_token1] = ACTIONS(1127),
    [aux_sym_ip_qos_token1] = ACTIONS(1127),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1127),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1127),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1127),
    [aux_sym_local_command_token1] = ACTIONS(1127),
    [aux_sym_local_forward_token1] = ACTIONS(1127),
    [aux_sym_log_level_token1] = ACTIONS(1127),
    [aux_sym_log_verbose_token1] = ACTIONS(1127),
    [aux_sym_macs_token1] = ACTIONS(1127),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1127),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1127),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1127),
    [aux_sym_password_authentication_token1] = ACTIONS(1127),
    [aux_sym_permit_local_command_token1] = ACTIONS(1127),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1127),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1127),
    [aux_sym_port_token1] = ACTIONS(1127),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1127),
    [aux_sym_protocol_token1] = ACTIONS(1127),
    [aux_sym_proxy_command_token1] = ACTIONS(1127),
    [aux_sym_proxy_jump_token1] = ACTIONS(1127),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1127),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1127),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1127),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1127),
    [aux_sym_rekey_limit_token1] = ACTIONS(1127),
    [aux_sym_remote_command_token1] = ACTIONS(1127),
    [aux_sym_remote_forward_token1] = ACTIONS(1127),
    [aux_sym_request_tty_token1] = ACTIONS(1127),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1127),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1127),
    [aux_sym_security_key_provider_token1] = ACTIONS(1127),
    [aux_sym_send_env_token1] = ACTIONS(1127),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1127),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1127),
    [aux_sym_session_type_token1] = ACTIONS(1127),
    [aux_sym_set_env_token1] = ACTIONS(1127),
    [aux_sym_stdin_null_token1] = ACTIONS(1127),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1127),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1127),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1127),
    [aux_sym_syslog_facility_token1] = ACTIONS(1127),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1127),
    [aux_sym_keep_alive_token1] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [aux_sym_tunnel_token1] = ACTIONS(1129),
    [aux_sym_tunnel_device_token1] = ACTIONS(1127),
    [aux_sym_update_host_keys_token1] = ACTIONS(1127),
    [aux_sym_use_keychain_token1] = ACTIONS(1127),
    [aux_sym_use_roaming_token1] = ACTIONS(1127),
    [aux_sym_user_token1] = ACTIONS(1129),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1127),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1127),
    [aux_sym_visual_host_key_token1] = ACTIONS(1127),
    [aux_sym_xauth_location_token1] = ACTIONS(1127),
  },
  [95] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [aux_sym_match_token1] = ACTIONS(1133),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1133),
    [aux_sym_address_family_token1] = ACTIONS(1133),
    [aux_sym_batch_mode_token1] = ACTIONS(1133),
    [aux_sym_bind_address_token1] = ACTIONS(1133),
    [aux_sym_bind_interface_token1] = ACTIONS(1133),
    [aux_sym_canonical_domains_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1133),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1133),
    [aux_sym_certificate_file_token1] = ACTIONS(1133),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1133),
    [aux_sym_channel_timeout_token1] = ACTIONS(1133),
    [aux_sym_check_host_ip_token1] = ACTIONS(1133),
    [aux_sym_ciphers_token1] = ACTIONS(1133),
    [aux_sym_cipher_token1] = ACTIONS(1135),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1133),
    [aux_sym_compression_token1] = ACTIONS(1133),
    [aux_sym_connection_attempts_token1] = ACTIONS(1133),
    [aux_sym_connect_timeout_token1] = ACTIONS(1133),
    [aux_sym_control_master_token1] = ACTIONS(1133),
    [aux_sym_control_path_token1] = ACTIONS(1133),
    [aux_sym_control_persist_token1] = ACTIONS(1133),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1133),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1133),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1133),
    [aux_sym_escape_char_token1] = ACTIONS(1133),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1133),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1133),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1133),
    [aux_sym_forward_agent_token1] = ACTIONS(1133),
    [aux_sym_forward_x11_token1] = ACTIONS(1135),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1133),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1133),
    [aux_sym_gateway_ports_token1] = ACTIONS(1133),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1133),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1133),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1133),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1133),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1133),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1133),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1133),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1133),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1133),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1133),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1133),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1133),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1133),
    [aux_sym_host_key_alias_token1] = ACTIONS(1133),
    [aux_sym_hostname_token1] = ACTIONS(1133),
    [aux_sym_identities_only_token1] = ACTIONS(1133),
    [aux_sym_identity_agent_token1] = ACTIONS(1133),
    [aux_sym_identity_file_token1] = ACTIONS(1133),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1133),
    [aux_sym_include_token1] = ACTIONS(1133),
    [aux_sym_ip_qos_token1] = ACTIONS(1133),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1133),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1133),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1133),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1133),
    [aux_sym_local_command_token1] = ACTIONS(1133),
    [aux_sym_local_forward_token1] = ACTIONS(1133),
    [aux_sym_log_level_token1] = ACTIONS(1133),
    [aux_sym_log_verbose_token1] = ACTIONS(1133),
    [aux_sym_macs_token1] = ACTIONS(1133),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1133),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1133),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1133),
    [aux_sym_password_authentication_token1] = ACTIONS(1133),
    [aux_sym_permit_local_command_token1] = ACTIONS(1133),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1133),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1133),
    [aux_sym_port_token1] = ACTIONS(1133),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1133),
    [aux_sym_protocol_token1] = ACTIONS(1133),
    [aux_sym_proxy_command_token1] = ACTIONS(1133),
    [aux_sym_proxy_jump_token1] = ACTIONS(1133),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1133),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1133),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1133),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1133),
    [aux_sym_rekey_limit_token1] = ACTIONS(1133),
    [aux_sym_remote_command_token1] = ACTIONS(1133),
    [aux_sym_remote_forward_token1] = ACTIONS(1133),
    [aux_sym_request_tty_token1] = ACTIONS(1133),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1133),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1133),
    [aux_sym_security_key_provider_token1] = ACTIONS(1133),
    [aux_sym_send_env_token1] = ACTIONS(1133),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1133),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1133),
    [aux_sym_session_type_token1] = ACTIONS(1133),
    [aux_sym_set_env_token1] = ACTIONS(1133),
    [aux_sym_stdin_null_token1] = ACTIONS(1133),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1133),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1133),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1133),
    [aux_sym_syslog_facility_token1] = ACTIONS(1133),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1133),
    [aux_sym_keep_alive_token1] = ACTIONS(1133),
    [aux_sym_tag_token1] = ACTIONS(1133),
    [aux_sym_tunnel_token1] = ACTIONS(1135),
    [aux_sym_tunnel_device_token1] = ACTIONS(1133),
    [aux_sym_update_host_keys_token1] = ACTIONS(1133),
    [aux_sym_use_keychain_token1] = ACTIONS(1133),
    [aux_sym_use_roaming_token1] = ACTIONS(1133),
    [aux_sym_user_token1] = ACTIONS(1135),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1133),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1133),
    [aux_sym_visual_host_key_token1] = ACTIONS(1133),
    [aux_sym_xauth_location_token1] = ACTIONS(1133),
  },
  [96] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [aux_sym_match_token1] = ACTIONS(1139),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1139),
    [aux_sym_address_family_token1] = ACTIONS(1139),
    [aux_sym_batch_mode_token1] = ACTIONS(1139),
    [aux_sym_bind_address_token1] = ACTIONS(1139),
    [aux_sym_bind_interface_token1] = ACTIONS(1139),
    [aux_sym_canonical_domains_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1139),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1139),
    [aux_sym_certificate_file_token1] = ACTIONS(1139),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1139),
    [aux_sym_channel_timeout_token1] = ACTIONS(1139),
    [aux_sym_check_host_ip_token1] = ACTIONS(1139),
    [aux_sym_ciphers_token1] = ACTIONS(1139),
    [aux_sym_cipher_token1] = ACTIONS(1141),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1139),
    [aux_sym_compression_token1] = ACTIONS(1139),
    [aux_sym_connection_attempts_token1] = ACTIONS(1139),
    [aux_sym_connect_timeout_token1] = ACTIONS(1139),
    [aux_sym_control_master_token1] = ACTIONS(1139),
    [aux_sym_control_path_token1] = ACTIONS(1139),
    [aux_sym_control_persist_token1] = ACTIONS(1139),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1139),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1139),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1139),
    [aux_sym_escape_char_token1] = ACTIONS(1139),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1139),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1139),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1139),
    [aux_sym_forward_agent_token1] = ACTIONS(1139),
    [aux_sym_forward_x11_token1] = ACTIONS(1141),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1139),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1139),
    [aux_sym_gateway_ports_token1] = ACTIONS(1139),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1139),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1139),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1139),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1139),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1139),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1139),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1139),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1139),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1139),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1139),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1139),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1139),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1139),
    [aux_sym_host_key_alias_token1] = ACTIONS(1139),
    [aux_sym_hostname_token1] = ACTIONS(1139),
    [aux_sym_identities_only_token1] = ACTIONS(1139),
    [aux_sym_identity_agent_token1] = ACTIONS(1139),
    [aux_sym_identity_file_token1] = ACTIONS(1139),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1139),
    [aux_sym_include_token1] = ACTIONS(1139),
    [aux_sym_ip_qos_token1] = ACTIONS(1139),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1139),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1139),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1139),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1139),
    [aux_sym_local_command_token1] = ACTIONS(1139),
    [aux_sym_local_forward_token1] = ACTIONS(1139),
    [aux_sym_log_level_token1] = ACTIONS(1139),
    [aux_sym_log_verbose_token1] = ACTIONS(1139),
    [aux_sym_macs_token1] = ACTIONS(1139),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1139),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1139),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1139),
    [aux_sym_password_authentication_token1] = ACTIONS(1139),
    [aux_sym_permit_local_command_token1] = ACTIONS(1139),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1139),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1139),
    [aux_sym_port_token1] = ACTIONS(1139),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1139),
    [aux_sym_protocol_token1] = ACTIONS(1139),
    [aux_sym_proxy_command_token1] = ACTIONS(1139),
    [aux_sym_proxy_jump_token1] = ACTIONS(1139),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1139),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1139),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1139),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1139),
    [aux_sym_rekey_limit_token1] = ACTIONS(1139),
    [aux_sym_remote_command_token1] = ACTIONS(1139),
    [aux_sym_remote_forward_token1] = ACTIONS(1139),
    [aux_sym_request_tty_token1] = ACTIONS(1139),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1139),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1139),
    [aux_sym_security_key_provider_token1] = ACTIONS(1139),
    [aux_sym_send_env_token1] = ACTIONS(1139),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1139),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1139),
    [aux_sym_session_type_token1] = ACTIONS(1139),
    [aux_sym_set_env_token1] = ACTIONS(1139),
    [aux_sym_stdin_null_token1] = ACTIONS(1139),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1139),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1139),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1139),
    [aux_sym_syslog_facility_token1] = ACTIONS(1139),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1139),
    [aux_sym_keep_alive_token1] = ACTIONS(1139),
    [aux_sym_tag_token1] = ACTIONS(1139),
    [aux_sym_tunnel_token1] = ACTIONS(1141),
    [aux_sym_tunnel_device_token1] = ACTIONS(1139),
    [aux_sym_update_host_keys_token1] = ACTIONS(1139),
    [aux_sym_use_keychain_token1] = ACTIONS(1139),
    [aux_sym_use_roaming_token1] = ACTIONS(1139),
    [aux_sym_user_token1] = ACTIONS(1141),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1139),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1139),
    [aux_sym_visual_host_key_token1] = ACTIONS(1139),
    [aux_sym_xauth_location_token1] = ACTIONS(1139),
  },
  [97] = {
    [ts_builtin_sym_end] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [aux_sym_match_token1] = ACTIONS(1145),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1145),
    [aux_sym_address_family_token1] = ACTIONS(1145),
    [aux_sym_batch_mode_token1] = ACTIONS(1145),
    [aux_sym_bind_address_token1] = ACTIONS(1145),
    [aux_sym_bind_interface_token1] = ACTIONS(1145),
    [aux_sym_canonical_domains_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1145),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1145),
    [aux_sym_certificate_file_token1] = ACTIONS(1145),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1145),
    [aux_sym_channel_timeout_token1] = ACTIONS(1145),
    [aux_sym_check_host_ip_token1] = ACTIONS(1145),
    [aux_sym_ciphers_token1] = ACTIONS(1145),
    [aux_sym_cipher_token1] = ACTIONS(1147),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1145),
    [aux_sym_compression_token1] = ACTIONS(1145),
    [aux_sym_connection_attempts_token1] = ACTIONS(1145),
    [aux_sym_connect_timeout_token1] = ACTIONS(1145),
    [aux_sym_control_master_token1] = ACTIONS(1145),
    [aux_sym_control_path_token1] = ACTIONS(1145),
    [aux_sym_control_persist_token1] = ACTIONS(1145),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1145),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1145),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1145),
    [aux_sym_escape_char_token1] = ACTIONS(1145),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1145),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1145),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1145),
    [aux_sym_forward_agent_token1] = ACTIONS(1145),
    [aux_sym_forward_x11_token1] = ACTIONS(1147),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1145),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1145),
    [aux_sym_gateway_ports_token1] = ACTIONS(1145),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1145),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1145),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1145),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1145),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1145),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1145),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1145),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1145),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1145),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1145),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1145),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1145),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1145),
    [aux_sym_host_key_alias_token1] = ACTIONS(1145),
    [aux_sym_hostname_token1] = ACTIONS(1145),
    [aux_sym_identities_only_token1] = ACTIONS(1145),
    [aux_sym_identity_agent_token1] = ACTIONS(1145),
    [aux_sym_identity_file_token1] = ACTIONS(1145),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1145),
    [aux_sym_include_token1] = ACTIONS(1145),
    [aux_sym_ip_qos_token1] = ACTIONS(1145),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1145),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1145),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1145),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1145),
    [aux_sym_local_command_token1] = ACTIONS(1145),
    [aux_sym_local_forward_token1] = ACTIONS(1145),
    [aux_sym_log_level_token1] = ACTIONS(1145),
    [aux_sym_log_verbose_token1] = ACTIONS(1145),
    [aux_sym_macs_token1] = ACTIONS(1145),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1145),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1145),
    [aux_sym_password_authentication_token1] = ACTIONS(1145),
    [aux_sym_permit_local_command_token1] = ACTIONS(1145),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1145),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1145),
    [aux_sym_port_token1] = ACTIONS(1145),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1145),
    [aux_sym_protocol_token1] = ACTIONS(1145),
    [aux_sym_proxy_command_token1] = ACTIONS(1145),
    [aux_sym_proxy_jump_token1] = ACTIONS(1145),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1145),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1145),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1145),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1145),
    [aux_sym_rekey_limit_token1] = ACTIONS(1145),
    [aux_sym_remote_command_token1] = ACTIONS(1145),
    [aux_sym_remote_forward_token1] = ACTIONS(1145),
    [aux_sym_request_tty_token1] = ACTIONS(1145),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1145),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1145),
    [aux_sym_security_key_provider_token1] = ACTIONS(1145),
    [aux_sym_send_env_token1] = ACTIONS(1145),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1145),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1145),
    [aux_sym_session_type_token1] = ACTIONS(1145),
    [aux_sym_set_env_token1] = ACTIONS(1145),
    [aux_sym_stdin_null_token1] = ACTIONS(1145),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1145),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1145),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1145),
    [aux_sym_syslog_facility_token1] = ACTIONS(1145),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1145),
    [aux_sym_keep_alive_token1] = ACTIONS(1145),
    [aux_sym_tag_token1] = ACTIONS(1145),
    [aux_sym_tunnel_token1] = ACTIONS(1147),
    [aux_sym_tunnel_device_token1] = ACTIONS(1145),
    [aux_sym_update_host_keys_token1] = ACTIONS(1145),
    [aux_sym_use_keychain_token1] = ACTIONS(1145),
    [aux_sym_use_roaming_token1] = ACTIONS(1145),
    [aux_sym_user_token1] = ACTIONS(1147),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1145),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1145),
    [aux_sym_visual_host_key_token1] = ACTIONS(1145),
    [aux_sym_xauth_location_token1] = ACTIONS(1145),
  },
  [98] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1155),
    [aux_sym_match_token1] = ACTIONS(1151),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1151),
    [aux_sym_address_family_token1] = ACTIONS(1151),
    [aux_sym_batch_mode_token1] = ACTIONS(1151),
    [aux_sym_bind_address_token1] = ACTIONS(1151),
    [aux_sym_bind_interface_token1] = ACTIONS(1151),
    [aux_sym_canonical_domains_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1151),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1151),
    [aux_sym_certificate_file_token1] = ACTIONS(1151),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1151),
    [aux_sym_channel_timeout_token1] = ACTIONS(1151),
    [aux_sym_check_host_ip_token1] = ACTIONS(1151),
    [aux_sym_ciphers_token1] = ACTIONS(1151),
    [aux_sym_cipher_token1] = ACTIONS(1153),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1151),
    [aux_sym_compression_token1] = ACTIONS(1151),
    [aux_sym_connection_attempts_token1] = ACTIONS(1151),
    [aux_sym_connect_timeout_token1] = ACTIONS(1151),
    [aux_sym_control_master_token1] = ACTIONS(1151),
    [aux_sym_control_path_token1] = ACTIONS(1151),
    [aux_sym_control_persist_token1] = ACTIONS(1151),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1151),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1151),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1151),
    [aux_sym_escape_char_token1] = ACTIONS(1151),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1151),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1151),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1151),
    [aux_sym_forward_agent_token1] = ACTIONS(1151),
    [aux_sym_forward_x11_token1] = ACTIONS(1153),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1151),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1151),
    [aux_sym_gateway_ports_token1] = ACTIONS(1151),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1151),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1151),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1151),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1151),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1151),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1151),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1151),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1151),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1151),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1151),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1151),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1151),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1151),
    [aux_sym_host_key_alias_token1] = ACTIONS(1151),
    [aux_sym_hostname_token1] = ACTIONS(1151),
    [aux_sym_identities_only_token1] = ACTIONS(1151),
    [aux_sym_identity_agent_token1] = ACTIONS(1151),
    [aux_sym_identity_file_token1] = ACTIONS(1151),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1151),
    [aux_sym_include_token1] = ACTIONS(1151),
    [aux_sym_ip_qos_token1] = ACTIONS(1151),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1151),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1151),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1151),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1151),
    [aux_sym_local_command_token1] = ACTIONS(1151),
    [aux_sym_local_forward_token1] = ACTIONS(1151),
    [aux_sym_log_level_token1] = ACTIONS(1151),
    [aux_sym_log_verbose_token1] = ACTIONS(1151),
    [aux_sym_macs_token1] = ACTIONS(1151),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1151),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1151),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1151),
    [aux_sym_password_authentication_token1] = ACTIONS(1151),
    [aux_sym_permit_local_command_token1] = ACTIONS(1151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1151),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1151),
    [aux_sym_port_token1] = ACTIONS(1151),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1151),
    [aux_sym_protocol_token1] = ACTIONS(1151),
    [aux_sym_proxy_command_token1] = ACTIONS(1151),
    [aux_sym_proxy_jump_token1] = ACTIONS(1151),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1151),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1151),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1151),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1151),
    [aux_sym_rekey_limit_token1] = ACTIONS(1151),
    [aux_sym_remote_command_token1] = ACTIONS(1151),
    [aux_sym_remote_forward_token1] = ACTIONS(1151),
    [aux_sym_request_tty_token1] = ACTIONS(1151),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1151),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1151),
    [aux_sym_security_key_provider_token1] = ACTIONS(1151),
    [aux_sym_send_env_token1] = ACTIONS(1151),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1151),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1151),
    [aux_sym_session_type_token1] = ACTIONS(1151),
    [aux_sym_set_env_token1] = ACTIONS(1151),
    [aux_sym_stdin_null_token1] = ACTIONS(1151),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1151),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1151),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1151),
    [aux_sym_syslog_facility_token1] = ACTIONS(1151),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1151),
    [aux_sym_keep_alive_token1] = ACTIONS(1151),
    [aux_sym_tag_token1] = ACTIONS(1151),
    [aux_sym_tunnel_token1] = ACTIONS(1153),
    [aux_sym_tunnel_device_token1] = ACTIONS(1151),
    [aux_sym_update_host_keys_token1] = ACTIONS(1151),
    [aux_sym_use_keychain_token1] = ACTIONS(1151),
    [aux_sym_use_roaming_token1] = ACTIONS(1151),
    [aux_sym_user_token1] = ACTIONS(1153),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1151),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1151),
    [aux_sym_visual_host_key_token1] = ACTIONS(1151),
    [aux_sym_xauth_location_token1] = ACTIONS(1151),
  },
  [99] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [aux_sym_match_token1] = ACTIONS(1157),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1157),
    [aux_sym_address_family_token1] = ACTIONS(1157),
    [aux_sym_batch_mode_token1] = ACTIONS(1157),
    [aux_sym_bind_address_token1] = ACTIONS(1157),
    [aux_sym_bind_interface_token1] = ACTIONS(1157),
    [aux_sym_canonical_domains_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1157),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1157),
    [aux_sym_certificate_file_token1] = ACTIONS(1157),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1157),
    [aux_sym_channel_timeout_token1] = ACTIONS(1157),
    [aux_sym_check_host_ip_token1] = ACTIONS(1157),
    [aux_sym_ciphers_token1] = ACTIONS(1157),
    [aux_sym_cipher_token1] = ACTIONS(1159),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1157),
    [aux_sym_compression_token1] = ACTIONS(1157),
    [aux_sym_connection_attempts_token1] = ACTIONS(1157),
    [aux_sym_connect_timeout_token1] = ACTIONS(1157),
    [aux_sym_control_master_token1] = ACTIONS(1157),
    [aux_sym_control_path_token1] = ACTIONS(1157),
    [aux_sym_control_persist_token1] = ACTIONS(1157),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1157),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1157),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1157),
    [aux_sym_escape_char_token1] = ACTIONS(1157),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1157),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1157),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1157),
    [aux_sym_forward_agent_token1] = ACTIONS(1157),
    [aux_sym_forward_x11_token1] = ACTIONS(1159),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1157),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1157),
    [aux_sym_gateway_ports_token1] = ACTIONS(1157),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1157),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1157),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1157),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1157),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1157),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1157),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1157),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1157),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1157),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1157),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1157),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1157),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1157),
    [aux_sym_host_key_alias_token1] = ACTIONS(1157),
    [aux_sym_hostname_token1] = ACTIONS(1157),
    [aux_sym_identities_only_token1] = ACTIONS(1157),
    [aux_sym_identity_agent_token1] = ACTIONS(1157),
    [aux_sym_identity_file_token1] = ACTIONS(1157),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1157),
    [aux_sym_include_token1] = ACTIONS(1157),
    [aux_sym_ip_qos_token1] = ACTIONS(1157),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1157),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1157),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1157),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1157),
    [aux_sym_local_command_token1] = ACTIONS(1157),
    [aux_sym_local_forward_token1] = ACTIONS(1157),
    [aux_sym_log_level_token1] = ACTIONS(1157),
    [aux_sym_log_verbose_token1] = ACTIONS(1157),
    [aux_sym_macs_token1] = ACTIONS(1157),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1157),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1157),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1157),
    [aux_sym_password_authentication_token1] = ACTIONS(1157),
    [aux_sym_permit_local_command_token1] = ACTIONS(1157),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1157),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1157),
    [aux_sym_port_token1] = ACTIONS(1157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1157),
    [aux_sym_protocol_token1] = ACTIONS(1157),
    [aux_sym_proxy_command_token1] = ACTIONS(1157),
    [aux_sym_proxy_jump_token1] = ACTIONS(1157),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1157),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1157),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1157),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1157),
    [aux_sym_rekey_limit_token1] = ACTIONS(1157),
    [aux_sym_remote_command_token1] = ACTIONS(1157),
    [aux_sym_remote_forward_token1] = ACTIONS(1157),
    [aux_sym_request_tty_token1] = ACTIONS(1157),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1157),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1157),
    [aux_sym_security_key_provider_token1] = ACTIONS(1157),
    [aux_sym_send_env_token1] = ACTIONS(1157),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1157),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1157),
    [aux_sym_session_type_token1] = ACTIONS(1157),
    [aux_sym_set_env_token1] = ACTIONS(1157),
    [aux_sym_stdin_null_token1] = ACTIONS(1157),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1157),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1157),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1157),
    [aux_sym_syslog_facility_token1] = ACTIONS(1157),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1157),
    [aux_sym_keep_alive_token1] = ACTIONS(1157),
    [aux_sym_tag_token1] = ACTIONS(1157),
    [aux_sym_tunnel_token1] = ACTIONS(1159),
    [aux_sym_tunnel_device_token1] = ACTIONS(1157),
    [aux_sym_update_host_keys_token1] = ACTIONS(1157),
    [aux_sym_use_keychain_token1] = ACTIONS(1157),
    [aux_sym_use_roaming_token1] = ACTIONS(1157),
    [aux_sym_user_token1] = ACTIONS(1159),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1157),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1157),
    [aux_sym_visual_host_key_token1] = ACTIONS(1157),
    [aux_sym_xauth_location_token1] = ACTIONS(1157),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [aux_sym_match_token1] = ACTIONS(1163),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1163),
    [aux_sym_address_family_token1] = ACTIONS(1163),
    [aux_sym_batch_mode_token1] = ACTIONS(1163),
    [aux_sym_bind_address_token1] = ACTIONS(1163),
    [aux_sym_bind_interface_token1] = ACTIONS(1163),
    [aux_sym_canonical_domains_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1163),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1163),
    [aux_sym_certificate_file_token1] = ACTIONS(1163),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1163),
    [aux_sym_channel_timeout_token1] = ACTIONS(1163),
    [aux_sym_check_host_ip_token1] = ACTIONS(1163),
    [aux_sym_ciphers_token1] = ACTIONS(1163),
    [aux_sym_cipher_token1] = ACTIONS(1165),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1163),
    [aux_sym_compression_token1] = ACTIONS(1163),
    [aux_sym_connection_attempts_token1] = ACTIONS(1163),
    [aux_sym_connect_timeout_token1] = ACTIONS(1163),
    [aux_sym_control_master_token1] = ACTIONS(1163),
    [aux_sym_control_path_token1] = ACTIONS(1163),
    [aux_sym_control_persist_token1] = ACTIONS(1163),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1163),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1163),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1163),
    [aux_sym_escape_char_token1] = ACTIONS(1163),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1163),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1163),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1163),
    [aux_sym_forward_agent_token1] = ACTIONS(1163),
    [aux_sym_forward_x11_token1] = ACTIONS(1165),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1163),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1163),
    [aux_sym_gateway_ports_token1] = ACTIONS(1163),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1163),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1163),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1163),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1163),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1163),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1163),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1163),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1163),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1163),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1163),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1163),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1163),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1163),
    [aux_sym_host_key_alias_token1] = ACTIONS(1163),
    [aux_sym_hostname_token1] = ACTIONS(1163),
    [aux_sym_identities_only_token1] = ACTIONS(1163),
    [aux_sym_identity_agent_token1] = ACTIONS(1163),
    [aux_sym_identity_file_token1] = ACTIONS(1163),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1163),
    [aux_sym_include_token1] = ACTIONS(1163),
    [aux_sym_ip_qos_token1] = ACTIONS(1163),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1163),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1163),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1163),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1163),
    [aux_sym_local_command_token1] = ACTIONS(1163),
    [aux_sym_local_forward_token1] = ACTIONS(1163),
    [aux_sym_log_level_token1] = ACTIONS(1163),
    [aux_sym_log_verbose_token1] = ACTIONS(1163),
    [aux_sym_macs_token1] = ACTIONS(1163),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1163),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1163),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1163),
    [aux_sym_password_authentication_token1] = ACTIONS(1163),
    [aux_sym_permit_local_command_token1] = ACTIONS(1163),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1163),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1163),
    [aux_sym_port_token1] = ACTIONS(1163),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1163),
    [aux_sym_protocol_token1] = ACTIONS(1163),
    [aux_sym_proxy_command_token1] = ACTIONS(1163),
    [aux_sym_proxy_jump_token1] = ACTIONS(1163),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1163),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1163),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1163),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1163),
    [aux_sym_rekey_limit_token1] = ACTIONS(1163),
    [aux_sym_remote_command_token1] = ACTIONS(1163),
    [aux_sym_remote_forward_token1] = ACTIONS(1163),
    [aux_sym_request_tty_token1] = ACTIONS(1163),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1163),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1163),
    [aux_sym_security_key_provider_token1] = ACTIONS(1163),
    [aux_sym_send_env_token1] = ACTIONS(1163),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1163),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1163),
    [aux_sym_session_type_token1] = ACTIONS(1163),
    [aux_sym_set_env_token1] = ACTIONS(1163),
    [aux_sym_stdin_null_token1] = ACTIONS(1163),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1163),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1163),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1163),
    [aux_sym_syslog_facility_token1] = ACTIONS(1163),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1163),
    [aux_sym_keep_alive_token1] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1163),
    [aux_sym_tunnel_token1] = ACTIONS(1165),
    [aux_sym_tunnel_device_token1] = ACTIONS(1163),
    [aux_sym_update_host_keys_token1] = ACTIONS(1163),
    [aux_sym_use_keychain_token1] = ACTIONS(1163),
    [aux_sym_use_roaming_token1] = ACTIONS(1163),
    [aux_sym_user_token1] = ACTIONS(1165),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1163),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1163),
    [aux_sym_visual_host_key_token1] = ACTIONS(1163),
    [aux_sym_xauth_location_token1] = ACTIONS(1163),
  },
  [101] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [aux_sym_match_token1] = ACTIONS(1169),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1169),
    [aux_sym_address_family_token1] = ACTIONS(1169),
    [aux_sym_batch_mode_token1] = ACTIONS(1169),
    [aux_sym_bind_address_token1] = ACTIONS(1169),
    [aux_sym_bind_interface_token1] = ACTIONS(1169),
    [aux_sym_canonical_domains_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1169),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1169),
    [aux_sym_certificate_file_token1] = ACTIONS(1169),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1169),
    [aux_sym_channel_timeout_token1] = ACTIONS(1169),
    [aux_sym_check_host_ip_token1] = ACTIONS(1169),
    [aux_sym_ciphers_token1] = ACTIONS(1169),
    [aux_sym_cipher_token1] = ACTIONS(1171),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1169),
    [aux_sym_compression_token1] = ACTIONS(1169),
    [aux_sym_connection_attempts_token1] = ACTIONS(1169),
    [aux_sym_connect_timeout_token1] = ACTIONS(1169),
    [aux_sym_control_master_token1] = ACTIONS(1169),
    [aux_sym_control_path_token1] = ACTIONS(1169),
    [aux_sym_control_persist_token1] = ACTIONS(1169),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1169),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1169),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1169),
    [aux_sym_escape_char_token1] = ACTIONS(1169),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1169),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1169),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1169),
    [aux_sym_forward_agent_token1] = ACTIONS(1169),
    [aux_sym_forward_x11_token1] = ACTIONS(1171),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1169),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1169),
    [aux_sym_gateway_ports_token1] = ACTIONS(1169),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1169),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1169),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1169),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1169),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1169),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1169),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1169),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1169),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1169),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1169),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1169),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1169),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1169),
    [aux_sym_host_key_alias_token1] = ACTIONS(1169),
    [aux_sym_hostname_token1] = ACTIONS(1169),
    [aux_sym_identities_only_token1] = ACTIONS(1169),
    [aux_sym_identity_agent_token1] = ACTIONS(1169),
    [aux_sym_identity_file_token1] = ACTIONS(1169),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1169),
    [aux_sym_include_token1] = ACTIONS(1169),
    [aux_sym_ip_qos_token1] = ACTIONS(1169),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1169),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1169),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1169),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1169),
    [aux_sym_local_command_token1] = ACTIONS(1169),
    [aux_sym_local_forward_token1] = ACTIONS(1169),
    [aux_sym_log_level_token1] = ACTIONS(1169),
    [aux_sym_log_verbose_token1] = ACTIONS(1169),
    [aux_sym_macs_token1] = ACTIONS(1169),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1169),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1169),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1169),
    [aux_sym_password_authentication_token1] = ACTIONS(1169),
    [aux_sym_permit_local_command_token1] = ACTIONS(1169),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1169),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1169),
    [aux_sym_port_token1] = ACTIONS(1169),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1169),
    [aux_sym_protocol_token1] = ACTIONS(1169),
    [aux_sym_proxy_command_token1] = ACTIONS(1169),
    [aux_sym_proxy_jump_token1] = ACTIONS(1169),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1169),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1169),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1169),
    [aux_sym_rekey_limit_token1] = ACTIONS(1169),
    [aux_sym_remote_command_token1] = ACTIONS(1169),
    [aux_sym_remote_forward_token1] = ACTIONS(1169),
    [aux_sym_request_tty_token1] = ACTIONS(1169),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1169),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1169),
    [aux_sym_security_key_provider_token1] = ACTIONS(1169),
    [aux_sym_send_env_token1] = ACTIONS(1169),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1169),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1169),
    [aux_sym_session_type_token1] = ACTIONS(1169),
    [aux_sym_set_env_token1] = ACTIONS(1169),
    [aux_sym_stdin_null_token1] = ACTIONS(1169),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1169),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1169),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1169),
    [aux_sym_syslog_facility_token1] = ACTIONS(1169),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1169),
    [aux_sym_keep_alive_token1] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [aux_sym_tunnel_token1] = ACTIONS(1171),
    [aux_sym_tunnel_device_token1] = ACTIONS(1169),
    [aux_sym_update_host_keys_token1] = ACTIONS(1169),
    [aux_sym_use_keychain_token1] = ACTIONS(1169),
    [aux_sym_use_roaming_token1] = ACTIONS(1169),
    [aux_sym_user_token1] = ACTIONS(1171),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1169),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1169),
    [aux_sym_visual_host_key_token1] = ACTIONS(1169),
    [aux_sym_xauth_location_token1] = ACTIONS(1169),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [aux_sym_match_token1] = ACTIONS(1175),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1175),
    [aux_sym_address_family_token1] = ACTIONS(1175),
    [aux_sym_batch_mode_token1] = ACTIONS(1175),
    [aux_sym_bind_address_token1] = ACTIONS(1175),
    [aux_sym_bind_interface_token1] = ACTIONS(1175),
    [aux_sym_canonical_domains_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1175),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1175),
    [aux_sym_certificate_file_token1] = ACTIONS(1175),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1175),
    [aux_sym_channel_timeout_token1] = ACTIONS(1175),
    [aux_sym_check_host_ip_token1] = ACTIONS(1175),
    [aux_sym_ciphers_token1] = ACTIONS(1175),
    [aux_sym_cipher_token1] = ACTIONS(1177),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1175),
    [aux_sym_compression_token1] = ACTIONS(1175),
    [aux_sym_connection_attempts_token1] = ACTIONS(1175),
    [aux_sym_connect_timeout_token1] = ACTIONS(1175),
    [aux_sym_control_master_token1] = ACTIONS(1175),
    [aux_sym_control_path_token1] = ACTIONS(1175),
    [aux_sym_control_persist_token1] = ACTIONS(1175),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1175),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1175),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1175),
    [aux_sym_escape_char_token1] = ACTIONS(1175),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1175),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1175),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1175),
    [aux_sym_forward_agent_token1] = ACTIONS(1175),
    [aux_sym_forward_x11_token1] = ACTIONS(1177),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1175),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1175),
    [aux_sym_gateway_ports_token1] = ACTIONS(1175),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1175),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1175),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1175),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1175),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1175),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1175),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1175),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1175),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1175),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1175),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1175),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1175),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1175),
    [aux_sym_host_key_alias_token1] = ACTIONS(1175),
    [aux_sym_hostname_token1] = ACTIONS(1175),
    [aux_sym_identities_only_token1] = ACTIONS(1175),
    [aux_sym_identity_agent_token1] = ACTIONS(1175),
    [aux_sym_identity_file_token1] = ACTIONS(1175),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1175),
    [aux_sym_include_token1] = ACTIONS(1175),
    [aux_sym_ip_qos_token1] = ACTIONS(1175),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1175),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1175),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1175),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1175),
    [aux_sym_local_command_token1] = ACTIONS(1175),
    [aux_sym_local_forward_token1] = ACTIONS(1175),
    [aux_sym_log_level_token1] = ACTIONS(1175),
    [aux_sym_log_verbose_token1] = ACTIONS(1175),
    [aux_sym_macs_token1] = ACTIONS(1175),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1175),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1175),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1175),
    [aux_sym_password_authentication_token1] = ACTIONS(1175),
    [aux_sym_permit_local_command_token1] = ACTIONS(1175),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1175),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1175),
    [aux_sym_port_token1] = ACTIONS(1175),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1175),
    [aux_sym_protocol_token1] = ACTIONS(1175),
    [aux_sym_proxy_command_token1] = ACTIONS(1175),
    [aux_sym_proxy_jump_token1] = ACTIONS(1175),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1175),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1175),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1175),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1175),
    [aux_sym_rekey_limit_token1] = ACTIONS(1175),
    [aux_sym_remote_command_token1] = ACTIONS(1175),
    [aux_sym_remote_forward_token1] = ACTIONS(1175),
    [aux_sym_request_tty_token1] = ACTIONS(1175),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1175),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1175),
    [aux_sym_security_key_provider_token1] = ACTIONS(1175),
    [aux_sym_send_env_token1] = ACTIONS(1175),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1175),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1175),
    [aux_sym_session_type_token1] = ACTIONS(1175),
    [aux_sym_set_env_token1] = ACTIONS(1175),
    [aux_sym_stdin_null_token1] = ACTIONS(1175),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1175),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1175),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1175),
    [aux_sym_syslog_facility_token1] = ACTIONS(1175),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1175),
    [aux_sym_keep_alive_token1] = ACTIONS(1175),
    [aux_sym_tag_token1] = ACTIONS(1175),
    [aux_sym_tunnel_token1] = ACTIONS(1177),
    [aux_sym_tunnel_device_token1] = ACTIONS(1175),
    [aux_sym_update_host_keys_token1] = ACTIONS(1175),
    [aux_sym_use_keychain_token1] = ACTIONS(1175),
    [aux_sym_use_roaming_token1] = ACTIONS(1175),
    [aux_sym_user_token1] = ACTIONS(1177),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1175),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1175),
    [aux_sym_visual_host_key_token1] = ACTIONS(1175),
    [aux_sym_xauth_location_token1] = ACTIONS(1175),
  },
  [103] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [aux_sym_match_token1] = ACTIONS(1181),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1181),
    [aux_sym_address_family_token1] = ACTIONS(1181),
    [aux_sym_batch_mode_token1] = ACTIONS(1181),
    [aux_sym_bind_address_token1] = ACTIONS(1181),
    [aux_sym_bind_interface_token1] = ACTIONS(1181),
    [aux_sym_canonical_domains_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1181),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1181),
    [aux_sym_certificate_file_token1] = ACTIONS(1181),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1181),
    [aux_sym_channel_timeout_token1] = ACTIONS(1181),
    [aux_sym_check_host_ip_token1] = ACTIONS(1181),
    [aux_sym_ciphers_token1] = ACTIONS(1181),
    [aux_sym_cipher_token1] = ACTIONS(1183),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1181),
    [aux_sym_compression_token1] = ACTIONS(1181),
    [aux_sym_connection_attempts_token1] = ACTIONS(1181),
    [aux_sym_connect_timeout_token1] = ACTIONS(1181),
    [aux_sym_control_master_token1] = ACTIONS(1181),
    [aux_sym_control_path_token1] = ACTIONS(1181),
    [aux_sym_control_persist_token1] = ACTIONS(1181),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1181),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1181),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1181),
    [aux_sym_escape_char_token1] = ACTIONS(1181),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1181),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1181),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1181),
    [aux_sym_forward_agent_token1] = ACTIONS(1181),
    [aux_sym_forward_x11_token1] = ACTIONS(1183),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1181),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1181),
    [aux_sym_gateway_ports_token1] = ACTIONS(1181),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1181),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1181),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1181),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1181),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1181),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1181),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1181),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1181),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1181),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1181),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1181),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1181),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1181),
    [aux_sym_host_key_alias_token1] = ACTIONS(1181),
    [aux_sym_hostname_token1] = ACTIONS(1181),
    [aux_sym_identities_only_token1] = ACTIONS(1181),
    [aux_sym_identity_agent_token1] = ACTIONS(1181),
    [aux_sym_identity_file_token1] = ACTIONS(1181),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1181),
    [aux_sym_include_token1] = ACTIONS(1181),
    [aux_sym_ip_qos_token1] = ACTIONS(1181),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1181),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1181),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1181),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1181),
    [aux_sym_local_command_token1] = ACTIONS(1181),
    [aux_sym_local_forward_token1] = ACTIONS(1181),
    [aux_sym_log_level_token1] = ACTIONS(1181),
    [aux_sym_log_verbose_token1] = ACTIONS(1181),
    [aux_sym_macs_token1] = ACTIONS(1181),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1181),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1181),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1181),
    [aux_sym_password_authentication_token1] = ACTIONS(1181),
    [aux_sym_permit_local_command_token1] = ACTIONS(1181),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1181),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1181),
    [aux_sym_port_token1] = ACTIONS(1181),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1181),
    [aux_sym_protocol_token1] = ACTIONS(1181),
    [aux_sym_proxy_command_token1] = ACTIONS(1181),
    [aux_sym_proxy_jump_token1] = ACTIONS(1181),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1181),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1181),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1181),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1181),
    [aux_sym_rekey_limit_token1] = ACTIONS(1181),
    [aux_sym_remote_command_token1] = ACTIONS(1181),
    [aux_sym_remote_forward_token1] = ACTIONS(1181),
    [aux_sym_request_tty_token1] = ACTIONS(1181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1181),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1181),
    [aux_sym_security_key_provider_token1] = ACTIONS(1181),
    [aux_sym_send_env_token1] = ACTIONS(1181),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1181),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1181),
    [aux_sym_session_type_token1] = ACTIONS(1181),
    [aux_sym_set_env_token1] = ACTIONS(1181),
    [aux_sym_stdin_null_token1] = ACTIONS(1181),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1181),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1181),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1181),
    [aux_sym_syslog_facility_token1] = ACTIONS(1181),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1181),
    [aux_sym_keep_alive_token1] = ACTIONS(1181),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [aux_sym_tunnel_token1] = ACTIONS(1183),
    [aux_sym_tunnel_device_token1] = ACTIONS(1181),
    [aux_sym_update_host_keys_token1] = ACTIONS(1181),
    [aux_sym_use_keychain_token1] = ACTIONS(1181),
    [aux_sym_use_roaming_token1] = ACTIONS(1181),
    [aux_sym_user_token1] = ACTIONS(1183),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1181),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1181),
    [aux_sym_visual_host_key_token1] = ACTIONS(1181),
    [aux_sym_xauth_location_token1] = ACTIONS(1181),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1191),
    [aux_sym_match_token1] = ACTIONS(1187),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1187),
    [aux_sym_address_family_token1] = ACTIONS(1187),
    [aux_sym_batch_mode_token1] = ACTIONS(1187),
    [aux_sym_bind_address_token1] = ACTIONS(1187),
    [aux_sym_bind_interface_token1] = ACTIONS(1187),
    [aux_sym_canonical_domains_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1187),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1187),
    [aux_sym_certificate_file_token1] = ACTIONS(1187),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1187),
    [aux_sym_channel_timeout_token1] = ACTIONS(1187),
    [aux_sym_check_host_ip_token1] = ACTIONS(1187),
    [aux_sym_ciphers_token1] = ACTIONS(1187),
    [aux_sym_cipher_token1] = ACTIONS(1189),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1187),
    [aux_sym_compression_token1] = ACTIONS(1187),
    [aux_sym_connection_attempts_token1] = ACTIONS(1187),
    [aux_sym_connect_timeout_token1] = ACTIONS(1187),
    [aux_sym_control_master_token1] = ACTIONS(1187),
    [aux_sym_control_path_token1] = ACTIONS(1187),
    [aux_sym_control_persist_token1] = ACTIONS(1187),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1187),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1187),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1187),
    [aux_sym_escape_char_token1] = ACTIONS(1187),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1187),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1187),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1187),
    [aux_sym_forward_agent_token1] = ACTIONS(1187),
    [aux_sym_forward_x11_token1] = ACTIONS(1189),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1187),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1187),
    [aux_sym_gateway_ports_token1] = ACTIONS(1187),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1187),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1187),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1187),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1187),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1187),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1187),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1187),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1187),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1187),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1187),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1187),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1187),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1187),
    [aux_sym_host_key_alias_token1] = ACTIONS(1187),
    [aux_sym_hostname_token1] = ACTIONS(1187),
    [aux_sym_identities_only_token1] = ACTIONS(1187),
    [aux_sym_identity_agent_token1] = ACTIONS(1187),
    [aux_sym_identity_file_token1] = ACTIONS(1187),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1187),
    [aux_sym_include_token1] = ACTIONS(1187),
    [aux_sym_ip_qos_token1] = ACTIONS(1187),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1187),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1187),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1187),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1187),
    [aux_sym_local_command_token1] = ACTIONS(1187),
    [aux_sym_local_forward_token1] = ACTIONS(1187),
    [aux_sym_log_level_token1] = ACTIONS(1187),
    [aux_sym_log_verbose_token1] = ACTIONS(1187),
    [aux_sym_macs_token1] = ACTIONS(1187),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1187),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1187),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1187),
    [aux_sym_password_authentication_token1] = ACTIONS(1187),
    [aux_sym_permit_local_command_token1] = ACTIONS(1187),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1187),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1187),
    [aux_sym_port_token1] = ACTIONS(1187),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1187),
    [aux_sym_protocol_token1] = ACTIONS(1187),
    [aux_sym_proxy_command_token1] = ACTIONS(1187),
    [aux_sym_proxy_jump_token1] = ACTIONS(1187),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1187),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1187),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1187),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1187),
    [aux_sym_rekey_limit_token1] = ACTIONS(1187),
    [aux_sym_remote_command_token1] = ACTIONS(1187),
    [aux_sym_remote_forward_token1] = ACTIONS(1187),
    [aux_sym_request_tty_token1] = ACTIONS(1187),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1187),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1187),
    [aux_sym_security_key_provider_token1] = ACTIONS(1187),
    [aux_sym_send_env_token1] = ACTIONS(1187),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1187),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1187),
    [aux_sym_session_type_token1] = ACTIONS(1187),
    [aux_sym_set_env_token1] = ACTIONS(1187),
    [aux_sym_stdin_null_token1] = ACTIONS(1187),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1187),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1187),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1187),
    [aux_sym_syslog_facility_token1] = ACTIONS(1187),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1187),
    [aux_sym_keep_alive_token1] = ACTIONS(1187),
    [aux_sym_tag_token1] = ACTIONS(1187),
    [aux_sym_tunnel_token1] = ACTIONS(1189),
    [aux_sym_tunnel_device_token1] = ACTIONS(1187),
    [aux_sym_update_host_keys_token1] = ACTIONS(1187),
    [aux_sym_use_keychain_token1] = ACTIONS(1187),
    [aux_sym_use_roaming_token1] = ACTIONS(1187),
    [aux_sym_user_token1] = ACTIONS(1189),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1187),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1187),
    [aux_sym_visual_host_key_token1] = ACTIONS(1187),
    [aux_sym_xauth_location_token1] = ACTIONS(1187),
  },
  [105] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1195),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [aux_sym_match_token1] = ACTIONS(1193),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1193),
    [aux_sym_address_family_token1] = ACTIONS(1193),
    [aux_sym_batch_mode_token1] = ACTIONS(1193),
    [aux_sym_bind_address_token1] = ACTIONS(1193),
    [aux_sym_bind_interface_token1] = ACTIONS(1193),
    [aux_sym_canonical_domains_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1193),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1193),
    [aux_sym_certificate_file_token1] = ACTIONS(1193),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1193),
    [aux_sym_channel_timeout_token1] = ACTIONS(1193),
    [aux_sym_check_host_ip_token1] = ACTIONS(1193),
    [aux_sym_ciphers_token1] = ACTIONS(1193),
    [aux_sym_cipher_token1] = ACTIONS(1195),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1193),
    [aux_sym_compression_token1] = ACTIONS(1193),
    [aux_sym_connection_attempts_token1] = ACTIONS(1193),
    [aux_sym_connect_timeout_token1] = ACTIONS(1193),
    [aux_sym_control_master_token1] = ACTIONS(1193),
    [aux_sym_control_path_token1] = ACTIONS(1193),
    [aux_sym_control_persist_token1] = ACTIONS(1193),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1193),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1193),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1193),
    [aux_sym_escape_char_token1] = ACTIONS(1193),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1193),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1193),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1193),
    [aux_sym_forward_agent_token1] = ACTIONS(1193),
    [aux_sym_forward_x11_token1] = ACTIONS(1195),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1193),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1193),
    [aux_sym_gateway_ports_token1] = ACTIONS(1193),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1193),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1193),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1193),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1193),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1193),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1193),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1193),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1193),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1193),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1193),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1193),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1193),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1193),
    [aux_sym_host_key_alias_token1] = ACTIONS(1193),
    [aux_sym_hostname_token1] = ACTIONS(1193),
    [aux_sym_identities_only_token1] = ACTIONS(1193),
    [aux_sym_identity_agent_token1] = ACTIONS(1193),
    [aux_sym_identity_file_token1] = ACTIONS(1193),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1193),
    [aux_sym_include_token1] = ACTIONS(1193),
    [aux_sym_ip_qos_token1] = ACTIONS(1193),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1193),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1193),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1193),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1193),
    [aux_sym_local_command_token1] = ACTIONS(1193),
    [aux_sym_local_forward_token1] = ACTIONS(1193),
    [aux_sym_log_level_token1] = ACTIONS(1193),
    [aux_sym_log_verbose_token1] = ACTIONS(1193),
    [aux_sym_macs_token1] = ACTIONS(1193),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1193),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1193),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1193),
    [aux_sym_password_authentication_token1] = ACTIONS(1193),
    [aux_sym_permit_local_command_token1] = ACTIONS(1193),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1193),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1193),
    [aux_sym_port_token1] = ACTIONS(1193),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1193),
    [aux_sym_protocol_token1] = ACTIONS(1193),
    [aux_sym_proxy_command_token1] = ACTIONS(1193),
    [aux_sym_proxy_jump_token1] = ACTIONS(1193),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1193),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1193),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1193),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1193),
    [aux_sym_rekey_limit_token1] = ACTIONS(1193),
    [aux_sym_remote_command_token1] = ACTIONS(1193),
    [aux_sym_remote_forward_token1] = ACTIONS(1193),
    [aux_sym_request_tty_token1] = ACTIONS(1193),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1193),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1193),
    [aux_sym_security_key_provider_token1] = ACTIONS(1193),
    [aux_sym_send_env_token1] = ACTIONS(1193),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1193),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1193),
    [aux_sym_session_type_token1] = ACTIONS(1193),
    [aux_sym_set_env_token1] = ACTIONS(1193),
    [aux_sym_stdin_null_token1] = ACTIONS(1193),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1193),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1193),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1193),
    [aux_sym_syslog_facility_token1] = ACTIONS(1193),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1193),
    [aux_sym_keep_alive_token1] = ACTIONS(1193),
    [aux_sym_tag_token1] = ACTIONS(1193),
    [aux_sym_tunnel_token1] = ACTIONS(1195),
    [aux_sym_tunnel_device_token1] = ACTIONS(1193),
    [aux_sym_update_host_keys_token1] = ACTIONS(1193),
    [aux_sym_use_keychain_token1] = ACTIONS(1193),
    [aux_sym_use_roaming_token1] = ACTIONS(1193),
    [aux_sym_user_token1] = ACTIONS(1195),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1193),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1193),
    [aux_sym_visual_host_key_token1] = ACTIONS(1193),
    [aux_sym_xauth_location_token1] = ACTIONS(1193),
  },
  [106] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1203),
    [aux_sym_match_token1] = ACTIONS(1199),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1199),
    [aux_sym_address_family_token1] = ACTIONS(1199),
    [aux_sym_batch_mode_token1] = ACTIONS(1199),
    [aux_sym_bind_address_token1] = ACTIONS(1199),
    [aux_sym_bind_interface_token1] = ACTIONS(1199),
    [aux_sym_canonical_domains_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1199),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1199),
    [aux_sym_certificate_file_token1] = ACTIONS(1199),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1199),
    [aux_sym_channel_timeout_token1] = ACTIONS(1199),
    [aux_sym_check_host_ip_token1] = ACTIONS(1199),
    [aux_sym_ciphers_token1] = ACTIONS(1199),
    [aux_sym_cipher_token1] = ACTIONS(1201),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1199),
    [aux_sym_compression_token1] = ACTIONS(1199),
    [aux_sym_connection_attempts_token1] = ACTIONS(1199),
    [aux_sym_connect_timeout_token1] = ACTIONS(1199),
    [aux_sym_control_master_token1] = ACTIONS(1199),
    [aux_sym_control_path_token1] = ACTIONS(1199),
    [aux_sym_control_persist_token1] = ACTIONS(1199),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1199),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1199),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1199),
    [aux_sym_escape_char_token1] = ACTIONS(1199),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1199),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1199),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1199),
    [aux_sym_forward_agent_token1] = ACTIONS(1199),
    [aux_sym_forward_x11_token1] = ACTIONS(1201),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1199),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1199),
    [aux_sym_gateway_ports_token1] = ACTIONS(1199),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1199),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1199),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1199),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1199),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1199),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1199),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1199),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1199),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1199),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1199),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1199),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1199),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1199),
    [aux_sym_host_key_alias_token1] = ACTIONS(1199),
    [aux_sym_hostname_token1] = ACTIONS(1199),
    [aux_sym_identities_only_token1] = ACTIONS(1199),
    [aux_sym_identity_agent_token1] = ACTIONS(1199),
    [aux_sym_identity_file_token1] = ACTIONS(1199),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1199),
    [aux_sym_include_token1] = ACTIONS(1199),
    [aux_sym_ip_qos_token1] = ACTIONS(1199),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1199),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1199),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1199),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1199),
    [aux_sym_local_command_token1] = ACTIONS(1199),
    [aux_sym_local_forward_token1] = ACTIONS(1199),
    [aux_sym_log_level_token1] = ACTIONS(1199),
    [aux_sym_log_verbose_token1] = ACTIONS(1199),
    [aux_sym_macs_token1] = ACTIONS(1199),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1199),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1199),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1199),
    [aux_sym_password_authentication_token1] = ACTIONS(1199),
    [aux_sym_permit_local_command_token1] = ACTIONS(1199),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1199),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1199),
    [aux_sym_port_token1] = ACTIONS(1199),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1199),
    [aux_sym_protocol_token1] = ACTIONS(1199),
    [aux_sym_proxy_command_token1] = ACTIONS(1199),
    [aux_sym_proxy_jump_token1] = ACTIONS(1199),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1199),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1199),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1199),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1199),
    [aux_sym_rekey_limit_token1] = ACTIONS(1199),
    [aux_sym_remote_command_token1] = ACTIONS(1199),
    [aux_sym_remote_forward_token1] = ACTIONS(1199),
    [aux_sym_request_tty_token1] = ACTIONS(1199),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1199),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1199),
    [aux_sym_security_key_provider_token1] = ACTIONS(1199),
    [aux_sym_send_env_token1] = ACTIONS(1199),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1199),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1199),
    [aux_sym_session_type_token1] = ACTIONS(1199),
    [aux_sym_set_env_token1] = ACTIONS(1199),
    [aux_sym_stdin_null_token1] = ACTIONS(1199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1199),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1199),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1199),
    [aux_sym_syslog_facility_token1] = ACTIONS(1199),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1199),
    [aux_sym_keep_alive_token1] = ACTIONS(1199),
    [aux_sym_tag_token1] = ACTIONS(1199),
    [aux_sym_tunnel_token1] = ACTIONS(1201),
    [aux_sym_tunnel_device_token1] = ACTIONS(1199),
    [aux_sym_update_host_keys_token1] = ACTIONS(1199),
    [aux_sym_use_keychain_token1] = ACTIONS(1199),
    [aux_sym_use_roaming_token1] = ACTIONS(1199),
    [aux_sym_user_token1] = ACTIONS(1201),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1199),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1199),
    [aux_sym_visual_host_key_token1] = ACTIONS(1199),
    [aux_sym_xauth_location_token1] = ACTIONS(1199),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1207),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [aux_sym_match_token1] = ACTIONS(1205),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1205),
    [aux_sym_address_family_token1] = ACTIONS(1205),
    [aux_sym_batch_mode_token1] = ACTIONS(1205),
    [aux_sym_bind_address_token1] = ACTIONS(1205),
    [aux_sym_bind_interface_token1] = ACTIONS(1205),
    [aux_sym_canonical_domains_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1205),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1205),
    [aux_sym_certificate_file_token1] = ACTIONS(1205),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1205),
    [aux_sym_channel_timeout_token1] = ACTIONS(1205),
    [aux_sym_check_host_ip_token1] = ACTIONS(1205),
    [aux_sym_ciphers_token1] = ACTIONS(1205),
    [aux_sym_cipher_token1] = ACTIONS(1207),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1205),
    [aux_sym_compression_token1] = ACTIONS(1205),
    [aux_sym_connection_attempts_token1] = ACTIONS(1205),
    [aux_sym_connect_timeout_token1] = ACTIONS(1205),
    [aux_sym_control_master_token1] = ACTIONS(1205),
    [aux_sym_control_path_token1] = ACTIONS(1205),
    [aux_sym_control_persist_token1] = ACTIONS(1205),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1205),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1205),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1205),
    [aux_sym_escape_char_token1] = ACTIONS(1205),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1205),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1205),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1205),
    [aux_sym_forward_agent_token1] = ACTIONS(1205),
    [aux_sym_forward_x11_token1] = ACTIONS(1207),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1205),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1205),
    [aux_sym_gateway_ports_token1] = ACTIONS(1205),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1205),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1205),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1205),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1205),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1205),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1205),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1205),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1205),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1205),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1205),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1205),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1205),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1205),
    [aux_sym_host_key_alias_token1] = ACTIONS(1205),
    [aux_sym_hostname_token1] = ACTIONS(1205),
    [aux_sym_identities_only_token1] = ACTIONS(1205),
    [aux_sym_identity_agent_token1] = ACTIONS(1205),
    [aux_sym_identity_file_token1] = ACTIONS(1205),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1205),
    [aux_sym_include_token1] = ACTIONS(1205),
    [aux_sym_ip_qos_token1] = ACTIONS(1205),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1205),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1205),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1205),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1205),
    [aux_sym_local_command_token1] = ACTIONS(1205),
    [aux_sym_local_forward_token1] = ACTIONS(1205),
    [aux_sym_log_level_token1] = ACTIONS(1205),
    [aux_sym_log_verbose_token1] = ACTIONS(1205),
    [aux_sym_macs_token1] = ACTIONS(1205),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1205),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1205),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1205),
    [aux_sym_password_authentication_token1] = ACTIONS(1205),
    [aux_sym_permit_local_command_token1] = ACTIONS(1205),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1205),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1205),
    [aux_sym_port_token1] = ACTIONS(1205),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1205),
    [aux_sym_protocol_token1] = ACTIONS(1205),
    [aux_sym_proxy_command_token1] = ACTIONS(1205),
    [aux_sym_proxy_jump_token1] = ACTIONS(1205),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1205),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1205),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1205),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1205),
    [aux_sym_rekey_limit_token1] = ACTIONS(1205),
    [aux_sym_remote_command_token1] = ACTIONS(1205),
    [aux_sym_remote_forward_token1] = ACTIONS(1205),
    [aux_sym_request_tty_token1] = ACTIONS(1205),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1205),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1205),
    [aux_sym_security_key_provider_token1] = ACTIONS(1205),
    [aux_sym_send_env_token1] = ACTIONS(1205),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1205),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1205),
    [aux_sym_session_type_token1] = ACTIONS(1205),
    [aux_sym_set_env_token1] = ACTIONS(1205),
    [aux_sym_stdin_null_token1] = ACTIONS(1205),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1205),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1205),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1205),
    [aux_sym_syslog_facility_token1] = ACTIONS(1205),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1205),
    [aux_sym_keep_alive_token1] = ACTIONS(1205),
    [aux_sym_tag_token1] = ACTIONS(1205),
    [aux_sym_tunnel_token1] = ACTIONS(1207),
    [aux_sym_tunnel_device_token1] = ACTIONS(1205),
    [aux_sym_update_host_keys_token1] = ACTIONS(1205),
    [aux_sym_use_keychain_token1] = ACTIONS(1205),
    [aux_sym_use_roaming_token1] = ACTIONS(1205),
    [aux_sym_user_token1] = ACTIONS(1207),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1205),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1205),
    [aux_sym_visual_host_key_token1] = ACTIONS(1205),
    [aux_sym_xauth_location_token1] = ACTIONS(1205),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [aux_sym_match_token1] = ACTIONS(1211),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1211),
    [aux_sym_address_family_token1] = ACTIONS(1211),
    [aux_sym_batch_mode_token1] = ACTIONS(1211),
    [aux_sym_bind_address_token1] = ACTIONS(1211),
    [aux_sym_bind_interface_token1] = ACTIONS(1211),
    [aux_sym_canonical_domains_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1211),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1211),
    [aux_sym_certificate_file_token1] = ACTIONS(1211),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1211),
    [aux_sym_channel_timeout_token1] = ACTIONS(1211),
    [aux_sym_check_host_ip_token1] = ACTIONS(1211),
    [aux_sym_ciphers_token1] = ACTIONS(1211),
    [aux_sym_cipher_token1] = ACTIONS(1213),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1211),
    [aux_sym_compression_token1] = ACTIONS(1211),
    [aux_sym_connection_attempts_token1] = ACTIONS(1211),
    [aux_sym_connect_timeout_token1] = ACTIONS(1211),
    [aux_sym_control_master_token1] = ACTIONS(1211),
    [aux_sym_control_path_token1] = ACTIONS(1211),
    [aux_sym_control_persist_token1] = ACTIONS(1211),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1211),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1211),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1211),
    [aux_sym_escape_char_token1] = ACTIONS(1211),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1211),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1211),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1211),
    [aux_sym_forward_agent_token1] = ACTIONS(1211),
    [aux_sym_forward_x11_token1] = ACTIONS(1213),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1211),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1211),
    [aux_sym_gateway_ports_token1] = ACTIONS(1211),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1211),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1211),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1211),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1211),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1211),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1211),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1211),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1211),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1211),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1211),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1211),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1211),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1211),
    [aux_sym_host_key_alias_token1] = ACTIONS(1211),
    [aux_sym_hostname_token1] = ACTIONS(1211),
    [aux_sym_identities_only_token1] = ACTIONS(1211),
    [aux_sym_identity_agent_token1] = ACTIONS(1211),
    [aux_sym_identity_file_token1] = ACTIONS(1211),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1211),
    [aux_sym_include_token1] = ACTIONS(1211),
    [aux_sym_ip_qos_token1] = ACTIONS(1211),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1211),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1211),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1211),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1211),
    [aux_sym_local_command_token1] = ACTIONS(1211),
    [aux_sym_local_forward_token1] = ACTIONS(1211),
    [aux_sym_log_level_token1] = ACTIONS(1211),
    [aux_sym_log_verbose_token1] = ACTIONS(1211),
    [aux_sym_macs_token1] = ACTIONS(1211),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1211),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1211),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1211),
    [aux_sym_password_authentication_token1] = ACTIONS(1211),
    [aux_sym_permit_local_command_token1] = ACTIONS(1211),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1211),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1211),
    [aux_sym_port_token1] = ACTIONS(1211),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1211),
    [aux_sym_protocol_token1] = ACTIONS(1211),
    [aux_sym_proxy_command_token1] = ACTIONS(1211),
    [aux_sym_proxy_jump_token1] = ACTIONS(1211),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1211),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1211),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1211),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1211),
    [aux_sym_rekey_limit_token1] = ACTIONS(1211),
    [aux_sym_remote_command_token1] = ACTIONS(1211),
    [aux_sym_remote_forward_token1] = ACTIONS(1211),
    [aux_sym_request_tty_token1] = ACTIONS(1211),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1211),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1211),
    [aux_sym_security_key_provider_token1] = ACTIONS(1211),
    [aux_sym_send_env_token1] = ACTIONS(1211),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1211),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1211),
    [aux_sym_session_type_token1] = ACTIONS(1211),
    [aux_sym_set_env_token1] = ACTIONS(1211),
    [aux_sym_stdin_null_token1] = ACTIONS(1211),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1211),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1211),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1211),
    [aux_sym_syslog_facility_token1] = ACTIONS(1211),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1211),
    [aux_sym_keep_alive_token1] = ACTIONS(1211),
    [aux_sym_tag_token1] = ACTIONS(1211),
    [aux_sym_tunnel_token1] = ACTIONS(1213),
    [aux_sym_tunnel_device_token1] = ACTIONS(1211),
    [aux_sym_update_host_keys_token1] = ACTIONS(1211),
    [aux_sym_use_keychain_token1] = ACTIONS(1211),
    [aux_sym_use_roaming_token1] = ACTIONS(1211),
    [aux_sym_user_token1] = ACTIONS(1213),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1211),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1211),
    [aux_sym_visual_host_key_token1] = ACTIONS(1211),
    [aux_sym_xauth_location_token1] = ACTIONS(1211),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1219),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [aux_sym_match_token1] = ACTIONS(1217),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1217),
    [aux_sym_address_family_token1] = ACTIONS(1217),
    [aux_sym_batch_mode_token1] = ACTIONS(1217),
    [aux_sym_bind_address_token1] = ACTIONS(1217),
    [aux_sym_bind_interface_token1] = ACTIONS(1217),
    [aux_sym_canonical_domains_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1217),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1217),
    [aux_sym_certificate_file_token1] = ACTIONS(1217),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1217),
    [aux_sym_channel_timeout_token1] = ACTIONS(1217),
    [aux_sym_check_host_ip_token1] = ACTIONS(1217),
    [aux_sym_ciphers_token1] = ACTIONS(1217),
    [aux_sym_cipher_token1] = ACTIONS(1219),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1217),
    [aux_sym_compression_token1] = ACTIONS(1217),
    [aux_sym_connection_attempts_token1] = ACTIONS(1217),
    [aux_sym_connect_timeout_token1] = ACTIONS(1217),
    [aux_sym_control_master_token1] = ACTIONS(1217),
    [aux_sym_control_path_token1] = ACTIONS(1217),
    [aux_sym_control_persist_token1] = ACTIONS(1217),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1217),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1217),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1217),
    [aux_sym_escape_char_token1] = ACTIONS(1217),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1217),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1217),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1217),
    [aux_sym_forward_agent_token1] = ACTIONS(1217),
    [aux_sym_forward_x11_token1] = ACTIONS(1219),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1217),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1217),
    [aux_sym_gateway_ports_token1] = ACTIONS(1217),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1217),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1217),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1217),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1217),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1217),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1217),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1217),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1217),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1217),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1217),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1217),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1217),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1217),
    [aux_sym_host_key_alias_token1] = ACTIONS(1217),
    [aux_sym_hostname_token1] = ACTIONS(1217),
    [aux_sym_identities_only_token1] = ACTIONS(1217),
    [aux_sym_identity_agent_token1] = ACTIONS(1217),
    [aux_sym_identity_file_token1] = ACTIONS(1217),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1217),
    [aux_sym_include_token1] = ACTIONS(1217),
    [aux_sym_ip_qos_token1] = ACTIONS(1217),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1217),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1217),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1217),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1217),
    [aux_sym_local_command_token1] = ACTIONS(1217),
    [aux_sym_local_forward_token1] = ACTIONS(1217),
    [aux_sym_log_level_token1] = ACTIONS(1217),
    [aux_sym_log_verbose_token1] = ACTIONS(1217),
    [aux_sym_macs_token1] = ACTIONS(1217),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1217),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1217),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1217),
    [aux_sym_password_authentication_token1] = ACTIONS(1217),
    [aux_sym_permit_local_command_token1] = ACTIONS(1217),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1217),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1217),
    [aux_sym_port_token1] = ACTIONS(1217),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1217),
    [aux_sym_protocol_token1] = ACTIONS(1217),
    [aux_sym_proxy_command_token1] = ACTIONS(1217),
    [aux_sym_proxy_jump_token1] = ACTIONS(1217),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1217),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1217),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1217),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1217),
    [aux_sym_rekey_limit_token1] = ACTIONS(1217),
    [aux_sym_remote_command_token1] = ACTIONS(1217),
    [aux_sym_remote_forward_token1] = ACTIONS(1217),
    [aux_sym_request_tty_token1] = ACTIONS(1217),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1217),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1217),
    [aux_sym_security_key_provider_token1] = ACTIONS(1217),
    [aux_sym_send_env_token1] = ACTIONS(1217),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1217),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1217),
    [aux_sym_session_type_token1] = ACTIONS(1217),
    [aux_sym_set_env_token1] = ACTIONS(1217),
    [aux_sym_stdin_null_token1] = ACTIONS(1217),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1217),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1217),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1217),
    [aux_sym_syslog_facility_token1] = ACTIONS(1217),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1217),
    [aux_sym_keep_alive_token1] = ACTIONS(1217),
    [aux_sym_tag_token1] = ACTIONS(1217),
    [aux_sym_tunnel_token1] = ACTIONS(1219),
    [aux_sym_tunnel_device_token1] = ACTIONS(1217),
    [aux_sym_update_host_keys_token1] = ACTIONS(1217),
    [aux_sym_use_keychain_token1] = ACTIONS(1217),
    [aux_sym_use_roaming_token1] = ACTIONS(1217),
    [aux_sym_user_token1] = ACTIONS(1219),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1217),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1217),
    [aux_sym_visual_host_key_token1] = ACTIONS(1217),
    [aux_sym_xauth_location_token1] = ACTIONS(1217),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1227),
    [aux_sym_match_token1] = ACTIONS(1223),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1223),
    [aux_sym_address_family_token1] = ACTIONS(1223),
    [aux_sym_batch_mode_token1] = ACTIONS(1223),
    [aux_sym_bind_address_token1] = ACTIONS(1223),
    [aux_sym_bind_interface_token1] = ACTIONS(1223),
    [aux_sym_canonical_domains_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1223),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1223),
    [aux_sym_certificate_file_token1] = ACTIONS(1223),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1223),
    [aux_sym_channel_timeout_token1] = ACTIONS(1223),
    [aux_sym_check_host_ip_token1] = ACTIONS(1223),
    [aux_sym_ciphers_token1] = ACTIONS(1223),
    [aux_sym_cipher_token1] = ACTIONS(1225),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1223),
    [aux_sym_compression_token1] = ACTIONS(1223),
    [aux_sym_connection_attempts_token1] = ACTIONS(1223),
    [aux_sym_connect_timeout_token1] = ACTIONS(1223),
    [aux_sym_control_master_token1] = ACTIONS(1223),
    [aux_sym_control_path_token1] = ACTIONS(1223),
    [aux_sym_control_persist_token1] = ACTIONS(1223),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1223),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1223),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1223),
    [aux_sym_escape_char_token1] = ACTIONS(1223),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1223),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1223),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1223),
    [aux_sym_forward_agent_token1] = ACTIONS(1223),
    [aux_sym_forward_x11_token1] = ACTIONS(1225),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1223),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1223),
    [aux_sym_gateway_ports_token1] = ACTIONS(1223),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1223),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1223),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1223),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1223),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1223),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1223),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1223),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1223),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1223),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1223),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1223),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1223),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1223),
    [aux_sym_host_key_alias_token1] = ACTIONS(1223),
    [aux_sym_hostname_token1] = ACTIONS(1223),
    [aux_sym_identities_only_token1] = ACTIONS(1223),
    [aux_sym_identity_agent_token1] = ACTIONS(1223),
    [aux_sym_identity_file_token1] = ACTIONS(1223),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1223),
    [aux_sym_include_token1] = ACTIONS(1223),
    [aux_sym_ip_qos_token1] = ACTIONS(1223),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1223),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1223),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1223),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1223),
    [aux_sym_local_command_token1] = ACTIONS(1223),
    [aux_sym_local_forward_token1] = ACTIONS(1223),
    [aux_sym_log_level_token1] = ACTIONS(1223),
    [aux_sym_log_verbose_token1] = ACTIONS(1223),
    [aux_sym_macs_token1] = ACTIONS(1223),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1223),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1223),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1223),
    [aux_sym_password_authentication_token1] = ACTIONS(1223),
    [aux_sym_permit_local_command_token1] = ACTIONS(1223),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1223),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1223),
    [aux_sym_port_token1] = ACTIONS(1223),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1223),
    [aux_sym_protocol_token1] = ACTIONS(1223),
    [aux_sym_proxy_command_token1] = ACTIONS(1223),
    [aux_sym_proxy_jump_token1] = ACTIONS(1223),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1223),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1223),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1223),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1223),
    [aux_sym_rekey_limit_token1] = ACTIONS(1223),
    [aux_sym_remote_command_token1] = ACTIONS(1223),
    [aux_sym_remote_forward_token1] = ACTIONS(1223),
    [aux_sym_request_tty_token1] = ACTIONS(1223),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1223),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1223),
    [aux_sym_security_key_provider_token1] = ACTIONS(1223),
    [aux_sym_send_env_token1] = ACTIONS(1223),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1223),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1223),
    [aux_sym_session_type_token1] = ACTIONS(1223),
    [aux_sym_set_env_token1] = ACTIONS(1223),
    [aux_sym_stdin_null_token1] = ACTIONS(1223),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1223),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1223),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1223),
    [aux_sym_syslog_facility_token1] = ACTIONS(1223),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1223),
    [aux_sym_keep_alive_token1] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [aux_sym_tunnel_token1] = ACTIONS(1225),
    [aux_sym_tunnel_device_token1] = ACTIONS(1223),
    [aux_sym_update_host_keys_token1] = ACTIONS(1223),
    [aux_sym_use_keychain_token1] = ACTIONS(1223),
    [aux_sym_use_roaming_token1] = ACTIONS(1223),
    [aux_sym_user_token1] = ACTIONS(1225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1223),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1223),
    [aux_sym_visual_host_key_token1] = ACTIONS(1223),
    [aux_sym_xauth_location_token1] = ACTIONS(1223),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [aux_sym_match_token1] = ACTIONS(1229),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1229),
    [aux_sym_address_family_token1] = ACTIONS(1229),
    [aux_sym_batch_mode_token1] = ACTIONS(1229),
    [aux_sym_bind_address_token1] = ACTIONS(1229),
    [aux_sym_bind_interface_token1] = ACTIONS(1229),
    [aux_sym_canonical_domains_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1229),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1229),
    [aux_sym_certificate_file_token1] = ACTIONS(1229),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1229),
    [aux_sym_channel_timeout_token1] = ACTIONS(1229),
    [aux_sym_check_host_ip_token1] = ACTIONS(1229),
    [aux_sym_ciphers_token1] = ACTIONS(1229),
    [aux_sym_cipher_token1] = ACTIONS(1231),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1229),
    [aux_sym_compression_token1] = ACTIONS(1229),
    [aux_sym_connection_attempts_token1] = ACTIONS(1229),
    [aux_sym_connect_timeout_token1] = ACTIONS(1229),
    [aux_sym_control_master_token1] = ACTIONS(1229),
    [aux_sym_control_path_token1] = ACTIONS(1229),
    [aux_sym_control_persist_token1] = ACTIONS(1229),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1229),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1229),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1229),
    [aux_sym_escape_char_token1] = ACTIONS(1229),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1229),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1229),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1229),
    [aux_sym_forward_agent_token1] = ACTIONS(1229),
    [aux_sym_forward_x11_token1] = ACTIONS(1231),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1229),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1229),
    [aux_sym_gateway_ports_token1] = ACTIONS(1229),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1229),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1229),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1229),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1229),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1229),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1229),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1229),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1229),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1229),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1229),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1229),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1229),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1229),
    [aux_sym_host_key_alias_token1] = ACTIONS(1229),
    [aux_sym_hostname_token1] = ACTIONS(1229),
    [aux_sym_identities_only_token1] = ACTIONS(1229),
    [aux_sym_identity_agent_token1] = ACTIONS(1229),
    [aux_sym_identity_file_token1] = ACTIONS(1229),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1229),
    [aux_sym_include_token1] = ACTIONS(1229),
    [aux_sym_ip_qos_token1] = ACTIONS(1229),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1229),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1229),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1229),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1229),
    [aux_sym_local_command_token1] = ACTIONS(1229),
    [aux_sym_local_forward_token1] = ACTIONS(1229),
    [aux_sym_log_level_token1] = ACTIONS(1229),
    [aux_sym_log_verbose_token1] = ACTIONS(1229),
    [aux_sym_macs_token1] = ACTIONS(1229),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1229),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1229),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1229),
    [aux_sym_password_authentication_token1] = ACTIONS(1229),
    [aux_sym_permit_local_command_token1] = ACTIONS(1229),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1229),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1229),
    [aux_sym_port_token1] = ACTIONS(1229),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1229),
    [aux_sym_protocol_token1] = ACTIONS(1229),
    [aux_sym_proxy_command_token1] = ACTIONS(1229),
    [aux_sym_proxy_jump_token1] = ACTIONS(1229),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1229),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1229),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1229),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1229),
    [aux_sym_rekey_limit_token1] = ACTIONS(1229),
    [aux_sym_remote_command_token1] = ACTIONS(1229),
    [aux_sym_remote_forward_token1] = ACTIONS(1229),
    [aux_sym_request_tty_token1] = ACTIONS(1229),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1229),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1229),
    [aux_sym_security_key_provider_token1] = ACTIONS(1229),
    [aux_sym_send_env_token1] = ACTIONS(1229),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1229),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1229),
    [aux_sym_session_type_token1] = ACTIONS(1229),
    [aux_sym_set_env_token1] = ACTIONS(1229),
    [aux_sym_stdin_null_token1] = ACTIONS(1229),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1229),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1229),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1229),
    [aux_sym_syslog_facility_token1] = ACTIONS(1229),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1229),
    [aux_sym_keep_alive_token1] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1229),
    [aux_sym_tunnel_token1] = ACTIONS(1231),
    [aux_sym_tunnel_device_token1] = ACTIONS(1229),
    [aux_sym_update_host_keys_token1] = ACTIONS(1229),
    [aux_sym_use_keychain_token1] = ACTIONS(1229),
    [aux_sym_use_roaming_token1] = ACTIONS(1229),
    [aux_sym_user_token1] = ACTIONS(1231),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1229),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1229),
    [aux_sym_visual_host_key_token1] = ACTIONS(1229),
    [aux_sym_xauth_location_token1] = ACTIONS(1229),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [aux_sym_match_token1] = ACTIONS(1235),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1235),
    [aux_sym_address_family_token1] = ACTIONS(1235),
    [aux_sym_batch_mode_token1] = ACTIONS(1235),
    [aux_sym_bind_address_token1] = ACTIONS(1235),
    [aux_sym_bind_interface_token1] = ACTIONS(1235),
    [aux_sym_canonical_domains_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1235),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1235),
    [aux_sym_certificate_file_token1] = ACTIONS(1235),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1235),
    [aux_sym_channel_timeout_token1] = ACTIONS(1235),
    [aux_sym_check_host_ip_token1] = ACTIONS(1235),
    [aux_sym_ciphers_token1] = ACTIONS(1235),
    [aux_sym_cipher_token1] = ACTIONS(1237),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1235),
    [aux_sym_compression_token1] = ACTIONS(1235),
    [aux_sym_connection_attempts_token1] = ACTIONS(1235),
    [aux_sym_connect_timeout_token1] = ACTIONS(1235),
    [aux_sym_control_master_token1] = ACTIONS(1235),
    [aux_sym_control_path_token1] = ACTIONS(1235),
    [aux_sym_control_persist_token1] = ACTIONS(1235),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1235),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1235),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1235),
    [aux_sym_escape_char_token1] = ACTIONS(1235),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1235),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1235),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1235),
    [aux_sym_forward_agent_token1] = ACTIONS(1235),
    [aux_sym_forward_x11_token1] = ACTIONS(1237),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1235),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1235),
    [aux_sym_gateway_ports_token1] = ACTIONS(1235),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1235),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1235),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1235),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1235),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1235),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1235),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1235),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1235),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1235),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1235),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1235),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1235),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1235),
    [aux_sym_host_key_alias_token1] = ACTIONS(1235),
    [aux_sym_hostname_token1] = ACTIONS(1235),
    [aux_sym_identities_only_token1] = ACTIONS(1235),
    [aux_sym_identity_agent_token1] = ACTIONS(1235),
    [aux_sym_identity_file_token1] = ACTIONS(1235),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1235),
    [aux_sym_include_token1] = ACTIONS(1235),
    [aux_sym_ip_qos_token1] = ACTIONS(1235),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1235),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1235),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1235),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1235),
    [aux_sym_local_command_token1] = ACTIONS(1235),
    [aux_sym_local_forward_token1] = ACTIONS(1235),
    [aux_sym_log_level_token1] = ACTIONS(1235),
    [aux_sym_log_verbose_token1] = ACTIONS(1235),
    [aux_sym_macs_token1] = ACTIONS(1235),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1235),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1235),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1235),
    [aux_sym_password_authentication_token1] = ACTIONS(1235),
    [aux_sym_permit_local_command_token1] = ACTIONS(1235),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1235),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1235),
    [aux_sym_port_token1] = ACTIONS(1235),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1235),
    [aux_sym_protocol_token1] = ACTIONS(1235),
    [aux_sym_proxy_command_token1] = ACTIONS(1235),
    [aux_sym_proxy_jump_token1] = ACTIONS(1235),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1235),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1235),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1235),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1235),
    [aux_sym_rekey_limit_token1] = ACTIONS(1235),
    [aux_sym_remote_command_token1] = ACTIONS(1235),
    [aux_sym_remote_forward_token1] = ACTIONS(1235),
    [aux_sym_request_tty_token1] = ACTIONS(1235),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1235),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1235),
    [aux_sym_security_key_provider_token1] = ACTIONS(1235),
    [aux_sym_send_env_token1] = ACTIONS(1235),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1235),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1235),
    [aux_sym_session_type_token1] = ACTIONS(1235),
    [aux_sym_set_env_token1] = ACTIONS(1235),
    [aux_sym_stdin_null_token1] = ACTIONS(1235),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1235),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1235),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1235),
    [aux_sym_syslog_facility_token1] = ACTIONS(1235),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1235),
    [aux_sym_keep_alive_token1] = ACTIONS(1235),
    [aux_sym_tag_token1] = ACTIONS(1235),
    [aux_sym_tunnel_token1] = ACTIONS(1237),
    [aux_sym_tunnel_device_token1] = ACTIONS(1235),
    [aux_sym_update_host_keys_token1] = ACTIONS(1235),
    [aux_sym_use_keychain_token1] = ACTIONS(1235),
    [aux_sym_use_roaming_token1] = ACTIONS(1235),
    [aux_sym_user_token1] = ACTIONS(1237),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1235),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1235),
    [aux_sym_visual_host_key_token1] = ACTIONS(1235),
    [aux_sym_xauth_location_token1] = ACTIONS(1235),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1243),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [aux_sym_match_token1] = ACTIONS(1241),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1241),
    [aux_sym_address_family_token1] = ACTIONS(1241),
    [aux_sym_batch_mode_token1] = ACTIONS(1241),
    [aux_sym_bind_address_token1] = ACTIONS(1241),
    [aux_sym_bind_interface_token1] = ACTIONS(1241),
    [aux_sym_canonical_domains_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1241),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1241),
    [aux_sym_certificate_file_token1] = ACTIONS(1241),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1241),
    [aux_sym_channel_timeout_token1] = ACTIONS(1241),
    [aux_sym_check_host_ip_token1] = ACTIONS(1241),
    [aux_sym_ciphers_token1] = ACTIONS(1241),
    [aux_sym_cipher_token1] = ACTIONS(1243),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1241),
    [aux_sym_compression_token1] = ACTIONS(1241),
    [aux_sym_connection_attempts_token1] = ACTIONS(1241),
    [aux_sym_connect_timeout_token1] = ACTIONS(1241),
    [aux_sym_control_master_token1] = ACTIONS(1241),
    [aux_sym_control_path_token1] = ACTIONS(1241),
    [aux_sym_control_persist_token1] = ACTIONS(1241),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1241),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1241),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1241),
    [aux_sym_escape_char_token1] = ACTIONS(1241),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1241),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1241),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1241),
    [aux_sym_forward_agent_token1] = ACTIONS(1241),
    [aux_sym_forward_x11_token1] = ACTIONS(1243),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1241),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1241),
    [aux_sym_gateway_ports_token1] = ACTIONS(1241),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1241),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1241),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1241),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1241),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1241),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1241),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1241),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1241),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1241),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1241),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1241),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1241),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1241),
    [aux_sym_host_key_alias_token1] = ACTIONS(1241),
    [aux_sym_hostname_token1] = ACTIONS(1241),
    [aux_sym_identities_only_token1] = ACTIONS(1241),
    [aux_sym_identity_agent_token1] = ACTIONS(1241),
    [aux_sym_identity_file_token1] = ACTIONS(1241),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1241),
    [aux_sym_include_token1] = ACTIONS(1241),
    [aux_sym_ip_qos_token1] = ACTIONS(1241),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1241),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1241),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1241),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1241),
    [aux_sym_local_command_token1] = ACTIONS(1241),
    [aux_sym_local_forward_token1] = ACTIONS(1241),
    [aux_sym_log_level_token1] = ACTIONS(1241),
    [aux_sym_log_verbose_token1] = ACTIONS(1241),
    [aux_sym_macs_token1] = ACTIONS(1241),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1241),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1241),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1241),
    [aux_sym_password_authentication_token1] = ACTIONS(1241),
    [aux_sym_permit_local_command_token1] = ACTIONS(1241),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1241),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1241),
    [aux_sym_port_token1] = ACTIONS(1241),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1241),
    [aux_sym_protocol_token1] = ACTIONS(1241),
    [aux_sym_proxy_command_token1] = ACTIONS(1241),
    [aux_sym_proxy_jump_token1] = ACTIONS(1241),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1241),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1241),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1241),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1241),
    [aux_sym_rekey_limit_token1] = ACTIONS(1241),
    [aux_sym_remote_command_token1] = ACTIONS(1241),
    [aux_sym_remote_forward_token1] = ACTIONS(1241),
    [aux_sym_request_tty_token1] = ACTIONS(1241),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1241),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1241),
    [aux_sym_security_key_provider_token1] = ACTIONS(1241),
    [aux_sym_send_env_token1] = ACTIONS(1241),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1241),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1241),
    [aux_sym_session_type_token1] = ACTIONS(1241),
    [aux_sym_set_env_token1] = ACTIONS(1241),
    [aux_sym_stdin_null_token1] = ACTIONS(1241),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1241),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1241),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1241),
    [aux_sym_syslog_facility_token1] = ACTIONS(1241),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1241),
    [aux_sym_keep_alive_token1] = ACTIONS(1241),
    [aux_sym_tag_token1] = ACTIONS(1241),
    [aux_sym_tunnel_token1] = ACTIONS(1243),
    [aux_sym_tunnel_device_token1] = ACTIONS(1241),
    [aux_sym_update_host_keys_token1] = ACTIONS(1241),
    [aux_sym_use_keychain_token1] = ACTIONS(1241),
    [aux_sym_use_roaming_token1] = ACTIONS(1241),
    [aux_sym_user_token1] = ACTIONS(1243),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1241),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1241),
    [aux_sym_visual_host_key_token1] = ACTIONS(1241),
    [aux_sym_xauth_location_token1] = ACTIONS(1241),
  },
  [114] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1251),
    [aux_sym_match_token1] = ACTIONS(1247),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1247),
    [aux_sym_address_family_token1] = ACTIONS(1247),
    [aux_sym_batch_mode_token1] = ACTIONS(1247),
    [aux_sym_bind_address_token1] = ACTIONS(1247),
    [aux_sym_bind_interface_token1] = ACTIONS(1247),
    [aux_sym_canonical_domains_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1247),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1247),
    [aux_sym_certificate_file_token1] = ACTIONS(1247),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1247),
    [aux_sym_channel_timeout_token1] = ACTIONS(1247),
    [aux_sym_check_host_ip_token1] = ACTIONS(1247),
    [aux_sym_ciphers_token1] = ACTIONS(1247),
    [aux_sym_cipher_token1] = ACTIONS(1249),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1247),
    [aux_sym_compression_token1] = ACTIONS(1247),
    [aux_sym_connection_attempts_token1] = ACTIONS(1247),
    [aux_sym_connect_timeout_token1] = ACTIONS(1247),
    [aux_sym_control_master_token1] = ACTIONS(1247),
    [aux_sym_control_path_token1] = ACTIONS(1247),
    [aux_sym_control_persist_token1] = ACTIONS(1247),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1247),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1247),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1247),
    [aux_sym_escape_char_token1] = ACTIONS(1247),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1247),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1247),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1247),
    [aux_sym_forward_agent_token1] = ACTIONS(1247),
    [aux_sym_forward_x11_token1] = ACTIONS(1249),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1247),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1247),
    [aux_sym_gateway_ports_token1] = ACTIONS(1247),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1247),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1247),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1247),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1247),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1247),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1247),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1247),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1247),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1247),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1247),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1247),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1247),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1247),
    [aux_sym_host_key_alias_token1] = ACTIONS(1247),
    [aux_sym_hostname_token1] = ACTIONS(1247),
    [aux_sym_identities_only_token1] = ACTIONS(1247),
    [aux_sym_identity_agent_token1] = ACTIONS(1247),
    [aux_sym_identity_file_token1] = ACTIONS(1247),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1247),
    [aux_sym_include_token1] = ACTIONS(1247),
    [aux_sym_ip_qos_token1] = ACTIONS(1247),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1247),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1247),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1247),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1247),
    [aux_sym_local_command_token1] = ACTIONS(1247),
    [aux_sym_local_forward_token1] = ACTIONS(1247),
    [aux_sym_log_level_token1] = ACTIONS(1247),
    [aux_sym_log_verbose_token1] = ACTIONS(1247),
    [aux_sym_macs_token1] = ACTIONS(1247),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1247),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1247),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1247),
    [aux_sym_password_authentication_token1] = ACTIONS(1247),
    [aux_sym_permit_local_command_token1] = ACTIONS(1247),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1247),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1247),
    [aux_sym_port_token1] = ACTIONS(1247),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1247),
    [aux_sym_protocol_token1] = ACTIONS(1247),
    [aux_sym_proxy_command_token1] = ACTIONS(1247),
    [aux_sym_proxy_jump_token1] = ACTIONS(1247),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1247),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1247),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1247),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1247),
    [aux_sym_rekey_limit_token1] = ACTIONS(1247),
    [aux_sym_remote_command_token1] = ACTIONS(1247),
    [aux_sym_remote_forward_token1] = ACTIONS(1247),
    [aux_sym_request_tty_token1] = ACTIONS(1247),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1247),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1247),
    [aux_sym_security_key_provider_token1] = ACTIONS(1247),
    [aux_sym_send_env_token1] = ACTIONS(1247),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1247),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1247),
    [aux_sym_session_type_token1] = ACTIONS(1247),
    [aux_sym_set_env_token1] = ACTIONS(1247),
    [aux_sym_stdin_null_token1] = ACTIONS(1247),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1247),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1247),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1247),
    [aux_sym_syslog_facility_token1] = ACTIONS(1247),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1247),
    [aux_sym_keep_alive_token1] = ACTIONS(1247),
    [aux_sym_tag_token1] = ACTIONS(1247),
    [aux_sym_tunnel_token1] = ACTIONS(1249),
    [aux_sym_tunnel_device_token1] = ACTIONS(1247),
    [aux_sym_update_host_keys_token1] = ACTIONS(1247),
    [aux_sym_use_keychain_token1] = ACTIONS(1247),
    [aux_sym_use_roaming_token1] = ACTIONS(1247),
    [aux_sym_user_token1] = ACTIONS(1249),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1247),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1247),
    [aux_sym_visual_host_key_token1] = ACTIONS(1247),
    [aux_sym_xauth_location_token1] = ACTIONS(1247),
  },
  [115] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1255),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [aux_sym_match_token1] = ACTIONS(1253),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1253),
    [aux_sym_address_family_token1] = ACTIONS(1253),
    [aux_sym_batch_mode_token1] = ACTIONS(1253),
    [aux_sym_bind_address_token1] = ACTIONS(1253),
    [aux_sym_bind_interface_token1] = ACTIONS(1253),
    [aux_sym_canonical_domains_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1253),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1253),
    [aux_sym_certificate_file_token1] = ACTIONS(1253),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1253),
    [aux_sym_channel_timeout_token1] = ACTIONS(1253),
    [aux_sym_check_host_ip_token1] = ACTIONS(1253),
    [aux_sym_ciphers_token1] = ACTIONS(1253),
    [aux_sym_cipher_token1] = ACTIONS(1255),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1253),
    [aux_sym_compression_token1] = ACTIONS(1253),
    [aux_sym_connection_attempts_token1] = ACTIONS(1253),
    [aux_sym_connect_timeout_token1] = ACTIONS(1253),
    [aux_sym_control_master_token1] = ACTIONS(1253),
    [aux_sym_control_path_token1] = ACTIONS(1253),
    [aux_sym_control_persist_token1] = ACTIONS(1253),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1253),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1253),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1253),
    [aux_sym_escape_char_token1] = ACTIONS(1253),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1253),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1253),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1253),
    [aux_sym_forward_agent_token1] = ACTIONS(1253),
    [aux_sym_forward_x11_token1] = ACTIONS(1255),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1253),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1253),
    [aux_sym_gateway_ports_token1] = ACTIONS(1253),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1253),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1253),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1253),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1253),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1253),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1253),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1253),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1253),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1253),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1253),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1253),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1253),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1253),
    [aux_sym_host_key_alias_token1] = ACTIONS(1253),
    [aux_sym_hostname_token1] = ACTIONS(1253),
    [aux_sym_identities_only_token1] = ACTIONS(1253),
    [aux_sym_identity_agent_token1] = ACTIONS(1253),
    [aux_sym_identity_file_token1] = ACTIONS(1253),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1253),
    [aux_sym_include_token1] = ACTIONS(1253),
    [aux_sym_ip_qos_token1] = ACTIONS(1253),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1253),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1253),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1253),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1253),
    [aux_sym_local_command_token1] = ACTIONS(1253),
    [aux_sym_local_forward_token1] = ACTIONS(1253),
    [aux_sym_log_level_token1] = ACTIONS(1253),
    [aux_sym_log_verbose_token1] = ACTIONS(1253),
    [aux_sym_macs_token1] = ACTIONS(1253),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1253),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1253),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1253),
    [aux_sym_password_authentication_token1] = ACTIONS(1253),
    [aux_sym_permit_local_command_token1] = ACTIONS(1253),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1253),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1253),
    [aux_sym_port_token1] = ACTIONS(1253),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1253),
    [aux_sym_protocol_token1] = ACTIONS(1253),
    [aux_sym_proxy_command_token1] = ACTIONS(1253),
    [aux_sym_proxy_jump_token1] = ACTIONS(1253),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1253),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1253),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1253),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1253),
    [aux_sym_rekey_limit_token1] = ACTIONS(1253),
    [aux_sym_remote_command_token1] = ACTIONS(1253),
    [aux_sym_remote_forward_token1] = ACTIONS(1253),
    [aux_sym_request_tty_token1] = ACTIONS(1253),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1253),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1253),
    [aux_sym_security_key_provider_token1] = ACTIONS(1253),
    [aux_sym_send_env_token1] = ACTIONS(1253),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1253),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1253),
    [aux_sym_session_type_token1] = ACTIONS(1253),
    [aux_sym_set_env_token1] = ACTIONS(1253),
    [aux_sym_stdin_null_token1] = ACTIONS(1253),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1253),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1253),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1253),
    [aux_sym_syslog_facility_token1] = ACTIONS(1253),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1253),
    [aux_sym_keep_alive_token1] = ACTIONS(1253),
    [aux_sym_tag_token1] = ACTIONS(1253),
    [aux_sym_tunnel_token1] = ACTIONS(1255),
    [aux_sym_tunnel_device_token1] = ACTIONS(1253),
    [aux_sym_update_host_keys_token1] = ACTIONS(1253),
    [aux_sym_use_keychain_token1] = ACTIONS(1253),
    [aux_sym_use_roaming_token1] = ACTIONS(1253),
    [aux_sym_user_token1] = ACTIONS(1255),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1253),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1253),
    [aux_sym_visual_host_key_token1] = ACTIONS(1253),
    [aux_sym_xauth_location_token1] = ACTIONS(1253),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1263),
    [aux_sym_match_token1] = ACTIONS(1259),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1259),
    [aux_sym_address_family_token1] = ACTIONS(1259),
    [aux_sym_batch_mode_token1] = ACTIONS(1259),
    [aux_sym_bind_address_token1] = ACTIONS(1259),
    [aux_sym_bind_interface_token1] = ACTIONS(1259),
    [aux_sym_canonical_domains_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1259),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1259),
    [aux_sym_certificate_file_token1] = ACTIONS(1259),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1259),
    [aux_sym_channel_timeout_token1] = ACTIONS(1259),
    [aux_sym_check_host_ip_token1] = ACTIONS(1259),
    [aux_sym_ciphers_token1] = ACTIONS(1259),
    [aux_sym_cipher_token1] = ACTIONS(1261),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1259),
    [aux_sym_compression_token1] = ACTIONS(1259),
    [aux_sym_connection_attempts_token1] = ACTIONS(1259),
    [aux_sym_connect_timeout_token1] = ACTIONS(1259),
    [aux_sym_control_master_token1] = ACTIONS(1259),
    [aux_sym_control_path_token1] = ACTIONS(1259),
    [aux_sym_control_persist_token1] = ACTIONS(1259),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1259),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1259),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1259),
    [aux_sym_escape_char_token1] = ACTIONS(1259),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1259),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1259),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1259),
    [aux_sym_forward_agent_token1] = ACTIONS(1259),
    [aux_sym_forward_x11_token1] = ACTIONS(1261),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1259),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1259),
    [aux_sym_gateway_ports_token1] = ACTIONS(1259),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1259),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1259),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1259),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1259),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1259),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1259),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1259),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1259),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1259),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1259),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1259),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1259),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1259),
    [aux_sym_host_key_alias_token1] = ACTIONS(1259),
    [aux_sym_hostname_token1] = ACTIONS(1259),
    [aux_sym_identities_only_token1] = ACTIONS(1259),
    [aux_sym_identity_agent_token1] = ACTIONS(1259),
    [aux_sym_identity_file_token1] = ACTIONS(1259),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1259),
    [aux_sym_include_token1] = ACTIONS(1259),
    [aux_sym_ip_qos_token1] = ACTIONS(1259),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1259),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1259),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1259),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1259),
    [aux_sym_local_command_token1] = ACTIONS(1259),
    [aux_sym_local_forward_token1] = ACTIONS(1259),
    [aux_sym_log_level_token1] = ACTIONS(1259),
    [aux_sym_log_verbose_token1] = ACTIONS(1259),
    [aux_sym_macs_token1] = ACTIONS(1259),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1259),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1259),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1259),
    [aux_sym_password_authentication_token1] = ACTIONS(1259),
    [aux_sym_permit_local_command_token1] = ACTIONS(1259),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1259),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1259),
    [aux_sym_port_token1] = ACTIONS(1259),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1259),
    [aux_sym_protocol_token1] = ACTIONS(1259),
    [aux_sym_proxy_command_token1] = ACTIONS(1259),
    [aux_sym_proxy_jump_token1] = ACTIONS(1259),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1259),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1259),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1259),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1259),
    [aux_sym_rekey_limit_token1] = ACTIONS(1259),
    [aux_sym_remote_command_token1] = ACTIONS(1259),
    [aux_sym_remote_forward_token1] = ACTIONS(1259),
    [aux_sym_request_tty_token1] = ACTIONS(1259),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1259),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1259),
    [aux_sym_security_key_provider_token1] = ACTIONS(1259),
    [aux_sym_send_env_token1] = ACTIONS(1259),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1259),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1259),
    [aux_sym_session_type_token1] = ACTIONS(1259),
    [aux_sym_set_env_token1] = ACTIONS(1259),
    [aux_sym_stdin_null_token1] = ACTIONS(1259),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1259),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1259),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1259),
    [aux_sym_syslog_facility_token1] = ACTIONS(1259),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1259),
    [aux_sym_keep_alive_token1] = ACTIONS(1259),
    [aux_sym_tag_token1] = ACTIONS(1259),
    [aux_sym_tunnel_token1] = ACTIONS(1261),
    [aux_sym_tunnel_device_token1] = ACTIONS(1259),
    [aux_sym_update_host_keys_token1] = ACTIONS(1259),
    [aux_sym_use_keychain_token1] = ACTIONS(1259),
    [aux_sym_use_roaming_token1] = ACTIONS(1259),
    [aux_sym_user_token1] = ACTIONS(1261),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1259),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1259),
    [aux_sym_visual_host_key_token1] = ACTIONS(1259),
    [aux_sym_xauth_location_token1] = ACTIONS(1259),
  },
  [117] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [aux_sym_match_token1] = ACTIONS(1265),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1265),
    [aux_sym_address_family_token1] = ACTIONS(1265),
    [aux_sym_batch_mode_token1] = ACTIONS(1265),
    [aux_sym_bind_address_token1] = ACTIONS(1265),
    [aux_sym_bind_interface_token1] = ACTIONS(1265),
    [aux_sym_canonical_domains_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1265),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1265),
    [aux_sym_certificate_file_token1] = ACTIONS(1265),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1265),
    [aux_sym_channel_timeout_token1] = ACTIONS(1265),
    [aux_sym_check_host_ip_token1] = ACTIONS(1265),
    [aux_sym_ciphers_token1] = ACTIONS(1265),
    [aux_sym_cipher_token1] = ACTIONS(1267),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1265),
    [aux_sym_compression_token1] = ACTIONS(1265),
    [aux_sym_connection_attempts_token1] = ACTIONS(1265),
    [aux_sym_connect_timeout_token1] = ACTIONS(1265),
    [aux_sym_control_master_token1] = ACTIONS(1265),
    [aux_sym_control_path_token1] = ACTIONS(1265),
    [aux_sym_control_persist_token1] = ACTIONS(1265),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1265),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1265),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1265),
    [aux_sym_escape_char_token1] = ACTIONS(1265),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1265),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1265),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1265),
    [aux_sym_forward_agent_token1] = ACTIONS(1265),
    [aux_sym_forward_x11_token1] = ACTIONS(1267),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1265),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1265),
    [aux_sym_gateway_ports_token1] = ACTIONS(1265),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1265),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1265),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1265),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1265),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1265),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1265),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1265),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1265),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1265),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1265),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1265),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1265),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1265),
    [aux_sym_host_key_alias_token1] = ACTIONS(1265),
    [aux_sym_hostname_token1] = ACTIONS(1265),
    [aux_sym_identities_only_token1] = ACTIONS(1265),
    [aux_sym_identity_agent_token1] = ACTIONS(1265),
    [aux_sym_identity_file_token1] = ACTIONS(1265),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1265),
    [aux_sym_include_token1] = ACTIONS(1265),
    [aux_sym_ip_qos_token1] = ACTIONS(1265),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1265),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1265),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1265),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1265),
    [aux_sym_local_command_token1] = ACTIONS(1265),
    [aux_sym_local_forward_token1] = ACTIONS(1265),
    [aux_sym_log_level_token1] = ACTIONS(1265),
    [aux_sym_log_verbose_token1] = ACTIONS(1265),
    [aux_sym_macs_token1] = ACTIONS(1265),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1265),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1265),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1265),
    [aux_sym_password_authentication_token1] = ACTIONS(1265),
    [aux_sym_permit_local_command_token1] = ACTIONS(1265),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1265),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1265),
    [aux_sym_port_token1] = ACTIONS(1265),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1265),
    [aux_sym_protocol_token1] = ACTIONS(1265),
    [aux_sym_proxy_command_token1] = ACTIONS(1265),
    [aux_sym_proxy_jump_token1] = ACTIONS(1265),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1265),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1265),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1265),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1265),
    [aux_sym_rekey_limit_token1] = ACTIONS(1265),
    [aux_sym_remote_command_token1] = ACTIONS(1265),
    [aux_sym_remote_forward_token1] = ACTIONS(1265),
    [aux_sym_request_tty_token1] = ACTIONS(1265),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1265),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1265),
    [aux_sym_security_key_provider_token1] = ACTIONS(1265),
    [aux_sym_send_env_token1] = ACTIONS(1265),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1265),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1265),
    [aux_sym_session_type_token1] = ACTIONS(1265),
    [aux_sym_set_env_token1] = ACTIONS(1265),
    [aux_sym_stdin_null_token1] = ACTIONS(1265),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1265),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1265),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1265),
    [aux_sym_syslog_facility_token1] = ACTIONS(1265),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1265),
    [aux_sym_keep_alive_token1] = ACTIONS(1265),
    [aux_sym_tag_token1] = ACTIONS(1265),
    [aux_sym_tunnel_token1] = ACTIONS(1267),
    [aux_sym_tunnel_device_token1] = ACTIONS(1265),
    [aux_sym_update_host_keys_token1] = ACTIONS(1265),
    [aux_sym_use_keychain_token1] = ACTIONS(1265),
    [aux_sym_use_roaming_token1] = ACTIONS(1265),
    [aux_sym_user_token1] = ACTIONS(1267),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1265),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1265),
    [aux_sym_visual_host_key_token1] = ACTIONS(1265),
    [aux_sym_xauth_location_token1] = ACTIONS(1265),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1275),
    [aux_sym_match_token1] = ACTIONS(1271),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1271),
    [aux_sym_address_family_token1] = ACTIONS(1271),
    [aux_sym_batch_mode_token1] = ACTIONS(1271),
    [aux_sym_bind_address_token1] = ACTIONS(1271),
    [aux_sym_bind_interface_token1] = ACTIONS(1271),
    [aux_sym_canonical_domains_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1271),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1271),
    [aux_sym_certificate_file_token1] = ACTIONS(1271),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1271),
    [aux_sym_channel_timeout_token1] = ACTIONS(1271),
    [aux_sym_check_host_ip_token1] = ACTIONS(1271),
    [aux_sym_ciphers_token1] = ACTIONS(1271),
    [aux_sym_cipher_token1] = ACTIONS(1273),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1271),
    [aux_sym_compression_token1] = ACTIONS(1271),
    [aux_sym_connection_attempts_token1] = ACTIONS(1271),
    [aux_sym_connect_timeout_token1] = ACTIONS(1271),
    [aux_sym_control_master_token1] = ACTIONS(1271),
    [aux_sym_control_path_token1] = ACTIONS(1271),
    [aux_sym_control_persist_token1] = ACTIONS(1271),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1271),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1271),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1271),
    [aux_sym_escape_char_token1] = ACTIONS(1271),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1271),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1271),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1271),
    [aux_sym_forward_agent_token1] = ACTIONS(1271),
    [aux_sym_forward_x11_token1] = ACTIONS(1273),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1271),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1271),
    [aux_sym_gateway_ports_token1] = ACTIONS(1271),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1271),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1271),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1271),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1271),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1271),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1271),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1271),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1271),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1271),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1271),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1271),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1271),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1271),
    [aux_sym_host_key_alias_token1] = ACTIONS(1271),
    [aux_sym_hostname_token1] = ACTIONS(1271),
    [aux_sym_identities_only_token1] = ACTIONS(1271),
    [aux_sym_identity_agent_token1] = ACTIONS(1271),
    [aux_sym_identity_file_token1] = ACTIONS(1271),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1271),
    [aux_sym_include_token1] = ACTIONS(1271),
    [aux_sym_ip_qos_token1] = ACTIONS(1271),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1271),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1271),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1271),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1271),
    [aux_sym_local_command_token1] = ACTIONS(1271),
    [aux_sym_local_forward_token1] = ACTIONS(1271),
    [aux_sym_log_level_token1] = ACTIONS(1271),
    [aux_sym_log_verbose_token1] = ACTIONS(1271),
    [aux_sym_macs_token1] = ACTIONS(1271),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1271),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1271),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1271),
    [aux_sym_password_authentication_token1] = ACTIONS(1271),
    [aux_sym_permit_local_command_token1] = ACTIONS(1271),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1271),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1271),
    [aux_sym_port_token1] = ACTIONS(1271),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1271),
    [aux_sym_protocol_token1] = ACTIONS(1271),
    [aux_sym_proxy_command_token1] = ACTIONS(1271),
    [aux_sym_proxy_jump_token1] = ACTIONS(1271),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1271),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1271),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1271),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1271),
    [aux_sym_rekey_limit_token1] = ACTIONS(1271),
    [aux_sym_remote_command_token1] = ACTIONS(1271),
    [aux_sym_remote_forward_token1] = ACTIONS(1271),
    [aux_sym_request_tty_token1] = ACTIONS(1271),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1271),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1271),
    [aux_sym_security_key_provider_token1] = ACTIONS(1271),
    [aux_sym_send_env_token1] = ACTIONS(1271),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1271),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1271),
    [aux_sym_session_type_token1] = ACTIONS(1271),
    [aux_sym_set_env_token1] = ACTIONS(1271),
    [aux_sym_stdin_null_token1] = ACTIONS(1271),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1271),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1271),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1271),
    [aux_sym_syslog_facility_token1] = ACTIONS(1271),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1271),
    [aux_sym_keep_alive_token1] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1271),
    [aux_sym_tunnel_token1] = ACTIONS(1273),
    [aux_sym_tunnel_device_token1] = ACTIONS(1271),
    [aux_sym_update_host_keys_token1] = ACTIONS(1271),
    [aux_sym_use_keychain_token1] = ACTIONS(1271),
    [aux_sym_use_roaming_token1] = ACTIONS(1271),
    [aux_sym_user_token1] = ACTIONS(1273),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1271),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1271),
    [aux_sym_visual_host_key_token1] = ACTIONS(1271),
    [aux_sym_xauth_location_token1] = ACTIONS(1271),
  },
  [119] = {
    [ts_builtin_sym_end] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1279),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [aux_sym_match_token1] = ACTIONS(1277),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1277),
    [aux_sym_address_family_token1] = ACTIONS(1277),
    [aux_sym_batch_mode_token1] = ACTIONS(1277),
    [aux_sym_bind_address_token1] = ACTIONS(1277),
    [aux_sym_bind_interface_token1] = ACTIONS(1277),
    [aux_sym_canonical_domains_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1277),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1277),
    [aux_sym_certificate_file_token1] = ACTIONS(1277),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1277),
    [aux_sym_channel_timeout_token1] = ACTIONS(1277),
    [aux_sym_check_host_ip_token1] = ACTIONS(1277),
    [aux_sym_ciphers_token1] = ACTIONS(1277),
    [aux_sym_cipher_token1] = ACTIONS(1279),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1277),
    [aux_sym_compression_token1] = ACTIONS(1277),
    [aux_sym_connection_attempts_token1] = ACTIONS(1277),
    [aux_sym_connect_timeout_token1] = ACTIONS(1277),
    [aux_sym_control_master_token1] = ACTIONS(1277),
    [aux_sym_control_path_token1] = ACTIONS(1277),
    [aux_sym_control_persist_token1] = ACTIONS(1277),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1277),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1277),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1277),
    [aux_sym_escape_char_token1] = ACTIONS(1277),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1277),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1277),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1277),
    [aux_sym_forward_agent_token1] = ACTIONS(1277),
    [aux_sym_forward_x11_token1] = ACTIONS(1279),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1277),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1277),
    [aux_sym_gateway_ports_token1] = ACTIONS(1277),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1277),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1277),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1277),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1277),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1277),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1277),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1277),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1277),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1277),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1277),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1277),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1277),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1277),
    [aux_sym_host_key_alias_token1] = ACTIONS(1277),
    [aux_sym_hostname_token1] = ACTIONS(1277),
    [aux_sym_identities_only_token1] = ACTIONS(1277),
    [aux_sym_identity_agent_token1] = ACTIONS(1277),
    [aux_sym_identity_file_token1] = ACTIONS(1277),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1277),
    [aux_sym_include_token1] = ACTIONS(1277),
    [aux_sym_ip_qos_token1] = ACTIONS(1277),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1277),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1277),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1277),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1277),
    [aux_sym_local_command_token1] = ACTIONS(1277),
    [aux_sym_local_forward_token1] = ACTIONS(1277),
    [aux_sym_log_level_token1] = ACTIONS(1277),
    [aux_sym_log_verbose_token1] = ACTIONS(1277),
    [aux_sym_macs_token1] = ACTIONS(1277),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1277),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1277),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1277),
    [aux_sym_password_authentication_token1] = ACTIONS(1277),
    [aux_sym_permit_local_command_token1] = ACTIONS(1277),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1277),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1277),
    [aux_sym_port_token1] = ACTIONS(1277),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1277),
    [aux_sym_protocol_token1] = ACTIONS(1277),
    [aux_sym_proxy_command_token1] = ACTIONS(1277),
    [aux_sym_proxy_jump_token1] = ACTIONS(1277),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1277),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1277),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1277),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1277),
    [aux_sym_rekey_limit_token1] = ACTIONS(1277),
    [aux_sym_remote_command_token1] = ACTIONS(1277),
    [aux_sym_remote_forward_token1] = ACTIONS(1277),
    [aux_sym_request_tty_token1] = ACTIONS(1277),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1277),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1277),
    [aux_sym_security_key_provider_token1] = ACTIONS(1277),
    [aux_sym_send_env_token1] = ACTIONS(1277),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1277),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1277),
    [aux_sym_session_type_token1] = ACTIONS(1277),
    [aux_sym_set_env_token1] = ACTIONS(1277),
    [aux_sym_stdin_null_token1] = ACTIONS(1277),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1277),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1277),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1277),
    [aux_sym_syslog_facility_token1] = ACTIONS(1277),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1277),
    [aux_sym_keep_alive_token1] = ACTIONS(1277),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [aux_sym_tunnel_token1] = ACTIONS(1279),
    [aux_sym_tunnel_device_token1] = ACTIONS(1277),
    [aux_sym_update_host_keys_token1] = ACTIONS(1277),
    [aux_sym_use_keychain_token1] = ACTIONS(1277),
    [aux_sym_use_roaming_token1] = ACTIONS(1277),
    [aux_sym_user_token1] = ACTIONS(1279),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1277),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1277),
    [aux_sym_visual_host_key_token1] = ACTIONS(1277),
    [aux_sym_xauth_location_token1] = ACTIONS(1277),
  },
  [120] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1287),
    [aux_sym_match_token1] = ACTIONS(1283),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1283),
    [aux_sym_address_family_token1] = ACTIONS(1283),
    [aux_sym_batch_mode_token1] = ACTIONS(1283),
    [aux_sym_bind_address_token1] = ACTIONS(1283),
    [aux_sym_bind_interface_token1] = ACTIONS(1283),
    [aux_sym_canonical_domains_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1283),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1283),
    [aux_sym_certificate_file_token1] = ACTIONS(1283),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1283),
    [aux_sym_channel_timeout_token1] = ACTIONS(1283),
    [aux_sym_check_host_ip_token1] = ACTIONS(1283),
    [aux_sym_ciphers_token1] = ACTIONS(1283),
    [aux_sym_cipher_token1] = ACTIONS(1285),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1283),
    [aux_sym_compression_token1] = ACTIONS(1283),
    [aux_sym_connection_attempts_token1] = ACTIONS(1283),
    [aux_sym_connect_timeout_token1] = ACTIONS(1283),
    [aux_sym_control_master_token1] = ACTIONS(1283),
    [aux_sym_control_path_token1] = ACTIONS(1283),
    [aux_sym_control_persist_token1] = ACTIONS(1283),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1283),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1283),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1283),
    [aux_sym_escape_char_token1] = ACTIONS(1283),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1283),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1283),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1283),
    [aux_sym_forward_agent_token1] = ACTIONS(1283),
    [aux_sym_forward_x11_token1] = ACTIONS(1285),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1283),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1283),
    [aux_sym_gateway_ports_token1] = ACTIONS(1283),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1283),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1283),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1283),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1283),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1283),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1283),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1283),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1283),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1283),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1283),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1283),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1283),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1283),
    [aux_sym_host_key_alias_token1] = ACTIONS(1283),
    [aux_sym_hostname_token1] = ACTIONS(1283),
    [aux_sym_identities_only_token1] = ACTIONS(1283),
    [aux_sym_identity_agent_token1] = ACTIONS(1283),
    [aux_sym_identity_file_token1] = ACTIONS(1283),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1283),
    [aux_sym_include_token1] = ACTIONS(1283),
    [aux_sym_ip_qos_token1] = ACTIONS(1283),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1283),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1283),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1283),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1283),
    [aux_sym_local_command_token1] = ACTIONS(1283),
    [aux_sym_local_forward_token1] = ACTIONS(1283),
    [aux_sym_log_level_token1] = ACTIONS(1283),
    [aux_sym_log_verbose_token1] = ACTIONS(1283),
    [aux_sym_macs_token1] = ACTIONS(1283),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1283),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1283),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1283),
    [aux_sym_password_authentication_token1] = ACTIONS(1283),
    [aux_sym_permit_local_command_token1] = ACTIONS(1283),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1283),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1283),
    [aux_sym_port_token1] = ACTIONS(1283),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1283),
    [aux_sym_protocol_token1] = ACTIONS(1283),
    [aux_sym_proxy_command_token1] = ACTIONS(1283),
    [aux_sym_proxy_jump_token1] = ACTIONS(1283),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1283),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1283),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1283),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1283),
    [aux_sym_rekey_limit_token1] = ACTIONS(1283),
    [aux_sym_remote_command_token1] = ACTIONS(1283),
    [aux_sym_remote_forward_token1] = ACTIONS(1283),
    [aux_sym_request_tty_token1] = ACTIONS(1283),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1283),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1283),
    [aux_sym_security_key_provider_token1] = ACTIONS(1283),
    [aux_sym_send_env_token1] = ACTIONS(1283),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1283),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1283),
    [aux_sym_session_type_token1] = ACTIONS(1283),
    [aux_sym_set_env_token1] = ACTIONS(1283),
    [aux_sym_stdin_null_token1] = ACTIONS(1283),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1283),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1283),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1283),
    [aux_sym_syslog_facility_token1] = ACTIONS(1283),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1283),
    [aux_sym_keep_alive_token1] = ACTIONS(1283),
    [aux_sym_tag_token1] = ACTIONS(1283),
    [aux_sym_tunnel_token1] = ACTIONS(1285),
    [aux_sym_tunnel_device_token1] = ACTIONS(1283),
    [aux_sym_update_host_keys_token1] = ACTIONS(1283),
    [aux_sym_use_keychain_token1] = ACTIONS(1283),
    [aux_sym_use_roaming_token1] = ACTIONS(1283),
    [aux_sym_user_token1] = ACTIONS(1285),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1283),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1283),
    [aux_sym_visual_host_key_token1] = ACTIONS(1283),
    [aux_sym_xauth_location_token1] = ACTIONS(1283),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [aux_sym_match_token1] = ACTIONS(1289),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1289),
    [aux_sym_address_family_token1] = ACTIONS(1289),
    [aux_sym_batch_mode_token1] = ACTIONS(1289),
    [aux_sym_bind_address_token1] = ACTIONS(1289),
    [aux_sym_bind_interface_token1] = ACTIONS(1289),
    [aux_sym_canonical_domains_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1289),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1289),
    [aux_sym_certificate_file_token1] = ACTIONS(1289),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1289),
    [aux_sym_channel_timeout_token1] = ACTIONS(1289),
    [aux_sym_check_host_ip_token1] = ACTIONS(1289),
    [aux_sym_ciphers_token1] = ACTIONS(1289),
    [aux_sym_cipher_token1] = ACTIONS(1291),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1289),
    [aux_sym_compression_token1] = ACTIONS(1289),
    [aux_sym_connection_attempts_token1] = ACTIONS(1289),
    [aux_sym_connect_timeout_token1] = ACTIONS(1289),
    [aux_sym_control_master_token1] = ACTIONS(1289),
    [aux_sym_control_path_token1] = ACTIONS(1289),
    [aux_sym_control_persist_token1] = ACTIONS(1289),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1289),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1289),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1289),
    [aux_sym_escape_char_token1] = ACTIONS(1289),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1289),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1289),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1289),
    [aux_sym_forward_agent_token1] = ACTIONS(1289),
    [aux_sym_forward_x11_token1] = ACTIONS(1291),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1289),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1289),
    [aux_sym_gateway_ports_token1] = ACTIONS(1289),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1289),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1289),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1289),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1289),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1289),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1289),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1289),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1289),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1289),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1289),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1289),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1289),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1289),
    [aux_sym_host_key_alias_token1] = ACTIONS(1289),
    [aux_sym_hostname_token1] = ACTIONS(1289),
    [aux_sym_identities_only_token1] = ACTIONS(1289),
    [aux_sym_identity_agent_token1] = ACTIONS(1289),
    [aux_sym_identity_file_token1] = ACTIONS(1289),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1289),
    [aux_sym_include_token1] = ACTIONS(1289),
    [aux_sym_ip_qos_token1] = ACTIONS(1289),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1289),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1289),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1289),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1289),
    [aux_sym_local_command_token1] = ACTIONS(1289),
    [aux_sym_local_forward_token1] = ACTIONS(1289),
    [aux_sym_log_level_token1] = ACTIONS(1289),
    [aux_sym_log_verbose_token1] = ACTIONS(1289),
    [aux_sym_macs_token1] = ACTIONS(1289),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1289),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1289),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1289),
    [aux_sym_password_authentication_token1] = ACTIONS(1289),
    [aux_sym_permit_local_command_token1] = ACTIONS(1289),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1289),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1289),
    [aux_sym_port_token1] = ACTIONS(1289),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1289),
    [aux_sym_protocol_token1] = ACTIONS(1289),
    [aux_sym_proxy_command_token1] = ACTIONS(1289),
    [aux_sym_proxy_jump_token1] = ACTIONS(1289),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1289),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1289),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1289),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1289),
    [aux_sym_rekey_limit_token1] = ACTIONS(1289),
    [aux_sym_remote_command_token1] = ACTIONS(1289),
    [aux_sym_remote_forward_token1] = ACTIONS(1289),
    [aux_sym_request_tty_token1] = ACTIONS(1289),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1289),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1289),
    [aux_sym_security_key_provider_token1] = ACTIONS(1289),
    [aux_sym_send_env_token1] = ACTIONS(1289),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1289),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1289),
    [aux_sym_session_type_token1] = ACTIONS(1289),
    [aux_sym_set_env_token1] = ACTIONS(1289),
    [aux_sym_stdin_null_token1] = ACTIONS(1289),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1289),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1289),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1289),
    [aux_sym_syslog_facility_token1] = ACTIONS(1289),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1289),
    [aux_sym_keep_alive_token1] = ACTIONS(1289),
    [aux_sym_tag_token1] = ACTIONS(1289),
    [aux_sym_tunnel_token1] = ACTIONS(1291),
    [aux_sym_tunnel_device_token1] = ACTIONS(1289),
    [aux_sym_update_host_keys_token1] = ACTIONS(1289),
    [aux_sym_use_keychain_token1] = ACTIONS(1289),
    [aux_sym_use_roaming_token1] = ACTIONS(1289),
    [aux_sym_user_token1] = ACTIONS(1291),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1289),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1289),
    [aux_sym_visual_host_key_token1] = ACTIONS(1289),
    [aux_sym_xauth_location_token1] = ACTIONS(1289),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1299),
    [aux_sym_match_token1] = ACTIONS(1295),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1295),
    [aux_sym_address_family_token1] = ACTIONS(1295),
    [aux_sym_batch_mode_token1] = ACTIONS(1295),
    [aux_sym_bind_address_token1] = ACTIONS(1295),
    [aux_sym_bind_interface_token1] = ACTIONS(1295),
    [aux_sym_canonical_domains_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1295),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1295),
    [aux_sym_certificate_file_token1] = ACTIONS(1295),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1295),
    [aux_sym_channel_timeout_token1] = ACTIONS(1295),
    [aux_sym_check_host_ip_token1] = ACTIONS(1295),
    [aux_sym_ciphers_token1] = ACTIONS(1295),
    [aux_sym_cipher_token1] = ACTIONS(1297),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1295),
    [aux_sym_compression_token1] = ACTIONS(1295),
    [aux_sym_connection_attempts_token1] = ACTIONS(1295),
    [aux_sym_connect_timeout_token1] = ACTIONS(1295),
    [aux_sym_control_master_token1] = ACTIONS(1295),
    [aux_sym_control_path_token1] = ACTIONS(1295),
    [aux_sym_control_persist_token1] = ACTIONS(1295),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1295),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1295),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1295),
    [aux_sym_escape_char_token1] = ACTIONS(1295),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1295),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1295),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1295),
    [aux_sym_forward_agent_token1] = ACTIONS(1295),
    [aux_sym_forward_x11_token1] = ACTIONS(1297),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1295),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1295),
    [aux_sym_gateway_ports_token1] = ACTIONS(1295),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1295),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1295),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1295),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1295),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1295),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1295),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1295),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1295),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1295),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1295),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1295),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1295),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1295),
    [aux_sym_host_key_alias_token1] = ACTIONS(1295),
    [aux_sym_hostname_token1] = ACTIONS(1295),
    [aux_sym_identities_only_token1] = ACTIONS(1295),
    [aux_sym_identity_agent_token1] = ACTIONS(1295),
    [aux_sym_identity_file_token1] = ACTIONS(1295),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1295),
    [aux_sym_include_token1] = ACTIONS(1295),
    [aux_sym_ip_qos_token1] = ACTIONS(1295),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1295),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1295),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1295),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1295),
    [aux_sym_local_command_token1] = ACTIONS(1295),
    [aux_sym_local_forward_token1] = ACTIONS(1295),
    [aux_sym_log_level_token1] = ACTIONS(1295),
    [aux_sym_log_verbose_token1] = ACTIONS(1295),
    [aux_sym_macs_token1] = ACTIONS(1295),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1295),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1295),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1295),
    [aux_sym_password_authentication_token1] = ACTIONS(1295),
    [aux_sym_permit_local_command_token1] = ACTIONS(1295),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1295),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1295),
    [aux_sym_port_token1] = ACTIONS(1295),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1295),
    [aux_sym_protocol_token1] = ACTIONS(1295),
    [aux_sym_proxy_command_token1] = ACTIONS(1295),
    [aux_sym_proxy_jump_token1] = ACTIONS(1295),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1295),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1295),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1295),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1295),
    [aux_sym_rekey_limit_token1] = ACTIONS(1295),
    [aux_sym_remote_command_token1] = ACTIONS(1295),
    [aux_sym_remote_forward_token1] = ACTIONS(1295),
    [aux_sym_request_tty_token1] = ACTIONS(1295),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1295),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1295),
    [aux_sym_security_key_provider_token1] = ACTIONS(1295),
    [aux_sym_send_env_token1] = ACTIONS(1295),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1295),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1295),
    [aux_sym_session_type_token1] = ACTIONS(1295),
    [aux_sym_set_env_token1] = ACTIONS(1295),
    [aux_sym_stdin_null_token1] = ACTIONS(1295),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1295),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1295),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1295),
    [aux_sym_syslog_facility_token1] = ACTIONS(1295),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1295),
    [aux_sym_keep_alive_token1] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1295),
    [aux_sym_tunnel_token1] = ACTIONS(1297),
    [aux_sym_tunnel_device_token1] = ACTIONS(1295),
    [aux_sym_update_host_keys_token1] = ACTIONS(1295),
    [aux_sym_use_keychain_token1] = ACTIONS(1295),
    [aux_sym_use_roaming_token1] = ACTIONS(1295),
    [aux_sym_user_token1] = ACTIONS(1297),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1295),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1295),
    [aux_sym_visual_host_key_token1] = ACTIONS(1295),
    [aux_sym_xauth_location_token1] = ACTIONS(1295),
  },
  [123] = {
    [ts_builtin_sym_end] = ACTIONS(1301),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [aux_sym_match_token1] = ACTIONS(1301),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1301),
    [aux_sym_address_family_token1] = ACTIONS(1301),
    [aux_sym_batch_mode_token1] = ACTIONS(1301),
    [aux_sym_bind_address_token1] = ACTIONS(1301),
    [aux_sym_bind_interface_token1] = ACTIONS(1301),
    [aux_sym_canonical_domains_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1301),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1301),
    [aux_sym_certificate_file_token1] = ACTIONS(1301),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1301),
    [aux_sym_channel_timeout_token1] = ACTIONS(1301),
    [aux_sym_check_host_ip_token1] = ACTIONS(1301),
    [aux_sym_ciphers_token1] = ACTIONS(1301),
    [aux_sym_cipher_token1] = ACTIONS(1303),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1301),
    [aux_sym_compression_token1] = ACTIONS(1301),
    [aux_sym_connection_attempts_token1] = ACTIONS(1301),
    [aux_sym_connect_timeout_token1] = ACTIONS(1301),
    [aux_sym_control_master_token1] = ACTIONS(1301),
    [aux_sym_control_path_token1] = ACTIONS(1301),
    [aux_sym_control_persist_token1] = ACTIONS(1301),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1301),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1301),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1301),
    [aux_sym_escape_char_token1] = ACTIONS(1301),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1301),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1301),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1301),
    [aux_sym_forward_agent_token1] = ACTIONS(1301),
    [aux_sym_forward_x11_token1] = ACTIONS(1303),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1301),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1301),
    [aux_sym_gateway_ports_token1] = ACTIONS(1301),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1301),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1301),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1301),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1301),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1301),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1301),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1301),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1301),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1301),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1301),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1301),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1301),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1301),
    [aux_sym_host_key_alias_token1] = ACTIONS(1301),
    [aux_sym_hostname_token1] = ACTIONS(1301),
    [aux_sym_identities_only_token1] = ACTIONS(1301),
    [aux_sym_identity_agent_token1] = ACTIONS(1301),
    [aux_sym_identity_file_token1] = ACTIONS(1301),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1301),
    [aux_sym_include_token1] = ACTIONS(1301),
    [aux_sym_ip_qos_token1] = ACTIONS(1301),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1301),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1301),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1301),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1301),
    [aux_sym_local_command_token1] = ACTIONS(1301),
    [aux_sym_local_forward_token1] = ACTIONS(1301),
    [aux_sym_log_level_token1] = ACTIONS(1301),
    [aux_sym_log_verbose_token1] = ACTIONS(1301),
    [aux_sym_macs_token1] = ACTIONS(1301),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1301),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1301),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1301),
    [aux_sym_password_authentication_token1] = ACTIONS(1301),
    [aux_sym_permit_local_command_token1] = ACTIONS(1301),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1301),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1301),
    [aux_sym_port_token1] = ACTIONS(1301),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1301),
    [aux_sym_protocol_token1] = ACTIONS(1301),
    [aux_sym_proxy_command_token1] = ACTIONS(1301),
    [aux_sym_proxy_jump_token1] = ACTIONS(1301),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1301),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1301),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1301),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1301),
    [aux_sym_rekey_limit_token1] = ACTIONS(1301),
    [aux_sym_remote_command_token1] = ACTIONS(1301),
    [aux_sym_remote_forward_token1] = ACTIONS(1301),
    [aux_sym_request_tty_token1] = ACTIONS(1301),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1301),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1301),
    [aux_sym_security_key_provider_token1] = ACTIONS(1301),
    [aux_sym_send_env_token1] = ACTIONS(1301),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1301),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1301),
    [aux_sym_session_type_token1] = ACTIONS(1301),
    [aux_sym_set_env_token1] = ACTIONS(1301),
    [aux_sym_stdin_null_token1] = ACTIONS(1301),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1301),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1301),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1301),
    [aux_sym_syslog_facility_token1] = ACTIONS(1301),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1301),
    [aux_sym_keep_alive_token1] = ACTIONS(1301),
    [aux_sym_tag_token1] = ACTIONS(1301),
    [aux_sym_tunnel_token1] = ACTIONS(1303),
    [aux_sym_tunnel_device_token1] = ACTIONS(1301),
    [aux_sym_update_host_keys_token1] = ACTIONS(1301),
    [aux_sym_use_keychain_token1] = ACTIONS(1301),
    [aux_sym_use_roaming_token1] = ACTIONS(1301),
    [aux_sym_user_token1] = ACTIONS(1303),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1301),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1301),
    [aux_sym_visual_host_key_token1] = ACTIONS(1301),
    [aux_sym_xauth_location_token1] = ACTIONS(1301),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1311),
    [aux_sym_match_token1] = ACTIONS(1307),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1307),
    [aux_sym_address_family_token1] = ACTIONS(1307),
    [aux_sym_batch_mode_token1] = ACTIONS(1307),
    [aux_sym_bind_address_token1] = ACTIONS(1307),
    [aux_sym_bind_interface_token1] = ACTIONS(1307),
    [aux_sym_canonical_domains_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1307),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1307),
    [aux_sym_certificate_file_token1] = ACTIONS(1307),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1307),
    [aux_sym_channel_timeout_token1] = ACTIONS(1307),
    [aux_sym_check_host_ip_token1] = ACTIONS(1307),
    [aux_sym_ciphers_token1] = ACTIONS(1307),
    [aux_sym_cipher_token1] = ACTIONS(1309),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1307),
    [aux_sym_compression_token1] = ACTIONS(1307),
    [aux_sym_connection_attempts_token1] = ACTIONS(1307),
    [aux_sym_connect_timeout_token1] = ACTIONS(1307),
    [aux_sym_control_master_token1] = ACTIONS(1307),
    [aux_sym_control_path_token1] = ACTIONS(1307),
    [aux_sym_control_persist_token1] = ACTIONS(1307),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1307),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1307),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1307),
    [aux_sym_escape_char_token1] = ACTIONS(1307),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1307),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1307),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1307),
    [aux_sym_forward_agent_token1] = ACTIONS(1307),
    [aux_sym_forward_x11_token1] = ACTIONS(1309),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1307),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1307),
    [aux_sym_gateway_ports_token1] = ACTIONS(1307),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1307),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1307),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1307),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1307),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1307),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1307),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1307),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1307),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1307),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1307),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1307),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1307),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1307),
    [aux_sym_host_key_alias_token1] = ACTIONS(1307),
    [aux_sym_hostname_token1] = ACTIONS(1307),
    [aux_sym_identities_only_token1] = ACTIONS(1307),
    [aux_sym_identity_agent_token1] = ACTIONS(1307),
    [aux_sym_identity_file_token1] = ACTIONS(1307),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1307),
    [aux_sym_include_token1] = ACTIONS(1307),
    [aux_sym_ip_qos_token1] = ACTIONS(1307),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1307),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1307),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1307),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1307),
    [aux_sym_local_command_token1] = ACTIONS(1307),
    [aux_sym_local_forward_token1] = ACTIONS(1307),
    [aux_sym_log_level_token1] = ACTIONS(1307),
    [aux_sym_log_verbose_token1] = ACTIONS(1307),
    [aux_sym_macs_token1] = ACTIONS(1307),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1307),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1307),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1307),
    [aux_sym_password_authentication_token1] = ACTIONS(1307),
    [aux_sym_permit_local_command_token1] = ACTIONS(1307),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1307),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1307),
    [aux_sym_port_token1] = ACTIONS(1307),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1307),
    [aux_sym_protocol_token1] = ACTIONS(1307),
    [aux_sym_proxy_command_token1] = ACTIONS(1307),
    [aux_sym_proxy_jump_token1] = ACTIONS(1307),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1307),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1307),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1307),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1307),
    [aux_sym_rekey_limit_token1] = ACTIONS(1307),
    [aux_sym_remote_command_token1] = ACTIONS(1307),
    [aux_sym_remote_forward_token1] = ACTIONS(1307),
    [aux_sym_request_tty_token1] = ACTIONS(1307),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1307),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1307),
    [aux_sym_security_key_provider_token1] = ACTIONS(1307),
    [aux_sym_send_env_token1] = ACTIONS(1307),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1307),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1307),
    [aux_sym_session_type_token1] = ACTIONS(1307),
    [aux_sym_set_env_token1] = ACTIONS(1307),
    [aux_sym_stdin_null_token1] = ACTIONS(1307),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1307),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1307),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1307),
    [aux_sym_syslog_facility_token1] = ACTIONS(1307),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1307),
    [aux_sym_keep_alive_token1] = ACTIONS(1307),
    [aux_sym_tag_token1] = ACTIONS(1307),
    [aux_sym_tunnel_token1] = ACTIONS(1309),
    [aux_sym_tunnel_device_token1] = ACTIONS(1307),
    [aux_sym_update_host_keys_token1] = ACTIONS(1307),
    [aux_sym_use_keychain_token1] = ACTIONS(1307),
    [aux_sym_use_roaming_token1] = ACTIONS(1307),
    [aux_sym_user_token1] = ACTIONS(1309),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1307),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1307),
    [aux_sym_visual_host_key_token1] = ACTIONS(1307),
    [aux_sym_xauth_location_token1] = ACTIONS(1307),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [aux_sym_match_token1] = ACTIONS(1313),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1313),
    [aux_sym_address_family_token1] = ACTIONS(1313),
    [aux_sym_batch_mode_token1] = ACTIONS(1313),
    [aux_sym_bind_address_token1] = ACTIONS(1313),
    [aux_sym_bind_interface_token1] = ACTIONS(1313),
    [aux_sym_canonical_domains_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1313),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1313),
    [aux_sym_certificate_file_token1] = ACTIONS(1313),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1313),
    [aux_sym_channel_timeout_token1] = ACTIONS(1313),
    [aux_sym_check_host_ip_token1] = ACTIONS(1313),
    [aux_sym_ciphers_token1] = ACTIONS(1313),
    [aux_sym_cipher_token1] = ACTIONS(1315),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1313),
    [aux_sym_compression_token1] = ACTIONS(1313),
    [aux_sym_connection_attempts_token1] = ACTIONS(1313),
    [aux_sym_connect_timeout_token1] = ACTIONS(1313),
    [aux_sym_control_master_token1] = ACTIONS(1313),
    [aux_sym_control_path_token1] = ACTIONS(1313),
    [aux_sym_control_persist_token1] = ACTIONS(1313),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1313),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1313),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1313),
    [aux_sym_escape_char_token1] = ACTIONS(1313),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1313),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1313),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1313),
    [aux_sym_forward_agent_token1] = ACTIONS(1313),
    [aux_sym_forward_x11_token1] = ACTIONS(1315),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1313),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1313),
    [aux_sym_gateway_ports_token1] = ACTIONS(1313),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1313),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1313),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1313),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1313),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1313),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1313),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1313),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1313),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1313),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1313),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1313),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1313),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1313),
    [aux_sym_host_key_alias_token1] = ACTIONS(1313),
    [aux_sym_hostname_token1] = ACTIONS(1313),
    [aux_sym_identities_only_token1] = ACTIONS(1313),
    [aux_sym_identity_agent_token1] = ACTIONS(1313),
    [aux_sym_identity_file_token1] = ACTIONS(1313),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1313),
    [aux_sym_include_token1] = ACTIONS(1313),
    [aux_sym_ip_qos_token1] = ACTIONS(1313),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1313),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1313),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1313),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1313),
    [aux_sym_local_command_token1] = ACTIONS(1313),
    [aux_sym_local_forward_token1] = ACTIONS(1313),
    [aux_sym_log_level_token1] = ACTIONS(1313),
    [aux_sym_log_verbose_token1] = ACTIONS(1313),
    [aux_sym_macs_token1] = ACTIONS(1313),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1313),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1313),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1313),
    [aux_sym_password_authentication_token1] = ACTIONS(1313),
    [aux_sym_permit_local_command_token1] = ACTIONS(1313),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1313),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1313),
    [aux_sym_port_token1] = ACTIONS(1313),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1313),
    [aux_sym_protocol_token1] = ACTIONS(1313),
    [aux_sym_proxy_command_token1] = ACTIONS(1313),
    [aux_sym_proxy_jump_token1] = ACTIONS(1313),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1313),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1313),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1313),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1313),
    [aux_sym_rekey_limit_token1] = ACTIONS(1313),
    [aux_sym_remote_command_token1] = ACTIONS(1313),
    [aux_sym_remote_forward_token1] = ACTIONS(1313),
    [aux_sym_request_tty_token1] = ACTIONS(1313),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1313),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1313),
    [aux_sym_security_key_provider_token1] = ACTIONS(1313),
    [aux_sym_send_env_token1] = ACTIONS(1313),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1313),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1313),
    [aux_sym_session_type_token1] = ACTIONS(1313),
    [aux_sym_set_env_token1] = ACTIONS(1313),
    [aux_sym_stdin_null_token1] = ACTIONS(1313),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1313),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1313),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1313),
    [aux_sym_syslog_facility_token1] = ACTIONS(1313),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1313),
    [aux_sym_keep_alive_token1] = ACTIONS(1313),
    [aux_sym_tag_token1] = ACTIONS(1313),
    [aux_sym_tunnel_token1] = ACTIONS(1315),
    [aux_sym_tunnel_device_token1] = ACTIONS(1313),
    [aux_sym_update_host_keys_token1] = ACTIONS(1313),
    [aux_sym_use_keychain_token1] = ACTIONS(1313),
    [aux_sym_use_roaming_token1] = ACTIONS(1313),
    [aux_sym_user_token1] = ACTIONS(1315),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1313),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1313),
    [aux_sym_visual_host_key_token1] = ACTIONS(1313),
    [aux_sym_xauth_location_token1] = ACTIONS(1313),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1323),
    [aux_sym_match_token1] = ACTIONS(1319),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1319),
    [aux_sym_address_family_token1] = ACTIONS(1319),
    [aux_sym_batch_mode_token1] = ACTIONS(1319),
    [aux_sym_bind_address_token1] = ACTIONS(1319),
    [aux_sym_bind_interface_token1] = ACTIONS(1319),
    [aux_sym_canonical_domains_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1319),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1319),
    [aux_sym_certificate_file_token1] = ACTIONS(1319),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1319),
    [aux_sym_channel_timeout_token1] = ACTIONS(1319),
    [aux_sym_check_host_ip_token1] = ACTIONS(1319),
    [aux_sym_ciphers_token1] = ACTIONS(1319),
    [aux_sym_cipher_token1] = ACTIONS(1321),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1319),
    [aux_sym_compression_token1] = ACTIONS(1319),
    [aux_sym_connection_attempts_token1] = ACTIONS(1319),
    [aux_sym_connect_timeout_token1] = ACTIONS(1319),
    [aux_sym_control_master_token1] = ACTIONS(1319),
    [aux_sym_control_path_token1] = ACTIONS(1319),
    [aux_sym_control_persist_token1] = ACTIONS(1319),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1319),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1319),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1319),
    [aux_sym_escape_char_token1] = ACTIONS(1319),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1319),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1319),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1319),
    [aux_sym_forward_agent_token1] = ACTIONS(1319),
    [aux_sym_forward_x11_token1] = ACTIONS(1321),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1319),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1319),
    [aux_sym_gateway_ports_token1] = ACTIONS(1319),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1319),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1319),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1319),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1319),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1319),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1319),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1319),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1319),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1319),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1319),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1319),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1319),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1319),
    [aux_sym_host_key_alias_token1] = ACTIONS(1319),
    [aux_sym_hostname_token1] = ACTIONS(1319),
    [aux_sym_identities_only_token1] = ACTIONS(1319),
    [aux_sym_identity_agent_token1] = ACTIONS(1319),
    [aux_sym_identity_file_token1] = ACTIONS(1319),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1319),
    [aux_sym_include_token1] = ACTIONS(1319),
    [aux_sym_ip_qos_token1] = ACTIONS(1319),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1319),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1319),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1319),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1319),
    [aux_sym_local_command_token1] = ACTIONS(1319),
    [aux_sym_local_forward_token1] = ACTIONS(1319),
    [aux_sym_log_level_token1] = ACTIONS(1319),
    [aux_sym_log_verbose_token1] = ACTIONS(1319),
    [aux_sym_macs_token1] = ACTIONS(1319),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1319),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1319),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1319),
    [aux_sym_password_authentication_token1] = ACTIONS(1319),
    [aux_sym_permit_local_command_token1] = ACTIONS(1319),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1319),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1319),
    [aux_sym_port_token1] = ACTIONS(1319),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1319),
    [aux_sym_protocol_token1] = ACTIONS(1319),
    [aux_sym_proxy_command_token1] = ACTIONS(1319),
    [aux_sym_proxy_jump_token1] = ACTIONS(1319),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1319),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1319),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1319),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1319),
    [aux_sym_rekey_limit_token1] = ACTIONS(1319),
    [aux_sym_remote_command_token1] = ACTIONS(1319),
    [aux_sym_remote_forward_token1] = ACTIONS(1319),
    [aux_sym_request_tty_token1] = ACTIONS(1319),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1319),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1319),
    [aux_sym_security_key_provider_token1] = ACTIONS(1319),
    [aux_sym_send_env_token1] = ACTIONS(1319),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1319),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1319),
    [aux_sym_session_type_token1] = ACTIONS(1319),
    [aux_sym_set_env_token1] = ACTIONS(1319),
    [aux_sym_stdin_null_token1] = ACTIONS(1319),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1319),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1319),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1319),
    [aux_sym_syslog_facility_token1] = ACTIONS(1319),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1319),
    [aux_sym_keep_alive_token1] = ACTIONS(1319),
    [aux_sym_tag_token1] = ACTIONS(1319),
    [aux_sym_tunnel_token1] = ACTIONS(1321),
    [aux_sym_tunnel_device_token1] = ACTIONS(1319),
    [aux_sym_update_host_keys_token1] = ACTIONS(1319),
    [aux_sym_use_keychain_token1] = ACTIONS(1319),
    [aux_sym_use_roaming_token1] = ACTIONS(1319),
    [aux_sym_user_token1] = ACTIONS(1321),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1319),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1319),
    [aux_sym_visual_host_key_token1] = ACTIONS(1319),
    [aux_sym_xauth_location_token1] = ACTIONS(1319),
  },
  [127] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [aux_sym_match_token1] = ACTIONS(1325),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1325),
    [aux_sym_address_family_token1] = ACTIONS(1325),
    [aux_sym_batch_mode_token1] = ACTIONS(1325),
    [aux_sym_bind_address_token1] = ACTIONS(1325),
    [aux_sym_bind_interface_token1] = ACTIONS(1325),
    [aux_sym_canonical_domains_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1325),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1325),
    [aux_sym_certificate_file_token1] = ACTIONS(1325),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1325),
    [aux_sym_channel_timeout_token1] = ACTIONS(1325),
    [aux_sym_check_host_ip_token1] = ACTIONS(1325),
    [aux_sym_ciphers_token1] = ACTIONS(1325),
    [aux_sym_cipher_token1] = ACTIONS(1327),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1325),
    [aux_sym_compression_token1] = ACTIONS(1325),
    [aux_sym_connection_attempts_token1] = ACTIONS(1325),
    [aux_sym_connect_timeout_token1] = ACTIONS(1325),
    [aux_sym_control_master_token1] = ACTIONS(1325),
    [aux_sym_control_path_token1] = ACTIONS(1325),
    [aux_sym_control_persist_token1] = ACTIONS(1325),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1325),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1325),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1325),
    [aux_sym_escape_char_token1] = ACTIONS(1325),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1325),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1325),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1325),
    [aux_sym_forward_agent_token1] = ACTIONS(1325),
    [aux_sym_forward_x11_token1] = ACTIONS(1327),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1325),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1325),
    [aux_sym_gateway_ports_token1] = ACTIONS(1325),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1325),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1325),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1325),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1325),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1325),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1325),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1325),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1325),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1325),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1325),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1325),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1325),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1325),
    [aux_sym_host_key_alias_token1] = ACTIONS(1325),
    [aux_sym_hostname_token1] = ACTIONS(1325),
    [aux_sym_identities_only_token1] = ACTIONS(1325),
    [aux_sym_identity_agent_token1] = ACTIONS(1325),
    [aux_sym_identity_file_token1] = ACTIONS(1325),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1325),
    [aux_sym_include_token1] = ACTIONS(1325),
    [aux_sym_ip_qos_token1] = ACTIONS(1325),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1325),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1325),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1325),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1325),
    [aux_sym_local_command_token1] = ACTIONS(1325),
    [aux_sym_local_forward_token1] = ACTIONS(1325),
    [aux_sym_log_level_token1] = ACTIONS(1325),
    [aux_sym_log_verbose_token1] = ACTIONS(1325),
    [aux_sym_macs_token1] = ACTIONS(1325),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1325),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1325),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1325),
    [aux_sym_password_authentication_token1] = ACTIONS(1325),
    [aux_sym_permit_local_command_token1] = ACTIONS(1325),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1325),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1325),
    [aux_sym_port_token1] = ACTIONS(1325),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1325),
    [aux_sym_protocol_token1] = ACTIONS(1325),
    [aux_sym_proxy_command_token1] = ACTIONS(1325),
    [aux_sym_proxy_jump_token1] = ACTIONS(1325),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1325),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1325),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1325),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1325),
    [aux_sym_rekey_limit_token1] = ACTIONS(1325),
    [aux_sym_remote_command_token1] = ACTIONS(1325),
    [aux_sym_remote_forward_token1] = ACTIONS(1325),
    [aux_sym_request_tty_token1] = ACTIONS(1325),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1325),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1325),
    [aux_sym_security_key_provider_token1] = ACTIONS(1325),
    [aux_sym_send_env_token1] = ACTIONS(1325),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1325),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1325),
    [aux_sym_session_type_token1] = ACTIONS(1325),
    [aux_sym_set_env_token1] = ACTIONS(1325),
    [aux_sym_stdin_null_token1] = ACTIONS(1325),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1325),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1325),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1325),
    [aux_sym_syslog_facility_token1] = ACTIONS(1325),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1325),
    [aux_sym_keep_alive_token1] = ACTIONS(1325),
    [aux_sym_tag_token1] = ACTIONS(1325),
    [aux_sym_tunnel_token1] = ACTIONS(1327),
    [aux_sym_tunnel_device_token1] = ACTIONS(1325),
    [aux_sym_update_host_keys_token1] = ACTIONS(1325),
    [aux_sym_use_keychain_token1] = ACTIONS(1325),
    [aux_sym_use_roaming_token1] = ACTIONS(1325),
    [aux_sym_user_token1] = ACTIONS(1327),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1325),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1325),
    [aux_sym_visual_host_key_token1] = ACTIONS(1325),
    [aux_sym_xauth_location_token1] = ACTIONS(1325),
  },
  [128] = {
    [ts_builtin_sym_end] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [aux_sym_match_token1] = ACTIONS(1331),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1331),
    [aux_sym_address_family_token1] = ACTIONS(1331),
    [aux_sym_batch_mode_token1] = ACTIONS(1331),
    [aux_sym_bind_address_token1] = ACTIONS(1331),
    [aux_sym_bind_interface_token1] = ACTIONS(1331),
    [aux_sym_canonical_domains_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1331),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1331),
    [aux_sym_certificate_file_token1] = ACTIONS(1331),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1331),
    [aux_sym_channel_timeout_token1] = ACTIONS(1331),
    [aux_sym_check_host_ip_token1] = ACTIONS(1331),
    [aux_sym_ciphers_token1] = ACTIONS(1331),
    [aux_sym_cipher_token1] = ACTIONS(1333),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1331),
    [aux_sym_compression_token1] = ACTIONS(1331),
    [aux_sym_connection_attempts_token1] = ACTIONS(1331),
    [aux_sym_connect_timeout_token1] = ACTIONS(1331),
    [aux_sym_control_master_token1] = ACTIONS(1331),
    [aux_sym_control_path_token1] = ACTIONS(1331),
    [aux_sym_control_persist_token1] = ACTIONS(1331),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1331),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1331),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1331),
    [aux_sym_escape_char_token1] = ACTIONS(1331),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1331),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1331),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1331),
    [aux_sym_forward_agent_token1] = ACTIONS(1331),
    [aux_sym_forward_x11_token1] = ACTIONS(1333),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1331),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1331),
    [aux_sym_gateway_ports_token1] = ACTIONS(1331),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1331),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1331),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1331),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1331),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1331),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1331),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1331),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1331),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1331),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1331),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1331),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1331),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1331),
    [aux_sym_host_key_alias_token1] = ACTIONS(1331),
    [aux_sym_hostname_token1] = ACTIONS(1331),
    [aux_sym_identities_only_token1] = ACTIONS(1331),
    [aux_sym_identity_agent_token1] = ACTIONS(1331),
    [aux_sym_identity_file_token1] = ACTIONS(1331),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1331),
    [aux_sym_include_token1] = ACTIONS(1331),
    [aux_sym_ip_qos_token1] = ACTIONS(1331),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1331),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1331),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1331),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1331),
    [aux_sym_local_command_token1] = ACTIONS(1331),
    [aux_sym_local_forward_token1] = ACTIONS(1331),
    [aux_sym_log_level_token1] = ACTIONS(1331),
    [aux_sym_log_verbose_token1] = ACTIONS(1331),
    [aux_sym_macs_token1] = ACTIONS(1331),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1331),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1331),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1331),
    [aux_sym_password_authentication_token1] = ACTIONS(1331),
    [aux_sym_permit_local_command_token1] = ACTIONS(1331),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1331),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1331),
    [aux_sym_port_token1] = ACTIONS(1331),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1331),
    [aux_sym_protocol_token1] = ACTIONS(1331),
    [aux_sym_proxy_command_token1] = ACTIONS(1331),
    [aux_sym_proxy_jump_token1] = ACTIONS(1331),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1331),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1331),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1331),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1331),
    [aux_sym_rekey_limit_token1] = ACTIONS(1331),
    [aux_sym_remote_command_token1] = ACTIONS(1331),
    [aux_sym_remote_forward_token1] = ACTIONS(1331),
    [aux_sym_request_tty_token1] = ACTIONS(1331),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1331),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1331),
    [aux_sym_security_key_provider_token1] = ACTIONS(1331),
    [aux_sym_send_env_token1] = ACTIONS(1331),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1331),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1331),
    [aux_sym_session_type_token1] = ACTIONS(1331),
    [aux_sym_set_env_token1] = ACTIONS(1331),
    [aux_sym_stdin_null_token1] = ACTIONS(1331),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1331),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1331),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1331),
    [aux_sym_syslog_facility_token1] = ACTIONS(1331),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1331),
    [aux_sym_keep_alive_token1] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1331),
    [aux_sym_tunnel_token1] = ACTIONS(1333),
    [aux_sym_tunnel_device_token1] = ACTIONS(1331),
    [aux_sym_update_host_keys_token1] = ACTIONS(1331),
    [aux_sym_use_keychain_token1] = ACTIONS(1331),
    [aux_sym_use_roaming_token1] = ACTIONS(1331),
    [aux_sym_user_token1] = ACTIONS(1333),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1331),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1331),
    [aux_sym_visual_host_key_token1] = ACTIONS(1331),
    [aux_sym_xauth_location_token1] = ACTIONS(1331),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [aux_sym_match_token1] = ACTIONS(1337),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1337),
    [aux_sym_address_family_token1] = ACTIONS(1337),
    [aux_sym_batch_mode_token1] = ACTIONS(1337),
    [aux_sym_bind_address_token1] = ACTIONS(1337),
    [aux_sym_bind_interface_token1] = ACTIONS(1337),
    [aux_sym_canonical_domains_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1337),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1337),
    [aux_sym_certificate_file_token1] = ACTIONS(1337),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1337),
    [aux_sym_channel_timeout_token1] = ACTIONS(1337),
    [aux_sym_check_host_ip_token1] = ACTIONS(1337),
    [aux_sym_ciphers_token1] = ACTIONS(1337),
    [aux_sym_cipher_token1] = ACTIONS(1339),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1337),
    [aux_sym_compression_token1] = ACTIONS(1337),
    [aux_sym_connection_attempts_token1] = ACTIONS(1337),
    [aux_sym_connect_timeout_token1] = ACTIONS(1337),
    [aux_sym_control_master_token1] = ACTIONS(1337),
    [aux_sym_control_path_token1] = ACTIONS(1337),
    [aux_sym_control_persist_token1] = ACTIONS(1337),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1337),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1337),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1337),
    [aux_sym_escape_char_token1] = ACTIONS(1337),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1337),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1337),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1337),
    [aux_sym_forward_agent_token1] = ACTIONS(1337),
    [aux_sym_forward_x11_token1] = ACTIONS(1339),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1337),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1337),
    [aux_sym_gateway_ports_token1] = ACTIONS(1337),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1337),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1337),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1337),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1337),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1337),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1337),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1337),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1337),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1337),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1337),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1337),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1337),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1337),
    [aux_sym_host_key_alias_token1] = ACTIONS(1337),
    [aux_sym_hostname_token1] = ACTIONS(1337),
    [aux_sym_identities_only_token1] = ACTIONS(1337),
    [aux_sym_identity_agent_token1] = ACTIONS(1337),
    [aux_sym_identity_file_token1] = ACTIONS(1337),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1337),
    [aux_sym_include_token1] = ACTIONS(1337),
    [aux_sym_ip_qos_token1] = ACTIONS(1337),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1337),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1337),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1337),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1337),
    [aux_sym_local_command_token1] = ACTIONS(1337),
    [aux_sym_local_forward_token1] = ACTIONS(1337),
    [aux_sym_log_level_token1] = ACTIONS(1337),
    [aux_sym_log_verbose_token1] = ACTIONS(1337),
    [aux_sym_macs_token1] = ACTIONS(1337),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1337),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1337),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1337),
    [aux_sym_password_authentication_token1] = ACTIONS(1337),
    [aux_sym_permit_local_command_token1] = ACTIONS(1337),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1337),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1337),
    [aux_sym_port_token1] = ACTIONS(1337),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1337),
    [aux_sym_protocol_token1] = ACTIONS(1337),
    [aux_sym_proxy_command_token1] = ACTIONS(1337),
    [aux_sym_proxy_jump_token1] = ACTIONS(1337),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1337),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1337),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1337),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1337),
    [aux_sym_rekey_limit_token1] = ACTIONS(1337),
    [aux_sym_remote_command_token1] = ACTIONS(1337),
    [aux_sym_remote_forward_token1] = ACTIONS(1337),
    [aux_sym_request_tty_token1] = ACTIONS(1337),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1337),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1337),
    [aux_sym_security_key_provider_token1] = ACTIONS(1337),
    [aux_sym_send_env_token1] = ACTIONS(1337),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1337),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1337),
    [aux_sym_session_type_token1] = ACTIONS(1337),
    [aux_sym_set_env_token1] = ACTIONS(1337),
    [aux_sym_stdin_null_token1] = ACTIONS(1337),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1337),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1337),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1337),
    [aux_sym_syslog_facility_token1] = ACTIONS(1337),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1337),
    [aux_sym_keep_alive_token1] = ACTIONS(1337),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [aux_sym_tunnel_token1] = ACTIONS(1339),
    [aux_sym_tunnel_device_token1] = ACTIONS(1337),
    [aux_sym_update_host_keys_token1] = ACTIONS(1337),
    [aux_sym_use_keychain_token1] = ACTIONS(1337),
    [aux_sym_use_roaming_token1] = ACTIONS(1337),
    [aux_sym_user_token1] = ACTIONS(1339),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1337),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1337),
    [aux_sym_visual_host_key_token1] = ACTIONS(1337),
    [aux_sym_xauth_location_token1] = ACTIONS(1337),
  },
  [130] = {
    [ts_builtin_sym_end] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [aux_sym_match_token1] = ACTIONS(1343),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1343),
    [aux_sym_address_family_token1] = ACTIONS(1343),
    [aux_sym_batch_mode_token1] = ACTIONS(1343),
    [aux_sym_bind_address_token1] = ACTIONS(1343),
    [aux_sym_bind_interface_token1] = ACTIONS(1343),
    [aux_sym_canonical_domains_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1343),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1343),
    [aux_sym_certificate_file_token1] = ACTIONS(1343),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1343),
    [aux_sym_channel_timeout_token1] = ACTIONS(1343),
    [aux_sym_check_host_ip_token1] = ACTIONS(1343),
    [aux_sym_ciphers_token1] = ACTIONS(1343),
    [aux_sym_cipher_token1] = ACTIONS(1345),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1343),
    [aux_sym_compression_token1] = ACTIONS(1343),
    [aux_sym_connection_attempts_token1] = ACTIONS(1343),
    [aux_sym_connect_timeout_token1] = ACTIONS(1343),
    [aux_sym_control_master_token1] = ACTIONS(1343),
    [aux_sym_control_path_token1] = ACTIONS(1343),
    [aux_sym_control_persist_token1] = ACTIONS(1343),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1343),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1343),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1343),
    [aux_sym_escape_char_token1] = ACTIONS(1343),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1343),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1343),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1343),
    [aux_sym_forward_agent_token1] = ACTIONS(1343),
    [aux_sym_forward_x11_token1] = ACTIONS(1345),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1343),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1343),
    [aux_sym_gateway_ports_token1] = ACTIONS(1343),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1343),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1343),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1343),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1343),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1343),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1343),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1343),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1343),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1343),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1343),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1343),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1343),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1343),
    [aux_sym_host_key_alias_token1] = ACTIONS(1343),
    [aux_sym_hostname_token1] = ACTIONS(1343),
    [aux_sym_identities_only_token1] = ACTIONS(1343),
    [aux_sym_identity_agent_token1] = ACTIONS(1343),
    [aux_sym_identity_file_token1] = ACTIONS(1343),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1343),
    [aux_sym_include_token1] = ACTIONS(1343),
    [aux_sym_ip_qos_token1] = ACTIONS(1343),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1343),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1343),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1343),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1343),
    [aux_sym_local_command_token1] = ACTIONS(1343),
    [aux_sym_local_forward_token1] = ACTIONS(1343),
    [aux_sym_log_level_token1] = ACTIONS(1343),
    [aux_sym_log_verbose_token1] = ACTIONS(1343),
    [aux_sym_macs_token1] = ACTIONS(1343),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1343),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1343),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1343),
    [aux_sym_password_authentication_token1] = ACTIONS(1343),
    [aux_sym_permit_local_command_token1] = ACTIONS(1343),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1343),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1343),
    [aux_sym_port_token1] = ACTIONS(1343),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1343),
    [aux_sym_protocol_token1] = ACTIONS(1343),
    [aux_sym_proxy_command_token1] = ACTIONS(1343),
    [aux_sym_proxy_jump_token1] = ACTIONS(1343),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1343),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1343),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1343),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1343),
    [aux_sym_rekey_limit_token1] = ACTIONS(1343),
    [aux_sym_remote_command_token1] = ACTIONS(1343),
    [aux_sym_remote_forward_token1] = ACTIONS(1343),
    [aux_sym_request_tty_token1] = ACTIONS(1343),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1343),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1343),
    [aux_sym_security_key_provider_token1] = ACTIONS(1343),
    [aux_sym_send_env_token1] = ACTIONS(1343),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1343),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1343),
    [aux_sym_session_type_token1] = ACTIONS(1343),
    [aux_sym_set_env_token1] = ACTIONS(1343),
    [aux_sym_stdin_null_token1] = ACTIONS(1343),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1343),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1343),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1343),
    [aux_sym_syslog_facility_token1] = ACTIONS(1343),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1343),
    [aux_sym_keep_alive_token1] = ACTIONS(1343),
    [aux_sym_tag_token1] = ACTIONS(1343),
    [aux_sym_tunnel_token1] = ACTIONS(1345),
    [aux_sym_tunnel_device_token1] = ACTIONS(1343),
    [aux_sym_update_host_keys_token1] = ACTIONS(1343),
    [aux_sym_use_keychain_token1] = ACTIONS(1343),
    [aux_sym_use_roaming_token1] = ACTIONS(1343),
    [aux_sym_user_token1] = ACTIONS(1345),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1343),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1343),
    [aux_sym_visual_host_key_token1] = ACTIONS(1343),
    [aux_sym_xauth_location_token1] = ACTIONS(1343),
  },
  [131] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [aux_sym_match_token1] = ACTIONS(1349),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1349),
    [aux_sym_address_family_token1] = ACTIONS(1349),
    [aux_sym_batch_mode_token1] = ACTIONS(1349),
    [aux_sym_bind_address_token1] = ACTIONS(1349),
    [aux_sym_bind_interface_token1] = ACTIONS(1349),
    [aux_sym_canonical_domains_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1349),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1349),
    [aux_sym_certificate_file_token1] = ACTIONS(1349),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1349),
    [aux_sym_channel_timeout_token1] = ACTIONS(1349),
    [aux_sym_check_host_ip_token1] = ACTIONS(1349),
    [aux_sym_ciphers_token1] = ACTIONS(1349),
    [aux_sym_cipher_token1] = ACTIONS(1351),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1349),
    [aux_sym_compression_token1] = ACTIONS(1349),
    [aux_sym_connection_attempts_token1] = ACTIONS(1349),
    [aux_sym_connect_timeout_token1] = ACTIONS(1349),
    [aux_sym_control_master_token1] = ACTIONS(1349),
    [aux_sym_control_path_token1] = ACTIONS(1349),
    [aux_sym_control_persist_token1] = ACTIONS(1349),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1349),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1349),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1349),
    [aux_sym_escape_char_token1] = ACTIONS(1349),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1349),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1349),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1349),
    [aux_sym_forward_agent_token1] = ACTIONS(1349),
    [aux_sym_forward_x11_token1] = ACTIONS(1351),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1349),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1349),
    [aux_sym_gateway_ports_token1] = ACTIONS(1349),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1349),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1349),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1349),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1349),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1349),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1349),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1349),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1349),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1349),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1349),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1349),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1349),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1349),
    [aux_sym_host_key_alias_token1] = ACTIONS(1349),
    [aux_sym_hostname_token1] = ACTIONS(1349),
    [aux_sym_identities_only_token1] = ACTIONS(1349),
    [aux_sym_identity_agent_token1] = ACTIONS(1349),
    [aux_sym_identity_file_token1] = ACTIONS(1349),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1349),
    [aux_sym_include_token1] = ACTIONS(1349),
    [aux_sym_ip_qos_token1] = ACTIONS(1349),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1349),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1349),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1349),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1349),
    [aux_sym_local_command_token1] = ACTIONS(1349),
    [aux_sym_local_forward_token1] = ACTIONS(1349),
    [aux_sym_log_level_token1] = ACTIONS(1349),
    [aux_sym_log_verbose_token1] = ACTIONS(1349),
    [aux_sym_macs_token1] = ACTIONS(1349),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1349),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1349),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1349),
    [aux_sym_password_authentication_token1] = ACTIONS(1349),
    [aux_sym_permit_local_command_token1] = ACTIONS(1349),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1349),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1349),
    [aux_sym_port_token1] = ACTIONS(1349),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1349),
    [aux_sym_protocol_token1] = ACTIONS(1349),
    [aux_sym_proxy_command_token1] = ACTIONS(1349),
    [aux_sym_proxy_jump_token1] = ACTIONS(1349),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1349),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1349),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1349),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1349),
    [aux_sym_rekey_limit_token1] = ACTIONS(1349),
    [aux_sym_remote_command_token1] = ACTIONS(1349),
    [aux_sym_remote_forward_token1] = ACTIONS(1349),
    [aux_sym_request_tty_token1] = ACTIONS(1349),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1349),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1349),
    [aux_sym_security_key_provider_token1] = ACTIONS(1349),
    [aux_sym_send_env_token1] = ACTIONS(1349),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1349),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1349),
    [aux_sym_session_type_token1] = ACTIONS(1349),
    [aux_sym_set_env_token1] = ACTIONS(1349),
    [aux_sym_stdin_null_token1] = ACTIONS(1349),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1349),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1349),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1349),
    [aux_sym_syslog_facility_token1] = ACTIONS(1349),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1349),
    [aux_sym_keep_alive_token1] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [aux_sym_tunnel_token1] = ACTIONS(1351),
    [aux_sym_tunnel_device_token1] = ACTIONS(1349),
    [aux_sym_update_host_keys_token1] = ACTIONS(1349),
    [aux_sym_use_keychain_token1] = ACTIONS(1349),
    [aux_sym_use_roaming_token1] = ACTIONS(1349),
    [aux_sym_user_token1] = ACTIONS(1351),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1349),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1349),
    [aux_sym_visual_host_key_token1] = ACTIONS(1349),
    [aux_sym_xauth_location_token1] = ACTIONS(1349),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1357),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [aux_sym_match_token1] = ACTIONS(1355),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1355),
    [aux_sym_address_family_token1] = ACTIONS(1355),
    [aux_sym_batch_mode_token1] = ACTIONS(1355),
    [aux_sym_bind_address_token1] = ACTIONS(1355),
    [aux_sym_bind_interface_token1] = ACTIONS(1355),
    [aux_sym_canonical_domains_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1355),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1355),
    [aux_sym_certificate_file_token1] = ACTIONS(1355),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1355),
    [aux_sym_channel_timeout_token1] = ACTIONS(1355),
    [aux_sym_check_host_ip_token1] = ACTIONS(1355),
    [aux_sym_ciphers_token1] = ACTIONS(1355),
    [aux_sym_cipher_token1] = ACTIONS(1357),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1355),
    [aux_sym_compression_token1] = ACTIONS(1355),
    [aux_sym_connection_attempts_token1] = ACTIONS(1355),
    [aux_sym_connect_timeout_token1] = ACTIONS(1355),
    [aux_sym_control_master_token1] = ACTIONS(1355),
    [aux_sym_control_path_token1] = ACTIONS(1355),
    [aux_sym_control_persist_token1] = ACTIONS(1355),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1355),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1355),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1355),
    [aux_sym_escape_char_token1] = ACTIONS(1355),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1355),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1355),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1355),
    [aux_sym_forward_agent_token1] = ACTIONS(1355),
    [aux_sym_forward_x11_token1] = ACTIONS(1357),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1355),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1355),
    [aux_sym_gateway_ports_token1] = ACTIONS(1355),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1355),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1355),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1355),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1355),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1355),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1355),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1355),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1355),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1355),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1355),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1355),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1355),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1355),
    [aux_sym_host_key_alias_token1] = ACTIONS(1355),
    [aux_sym_hostname_token1] = ACTIONS(1355),
    [aux_sym_identities_only_token1] = ACTIONS(1355),
    [aux_sym_identity_agent_token1] = ACTIONS(1355),
    [aux_sym_identity_file_token1] = ACTIONS(1355),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1355),
    [aux_sym_include_token1] = ACTIONS(1355),
    [aux_sym_ip_qos_token1] = ACTIONS(1355),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1355),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1355),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1355),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1355),
    [aux_sym_local_command_token1] = ACTIONS(1355),
    [aux_sym_local_forward_token1] = ACTIONS(1355),
    [aux_sym_log_level_token1] = ACTIONS(1355),
    [aux_sym_log_verbose_token1] = ACTIONS(1355),
    [aux_sym_macs_token1] = ACTIONS(1355),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1355),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1355),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1355),
    [aux_sym_password_authentication_token1] = ACTIONS(1355),
    [aux_sym_permit_local_command_token1] = ACTIONS(1355),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1355),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1355),
    [aux_sym_port_token1] = ACTIONS(1355),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1355),
    [aux_sym_protocol_token1] = ACTIONS(1355),
    [aux_sym_proxy_command_token1] = ACTIONS(1355),
    [aux_sym_proxy_jump_token1] = ACTIONS(1355),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1355),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1355),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1355),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1355),
    [aux_sym_rekey_limit_token1] = ACTIONS(1355),
    [aux_sym_remote_command_token1] = ACTIONS(1355),
    [aux_sym_remote_forward_token1] = ACTIONS(1355),
    [aux_sym_request_tty_token1] = ACTIONS(1355),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1355),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1355),
    [aux_sym_security_key_provider_token1] = ACTIONS(1355),
    [aux_sym_send_env_token1] = ACTIONS(1355),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1355),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1355),
    [aux_sym_session_type_token1] = ACTIONS(1355),
    [aux_sym_set_env_token1] = ACTIONS(1355),
    [aux_sym_stdin_null_token1] = ACTIONS(1355),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1355),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1355),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1355),
    [aux_sym_syslog_facility_token1] = ACTIONS(1355),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1355),
    [aux_sym_keep_alive_token1] = ACTIONS(1355),
    [aux_sym_tag_token1] = ACTIONS(1355),
    [aux_sym_tunnel_token1] = ACTIONS(1357),
    [aux_sym_tunnel_device_token1] = ACTIONS(1355),
    [aux_sym_update_host_keys_token1] = ACTIONS(1355),
    [aux_sym_use_keychain_token1] = ACTIONS(1355),
    [aux_sym_use_roaming_token1] = ACTIONS(1355),
    [aux_sym_user_token1] = ACTIONS(1357),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1355),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1355),
    [aux_sym_visual_host_key_token1] = ACTIONS(1355),
    [aux_sym_xauth_location_token1] = ACTIONS(1355),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [aux_sym_match_token1] = ACTIONS(1361),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1361),
    [aux_sym_address_family_token1] = ACTIONS(1361),
    [aux_sym_batch_mode_token1] = ACTIONS(1361),
    [aux_sym_bind_address_token1] = ACTIONS(1361),
    [aux_sym_bind_interface_token1] = ACTIONS(1361),
    [aux_sym_canonical_domains_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1361),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1361),
    [aux_sym_certificate_file_token1] = ACTIONS(1361),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1361),
    [aux_sym_channel_timeout_token1] = ACTIONS(1361),
    [aux_sym_check_host_ip_token1] = ACTIONS(1361),
    [aux_sym_ciphers_token1] = ACTIONS(1361),
    [aux_sym_cipher_token1] = ACTIONS(1363),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1361),
    [aux_sym_compression_token1] = ACTIONS(1361),
    [aux_sym_connection_attempts_token1] = ACTIONS(1361),
    [aux_sym_connect_timeout_token1] = ACTIONS(1361),
    [aux_sym_control_master_token1] = ACTIONS(1361),
    [aux_sym_control_path_token1] = ACTIONS(1361),
    [aux_sym_control_persist_token1] = ACTIONS(1361),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1361),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1361),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1361),
    [aux_sym_escape_char_token1] = ACTIONS(1361),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1361),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1361),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1361),
    [aux_sym_forward_agent_token1] = ACTIONS(1361),
    [aux_sym_forward_x11_token1] = ACTIONS(1363),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1361),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1361),
    [aux_sym_gateway_ports_token1] = ACTIONS(1361),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1361),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1361),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1361),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1361),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1361),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1361),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1361),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1361),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1361),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1361),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1361),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1361),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1361),
    [aux_sym_host_key_alias_token1] = ACTIONS(1361),
    [aux_sym_hostname_token1] = ACTIONS(1361),
    [aux_sym_identities_only_token1] = ACTIONS(1361),
    [aux_sym_identity_agent_token1] = ACTIONS(1361),
    [aux_sym_identity_file_token1] = ACTIONS(1361),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1361),
    [aux_sym_include_token1] = ACTIONS(1361),
    [aux_sym_ip_qos_token1] = ACTIONS(1361),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1361),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1361),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1361),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1361),
    [aux_sym_local_command_token1] = ACTIONS(1361),
    [aux_sym_local_forward_token1] = ACTIONS(1361),
    [aux_sym_log_level_token1] = ACTIONS(1361),
    [aux_sym_log_verbose_token1] = ACTIONS(1361),
    [aux_sym_macs_token1] = ACTIONS(1361),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1361),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1361),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1361),
    [aux_sym_password_authentication_token1] = ACTIONS(1361),
    [aux_sym_permit_local_command_token1] = ACTIONS(1361),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1361),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1361),
    [aux_sym_port_token1] = ACTIONS(1361),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1361),
    [aux_sym_protocol_token1] = ACTIONS(1361),
    [aux_sym_proxy_command_token1] = ACTIONS(1361),
    [aux_sym_proxy_jump_token1] = ACTIONS(1361),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1361),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1361),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1361),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1361),
    [aux_sym_rekey_limit_token1] = ACTIONS(1361),
    [aux_sym_remote_command_token1] = ACTIONS(1361),
    [aux_sym_remote_forward_token1] = ACTIONS(1361),
    [aux_sym_request_tty_token1] = ACTIONS(1361),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1361),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1361),
    [aux_sym_security_key_provider_token1] = ACTIONS(1361),
    [aux_sym_send_env_token1] = ACTIONS(1361),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1361),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1361),
    [aux_sym_session_type_token1] = ACTIONS(1361),
    [aux_sym_set_env_token1] = ACTIONS(1361),
    [aux_sym_stdin_null_token1] = ACTIONS(1361),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1361),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1361),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1361),
    [aux_sym_syslog_facility_token1] = ACTIONS(1361),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1361),
    [aux_sym_keep_alive_token1] = ACTIONS(1361),
    [aux_sym_tag_token1] = ACTIONS(1361),
    [aux_sym_tunnel_token1] = ACTIONS(1363),
    [aux_sym_tunnel_device_token1] = ACTIONS(1361),
    [aux_sym_update_host_keys_token1] = ACTIONS(1361),
    [aux_sym_use_keychain_token1] = ACTIONS(1361),
    [aux_sym_use_roaming_token1] = ACTIONS(1361),
    [aux_sym_user_token1] = ACTIONS(1363),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1361),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1361),
    [aux_sym_visual_host_key_token1] = ACTIONS(1361),
    [aux_sym_xauth_location_token1] = ACTIONS(1361),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1371),
    [aux_sym_match_token1] = ACTIONS(1367),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1367),
    [aux_sym_address_family_token1] = ACTIONS(1367),
    [aux_sym_batch_mode_token1] = ACTIONS(1367),
    [aux_sym_bind_address_token1] = ACTIONS(1367),
    [aux_sym_bind_interface_token1] = ACTIONS(1367),
    [aux_sym_canonical_domains_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1367),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1367),
    [aux_sym_certificate_file_token1] = ACTIONS(1367),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1367),
    [aux_sym_channel_timeout_token1] = ACTIONS(1367),
    [aux_sym_check_host_ip_token1] = ACTIONS(1367),
    [aux_sym_ciphers_token1] = ACTIONS(1367),
    [aux_sym_cipher_token1] = ACTIONS(1369),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1367),
    [aux_sym_compression_token1] = ACTIONS(1367),
    [aux_sym_connection_attempts_token1] = ACTIONS(1367),
    [aux_sym_connect_timeout_token1] = ACTIONS(1367),
    [aux_sym_control_master_token1] = ACTIONS(1367),
    [aux_sym_control_path_token1] = ACTIONS(1367),
    [aux_sym_control_persist_token1] = ACTIONS(1367),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1367),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1367),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1367),
    [aux_sym_escape_char_token1] = ACTIONS(1367),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1367),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1367),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1367),
    [aux_sym_forward_agent_token1] = ACTIONS(1367),
    [aux_sym_forward_x11_token1] = ACTIONS(1369),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1367),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1367),
    [aux_sym_gateway_ports_token1] = ACTIONS(1367),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1367),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1367),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1367),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1367),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1367),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1367),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1367),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1367),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1367),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1367),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1367),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1367),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1367),
    [aux_sym_host_key_alias_token1] = ACTIONS(1367),
    [aux_sym_hostname_token1] = ACTIONS(1367),
    [aux_sym_identities_only_token1] = ACTIONS(1367),
    [aux_sym_identity_agent_token1] = ACTIONS(1367),
    [aux_sym_identity_file_token1] = ACTIONS(1367),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1367),
    [aux_sym_include_token1] = ACTIONS(1367),
    [aux_sym_ip_qos_token1] = ACTIONS(1367),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1367),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1367),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1367),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1367),
    [aux_sym_local_command_token1] = ACTIONS(1367),
    [aux_sym_local_forward_token1] = ACTIONS(1367),
    [aux_sym_log_level_token1] = ACTIONS(1367),
    [aux_sym_log_verbose_token1] = ACTIONS(1367),
    [aux_sym_macs_token1] = ACTIONS(1367),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1367),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1367),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1367),
    [aux_sym_password_authentication_token1] = ACTIONS(1367),
    [aux_sym_permit_local_command_token1] = ACTIONS(1367),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1367),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1367),
    [aux_sym_port_token1] = ACTIONS(1367),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1367),
    [aux_sym_protocol_token1] = ACTIONS(1367),
    [aux_sym_proxy_command_token1] = ACTIONS(1367),
    [aux_sym_proxy_jump_token1] = ACTIONS(1367),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1367),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1367),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1367),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1367),
    [aux_sym_rekey_limit_token1] = ACTIONS(1367),
    [aux_sym_remote_command_token1] = ACTIONS(1367),
    [aux_sym_remote_forward_token1] = ACTIONS(1367),
    [aux_sym_request_tty_token1] = ACTIONS(1367),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1367),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1367),
    [aux_sym_security_key_provider_token1] = ACTIONS(1367),
    [aux_sym_send_env_token1] = ACTIONS(1367),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1367),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1367),
    [aux_sym_session_type_token1] = ACTIONS(1367),
    [aux_sym_set_env_token1] = ACTIONS(1367),
    [aux_sym_stdin_null_token1] = ACTIONS(1367),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1367),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1367),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1367),
    [aux_sym_syslog_facility_token1] = ACTIONS(1367),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1367),
    [aux_sym_keep_alive_token1] = ACTIONS(1367),
    [aux_sym_tag_token1] = ACTIONS(1367),
    [aux_sym_tunnel_token1] = ACTIONS(1369),
    [aux_sym_tunnel_device_token1] = ACTIONS(1367),
    [aux_sym_update_host_keys_token1] = ACTIONS(1367),
    [aux_sym_use_keychain_token1] = ACTIONS(1367),
    [aux_sym_use_roaming_token1] = ACTIONS(1367),
    [aux_sym_user_token1] = ACTIONS(1369),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1367),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1367),
    [aux_sym_visual_host_key_token1] = ACTIONS(1367),
    [aux_sym_xauth_location_token1] = ACTIONS(1367),
  },
  [135] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [aux_sym_match_token1] = ACTIONS(1373),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1373),
    [aux_sym_address_family_token1] = ACTIONS(1373),
    [aux_sym_batch_mode_token1] = ACTIONS(1373),
    [aux_sym_bind_address_token1] = ACTIONS(1373),
    [aux_sym_bind_interface_token1] = ACTIONS(1373),
    [aux_sym_canonical_domains_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1373),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1373),
    [aux_sym_certificate_file_token1] = ACTIONS(1373),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1373),
    [aux_sym_channel_timeout_token1] = ACTIONS(1373),
    [aux_sym_check_host_ip_token1] = ACTIONS(1373),
    [aux_sym_ciphers_token1] = ACTIONS(1373),
    [aux_sym_cipher_token1] = ACTIONS(1375),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1373),
    [aux_sym_compression_token1] = ACTIONS(1373),
    [aux_sym_connection_attempts_token1] = ACTIONS(1373),
    [aux_sym_connect_timeout_token1] = ACTIONS(1373),
    [aux_sym_control_master_token1] = ACTIONS(1373),
    [aux_sym_control_path_token1] = ACTIONS(1373),
    [aux_sym_control_persist_token1] = ACTIONS(1373),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1373),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1373),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1373),
    [aux_sym_escape_char_token1] = ACTIONS(1373),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1373),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1373),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1373),
    [aux_sym_forward_agent_token1] = ACTIONS(1373),
    [aux_sym_forward_x11_token1] = ACTIONS(1375),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1373),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1373),
    [aux_sym_gateway_ports_token1] = ACTIONS(1373),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1373),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1373),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1373),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1373),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1373),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1373),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1373),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1373),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1373),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1373),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1373),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1373),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1373),
    [aux_sym_host_key_alias_token1] = ACTIONS(1373),
    [aux_sym_hostname_token1] = ACTIONS(1373),
    [aux_sym_identities_only_token1] = ACTIONS(1373),
    [aux_sym_identity_agent_token1] = ACTIONS(1373),
    [aux_sym_identity_file_token1] = ACTIONS(1373),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1373),
    [aux_sym_include_token1] = ACTIONS(1373),
    [aux_sym_ip_qos_token1] = ACTIONS(1373),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1373),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1373),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1373),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1373),
    [aux_sym_local_command_token1] = ACTIONS(1373),
    [aux_sym_local_forward_token1] = ACTIONS(1373),
    [aux_sym_log_level_token1] = ACTIONS(1373),
    [aux_sym_log_verbose_token1] = ACTIONS(1373),
    [aux_sym_macs_token1] = ACTIONS(1373),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1373),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1373),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1373),
    [aux_sym_password_authentication_token1] = ACTIONS(1373),
    [aux_sym_permit_local_command_token1] = ACTIONS(1373),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1373),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1373),
    [aux_sym_port_token1] = ACTIONS(1373),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1373),
    [aux_sym_protocol_token1] = ACTIONS(1373),
    [aux_sym_proxy_command_token1] = ACTIONS(1373),
    [aux_sym_proxy_jump_token1] = ACTIONS(1373),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1373),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1373),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1373),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1373),
    [aux_sym_rekey_limit_token1] = ACTIONS(1373),
    [aux_sym_remote_command_token1] = ACTIONS(1373),
    [aux_sym_remote_forward_token1] = ACTIONS(1373),
    [aux_sym_request_tty_token1] = ACTIONS(1373),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1373),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1373),
    [aux_sym_security_key_provider_token1] = ACTIONS(1373),
    [aux_sym_send_env_token1] = ACTIONS(1373),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1373),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1373),
    [aux_sym_session_type_token1] = ACTIONS(1373),
    [aux_sym_set_env_token1] = ACTIONS(1373),
    [aux_sym_stdin_null_token1] = ACTIONS(1373),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1373),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1373),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1373),
    [aux_sym_syslog_facility_token1] = ACTIONS(1373),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1373),
    [aux_sym_keep_alive_token1] = ACTIONS(1373),
    [aux_sym_tag_token1] = ACTIONS(1373),
    [aux_sym_tunnel_token1] = ACTIONS(1375),
    [aux_sym_tunnel_device_token1] = ACTIONS(1373),
    [aux_sym_update_host_keys_token1] = ACTIONS(1373),
    [aux_sym_use_keychain_token1] = ACTIONS(1373),
    [aux_sym_use_roaming_token1] = ACTIONS(1373),
    [aux_sym_user_token1] = ACTIONS(1375),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1373),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1373),
    [aux_sym_visual_host_key_token1] = ACTIONS(1373),
    [aux_sym_xauth_location_token1] = ACTIONS(1373),
  },
  [136] = {
    [ts_builtin_sym_end] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1383),
    [aux_sym_match_token1] = ACTIONS(1379),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1379),
    [aux_sym_address_family_token1] = ACTIONS(1379),
    [aux_sym_batch_mode_token1] = ACTIONS(1379),
    [aux_sym_bind_address_token1] = ACTIONS(1379),
    [aux_sym_bind_interface_token1] = ACTIONS(1379),
    [aux_sym_canonical_domains_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1379),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1379),
    [aux_sym_certificate_file_token1] = ACTIONS(1379),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1379),
    [aux_sym_channel_timeout_token1] = ACTIONS(1379),
    [aux_sym_check_host_ip_token1] = ACTIONS(1379),
    [aux_sym_ciphers_token1] = ACTIONS(1379),
    [aux_sym_cipher_token1] = ACTIONS(1381),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1379),
    [aux_sym_compression_token1] = ACTIONS(1379),
    [aux_sym_connection_attempts_token1] = ACTIONS(1379),
    [aux_sym_connect_timeout_token1] = ACTIONS(1379),
    [aux_sym_control_master_token1] = ACTIONS(1379),
    [aux_sym_control_path_token1] = ACTIONS(1379),
    [aux_sym_control_persist_token1] = ACTIONS(1379),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1379),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1379),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1379),
    [aux_sym_escape_char_token1] = ACTIONS(1379),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1379),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1379),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1379),
    [aux_sym_forward_agent_token1] = ACTIONS(1379),
    [aux_sym_forward_x11_token1] = ACTIONS(1381),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1379),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1379),
    [aux_sym_gateway_ports_token1] = ACTIONS(1379),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1379),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1379),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1379),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1379),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1379),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1379),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1379),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1379),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1379),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1379),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1379),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1379),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1379),
    [aux_sym_host_key_alias_token1] = ACTIONS(1379),
    [aux_sym_hostname_token1] = ACTIONS(1379),
    [aux_sym_identities_only_token1] = ACTIONS(1379),
    [aux_sym_identity_agent_token1] = ACTIONS(1379),
    [aux_sym_identity_file_token1] = ACTIONS(1379),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1379),
    [aux_sym_include_token1] = ACTIONS(1379),
    [aux_sym_ip_qos_token1] = ACTIONS(1379),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1379),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1379),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1379),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1379),
    [aux_sym_local_command_token1] = ACTIONS(1379),
    [aux_sym_local_forward_token1] = ACTIONS(1379),
    [aux_sym_log_level_token1] = ACTIONS(1379),
    [aux_sym_log_verbose_token1] = ACTIONS(1379),
    [aux_sym_macs_token1] = ACTIONS(1379),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1379),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1379),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1379),
    [aux_sym_password_authentication_token1] = ACTIONS(1379),
    [aux_sym_permit_local_command_token1] = ACTIONS(1379),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1379),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1379),
    [aux_sym_port_token1] = ACTIONS(1379),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1379),
    [aux_sym_protocol_token1] = ACTIONS(1379),
    [aux_sym_proxy_command_token1] = ACTIONS(1379),
    [aux_sym_proxy_jump_token1] = ACTIONS(1379),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1379),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1379),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1379),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1379),
    [aux_sym_rekey_limit_token1] = ACTIONS(1379),
    [aux_sym_remote_command_token1] = ACTIONS(1379),
    [aux_sym_remote_forward_token1] = ACTIONS(1379),
    [aux_sym_request_tty_token1] = ACTIONS(1379),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1379),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1379),
    [aux_sym_security_key_provider_token1] = ACTIONS(1379),
    [aux_sym_send_env_token1] = ACTIONS(1379),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1379),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1379),
    [aux_sym_session_type_token1] = ACTIONS(1379),
    [aux_sym_set_env_token1] = ACTIONS(1379),
    [aux_sym_stdin_null_token1] = ACTIONS(1379),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1379),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1379),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1379),
    [aux_sym_syslog_facility_token1] = ACTIONS(1379),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1379),
    [aux_sym_keep_alive_token1] = ACTIONS(1379),
    [aux_sym_tag_token1] = ACTIONS(1379),
    [aux_sym_tunnel_token1] = ACTIONS(1381),
    [aux_sym_tunnel_device_token1] = ACTIONS(1379),
    [aux_sym_update_host_keys_token1] = ACTIONS(1379),
    [aux_sym_use_keychain_token1] = ACTIONS(1379),
    [aux_sym_use_roaming_token1] = ACTIONS(1379),
    [aux_sym_user_token1] = ACTIONS(1381),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1379),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1379),
    [aux_sym_visual_host_key_token1] = ACTIONS(1379),
    [aux_sym_xauth_location_token1] = ACTIONS(1379),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [aux_sym_match_token1] = ACTIONS(1385),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1385),
    [aux_sym_address_family_token1] = ACTIONS(1385),
    [aux_sym_batch_mode_token1] = ACTIONS(1385),
    [aux_sym_bind_address_token1] = ACTIONS(1385),
    [aux_sym_bind_interface_token1] = ACTIONS(1385),
    [aux_sym_canonical_domains_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1385),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1385),
    [aux_sym_certificate_file_token1] = ACTIONS(1385),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1385),
    [aux_sym_channel_timeout_token1] = ACTIONS(1385),
    [aux_sym_check_host_ip_token1] = ACTIONS(1385),
    [aux_sym_ciphers_token1] = ACTIONS(1385),
    [aux_sym_cipher_token1] = ACTIONS(1387),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1385),
    [aux_sym_compression_token1] = ACTIONS(1385),
    [aux_sym_connection_attempts_token1] = ACTIONS(1385),
    [aux_sym_connect_timeout_token1] = ACTIONS(1385),
    [aux_sym_control_master_token1] = ACTIONS(1385),
    [aux_sym_control_path_token1] = ACTIONS(1385),
    [aux_sym_control_persist_token1] = ACTIONS(1385),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1385),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1385),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1385),
    [aux_sym_escape_char_token1] = ACTIONS(1385),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1385),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1385),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1385),
    [aux_sym_forward_agent_token1] = ACTIONS(1385),
    [aux_sym_forward_x11_token1] = ACTIONS(1387),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1385),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1385),
    [aux_sym_gateway_ports_token1] = ACTIONS(1385),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1385),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1385),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1385),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1385),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1385),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1385),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1385),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1385),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1385),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1385),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1385),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1385),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1385),
    [aux_sym_host_key_alias_token1] = ACTIONS(1385),
    [aux_sym_hostname_token1] = ACTIONS(1385),
    [aux_sym_identities_only_token1] = ACTIONS(1385),
    [aux_sym_identity_agent_token1] = ACTIONS(1385),
    [aux_sym_identity_file_token1] = ACTIONS(1385),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1385),
    [aux_sym_include_token1] = ACTIONS(1385),
    [aux_sym_ip_qos_token1] = ACTIONS(1385),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1385),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1385),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1385),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1385),
    [aux_sym_local_command_token1] = ACTIONS(1385),
    [aux_sym_local_forward_token1] = ACTIONS(1385),
    [aux_sym_log_level_token1] = ACTIONS(1385),
    [aux_sym_log_verbose_token1] = ACTIONS(1385),
    [aux_sym_macs_token1] = ACTIONS(1385),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1385),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1385),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1385),
    [aux_sym_password_authentication_token1] = ACTIONS(1385),
    [aux_sym_permit_local_command_token1] = ACTIONS(1385),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1385),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1385),
    [aux_sym_port_token1] = ACTIONS(1385),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1385),
    [aux_sym_protocol_token1] = ACTIONS(1385),
    [aux_sym_proxy_command_token1] = ACTIONS(1385),
    [aux_sym_proxy_jump_token1] = ACTIONS(1385),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1385),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1385),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1385),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1385),
    [aux_sym_rekey_limit_token1] = ACTIONS(1385),
    [aux_sym_remote_command_token1] = ACTIONS(1385),
    [aux_sym_remote_forward_token1] = ACTIONS(1385),
    [aux_sym_request_tty_token1] = ACTIONS(1385),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1385),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1385),
    [aux_sym_security_key_provider_token1] = ACTIONS(1385),
    [aux_sym_send_env_token1] = ACTIONS(1385),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1385),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1385),
    [aux_sym_session_type_token1] = ACTIONS(1385),
    [aux_sym_set_env_token1] = ACTIONS(1385),
    [aux_sym_stdin_null_token1] = ACTIONS(1385),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1385),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1385),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1385),
    [aux_sym_syslog_facility_token1] = ACTIONS(1385),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1385),
    [aux_sym_keep_alive_token1] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1385),
    [aux_sym_tunnel_token1] = ACTIONS(1387),
    [aux_sym_tunnel_device_token1] = ACTIONS(1385),
    [aux_sym_update_host_keys_token1] = ACTIONS(1385),
    [aux_sym_use_keychain_token1] = ACTIONS(1385),
    [aux_sym_use_roaming_token1] = ACTIONS(1385),
    [aux_sym_user_token1] = ACTIONS(1387),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1385),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1385),
    [aux_sym_visual_host_key_token1] = ACTIONS(1385),
    [aux_sym_xauth_location_token1] = ACTIONS(1385),
  },
  [138] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [aux_sym_match_token1] = ACTIONS(1391),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1391),
    [aux_sym_address_family_token1] = ACTIONS(1391),
    [aux_sym_batch_mode_token1] = ACTIONS(1391),
    [aux_sym_bind_address_token1] = ACTIONS(1391),
    [aux_sym_bind_interface_token1] = ACTIONS(1391),
    [aux_sym_canonical_domains_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1391),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1391),
    [aux_sym_certificate_file_token1] = ACTIONS(1391),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1391),
    [aux_sym_channel_timeout_token1] = ACTIONS(1391),
    [aux_sym_check_host_ip_token1] = ACTIONS(1391),
    [aux_sym_ciphers_token1] = ACTIONS(1391),
    [aux_sym_cipher_token1] = ACTIONS(1393),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1391),
    [aux_sym_compression_token1] = ACTIONS(1391),
    [aux_sym_connection_attempts_token1] = ACTIONS(1391),
    [aux_sym_connect_timeout_token1] = ACTIONS(1391),
    [aux_sym_control_master_token1] = ACTIONS(1391),
    [aux_sym_control_path_token1] = ACTIONS(1391),
    [aux_sym_control_persist_token1] = ACTIONS(1391),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1391),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1391),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1391),
    [aux_sym_escape_char_token1] = ACTIONS(1391),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1391),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1391),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1391),
    [aux_sym_forward_agent_token1] = ACTIONS(1391),
    [aux_sym_forward_x11_token1] = ACTIONS(1393),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1391),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1391),
    [aux_sym_gateway_ports_token1] = ACTIONS(1391),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1391),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1391),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1391),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1391),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1391),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1391),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1391),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1391),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1391),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1391),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1391),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1391),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1391),
    [aux_sym_host_key_alias_token1] = ACTIONS(1391),
    [aux_sym_hostname_token1] = ACTIONS(1391),
    [aux_sym_identities_only_token1] = ACTIONS(1391),
    [aux_sym_identity_agent_token1] = ACTIONS(1391),
    [aux_sym_identity_file_token1] = ACTIONS(1391),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1391),
    [aux_sym_include_token1] = ACTIONS(1391),
    [aux_sym_ip_qos_token1] = ACTIONS(1391),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1391),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1391),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1391),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1391),
    [aux_sym_local_command_token1] = ACTIONS(1391),
    [aux_sym_local_forward_token1] = ACTIONS(1391),
    [aux_sym_log_level_token1] = ACTIONS(1391),
    [aux_sym_log_verbose_token1] = ACTIONS(1391),
    [aux_sym_macs_token1] = ACTIONS(1391),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1391),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1391),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1391),
    [aux_sym_password_authentication_token1] = ACTIONS(1391),
    [aux_sym_permit_local_command_token1] = ACTIONS(1391),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1391),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1391),
    [aux_sym_port_token1] = ACTIONS(1391),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1391),
    [aux_sym_protocol_token1] = ACTIONS(1391),
    [aux_sym_proxy_command_token1] = ACTIONS(1391),
    [aux_sym_proxy_jump_token1] = ACTIONS(1391),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1391),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1391),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1391),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1391),
    [aux_sym_rekey_limit_token1] = ACTIONS(1391),
    [aux_sym_remote_command_token1] = ACTIONS(1391),
    [aux_sym_remote_forward_token1] = ACTIONS(1391),
    [aux_sym_request_tty_token1] = ACTIONS(1391),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1391),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1391),
    [aux_sym_security_key_provider_token1] = ACTIONS(1391),
    [aux_sym_send_env_token1] = ACTIONS(1391),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1391),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1391),
    [aux_sym_session_type_token1] = ACTIONS(1391),
    [aux_sym_set_env_token1] = ACTIONS(1391),
    [aux_sym_stdin_null_token1] = ACTIONS(1391),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1391),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1391),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1391),
    [aux_sym_syslog_facility_token1] = ACTIONS(1391),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1391),
    [aux_sym_keep_alive_token1] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1391),
    [aux_sym_tunnel_token1] = ACTIONS(1393),
    [aux_sym_tunnel_device_token1] = ACTIONS(1391),
    [aux_sym_update_host_keys_token1] = ACTIONS(1391),
    [aux_sym_use_keychain_token1] = ACTIONS(1391),
    [aux_sym_use_roaming_token1] = ACTIONS(1391),
    [aux_sym_user_token1] = ACTIONS(1393),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1391),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1391),
    [aux_sym_visual_host_key_token1] = ACTIONS(1391),
    [aux_sym_xauth_location_token1] = ACTIONS(1391),
  },
  [139] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1399),
    [anon_sym_DQUOTE] = ACTIONS(1401),
    [aux_sym_match_token1] = ACTIONS(1397),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1397),
    [aux_sym_address_family_token1] = ACTIONS(1397),
    [aux_sym_batch_mode_token1] = ACTIONS(1397),
    [aux_sym_bind_address_token1] = ACTIONS(1397),
    [aux_sym_bind_interface_token1] = ACTIONS(1397),
    [aux_sym_canonical_domains_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1397),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1397),
    [aux_sym_certificate_file_token1] = ACTIONS(1397),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1397),
    [aux_sym_channel_timeout_token1] = ACTIONS(1397),
    [aux_sym_check_host_ip_token1] = ACTIONS(1397),
    [aux_sym_ciphers_token1] = ACTIONS(1397),
    [aux_sym_cipher_token1] = ACTIONS(1399),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1397),
    [aux_sym_compression_token1] = ACTIONS(1397),
    [aux_sym_connection_attempts_token1] = ACTIONS(1397),
    [aux_sym_connect_timeout_token1] = ACTIONS(1397),
    [aux_sym_control_master_token1] = ACTIONS(1397),
    [aux_sym_control_path_token1] = ACTIONS(1397),
    [aux_sym_control_persist_token1] = ACTIONS(1397),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1397),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1397),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1397),
    [aux_sym_escape_char_token1] = ACTIONS(1397),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1397),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1397),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1397),
    [aux_sym_forward_agent_token1] = ACTIONS(1397),
    [aux_sym_forward_x11_token1] = ACTIONS(1399),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1397),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1397),
    [aux_sym_gateway_ports_token1] = ACTIONS(1397),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1397),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1397),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1397),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1397),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1397),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1397),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1397),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1397),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1397),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1397),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1397),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1397),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1397),
    [aux_sym_host_key_alias_token1] = ACTIONS(1397),
    [aux_sym_hostname_token1] = ACTIONS(1397),
    [aux_sym_identities_only_token1] = ACTIONS(1397),
    [aux_sym_identity_agent_token1] = ACTIONS(1397),
    [aux_sym_identity_file_token1] = ACTIONS(1397),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1397),
    [aux_sym_include_token1] = ACTIONS(1397),
    [aux_sym_ip_qos_token1] = ACTIONS(1397),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1397),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1397),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1397),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1397),
    [aux_sym_local_command_token1] = ACTIONS(1397),
    [aux_sym_local_forward_token1] = ACTIONS(1397),
    [aux_sym_log_level_token1] = ACTIONS(1397),
    [aux_sym_log_verbose_token1] = ACTIONS(1397),
    [aux_sym_macs_token1] = ACTIONS(1397),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1397),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1397),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1397),
    [aux_sym_password_authentication_token1] = ACTIONS(1397),
    [aux_sym_permit_local_command_token1] = ACTIONS(1397),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1397),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1397),
    [aux_sym_port_token1] = ACTIONS(1397),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1397),
    [aux_sym_protocol_token1] = ACTIONS(1397),
    [aux_sym_proxy_command_token1] = ACTIONS(1397),
    [aux_sym_proxy_jump_token1] = ACTIONS(1397),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1397),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1397),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1397),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1397),
    [aux_sym_rekey_limit_token1] = ACTIONS(1397),
    [aux_sym_remote_command_token1] = ACTIONS(1397),
    [aux_sym_remote_forward_token1] = ACTIONS(1397),
    [aux_sym_request_tty_token1] = ACTIONS(1397),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1397),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1397),
    [aux_sym_security_key_provider_token1] = ACTIONS(1397),
    [aux_sym_send_env_token1] = ACTIONS(1397),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1397),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1397),
    [aux_sym_session_type_token1] = ACTIONS(1397),
    [aux_sym_set_env_token1] = ACTIONS(1397),
    [aux_sym_stdin_null_token1] = ACTIONS(1397),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1397),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1397),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1397),
    [aux_sym_syslog_facility_token1] = ACTIONS(1397),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1397),
    [aux_sym_keep_alive_token1] = ACTIONS(1397),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [aux_sym_tunnel_token1] = ACTIONS(1399),
    [aux_sym_tunnel_device_token1] = ACTIONS(1397),
    [aux_sym_update_host_keys_token1] = ACTIONS(1397),
    [aux_sym_use_keychain_token1] = ACTIONS(1397),
    [aux_sym_use_roaming_token1] = ACTIONS(1397),
    [aux_sym_user_token1] = ACTIONS(1399),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1397),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1397),
    [aux_sym_visual_host_key_token1] = ACTIONS(1397),
    [aux_sym_xauth_location_token1] = ACTIONS(1397),
  },
  [140] = {
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1405),
    [anon_sym_DQUOTE] = ACTIONS(1407),
    [aux_sym_match_token1] = ACTIONS(1403),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1403),
    [aux_sym_address_family_token1] = ACTIONS(1403),
    [aux_sym_batch_mode_token1] = ACTIONS(1403),
    [aux_sym_bind_address_token1] = ACTIONS(1403),
    [aux_sym_bind_interface_token1] = ACTIONS(1403),
    [aux_sym_canonical_domains_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1403),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1403),
    [aux_sym_certificate_file_token1] = ACTIONS(1403),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1403),
    [aux_sym_channel_timeout_token1] = ACTIONS(1403),
    [aux_sym_check_host_ip_token1] = ACTIONS(1403),
    [aux_sym_ciphers_token1] = ACTIONS(1403),
    [aux_sym_cipher_token1] = ACTIONS(1405),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1403),
    [aux_sym_compression_token1] = ACTIONS(1403),
    [aux_sym_connection_attempts_token1] = ACTIONS(1403),
    [aux_sym_connect_timeout_token1] = ACTIONS(1403),
    [aux_sym_control_master_token1] = ACTIONS(1403),
    [aux_sym_control_path_token1] = ACTIONS(1403),
    [aux_sym_control_persist_token1] = ACTIONS(1403),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1403),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1403),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1403),
    [aux_sym_escape_char_token1] = ACTIONS(1403),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1403),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1403),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1403),
    [aux_sym_forward_agent_token1] = ACTIONS(1403),
    [aux_sym_forward_x11_token1] = ACTIONS(1405),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1403),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1403),
    [aux_sym_gateway_ports_token1] = ACTIONS(1403),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1403),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1403),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1403),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1403),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1403),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1403),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1403),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1403),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1403),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1403),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1403),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1403),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1403),
    [aux_sym_host_key_alias_token1] = ACTIONS(1403),
    [aux_sym_hostname_token1] = ACTIONS(1403),
    [aux_sym_identities_only_token1] = ACTIONS(1403),
    [aux_sym_identity_agent_token1] = ACTIONS(1403),
    [aux_sym_identity_file_token1] = ACTIONS(1403),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1403),
    [aux_sym_include_token1] = ACTIONS(1403),
    [aux_sym_ip_qos_token1] = ACTIONS(1403),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1403),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1403),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1403),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1403),
    [aux_sym_local_command_token1] = ACTIONS(1403),
    [aux_sym_local_forward_token1] = ACTIONS(1403),
    [aux_sym_log_level_token1] = ACTIONS(1403),
    [aux_sym_log_verbose_token1] = ACTIONS(1403),
    [aux_sym_macs_token1] = ACTIONS(1403),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1403),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1403),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1403),
    [aux_sym_password_authentication_token1] = ACTIONS(1403),
    [aux_sym_permit_local_command_token1] = ACTIONS(1403),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1403),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1403),
    [aux_sym_port_token1] = ACTIONS(1403),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1403),
    [aux_sym_protocol_token1] = ACTIONS(1403),
    [aux_sym_proxy_command_token1] = ACTIONS(1403),
    [aux_sym_proxy_jump_token1] = ACTIONS(1403),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1403),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1403),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1403),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1403),
    [aux_sym_rekey_limit_token1] = ACTIONS(1403),
    [aux_sym_remote_command_token1] = ACTIONS(1403),
    [aux_sym_remote_forward_token1] = ACTIONS(1403),
    [aux_sym_request_tty_token1] = ACTIONS(1403),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1403),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1403),
    [aux_sym_security_key_provider_token1] = ACTIONS(1403),
    [aux_sym_send_env_token1] = ACTIONS(1403),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1403),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1403),
    [aux_sym_session_type_token1] = ACTIONS(1403),
    [aux_sym_set_env_token1] = ACTIONS(1403),
    [aux_sym_stdin_null_token1] = ACTIONS(1403),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1403),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1403),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1403),
    [aux_sym_syslog_facility_token1] = ACTIONS(1403),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1403),
    [aux_sym_keep_alive_token1] = ACTIONS(1403),
    [aux_sym_tag_token1] = ACTIONS(1403),
    [aux_sym_tunnel_token1] = ACTIONS(1405),
    [aux_sym_tunnel_device_token1] = ACTIONS(1403),
    [aux_sym_update_host_keys_token1] = ACTIONS(1403),
    [aux_sym_use_keychain_token1] = ACTIONS(1403),
    [aux_sym_use_roaming_token1] = ACTIONS(1403),
    [aux_sym_user_token1] = ACTIONS(1405),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1403),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1403),
    [aux_sym_visual_host_key_token1] = ACTIONS(1403),
    [aux_sym_xauth_location_token1] = ACTIONS(1403),
  },
  [141] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1413),
    [aux_sym_match_token1] = ACTIONS(1409),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1409),
    [aux_sym_address_family_token1] = ACTIONS(1409),
    [aux_sym_batch_mode_token1] = ACTIONS(1409),
    [aux_sym_bind_address_token1] = ACTIONS(1409),
    [aux_sym_bind_interface_token1] = ACTIONS(1409),
    [aux_sym_canonical_domains_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1409),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1409),
    [aux_sym_certificate_file_token1] = ACTIONS(1409),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1409),
    [aux_sym_channel_timeout_token1] = ACTIONS(1409),
    [aux_sym_check_host_ip_token1] = ACTIONS(1409),
    [aux_sym_ciphers_token1] = ACTIONS(1409),
    [aux_sym_cipher_token1] = ACTIONS(1411),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1409),
    [aux_sym_compression_token1] = ACTIONS(1409),
    [aux_sym_connection_attempts_token1] = ACTIONS(1409),
    [aux_sym_connect_timeout_token1] = ACTIONS(1409),
    [aux_sym_control_master_token1] = ACTIONS(1409),
    [aux_sym_control_path_token1] = ACTIONS(1409),
    [aux_sym_control_persist_token1] = ACTIONS(1409),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1409),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1409),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1409),
    [aux_sym_escape_char_token1] = ACTIONS(1409),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1409),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1409),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1409),
    [aux_sym_forward_agent_token1] = ACTIONS(1409),
    [aux_sym_forward_x11_token1] = ACTIONS(1411),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1409),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1409),
    [aux_sym_gateway_ports_token1] = ACTIONS(1409),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1409),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1409),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1409),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1409),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1409),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1409),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1409),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1409),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1409),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1409),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1409),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1409),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1409),
    [aux_sym_host_key_alias_token1] = ACTIONS(1409),
    [aux_sym_hostname_token1] = ACTIONS(1409),
    [aux_sym_identities_only_token1] = ACTIONS(1409),
    [aux_sym_identity_agent_token1] = ACTIONS(1409),
    [aux_sym_identity_file_token1] = ACTIONS(1409),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1409),
    [aux_sym_include_token1] = ACTIONS(1409),
    [aux_sym_ip_qos_token1] = ACTIONS(1409),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1409),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1409),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1409),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1409),
    [aux_sym_local_command_token1] = ACTIONS(1409),
    [aux_sym_local_forward_token1] = ACTIONS(1409),
    [aux_sym_log_level_token1] = ACTIONS(1409),
    [aux_sym_log_verbose_token1] = ACTIONS(1409),
    [aux_sym_macs_token1] = ACTIONS(1409),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1409),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1409),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1409),
    [aux_sym_password_authentication_token1] = ACTIONS(1409),
    [aux_sym_permit_local_command_token1] = ACTIONS(1409),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1409),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1409),
    [aux_sym_port_token1] = ACTIONS(1409),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1409),
    [aux_sym_protocol_token1] = ACTIONS(1409),
    [aux_sym_proxy_command_token1] = ACTIONS(1409),
    [aux_sym_proxy_jump_token1] = ACTIONS(1409),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1409),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1409),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1409),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1409),
    [aux_sym_rekey_limit_token1] = ACTIONS(1409),
    [aux_sym_remote_command_token1] = ACTIONS(1409),
    [aux_sym_remote_forward_token1] = ACTIONS(1409),
    [aux_sym_request_tty_token1] = ACTIONS(1409),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1409),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1409),
    [aux_sym_security_key_provider_token1] = ACTIONS(1409),
    [aux_sym_send_env_token1] = ACTIONS(1409),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1409),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1409),
    [aux_sym_session_type_token1] = ACTIONS(1409),
    [aux_sym_set_env_token1] = ACTIONS(1409),
    [aux_sym_stdin_null_token1] = ACTIONS(1409),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1409),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1409),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1409),
    [aux_sym_syslog_facility_token1] = ACTIONS(1409),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1409),
    [aux_sym_keep_alive_token1] = ACTIONS(1409),
    [aux_sym_tag_token1] = ACTIONS(1409),
    [aux_sym_tunnel_token1] = ACTIONS(1411),
    [aux_sym_tunnel_device_token1] = ACTIONS(1409),
    [aux_sym_update_host_keys_token1] = ACTIONS(1409),
    [aux_sym_use_keychain_token1] = ACTIONS(1409),
    [aux_sym_use_roaming_token1] = ACTIONS(1409),
    [aux_sym_user_token1] = ACTIONS(1411),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1409),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1409),
    [aux_sym_visual_host_key_token1] = ACTIONS(1409),
    [aux_sym_xauth_location_token1] = ACTIONS(1409),
  },
  [142] = {
    [ts_builtin_sym_end] = ACTIONS(1415),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1417),
    [anon_sym_DQUOTE] = ACTIONS(1419),
    [aux_sym_match_token1] = ACTIONS(1415),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1415),
    [aux_sym_address_family_token1] = ACTIONS(1415),
    [aux_sym_batch_mode_token1] = ACTIONS(1415),
    [aux_sym_bind_address_token1] = ACTIONS(1415),
    [aux_sym_bind_interface_token1] = ACTIONS(1415),
    [aux_sym_canonical_domains_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1415),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1415),
    [aux_sym_certificate_file_token1] = ACTIONS(1415),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1415),
    [aux_sym_channel_timeout_token1] = ACTIONS(1415),
    [aux_sym_check_host_ip_token1] = ACTIONS(1415),
    [aux_sym_ciphers_token1] = ACTIONS(1415),
    [aux_sym_cipher_token1] = ACTIONS(1417),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1415),
    [aux_sym_compression_token1] = ACTIONS(1415),
    [aux_sym_connection_attempts_token1] = ACTIONS(1415),
    [aux_sym_connect_timeout_token1] = ACTIONS(1415),
    [aux_sym_control_master_token1] = ACTIONS(1415),
    [aux_sym_control_path_token1] = ACTIONS(1415),
    [aux_sym_control_persist_token1] = ACTIONS(1415),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1415),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1415),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1415),
    [aux_sym_escape_char_token1] = ACTIONS(1415),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1415),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1415),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1415),
    [aux_sym_forward_agent_token1] = ACTIONS(1415),
    [aux_sym_forward_x11_token1] = ACTIONS(1417),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1415),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1415),
    [aux_sym_gateway_ports_token1] = ACTIONS(1415),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1415),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1415),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1415),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1415),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1415),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1415),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1415),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1415),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1415),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1415),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1415),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1415),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1415),
    [aux_sym_host_key_alias_token1] = ACTIONS(1415),
    [aux_sym_hostname_token1] = ACTIONS(1415),
    [aux_sym_identities_only_token1] = ACTIONS(1415),
    [aux_sym_identity_agent_token1] = ACTIONS(1415),
    [aux_sym_identity_file_token1] = ACTIONS(1415),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1415),
    [aux_sym_include_token1] = ACTIONS(1415),
    [aux_sym_ip_qos_token1] = ACTIONS(1415),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1415),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1415),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1415),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1415),
    [aux_sym_local_command_token1] = ACTIONS(1415),
    [aux_sym_local_forward_token1] = ACTIONS(1415),
    [aux_sym_log_level_token1] = ACTIONS(1415),
    [aux_sym_log_verbose_token1] = ACTIONS(1415),
    [aux_sym_macs_token1] = ACTIONS(1415),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1415),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1415),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1415),
    [aux_sym_password_authentication_token1] = ACTIONS(1415),
    [aux_sym_permit_local_command_token1] = ACTIONS(1415),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1415),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1415),
    [aux_sym_port_token1] = ACTIONS(1415),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1415),
    [aux_sym_protocol_token1] = ACTIONS(1415),
    [aux_sym_proxy_command_token1] = ACTIONS(1415),
    [aux_sym_proxy_jump_token1] = ACTIONS(1415),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1415),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1415),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1415),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1415),
    [aux_sym_rekey_limit_token1] = ACTIONS(1415),
    [aux_sym_remote_command_token1] = ACTIONS(1415),
    [aux_sym_remote_forward_token1] = ACTIONS(1415),
    [aux_sym_request_tty_token1] = ACTIONS(1415),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1415),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1415),
    [aux_sym_security_key_provider_token1] = ACTIONS(1415),
    [aux_sym_send_env_token1] = ACTIONS(1415),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1415),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1415),
    [aux_sym_session_type_token1] = ACTIONS(1415),
    [aux_sym_set_env_token1] = ACTIONS(1415),
    [aux_sym_stdin_null_token1] = ACTIONS(1415),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1415),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1415),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1415),
    [aux_sym_syslog_facility_token1] = ACTIONS(1415),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1415),
    [aux_sym_keep_alive_token1] = ACTIONS(1415),
    [aux_sym_tag_token1] = ACTIONS(1415),
    [aux_sym_tunnel_token1] = ACTIONS(1417),
    [aux_sym_tunnel_device_token1] = ACTIONS(1415),
    [aux_sym_update_host_keys_token1] = ACTIONS(1415),
    [aux_sym_use_keychain_token1] = ACTIONS(1415),
    [aux_sym_use_roaming_token1] = ACTIONS(1415),
    [aux_sym_user_token1] = ACTIONS(1417),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1415),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1415),
    [aux_sym_visual_host_key_token1] = ACTIONS(1415),
    [aux_sym_xauth_location_token1] = ACTIONS(1415),
  },
  [143] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1423),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [aux_sym_match_token1] = ACTIONS(1421),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1421),
    [aux_sym_address_family_token1] = ACTIONS(1421),
    [aux_sym_batch_mode_token1] = ACTIONS(1421),
    [aux_sym_bind_address_token1] = ACTIONS(1421),
    [aux_sym_bind_interface_token1] = ACTIONS(1421),
    [aux_sym_canonical_domains_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1421),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1421),
    [aux_sym_certificate_file_token1] = ACTIONS(1421),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1421),
    [aux_sym_channel_timeout_token1] = ACTIONS(1421),
    [aux_sym_check_host_ip_token1] = ACTIONS(1421),
    [aux_sym_ciphers_token1] = ACTIONS(1421),
    [aux_sym_cipher_token1] = ACTIONS(1423),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1421),
    [aux_sym_compression_token1] = ACTIONS(1421),
    [aux_sym_connection_attempts_token1] = ACTIONS(1421),
    [aux_sym_connect_timeout_token1] = ACTIONS(1421),
    [aux_sym_control_master_token1] = ACTIONS(1421),
    [aux_sym_control_path_token1] = ACTIONS(1421),
    [aux_sym_control_persist_token1] = ACTIONS(1421),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1421),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1421),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1421),
    [aux_sym_escape_char_token1] = ACTIONS(1421),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1421),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1421),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1421),
    [aux_sym_forward_agent_token1] = ACTIONS(1421),
    [aux_sym_forward_x11_token1] = ACTIONS(1423),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1421),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1421),
    [aux_sym_gateway_ports_token1] = ACTIONS(1421),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1421),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1421),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1421),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1421),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1421),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1421),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1421),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1421),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1421),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1421),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1421),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1421),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1421),
    [aux_sym_host_key_alias_token1] = ACTIONS(1421),
    [aux_sym_hostname_token1] = ACTIONS(1421),
    [aux_sym_identities_only_token1] = ACTIONS(1421),
    [aux_sym_identity_agent_token1] = ACTIONS(1421),
    [aux_sym_identity_file_token1] = ACTIONS(1421),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1421),
    [aux_sym_include_token1] = ACTIONS(1421),
    [aux_sym_ip_qos_token1] = ACTIONS(1421),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1421),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1421),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1421),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1421),
    [aux_sym_local_command_token1] = ACTIONS(1421),
    [aux_sym_local_forward_token1] = ACTIONS(1421),
    [aux_sym_log_level_token1] = ACTIONS(1421),
    [aux_sym_log_verbose_token1] = ACTIONS(1421),
    [aux_sym_macs_token1] = ACTIONS(1421),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1421),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1421),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1421),
    [aux_sym_password_authentication_token1] = ACTIONS(1421),
    [aux_sym_permit_local_command_token1] = ACTIONS(1421),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1421),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1421),
    [aux_sym_port_token1] = ACTIONS(1421),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1421),
    [aux_sym_protocol_token1] = ACTIONS(1421),
    [aux_sym_proxy_command_token1] = ACTIONS(1421),
    [aux_sym_proxy_jump_token1] = ACTIONS(1421),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1421),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1421),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1421),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1421),
    [aux_sym_rekey_limit_token1] = ACTIONS(1421),
    [aux_sym_remote_command_token1] = ACTIONS(1421),
    [aux_sym_remote_forward_token1] = ACTIONS(1421),
    [aux_sym_request_tty_token1] = ACTIONS(1421),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1421),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1421),
    [aux_sym_security_key_provider_token1] = ACTIONS(1421),
    [aux_sym_send_env_token1] = ACTIONS(1421),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1421),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1421),
    [aux_sym_session_type_token1] = ACTIONS(1421),
    [aux_sym_set_env_token1] = ACTIONS(1421),
    [aux_sym_stdin_null_token1] = ACTIONS(1421),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1421),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1421),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1421),
    [aux_sym_syslog_facility_token1] = ACTIONS(1421),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1421),
    [aux_sym_keep_alive_token1] = ACTIONS(1421),
    [aux_sym_tag_token1] = ACTIONS(1421),
    [aux_sym_tunnel_token1] = ACTIONS(1423),
    [aux_sym_tunnel_device_token1] = ACTIONS(1421),
    [aux_sym_update_host_keys_token1] = ACTIONS(1421),
    [aux_sym_use_keychain_token1] = ACTIONS(1421),
    [aux_sym_use_roaming_token1] = ACTIONS(1421),
    [aux_sym_user_token1] = ACTIONS(1423),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1421),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1421),
    [aux_sym_visual_host_key_token1] = ACTIONS(1421),
    [aux_sym_xauth_location_token1] = ACTIONS(1421),
  },
  [144] = {
    [ts_builtin_sym_end] = ACTIONS(1427),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [aux_sym_match_token1] = ACTIONS(1427),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1427),
    [aux_sym_address_family_token1] = ACTIONS(1427),
    [aux_sym_batch_mode_token1] = ACTIONS(1427),
    [aux_sym_bind_address_token1] = ACTIONS(1427),
    [aux_sym_bind_interface_token1] = ACTIONS(1427),
    [aux_sym_canonical_domains_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1427),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1427),
    [aux_sym_certificate_file_token1] = ACTIONS(1427),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1427),
    [aux_sym_channel_timeout_token1] = ACTIONS(1427),
    [aux_sym_check_host_ip_token1] = ACTIONS(1427),
    [aux_sym_ciphers_token1] = ACTIONS(1427),
    [aux_sym_cipher_token1] = ACTIONS(1429),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1427),
    [aux_sym_compression_token1] = ACTIONS(1427),
    [aux_sym_connection_attempts_token1] = ACTIONS(1427),
    [aux_sym_connect_timeout_token1] = ACTIONS(1427),
    [aux_sym_control_master_token1] = ACTIONS(1427),
    [aux_sym_control_path_token1] = ACTIONS(1427),
    [aux_sym_control_persist_token1] = ACTIONS(1427),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1427),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1427),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1427),
    [aux_sym_escape_char_token1] = ACTIONS(1427),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1427),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1427),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1427),
    [aux_sym_forward_agent_token1] = ACTIONS(1427),
    [aux_sym_forward_x11_token1] = ACTIONS(1429),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1427),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1427),
    [aux_sym_gateway_ports_token1] = ACTIONS(1427),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1427),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1427),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1427),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1427),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1427),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1427),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1427),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1427),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1427),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1427),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1427),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1427),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1427),
    [aux_sym_host_key_alias_token1] = ACTIONS(1427),
    [aux_sym_hostname_token1] = ACTIONS(1427),
    [aux_sym_identities_only_token1] = ACTIONS(1427),
    [aux_sym_identity_agent_token1] = ACTIONS(1427),
    [aux_sym_identity_file_token1] = ACTIONS(1427),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1427),
    [aux_sym_include_token1] = ACTIONS(1427),
    [aux_sym_ip_qos_token1] = ACTIONS(1427),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1427),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1427),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1427),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1427),
    [aux_sym_local_command_token1] = ACTIONS(1427),
    [aux_sym_local_forward_token1] = ACTIONS(1427),
    [aux_sym_log_level_token1] = ACTIONS(1427),
    [aux_sym_log_verbose_token1] = ACTIONS(1427),
    [aux_sym_macs_token1] = ACTIONS(1427),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1427),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1427),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1427),
    [aux_sym_password_authentication_token1] = ACTIONS(1427),
    [aux_sym_permit_local_command_token1] = ACTIONS(1427),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1427),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1427),
    [aux_sym_port_token1] = ACTIONS(1427),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1427),
    [aux_sym_protocol_token1] = ACTIONS(1427),
    [aux_sym_proxy_command_token1] = ACTIONS(1427),
    [aux_sym_proxy_jump_token1] = ACTIONS(1427),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1427),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1427),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1427),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1427),
    [aux_sym_rekey_limit_token1] = ACTIONS(1427),
    [aux_sym_remote_command_token1] = ACTIONS(1427),
    [aux_sym_remote_forward_token1] = ACTIONS(1427),
    [aux_sym_request_tty_token1] = ACTIONS(1427),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1427),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1427),
    [aux_sym_security_key_provider_token1] = ACTIONS(1427),
    [aux_sym_send_env_token1] = ACTIONS(1427),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1427),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1427),
    [aux_sym_session_type_token1] = ACTIONS(1427),
    [aux_sym_set_env_token1] = ACTIONS(1427),
    [aux_sym_stdin_null_token1] = ACTIONS(1427),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1427),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1427),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1427),
    [aux_sym_syslog_facility_token1] = ACTIONS(1427),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1427),
    [aux_sym_keep_alive_token1] = ACTIONS(1427),
    [aux_sym_tag_token1] = ACTIONS(1427),
    [aux_sym_tunnel_token1] = ACTIONS(1429),
    [aux_sym_tunnel_device_token1] = ACTIONS(1427),
    [aux_sym_update_host_keys_token1] = ACTIONS(1427),
    [aux_sym_use_keychain_token1] = ACTIONS(1427),
    [aux_sym_use_roaming_token1] = ACTIONS(1427),
    [aux_sym_user_token1] = ACTIONS(1429),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1427),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1427),
    [aux_sym_visual_host_key_token1] = ACTIONS(1427),
    [aux_sym_xauth_location_token1] = ACTIONS(1427),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [aux_sym_match_token1] = ACTIONS(1433),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1433),
    [aux_sym_address_family_token1] = ACTIONS(1433),
    [aux_sym_batch_mode_token1] = ACTIONS(1433),
    [aux_sym_bind_address_token1] = ACTIONS(1433),
    [aux_sym_bind_interface_token1] = ACTIONS(1433),
    [aux_sym_canonical_domains_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1433),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1433),
    [aux_sym_certificate_file_token1] = ACTIONS(1433),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1433),
    [aux_sym_channel_timeout_token1] = ACTIONS(1433),
    [aux_sym_check_host_ip_token1] = ACTIONS(1433),
    [aux_sym_ciphers_token1] = ACTIONS(1433),
    [aux_sym_cipher_token1] = ACTIONS(1435),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1433),
    [aux_sym_compression_token1] = ACTIONS(1433),
    [aux_sym_connection_attempts_token1] = ACTIONS(1433),
    [aux_sym_connect_timeout_token1] = ACTIONS(1433),
    [aux_sym_control_master_token1] = ACTIONS(1433),
    [aux_sym_control_path_token1] = ACTIONS(1433),
    [aux_sym_control_persist_token1] = ACTIONS(1433),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1433),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1433),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1433),
    [aux_sym_escape_char_token1] = ACTIONS(1433),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1433),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1433),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1433),
    [aux_sym_forward_agent_token1] = ACTIONS(1433),
    [aux_sym_forward_x11_token1] = ACTIONS(1435),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1433),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1433),
    [aux_sym_gateway_ports_token1] = ACTIONS(1433),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1433),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1433),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1433),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1433),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1433),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1433),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1433),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1433),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1433),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1433),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1433),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1433),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1433),
    [aux_sym_host_key_alias_token1] = ACTIONS(1433),
    [aux_sym_hostname_token1] = ACTIONS(1433),
    [aux_sym_identities_only_token1] = ACTIONS(1433),
    [aux_sym_identity_agent_token1] = ACTIONS(1433),
    [aux_sym_identity_file_token1] = ACTIONS(1433),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1433),
    [aux_sym_include_token1] = ACTIONS(1433),
    [aux_sym_ip_qos_token1] = ACTIONS(1433),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1433),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1433),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1433),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1433),
    [aux_sym_local_command_token1] = ACTIONS(1433),
    [aux_sym_local_forward_token1] = ACTIONS(1433),
    [aux_sym_log_level_token1] = ACTIONS(1433),
    [aux_sym_log_verbose_token1] = ACTIONS(1433),
    [aux_sym_macs_token1] = ACTIONS(1433),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1433),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1433),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1433),
    [aux_sym_password_authentication_token1] = ACTIONS(1433),
    [aux_sym_permit_local_command_token1] = ACTIONS(1433),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1433),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1433),
    [aux_sym_port_token1] = ACTIONS(1433),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1433),
    [aux_sym_protocol_token1] = ACTIONS(1433),
    [aux_sym_proxy_command_token1] = ACTIONS(1433),
    [aux_sym_proxy_jump_token1] = ACTIONS(1433),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1433),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1433),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1433),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1433),
    [aux_sym_rekey_limit_token1] = ACTIONS(1433),
    [aux_sym_remote_command_token1] = ACTIONS(1433),
    [aux_sym_remote_forward_token1] = ACTIONS(1433),
    [aux_sym_request_tty_token1] = ACTIONS(1433),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1433),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1433),
    [aux_sym_security_key_provider_token1] = ACTIONS(1433),
    [aux_sym_send_env_token1] = ACTIONS(1433),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1433),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1433),
    [aux_sym_session_type_token1] = ACTIONS(1433),
    [aux_sym_set_env_token1] = ACTIONS(1433),
    [aux_sym_stdin_null_token1] = ACTIONS(1433),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1433),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1433),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1433),
    [aux_sym_syslog_facility_token1] = ACTIONS(1433),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1433),
    [aux_sym_keep_alive_token1] = ACTIONS(1433),
    [aux_sym_tag_token1] = ACTIONS(1433),
    [aux_sym_tunnel_token1] = ACTIONS(1435),
    [aux_sym_tunnel_device_token1] = ACTIONS(1433),
    [aux_sym_update_host_keys_token1] = ACTIONS(1433),
    [aux_sym_use_keychain_token1] = ACTIONS(1433),
    [aux_sym_use_roaming_token1] = ACTIONS(1433),
    [aux_sym_user_token1] = ACTIONS(1435),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1433),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1433),
    [aux_sym_visual_host_key_token1] = ACTIONS(1433),
    [aux_sym_xauth_location_token1] = ACTIONS(1433),
  },
  [146] = {
    [ts_builtin_sym_end] = ACTIONS(1439),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [aux_sym_match_token1] = ACTIONS(1439),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1439),
    [aux_sym_address_family_token1] = ACTIONS(1439),
    [aux_sym_batch_mode_token1] = ACTIONS(1439),
    [aux_sym_bind_address_token1] = ACTIONS(1439),
    [aux_sym_bind_interface_token1] = ACTIONS(1439),
    [aux_sym_canonical_domains_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1439),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1439),
    [aux_sym_certificate_file_token1] = ACTIONS(1439),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1439),
    [aux_sym_channel_timeout_token1] = ACTIONS(1439),
    [aux_sym_check_host_ip_token1] = ACTIONS(1439),
    [aux_sym_ciphers_token1] = ACTIONS(1439),
    [aux_sym_cipher_token1] = ACTIONS(1441),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1439),
    [aux_sym_compression_token1] = ACTIONS(1439),
    [aux_sym_connection_attempts_token1] = ACTIONS(1439),
    [aux_sym_connect_timeout_token1] = ACTIONS(1439),
    [aux_sym_control_master_token1] = ACTIONS(1439),
    [aux_sym_control_path_token1] = ACTIONS(1439),
    [aux_sym_control_persist_token1] = ACTIONS(1439),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1439),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1439),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1439),
    [aux_sym_escape_char_token1] = ACTIONS(1439),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1439),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1439),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1439),
    [aux_sym_forward_agent_token1] = ACTIONS(1439),
    [aux_sym_forward_x11_token1] = ACTIONS(1441),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1439),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1439),
    [aux_sym_gateway_ports_token1] = ACTIONS(1439),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1439),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1439),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1439),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1439),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1439),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1439),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1439),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1439),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1439),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1439),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1439),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1439),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1439),
    [aux_sym_host_key_alias_token1] = ACTIONS(1439),
    [aux_sym_hostname_token1] = ACTIONS(1439),
    [aux_sym_identities_only_token1] = ACTIONS(1439),
    [aux_sym_identity_agent_token1] = ACTIONS(1439),
    [aux_sym_identity_file_token1] = ACTIONS(1439),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1439),
    [aux_sym_include_token1] = ACTIONS(1439),
    [aux_sym_ip_qos_token1] = ACTIONS(1439),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1439),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1439),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1439),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1439),
    [aux_sym_local_command_token1] = ACTIONS(1439),
    [aux_sym_local_forward_token1] = ACTIONS(1439),
    [aux_sym_log_level_token1] = ACTIONS(1439),
    [aux_sym_log_verbose_token1] = ACTIONS(1439),
    [aux_sym_macs_token1] = ACTIONS(1439),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1439),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1439),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1439),
    [aux_sym_password_authentication_token1] = ACTIONS(1439),
    [aux_sym_permit_local_command_token1] = ACTIONS(1439),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1439),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1439),
    [aux_sym_port_token1] = ACTIONS(1439),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1439),
    [aux_sym_protocol_token1] = ACTIONS(1439),
    [aux_sym_proxy_command_token1] = ACTIONS(1439),
    [aux_sym_proxy_jump_token1] = ACTIONS(1439),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1439),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1439),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1439),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1439),
    [aux_sym_rekey_limit_token1] = ACTIONS(1439),
    [aux_sym_remote_command_token1] = ACTIONS(1439),
    [aux_sym_remote_forward_token1] = ACTIONS(1439),
    [aux_sym_request_tty_token1] = ACTIONS(1439),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1439),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1439),
    [aux_sym_security_key_provider_token1] = ACTIONS(1439),
    [aux_sym_send_env_token1] = ACTIONS(1439),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1439),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1439),
    [aux_sym_session_type_token1] = ACTIONS(1439),
    [aux_sym_set_env_token1] = ACTIONS(1439),
    [aux_sym_stdin_null_token1] = ACTIONS(1439),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1439),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1439),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1439),
    [aux_sym_syslog_facility_token1] = ACTIONS(1439),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1439),
    [aux_sym_keep_alive_token1] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [aux_sym_tunnel_token1] = ACTIONS(1441),
    [aux_sym_tunnel_device_token1] = ACTIONS(1439),
    [aux_sym_update_host_keys_token1] = ACTIONS(1439),
    [aux_sym_use_keychain_token1] = ACTIONS(1439),
    [aux_sym_use_roaming_token1] = ACTIONS(1439),
    [aux_sym_user_token1] = ACTIONS(1441),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1439),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1439),
    [aux_sym_visual_host_key_token1] = ACTIONS(1439),
    [aux_sym_xauth_location_token1] = ACTIONS(1439),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [aux_sym_match_token1] = ACTIONS(1445),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1445),
    [aux_sym_address_family_token1] = ACTIONS(1445),
    [aux_sym_batch_mode_token1] = ACTIONS(1445),
    [aux_sym_bind_address_token1] = ACTIONS(1445),
    [aux_sym_bind_interface_token1] = ACTIONS(1445),
    [aux_sym_canonical_domains_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1445),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1445),
    [aux_sym_certificate_file_token1] = ACTIONS(1445),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1445),
    [aux_sym_channel_timeout_token1] = ACTIONS(1445),
    [aux_sym_check_host_ip_token1] = ACTIONS(1445),
    [aux_sym_ciphers_token1] = ACTIONS(1445),
    [aux_sym_cipher_token1] = ACTIONS(1447),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1445),
    [aux_sym_compression_token1] = ACTIONS(1445),
    [aux_sym_connection_attempts_token1] = ACTIONS(1445),
    [aux_sym_connect_timeout_token1] = ACTIONS(1445),
    [aux_sym_control_master_token1] = ACTIONS(1445),
    [aux_sym_control_path_token1] = ACTIONS(1445),
    [aux_sym_control_persist_token1] = ACTIONS(1445),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1445),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1445),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1445),
    [aux_sym_escape_char_token1] = ACTIONS(1445),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1445),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1445),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1445),
    [aux_sym_forward_agent_token1] = ACTIONS(1445),
    [aux_sym_forward_x11_token1] = ACTIONS(1447),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1445),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1445),
    [aux_sym_gateway_ports_token1] = ACTIONS(1445),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1445),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1445),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1445),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1445),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1445),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1445),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1445),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1445),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1445),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1445),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1445),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1445),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1445),
    [aux_sym_host_key_alias_token1] = ACTIONS(1445),
    [aux_sym_hostname_token1] = ACTIONS(1445),
    [aux_sym_identities_only_token1] = ACTIONS(1445),
    [aux_sym_identity_agent_token1] = ACTIONS(1445),
    [aux_sym_identity_file_token1] = ACTIONS(1445),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1445),
    [aux_sym_include_token1] = ACTIONS(1445),
    [aux_sym_ip_qos_token1] = ACTIONS(1445),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1445),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1445),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1445),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1445),
    [aux_sym_local_command_token1] = ACTIONS(1445),
    [aux_sym_local_forward_token1] = ACTIONS(1445),
    [aux_sym_log_level_token1] = ACTIONS(1445),
    [aux_sym_log_verbose_token1] = ACTIONS(1445),
    [aux_sym_macs_token1] = ACTIONS(1445),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1445),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1445),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1445),
    [aux_sym_password_authentication_token1] = ACTIONS(1445),
    [aux_sym_permit_local_command_token1] = ACTIONS(1445),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1445),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1445),
    [aux_sym_port_token1] = ACTIONS(1445),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1445),
    [aux_sym_protocol_token1] = ACTIONS(1445),
    [aux_sym_proxy_command_token1] = ACTIONS(1445),
    [aux_sym_proxy_jump_token1] = ACTIONS(1445),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1445),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1445),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1445),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1445),
    [aux_sym_rekey_limit_token1] = ACTIONS(1445),
    [aux_sym_remote_command_token1] = ACTIONS(1445),
    [aux_sym_remote_forward_token1] = ACTIONS(1445),
    [aux_sym_request_tty_token1] = ACTIONS(1445),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1445),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1445),
    [aux_sym_security_key_provider_token1] = ACTIONS(1445),
    [aux_sym_send_env_token1] = ACTIONS(1445),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1445),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1445),
    [aux_sym_session_type_token1] = ACTIONS(1445),
    [aux_sym_set_env_token1] = ACTIONS(1445),
    [aux_sym_stdin_null_token1] = ACTIONS(1445),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1445),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1445),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1445),
    [aux_sym_syslog_facility_token1] = ACTIONS(1445),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1445),
    [aux_sym_keep_alive_token1] = ACTIONS(1445),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [aux_sym_tunnel_token1] = ACTIONS(1447),
    [aux_sym_tunnel_device_token1] = ACTIONS(1445),
    [aux_sym_update_host_keys_token1] = ACTIONS(1445),
    [aux_sym_use_keychain_token1] = ACTIONS(1445),
    [aux_sym_use_roaming_token1] = ACTIONS(1445),
    [aux_sym_user_token1] = ACTIONS(1447),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1445),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1445),
    [aux_sym_visual_host_key_token1] = ACTIONS(1445),
    [aux_sym_xauth_location_token1] = ACTIONS(1445),
  },
  [148] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1453),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [aux_sym_match_token1] = ACTIONS(1451),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1451),
    [aux_sym_address_family_token1] = ACTIONS(1451),
    [aux_sym_batch_mode_token1] = ACTIONS(1451),
    [aux_sym_bind_address_token1] = ACTIONS(1451),
    [aux_sym_bind_interface_token1] = ACTIONS(1451),
    [aux_sym_canonical_domains_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1451),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1451),
    [aux_sym_certificate_file_token1] = ACTIONS(1451),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1451),
    [aux_sym_channel_timeout_token1] = ACTIONS(1451),
    [aux_sym_check_host_ip_token1] = ACTIONS(1451),
    [aux_sym_ciphers_token1] = ACTIONS(1451),
    [aux_sym_cipher_token1] = ACTIONS(1453),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1451),
    [aux_sym_compression_token1] = ACTIONS(1451),
    [aux_sym_connection_attempts_token1] = ACTIONS(1451),
    [aux_sym_connect_timeout_token1] = ACTIONS(1451),
    [aux_sym_control_master_token1] = ACTIONS(1451),
    [aux_sym_control_path_token1] = ACTIONS(1451),
    [aux_sym_control_persist_token1] = ACTIONS(1451),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1451),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1451),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1451),
    [aux_sym_escape_char_token1] = ACTIONS(1451),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1451),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1451),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1451),
    [aux_sym_forward_agent_token1] = ACTIONS(1451),
    [aux_sym_forward_x11_token1] = ACTIONS(1453),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1451),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1451),
    [aux_sym_gateway_ports_token1] = ACTIONS(1451),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1451),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1451),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1451),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1451),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1451),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1451),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1451),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1451),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1451),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1451),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1451),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1451),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1451),
    [aux_sym_host_key_alias_token1] = ACTIONS(1451),
    [aux_sym_hostname_token1] = ACTIONS(1451),
    [aux_sym_identities_only_token1] = ACTIONS(1451),
    [aux_sym_identity_agent_token1] = ACTIONS(1451),
    [aux_sym_identity_file_token1] = ACTIONS(1451),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1451),
    [aux_sym_include_token1] = ACTIONS(1451),
    [aux_sym_ip_qos_token1] = ACTIONS(1451),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1451),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1451),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1451),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1451),
    [aux_sym_local_command_token1] = ACTIONS(1451),
    [aux_sym_local_forward_token1] = ACTIONS(1451),
    [aux_sym_log_level_token1] = ACTIONS(1451),
    [aux_sym_log_verbose_token1] = ACTIONS(1451),
    [aux_sym_macs_token1] = ACTIONS(1451),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1451),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1451),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1451),
    [aux_sym_password_authentication_token1] = ACTIONS(1451),
    [aux_sym_permit_local_command_token1] = ACTIONS(1451),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1451),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1451),
    [aux_sym_port_token1] = ACTIONS(1451),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1451),
    [aux_sym_protocol_token1] = ACTIONS(1451),
    [aux_sym_proxy_command_token1] = ACTIONS(1451),
    [aux_sym_proxy_jump_token1] = ACTIONS(1451),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1451),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1451),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1451),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1451),
    [aux_sym_rekey_limit_token1] = ACTIONS(1451),
    [aux_sym_remote_command_token1] = ACTIONS(1451),
    [aux_sym_remote_forward_token1] = ACTIONS(1451),
    [aux_sym_request_tty_token1] = ACTIONS(1451),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1451),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1451),
    [aux_sym_security_key_provider_token1] = ACTIONS(1451),
    [aux_sym_send_env_token1] = ACTIONS(1451),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1451),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1451),
    [aux_sym_session_type_token1] = ACTIONS(1451),
    [aux_sym_set_env_token1] = ACTIONS(1451),
    [aux_sym_stdin_null_token1] = ACTIONS(1451),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1451),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1451),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1451),
    [aux_sym_syslog_facility_token1] = ACTIONS(1451),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1451),
    [aux_sym_keep_alive_token1] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [aux_sym_tunnel_token1] = ACTIONS(1453),
    [aux_sym_tunnel_device_token1] = ACTIONS(1451),
    [aux_sym_update_host_keys_token1] = ACTIONS(1451),
    [aux_sym_use_keychain_token1] = ACTIONS(1451),
    [aux_sym_use_roaming_token1] = ACTIONS(1451),
    [aux_sym_user_token1] = ACTIONS(1453),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1451),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1451),
    [aux_sym_visual_host_key_token1] = ACTIONS(1451),
    [aux_sym_xauth_location_token1] = ACTIONS(1451),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1461),
    [aux_sym_match_token1] = ACTIONS(1457),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1457),
    [aux_sym_address_family_token1] = ACTIONS(1457),
    [aux_sym_batch_mode_token1] = ACTIONS(1457),
    [aux_sym_bind_address_token1] = ACTIONS(1457),
    [aux_sym_bind_interface_token1] = ACTIONS(1457),
    [aux_sym_canonical_domains_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1457),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1457),
    [aux_sym_certificate_file_token1] = ACTIONS(1457),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1457),
    [aux_sym_channel_timeout_token1] = ACTIONS(1457),
    [aux_sym_check_host_ip_token1] = ACTIONS(1457),
    [aux_sym_ciphers_token1] = ACTIONS(1457),
    [aux_sym_cipher_token1] = ACTIONS(1459),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1457),
    [aux_sym_compression_token1] = ACTIONS(1457),
    [aux_sym_connection_attempts_token1] = ACTIONS(1457),
    [aux_sym_connect_timeout_token1] = ACTIONS(1457),
    [aux_sym_control_master_token1] = ACTIONS(1457),
    [aux_sym_control_path_token1] = ACTIONS(1457),
    [aux_sym_control_persist_token1] = ACTIONS(1457),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1457),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1457),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1457),
    [aux_sym_escape_char_token1] = ACTIONS(1457),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1457),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1457),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1457),
    [aux_sym_forward_agent_token1] = ACTIONS(1457),
    [aux_sym_forward_x11_token1] = ACTIONS(1459),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1457),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1457),
    [aux_sym_gateway_ports_token1] = ACTIONS(1457),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1457),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1457),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1457),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1457),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1457),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1457),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1457),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1457),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1457),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1457),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1457),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1457),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1457),
    [aux_sym_host_key_alias_token1] = ACTIONS(1457),
    [aux_sym_hostname_token1] = ACTIONS(1457),
    [aux_sym_identities_only_token1] = ACTIONS(1457),
    [aux_sym_identity_agent_token1] = ACTIONS(1457),
    [aux_sym_identity_file_token1] = ACTIONS(1457),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1457),
    [aux_sym_include_token1] = ACTIONS(1457),
    [aux_sym_ip_qos_token1] = ACTIONS(1457),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1457),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1457),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1457),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1457),
    [aux_sym_local_command_token1] = ACTIONS(1457),
    [aux_sym_local_forward_token1] = ACTIONS(1457),
    [aux_sym_log_level_token1] = ACTIONS(1457),
    [aux_sym_log_verbose_token1] = ACTIONS(1457),
    [aux_sym_macs_token1] = ACTIONS(1457),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1457),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1457),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1457),
    [aux_sym_password_authentication_token1] = ACTIONS(1457),
    [aux_sym_permit_local_command_token1] = ACTIONS(1457),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1457),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1457),
    [aux_sym_port_token1] = ACTIONS(1457),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1457),
    [aux_sym_protocol_token1] = ACTIONS(1457),
    [aux_sym_proxy_command_token1] = ACTIONS(1457),
    [aux_sym_proxy_jump_token1] = ACTIONS(1457),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1457),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1457),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1457),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1457),
    [aux_sym_rekey_limit_token1] = ACTIONS(1457),
    [aux_sym_remote_command_token1] = ACTIONS(1457),
    [aux_sym_remote_forward_token1] = ACTIONS(1457),
    [aux_sym_request_tty_token1] = ACTIONS(1457),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1457),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1457),
    [aux_sym_security_key_provider_token1] = ACTIONS(1457),
    [aux_sym_send_env_token1] = ACTIONS(1457),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1457),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1457),
    [aux_sym_session_type_token1] = ACTIONS(1457),
    [aux_sym_set_env_token1] = ACTIONS(1457),
    [aux_sym_stdin_null_token1] = ACTIONS(1457),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1457),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1457),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1457),
    [aux_sym_syslog_facility_token1] = ACTIONS(1457),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1457),
    [aux_sym_keep_alive_token1] = ACTIONS(1457),
    [aux_sym_tag_token1] = ACTIONS(1457),
    [aux_sym_tunnel_token1] = ACTIONS(1459),
    [aux_sym_tunnel_device_token1] = ACTIONS(1457),
    [aux_sym_update_host_keys_token1] = ACTIONS(1457),
    [aux_sym_use_keychain_token1] = ACTIONS(1457),
    [aux_sym_use_roaming_token1] = ACTIONS(1457),
    [aux_sym_user_token1] = ACTIONS(1459),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1457),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1457),
    [aux_sym_visual_host_key_token1] = ACTIONS(1457),
    [aux_sym_xauth_location_token1] = ACTIONS(1457),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [aux_sym_match_token1] = ACTIONS(1463),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1463),
    [aux_sym_address_family_token1] = ACTIONS(1463),
    [aux_sym_batch_mode_token1] = ACTIONS(1463),
    [aux_sym_bind_address_token1] = ACTIONS(1463),
    [aux_sym_bind_interface_token1] = ACTIONS(1463),
    [aux_sym_canonical_domains_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1463),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1463),
    [aux_sym_certificate_file_token1] = ACTIONS(1463),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1463),
    [aux_sym_channel_timeout_token1] = ACTIONS(1463),
    [aux_sym_check_host_ip_token1] = ACTIONS(1463),
    [aux_sym_ciphers_token1] = ACTIONS(1463),
    [aux_sym_cipher_token1] = ACTIONS(1465),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1463),
    [aux_sym_compression_token1] = ACTIONS(1463),
    [aux_sym_connection_attempts_token1] = ACTIONS(1463),
    [aux_sym_connect_timeout_token1] = ACTIONS(1463),
    [aux_sym_control_master_token1] = ACTIONS(1463),
    [aux_sym_control_path_token1] = ACTIONS(1463),
    [aux_sym_control_persist_token1] = ACTIONS(1463),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1463),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1463),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1463),
    [aux_sym_escape_char_token1] = ACTIONS(1463),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1463),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1463),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1463),
    [aux_sym_forward_agent_token1] = ACTIONS(1463),
    [aux_sym_forward_x11_token1] = ACTIONS(1465),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1463),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1463),
    [aux_sym_gateway_ports_token1] = ACTIONS(1463),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1463),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1463),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1463),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1463),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1463),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1463),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1463),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1463),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1463),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1463),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1463),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1463),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1463),
    [aux_sym_host_key_alias_token1] = ACTIONS(1463),
    [aux_sym_hostname_token1] = ACTIONS(1463),
    [aux_sym_identities_only_token1] = ACTIONS(1463),
    [aux_sym_identity_agent_token1] = ACTIONS(1463),
    [aux_sym_identity_file_token1] = ACTIONS(1463),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1463),
    [aux_sym_include_token1] = ACTIONS(1463),
    [aux_sym_ip_qos_token1] = ACTIONS(1463),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1463),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1463),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1463),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1463),
    [aux_sym_local_command_token1] = ACTIONS(1463),
    [aux_sym_local_forward_token1] = ACTIONS(1463),
    [aux_sym_log_level_token1] = ACTIONS(1463),
    [aux_sym_log_verbose_token1] = ACTIONS(1463),
    [aux_sym_macs_token1] = ACTIONS(1463),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1463),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1463),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1463),
    [aux_sym_password_authentication_token1] = ACTIONS(1463),
    [aux_sym_permit_local_command_token1] = ACTIONS(1463),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1463),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1463),
    [aux_sym_port_token1] = ACTIONS(1463),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1463),
    [aux_sym_protocol_token1] = ACTIONS(1463),
    [aux_sym_proxy_command_token1] = ACTIONS(1463),
    [aux_sym_proxy_jump_token1] = ACTIONS(1463),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1463),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1463),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1463),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1463),
    [aux_sym_rekey_limit_token1] = ACTIONS(1463),
    [aux_sym_remote_command_token1] = ACTIONS(1463),
    [aux_sym_remote_forward_token1] = ACTIONS(1463),
    [aux_sym_request_tty_token1] = ACTIONS(1463),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1463),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1463),
    [aux_sym_security_key_provider_token1] = ACTIONS(1463),
    [aux_sym_send_env_token1] = ACTIONS(1463),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1463),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1463),
    [aux_sym_session_type_token1] = ACTIONS(1463),
    [aux_sym_set_env_token1] = ACTIONS(1463),
    [aux_sym_stdin_null_token1] = ACTIONS(1463),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1463),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1463),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1463),
    [aux_sym_syslog_facility_token1] = ACTIONS(1463),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1463),
    [aux_sym_keep_alive_token1] = ACTIONS(1463),
    [aux_sym_tag_token1] = ACTIONS(1463),
    [aux_sym_tunnel_token1] = ACTIONS(1465),
    [aux_sym_tunnel_device_token1] = ACTIONS(1463),
    [aux_sym_update_host_keys_token1] = ACTIONS(1463),
    [aux_sym_use_keychain_token1] = ACTIONS(1463),
    [aux_sym_use_roaming_token1] = ACTIONS(1463),
    [aux_sym_user_token1] = ACTIONS(1465),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1463),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1463),
    [aux_sym_visual_host_key_token1] = ACTIONS(1463),
    [aux_sym_xauth_location_token1] = ACTIONS(1463),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [aux_sym_match_token1] = ACTIONS(1469),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1469),
    [aux_sym_address_family_token1] = ACTIONS(1469),
    [aux_sym_batch_mode_token1] = ACTIONS(1469),
    [aux_sym_bind_address_token1] = ACTIONS(1469),
    [aux_sym_bind_interface_token1] = ACTIONS(1469),
    [aux_sym_canonical_domains_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1469),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1469),
    [aux_sym_certificate_file_token1] = ACTIONS(1469),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1469),
    [aux_sym_channel_timeout_token1] = ACTIONS(1469),
    [aux_sym_check_host_ip_token1] = ACTIONS(1469),
    [aux_sym_ciphers_token1] = ACTIONS(1469),
    [aux_sym_cipher_token1] = ACTIONS(1471),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1469),
    [aux_sym_compression_token1] = ACTIONS(1469),
    [aux_sym_connection_attempts_token1] = ACTIONS(1469),
    [aux_sym_connect_timeout_token1] = ACTIONS(1469),
    [aux_sym_control_master_token1] = ACTIONS(1469),
    [aux_sym_control_path_token1] = ACTIONS(1469),
    [aux_sym_control_persist_token1] = ACTIONS(1469),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1469),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1469),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1469),
    [aux_sym_escape_char_token1] = ACTIONS(1469),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1469),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1469),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1469),
    [aux_sym_forward_agent_token1] = ACTIONS(1469),
    [aux_sym_forward_x11_token1] = ACTIONS(1471),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1469),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1469),
    [aux_sym_gateway_ports_token1] = ACTIONS(1469),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1469),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1469),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1469),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1469),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1469),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1469),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1469),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1469),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1469),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1469),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1469),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1469),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1469),
    [aux_sym_host_key_alias_token1] = ACTIONS(1469),
    [aux_sym_hostname_token1] = ACTIONS(1469),
    [aux_sym_identities_only_token1] = ACTIONS(1469),
    [aux_sym_identity_agent_token1] = ACTIONS(1469),
    [aux_sym_identity_file_token1] = ACTIONS(1469),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1469),
    [aux_sym_include_token1] = ACTIONS(1469),
    [aux_sym_ip_qos_token1] = ACTIONS(1469),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1469),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1469),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1469),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1469),
    [aux_sym_local_command_token1] = ACTIONS(1469),
    [aux_sym_local_forward_token1] = ACTIONS(1469),
    [aux_sym_log_level_token1] = ACTIONS(1469),
    [aux_sym_log_verbose_token1] = ACTIONS(1469),
    [aux_sym_macs_token1] = ACTIONS(1469),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1469),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1469),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1469),
    [aux_sym_password_authentication_token1] = ACTIONS(1469),
    [aux_sym_permit_local_command_token1] = ACTIONS(1469),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1469),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1469),
    [aux_sym_port_token1] = ACTIONS(1469),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1469),
    [aux_sym_protocol_token1] = ACTIONS(1469),
    [aux_sym_proxy_command_token1] = ACTIONS(1469),
    [aux_sym_proxy_jump_token1] = ACTIONS(1469),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1469),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1469),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1469),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1469),
    [aux_sym_rekey_limit_token1] = ACTIONS(1469),
    [aux_sym_remote_command_token1] = ACTIONS(1469),
    [aux_sym_remote_forward_token1] = ACTIONS(1469),
    [aux_sym_request_tty_token1] = ACTIONS(1469),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1469),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1469),
    [aux_sym_security_key_provider_token1] = ACTIONS(1469),
    [aux_sym_send_env_token1] = ACTIONS(1469),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1469),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1469),
    [aux_sym_session_type_token1] = ACTIONS(1469),
    [aux_sym_set_env_token1] = ACTIONS(1469),
    [aux_sym_stdin_null_token1] = ACTIONS(1469),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1469),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1469),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1469),
    [aux_sym_syslog_facility_token1] = ACTIONS(1469),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1469),
    [aux_sym_keep_alive_token1] = ACTIONS(1469),
    [aux_sym_tag_token1] = ACTIONS(1469),
    [aux_sym_tunnel_token1] = ACTIONS(1471),
    [aux_sym_tunnel_device_token1] = ACTIONS(1469),
    [aux_sym_update_host_keys_token1] = ACTIONS(1469),
    [aux_sym_use_keychain_token1] = ACTIONS(1469),
    [aux_sym_use_roaming_token1] = ACTIONS(1469),
    [aux_sym_user_token1] = ACTIONS(1471),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1469),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1469),
    [aux_sym_visual_host_key_token1] = ACTIONS(1469),
    [aux_sym_xauth_location_token1] = ACTIONS(1469),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1477),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [aux_sym_match_token1] = ACTIONS(1475),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1475),
    [aux_sym_address_family_token1] = ACTIONS(1475),
    [aux_sym_batch_mode_token1] = ACTIONS(1475),
    [aux_sym_bind_address_token1] = ACTIONS(1475),
    [aux_sym_bind_interface_token1] = ACTIONS(1475),
    [aux_sym_canonical_domains_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1475),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1475),
    [aux_sym_certificate_file_token1] = ACTIONS(1475),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1475),
    [aux_sym_channel_timeout_token1] = ACTIONS(1475),
    [aux_sym_check_host_ip_token1] = ACTIONS(1475),
    [aux_sym_ciphers_token1] = ACTIONS(1475),
    [aux_sym_cipher_token1] = ACTIONS(1477),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1475),
    [aux_sym_compression_token1] = ACTIONS(1475),
    [aux_sym_connection_attempts_token1] = ACTIONS(1475),
    [aux_sym_connect_timeout_token1] = ACTIONS(1475),
    [aux_sym_control_master_token1] = ACTIONS(1475),
    [aux_sym_control_path_token1] = ACTIONS(1475),
    [aux_sym_control_persist_token1] = ACTIONS(1475),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1475),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1475),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1475),
    [aux_sym_escape_char_token1] = ACTIONS(1475),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1475),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1475),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1475),
    [aux_sym_forward_agent_token1] = ACTIONS(1475),
    [aux_sym_forward_x11_token1] = ACTIONS(1477),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1475),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1475),
    [aux_sym_gateway_ports_token1] = ACTIONS(1475),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1475),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1475),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1475),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1475),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1475),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1475),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1475),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1475),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1475),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1475),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1475),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1475),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1475),
    [aux_sym_host_key_alias_token1] = ACTIONS(1475),
    [aux_sym_hostname_token1] = ACTIONS(1475),
    [aux_sym_identities_only_token1] = ACTIONS(1475),
    [aux_sym_identity_agent_token1] = ACTIONS(1475),
    [aux_sym_identity_file_token1] = ACTIONS(1475),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1475),
    [aux_sym_include_token1] = ACTIONS(1475),
    [aux_sym_ip_qos_token1] = ACTIONS(1475),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1475),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1475),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1475),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1475),
    [aux_sym_local_command_token1] = ACTIONS(1475),
    [aux_sym_local_forward_token1] = ACTIONS(1475),
    [aux_sym_log_level_token1] = ACTIONS(1475),
    [aux_sym_log_verbose_token1] = ACTIONS(1475),
    [aux_sym_macs_token1] = ACTIONS(1475),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1475),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1475),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1475),
    [aux_sym_password_authentication_token1] = ACTIONS(1475),
    [aux_sym_permit_local_command_token1] = ACTIONS(1475),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1475),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1475),
    [aux_sym_port_token1] = ACTIONS(1475),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1475),
    [aux_sym_protocol_token1] = ACTIONS(1475),
    [aux_sym_proxy_command_token1] = ACTIONS(1475),
    [aux_sym_proxy_jump_token1] = ACTIONS(1475),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1475),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1475),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1475),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1475),
    [aux_sym_rekey_limit_token1] = ACTIONS(1475),
    [aux_sym_remote_command_token1] = ACTIONS(1475),
    [aux_sym_remote_forward_token1] = ACTIONS(1475),
    [aux_sym_request_tty_token1] = ACTIONS(1475),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1475),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1475),
    [aux_sym_security_key_provider_token1] = ACTIONS(1475),
    [aux_sym_send_env_token1] = ACTIONS(1475),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1475),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1475),
    [aux_sym_session_type_token1] = ACTIONS(1475),
    [aux_sym_set_env_token1] = ACTIONS(1475),
    [aux_sym_stdin_null_token1] = ACTIONS(1475),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1475),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1475),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1475),
    [aux_sym_syslog_facility_token1] = ACTIONS(1475),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1475),
    [aux_sym_keep_alive_token1] = ACTIONS(1475),
    [aux_sym_tag_token1] = ACTIONS(1475),
    [aux_sym_tunnel_token1] = ACTIONS(1477),
    [aux_sym_tunnel_device_token1] = ACTIONS(1475),
    [aux_sym_update_host_keys_token1] = ACTIONS(1475),
    [aux_sym_use_keychain_token1] = ACTIONS(1475),
    [aux_sym_use_roaming_token1] = ACTIONS(1475),
    [aux_sym_user_token1] = ACTIONS(1477),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1475),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1475),
    [aux_sym_visual_host_key_token1] = ACTIONS(1475),
    [aux_sym_xauth_location_token1] = ACTIONS(1475),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [aux_sym_match_token1] = ACTIONS(1481),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1481),
    [aux_sym_address_family_token1] = ACTIONS(1481),
    [aux_sym_batch_mode_token1] = ACTIONS(1481),
    [aux_sym_bind_address_token1] = ACTIONS(1481),
    [aux_sym_bind_interface_token1] = ACTIONS(1481),
    [aux_sym_canonical_domains_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1481),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1481),
    [aux_sym_certificate_file_token1] = ACTIONS(1481),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1481),
    [aux_sym_channel_timeout_token1] = ACTIONS(1481),
    [aux_sym_check_host_ip_token1] = ACTIONS(1481),
    [aux_sym_ciphers_token1] = ACTIONS(1481),
    [aux_sym_cipher_token1] = ACTIONS(1483),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1481),
    [aux_sym_compression_token1] = ACTIONS(1481),
    [aux_sym_connection_attempts_token1] = ACTIONS(1481),
    [aux_sym_connect_timeout_token1] = ACTIONS(1481),
    [aux_sym_control_master_token1] = ACTIONS(1481),
    [aux_sym_control_path_token1] = ACTIONS(1481),
    [aux_sym_control_persist_token1] = ACTIONS(1481),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1481),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1481),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1481),
    [aux_sym_escape_char_token1] = ACTIONS(1481),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1481),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1481),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1481),
    [aux_sym_forward_agent_token1] = ACTIONS(1481),
    [aux_sym_forward_x11_token1] = ACTIONS(1483),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1481),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1481),
    [aux_sym_gateway_ports_token1] = ACTIONS(1481),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1481),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1481),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1481),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1481),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1481),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1481),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1481),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1481),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1481),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1481),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1481),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1481),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1481),
    [aux_sym_host_key_alias_token1] = ACTIONS(1481),
    [aux_sym_hostname_token1] = ACTIONS(1481),
    [aux_sym_identities_only_token1] = ACTIONS(1481),
    [aux_sym_identity_agent_token1] = ACTIONS(1481),
    [aux_sym_identity_file_token1] = ACTIONS(1481),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1481),
    [aux_sym_include_token1] = ACTIONS(1481),
    [aux_sym_ip_qos_token1] = ACTIONS(1481),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1481),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1481),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1481),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1481),
    [aux_sym_local_command_token1] = ACTIONS(1481),
    [aux_sym_local_forward_token1] = ACTIONS(1481),
    [aux_sym_log_level_token1] = ACTIONS(1481),
    [aux_sym_log_verbose_token1] = ACTIONS(1481),
    [aux_sym_macs_token1] = ACTIONS(1481),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1481),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1481),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1481),
    [aux_sym_password_authentication_token1] = ACTIONS(1481),
    [aux_sym_permit_local_command_token1] = ACTIONS(1481),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1481),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1481),
    [aux_sym_port_token1] = ACTIONS(1481),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1481),
    [aux_sym_protocol_token1] = ACTIONS(1481),
    [aux_sym_proxy_command_token1] = ACTIONS(1481),
    [aux_sym_proxy_jump_token1] = ACTIONS(1481),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1481),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1481),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1481),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1481),
    [aux_sym_rekey_limit_token1] = ACTIONS(1481),
    [aux_sym_remote_command_token1] = ACTIONS(1481),
    [aux_sym_remote_forward_token1] = ACTIONS(1481),
    [aux_sym_request_tty_token1] = ACTIONS(1481),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1481),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1481),
    [aux_sym_security_key_provider_token1] = ACTIONS(1481),
    [aux_sym_send_env_token1] = ACTIONS(1481),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1481),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1481),
    [aux_sym_session_type_token1] = ACTIONS(1481),
    [aux_sym_set_env_token1] = ACTIONS(1481),
    [aux_sym_stdin_null_token1] = ACTIONS(1481),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1481),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1481),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1481),
    [aux_sym_syslog_facility_token1] = ACTIONS(1481),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1481),
    [aux_sym_keep_alive_token1] = ACTIONS(1481),
    [aux_sym_tag_token1] = ACTIONS(1481),
    [aux_sym_tunnel_token1] = ACTIONS(1483),
    [aux_sym_tunnel_device_token1] = ACTIONS(1481),
    [aux_sym_update_host_keys_token1] = ACTIONS(1481),
    [aux_sym_use_keychain_token1] = ACTIONS(1481),
    [aux_sym_use_roaming_token1] = ACTIONS(1481),
    [aux_sym_user_token1] = ACTIONS(1483),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1481),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1481),
    [aux_sym_visual_host_key_token1] = ACTIONS(1481),
    [aux_sym_xauth_location_token1] = ACTIONS(1481),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1489),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [aux_sym_match_token1] = ACTIONS(1487),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1487),
    [aux_sym_address_family_token1] = ACTIONS(1487),
    [aux_sym_batch_mode_token1] = ACTIONS(1487),
    [aux_sym_bind_address_token1] = ACTIONS(1487),
    [aux_sym_bind_interface_token1] = ACTIONS(1487),
    [aux_sym_canonical_domains_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1487),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1487),
    [aux_sym_certificate_file_token1] = ACTIONS(1487),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1487),
    [aux_sym_channel_timeout_token1] = ACTIONS(1487),
    [aux_sym_check_host_ip_token1] = ACTIONS(1487),
    [aux_sym_ciphers_token1] = ACTIONS(1487),
    [aux_sym_cipher_token1] = ACTIONS(1489),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1487),
    [aux_sym_compression_token1] = ACTIONS(1487),
    [aux_sym_connection_attempts_token1] = ACTIONS(1487),
    [aux_sym_connect_timeout_token1] = ACTIONS(1487),
    [aux_sym_control_master_token1] = ACTIONS(1487),
    [aux_sym_control_path_token1] = ACTIONS(1487),
    [aux_sym_control_persist_token1] = ACTIONS(1487),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1487),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1487),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1487),
    [aux_sym_escape_char_token1] = ACTIONS(1487),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1487),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1487),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1487),
    [aux_sym_forward_agent_token1] = ACTIONS(1487),
    [aux_sym_forward_x11_token1] = ACTIONS(1489),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1487),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1487),
    [aux_sym_gateway_ports_token1] = ACTIONS(1487),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1487),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1487),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1487),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1487),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1487),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1487),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1487),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1487),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1487),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1487),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1487),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1487),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1487),
    [aux_sym_host_key_alias_token1] = ACTIONS(1487),
    [aux_sym_hostname_token1] = ACTIONS(1487),
    [aux_sym_identities_only_token1] = ACTIONS(1487),
    [aux_sym_identity_agent_token1] = ACTIONS(1487),
    [aux_sym_identity_file_token1] = ACTIONS(1487),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1487),
    [aux_sym_include_token1] = ACTIONS(1487),
    [aux_sym_ip_qos_token1] = ACTIONS(1487),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1487),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1487),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1487),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1487),
    [aux_sym_local_command_token1] = ACTIONS(1487),
    [aux_sym_local_forward_token1] = ACTIONS(1487),
    [aux_sym_log_level_token1] = ACTIONS(1487),
    [aux_sym_log_verbose_token1] = ACTIONS(1487),
    [aux_sym_macs_token1] = ACTIONS(1487),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1487),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1487),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1487),
    [aux_sym_password_authentication_token1] = ACTIONS(1487),
    [aux_sym_permit_local_command_token1] = ACTIONS(1487),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1487),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1487),
    [aux_sym_port_token1] = ACTIONS(1487),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1487),
    [aux_sym_protocol_token1] = ACTIONS(1487),
    [aux_sym_proxy_command_token1] = ACTIONS(1487),
    [aux_sym_proxy_jump_token1] = ACTIONS(1487),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1487),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1487),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1487),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1487),
    [aux_sym_rekey_limit_token1] = ACTIONS(1487),
    [aux_sym_remote_command_token1] = ACTIONS(1487),
    [aux_sym_remote_forward_token1] = ACTIONS(1487),
    [aux_sym_request_tty_token1] = ACTIONS(1487),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1487),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1487),
    [aux_sym_security_key_provider_token1] = ACTIONS(1487),
    [aux_sym_send_env_token1] = ACTIONS(1487),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1487),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1487),
    [aux_sym_session_type_token1] = ACTIONS(1487),
    [aux_sym_set_env_token1] = ACTIONS(1487),
    [aux_sym_stdin_null_token1] = ACTIONS(1487),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1487),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1487),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1487),
    [aux_sym_syslog_facility_token1] = ACTIONS(1487),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1487),
    [aux_sym_keep_alive_token1] = ACTIONS(1487),
    [aux_sym_tag_token1] = ACTIONS(1487),
    [aux_sym_tunnel_token1] = ACTIONS(1489),
    [aux_sym_tunnel_device_token1] = ACTIONS(1487),
    [aux_sym_update_host_keys_token1] = ACTIONS(1487),
    [aux_sym_use_keychain_token1] = ACTIONS(1487),
    [aux_sym_use_roaming_token1] = ACTIONS(1487),
    [aux_sym_user_token1] = ACTIONS(1489),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1487),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1487),
    [aux_sym_visual_host_key_token1] = ACTIONS(1487),
    [aux_sym_xauth_location_token1] = ACTIONS(1487),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [aux_sym_match_token1] = ACTIONS(1493),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1493),
    [aux_sym_address_family_token1] = ACTIONS(1493),
    [aux_sym_batch_mode_token1] = ACTIONS(1493),
    [aux_sym_bind_address_token1] = ACTIONS(1493),
    [aux_sym_bind_interface_token1] = ACTIONS(1493),
    [aux_sym_canonical_domains_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1493),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1493),
    [aux_sym_certificate_file_token1] = ACTIONS(1493),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1493),
    [aux_sym_channel_timeout_token1] = ACTIONS(1493),
    [aux_sym_check_host_ip_token1] = ACTIONS(1493),
    [aux_sym_ciphers_token1] = ACTIONS(1493),
    [aux_sym_cipher_token1] = ACTIONS(1495),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1493),
    [aux_sym_compression_token1] = ACTIONS(1493),
    [aux_sym_connection_attempts_token1] = ACTIONS(1493),
    [aux_sym_connect_timeout_token1] = ACTIONS(1493),
    [aux_sym_control_master_token1] = ACTIONS(1493),
    [aux_sym_control_path_token1] = ACTIONS(1493),
    [aux_sym_control_persist_token1] = ACTIONS(1493),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1493),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1493),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1493),
    [aux_sym_escape_char_token1] = ACTIONS(1493),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1493),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1493),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1493),
    [aux_sym_forward_agent_token1] = ACTIONS(1493),
    [aux_sym_forward_x11_token1] = ACTIONS(1495),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1493),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1493),
    [aux_sym_gateway_ports_token1] = ACTIONS(1493),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1493),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1493),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1493),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1493),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1493),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1493),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1493),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1493),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1493),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1493),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1493),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1493),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1493),
    [aux_sym_host_key_alias_token1] = ACTIONS(1493),
    [aux_sym_hostname_token1] = ACTIONS(1493),
    [aux_sym_identities_only_token1] = ACTIONS(1493),
    [aux_sym_identity_agent_token1] = ACTIONS(1493),
    [aux_sym_identity_file_token1] = ACTIONS(1493),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1493),
    [aux_sym_include_token1] = ACTIONS(1493),
    [aux_sym_ip_qos_token1] = ACTIONS(1493),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1493),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1493),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1493),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1493),
    [aux_sym_local_command_token1] = ACTIONS(1493),
    [aux_sym_local_forward_token1] = ACTIONS(1493),
    [aux_sym_log_level_token1] = ACTIONS(1493),
    [aux_sym_log_verbose_token1] = ACTIONS(1493),
    [aux_sym_macs_token1] = ACTIONS(1493),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1493),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1493),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1493),
    [aux_sym_password_authentication_token1] = ACTIONS(1493),
    [aux_sym_permit_local_command_token1] = ACTIONS(1493),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1493),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1493),
    [aux_sym_port_token1] = ACTIONS(1493),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1493),
    [aux_sym_protocol_token1] = ACTIONS(1493),
    [aux_sym_proxy_command_token1] = ACTIONS(1493),
    [aux_sym_proxy_jump_token1] = ACTIONS(1493),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1493),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1493),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1493),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1493),
    [aux_sym_rekey_limit_token1] = ACTIONS(1493),
    [aux_sym_remote_command_token1] = ACTIONS(1493),
    [aux_sym_remote_forward_token1] = ACTIONS(1493),
    [aux_sym_request_tty_token1] = ACTIONS(1493),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1493),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1493),
    [aux_sym_security_key_provider_token1] = ACTIONS(1493),
    [aux_sym_send_env_token1] = ACTIONS(1493),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1493),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1493),
    [aux_sym_session_type_token1] = ACTIONS(1493),
    [aux_sym_set_env_token1] = ACTIONS(1493),
    [aux_sym_stdin_null_token1] = ACTIONS(1493),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1493),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1493),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1493),
    [aux_sym_syslog_facility_token1] = ACTIONS(1493),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1493),
    [aux_sym_keep_alive_token1] = ACTIONS(1493),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [aux_sym_tunnel_token1] = ACTIONS(1495),
    [aux_sym_tunnel_device_token1] = ACTIONS(1493),
    [aux_sym_update_host_keys_token1] = ACTIONS(1493),
    [aux_sym_use_keychain_token1] = ACTIONS(1493),
    [aux_sym_use_roaming_token1] = ACTIONS(1493),
    [aux_sym_user_token1] = ACTIONS(1495),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1493),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1493),
    [aux_sym_visual_host_key_token1] = ACTIONS(1493),
    [aux_sym_xauth_location_token1] = ACTIONS(1493),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1499),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [aux_sym_match_token1] = ACTIONS(1499),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1499),
    [aux_sym_address_family_token1] = ACTIONS(1499),
    [aux_sym_batch_mode_token1] = ACTIONS(1499),
    [aux_sym_bind_address_token1] = ACTIONS(1499),
    [aux_sym_bind_interface_token1] = ACTIONS(1499),
    [aux_sym_canonical_domains_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1499),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1499),
    [aux_sym_certificate_file_token1] = ACTIONS(1499),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1499),
    [aux_sym_channel_timeout_token1] = ACTIONS(1499),
    [aux_sym_check_host_ip_token1] = ACTIONS(1499),
    [aux_sym_ciphers_token1] = ACTIONS(1499),
    [aux_sym_cipher_token1] = ACTIONS(1501),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1499),
    [aux_sym_compression_token1] = ACTIONS(1499),
    [aux_sym_connection_attempts_token1] = ACTIONS(1499),
    [aux_sym_connect_timeout_token1] = ACTIONS(1499),
    [aux_sym_control_master_token1] = ACTIONS(1499),
    [aux_sym_control_path_token1] = ACTIONS(1499),
    [aux_sym_control_persist_token1] = ACTIONS(1499),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1499),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1499),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1499),
    [aux_sym_escape_char_token1] = ACTIONS(1499),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1499),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1499),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1499),
    [aux_sym_forward_agent_token1] = ACTIONS(1499),
    [aux_sym_forward_x11_token1] = ACTIONS(1501),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1499),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1499),
    [aux_sym_gateway_ports_token1] = ACTIONS(1499),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1499),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1499),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1499),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1499),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1499),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1499),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1499),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1499),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1499),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1499),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1499),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1499),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1499),
    [aux_sym_host_key_alias_token1] = ACTIONS(1499),
    [aux_sym_hostname_token1] = ACTIONS(1499),
    [aux_sym_identities_only_token1] = ACTIONS(1499),
    [aux_sym_identity_agent_token1] = ACTIONS(1499),
    [aux_sym_identity_file_token1] = ACTIONS(1499),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1499),
    [aux_sym_include_token1] = ACTIONS(1499),
    [aux_sym_ip_qos_token1] = ACTIONS(1499),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1499),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1499),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1499),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1499),
    [aux_sym_local_command_token1] = ACTIONS(1499),
    [aux_sym_local_forward_token1] = ACTIONS(1499),
    [aux_sym_log_level_token1] = ACTIONS(1499),
    [aux_sym_log_verbose_token1] = ACTIONS(1499),
    [aux_sym_macs_token1] = ACTIONS(1499),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1499),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1499),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1499),
    [aux_sym_password_authentication_token1] = ACTIONS(1499),
    [aux_sym_permit_local_command_token1] = ACTIONS(1499),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1499),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1499),
    [aux_sym_port_token1] = ACTIONS(1499),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1499),
    [aux_sym_protocol_token1] = ACTIONS(1499),
    [aux_sym_proxy_command_token1] = ACTIONS(1499),
    [aux_sym_proxy_jump_token1] = ACTIONS(1499),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1499),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1499),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1499),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1499),
    [aux_sym_rekey_limit_token1] = ACTIONS(1499),
    [aux_sym_remote_command_token1] = ACTIONS(1499),
    [aux_sym_remote_forward_token1] = ACTIONS(1499),
    [aux_sym_request_tty_token1] = ACTIONS(1499),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1499),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1499),
    [aux_sym_security_key_provider_token1] = ACTIONS(1499),
    [aux_sym_send_env_token1] = ACTIONS(1499),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1499),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1499),
    [aux_sym_session_type_token1] = ACTIONS(1499),
    [aux_sym_set_env_token1] = ACTIONS(1499),
    [aux_sym_stdin_null_token1] = ACTIONS(1499),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1499),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1499),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1499),
    [aux_sym_syslog_facility_token1] = ACTIONS(1499),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1499),
    [aux_sym_keep_alive_token1] = ACTIONS(1499),
    [aux_sym_tag_token1] = ACTIONS(1499),
    [aux_sym_tunnel_token1] = ACTIONS(1501),
    [aux_sym_tunnel_device_token1] = ACTIONS(1499),
    [aux_sym_update_host_keys_token1] = ACTIONS(1499),
    [aux_sym_use_keychain_token1] = ACTIONS(1499),
    [aux_sym_use_roaming_token1] = ACTIONS(1499),
    [aux_sym_user_token1] = ACTIONS(1501),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1499),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1499),
    [aux_sym_visual_host_key_token1] = ACTIONS(1499),
    [aux_sym_xauth_location_token1] = ACTIONS(1499),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [aux_sym_match_token1] = ACTIONS(1505),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1505),
    [aux_sym_address_family_token1] = ACTIONS(1505),
    [aux_sym_batch_mode_token1] = ACTIONS(1505),
    [aux_sym_bind_address_token1] = ACTIONS(1505),
    [aux_sym_bind_interface_token1] = ACTIONS(1505),
    [aux_sym_canonical_domains_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1505),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1505),
    [aux_sym_certificate_file_token1] = ACTIONS(1505),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1505),
    [aux_sym_channel_timeout_token1] = ACTIONS(1505),
    [aux_sym_check_host_ip_token1] = ACTIONS(1505),
    [aux_sym_ciphers_token1] = ACTIONS(1505),
    [aux_sym_cipher_token1] = ACTIONS(1507),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1505),
    [aux_sym_compression_token1] = ACTIONS(1505),
    [aux_sym_connection_attempts_token1] = ACTIONS(1505),
    [aux_sym_connect_timeout_token1] = ACTIONS(1505),
    [aux_sym_control_master_token1] = ACTIONS(1505),
    [aux_sym_control_path_token1] = ACTIONS(1505),
    [aux_sym_control_persist_token1] = ACTIONS(1505),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1505),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1505),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1505),
    [aux_sym_escape_char_token1] = ACTIONS(1505),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1505),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1505),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1505),
    [aux_sym_forward_agent_token1] = ACTIONS(1505),
    [aux_sym_forward_x11_token1] = ACTIONS(1507),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1505),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1505),
    [aux_sym_gateway_ports_token1] = ACTIONS(1505),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1505),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1505),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1505),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1505),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1505),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1505),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1505),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1505),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1505),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1505),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1505),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1505),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1505),
    [aux_sym_host_key_alias_token1] = ACTIONS(1505),
    [aux_sym_hostname_token1] = ACTIONS(1505),
    [aux_sym_identities_only_token1] = ACTIONS(1505),
    [aux_sym_identity_agent_token1] = ACTIONS(1505),
    [aux_sym_identity_file_token1] = ACTIONS(1505),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1505),
    [aux_sym_include_token1] = ACTIONS(1505),
    [aux_sym_ip_qos_token1] = ACTIONS(1505),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1505),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1505),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1505),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1505),
    [aux_sym_local_command_token1] = ACTIONS(1505),
    [aux_sym_local_forward_token1] = ACTIONS(1505),
    [aux_sym_log_level_token1] = ACTIONS(1505),
    [aux_sym_log_verbose_token1] = ACTIONS(1505),
    [aux_sym_macs_token1] = ACTIONS(1505),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1505),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1505),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1505),
    [aux_sym_password_authentication_token1] = ACTIONS(1505),
    [aux_sym_permit_local_command_token1] = ACTIONS(1505),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1505),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1505),
    [aux_sym_port_token1] = ACTIONS(1505),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1505),
    [aux_sym_protocol_token1] = ACTIONS(1505),
    [aux_sym_proxy_command_token1] = ACTIONS(1505),
    [aux_sym_proxy_jump_token1] = ACTIONS(1505),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1505),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1505),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1505),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1505),
    [aux_sym_rekey_limit_token1] = ACTIONS(1505),
    [aux_sym_remote_command_token1] = ACTIONS(1505),
    [aux_sym_remote_forward_token1] = ACTIONS(1505),
    [aux_sym_request_tty_token1] = ACTIONS(1505),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1505),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1505),
    [aux_sym_security_key_provider_token1] = ACTIONS(1505),
    [aux_sym_send_env_token1] = ACTIONS(1505),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1505),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1505),
    [aux_sym_session_type_token1] = ACTIONS(1505),
    [aux_sym_set_env_token1] = ACTIONS(1505),
    [aux_sym_stdin_null_token1] = ACTIONS(1505),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1505),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1505),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1505),
    [aux_sym_syslog_facility_token1] = ACTIONS(1505),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1505),
    [aux_sym_keep_alive_token1] = ACTIONS(1505),
    [aux_sym_tag_token1] = ACTIONS(1505),
    [aux_sym_tunnel_token1] = ACTIONS(1507),
    [aux_sym_tunnel_device_token1] = ACTIONS(1505),
    [aux_sym_update_host_keys_token1] = ACTIONS(1505),
    [aux_sym_use_keychain_token1] = ACTIONS(1505),
    [aux_sym_use_roaming_token1] = ACTIONS(1505),
    [aux_sym_user_token1] = ACTIONS(1507),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1505),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1505),
    [aux_sym_visual_host_key_token1] = ACTIONS(1505),
    [aux_sym_xauth_location_token1] = ACTIONS(1505),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1511),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [aux_sym_match_token1] = ACTIONS(1511),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1511),
    [aux_sym_address_family_token1] = ACTIONS(1511),
    [aux_sym_batch_mode_token1] = ACTIONS(1511),
    [aux_sym_bind_address_token1] = ACTIONS(1511),
    [aux_sym_bind_interface_token1] = ACTIONS(1511),
    [aux_sym_canonical_domains_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1511),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1511),
    [aux_sym_certificate_file_token1] = ACTIONS(1511),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1511),
    [aux_sym_channel_timeout_token1] = ACTIONS(1511),
    [aux_sym_check_host_ip_token1] = ACTIONS(1511),
    [aux_sym_ciphers_token1] = ACTIONS(1511),
    [aux_sym_cipher_token1] = ACTIONS(1513),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1511),
    [aux_sym_compression_token1] = ACTIONS(1511),
    [aux_sym_connection_attempts_token1] = ACTIONS(1511),
    [aux_sym_connect_timeout_token1] = ACTIONS(1511),
    [aux_sym_control_master_token1] = ACTIONS(1511),
    [aux_sym_control_path_token1] = ACTIONS(1511),
    [aux_sym_control_persist_token1] = ACTIONS(1511),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1511),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1511),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1511),
    [aux_sym_escape_char_token1] = ACTIONS(1511),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1511),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1511),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1511),
    [aux_sym_forward_agent_token1] = ACTIONS(1511),
    [aux_sym_forward_x11_token1] = ACTIONS(1513),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1511),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1511),
    [aux_sym_gateway_ports_token1] = ACTIONS(1511),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1511),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1511),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1511),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1511),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1511),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1511),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1511),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1511),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1511),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1511),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1511),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1511),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1511),
    [aux_sym_host_key_alias_token1] = ACTIONS(1511),
    [aux_sym_hostname_token1] = ACTIONS(1511),
    [aux_sym_identities_only_token1] = ACTIONS(1511),
    [aux_sym_identity_agent_token1] = ACTIONS(1511),
    [aux_sym_identity_file_token1] = ACTIONS(1511),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1511),
    [aux_sym_include_token1] = ACTIONS(1511),
    [aux_sym_ip_qos_token1] = ACTIONS(1511),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1511),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1511),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1511),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1511),
    [aux_sym_local_command_token1] = ACTIONS(1511),
    [aux_sym_local_forward_token1] = ACTIONS(1511),
    [aux_sym_log_level_token1] = ACTIONS(1511),
    [aux_sym_log_verbose_token1] = ACTIONS(1511),
    [aux_sym_macs_token1] = ACTIONS(1511),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1511),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1511),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1511),
    [aux_sym_password_authentication_token1] = ACTIONS(1511),
    [aux_sym_permit_local_command_token1] = ACTIONS(1511),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1511),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1511),
    [aux_sym_port_token1] = ACTIONS(1511),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1511),
    [aux_sym_protocol_token1] = ACTIONS(1511),
    [aux_sym_proxy_command_token1] = ACTIONS(1511),
    [aux_sym_proxy_jump_token1] = ACTIONS(1511),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1511),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1511),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1511),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1511),
    [aux_sym_rekey_limit_token1] = ACTIONS(1511),
    [aux_sym_remote_command_token1] = ACTIONS(1511),
    [aux_sym_remote_forward_token1] = ACTIONS(1511),
    [aux_sym_request_tty_token1] = ACTIONS(1511),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1511),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1511),
    [aux_sym_security_key_provider_token1] = ACTIONS(1511),
    [aux_sym_send_env_token1] = ACTIONS(1511),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1511),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1511),
    [aux_sym_session_type_token1] = ACTIONS(1511),
    [aux_sym_set_env_token1] = ACTIONS(1511),
    [aux_sym_stdin_null_token1] = ACTIONS(1511),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1511),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1511),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1511),
    [aux_sym_syslog_facility_token1] = ACTIONS(1511),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1511),
    [aux_sym_keep_alive_token1] = ACTIONS(1511),
    [aux_sym_tag_token1] = ACTIONS(1511),
    [aux_sym_tunnel_token1] = ACTIONS(1513),
    [aux_sym_tunnel_device_token1] = ACTIONS(1511),
    [aux_sym_update_host_keys_token1] = ACTIONS(1511),
    [aux_sym_use_keychain_token1] = ACTIONS(1511),
    [aux_sym_use_roaming_token1] = ACTIONS(1511),
    [aux_sym_user_token1] = ACTIONS(1513),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1511),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1511),
    [aux_sym_visual_host_key_token1] = ACTIONS(1511),
    [aux_sym_xauth_location_token1] = ACTIONS(1511),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [aux_sym_match_token1] = ACTIONS(1517),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1517),
    [aux_sym_address_family_token1] = ACTIONS(1517),
    [aux_sym_batch_mode_token1] = ACTIONS(1517),
    [aux_sym_bind_address_token1] = ACTIONS(1517),
    [aux_sym_bind_interface_token1] = ACTIONS(1517),
    [aux_sym_canonical_domains_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1517),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1517),
    [aux_sym_certificate_file_token1] = ACTIONS(1517),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1517),
    [aux_sym_channel_timeout_token1] = ACTIONS(1517),
    [aux_sym_check_host_ip_token1] = ACTIONS(1517),
    [aux_sym_ciphers_token1] = ACTIONS(1517),
    [aux_sym_cipher_token1] = ACTIONS(1519),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1517),
    [aux_sym_compression_token1] = ACTIONS(1517),
    [aux_sym_connection_attempts_token1] = ACTIONS(1517),
    [aux_sym_connect_timeout_token1] = ACTIONS(1517),
    [aux_sym_control_master_token1] = ACTIONS(1517),
    [aux_sym_control_path_token1] = ACTIONS(1517),
    [aux_sym_control_persist_token1] = ACTIONS(1517),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1517),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1517),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1517),
    [aux_sym_escape_char_token1] = ACTIONS(1517),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1517),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1517),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1517),
    [aux_sym_forward_agent_token1] = ACTIONS(1517),
    [aux_sym_forward_x11_token1] = ACTIONS(1519),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1517),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1517),
    [aux_sym_gateway_ports_token1] = ACTIONS(1517),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1517),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1517),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1517),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1517),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1517),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1517),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1517),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1517),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1517),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1517),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1517),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1517),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1517),
    [aux_sym_host_key_alias_token1] = ACTIONS(1517),
    [aux_sym_hostname_token1] = ACTIONS(1517),
    [aux_sym_identities_only_token1] = ACTIONS(1517),
    [aux_sym_identity_agent_token1] = ACTIONS(1517),
    [aux_sym_identity_file_token1] = ACTIONS(1517),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1517),
    [aux_sym_include_token1] = ACTIONS(1517),
    [aux_sym_ip_qos_token1] = ACTIONS(1517),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1517),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1517),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1517),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1517),
    [aux_sym_local_command_token1] = ACTIONS(1517),
    [aux_sym_local_forward_token1] = ACTIONS(1517),
    [aux_sym_log_level_token1] = ACTIONS(1517),
    [aux_sym_log_verbose_token1] = ACTIONS(1517),
    [aux_sym_macs_token1] = ACTIONS(1517),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1517),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1517),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1517),
    [aux_sym_password_authentication_token1] = ACTIONS(1517),
    [aux_sym_permit_local_command_token1] = ACTIONS(1517),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1517),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1517),
    [aux_sym_port_token1] = ACTIONS(1517),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1517),
    [aux_sym_protocol_token1] = ACTIONS(1517),
    [aux_sym_proxy_command_token1] = ACTIONS(1517),
    [aux_sym_proxy_jump_token1] = ACTIONS(1517),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1517),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1517),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1517),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1517),
    [aux_sym_rekey_limit_token1] = ACTIONS(1517),
    [aux_sym_remote_command_token1] = ACTIONS(1517),
    [aux_sym_remote_forward_token1] = ACTIONS(1517),
    [aux_sym_request_tty_token1] = ACTIONS(1517),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1517),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1517),
    [aux_sym_security_key_provider_token1] = ACTIONS(1517),
    [aux_sym_send_env_token1] = ACTIONS(1517),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1517),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1517),
    [aux_sym_session_type_token1] = ACTIONS(1517),
    [aux_sym_set_env_token1] = ACTIONS(1517),
    [aux_sym_stdin_null_token1] = ACTIONS(1517),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1517),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1517),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1517),
    [aux_sym_syslog_facility_token1] = ACTIONS(1517),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1517),
    [aux_sym_keep_alive_token1] = ACTIONS(1517),
    [aux_sym_tag_token1] = ACTIONS(1517),
    [aux_sym_tunnel_token1] = ACTIONS(1519),
    [aux_sym_tunnel_device_token1] = ACTIONS(1517),
    [aux_sym_update_host_keys_token1] = ACTIONS(1517),
    [aux_sym_use_keychain_token1] = ACTIONS(1517),
    [aux_sym_use_roaming_token1] = ACTIONS(1517),
    [aux_sym_user_token1] = ACTIONS(1519),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1517),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1517),
    [aux_sym_visual_host_key_token1] = ACTIONS(1517),
    [aux_sym_xauth_location_token1] = ACTIONS(1517),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [aux_sym_match_token1] = ACTIONS(1523),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1523),
    [aux_sym_address_family_token1] = ACTIONS(1523),
    [aux_sym_batch_mode_token1] = ACTIONS(1523),
    [aux_sym_bind_address_token1] = ACTIONS(1523),
    [aux_sym_bind_interface_token1] = ACTIONS(1523),
    [aux_sym_canonical_domains_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1523),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1523),
    [aux_sym_certificate_file_token1] = ACTIONS(1523),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1523),
    [aux_sym_channel_timeout_token1] = ACTIONS(1523),
    [aux_sym_check_host_ip_token1] = ACTIONS(1523),
    [aux_sym_ciphers_token1] = ACTIONS(1523),
    [aux_sym_cipher_token1] = ACTIONS(1525),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1523),
    [aux_sym_compression_token1] = ACTIONS(1523),
    [aux_sym_connection_attempts_token1] = ACTIONS(1523),
    [aux_sym_connect_timeout_token1] = ACTIONS(1523),
    [aux_sym_control_master_token1] = ACTIONS(1523),
    [aux_sym_control_path_token1] = ACTIONS(1523),
    [aux_sym_control_persist_token1] = ACTIONS(1523),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1523),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1523),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1523),
    [aux_sym_escape_char_token1] = ACTIONS(1523),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1523),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1523),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1523),
    [aux_sym_forward_agent_token1] = ACTIONS(1523),
    [aux_sym_forward_x11_token1] = ACTIONS(1525),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1523),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1523),
    [aux_sym_gateway_ports_token1] = ACTIONS(1523),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1523),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1523),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1523),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1523),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1523),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1523),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1523),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1523),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1523),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1523),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1523),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1523),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1523),
    [aux_sym_host_key_alias_token1] = ACTIONS(1523),
    [aux_sym_hostname_token1] = ACTIONS(1523),
    [aux_sym_identities_only_token1] = ACTIONS(1523),
    [aux_sym_identity_agent_token1] = ACTIONS(1523),
    [aux_sym_identity_file_token1] = ACTIONS(1523),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1523),
    [aux_sym_include_token1] = ACTIONS(1523),
    [aux_sym_ip_qos_token1] = ACTIONS(1523),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1523),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1523),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1523),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1523),
    [aux_sym_local_command_token1] = ACTIONS(1523),
    [aux_sym_local_forward_token1] = ACTIONS(1523),
    [aux_sym_log_level_token1] = ACTIONS(1523),
    [aux_sym_log_verbose_token1] = ACTIONS(1523),
    [aux_sym_macs_token1] = ACTIONS(1523),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1523),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1523),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1523),
    [aux_sym_password_authentication_token1] = ACTIONS(1523),
    [aux_sym_permit_local_command_token1] = ACTIONS(1523),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1523),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1523),
    [aux_sym_port_token1] = ACTIONS(1523),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1523),
    [aux_sym_protocol_token1] = ACTIONS(1523),
    [aux_sym_proxy_command_token1] = ACTIONS(1523),
    [aux_sym_proxy_jump_token1] = ACTIONS(1523),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1523),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1523),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1523),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1523),
    [aux_sym_rekey_limit_token1] = ACTIONS(1523),
    [aux_sym_remote_command_token1] = ACTIONS(1523),
    [aux_sym_remote_forward_token1] = ACTIONS(1523),
    [aux_sym_request_tty_token1] = ACTIONS(1523),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1523),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1523),
    [aux_sym_security_key_provider_token1] = ACTIONS(1523),
    [aux_sym_send_env_token1] = ACTIONS(1523),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1523),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1523),
    [aux_sym_session_type_token1] = ACTIONS(1523),
    [aux_sym_set_env_token1] = ACTIONS(1523),
    [aux_sym_stdin_null_token1] = ACTIONS(1523),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1523),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1523),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1523),
    [aux_sym_syslog_facility_token1] = ACTIONS(1523),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1523),
    [aux_sym_keep_alive_token1] = ACTIONS(1523),
    [aux_sym_tag_token1] = ACTIONS(1523),
    [aux_sym_tunnel_token1] = ACTIONS(1525),
    [aux_sym_tunnel_device_token1] = ACTIONS(1523),
    [aux_sym_update_host_keys_token1] = ACTIONS(1523),
    [aux_sym_use_keychain_token1] = ACTIONS(1523),
    [aux_sym_use_roaming_token1] = ACTIONS(1523),
    [aux_sym_user_token1] = ACTIONS(1525),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1523),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1523),
    [aux_sym_visual_host_key_token1] = ACTIONS(1523),
    [aux_sym_xauth_location_token1] = ACTIONS(1523),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [aux_sym_match_token1] = ACTIONS(1529),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1529),
    [aux_sym_address_family_token1] = ACTIONS(1529),
    [aux_sym_batch_mode_token1] = ACTIONS(1529),
    [aux_sym_bind_address_token1] = ACTIONS(1529),
    [aux_sym_bind_interface_token1] = ACTIONS(1529),
    [aux_sym_canonical_domains_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1529),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1529),
    [aux_sym_certificate_file_token1] = ACTIONS(1529),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1529),
    [aux_sym_channel_timeout_token1] = ACTIONS(1529),
    [aux_sym_check_host_ip_token1] = ACTIONS(1529),
    [aux_sym_ciphers_token1] = ACTIONS(1529),
    [aux_sym_cipher_token1] = ACTIONS(1531),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1529),
    [aux_sym_compression_token1] = ACTIONS(1529),
    [aux_sym_connection_attempts_token1] = ACTIONS(1529),
    [aux_sym_connect_timeout_token1] = ACTIONS(1529),
    [aux_sym_control_master_token1] = ACTIONS(1529),
    [aux_sym_control_path_token1] = ACTIONS(1529),
    [aux_sym_control_persist_token1] = ACTIONS(1529),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1529),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1529),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1529),
    [aux_sym_escape_char_token1] = ACTIONS(1529),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1529),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1529),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1529),
    [aux_sym_forward_agent_token1] = ACTIONS(1529),
    [aux_sym_forward_x11_token1] = ACTIONS(1531),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1529),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1529),
    [aux_sym_gateway_ports_token1] = ACTIONS(1529),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1529),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1529),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1529),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1529),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1529),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1529),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1529),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1529),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1529),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1529),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1529),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1529),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1529),
    [aux_sym_host_key_alias_token1] = ACTIONS(1529),
    [aux_sym_hostname_token1] = ACTIONS(1529),
    [aux_sym_identities_only_token1] = ACTIONS(1529),
    [aux_sym_identity_agent_token1] = ACTIONS(1529),
    [aux_sym_identity_file_token1] = ACTIONS(1529),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1529),
    [aux_sym_include_token1] = ACTIONS(1529),
    [aux_sym_ip_qos_token1] = ACTIONS(1529),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1529),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1529),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1529),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1529),
    [aux_sym_local_command_token1] = ACTIONS(1529),
    [aux_sym_local_forward_token1] = ACTIONS(1529),
    [aux_sym_log_level_token1] = ACTIONS(1529),
    [aux_sym_log_verbose_token1] = ACTIONS(1529),
    [aux_sym_macs_token1] = ACTIONS(1529),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1529),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1529),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1529),
    [aux_sym_password_authentication_token1] = ACTIONS(1529),
    [aux_sym_permit_local_command_token1] = ACTIONS(1529),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1529),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1529),
    [aux_sym_port_token1] = ACTIONS(1529),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1529),
    [aux_sym_protocol_token1] = ACTIONS(1529),
    [aux_sym_proxy_command_token1] = ACTIONS(1529),
    [aux_sym_proxy_jump_token1] = ACTIONS(1529),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1529),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1529),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1529),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1529),
    [aux_sym_rekey_limit_token1] = ACTIONS(1529),
    [aux_sym_remote_command_token1] = ACTIONS(1529),
    [aux_sym_remote_forward_token1] = ACTIONS(1529),
    [aux_sym_request_tty_token1] = ACTIONS(1529),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1529),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1529),
    [aux_sym_security_key_provider_token1] = ACTIONS(1529),
    [aux_sym_send_env_token1] = ACTIONS(1529),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1529),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1529),
    [aux_sym_session_type_token1] = ACTIONS(1529),
    [aux_sym_set_env_token1] = ACTIONS(1529),
    [aux_sym_stdin_null_token1] = ACTIONS(1529),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1529),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1529),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1529),
    [aux_sym_syslog_facility_token1] = ACTIONS(1529),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1529),
    [aux_sym_keep_alive_token1] = ACTIONS(1529),
    [aux_sym_tag_token1] = ACTIONS(1529),
    [aux_sym_tunnel_token1] = ACTIONS(1531),
    [aux_sym_tunnel_device_token1] = ACTIONS(1529),
    [aux_sym_update_host_keys_token1] = ACTIONS(1529),
    [aux_sym_use_keychain_token1] = ACTIONS(1529),
    [aux_sym_use_roaming_token1] = ACTIONS(1529),
    [aux_sym_user_token1] = ACTIONS(1531),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1529),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1529),
    [aux_sym_visual_host_key_token1] = ACTIONS(1529),
    [aux_sym_xauth_location_token1] = ACTIONS(1529),
  },
  [162] = {
    [ts_builtin_sym_end] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [aux_sym_match_token1] = ACTIONS(1535),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1535),
    [aux_sym_address_family_token1] = ACTIONS(1535),
    [aux_sym_batch_mode_token1] = ACTIONS(1535),
    [aux_sym_bind_address_token1] = ACTIONS(1535),
    [aux_sym_bind_interface_token1] = ACTIONS(1535),
    [aux_sym_canonical_domains_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1535),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1535),
    [aux_sym_certificate_file_token1] = ACTIONS(1535),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1535),
    [aux_sym_channel_timeout_token1] = ACTIONS(1535),
    [aux_sym_check_host_ip_token1] = ACTIONS(1535),
    [aux_sym_ciphers_token1] = ACTIONS(1535),
    [aux_sym_cipher_token1] = ACTIONS(1537),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1535),
    [aux_sym_compression_token1] = ACTIONS(1535),
    [aux_sym_connection_attempts_token1] = ACTIONS(1535),
    [aux_sym_connect_timeout_token1] = ACTIONS(1535),
    [aux_sym_control_master_token1] = ACTIONS(1535),
    [aux_sym_control_path_token1] = ACTIONS(1535),
    [aux_sym_control_persist_token1] = ACTIONS(1535),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1535),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1535),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1535),
    [aux_sym_escape_char_token1] = ACTIONS(1535),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1535),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1535),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1535),
    [aux_sym_forward_agent_token1] = ACTIONS(1535),
    [aux_sym_forward_x11_token1] = ACTIONS(1537),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1535),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1535),
    [aux_sym_gateway_ports_token1] = ACTIONS(1535),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1535),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1535),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1535),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1535),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1535),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1535),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1535),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1535),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1535),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1535),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1535),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1535),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1535),
    [aux_sym_host_key_alias_token1] = ACTIONS(1535),
    [aux_sym_hostname_token1] = ACTIONS(1535),
    [aux_sym_identities_only_token1] = ACTIONS(1535),
    [aux_sym_identity_agent_token1] = ACTIONS(1535),
    [aux_sym_identity_file_token1] = ACTIONS(1535),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1535),
    [aux_sym_include_token1] = ACTIONS(1535),
    [aux_sym_ip_qos_token1] = ACTIONS(1535),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1535),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1535),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1535),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1535),
    [aux_sym_local_command_token1] = ACTIONS(1535),
    [aux_sym_local_forward_token1] = ACTIONS(1535),
    [aux_sym_log_level_token1] = ACTIONS(1535),
    [aux_sym_log_verbose_token1] = ACTIONS(1535),
    [aux_sym_macs_token1] = ACTIONS(1535),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1535),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1535),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1535),
    [aux_sym_password_authentication_token1] = ACTIONS(1535),
    [aux_sym_permit_local_command_token1] = ACTIONS(1535),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1535),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1535),
    [aux_sym_port_token1] = ACTIONS(1535),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1535),
    [aux_sym_protocol_token1] = ACTIONS(1535),
    [aux_sym_proxy_command_token1] = ACTIONS(1535),
    [aux_sym_proxy_jump_token1] = ACTIONS(1535),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1535),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1535),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1535),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1535),
    [aux_sym_rekey_limit_token1] = ACTIONS(1535),
    [aux_sym_remote_command_token1] = ACTIONS(1535),
    [aux_sym_remote_forward_token1] = ACTIONS(1535),
    [aux_sym_request_tty_token1] = ACTIONS(1535),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1535),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1535),
    [aux_sym_security_key_provider_token1] = ACTIONS(1535),
    [aux_sym_send_env_token1] = ACTIONS(1535),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1535),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1535),
    [aux_sym_session_type_token1] = ACTIONS(1535),
    [aux_sym_set_env_token1] = ACTIONS(1535),
    [aux_sym_stdin_null_token1] = ACTIONS(1535),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1535),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1535),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1535),
    [aux_sym_syslog_facility_token1] = ACTIONS(1535),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1535),
    [aux_sym_keep_alive_token1] = ACTIONS(1535),
    [aux_sym_tag_token1] = ACTIONS(1535),
    [aux_sym_tunnel_token1] = ACTIONS(1537),
    [aux_sym_tunnel_device_token1] = ACTIONS(1535),
    [aux_sym_update_host_keys_token1] = ACTIONS(1535),
    [aux_sym_use_keychain_token1] = ACTIONS(1535),
    [aux_sym_use_roaming_token1] = ACTIONS(1535),
    [aux_sym_user_token1] = ACTIONS(1537),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1535),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1535),
    [aux_sym_visual_host_key_token1] = ACTIONS(1535),
    [aux_sym_xauth_location_token1] = ACTIONS(1535),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1545),
    [aux_sym_match_token1] = ACTIONS(1541),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1541),
    [aux_sym_address_family_token1] = ACTIONS(1541),
    [aux_sym_batch_mode_token1] = ACTIONS(1541),
    [aux_sym_bind_address_token1] = ACTIONS(1541),
    [aux_sym_bind_interface_token1] = ACTIONS(1541),
    [aux_sym_canonical_domains_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1541),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1541),
    [aux_sym_certificate_file_token1] = ACTIONS(1541),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1541),
    [aux_sym_channel_timeout_token1] = ACTIONS(1541),
    [aux_sym_check_host_ip_token1] = ACTIONS(1541),
    [aux_sym_ciphers_token1] = ACTIONS(1541),
    [aux_sym_cipher_token1] = ACTIONS(1543),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1541),
    [aux_sym_compression_token1] = ACTIONS(1541),
    [aux_sym_connection_attempts_token1] = ACTIONS(1541),
    [aux_sym_connect_timeout_token1] = ACTIONS(1541),
    [aux_sym_control_master_token1] = ACTIONS(1541),
    [aux_sym_control_path_token1] = ACTIONS(1541),
    [aux_sym_control_persist_token1] = ACTIONS(1541),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1541),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1541),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1541),
    [aux_sym_escape_char_token1] = ACTIONS(1541),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1541),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1541),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1541),
    [aux_sym_forward_agent_token1] = ACTIONS(1541),
    [aux_sym_forward_x11_token1] = ACTIONS(1543),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1541),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1541),
    [aux_sym_gateway_ports_token1] = ACTIONS(1541),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1541),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1541),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1541),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1541),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1541),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1541),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1541),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1541),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1541),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1541),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1541),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1541),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1541),
    [aux_sym_host_key_alias_token1] = ACTIONS(1541),
    [aux_sym_hostname_token1] = ACTIONS(1541),
    [aux_sym_identities_only_token1] = ACTIONS(1541),
    [aux_sym_identity_agent_token1] = ACTIONS(1541),
    [aux_sym_identity_file_token1] = ACTIONS(1541),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1541),
    [aux_sym_include_token1] = ACTIONS(1541),
    [aux_sym_ip_qos_token1] = ACTIONS(1541),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1541),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1541),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1541),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1541),
    [aux_sym_local_command_token1] = ACTIONS(1541),
    [aux_sym_local_forward_token1] = ACTIONS(1541),
    [aux_sym_log_level_token1] = ACTIONS(1541),
    [aux_sym_log_verbose_token1] = ACTIONS(1541),
    [aux_sym_macs_token1] = ACTIONS(1541),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1541),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1541),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1541),
    [aux_sym_password_authentication_token1] = ACTIONS(1541),
    [aux_sym_permit_local_command_token1] = ACTIONS(1541),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1541),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1541),
    [aux_sym_port_token1] = ACTIONS(1541),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1541),
    [aux_sym_protocol_token1] = ACTIONS(1541),
    [aux_sym_proxy_command_token1] = ACTIONS(1541),
    [aux_sym_proxy_jump_token1] = ACTIONS(1541),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1541),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1541),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1541),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1541),
    [aux_sym_rekey_limit_token1] = ACTIONS(1541),
    [aux_sym_remote_command_token1] = ACTIONS(1541),
    [aux_sym_remote_forward_token1] = ACTIONS(1541),
    [aux_sym_request_tty_token1] = ACTIONS(1541),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1541),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1541),
    [aux_sym_security_key_provider_token1] = ACTIONS(1541),
    [aux_sym_send_env_token1] = ACTIONS(1541),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1541),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1541),
    [aux_sym_session_type_token1] = ACTIONS(1541),
    [aux_sym_set_env_token1] = ACTIONS(1541),
    [aux_sym_stdin_null_token1] = ACTIONS(1541),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1541),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1541),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1541),
    [aux_sym_syslog_facility_token1] = ACTIONS(1541),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1541),
    [aux_sym_keep_alive_token1] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1541),
    [aux_sym_tunnel_token1] = ACTIONS(1543),
    [aux_sym_tunnel_device_token1] = ACTIONS(1541),
    [aux_sym_update_host_keys_token1] = ACTIONS(1541),
    [aux_sym_use_keychain_token1] = ACTIONS(1541),
    [aux_sym_use_roaming_token1] = ACTIONS(1541),
    [aux_sym_user_token1] = ACTIONS(1543),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1541),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1541),
    [aux_sym_visual_host_key_token1] = ACTIONS(1541),
    [aux_sym_xauth_location_token1] = ACTIONS(1541),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [aux_sym_match_token1] = ACTIONS(1547),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1547),
    [aux_sym_address_family_token1] = ACTIONS(1547),
    [aux_sym_batch_mode_token1] = ACTIONS(1547),
    [aux_sym_bind_address_token1] = ACTIONS(1547),
    [aux_sym_bind_interface_token1] = ACTIONS(1547),
    [aux_sym_canonical_domains_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1547),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1547),
    [aux_sym_certificate_file_token1] = ACTIONS(1547),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1547),
    [aux_sym_channel_timeout_token1] = ACTIONS(1547),
    [aux_sym_check_host_ip_token1] = ACTIONS(1547),
    [aux_sym_ciphers_token1] = ACTIONS(1547),
    [aux_sym_cipher_token1] = ACTIONS(1549),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1547),
    [aux_sym_compression_token1] = ACTIONS(1547),
    [aux_sym_connection_attempts_token1] = ACTIONS(1547),
    [aux_sym_connect_timeout_token1] = ACTIONS(1547),
    [aux_sym_control_master_token1] = ACTIONS(1547),
    [aux_sym_control_path_token1] = ACTIONS(1547),
    [aux_sym_control_persist_token1] = ACTIONS(1547),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1547),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1547),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1547),
    [aux_sym_escape_char_token1] = ACTIONS(1547),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1547),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1547),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1547),
    [aux_sym_forward_agent_token1] = ACTIONS(1547),
    [aux_sym_forward_x11_token1] = ACTIONS(1549),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1547),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1547),
    [aux_sym_gateway_ports_token1] = ACTIONS(1547),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1547),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1547),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1547),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1547),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1547),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1547),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1547),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1547),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1547),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1547),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1547),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1547),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1547),
    [aux_sym_host_key_alias_token1] = ACTIONS(1547),
    [aux_sym_hostname_token1] = ACTIONS(1547),
    [aux_sym_identities_only_token1] = ACTIONS(1547),
    [aux_sym_identity_agent_token1] = ACTIONS(1547),
    [aux_sym_identity_file_token1] = ACTIONS(1547),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1547),
    [aux_sym_include_token1] = ACTIONS(1547),
    [aux_sym_ip_qos_token1] = ACTIONS(1547),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1547),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1547),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1547),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1547),
    [aux_sym_local_command_token1] = ACTIONS(1547),
    [aux_sym_local_forward_token1] = ACTIONS(1547),
    [aux_sym_log_level_token1] = ACTIONS(1547),
    [aux_sym_log_verbose_token1] = ACTIONS(1547),
    [aux_sym_macs_token1] = ACTIONS(1547),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1547),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1547),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1547),
    [aux_sym_password_authentication_token1] = ACTIONS(1547),
    [aux_sym_permit_local_command_token1] = ACTIONS(1547),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1547),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1547),
    [aux_sym_port_token1] = ACTIONS(1547),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1547),
    [aux_sym_protocol_token1] = ACTIONS(1547),
    [aux_sym_proxy_command_token1] = ACTIONS(1547),
    [aux_sym_proxy_jump_token1] = ACTIONS(1547),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1547),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1547),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1547),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1547),
    [aux_sym_rekey_limit_token1] = ACTIONS(1547),
    [aux_sym_remote_command_token1] = ACTIONS(1547),
    [aux_sym_remote_forward_token1] = ACTIONS(1547),
    [aux_sym_request_tty_token1] = ACTIONS(1547),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1547),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1547),
    [aux_sym_security_key_provider_token1] = ACTIONS(1547),
    [aux_sym_send_env_token1] = ACTIONS(1547),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1547),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1547),
    [aux_sym_session_type_token1] = ACTIONS(1547),
    [aux_sym_set_env_token1] = ACTIONS(1547),
    [aux_sym_stdin_null_token1] = ACTIONS(1547),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1547),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1547),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1547),
    [aux_sym_syslog_facility_token1] = ACTIONS(1547),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1547),
    [aux_sym_keep_alive_token1] = ACTIONS(1547),
    [aux_sym_tag_token1] = ACTIONS(1547),
    [aux_sym_tunnel_token1] = ACTIONS(1549),
    [aux_sym_tunnel_device_token1] = ACTIONS(1547),
    [aux_sym_update_host_keys_token1] = ACTIONS(1547),
    [aux_sym_use_keychain_token1] = ACTIONS(1547),
    [aux_sym_use_roaming_token1] = ACTIONS(1547),
    [aux_sym_user_token1] = ACTIONS(1549),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1547),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1547),
    [aux_sym_visual_host_key_token1] = ACTIONS(1547),
    [aux_sym_xauth_location_token1] = ACTIONS(1547),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [aux_sym_match_token1] = ACTIONS(1553),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1553),
    [aux_sym_address_family_token1] = ACTIONS(1553),
    [aux_sym_batch_mode_token1] = ACTIONS(1553),
    [aux_sym_bind_address_token1] = ACTIONS(1553),
    [aux_sym_bind_interface_token1] = ACTIONS(1553),
    [aux_sym_canonical_domains_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1553),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1553),
    [aux_sym_certificate_file_token1] = ACTIONS(1553),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1553),
    [aux_sym_channel_timeout_token1] = ACTIONS(1553),
    [aux_sym_check_host_ip_token1] = ACTIONS(1553),
    [aux_sym_ciphers_token1] = ACTIONS(1553),
    [aux_sym_cipher_token1] = ACTIONS(1555),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1553),
    [aux_sym_compression_token1] = ACTIONS(1553),
    [aux_sym_connection_attempts_token1] = ACTIONS(1553),
    [aux_sym_connect_timeout_token1] = ACTIONS(1553),
    [aux_sym_control_master_token1] = ACTIONS(1553),
    [aux_sym_control_path_token1] = ACTIONS(1553),
    [aux_sym_control_persist_token1] = ACTIONS(1553),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1553),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1553),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1553),
    [aux_sym_escape_char_token1] = ACTIONS(1553),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1553),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1553),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1553),
    [aux_sym_forward_agent_token1] = ACTIONS(1553),
    [aux_sym_forward_x11_token1] = ACTIONS(1555),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1553),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1553),
    [aux_sym_gateway_ports_token1] = ACTIONS(1553),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1553),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1553),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1553),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1553),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1553),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1553),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1553),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1553),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1553),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1553),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1553),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1553),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1553),
    [aux_sym_host_key_alias_token1] = ACTIONS(1553),
    [aux_sym_hostname_token1] = ACTIONS(1553),
    [aux_sym_identities_only_token1] = ACTIONS(1553),
    [aux_sym_identity_agent_token1] = ACTIONS(1553),
    [aux_sym_identity_file_token1] = ACTIONS(1553),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1553),
    [aux_sym_include_token1] = ACTIONS(1553),
    [aux_sym_ip_qos_token1] = ACTIONS(1553),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1553),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1553),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1553),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1553),
    [aux_sym_local_command_token1] = ACTIONS(1553),
    [aux_sym_local_forward_token1] = ACTIONS(1553),
    [aux_sym_log_level_token1] = ACTIONS(1553),
    [aux_sym_log_verbose_token1] = ACTIONS(1553),
    [aux_sym_macs_token1] = ACTIONS(1553),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1553),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1553),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1553),
    [aux_sym_password_authentication_token1] = ACTIONS(1553),
    [aux_sym_permit_local_command_token1] = ACTIONS(1553),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1553),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1553),
    [aux_sym_port_token1] = ACTIONS(1553),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1553),
    [aux_sym_protocol_token1] = ACTIONS(1553),
    [aux_sym_proxy_command_token1] = ACTIONS(1553),
    [aux_sym_proxy_jump_token1] = ACTIONS(1553),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1553),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1553),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1553),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1553),
    [aux_sym_rekey_limit_token1] = ACTIONS(1553),
    [aux_sym_remote_command_token1] = ACTIONS(1553),
    [aux_sym_remote_forward_token1] = ACTIONS(1553),
    [aux_sym_request_tty_token1] = ACTIONS(1553),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1553),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1553),
    [aux_sym_security_key_provider_token1] = ACTIONS(1553),
    [aux_sym_send_env_token1] = ACTIONS(1553),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1553),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1553),
    [aux_sym_session_type_token1] = ACTIONS(1553),
    [aux_sym_set_env_token1] = ACTIONS(1553),
    [aux_sym_stdin_null_token1] = ACTIONS(1553),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1553),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1553),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1553),
    [aux_sym_syslog_facility_token1] = ACTIONS(1553),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1553),
    [aux_sym_keep_alive_token1] = ACTIONS(1553),
    [aux_sym_tag_token1] = ACTIONS(1553),
    [aux_sym_tunnel_token1] = ACTIONS(1555),
    [aux_sym_tunnel_device_token1] = ACTIONS(1553),
    [aux_sym_update_host_keys_token1] = ACTIONS(1553),
    [aux_sym_use_keychain_token1] = ACTIONS(1553),
    [aux_sym_use_roaming_token1] = ACTIONS(1553),
    [aux_sym_user_token1] = ACTIONS(1555),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1553),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1553),
    [aux_sym_visual_host_key_token1] = ACTIONS(1553),
    [aux_sym_xauth_location_token1] = ACTIONS(1553),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [aux_sym_match_token1] = ACTIONS(1559),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1559),
    [aux_sym_address_family_token1] = ACTIONS(1559),
    [aux_sym_batch_mode_token1] = ACTIONS(1559),
    [aux_sym_bind_address_token1] = ACTIONS(1559),
    [aux_sym_bind_interface_token1] = ACTIONS(1559),
    [aux_sym_canonical_domains_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1559),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1559),
    [aux_sym_certificate_file_token1] = ACTIONS(1559),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1559),
    [aux_sym_channel_timeout_token1] = ACTIONS(1559),
    [aux_sym_check_host_ip_token1] = ACTIONS(1559),
    [aux_sym_ciphers_token1] = ACTIONS(1559),
    [aux_sym_cipher_token1] = ACTIONS(1561),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1559),
    [aux_sym_compression_token1] = ACTIONS(1559),
    [aux_sym_connection_attempts_token1] = ACTIONS(1559),
    [aux_sym_connect_timeout_token1] = ACTIONS(1559),
    [aux_sym_control_master_token1] = ACTIONS(1559),
    [aux_sym_control_path_token1] = ACTIONS(1559),
    [aux_sym_control_persist_token1] = ACTIONS(1559),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1559),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1559),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1559),
    [aux_sym_escape_char_token1] = ACTIONS(1559),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1559),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1559),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1559),
    [aux_sym_forward_agent_token1] = ACTIONS(1559),
    [aux_sym_forward_x11_token1] = ACTIONS(1561),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1559),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1559),
    [aux_sym_gateway_ports_token1] = ACTIONS(1559),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1559),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1559),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1559),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1559),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1559),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1559),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1559),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1559),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1559),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1559),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1559),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1559),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1559),
    [aux_sym_host_key_alias_token1] = ACTIONS(1559),
    [aux_sym_hostname_token1] = ACTIONS(1559),
    [aux_sym_identities_only_token1] = ACTIONS(1559),
    [aux_sym_identity_agent_token1] = ACTIONS(1559),
    [aux_sym_identity_file_token1] = ACTIONS(1559),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1559),
    [aux_sym_include_token1] = ACTIONS(1559),
    [aux_sym_ip_qos_token1] = ACTIONS(1559),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1559),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1559),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1559),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1559),
    [aux_sym_local_command_token1] = ACTIONS(1559),
    [aux_sym_local_forward_token1] = ACTIONS(1559),
    [aux_sym_log_level_token1] = ACTIONS(1559),
    [aux_sym_log_verbose_token1] = ACTIONS(1559),
    [aux_sym_macs_token1] = ACTIONS(1559),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1559),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1559),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1559),
    [aux_sym_password_authentication_token1] = ACTIONS(1559),
    [aux_sym_permit_local_command_token1] = ACTIONS(1559),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1559),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1559),
    [aux_sym_port_token1] = ACTIONS(1559),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1559),
    [aux_sym_protocol_token1] = ACTIONS(1559),
    [aux_sym_proxy_command_token1] = ACTIONS(1559),
    [aux_sym_proxy_jump_token1] = ACTIONS(1559),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1559),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1559),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1559),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1559),
    [aux_sym_rekey_limit_token1] = ACTIONS(1559),
    [aux_sym_remote_command_token1] = ACTIONS(1559),
    [aux_sym_remote_forward_token1] = ACTIONS(1559),
    [aux_sym_request_tty_token1] = ACTIONS(1559),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1559),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1559),
    [aux_sym_security_key_provider_token1] = ACTIONS(1559),
    [aux_sym_send_env_token1] = ACTIONS(1559),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1559),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1559),
    [aux_sym_session_type_token1] = ACTIONS(1559),
    [aux_sym_set_env_token1] = ACTIONS(1559),
    [aux_sym_stdin_null_token1] = ACTIONS(1559),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1559),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1559),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1559),
    [aux_sym_syslog_facility_token1] = ACTIONS(1559),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1559),
    [aux_sym_keep_alive_token1] = ACTIONS(1559),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [aux_sym_tunnel_token1] = ACTIONS(1561),
    [aux_sym_tunnel_device_token1] = ACTIONS(1559),
    [aux_sym_update_host_keys_token1] = ACTIONS(1559),
    [aux_sym_use_keychain_token1] = ACTIONS(1559),
    [aux_sym_use_roaming_token1] = ACTIONS(1559),
    [aux_sym_user_token1] = ACTIONS(1561),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1559),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1559),
    [aux_sym_visual_host_key_token1] = ACTIONS(1559),
    [aux_sym_xauth_location_token1] = ACTIONS(1559),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1569),
    [aux_sym_match_token1] = ACTIONS(1565),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1565),
    [aux_sym_address_family_token1] = ACTIONS(1565),
    [aux_sym_batch_mode_token1] = ACTIONS(1565),
    [aux_sym_bind_address_token1] = ACTIONS(1565),
    [aux_sym_bind_interface_token1] = ACTIONS(1565),
    [aux_sym_canonical_domains_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1565),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1565),
    [aux_sym_certificate_file_token1] = ACTIONS(1565),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1565),
    [aux_sym_channel_timeout_token1] = ACTIONS(1565),
    [aux_sym_check_host_ip_token1] = ACTIONS(1565),
    [aux_sym_ciphers_token1] = ACTIONS(1565),
    [aux_sym_cipher_token1] = ACTIONS(1567),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1565),
    [aux_sym_compression_token1] = ACTIONS(1565),
    [aux_sym_connection_attempts_token1] = ACTIONS(1565),
    [aux_sym_connect_timeout_token1] = ACTIONS(1565),
    [aux_sym_control_master_token1] = ACTIONS(1565),
    [aux_sym_control_path_token1] = ACTIONS(1565),
    [aux_sym_control_persist_token1] = ACTIONS(1565),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1565),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1565),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1565),
    [aux_sym_escape_char_token1] = ACTIONS(1565),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1565),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1565),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1565),
    [aux_sym_forward_agent_token1] = ACTIONS(1565),
    [aux_sym_forward_x11_token1] = ACTIONS(1567),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1565),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1565),
    [aux_sym_gateway_ports_token1] = ACTIONS(1565),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1565),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1565),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1565),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1565),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1565),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1565),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1565),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1565),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1565),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1565),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1565),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1565),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1565),
    [aux_sym_host_key_alias_token1] = ACTIONS(1565),
    [aux_sym_hostname_token1] = ACTIONS(1565),
    [aux_sym_identities_only_token1] = ACTIONS(1565),
    [aux_sym_identity_agent_token1] = ACTIONS(1565),
    [aux_sym_identity_file_token1] = ACTIONS(1565),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1565),
    [aux_sym_include_token1] = ACTIONS(1565),
    [aux_sym_ip_qos_token1] = ACTIONS(1565),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1565),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1565),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1565),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1565),
    [aux_sym_local_command_token1] = ACTIONS(1565),
    [aux_sym_local_forward_token1] = ACTIONS(1565),
    [aux_sym_log_level_token1] = ACTIONS(1565),
    [aux_sym_log_verbose_token1] = ACTIONS(1565),
    [aux_sym_macs_token1] = ACTIONS(1565),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1565),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1565),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1565),
    [aux_sym_password_authentication_token1] = ACTIONS(1565),
    [aux_sym_permit_local_command_token1] = ACTIONS(1565),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1565),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1565),
    [aux_sym_port_token1] = ACTIONS(1565),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1565),
    [aux_sym_protocol_token1] = ACTIONS(1565),
    [aux_sym_proxy_command_token1] = ACTIONS(1565),
    [aux_sym_proxy_jump_token1] = ACTIONS(1565),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1565),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1565),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1565),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1565),
    [aux_sym_rekey_limit_token1] = ACTIONS(1565),
    [aux_sym_remote_command_token1] = ACTIONS(1565),
    [aux_sym_remote_forward_token1] = ACTIONS(1565),
    [aux_sym_request_tty_token1] = ACTIONS(1565),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1565),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1565),
    [aux_sym_security_key_provider_token1] = ACTIONS(1565),
    [aux_sym_send_env_token1] = ACTIONS(1565),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1565),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1565),
    [aux_sym_session_type_token1] = ACTIONS(1565),
    [aux_sym_set_env_token1] = ACTIONS(1565),
    [aux_sym_stdin_null_token1] = ACTIONS(1565),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1565),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1565),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1565),
    [aux_sym_syslog_facility_token1] = ACTIONS(1565),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1565),
    [aux_sym_keep_alive_token1] = ACTIONS(1565),
    [aux_sym_tag_token1] = ACTIONS(1565),
    [aux_sym_tunnel_token1] = ACTIONS(1567),
    [aux_sym_tunnel_device_token1] = ACTIONS(1565),
    [aux_sym_update_host_keys_token1] = ACTIONS(1565),
    [aux_sym_use_keychain_token1] = ACTIONS(1565),
    [aux_sym_use_roaming_token1] = ACTIONS(1565),
    [aux_sym_user_token1] = ACTIONS(1567),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1565),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1565),
    [aux_sym_visual_host_key_token1] = ACTIONS(1565),
    [aux_sym_xauth_location_token1] = ACTIONS(1565),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1573),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [aux_sym_match_token1] = ACTIONS(1571),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1571),
    [aux_sym_address_family_token1] = ACTIONS(1571),
    [aux_sym_batch_mode_token1] = ACTIONS(1571),
    [aux_sym_bind_address_token1] = ACTIONS(1571),
    [aux_sym_bind_interface_token1] = ACTIONS(1571),
    [aux_sym_canonical_domains_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1571),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1571),
    [aux_sym_certificate_file_token1] = ACTIONS(1571),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1571),
    [aux_sym_channel_timeout_token1] = ACTIONS(1571),
    [aux_sym_check_host_ip_token1] = ACTIONS(1571),
    [aux_sym_ciphers_token1] = ACTIONS(1571),
    [aux_sym_cipher_token1] = ACTIONS(1573),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1571),
    [aux_sym_compression_token1] = ACTIONS(1571),
    [aux_sym_connection_attempts_token1] = ACTIONS(1571),
    [aux_sym_connect_timeout_token1] = ACTIONS(1571),
    [aux_sym_control_master_token1] = ACTIONS(1571),
    [aux_sym_control_path_token1] = ACTIONS(1571),
    [aux_sym_control_persist_token1] = ACTIONS(1571),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1571),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1571),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1571),
    [aux_sym_escape_char_token1] = ACTIONS(1571),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1571),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1571),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1571),
    [aux_sym_forward_agent_token1] = ACTIONS(1571),
    [aux_sym_forward_x11_token1] = ACTIONS(1573),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1571),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1571),
    [aux_sym_gateway_ports_token1] = ACTIONS(1571),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1571),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1571),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1571),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1571),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1571),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1571),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1571),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1571),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1571),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1571),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1571),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1571),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1571),
    [aux_sym_host_key_alias_token1] = ACTIONS(1571),
    [aux_sym_hostname_token1] = ACTIONS(1571),
    [aux_sym_identities_only_token1] = ACTIONS(1571),
    [aux_sym_identity_agent_token1] = ACTIONS(1571),
    [aux_sym_identity_file_token1] = ACTIONS(1571),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1571),
    [aux_sym_include_token1] = ACTIONS(1571),
    [aux_sym_ip_qos_token1] = ACTIONS(1571),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1571),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1571),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1571),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1571),
    [aux_sym_local_command_token1] = ACTIONS(1571),
    [aux_sym_local_forward_token1] = ACTIONS(1571),
    [aux_sym_log_level_token1] = ACTIONS(1571),
    [aux_sym_log_verbose_token1] = ACTIONS(1571),
    [aux_sym_macs_token1] = ACTIONS(1571),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1571),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1571),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1571),
    [aux_sym_password_authentication_token1] = ACTIONS(1571),
    [aux_sym_permit_local_command_token1] = ACTIONS(1571),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1571),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1571),
    [aux_sym_port_token1] = ACTIONS(1571),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1571),
    [aux_sym_protocol_token1] = ACTIONS(1571),
    [aux_sym_proxy_command_token1] = ACTIONS(1571),
    [aux_sym_proxy_jump_token1] = ACTIONS(1571),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1571),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1571),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1571),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1571),
    [aux_sym_rekey_limit_token1] = ACTIONS(1571),
    [aux_sym_remote_command_token1] = ACTIONS(1571),
    [aux_sym_remote_forward_token1] = ACTIONS(1571),
    [aux_sym_request_tty_token1] = ACTIONS(1571),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1571),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1571),
    [aux_sym_security_key_provider_token1] = ACTIONS(1571),
    [aux_sym_send_env_token1] = ACTIONS(1571),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1571),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1571),
    [aux_sym_session_type_token1] = ACTIONS(1571),
    [aux_sym_set_env_token1] = ACTIONS(1571),
    [aux_sym_stdin_null_token1] = ACTIONS(1571),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1571),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1571),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1571),
    [aux_sym_syslog_facility_token1] = ACTIONS(1571),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1571),
    [aux_sym_keep_alive_token1] = ACTIONS(1571),
    [aux_sym_tag_token1] = ACTIONS(1571),
    [aux_sym_tunnel_token1] = ACTIONS(1573),
    [aux_sym_tunnel_device_token1] = ACTIONS(1571),
    [aux_sym_update_host_keys_token1] = ACTIONS(1571),
    [aux_sym_use_keychain_token1] = ACTIONS(1571),
    [aux_sym_use_roaming_token1] = ACTIONS(1571),
    [aux_sym_user_token1] = ACTIONS(1573),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1571),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1571),
    [aux_sym_visual_host_key_token1] = ACTIONS(1571),
    [aux_sym_xauth_location_token1] = ACTIONS(1571),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1581),
    [aux_sym_match_token1] = ACTIONS(1577),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1577),
    [aux_sym_address_family_token1] = ACTIONS(1577),
    [aux_sym_batch_mode_token1] = ACTIONS(1577),
    [aux_sym_bind_address_token1] = ACTIONS(1577),
    [aux_sym_bind_interface_token1] = ACTIONS(1577),
    [aux_sym_canonical_domains_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1577),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1577),
    [aux_sym_certificate_file_token1] = ACTIONS(1577),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1577),
    [aux_sym_channel_timeout_token1] = ACTIONS(1577),
    [aux_sym_check_host_ip_token1] = ACTIONS(1577),
    [aux_sym_ciphers_token1] = ACTIONS(1577),
    [aux_sym_cipher_token1] = ACTIONS(1579),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1577),
    [aux_sym_compression_token1] = ACTIONS(1577),
    [aux_sym_connection_attempts_token1] = ACTIONS(1577),
    [aux_sym_connect_timeout_token1] = ACTIONS(1577),
    [aux_sym_control_master_token1] = ACTIONS(1577),
    [aux_sym_control_path_token1] = ACTIONS(1577),
    [aux_sym_control_persist_token1] = ACTIONS(1577),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1577),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1577),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1577),
    [aux_sym_escape_char_token1] = ACTIONS(1577),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1577),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1577),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1577),
    [aux_sym_forward_agent_token1] = ACTIONS(1577),
    [aux_sym_forward_x11_token1] = ACTIONS(1579),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1577),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1577),
    [aux_sym_gateway_ports_token1] = ACTIONS(1577),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1577),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1577),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1577),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1577),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1577),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1577),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1577),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1577),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1577),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1577),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1577),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1577),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1577),
    [aux_sym_host_key_alias_token1] = ACTIONS(1577),
    [aux_sym_hostname_token1] = ACTIONS(1577),
    [aux_sym_identities_only_token1] = ACTIONS(1577),
    [aux_sym_identity_agent_token1] = ACTIONS(1577),
    [aux_sym_identity_file_token1] = ACTIONS(1577),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1577),
    [aux_sym_include_token1] = ACTIONS(1577),
    [aux_sym_ip_qos_token1] = ACTIONS(1577),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1577),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1577),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1577),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1577),
    [aux_sym_local_command_token1] = ACTIONS(1577),
    [aux_sym_local_forward_token1] = ACTIONS(1577),
    [aux_sym_log_level_token1] = ACTIONS(1577),
    [aux_sym_log_verbose_token1] = ACTIONS(1577),
    [aux_sym_macs_token1] = ACTIONS(1577),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1577),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1577),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1577),
    [aux_sym_password_authentication_token1] = ACTIONS(1577),
    [aux_sym_permit_local_command_token1] = ACTIONS(1577),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1577),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1577),
    [aux_sym_port_token1] = ACTIONS(1577),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1577),
    [aux_sym_protocol_token1] = ACTIONS(1577),
    [aux_sym_proxy_command_token1] = ACTIONS(1577),
    [aux_sym_proxy_jump_token1] = ACTIONS(1577),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1577),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1577),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1577),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1577),
    [aux_sym_rekey_limit_token1] = ACTIONS(1577),
    [aux_sym_remote_command_token1] = ACTIONS(1577),
    [aux_sym_remote_forward_token1] = ACTIONS(1577),
    [aux_sym_request_tty_token1] = ACTIONS(1577),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1577),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1577),
    [aux_sym_security_key_provider_token1] = ACTIONS(1577),
    [aux_sym_send_env_token1] = ACTIONS(1577),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1577),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1577),
    [aux_sym_session_type_token1] = ACTIONS(1577),
    [aux_sym_set_env_token1] = ACTIONS(1577),
    [aux_sym_stdin_null_token1] = ACTIONS(1577),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1577),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1577),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1577),
    [aux_sym_syslog_facility_token1] = ACTIONS(1577),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1577),
    [aux_sym_keep_alive_token1] = ACTIONS(1577),
    [aux_sym_tag_token1] = ACTIONS(1577),
    [aux_sym_tunnel_token1] = ACTIONS(1579),
    [aux_sym_tunnel_device_token1] = ACTIONS(1577),
    [aux_sym_update_host_keys_token1] = ACTIONS(1577),
    [aux_sym_use_keychain_token1] = ACTIONS(1577),
    [aux_sym_use_roaming_token1] = ACTIONS(1577),
    [aux_sym_user_token1] = ACTIONS(1579),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1577),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1577),
    [aux_sym_visual_host_key_token1] = ACTIONS(1577),
    [aux_sym_xauth_location_token1] = ACTIONS(1577),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [aux_sym_match_token1] = ACTIONS(1583),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1583),
    [aux_sym_address_family_token1] = ACTIONS(1583),
    [aux_sym_batch_mode_token1] = ACTIONS(1583),
    [aux_sym_bind_address_token1] = ACTIONS(1583),
    [aux_sym_bind_interface_token1] = ACTIONS(1583),
    [aux_sym_canonical_domains_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1583),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1583),
    [aux_sym_certificate_file_token1] = ACTIONS(1583),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1583),
    [aux_sym_channel_timeout_token1] = ACTIONS(1583),
    [aux_sym_check_host_ip_token1] = ACTIONS(1583),
    [aux_sym_ciphers_token1] = ACTIONS(1583),
    [aux_sym_cipher_token1] = ACTIONS(1585),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1583),
    [aux_sym_compression_token1] = ACTIONS(1583),
    [aux_sym_connection_attempts_token1] = ACTIONS(1583),
    [aux_sym_connect_timeout_token1] = ACTIONS(1583),
    [aux_sym_control_master_token1] = ACTIONS(1583),
    [aux_sym_control_path_token1] = ACTIONS(1583),
    [aux_sym_control_persist_token1] = ACTIONS(1583),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1583),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1583),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1583),
    [aux_sym_escape_char_token1] = ACTIONS(1583),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1583),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1583),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1583),
    [aux_sym_forward_agent_token1] = ACTIONS(1583),
    [aux_sym_forward_x11_token1] = ACTIONS(1585),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1583),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1583),
    [aux_sym_gateway_ports_token1] = ACTIONS(1583),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1583),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1583),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1583),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1583),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1583),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1583),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1583),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1583),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1583),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1583),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1583),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1583),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1583),
    [aux_sym_host_key_alias_token1] = ACTIONS(1583),
    [aux_sym_hostname_token1] = ACTIONS(1583),
    [aux_sym_identities_only_token1] = ACTIONS(1583),
    [aux_sym_identity_agent_token1] = ACTIONS(1583),
    [aux_sym_identity_file_token1] = ACTIONS(1583),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1583),
    [aux_sym_include_token1] = ACTIONS(1583),
    [aux_sym_ip_qos_token1] = ACTIONS(1583),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1583),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1583),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1583),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1583),
    [aux_sym_local_command_token1] = ACTIONS(1583),
    [aux_sym_local_forward_token1] = ACTIONS(1583),
    [aux_sym_log_level_token1] = ACTIONS(1583),
    [aux_sym_log_verbose_token1] = ACTIONS(1583),
    [aux_sym_macs_token1] = ACTIONS(1583),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1583),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1583),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1583),
    [aux_sym_password_authentication_token1] = ACTIONS(1583),
    [aux_sym_permit_local_command_token1] = ACTIONS(1583),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1583),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1583),
    [aux_sym_port_token1] = ACTIONS(1583),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1583),
    [aux_sym_protocol_token1] = ACTIONS(1583),
    [aux_sym_proxy_command_token1] = ACTIONS(1583),
    [aux_sym_proxy_jump_token1] = ACTIONS(1583),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1583),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1583),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1583),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1583),
    [aux_sym_rekey_limit_token1] = ACTIONS(1583),
    [aux_sym_remote_command_token1] = ACTIONS(1583),
    [aux_sym_remote_forward_token1] = ACTIONS(1583),
    [aux_sym_request_tty_token1] = ACTIONS(1583),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1583),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1583),
    [aux_sym_security_key_provider_token1] = ACTIONS(1583),
    [aux_sym_send_env_token1] = ACTIONS(1583),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1583),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1583),
    [aux_sym_session_type_token1] = ACTIONS(1583),
    [aux_sym_set_env_token1] = ACTIONS(1583),
    [aux_sym_stdin_null_token1] = ACTIONS(1583),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1583),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1583),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1583),
    [aux_sym_syslog_facility_token1] = ACTIONS(1583),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1583),
    [aux_sym_keep_alive_token1] = ACTIONS(1583),
    [aux_sym_tag_token1] = ACTIONS(1583),
    [aux_sym_tunnel_token1] = ACTIONS(1585),
    [aux_sym_tunnel_device_token1] = ACTIONS(1583),
    [aux_sym_update_host_keys_token1] = ACTIONS(1583),
    [aux_sym_use_keychain_token1] = ACTIONS(1583),
    [aux_sym_use_roaming_token1] = ACTIONS(1583),
    [aux_sym_user_token1] = ACTIONS(1585),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1583),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1583),
    [aux_sym_visual_host_key_token1] = ACTIONS(1583),
    [aux_sym_xauth_location_token1] = ACTIONS(1583),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [aux_sym_match_token1] = ACTIONS(1589),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1589),
    [aux_sym_address_family_token1] = ACTIONS(1589),
    [aux_sym_batch_mode_token1] = ACTIONS(1589),
    [aux_sym_bind_address_token1] = ACTIONS(1589),
    [aux_sym_bind_interface_token1] = ACTIONS(1589),
    [aux_sym_canonical_domains_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1589),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1589),
    [aux_sym_certificate_file_token1] = ACTIONS(1589),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1589),
    [aux_sym_channel_timeout_token1] = ACTIONS(1589),
    [aux_sym_check_host_ip_token1] = ACTIONS(1589),
    [aux_sym_ciphers_token1] = ACTIONS(1589),
    [aux_sym_cipher_token1] = ACTIONS(1591),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1589),
    [aux_sym_compression_token1] = ACTIONS(1589),
    [aux_sym_connection_attempts_token1] = ACTIONS(1589),
    [aux_sym_connect_timeout_token1] = ACTIONS(1589),
    [aux_sym_control_master_token1] = ACTIONS(1589),
    [aux_sym_control_path_token1] = ACTIONS(1589),
    [aux_sym_control_persist_token1] = ACTIONS(1589),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1589),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1589),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1589),
    [aux_sym_escape_char_token1] = ACTIONS(1589),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1589),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1589),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1589),
    [aux_sym_forward_agent_token1] = ACTIONS(1589),
    [aux_sym_forward_x11_token1] = ACTIONS(1591),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1589),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1589),
    [aux_sym_gateway_ports_token1] = ACTIONS(1589),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1589),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1589),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1589),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1589),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1589),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1589),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1589),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1589),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1589),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1589),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1589),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1589),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1589),
    [aux_sym_host_key_alias_token1] = ACTIONS(1589),
    [aux_sym_hostname_token1] = ACTIONS(1589),
    [aux_sym_identities_only_token1] = ACTIONS(1589),
    [aux_sym_identity_agent_token1] = ACTIONS(1589),
    [aux_sym_identity_file_token1] = ACTIONS(1589),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1589),
    [aux_sym_include_token1] = ACTIONS(1589),
    [aux_sym_ip_qos_token1] = ACTIONS(1589),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1589),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1589),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1589),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1589),
    [aux_sym_local_command_token1] = ACTIONS(1589),
    [aux_sym_local_forward_token1] = ACTIONS(1589),
    [aux_sym_log_level_token1] = ACTIONS(1589),
    [aux_sym_log_verbose_token1] = ACTIONS(1589),
    [aux_sym_macs_token1] = ACTIONS(1589),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1589),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1589),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1589),
    [aux_sym_password_authentication_token1] = ACTIONS(1589),
    [aux_sym_permit_local_command_token1] = ACTIONS(1589),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1589),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1589),
    [aux_sym_port_token1] = ACTIONS(1589),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1589),
    [aux_sym_protocol_token1] = ACTIONS(1589),
    [aux_sym_proxy_command_token1] = ACTIONS(1589),
    [aux_sym_proxy_jump_token1] = ACTIONS(1589),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1589),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1589),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1589),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1589),
    [aux_sym_rekey_limit_token1] = ACTIONS(1589),
    [aux_sym_remote_command_token1] = ACTIONS(1589),
    [aux_sym_remote_forward_token1] = ACTIONS(1589),
    [aux_sym_request_tty_token1] = ACTIONS(1589),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1589),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1589),
    [aux_sym_security_key_provider_token1] = ACTIONS(1589),
    [aux_sym_send_env_token1] = ACTIONS(1589),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1589),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1589),
    [aux_sym_session_type_token1] = ACTIONS(1589),
    [aux_sym_set_env_token1] = ACTIONS(1589),
    [aux_sym_stdin_null_token1] = ACTIONS(1589),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1589),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1589),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1589),
    [aux_sym_syslog_facility_token1] = ACTIONS(1589),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1589),
    [aux_sym_keep_alive_token1] = ACTIONS(1589),
    [aux_sym_tag_token1] = ACTIONS(1589),
    [aux_sym_tunnel_token1] = ACTIONS(1591),
    [aux_sym_tunnel_device_token1] = ACTIONS(1589),
    [aux_sym_update_host_keys_token1] = ACTIONS(1589),
    [aux_sym_use_keychain_token1] = ACTIONS(1589),
    [aux_sym_use_roaming_token1] = ACTIONS(1589),
    [aux_sym_user_token1] = ACTIONS(1591),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1589),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1589),
    [aux_sym_visual_host_key_token1] = ACTIONS(1589),
    [aux_sym_xauth_location_token1] = ACTIONS(1589),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1599),
    [aux_sym_match_token1] = ACTIONS(1595),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1595),
    [aux_sym_address_family_token1] = ACTIONS(1595),
    [aux_sym_batch_mode_token1] = ACTIONS(1595),
    [aux_sym_bind_address_token1] = ACTIONS(1595),
    [aux_sym_bind_interface_token1] = ACTIONS(1595),
    [aux_sym_canonical_domains_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1595),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1595),
    [aux_sym_certificate_file_token1] = ACTIONS(1595),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1595),
    [aux_sym_channel_timeout_token1] = ACTIONS(1595),
    [aux_sym_check_host_ip_token1] = ACTIONS(1595),
    [aux_sym_ciphers_token1] = ACTIONS(1595),
    [aux_sym_cipher_token1] = ACTIONS(1597),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1595),
    [aux_sym_compression_token1] = ACTIONS(1595),
    [aux_sym_connection_attempts_token1] = ACTIONS(1595),
    [aux_sym_connect_timeout_token1] = ACTIONS(1595),
    [aux_sym_control_master_token1] = ACTIONS(1595),
    [aux_sym_control_path_token1] = ACTIONS(1595),
    [aux_sym_control_persist_token1] = ACTIONS(1595),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1595),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1595),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1595),
    [aux_sym_escape_char_token1] = ACTIONS(1595),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1595),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1595),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1595),
    [aux_sym_forward_agent_token1] = ACTIONS(1595),
    [aux_sym_forward_x11_token1] = ACTIONS(1597),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1595),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1595),
    [aux_sym_gateway_ports_token1] = ACTIONS(1595),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1595),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1595),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1595),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1595),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1595),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1595),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1595),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1595),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1595),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1595),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1595),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1595),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1595),
    [aux_sym_host_key_alias_token1] = ACTIONS(1595),
    [aux_sym_hostname_token1] = ACTIONS(1595),
    [aux_sym_identities_only_token1] = ACTIONS(1595),
    [aux_sym_identity_agent_token1] = ACTIONS(1595),
    [aux_sym_identity_file_token1] = ACTIONS(1595),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1595),
    [aux_sym_include_token1] = ACTIONS(1595),
    [aux_sym_ip_qos_token1] = ACTIONS(1595),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1595),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1595),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1595),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1595),
    [aux_sym_local_command_token1] = ACTIONS(1595),
    [aux_sym_local_forward_token1] = ACTIONS(1595),
    [aux_sym_log_level_token1] = ACTIONS(1595),
    [aux_sym_log_verbose_token1] = ACTIONS(1595),
    [aux_sym_macs_token1] = ACTIONS(1595),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1595),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1595),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1595),
    [aux_sym_password_authentication_token1] = ACTIONS(1595),
    [aux_sym_permit_local_command_token1] = ACTIONS(1595),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1595),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1595),
    [aux_sym_port_token1] = ACTIONS(1595),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1595),
    [aux_sym_protocol_token1] = ACTIONS(1595),
    [aux_sym_proxy_command_token1] = ACTIONS(1595),
    [aux_sym_proxy_jump_token1] = ACTIONS(1595),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1595),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1595),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1595),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1595),
    [aux_sym_rekey_limit_token1] = ACTIONS(1595),
    [aux_sym_remote_command_token1] = ACTIONS(1595),
    [aux_sym_remote_forward_token1] = ACTIONS(1595),
    [aux_sym_request_tty_token1] = ACTIONS(1595),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1595),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1595),
    [aux_sym_security_key_provider_token1] = ACTIONS(1595),
    [aux_sym_send_env_token1] = ACTIONS(1595),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1595),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1595),
    [aux_sym_session_type_token1] = ACTIONS(1595),
    [aux_sym_set_env_token1] = ACTIONS(1595),
    [aux_sym_stdin_null_token1] = ACTIONS(1595),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1595),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1595),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1595),
    [aux_sym_syslog_facility_token1] = ACTIONS(1595),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1595),
    [aux_sym_keep_alive_token1] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [aux_sym_tunnel_token1] = ACTIONS(1597),
    [aux_sym_tunnel_device_token1] = ACTIONS(1595),
    [aux_sym_update_host_keys_token1] = ACTIONS(1595),
    [aux_sym_use_keychain_token1] = ACTIONS(1595),
    [aux_sym_use_roaming_token1] = ACTIONS(1595),
    [aux_sym_user_token1] = ACTIONS(1597),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1595),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1595),
    [aux_sym_visual_host_key_token1] = ACTIONS(1595),
    [aux_sym_xauth_location_token1] = ACTIONS(1595),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1603),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [aux_sym_match_token1] = ACTIONS(1601),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1601),
    [aux_sym_address_family_token1] = ACTIONS(1601),
    [aux_sym_batch_mode_token1] = ACTIONS(1601),
    [aux_sym_bind_address_token1] = ACTIONS(1601),
    [aux_sym_bind_interface_token1] = ACTIONS(1601),
    [aux_sym_canonical_domains_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1601),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1601),
    [aux_sym_certificate_file_token1] = ACTIONS(1601),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1601),
    [aux_sym_channel_timeout_token1] = ACTIONS(1601),
    [aux_sym_check_host_ip_token1] = ACTIONS(1601),
    [aux_sym_ciphers_token1] = ACTIONS(1601),
    [aux_sym_cipher_token1] = ACTIONS(1603),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1601),
    [aux_sym_compression_token1] = ACTIONS(1601),
    [aux_sym_connection_attempts_token1] = ACTIONS(1601),
    [aux_sym_connect_timeout_token1] = ACTIONS(1601),
    [aux_sym_control_master_token1] = ACTIONS(1601),
    [aux_sym_control_path_token1] = ACTIONS(1601),
    [aux_sym_control_persist_token1] = ACTIONS(1601),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1601),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1601),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1601),
    [aux_sym_escape_char_token1] = ACTIONS(1601),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1601),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1601),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1601),
    [aux_sym_forward_agent_token1] = ACTIONS(1601),
    [aux_sym_forward_x11_token1] = ACTIONS(1603),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1601),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1601),
    [aux_sym_gateway_ports_token1] = ACTIONS(1601),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1601),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1601),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1601),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1601),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1601),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1601),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1601),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1601),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1601),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1601),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1601),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1601),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1601),
    [aux_sym_host_key_alias_token1] = ACTIONS(1601),
    [aux_sym_hostname_token1] = ACTIONS(1601),
    [aux_sym_identities_only_token1] = ACTIONS(1601),
    [aux_sym_identity_agent_token1] = ACTIONS(1601),
    [aux_sym_identity_file_token1] = ACTIONS(1601),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1601),
    [aux_sym_include_token1] = ACTIONS(1601),
    [aux_sym_ip_qos_token1] = ACTIONS(1601),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1601),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1601),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1601),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1601),
    [aux_sym_local_command_token1] = ACTIONS(1601),
    [aux_sym_local_forward_token1] = ACTIONS(1601),
    [aux_sym_log_level_token1] = ACTIONS(1601),
    [aux_sym_log_verbose_token1] = ACTIONS(1601),
    [aux_sym_macs_token1] = ACTIONS(1601),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1601),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1601),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1601),
    [aux_sym_password_authentication_token1] = ACTIONS(1601),
    [aux_sym_permit_local_command_token1] = ACTIONS(1601),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1601),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1601),
    [aux_sym_port_token1] = ACTIONS(1601),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1601),
    [aux_sym_protocol_token1] = ACTIONS(1601),
    [aux_sym_proxy_command_token1] = ACTIONS(1601),
    [aux_sym_proxy_jump_token1] = ACTIONS(1601),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1601),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1601),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1601),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1601),
    [aux_sym_rekey_limit_token1] = ACTIONS(1601),
    [aux_sym_remote_command_token1] = ACTIONS(1601),
    [aux_sym_remote_forward_token1] = ACTIONS(1601),
    [aux_sym_request_tty_token1] = ACTIONS(1601),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1601),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1601),
    [aux_sym_security_key_provider_token1] = ACTIONS(1601),
    [aux_sym_send_env_token1] = ACTIONS(1601),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1601),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1601),
    [aux_sym_session_type_token1] = ACTIONS(1601),
    [aux_sym_set_env_token1] = ACTIONS(1601),
    [aux_sym_stdin_null_token1] = ACTIONS(1601),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1601),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1601),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1601),
    [aux_sym_syslog_facility_token1] = ACTIONS(1601),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1601),
    [aux_sym_keep_alive_token1] = ACTIONS(1601),
    [aux_sym_tag_token1] = ACTIONS(1601),
    [aux_sym_tunnel_token1] = ACTIONS(1603),
    [aux_sym_tunnel_device_token1] = ACTIONS(1601),
    [aux_sym_update_host_keys_token1] = ACTIONS(1601),
    [aux_sym_use_keychain_token1] = ACTIONS(1601),
    [aux_sym_use_roaming_token1] = ACTIONS(1601),
    [aux_sym_user_token1] = ACTIONS(1603),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1601),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1601),
    [aux_sym_visual_host_key_token1] = ACTIONS(1601),
    [aux_sym_xauth_location_token1] = ACTIONS(1601),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1611),
    [aux_sym_match_token1] = ACTIONS(1607),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1607),
    [aux_sym_address_family_token1] = ACTIONS(1607),
    [aux_sym_batch_mode_token1] = ACTIONS(1607),
    [aux_sym_bind_address_token1] = ACTIONS(1607),
    [aux_sym_bind_interface_token1] = ACTIONS(1607),
    [aux_sym_canonical_domains_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1607),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1607),
    [aux_sym_certificate_file_token1] = ACTIONS(1607),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1607),
    [aux_sym_channel_timeout_token1] = ACTIONS(1607),
    [aux_sym_check_host_ip_token1] = ACTIONS(1607),
    [aux_sym_ciphers_token1] = ACTIONS(1607),
    [aux_sym_cipher_token1] = ACTIONS(1609),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1607),
    [aux_sym_compression_token1] = ACTIONS(1607),
    [aux_sym_connection_attempts_token1] = ACTIONS(1607),
    [aux_sym_connect_timeout_token1] = ACTIONS(1607),
    [aux_sym_control_master_token1] = ACTIONS(1607),
    [aux_sym_control_path_token1] = ACTIONS(1607),
    [aux_sym_control_persist_token1] = ACTIONS(1607),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1607),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1607),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1607),
    [aux_sym_escape_char_token1] = ACTIONS(1607),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1607),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1607),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1607),
    [aux_sym_forward_agent_token1] = ACTIONS(1607),
    [aux_sym_forward_x11_token1] = ACTIONS(1609),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1607),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1607),
    [aux_sym_gateway_ports_token1] = ACTIONS(1607),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1607),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1607),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1607),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1607),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1607),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1607),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1607),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1607),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1607),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1607),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1607),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1607),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1607),
    [aux_sym_host_key_alias_token1] = ACTIONS(1607),
    [aux_sym_hostname_token1] = ACTIONS(1607),
    [aux_sym_identities_only_token1] = ACTIONS(1607),
    [aux_sym_identity_agent_token1] = ACTIONS(1607),
    [aux_sym_identity_file_token1] = ACTIONS(1607),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1607),
    [aux_sym_include_token1] = ACTIONS(1607),
    [aux_sym_ip_qos_token1] = ACTIONS(1607),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1607),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1607),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1607),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1607),
    [aux_sym_local_command_token1] = ACTIONS(1607),
    [aux_sym_local_forward_token1] = ACTIONS(1607),
    [aux_sym_log_level_token1] = ACTIONS(1607),
    [aux_sym_log_verbose_token1] = ACTIONS(1607),
    [aux_sym_macs_token1] = ACTIONS(1607),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1607),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1607),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1607),
    [aux_sym_password_authentication_token1] = ACTIONS(1607),
    [aux_sym_permit_local_command_token1] = ACTIONS(1607),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1607),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1607),
    [aux_sym_port_token1] = ACTIONS(1607),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1607),
    [aux_sym_protocol_token1] = ACTIONS(1607),
    [aux_sym_proxy_command_token1] = ACTIONS(1607),
    [aux_sym_proxy_jump_token1] = ACTIONS(1607),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1607),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1607),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1607),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1607),
    [aux_sym_rekey_limit_token1] = ACTIONS(1607),
    [aux_sym_remote_command_token1] = ACTIONS(1607),
    [aux_sym_remote_forward_token1] = ACTIONS(1607),
    [aux_sym_request_tty_token1] = ACTIONS(1607),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1607),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1607),
    [aux_sym_security_key_provider_token1] = ACTIONS(1607),
    [aux_sym_send_env_token1] = ACTIONS(1607),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1607),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1607),
    [aux_sym_session_type_token1] = ACTIONS(1607),
    [aux_sym_set_env_token1] = ACTIONS(1607),
    [aux_sym_stdin_null_token1] = ACTIONS(1607),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1607),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1607),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1607),
    [aux_sym_syslog_facility_token1] = ACTIONS(1607),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1607),
    [aux_sym_keep_alive_token1] = ACTIONS(1607),
    [aux_sym_tag_token1] = ACTIONS(1607),
    [aux_sym_tunnel_token1] = ACTIONS(1609),
    [aux_sym_tunnel_device_token1] = ACTIONS(1607),
    [aux_sym_update_host_keys_token1] = ACTIONS(1607),
    [aux_sym_use_keychain_token1] = ACTIONS(1607),
    [aux_sym_use_roaming_token1] = ACTIONS(1607),
    [aux_sym_user_token1] = ACTIONS(1609),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1607),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1607),
    [aux_sym_visual_host_key_token1] = ACTIONS(1607),
    [aux_sym_xauth_location_token1] = ACTIONS(1607),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [aux_sym_match_token1] = ACTIONS(1613),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1613),
    [aux_sym_address_family_token1] = ACTIONS(1613),
    [aux_sym_batch_mode_token1] = ACTIONS(1613),
    [aux_sym_bind_address_token1] = ACTIONS(1613),
    [aux_sym_bind_interface_token1] = ACTIONS(1613),
    [aux_sym_canonical_domains_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1613),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1613),
    [aux_sym_certificate_file_token1] = ACTIONS(1613),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1613),
    [aux_sym_channel_timeout_token1] = ACTIONS(1613),
    [aux_sym_check_host_ip_token1] = ACTIONS(1613),
    [aux_sym_ciphers_token1] = ACTIONS(1613),
    [aux_sym_cipher_token1] = ACTIONS(1615),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1613),
    [aux_sym_compression_token1] = ACTIONS(1613),
    [aux_sym_connection_attempts_token1] = ACTIONS(1613),
    [aux_sym_connect_timeout_token1] = ACTIONS(1613),
    [aux_sym_control_master_token1] = ACTIONS(1613),
    [aux_sym_control_path_token1] = ACTIONS(1613),
    [aux_sym_control_persist_token1] = ACTIONS(1613),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1613),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1613),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1613),
    [aux_sym_escape_char_token1] = ACTIONS(1613),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1613),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1613),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1613),
    [aux_sym_forward_agent_token1] = ACTIONS(1613),
    [aux_sym_forward_x11_token1] = ACTIONS(1615),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1613),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1613),
    [aux_sym_gateway_ports_token1] = ACTIONS(1613),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1613),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1613),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1613),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1613),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1613),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1613),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1613),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1613),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1613),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1613),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1613),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1613),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1613),
    [aux_sym_host_key_alias_token1] = ACTIONS(1613),
    [aux_sym_hostname_token1] = ACTIONS(1613),
    [aux_sym_identities_only_token1] = ACTIONS(1613),
    [aux_sym_identity_agent_token1] = ACTIONS(1613),
    [aux_sym_identity_file_token1] = ACTIONS(1613),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1613),
    [aux_sym_include_token1] = ACTIONS(1613),
    [aux_sym_ip_qos_token1] = ACTIONS(1613),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1613),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1613),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1613),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1613),
    [aux_sym_local_command_token1] = ACTIONS(1613),
    [aux_sym_local_forward_token1] = ACTIONS(1613),
    [aux_sym_log_level_token1] = ACTIONS(1613),
    [aux_sym_log_verbose_token1] = ACTIONS(1613),
    [aux_sym_macs_token1] = ACTIONS(1613),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1613),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1613),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1613),
    [aux_sym_password_authentication_token1] = ACTIONS(1613),
    [aux_sym_permit_local_command_token1] = ACTIONS(1613),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1613),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1613),
    [aux_sym_port_token1] = ACTIONS(1613),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1613),
    [aux_sym_protocol_token1] = ACTIONS(1613),
    [aux_sym_proxy_command_token1] = ACTIONS(1613),
    [aux_sym_proxy_jump_token1] = ACTIONS(1613),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1613),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1613),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1613),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1613),
    [aux_sym_rekey_limit_token1] = ACTIONS(1613),
    [aux_sym_remote_command_token1] = ACTIONS(1613),
    [aux_sym_remote_forward_token1] = ACTIONS(1613),
    [aux_sym_request_tty_token1] = ACTIONS(1613),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1613),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1613),
    [aux_sym_security_key_provider_token1] = ACTIONS(1613),
    [aux_sym_send_env_token1] = ACTIONS(1613),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1613),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1613),
    [aux_sym_session_type_token1] = ACTIONS(1613),
    [aux_sym_set_env_token1] = ACTIONS(1613),
    [aux_sym_stdin_null_token1] = ACTIONS(1613),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1613),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1613),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1613),
    [aux_sym_syslog_facility_token1] = ACTIONS(1613),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1613),
    [aux_sym_keep_alive_token1] = ACTIONS(1613),
    [aux_sym_tag_token1] = ACTIONS(1613),
    [aux_sym_tunnel_token1] = ACTIONS(1615),
    [aux_sym_tunnel_device_token1] = ACTIONS(1613),
    [aux_sym_update_host_keys_token1] = ACTIONS(1613),
    [aux_sym_use_keychain_token1] = ACTIONS(1613),
    [aux_sym_use_roaming_token1] = ACTIONS(1613),
    [aux_sym_user_token1] = ACTIONS(1615),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1613),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1613),
    [aux_sym_visual_host_key_token1] = ACTIONS(1613),
    [aux_sym_xauth_location_token1] = ACTIONS(1613),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [aux_sym_match_token1] = ACTIONS(1619),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1619),
    [aux_sym_address_family_token1] = ACTIONS(1619),
    [aux_sym_batch_mode_token1] = ACTIONS(1619),
    [aux_sym_bind_address_token1] = ACTIONS(1619),
    [aux_sym_bind_interface_token1] = ACTIONS(1619),
    [aux_sym_canonical_domains_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1619),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1619),
    [aux_sym_certificate_file_token1] = ACTIONS(1619),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1619),
    [aux_sym_channel_timeout_token1] = ACTIONS(1619),
    [aux_sym_check_host_ip_token1] = ACTIONS(1619),
    [aux_sym_ciphers_token1] = ACTIONS(1619),
    [aux_sym_cipher_token1] = ACTIONS(1621),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1619),
    [aux_sym_compression_token1] = ACTIONS(1619),
    [aux_sym_connection_attempts_token1] = ACTIONS(1619),
    [aux_sym_connect_timeout_token1] = ACTIONS(1619),
    [aux_sym_control_master_token1] = ACTIONS(1619),
    [aux_sym_control_path_token1] = ACTIONS(1619),
    [aux_sym_control_persist_token1] = ACTIONS(1619),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1619),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1619),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1619),
    [aux_sym_escape_char_token1] = ACTIONS(1619),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1619),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1619),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1619),
    [aux_sym_forward_agent_token1] = ACTIONS(1619),
    [aux_sym_forward_x11_token1] = ACTIONS(1621),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1619),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1619),
    [aux_sym_gateway_ports_token1] = ACTIONS(1619),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1619),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1619),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1619),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1619),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1619),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1619),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1619),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1619),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1619),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1619),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1619),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1619),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1619),
    [aux_sym_host_key_alias_token1] = ACTIONS(1619),
    [aux_sym_hostname_token1] = ACTIONS(1619),
    [aux_sym_identities_only_token1] = ACTIONS(1619),
    [aux_sym_identity_agent_token1] = ACTIONS(1619),
    [aux_sym_identity_file_token1] = ACTIONS(1619),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1619),
    [aux_sym_include_token1] = ACTIONS(1619),
    [aux_sym_ip_qos_token1] = ACTIONS(1619),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1619),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1619),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1619),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1619),
    [aux_sym_local_command_token1] = ACTIONS(1619),
    [aux_sym_local_forward_token1] = ACTIONS(1619),
    [aux_sym_log_level_token1] = ACTIONS(1619),
    [aux_sym_log_verbose_token1] = ACTIONS(1619),
    [aux_sym_macs_token1] = ACTIONS(1619),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1619),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1619),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1619),
    [aux_sym_password_authentication_token1] = ACTIONS(1619),
    [aux_sym_permit_local_command_token1] = ACTIONS(1619),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1619),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1619),
    [aux_sym_port_token1] = ACTIONS(1619),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1619),
    [aux_sym_protocol_token1] = ACTIONS(1619),
    [aux_sym_proxy_command_token1] = ACTIONS(1619),
    [aux_sym_proxy_jump_token1] = ACTIONS(1619),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1619),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1619),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1619),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1619),
    [aux_sym_rekey_limit_token1] = ACTIONS(1619),
    [aux_sym_remote_command_token1] = ACTIONS(1619),
    [aux_sym_remote_forward_token1] = ACTIONS(1619),
    [aux_sym_request_tty_token1] = ACTIONS(1619),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1619),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1619),
    [aux_sym_security_key_provider_token1] = ACTIONS(1619),
    [aux_sym_send_env_token1] = ACTIONS(1619),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1619),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1619),
    [aux_sym_session_type_token1] = ACTIONS(1619),
    [aux_sym_set_env_token1] = ACTIONS(1619),
    [aux_sym_stdin_null_token1] = ACTIONS(1619),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1619),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1619),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1619),
    [aux_sym_syslog_facility_token1] = ACTIONS(1619),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1619),
    [aux_sym_keep_alive_token1] = ACTIONS(1619),
    [aux_sym_tag_token1] = ACTIONS(1619),
    [aux_sym_tunnel_token1] = ACTIONS(1621),
    [aux_sym_tunnel_device_token1] = ACTIONS(1619),
    [aux_sym_update_host_keys_token1] = ACTIONS(1619),
    [aux_sym_use_keychain_token1] = ACTIONS(1619),
    [aux_sym_use_roaming_token1] = ACTIONS(1619),
    [aux_sym_user_token1] = ACTIONS(1621),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1619),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1619),
    [aux_sym_visual_host_key_token1] = ACTIONS(1619),
    [aux_sym_xauth_location_token1] = ACTIONS(1619),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1627),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [aux_sym_match_token1] = ACTIONS(1625),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1625),
    [aux_sym_address_family_token1] = ACTIONS(1625),
    [aux_sym_batch_mode_token1] = ACTIONS(1625),
    [aux_sym_bind_address_token1] = ACTIONS(1625),
    [aux_sym_bind_interface_token1] = ACTIONS(1625),
    [aux_sym_canonical_domains_token1] = ACTIONS(1625),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1625),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1625),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1625),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1625),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1625),
    [aux_sym_certificate_file_token1] = ACTIONS(1625),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1625),
    [aux_sym_channel_timeout_token1] = ACTIONS(1625),
    [aux_sym_check_host_ip_token1] = ACTIONS(1625),
    [aux_sym_ciphers_token1] = ACTIONS(1625),
    [aux_sym_cipher_token1] = ACTIONS(1627),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1625),
    [aux_sym_compression_token1] = ACTIONS(1625),
    [aux_sym_connection_attempts_token1] = ACTIONS(1625),
    [aux_sym_connect_timeout_token1] = ACTIONS(1625),
    [aux_sym_control_master_token1] = ACTIONS(1625),
    [aux_sym_control_path_token1] = ACTIONS(1625),
    [aux_sym_control_persist_token1] = ACTIONS(1625),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1625),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1625),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1625),
    [aux_sym_escape_char_token1] = ACTIONS(1625),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1625),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1625),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1625),
    [aux_sym_forward_agent_token1] = ACTIONS(1625),
    [aux_sym_forward_x11_token1] = ACTIONS(1627),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1625),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1625),
    [aux_sym_gateway_ports_token1] = ACTIONS(1625),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1625),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1625),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1625),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1625),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1625),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1625),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1625),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1625),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1625),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1625),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1625),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1625),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1625),
    [aux_sym_host_key_alias_token1] = ACTIONS(1625),
    [aux_sym_hostname_token1] = ACTIONS(1625),
    [aux_sym_identities_only_token1] = ACTIONS(1625),
    [aux_sym_identity_agent_token1] = ACTIONS(1625),
    [aux_sym_identity_file_token1] = ACTIONS(1625),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1625),
    [aux_sym_include_token1] = ACTIONS(1625),
    [aux_sym_ip_qos_token1] = ACTIONS(1625),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1625),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1625),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1625),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1625),
    [aux_sym_local_command_token1] = ACTIONS(1625),
    [aux_sym_local_forward_token1] = ACTIONS(1625),
    [aux_sym_log_level_token1] = ACTIONS(1625),
    [aux_sym_log_verbose_token1] = ACTIONS(1625),
    [aux_sym_macs_token1] = ACTIONS(1625),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1625),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1625),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1625),
    [aux_sym_password_authentication_token1] = ACTIONS(1625),
    [aux_sym_permit_local_command_token1] = ACTIONS(1625),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1625),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1625),
    [aux_sym_port_token1] = ACTIONS(1625),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1625),
    [aux_sym_protocol_token1] = ACTIONS(1625),
    [aux_sym_proxy_command_token1] = ACTIONS(1625),
    [aux_sym_proxy_jump_token1] = ACTIONS(1625),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1625),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1625),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1625),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1625),
    [aux_sym_rekey_limit_token1] = ACTIONS(1625),
    [aux_sym_remote_command_token1] = ACTIONS(1625),
    [aux_sym_remote_forward_token1] = ACTIONS(1625),
    [aux_sym_request_tty_token1] = ACTIONS(1625),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1625),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1625),
    [aux_sym_security_key_provider_token1] = ACTIONS(1625),
    [aux_sym_send_env_token1] = ACTIONS(1625),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1625),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1625),
    [aux_sym_session_type_token1] = ACTIONS(1625),
    [aux_sym_set_env_token1] = ACTIONS(1625),
    [aux_sym_stdin_null_token1] = ACTIONS(1625),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1625),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1625),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1625),
    [aux_sym_syslog_facility_token1] = ACTIONS(1625),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1625),
    [aux_sym_keep_alive_token1] = ACTIONS(1625),
    [aux_sym_tag_token1] = ACTIONS(1625),
    [aux_sym_tunnel_token1] = ACTIONS(1627),
    [aux_sym_tunnel_device_token1] = ACTIONS(1625),
    [aux_sym_update_host_keys_token1] = ACTIONS(1625),
    [aux_sym_use_keychain_token1] = ACTIONS(1625),
    [aux_sym_use_roaming_token1] = ACTIONS(1625),
    [aux_sym_user_token1] = ACTIONS(1627),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1625),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1625),
    [aux_sym_visual_host_key_token1] = ACTIONS(1625),
    [aux_sym_xauth_location_token1] = ACTIONS(1625),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1631),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [aux_sym_match_token1] = ACTIONS(1629),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1629),
    [aux_sym_address_family_token1] = ACTIONS(1629),
    [aux_sym_batch_mode_token1] = ACTIONS(1629),
    [aux_sym_bind_address_token1] = ACTIONS(1629),
    [aux_sym_bind_interface_token1] = ACTIONS(1629),
    [aux_sym_canonical_domains_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1629),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1629),
    [aux_sym_certificate_file_token1] = ACTIONS(1629),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1629),
    [aux_sym_channel_timeout_token1] = ACTIONS(1629),
    [aux_sym_check_host_ip_token1] = ACTIONS(1629),
    [aux_sym_ciphers_token1] = ACTIONS(1629),
    [aux_sym_cipher_token1] = ACTIONS(1631),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1629),
    [aux_sym_compression_token1] = ACTIONS(1629),
    [aux_sym_connection_attempts_token1] = ACTIONS(1629),
    [aux_sym_connect_timeout_token1] = ACTIONS(1629),
    [aux_sym_control_master_token1] = ACTIONS(1629),
    [aux_sym_control_path_token1] = ACTIONS(1629),
    [aux_sym_control_persist_token1] = ACTIONS(1629),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1629),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1629),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1629),
    [aux_sym_escape_char_token1] = ACTIONS(1629),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1629),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1629),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1629),
    [aux_sym_forward_agent_token1] = ACTIONS(1629),
    [aux_sym_forward_x11_token1] = ACTIONS(1631),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1629),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1629),
    [aux_sym_gateway_ports_token1] = ACTIONS(1629),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1629),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1629),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1629),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1629),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1629),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1629),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1629),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1629),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1629),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1629),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1629),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1629),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1629),
    [aux_sym_host_key_alias_token1] = ACTIONS(1629),
    [aux_sym_hostname_token1] = ACTIONS(1629),
    [aux_sym_identities_only_token1] = ACTIONS(1629),
    [aux_sym_identity_agent_token1] = ACTIONS(1629),
    [aux_sym_identity_file_token1] = ACTIONS(1629),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1629),
    [aux_sym_include_token1] = ACTIONS(1629),
    [aux_sym_ip_qos_token1] = ACTIONS(1629),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1629),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1629),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1629),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1629),
    [aux_sym_local_command_token1] = ACTIONS(1629),
    [aux_sym_local_forward_token1] = ACTIONS(1629),
    [aux_sym_log_level_token1] = ACTIONS(1629),
    [aux_sym_log_verbose_token1] = ACTIONS(1629),
    [aux_sym_macs_token1] = ACTIONS(1629),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1629),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1629),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1629),
    [aux_sym_password_authentication_token1] = ACTIONS(1629),
    [aux_sym_permit_local_command_token1] = ACTIONS(1629),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1629),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1629),
    [aux_sym_port_token1] = ACTIONS(1629),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1629),
    [aux_sym_protocol_token1] = ACTIONS(1629),
    [aux_sym_proxy_command_token1] = ACTIONS(1629),
    [aux_sym_proxy_jump_token1] = ACTIONS(1629),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1629),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1629),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1629),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1629),
    [aux_sym_rekey_limit_token1] = ACTIONS(1629),
    [aux_sym_remote_command_token1] = ACTIONS(1629),
    [aux_sym_remote_forward_token1] = ACTIONS(1629),
    [aux_sym_request_tty_token1] = ACTIONS(1629),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1629),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1629),
    [aux_sym_security_key_provider_token1] = ACTIONS(1629),
    [aux_sym_send_env_token1] = ACTIONS(1629),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1629),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1629),
    [aux_sym_session_type_token1] = ACTIONS(1629),
    [aux_sym_set_env_token1] = ACTIONS(1629),
    [aux_sym_stdin_null_token1] = ACTIONS(1629),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1629),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1629),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1629),
    [aux_sym_syslog_facility_token1] = ACTIONS(1629),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1629),
    [aux_sym_keep_alive_token1] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1629),
    [aux_sym_tunnel_token1] = ACTIONS(1631),
    [aux_sym_tunnel_device_token1] = ACTIONS(1629),
    [aux_sym_update_host_keys_token1] = ACTIONS(1629),
    [aux_sym_use_keychain_token1] = ACTIONS(1629),
    [aux_sym_use_roaming_token1] = ACTIONS(1629),
    [aux_sym_user_token1] = ACTIONS(1631),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1629),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1629),
    [aux_sym_visual_host_key_token1] = ACTIONS(1629),
    [aux_sym_xauth_location_token1] = ACTIONS(1629),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1639),
    [aux_sym_match_token1] = ACTIONS(1635),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1635),
    [aux_sym_address_family_token1] = ACTIONS(1635),
    [aux_sym_batch_mode_token1] = ACTIONS(1635),
    [aux_sym_bind_address_token1] = ACTIONS(1635),
    [aux_sym_bind_interface_token1] = ACTIONS(1635),
    [aux_sym_canonical_domains_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1635),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1635),
    [aux_sym_certificate_file_token1] = ACTIONS(1635),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1635),
    [aux_sym_channel_timeout_token1] = ACTIONS(1635),
    [aux_sym_check_host_ip_token1] = ACTIONS(1635),
    [aux_sym_ciphers_token1] = ACTIONS(1635),
    [aux_sym_cipher_token1] = ACTIONS(1637),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1635),
    [aux_sym_compression_token1] = ACTIONS(1635),
    [aux_sym_connection_attempts_token1] = ACTIONS(1635),
    [aux_sym_connect_timeout_token1] = ACTIONS(1635),
    [aux_sym_control_master_token1] = ACTIONS(1635),
    [aux_sym_control_path_token1] = ACTIONS(1635),
    [aux_sym_control_persist_token1] = ACTIONS(1635),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1635),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1635),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1635),
    [aux_sym_escape_char_token1] = ACTIONS(1635),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1635),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1635),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1635),
    [aux_sym_forward_agent_token1] = ACTIONS(1635),
    [aux_sym_forward_x11_token1] = ACTIONS(1637),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1635),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1635),
    [aux_sym_gateway_ports_token1] = ACTIONS(1635),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1635),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1635),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1635),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1635),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1635),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1635),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1635),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1635),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1635),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1635),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1635),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1635),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1635),
    [aux_sym_host_key_alias_token1] = ACTIONS(1635),
    [aux_sym_hostname_token1] = ACTIONS(1635),
    [aux_sym_identities_only_token1] = ACTIONS(1635),
    [aux_sym_identity_agent_token1] = ACTIONS(1635),
    [aux_sym_identity_file_token1] = ACTIONS(1635),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1635),
    [aux_sym_include_token1] = ACTIONS(1635),
    [aux_sym_ip_qos_token1] = ACTIONS(1635),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1635),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1635),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1635),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1635),
    [aux_sym_local_command_token1] = ACTIONS(1635),
    [aux_sym_local_forward_token1] = ACTIONS(1635),
    [aux_sym_log_level_token1] = ACTIONS(1635),
    [aux_sym_log_verbose_token1] = ACTIONS(1635),
    [aux_sym_macs_token1] = ACTIONS(1635),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1635),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1635),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1635),
    [aux_sym_password_authentication_token1] = ACTIONS(1635),
    [aux_sym_permit_local_command_token1] = ACTIONS(1635),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1635),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1635),
    [aux_sym_port_token1] = ACTIONS(1635),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1635),
    [aux_sym_protocol_token1] = ACTIONS(1635),
    [aux_sym_proxy_command_token1] = ACTIONS(1635),
    [aux_sym_proxy_jump_token1] = ACTIONS(1635),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1635),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1635),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1635),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1635),
    [aux_sym_rekey_limit_token1] = ACTIONS(1635),
    [aux_sym_remote_command_token1] = ACTIONS(1635),
    [aux_sym_remote_forward_token1] = ACTIONS(1635),
    [aux_sym_request_tty_token1] = ACTIONS(1635),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1635),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1635),
    [aux_sym_security_key_provider_token1] = ACTIONS(1635),
    [aux_sym_send_env_token1] = ACTIONS(1635),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1635),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1635),
    [aux_sym_session_type_token1] = ACTIONS(1635),
    [aux_sym_set_env_token1] = ACTIONS(1635),
    [aux_sym_stdin_null_token1] = ACTIONS(1635),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1635),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1635),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1635),
    [aux_sym_syslog_facility_token1] = ACTIONS(1635),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1635),
    [aux_sym_keep_alive_token1] = ACTIONS(1635),
    [aux_sym_tag_token1] = ACTIONS(1635),
    [aux_sym_tunnel_token1] = ACTIONS(1637),
    [aux_sym_tunnel_device_token1] = ACTIONS(1635),
    [aux_sym_update_host_keys_token1] = ACTIONS(1635),
    [aux_sym_use_keychain_token1] = ACTIONS(1635),
    [aux_sym_use_roaming_token1] = ACTIONS(1635),
    [aux_sym_user_token1] = ACTIONS(1637),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1635),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1635),
    [aux_sym_visual_host_key_token1] = ACTIONS(1635),
    [aux_sym_xauth_location_token1] = ACTIONS(1635),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1643),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [aux_sym_match_token1] = ACTIONS(1641),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1641),
    [aux_sym_address_family_token1] = ACTIONS(1641),
    [aux_sym_batch_mode_token1] = ACTIONS(1641),
    [aux_sym_bind_address_token1] = ACTIONS(1641),
    [aux_sym_bind_interface_token1] = ACTIONS(1641),
    [aux_sym_canonical_domains_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1641),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1641),
    [aux_sym_certificate_file_token1] = ACTIONS(1641),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1641),
    [aux_sym_channel_timeout_token1] = ACTIONS(1641),
    [aux_sym_check_host_ip_token1] = ACTIONS(1641),
    [aux_sym_ciphers_token1] = ACTIONS(1641),
    [aux_sym_cipher_token1] = ACTIONS(1643),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1641),
    [aux_sym_compression_token1] = ACTIONS(1641),
    [aux_sym_connection_attempts_token1] = ACTIONS(1641),
    [aux_sym_connect_timeout_token1] = ACTIONS(1641),
    [aux_sym_control_master_token1] = ACTIONS(1641),
    [aux_sym_control_path_token1] = ACTIONS(1641),
    [aux_sym_control_persist_token1] = ACTIONS(1641),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1641),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1641),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1641),
    [aux_sym_escape_char_token1] = ACTIONS(1641),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1641),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1641),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1641),
    [aux_sym_forward_agent_token1] = ACTIONS(1641),
    [aux_sym_forward_x11_token1] = ACTIONS(1643),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1641),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1641),
    [aux_sym_gateway_ports_token1] = ACTIONS(1641),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1641),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1641),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1641),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1641),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1641),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1641),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1641),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1641),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1641),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1641),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1641),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1641),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1641),
    [aux_sym_host_key_alias_token1] = ACTIONS(1641),
    [aux_sym_hostname_token1] = ACTIONS(1641),
    [aux_sym_identities_only_token1] = ACTIONS(1641),
    [aux_sym_identity_agent_token1] = ACTIONS(1641),
    [aux_sym_identity_file_token1] = ACTIONS(1641),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1641),
    [aux_sym_include_token1] = ACTIONS(1641),
    [aux_sym_ip_qos_token1] = ACTIONS(1641),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1641),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1641),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1641),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1641),
    [aux_sym_local_command_token1] = ACTIONS(1641),
    [aux_sym_local_forward_token1] = ACTIONS(1641),
    [aux_sym_log_level_token1] = ACTIONS(1641),
    [aux_sym_log_verbose_token1] = ACTIONS(1641),
    [aux_sym_macs_token1] = ACTIONS(1641),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1641),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1641),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1641),
    [aux_sym_password_authentication_token1] = ACTIONS(1641),
    [aux_sym_permit_local_command_token1] = ACTIONS(1641),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1641),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1641),
    [aux_sym_port_token1] = ACTIONS(1641),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1641),
    [aux_sym_protocol_token1] = ACTIONS(1641),
    [aux_sym_proxy_command_token1] = ACTIONS(1641),
    [aux_sym_proxy_jump_token1] = ACTIONS(1641),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1641),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1641),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1641),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1641),
    [aux_sym_rekey_limit_token1] = ACTIONS(1641),
    [aux_sym_remote_command_token1] = ACTIONS(1641),
    [aux_sym_remote_forward_token1] = ACTIONS(1641),
    [aux_sym_request_tty_token1] = ACTIONS(1641),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1641),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1641),
    [aux_sym_security_key_provider_token1] = ACTIONS(1641),
    [aux_sym_send_env_token1] = ACTIONS(1641),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1641),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1641),
    [aux_sym_session_type_token1] = ACTIONS(1641),
    [aux_sym_set_env_token1] = ACTIONS(1641),
    [aux_sym_stdin_null_token1] = ACTIONS(1641),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1641),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1641),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1641),
    [aux_sym_syslog_facility_token1] = ACTIONS(1641),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1641),
    [aux_sym_keep_alive_token1] = ACTIONS(1641),
    [aux_sym_tag_token1] = ACTIONS(1641),
    [aux_sym_tunnel_token1] = ACTIONS(1643),
    [aux_sym_tunnel_device_token1] = ACTIONS(1641),
    [aux_sym_update_host_keys_token1] = ACTIONS(1641),
    [aux_sym_use_keychain_token1] = ACTIONS(1641),
    [aux_sym_use_roaming_token1] = ACTIONS(1641),
    [aux_sym_user_token1] = ACTIONS(1643),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1641),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1641),
    [aux_sym_visual_host_key_token1] = ACTIONS(1641),
    [aux_sym_xauth_location_token1] = ACTIONS(1641),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [aux_sym_match_token1] = ACTIONS(1647),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1647),
    [aux_sym_address_family_token1] = ACTIONS(1647),
    [aux_sym_batch_mode_token1] = ACTIONS(1647),
    [aux_sym_bind_address_token1] = ACTIONS(1647),
    [aux_sym_bind_interface_token1] = ACTIONS(1647),
    [aux_sym_canonical_domains_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1647),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1647),
    [aux_sym_certificate_file_token1] = ACTIONS(1647),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1647),
    [aux_sym_channel_timeout_token1] = ACTIONS(1647),
    [aux_sym_check_host_ip_token1] = ACTIONS(1647),
    [aux_sym_ciphers_token1] = ACTIONS(1647),
    [aux_sym_cipher_token1] = ACTIONS(1649),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1647),
    [aux_sym_compression_token1] = ACTIONS(1647),
    [aux_sym_connection_attempts_token1] = ACTIONS(1647),
    [aux_sym_connect_timeout_token1] = ACTIONS(1647),
    [aux_sym_control_master_token1] = ACTIONS(1647),
    [aux_sym_control_path_token1] = ACTIONS(1647),
    [aux_sym_control_persist_token1] = ACTIONS(1647),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1647),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1647),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1647),
    [aux_sym_escape_char_token1] = ACTIONS(1647),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1647),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1647),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1647),
    [aux_sym_forward_agent_token1] = ACTIONS(1647),
    [aux_sym_forward_x11_token1] = ACTIONS(1649),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1647),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1647),
    [aux_sym_gateway_ports_token1] = ACTIONS(1647),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1647),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1647),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1647),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1647),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1647),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1647),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1647),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1647),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1647),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1647),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1647),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1647),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1647),
    [aux_sym_host_key_alias_token1] = ACTIONS(1647),
    [aux_sym_hostname_token1] = ACTIONS(1647),
    [aux_sym_identities_only_token1] = ACTIONS(1647),
    [aux_sym_identity_agent_token1] = ACTIONS(1647),
    [aux_sym_identity_file_token1] = ACTIONS(1647),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1647),
    [aux_sym_include_token1] = ACTIONS(1647),
    [aux_sym_ip_qos_token1] = ACTIONS(1647),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1647),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1647),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1647),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1647),
    [aux_sym_local_command_token1] = ACTIONS(1647),
    [aux_sym_local_forward_token1] = ACTIONS(1647),
    [aux_sym_log_level_token1] = ACTIONS(1647),
    [aux_sym_log_verbose_token1] = ACTIONS(1647),
    [aux_sym_macs_token1] = ACTIONS(1647),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1647),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1647),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1647),
    [aux_sym_password_authentication_token1] = ACTIONS(1647),
    [aux_sym_permit_local_command_token1] = ACTIONS(1647),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1647),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1647),
    [aux_sym_port_token1] = ACTIONS(1647),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1647),
    [aux_sym_protocol_token1] = ACTIONS(1647),
    [aux_sym_proxy_command_token1] = ACTIONS(1647),
    [aux_sym_proxy_jump_token1] = ACTIONS(1647),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1647),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1647),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1647),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1647),
    [aux_sym_rekey_limit_token1] = ACTIONS(1647),
    [aux_sym_remote_command_token1] = ACTIONS(1647),
    [aux_sym_remote_forward_token1] = ACTIONS(1647),
    [aux_sym_request_tty_token1] = ACTIONS(1647),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1647),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1647),
    [aux_sym_security_key_provider_token1] = ACTIONS(1647),
    [aux_sym_send_env_token1] = ACTIONS(1647),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1647),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1647),
    [aux_sym_session_type_token1] = ACTIONS(1647),
    [aux_sym_set_env_token1] = ACTIONS(1647),
    [aux_sym_stdin_null_token1] = ACTIONS(1647),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1647),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1647),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1647),
    [aux_sym_syslog_facility_token1] = ACTIONS(1647),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1647),
    [aux_sym_keep_alive_token1] = ACTIONS(1647),
    [aux_sym_tag_token1] = ACTIONS(1647),
    [aux_sym_tunnel_token1] = ACTIONS(1649),
    [aux_sym_tunnel_device_token1] = ACTIONS(1647),
    [aux_sym_update_host_keys_token1] = ACTIONS(1647),
    [aux_sym_use_keychain_token1] = ACTIONS(1647),
    [aux_sym_use_roaming_token1] = ACTIONS(1647),
    [aux_sym_user_token1] = ACTIONS(1649),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1647),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1647),
    [aux_sym_visual_host_key_token1] = ACTIONS(1647),
    [aux_sym_xauth_location_token1] = ACTIONS(1647),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1655),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [aux_sym_match_token1] = ACTIONS(1653),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1653),
    [aux_sym_address_family_token1] = ACTIONS(1653),
    [aux_sym_batch_mode_token1] = ACTIONS(1653),
    [aux_sym_bind_address_token1] = ACTIONS(1653),
    [aux_sym_bind_interface_token1] = ACTIONS(1653),
    [aux_sym_canonical_domains_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1653),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1653),
    [aux_sym_certificate_file_token1] = ACTIONS(1653),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1653),
    [aux_sym_channel_timeout_token1] = ACTIONS(1653),
    [aux_sym_check_host_ip_token1] = ACTIONS(1653),
    [aux_sym_ciphers_token1] = ACTIONS(1653),
    [aux_sym_cipher_token1] = ACTIONS(1655),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1653),
    [aux_sym_compression_token1] = ACTIONS(1653),
    [aux_sym_connection_attempts_token1] = ACTIONS(1653),
    [aux_sym_connect_timeout_token1] = ACTIONS(1653),
    [aux_sym_control_master_token1] = ACTIONS(1653),
    [aux_sym_control_path_token1] = ACTIONS(1653),
    [aux_sym_control_persist_token1] = ACTIONS(1653),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1653),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1653),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1653),
    [aux_sym_escape_char_token1] = ACTIONS(1653),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1653),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1653),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1653),
    [aux_sym_forward_agent_token1] = ACTIONS(1653),
    [aux_sym_forward_x11_token1] = ACTIONS(1655),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1653),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1653),
    [aux_sym_gateway_ports_token1] = ACTIONS(1653),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1653),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1653),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1653),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1653),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1653),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1653),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1653),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1653),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1653),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1653),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1653),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1653),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1653),
    [aux_sym_host_key_alias_token1] = ACTIONS(1653),
    [aux_sym_hostname_token1] = ACTIONS(1653),
    [aux_sym_identities_only_token1] = ACTIONS(1653),
    [aux_sym_identity_agent_token1] = ACTIONS(1653),
    [aux_sym_identity_file_token1] = ACTIONS(1653),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1653),
    [aux_sym_include_token1] = ACTIONS(1653),
    [aux_sym_ip_qos_token1] = ACTIONS(1653),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1653),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1653),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1653),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1653),
    [aux_sym_local_command_token1] = ACTIONS(1653),
    [aux_sym_local_forward_token1] = ACTIONS(1653),
    [aux_sym_log_level_token1] = ACTIONS(1653),
    [aux_sym_log_verbose_token1] = ACTIONS(1653),
    [aux_sym_macs_token1] = ACTIONS(1653),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1653),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1653),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1653),
    [aux_sym_password_authentication_token1] = ACTIONS(1653),
    [aux_sym_permit_local_command_token1] = ACTIONS(1653),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1653),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1653),
    [aux_sym_port_token1] = ACTIONS(1653),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1653),
    [aux_sym_protocol_token1] = ACTIONS(1653),
    [aux_sym_proxy_command_token1] = ACTIONS(1653),
    [aux_sym_proxy_jump_token1] = ACTIONS(1653),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1653),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1653),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1653),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1653),
    [aux_sym_rekey_limit_token1] = ACTIONS(1653),
    [aux_sym_remote_command_token1] = ACTIONS(1653),
    [aux_sym_remote_forward_token1] = ACTIONS(1653),
    [aux_sym_request_tty_token1] = ACTIONS(1653),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1653),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1653),
    [aux_sym_security_key_provider_token1] = ACTIONS(1653),
    [aux_sym_send_env_token1] = ACTIONS(1653),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1653),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1653),
    [aux_sym_session_type_token1] = ACTIONS(1653),
    [aux_sym_set_env_token1] = ACTIONS(1653),
    [aux_sym_stdin_null_token1] = ACTIONS(1653),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1653),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1653),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1653),
    [aux_sym_syslog_facility_token1] = ACTIONS(1653),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1653),
    [aux_sym_keep_alive_token1] = ACTIONS(1653),
    [aux_sym_tag_token1] = ACTIONS(1653),
    [aux_sym_tunnel_token1] = ACTIONS(1655),
    [aux_sym_tunnel_device_token1] = ACTIONS(1653),
    [aux_sym_update_host_keys_token1] = ACTIONS(1653),
    [aux_sym_use_keychain_token1] = ACTIONS(1653),
    [aux_sym_use_roaming_token1] = ACTIONS(1653),
    [aux_sym_user_token1] = ACTIONS(1655),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1653),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1653),
    [aux_sym_visual_host_key_token1] = ACTIONS(1653),
    [aux_sym_xauth_location_token1] = ACTIONS(1653),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1663),
    [aux_sym_match_token1] = ACTIONS(1659),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1659),
    [aux_sym_address_family_token1] = ACTIONS(1659),
    [aux_sym_batch_mode_token1] = ACTIONS(1659),
    [aux_sym_bind_address_token1] = ACTIONS(1659),
    [aux_sym_bind_interface_token1] = ACTIONS(1659),
    [aux_sym_canonical_domains_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1659),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1659),
    [aux_sym_certificate_file_token1] = ACTIONS(1659),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1659),
    [aux_sym_channel_timeout_token1] = ACTIONS(1659),
    [aux_sym_check_host_ip_token1] = ACTIONS(1659),
    [aux_sym_ciphers_token1] = ACTIONS(1659),
    [aux_sym_cipher_token1] = ACTIONS(1661),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1659),
    [aux_sym_compression_token1] = ACTIONS(1659),
    [aux_sym_connection_attempts_token1] = ACTIONS(1659),
    [aux_sym_connect_timeout_token1] = ACTIONS(1659),
    [aux_sym_control_master_token1] = ACTIONS(1659),
    [aux_sym_control_path_token1] = ACTIONS(1659),
    [aux_sym_control_persist_token1] = ACTIONS(1659),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1659),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1659),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1659),
    [aux_sym_escape_char_token1] = ACTIONS(1659),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1659),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1659),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1659),
    [aux_sym_forward_agent_token1] = ACTIONS(1659),
    [aux_sym_forward_x11_token1] = ACTIONS(1661),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1659),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1659),
    [aux_sym_gateway_ports_token1] = ACTIONS(1659),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1659),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1659),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1659),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1659),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1659),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1659),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1659),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1659),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1659),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1659),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1659),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1659),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1659),
    [aux_sym_host_key_alias_token1] = ACTIONS(1659),
    [aux_sym_hostname_token1] = ACTIONS(1659),
    [aux_sym_identities_only_token1] = ACTIONS(1659),
    [aux_sym_identity_agent_token1] = ACTIONS(1659),
    [aux_sym_identity_file_token1] = ACTIONS(1659),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1659),
    [aux_sym_include_token1] = ACTIONS(1659),
    [aux_sym_ip_qos_token1] = ACTIONS(1659),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1659),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1659),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1659),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1659),
    [aux_sym_local_command_token1] = ACTIONS(1659),
    [aux_sym_local_forward_token1] = ACTIONS(1659),
    [aux_sym_log_level_token1] = ACTIONS(1659),
    [aux_sym_log_verbose_token1] = ACTIONS(1659),
    [aux_sym_macs_token1] = ACTIONS(1659),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1659),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1659),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1659),
    [aux_sym_password_authentication_token1] = ACTIONS(1659),
    [aux_sym_permit_local_command_token1] = ACTIONS(1659),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1659),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1659),
    [aux_sym_port_token1] = ACTIONS(1659),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1659),
    [aux_sym_protocol_token1] = ACTIONS(1659),
    [aux_sym_proxy_command_token1] = ACTIONS(1659),
    [aux_sym_proxy_jump_token1] = ACTIONS(1659),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1659),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1659),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1659),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1659),
    [aux_sym_rekey_limit_token1] = ACTIONS(1659),
    [aux_sym_remote_command_token1] = ACTIONS(1659),
    [aux_sym_remote_forward_token1] = ACTIONS(1659),
    [aux_sym_request_tty_token1] = ACTIONS(1659),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1659),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1659),
    [aux_sym_security_key_provider_token1] = ACTIONS(1659),
    [aux_sym_send_env_token1] = ACTIONS(1659),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1659),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1659),
    [aux_sym_session_type_token1] = ACTIONS(1659),
    [aux_sym_set_env_token1] = ACTIONS(1659),
    [aux_sym_stdin_null_token1] = ACTIONS(1659),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1659),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1659),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1659),
    [aux_sym_syslog_facility_token1] = ACTIONS(1659),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1659),
    [aux_sym_keep_alive_token1] = ACTIONS(1659),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [aux_sym_tunnel_token1] = ACTIONS(1661),
    [aux_sym_tunnel_device_token1] = ACTIONS(1659),
    [aux_sym_update_host_keys_token1] = ACTIONS(1659),
    [aux_sym_use_keychain_token1] = ACTIONS(1659),
    [aux_sym_use_roaming_token1] = ACTIONS(1659),
    [aux_sym_user_token1] = ACTIONS(1661),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1659),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1659),
    [aux_sym_visual_host_key_token1] = ACTIONS(1659),
    [aux_sym_xauth_location_token1] = ACTIONS(1659),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1667),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [aux_sym_match_token1] = ACTIONS(1665),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1665),
    [aux_sym_address_family_token1] = ACTIONS(1665),
    [aux_sym_batch_mode_token1] = ACTIONS(1665),
    [aux_sym_bind_address_token1] = ACTIONS(1665),
    [aux_sym_bind_interface_token1] = ACTIONS(1665),
    [aux_sym_canonical_domains_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1665),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1665),
    [aux_sym_certificate_file_token1] = ACTIONS(1665),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1665),
    [aux_sym_channel_timeout_token1] = ACTIONS(1665),
    [aux_sym_check_host_ip_token1] = ACTIONS(1665),
    [aux_sym_ciphers_token1] = ACTIONS(1665),
    [aux_sym_cipher_token1] = ACTIONS(1667),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1665),
    [aux_sym_compression_token1] = ACTIONS(1665),
    [aux_sym_connection_attempts_token1] = ACTIONS(1665),
    [aux_sym_connect_timeout_token1] = ACTIONS(1665),
    [aux_sym_control_master_token1] = ACTIONS(1665),
    [aux_sym_control_path_token1] = ACTIONS(1665),
    [aux_sym_control_persist_token1] = ACTIONS(1665),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1665),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1665),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1665),
    [aux_sym_escape_char_token1] = ACTIONS(1665),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1665),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1665),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1665),
    [aux_sym_forward_agent_token1] = ACTIONS(1665),
    [aux_sym_forward_x11_token1] = ACTIONS(1667),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1665),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1665),
    [aux_sym_gateway_ports_token1] = ACTIONS(1665),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1665),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1665),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1665),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1665),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1665),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1665),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1665),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1665),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1665),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1665),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1665),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1665),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1665),
    [aux_sym_host_key_alias_token1] = ACTIONS(1665),
    [aux_sym_hostname_token1] = ACTIONS(1665),
    [aux_sym_identities_only_token1] = ACTIONS(1665),
    [aux_sym_identity_agent_token1] = ACTIONS(1665),
    [aux_sym_identity_file_token1] = ACTIONS(1665),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1665),
    [aux_sym_include_token1] = ACTIONS(1665),
    [aux_sym_ip_qos_token1] = ACTIONS(1665),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1665),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1665),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1665),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1665),
    [aux_sym_local_command_token1] = ACTIONS(1665),
    [aux_sym_local_forward_token1] = ACTIONS(1665),
    [aux_sym_log_level_token1] = ACTIONS(1665),
    [aux_sym_log_verbose_token1] = ACTIONS(1665),
    [aux_sym_macs_token1] = ACTIONS(1665),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1665),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1665),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1665),
    [aux_sym_password_authentication_token1] = ACTIONS(1665),
    [aux_sym_permit_local_command_token1] = ACTIONS(1665),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1665),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1665),
    [aux_sym_port_token1] = ACTIONS(1665),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1665),
    [aux_sym_protocol_token1] = ACTIONS(1665),
    [aux_sym_proxy_command_token1] = ACTIONS(1665),
    [aux_sym_proxy_jump_token1] = ACTIONS(1665),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1665),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1665),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1665),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1665),
    [aux_sym_rekey_limit_token1] = ACTIONS(1665),
    [aux_sym_remote_command_token1] = ACTIONS(1665),
    [aux_sym_remote_forward_token1] = ACTIONS(1665),
    [aux_sym_request_tty_token1] = ACTIONS(1665),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1665),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1665),
    [aux_sym_security_key_provider_token1] = ACTIONS(1665),
    [aux_sym_send_env_token1] = ACTIONS(1665),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1665),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1665),
    [aux_sym_session_type_token1] = ACTIONS(1665),
    [aux_sym_set_env_token1] = ACTIONS(1665),
    [aux_sym_stdin_null_token1] = ACTIONS(1665),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1665),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1665),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1665),
    [aux_sym_syslog_facility_token1] = ACTIONS(1665),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1665),
    [aux_sym_keep_alive_token1] = ACTIONS(1665),
    [aux_sym_tag_token1] = ACTIONS(1665),
    [aux_sym_tunnel_token1] = ACTIONS(1667),
    [aux_sym_tunnel_device_token1] = ACTIONS(1665),
    [aux_sym_update_host_keys_token1] = ACTIONS(1665),
    [aux_sym_use_keychain_token1] = ACTIONS(1665),
    [aux_sym_use_roaming_token1] = ACTIONS(1665),
    [aux_sym_user_token1] = ACTIONS(1667),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1665),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1665),
    [aux_sym_visual_host_key_token1] = ACTIONS(1665),
    [aux_sym_xauth_location_token1] = ACTIONS(1665),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1675),
    [aux_sym_match_token1] = ACTIONS(1671),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1671),
    [aux_sym_address_family_token1] = ACTIONS(1671),
    [aux_sym_batch_mode_token1] = ACTIONS(1671),
    [aux_sym_bind_address_token1] = ACTIONS(1671),
    [aux_sym_bind_interface_token1] = ACTIONS(1671),
    [aux_sym_canonical_domains_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1671),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1671),
    [aux_sym_certificate_file_token1] = ACTIONS(1671),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1671),
    [aux_sym_channel_timeout_token1] = ACTIONS(1671),
    [aux_sym_check_host_ip_token1] = ACTIONS(1671),
    [aux_sym_ciphers_token1] = ACTIONS(1671),
    [aux_sym_cipher_token1] = ACTIONS(1673),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1671),
    [aux_sym_compression_token1] = ACTIONS(1671),
    [aux_sym_connection_attempts_token1] = ACTIONS(1671),
    [aux_sym_connect_timeout_token1] = ACTIONS(1671),
    [aux_sym_control_master_token1] = ACTIONS(1671),
    [aux_sym_control_path_token1] = ACTIONS(1671),
    [aux_sym_control_persist_token1] = ACTIONS(1671),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1671),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1671),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1671),
    [aux_sym_escape_char_token1] = ACTIONS(1671),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1671),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1671),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1671),
    [aux_sym_forward_agent_token1] = ACTIONS(1671),
    [aux_sym_forward_x11_token1] = ACTIONS(1673),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1671),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1671),
    [aux_sym_gateway_ports_token1] = ACTIONS(1671),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1671),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1671),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1671),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1671),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1671),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1671),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1671),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1671),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1671),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1671),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1671),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1671),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1671),
    [aux_sym_host_key_alias_token1] = ACTIONS(1671),
    [aux_sym_hostname_token1] = ACTIONS(1671),
    [aux_sym_identities_only_token1] = ACTIONS(1671),
    [aux_sym_identity_agent_token1] = ACTIONS(1671),
    [aux_sym_identity_file_token1] = ACTIONS(1671),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1671),
    [aux_sym_include_token1] = ACTIONS(1671),
    [aux_sym_ip_qos_token1] = ACTIONS(1671),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1671),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1671),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1671),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1671),
    [aux_sym_local_command_token1] = ACTIONS(1671),
    [aux_sym_local_forward_token1] = ACTIONS(1671),
    [aux_sym_log_level_token1] = ACTIONS(1671),
    [aux_sym_log_verbose_token1] = ACTIONS(1671),
    [aux_sym_macs_token1] = ACTIONS(1671),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1671),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1671),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1671),
    [aux_sym_password_authentication_token1] = ACTIONS(1671),
    [aux_sym_permit_local_command_token1] = ACTIONS(1671),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1671),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1671),
    [aux_sym_port_token1] = ACTIONS(1671),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1671),
    [aux_sym_protocol_token1] = ACTIONS(1671),
    [aux_sym_proxy_command_token1] = ACTIONS(1671),
    [aux_sym_proxy_jump_token1] = ACTIONS(1671),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1671),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1671),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1671),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1671),
    [aux_sym_rekey_limit_token1] = ACTIONS(1671),
    [aux_sym_remote_command_token1] = ACTIONS(1671),
    [aux_sym_remote_forward_token1] = ACTIONS(1671),
    [aux_sym_request_tty_token1] = ACTIONS(1671),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1671),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1671),
    [aux_sym_security_key_provider_token1] = ACTIONS(1671),
    [aux_sym_send_env_token1] = ACTIONS(1671),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1671),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1671),
    [aux_sym_session_type_token1] = ACTIONS(1671),
    [aux_sym_set_env_token1] = ACTIONS(1671),
    [aux_sym_stdin_null_token1] = ACTIONS(1671),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1671),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1671),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1671),
    [aux_sym_syslog_facility_token1] = ACTIONS(1671),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1671),
    [aux_sym_keep_alive_token1] = ACTIONS(1671),
    [aux_sym_tag_token1] = ACTIONS(1671),
    [aux_sym_tunnel_token1] = ACTIONS(1673),
    [aux_sym_tunnel_device_token1] = ACTIONS(1671),
    [aux_sym_update_host_keys_token1] = ACTIONS(1671),
    [aux_sym_use_keychain_token1] = ACTIONS(1671),
    [aux_sym_use_roaming_token1] = ACTIONS(1671),
    [aux_sym_user_token1] = ACTIONS(1673),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1671),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1671),
    [aux_sym_visual_host_key_token1] = ACTIONS(1671),
    [aux_sym_xauth_location_token1] = ACTIONS(1671),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1679),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [aux_sym_match_token1] = ACTIONS(1677),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1677),
    [aux_sym_address_family_token1] = ACTIONS(1677),
    [aux_sym_batch_mode_token1] = ACTIONS(1677),
    [aux_sym_bind_address_token1] = ACTIONS(1677),
    [aux_sym_bind_interface_token1] = ACTIONS(1677),
    [aux_sym_canonical_domains_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1677),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1677),
    [aux_sym_certificate_file_token1] = ACTIONS(1677),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1677),
    [aux_sym_channel_timeout_token1] = ACTIONS(1677),
    [aux_sym_check_host_ip_token1] = ACTIONS(1677),
    [aux_sym_ciphers_token1] = ACTIONS(1677),
    [aux_sym_cipher_token1] = ACTIONS(1679),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1677),
    [aux_sym_compression_token1] = ACTIONS(1677),
    [aux_sym_connection_attempts_token1] = ACTIONS(1677),
    [aux_sym_connect_timeout_token1] = ACTIONS(1677),
    [aux_sym_control_master_token1] = ACTIONS(1677),
    [aux_sym_control_path_token1] = ACTIONS(1677),
    [aux_sym_control_persist_token1] = ACTIONS(1677),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1677),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1677),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1677),
    [aux_sym_escape_char_token1] = ACTIONS(1677),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1677),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1677),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1677),
    [aux_sym_forward_agent_token1] = ACTIONS(1677),
    [aux_sym_forward_x11_token1] = ACTIONS(1679),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1677),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1677),
    [aux_sym_gateway_ports_token1] = ACTIONS(1677),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1677),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1677),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1677),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1677),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1677),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1677),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1677),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1677),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1677),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1677),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1677),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1677),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1677),
    [aux_sym_host_key_alias_token1] = ACTIONS(1677),
    [aux_sym_hostname_token1] = ACTIONS(1677),
    [aux_sym_identities_only_token1] = ACTIONS(1677),
    [aux_sym_identity_agent_token1] = ACTIONS(1677),
    [aux_sym_identity_file_token1] = ACTIONS(1677),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1677),
    [aux_sym_include_token1] = ACTIONS(1677),
    [aux_sym_ip_qos_token1] = ACTIONS(1677),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1677),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1677),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1677),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1677),
    [aux_sym_local_command_token1] = ACTIONS(1677),
    [aux_sym_local_forward_token1] = ACTIONS(1677),
    [aux_sym_log_level_token1] = ACTIONS(1677),
    [aux_sym_log_verbose_token1] = ACTIONS(1677),
    [aux_sym_macs_token1] = ACTIONS(1677),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1677),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1677),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1677),
    [aux_sym_password_authentication_token1] = ACTIONS(1677),
    [aux_sym_permit_local_command_token1] = ACTIONS(1677),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1677),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1677),
    [aux_sym_port_token1] = ACTIONS(1677),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1677),
    [aux_sym_protocol_token1] = ACTIONS(1677),
    [aux_sym_proxy_command_token1] = ACTIONS(1677),
    [aux_sym_proxy_jump_token1] = ACTIONS(1677),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1677),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1677),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1677),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1677),
    [aux_sym_rekey_limit_token1] = ACTIONS(1677),
    [aux_sym_remote_command_token1] = ACTIONS(1677),
    [aux_sym_remote_forward_token1] = ACTIONS(1677),
    [aux_sym_request_tty_token1] = ACTIONS(1677),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1677),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1677),
    [aux_sym_security_key_provider_token1] = ACTIONS(1677),
    [aux_sym_send_env_token1] = ACTIONS(1677),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1677),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1677),
    [aux_sym_session_type_token1] = ACTIONS(1677),
    [aux_sym_set_env_token1] = ACTIONS(1677),
    [aux_sym_stdin_null_token1] = ACTIONS(1677),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1677),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1677),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1677),
    [aux_sym_syslog_facility_token1] = ACTIONS(1677),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1677),
    [aux_sym_keep_alive_token1] = ACTIONS(1677),
    [aux_sym_tag_token1] = ACTIONS(1677),
    [aux_sym_tunnel_token1] = ACTIONS(1679),
    [aux_sym_tunnel_device_token1] = ACTIONS(1677),
    [aux_sym_update_host_keys_token1] = ACTIONS(1677),
    [aux_sym_use_keychain_token1] = ACTIONS(1677),
    [aux_sym_use_roaming_token1] = ACTIONS(1677),
    [aux_sym_user_token1] = ACTIONS(1679),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1677),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1677),
    [aux_sym_visual_host_key_token1] = ACTIONS(1677),
    [aux_sym_xauth_location_token1] = ACTIONS(1677),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1687),
    [aux_sym_match_token1] = ACTIONS(1683),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1683),
    [aux_sym_address_family_token1] = ACTIONS(1683),
    [aux_sym_batch_mode_token1] = ACTIONS(1683),
    [aux_sym_bind_address_token1] = ACTIONS(1683),
    [aux_sym_bind_interface_token1] = ACTIONS(1683),
    [aux_sym_canonical_domains_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1683),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1683),
    [aux_sym_certificate_file_token1] = ACTIONS(1683),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1683),
    [aux_sym_channel_timeout_token1] = ACTIONS(1683),
    [aux_sym_check_host_ip_token1] = ACTIONS(1683),
    [aux_sym_ciphers_token1] = ACTIONS(1683),
    [aux_sym_cipher_token1] = ACTIONS(1685),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1683),
    [aux_sym_compression_token1] = ACTIONS(1683),
    [aux_sym_connection_attempts_token1] = ACTIONS(1683),
    [aux_sym_connect_timeout_token1] = ACTIONS(1683),
    [aux_sym_control_master_token1] = ACTIONS(1683),
    [aux_sym_control_path_token1] = ACTIONS(1683),
    [aux_sym_control_persist_token1] = ACTIONS(1683),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1683),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1683),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1683),
    [aux_sym_escape_char_token1] = ACTIONS(1683),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1683),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1683),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1683),
    [aux_sym_forward_agent_token1] = ACTIONS(1683),
    [aux_sym_forward_x11_token1] = ACTIONS(1685),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1683),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1683),
    [aux_sym_gateway_ports_token1] = ACTIONS(1683),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1683),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1683),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1683),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1683),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1683),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1683),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1683),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1683),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1683),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1683),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1683),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1683),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1683),
    [aux_sym_host_key_alias_token1] = ACTIONS(1683),
    [aux_sym_hostname_token1] = ACTIONS(1683),
    [aux_sym_identities_only_token1] = ACTIONS(1683),
    [aux_sym_identity_agent_token1] = ACTIONS(1683),
    [aux_sym_identity_file_token1] = ACTIONS(1683),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1683),
    [aux_sym_include_token1] = ACTIONS(1683),
    [aux_sym_ip_qos_token1] = ACTIONS(1683),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1683),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1683),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1683),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1683),
    [aux_sym_local_command_token1] = ACTIONS(1683),
    [aux_sym_local_forward_token1] = ACTIONS(1683),
    [aux_sym_log_level_token1] = ACTIONS(1683),
    [aux_sym_log_verbose_token1] = ACTIONS(1683),
    [aux_sym_macs_token1] = ACTIONS(1683),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1683),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1683),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1683),
    [aux_sym_password_authentication_token1] = ACTIONS(1683),
    [aux_sym_permit_local_command_token1] = ACTIONS(1683),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1683),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1683),
    [aux_sym_port_token1] = ACTIONS(1683),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1683),
    [aux_sym_protocol_token1] = ACTIONS(1683),
    [aux_sym_proxy_command_token1] = ACTIONS(1683),
    [aux_sym_proxy_jump_token1] = ACTIONS(1683),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1683),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1683),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1683),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1683),
    [aux_sym_rekey_limit_token1] = ACTIONS(1683),
    [aux_sym_remote_command_token1] = ACTIONS(1683),
    [aux_sym_remote_forward_token1] = ACTIONS(1683),
    [aux_sym_request_tty_token1] = ACTIONS(1683),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1683),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1683),
    [aux_sym_security_key_provider_token1] = ACTIONS(1683),
    [aux_sym_send_env_token1] = ACTIONS(1683),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1683),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1683),
    [aux_sym_session_type_token1] = ACTIONS(1683),
    [aux_sym_set_env_token1] = ACTIONS(1683),
    [aux_sym_stdin_null_token1] = ACTIONS(1683),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1683),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1683),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1683),
    [aux_sym_syslog_facility_token1] = ACTIONS(1683),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1683),
    [aux_sym_keep_alive_token1] = ACTIONS(1683),
    [aux_sym_tag_token1] = ACTIONS(1683),
    [aux_sym_tunnel_token1] = ACTIONS(1685),
    [aux_sym_tunnel_device_token1] = ACTIONS(1683),
    [aux_sym_update_host_keys_token1] = ACTIONS(1683),
    [aux_sym_use_keychain_token1] = ACTIONS(1683),
    [aux_sym_use_roaming_token1] = ACTIONS(1683),
    [aux_sym_user_token1] = ACTIONS(1685),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1683),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1683),
    [aux_sym_visual_host_key_token1] = ACTIONS(1683),
    [aux_sym_xauth_location_token1] = ACTIONS(1683),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1691),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [aux_sym_match_token1] = ACTIONS(1689),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1689),
    [aux_sym_address_family_token1] = ACTIONS(1689),
    [aux_sym_batch_mode_token1] = ACTIONS(1689),
    [aux_sym_bind_address_token1] = ACTIONS(1689),
    [aux_sym_bind_interface_token1] = ACTIONS(1689),
    [aux_sym_canonical_domains_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1689),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1689),
    [aux_sym_certificate_file_token1] = ACTIONS(1689),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1689),
    [aux_sym_channel_timeout_token1] = ACTIONS(1689),
    [aux_sym_check_host_ip_token1] = ACTIONS(1689),
    [aux_sym_ciphers_token1] = ACTIONS(1689),
    [aux_sym_cipher_token1] = ACTIONS(1691),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1689),
    [aux_sym_compression_token1] = ACTIONS(1689),
    [aux_sym_connection_attempts_token1] = ACTIONS(1689),
    [aux_sym_connect_timeout_token1] = ACTIONS(1689),
    [aux_sym_control_master_token1] = ACTIONS(1689),
    [aux_sym_control_path_token1] = ACTIONS(1689),
    [aux_sym_control_persist_token1] = ACTIONS(1689),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1689),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1689),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1689),
    [aux_sym_escape_char_token1] = ACTIONS(1689),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1689),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1689),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1689),
    [aux_sym_forward_agent_token1] = ACTIONS(1689),
    [aux_sym_forward_x11_token1] = ACTIONS(1691),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1689),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1689),
    [aux_sym_gateway_ports_token1] = ACTIONS(1689),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1689),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1689),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1689),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1689),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1689),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1689),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1689),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1689),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1689),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1689),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1689),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1689),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1689),
    [aux_sym_host_key_alias_token1] = ACTIONS(1689),
    [aux_sym_hostname_token1] = ACTIONS(1689),
    [aux_sym_identities_only_token1] = ACTIONS(1689),
    [aux_sym_identity_agent_token1] = ACTIONS(1689),
    [aux_sym_identity_file_token1] = ACTIONS(1689),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1689),
    [aux_sym_include_token1] = ACTIONS(1689),
    [aux_sym_ip_qos_token1] = ACTIONS(1689),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1689),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1689),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1689),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1689),
    [aux_sym_local_command_token1] = ACTIONS(1689),
    [aux_sym_local_forward_token1] = ACTIONS(1689),
    [aux_sym_log_level_token1] = ACTIONS(1689),
    [aux_sym_log_verbose_token1] = ACTIONS(1689),
    [aux_sym_macs_token1] = ACTIONS(1689),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1689),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1689),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1689),
    [aux_sym_password_authentication_token1] = ACTIONS(1689),
    [aux_sym_permit_local_command_token1] = ACTIONS(1689),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1689),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1689),
    [aux_sym_port_token1] = ACTIONS(1689),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1689),
    [aux_sym_protocol_token1] = ACTIONS(1689),
    [aux_sym_proxy_command_token1] = ACTIONS(1689),
    [aux_sym_proxy_jump_token1] = ACTIONS(1689),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1689),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1689),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1689),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1689),
    [aux_sym_rekey_limit_token1] = ACTIONS(1689),
    [aux_sym_remote_command_token1] = ACTIONS(1689),
    [aux_sym_remote_forward_token1] = ACTIONS(1689),
    [aux_sym_request_tty_token1] = ACTIONS(1689),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1689),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1689),
    [aux_sym_security_key_provider_token1] = ACTIONS(1689),
    [aux_sym_send_env_token1] = ACTIONS(1689),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1689),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1689),
    [aux_sym_session_type_token1] = ACTIONS(1689),
    [aux_sym_set_env_token1] = ACTIONS(1689),
    [aux_sym_stdin_null_token1] = ACTIONS(1689),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1689),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1689),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1689),
    [aux_sym_syslog_facility_token1] = ACTIONS(1689),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1689),
    [aux_sym_keep_alive_token1] = ACTIONS(1689),
    [aux_sym_tag_token1] = ACTIONS(1689),
    [aux_sym_tunnel_token1] = ACTIONS(1691),
    [aux_sym_tunnel_device_token1] = ACTIONS(1689),
    [aux_sym_update_host_keys_token1] = ACTIONS(1689),
    [aux_sym_use_keychain_token1] = ACTIONS(1689),
    [aux_sym_use_roaming_token1] = ACTIONS(1689),
    [aux_sym_user_token1] = ACTIONS(1691),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1689),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1689),
    [aux_sym_visual_host_key_token1] = ACTIONS(1689),
    [aux_sym_xauth_location_token1] = ACTIONS(1689),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1699),
    [aux_sym_match_token1] = ACTIONS(1695),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1695),
    [aux_sym_address_family_token1] = ACTIONS(1695),
    [aux_sym_batch_mode_token1] = ACTIONS(1695),
    [aux_sym_bind_address_token1] = ACTIONS(1695),
    [aux_sym_bind_interface_token1] = ACTIONS(1695),
    [aux_sym_canonical_domains_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1695),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1695),
    [aux_sym_certificate_file_token1] = ACTIONS(1695),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1695),
    [aux_sym_channel_timeout_token1] = ACTIONS(1695),
    [aux_sym_check_host_ip_token1] = ACTIONS(1695),
    [aux_sym_ciphers_token1] = ACTIONS(1695),
    [aux_sym_cipher_token1] = ACTIONS(1697),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1695),
    [aux_sym_compression_token1] = ACTIONS(1695),
    [aux_sym_connection_attempts_token1] = ACTIONS(1695),
    [aux_sym_connect_timeout_token1] = ACTIONS(1695),
    [aux_sym_control_master_token1] = ACTIONS(1695),
    [aux_sym_control_path_token1] = ACTIONS(1695),
    [aux_sym_control_persist_token1] = ACTIONS(1695),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1695),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1695),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1695),
    [aux_sym_escape_char_token1] = ACTIONS(1695),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1695),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1695),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1695),
    [aux_sym_forward_agent_token1] = ACTIONS(1695),
    [aux_sym_forward_x11_token1] = ACTIONS(1697),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1695),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1695),
    [aux_sym_gateway_ports_token1] = ACTIONS(1695),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1695),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1695),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1695),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1695),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1695),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1695),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1695),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1695),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1695),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1695),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1695),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1695),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1695),
    [aux_sym_host_key_alias_token1] = ACTIONS(1695),
    [aux_sym_hostname_token1] = ACTIONS(1695),
    [aux_sym_identities_only_token1] = ACTIONS(1695),
    [aux_sym_identity_agent_token1] = ACTIONS(1695),
    [aux_sym_identity_file_token1] = ACTIONS(1695),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1695),
    [aux_sym_include_token1] = ACTIONS(1695),
    [aux_sym_ip_qos_token1] = ACTIONS(1695),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1695),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1695),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1695),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1695),
    [aux_sym_local_command_token1] = ACTIONS(1695),
    [aux_sym_local_forward_token1] = ACTIONS(1695),
    [aux_sym_log_level_token1] = ACTIONS(1695),
    [aux_sym_log_verbose_token1] = ACTIONS(1695),
    [aux_sym_macs_token1] = ACTIONS(1695),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1695),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1695),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1695),
    [aux_sym_password_authentication_token1] = ACTIONS(1695),
    [aux_sym_permit_local_command_token1] = ACTIONS(1695),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1695),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1695),
    [aux_sym_port_token1] = ACTIONS(1695),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1695),
    [aux_sym_protocol_token1] = ACTIONS(1695),
    [aux_sym_proxy_command_token1] = ACTIONS(1695),
    [aux_sym_proxy_jump_token1] = ACTIONS(1695),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1695),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1695),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1695),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1695),
    [aux_sym_rekey_limit_token1] = ACTIONS(1695),
    [aux_sym_remote_command_token1] = ACTIONS(1695),
    [aux_sym_remote_forward_token1] = ACTIONS(1695),
    [aux_sym_request_tty_token1] = ACTIONS(1695),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1695),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1695),
    [aux_sym_security_key_provider_token1] = ACTIONS(1695),
    [aux_sym_send_env_token1] = ACTIONS(1695),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1695),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1695),
    [aux_sym_session_type_token1] = ACTIONS(1695),
    [aux_sym_set_env_token1] = ACTIONS(1695),
    [aux_sym_stdin_null_token1] = ACTIONS(1695),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1695),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1695),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1695),
    [aux_sym_syslog_facility_token1] = ACTIONS(1695),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1695),
    [aux_sym_keep_alive_token1] = ACTIONS(1695),
    [aux_sym_tag_token1] = ACTIONS(1695),
    [aux_sym_tunnel_token1] = ACTIONS(1697),
    [aux_sym_tunnel_device_token1] = ACTIONS(1695),
    [aux_sym_update_host_keys_token1] = ACTIONS(1695),
    [aux_sym_use_keychain_token1] = ACTIONS(1695),
    [aux_sym_use_roaming_token1] = ACTIONS(1695),
    [aux_sym_user_token1] = ACTIONS(1697),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1695),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1695),
    [aux_sym_visual_host_key_token1] = ACTIONS(1695),
    [aux_sym_xauth_location_token1] = ACTIONS(1695),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [aux_sym_match_token1] = ACTIONS(1701),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1701),
    [aux_sym_address_family_token1] = ACTIONS(1701),
    [aux_sym_batch_mode_token1] = ACTIONS(1701),
    [aux_sym_bind_address_token1] = ACTIONS(1701),
    [aux_sym_bind_interface_token1] = ACTIONS(1701),
    [aux_sym_canonical_domains_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1701),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1701),
    [aux_sym_certificate_file_token1] = ACTIONS(1701),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1701),
    [aux_sym_channel_timeout_token1] = ACTIONS(1701),
    [aux_sym_check_host_ip_token1] = ACTIONS(1701),
    [aux_sym_ciphers_token1] = ACTIONS(1701),
    [aux_sym_cipher_token1] = ACTIONS(1703),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1701),
    [aux_sym_compression_token1] = ACTIONS(1701),
    [aux_sym_connection_attempts_token1] = ACTIONS(1701),
    [aux_sym_connect_timeout_token1] = ACTIONS(1701),
    [aux_sym_control_master_token1] = ACTIONS(1701),
    [aux_sym_control_path_token1] = ACTIONS(1701),
    [aux_sym_control_persist_token1] = ACTIONS(1701),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1701),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1701),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1701),
    [aux_sym_escape_char_token1] = ACTIONS(1701),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1701),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1701),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1701),
    [aux_sym_forward_agent_token1] = ACTIONS(1701),
    [aux_sym_forward_x11_token1] = ACTIONS(1703),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1701),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1701),
    [aux_sym_gateway_ports_token1] = ACTIONS(1701),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1701),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1701),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1701),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1701),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1701),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1701),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1701),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1701),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1701),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1701),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1701),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1701),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1701),
    [aux_sym_host_key_alias_token1] = ACTIONS(1701),
    [aux_sym_hostname_token1] = ACTIONS(1701),
    [aux_sym_identities_only_token1] = ACTIONS(1701),
    [aux_sym_identity_agent_token1] = ACTIONS(1701),
    [aux_sym_identity_file_token1] = ACTIONS(1701),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1701),
    [aux_sym_include_token1] = ACTIONS(1701),
    [aux_sym_ip_qos_token1] = ACTIONS(1701),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1701),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1701),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1701),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1701),
    [aux_sym_local_command_token1] = ACTIONS(1701),
    [aux_sym_local_forward_token1] = ACTIONS(1701),
    [aux_sym_log_level_token1] = ACTIONS(1701),
    [aux_sym_log_verbose_token1] = ACTIONS(1701),
    [aux_sym_macs_token1] = ACTIONS(1701),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1701),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1701),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1701),
    [aux_sym_password_authentication_token1] = ACTIONS(1701),
    [aux_sym_permit_local_command_token1] = ACTIONS(1701),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1701),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1701),
    [aux_sym_port_token1] = ACTIONS(1701),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1701),
    [aux_sym_protocol_token1] = ACTIONS(1701),
    [aux_sym_proxy_command_token1] = ACTIONS(1701),
    [aux_sym_proxy_jump_token1] = ACTIONS(1701),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1701),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1701),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1701),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1701),
    [aux_sym_rekey_limit_token1] = ACTIONS(1701),
    [aux_sym_remote_command_token1] = ACTIONS(1701),
    [aux_sym_remote_forward_token1] = ACTIONS(1701),
    [aux_sym_request_tty_token1] = ACTIONS(1701),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1701),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1701),
    [aux_sym_security_key_provider_token1] = ACTIONS(1701),
    [aux_sym_send_env_token1] = ACTIONS(1701),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1701),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1701),
    [aux_sym_session_type_token1] = ACTIONS(1701),
    [aux_sym_set_env_token1] = ACTIONS(1701),
    [aux_sym_stdin_null_token1] = ACTIONS(1701),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1701),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1701),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1701),
    [aux_sym_syslog_facility_token1] = ACTIONS(1701),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1701),
    [aux_sym_keep_alive_token1] = ACTIONS(1701),
    [aux_sym_tag_token1] = ACTIONS(1701),
    [aux_sym_tunnel_token1] = ACTIONS(1703),
    [aux_sym_tunnel_device_token1] = ACTIONS(1701),
    [aux_sym_update_host_keys_token1] = ACTIONS(1701),
    [aux_sym_use_keychain_token1] = ACTIONS(1701),
    [aux_sym_use_roaming_token1] = ACTIONS(1701),
    [aux_sym_user_token1] = ACTIONS(1703),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1701),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1701),
    [aux_sym_visual_host_key_token1] = ACTIONS(1701),
    [aux_sym_xauth_location_token1] = ACTIONS(1701),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1711),
    [aux_sym_match_token1] = ACTIONS(1707),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1707),
    [aux_sym_address_family_token1] = ACTIONS(1707),
    [aux_sym_batch_mode_token1] = ACTIONS(1707),
    [aux_sym_bind_address_token1] = ACTIONS(1707),
    [aux_sym_bind_interface_token1] = ACTIONS(1707),
    [aux_sym_canonical_domains_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1707),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1707),
    [aux_sym_certificate_file_token1] = ACTIONS(1707),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1707),
    [aux_sym_channel_timeout_token1] = ACTIONS(1707),
    [aux_sym_check_host_ip_token1] = ACTIONS(1707),
    [aux_sym_ciphers_token1] = ACTIONS(1707),
    [aux_sym_cipher_token1] = ACTIONS(1709),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1707),
    [aux_sym_compression_token1] = ACTIONS(1707),
    [aux_sym_connection_attempts_token1] = ACTIONS(1707),
    [aux_sym_connect_timeout_token1] = ACTIONS(1707),
    [aux_sym_control_master_token1] = ACTIONS(1707),
    [aux_sym_control_path_token1] = ACTIONS(1707),
    [aux_sym_control_persist_token1] = ACTIONS(1707),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1707),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1707),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1707),
    [aux_sym_escape_char_token1] = ACTIONS(1707),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1707),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1707),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1707),
    [aux_sym_forward_agent_token1] = ACTIONS(1707),
    [aux_sym_forward_x11_token1] = ACTIONS(1709),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1707),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1707),
    [aux_sym_gateway_ports_token1] = ACTIONS(1707),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1707),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1707),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1707),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1707),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1707),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1707),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1707),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1707),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1707),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1707),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1707),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1707),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1707),
    [aux_sym_host_key_alias_token1] = ACTIONS(1707),
    [aux_sym_hostname_token1] = ACTIONS(1707),
    [aux_sym_identities_only_token1] = ACTIONS(1707),
    [aux_sym_identity_agent_token1] = ACTIONS(1707),
    [aux_sym_identity_file_token1] = ACTIONS(1707),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1707),
    [aux_sym_include_token1] = ACTIONS(1707),
    [aux_sym_ip_qos_token1] = ACTIONS(1707),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1707),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1707),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1707),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1707),
    [aux_sym_local_command_token1] = ACTIONS(1707),
    [aux_sym_local_forward_token1] = ACTIONS(1707),
    [aux_sym_log_level_token1] = ACTIONS(1707),
    [aux_sym_log_verbose_token1] = ACTIONS(1707),
    [aux_sym_macs_token1] = ACTIONS(1707),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1707),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1707),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1707),
    [aux_sym_password_authentication_token1] = ACTIONS(1707),
    [aux_sym_permit_local_command_token1] = ACTIONS(1707),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1707),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1707),
    [aux_sym_port_token1] = ACTIONS(1707),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1707),
    [aux_sym_protocol_token1] = ACTIONS(1707),
    [aux_sym_proxy_command_token1] = ACTIONS(1707),
    [aux_sym_proxy_jump_token1] = ACTIONS(1707),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1707),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1707),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1707),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1707),
    [aux_sym_rekey_limit_token1] = ACTIONS(1707),
    [aux_sym_remote_command_token1] = ACTIONS(1707),
    [aux_sym_remote_forward_token1] = ACTIONS(1707),
    [aux_sym_request_tty_token1] = ACTIONS(1707),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1707),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1707),
    [aux_sym_security_key_provider_token1] = ACTIONS(1707),
    [aux_sym_send_env_token1] = ACTIONS(1707),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1707),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1707),
    [aux_sym_session_type_token1] = ACTIONS(1707),
    [aux_sym_set_env_token1] = ACTIONS(1707),
    [aux_sym_stdin_null_token1] = ACTIONS(1707),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1707),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1707),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1707),
    [aux_sym_syslog_facility_token1] = ACTIONS(1707),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1707),
    [aux_sym_keep_alive_token1] = ACTIONS(1707),
    [aux_sym_tag_token1] = ACTIONS(1707),
    [aux_sym_tunnel_token1] = ACTIONS(1709),
    [aux_sym_tunnel_device_token1] = ACTIONS(1707),
    [aux_sym_update_host_keys_token1] = ACTIONS(1707),
    [aux_sym_use_keychain_token1] = ACTIONS(1707),
    [aux_sym_use_roaming_token1] = ACTIONS(1707),
    [aux_sym_user_token1] = ACTIONS(1709),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1707),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1707),
    [aux_sym_visual_host_key_token1] = ACTIONS(1707),
    [aux_sym_xauth_location_token1] = ACTIONS(1707),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [aux_sym_match_token1] = ACTIONS(1713),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1713),
    [aux_sym_address_family_token1] = ACTIONS(1713),
    [aux_sym_batch_mode_token1] = ACTIONS(1713),
    [aux_sym_bind_address_token1] = ACTIONS(1713),
    [aux_sym_bind_interface_token1] = ACTIONS(1713),
    [aux_sym_canonical_domains_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1713),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1713),
    [aux_sym_certificate_file_token1] = ACTIONS(1713),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1713),
    [aux_sym_channel_timeout_token1] = ACTIONS(1713),
    [aux_sym_check_host_ip_token1] = ACTIONS(1713),
    [aux_sym_ciphers_token1] = ACTIONS(1713),
    [aux_sym_cipher_token1] = ACTIONS(1715),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1713),
    [aux_sym_compression_token1] = ACTIONS(1713),
    [aux_sym_connection_attempts_token1] = ACTIONS(1713),
    [aux_sym_connect_timeout_token1] = ACTIONS(1713),
    [aux_sym_control_master_token1] = ACTIONS(1713),
    [aux_sym_control_path_token1] = ACTIONS(1713),
    [aux_sym_control_persist_token1] = ACTIONS(1713),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1713),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1713),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1713),
    [aux_sym_escape_char_token1] = ACTIONS(1713),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1713),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1713),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1713),
    [aux_sym_forward_agent_token1] = ACTIONS(1713),
    [aux_sym_forward_x11_token1] = ACTIONS(1715),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1713),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1713),
    [aux_sym_gateway_ports_token1] = ACTIONS(1713),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1713),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1713),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1713),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1713),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1713),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1713),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1713),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1713),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1713),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1713),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1713),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1713),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1713),
    [aux_sym_host_key_alias_token1] = ACTIONS(1713),
    [aux_sym_hostname_token1] = ACTIONS(1713),
    [aux_sym_identities_only_token1] = ACTIONS(1713),
    [aux_sym_identity_agent_token1] = ACTIONS(1713),
    [aux_sym_identity_file_token1] = ACTIONS(1713),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1713),
    [aux_sym_include_token1] = ACTIONS(1713),
    [aux_sym_ip_qos_token1] = ACTIONS(1713),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1713),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1713),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1713),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1713),
    [aux_sym_local_command_token1] = ACTIONS(1713),
    [aux_sym_local_forward_token1] = ACTIONS(1713),
    [aux_sym_log_level_token1] = ACTIONS(1713),
    [aux_sym_log_verbose_token1] = ACTIONS(1713),
    [aux_sym_macs_token1] = ACTIONS(1713),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1713),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1713),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1713),
    [aux_sym_password_authentication_token1] = ACTIONS(1713),
    [aux_sym_permit_local_command_token1] = ACTIONS(1713),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1713),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1713),
    [aux_sym_port_token1] = ACTIONS(1713),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1713),
    [aux_sym_protocol_token1] = ACTIONS(1713),
    [aux_sym_proxy_command_token1] = ACTIONS(1713),
    [aux_sym_proxy_jump_token1] = ACTIONS(1713),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1713),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1713),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1713),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1713),
    [aux_sym_rekey_limit_token1] = ACTIONS(1713),
    [aux_sym_remote_command_token1] = ACTIONS(1713),
    [aux_sym_remote_forward_token1] = ACTIONS(1713),
    [aux_sym_request_tty_token1] = ACTIONS(1713),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1713),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1713),
    [aux_sym_security_key_provider_token1] = ACTIONS(1713),
    [aux_sym_send_env_token1] = ACTIONS(1713),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1713),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1713),
    [aux_sym_session_type_token1] = ACTIONS(1713),
    [aux_sym_set_env_token1] = ACTIONS(1713),
    [aux_sym_stdin_null_token1] = ACTIONS(1713),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1713),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1713),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1713),
    [aux_sym_syslog_facility_token1] = ACTIONS(1713),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1713),
    [aux_sym_keep_alive_token1] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1713),
    [aux_sym_tunnel_token1] = ACTIONS(1715),
    [aux_sym_tunnel_device_token1] = ACTIONS(1713),
    [aux_sym_update_host_keys_token1] = ACTIONS(1713),
    [aux_sym_use_keychain_token1] = ACTIONS(1713),
    [aux_sym_use_roaming_token1] = ACTIONS(1713),
    [aux_sym_user_token1] = ACTIONS(1715),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1713),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1713),
    [aux_sym_visual_host_key_token1] = ACTIONS(1713),
    [aux_sym_xauth_location_token1] = ACTIONS(1713),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1723),
    [aux_sym_match_token1] = ACTIONS(1719),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1719),
    [aux_sym_address_family_token1] = ACTIONS(1719),
    [aux_sym_batch_mode_token1] = ACTIONS(1719),
    [aux_sym_bind_address_token1] = ACTIONS(1719),
    [aux_sym_bind_interface_token1] = ACTIONS(1719),
    [aux_sym_canonical_domains_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1719),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1719),
    [aux_sym_certificate_file_token1] = ACTIONS(1719),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1719),
    [aux_sym_channel_timeout_token1] = ACTIONS(1719),
    [aux_sym_check_host_ip_token1] = ACTIONS(1719),
    [aux_sym_ciphers_token1] = ACTIONS(1719),
    [aux_sym_cipher_token1] = ACTIONS(1721),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1719),
    [aux_sym_compression_token1] = ACTIONS(1719),
    [aux_sym_connection_attempts_token1] = ACTIONS(1719),
    [aux_sym_connect_timeout_token1] = ACTIONS(1719),
    [aux_sym_control_master_token1] = ACTIONS(1719),
    [aux_sym_control_path_token1] = ACTIONS(1719),
    [aux_sym_control_persist_token1] = ACTIONS(1719),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1719),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1719),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1719),
    [aux_sym_escape_char_token1] = ACTIONS(1719),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1719),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1719),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1719),
    [aux_sym_forward_agent_token1] = ACTIONS(1719),
    [aux_sym_forward_x11_token1] = ACTIONS(1721),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1719),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1719),
    [aux_sym_gateway_ports_token1] = ACTIONS(1719),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1719),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1719),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1719),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1719),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1719),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1719),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1719),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1719),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1719),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1719),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1719),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1719),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1719),
    [aux_sym_host_key_alias_token1] = ACTIONS(1719),
    [aux_sym_hostname_token1] = ACTIONS(1719),
    [aux_sym_identities_only_token1] = ACTIONS(1719),
    [aux_sym_identity_agent_token1] = ACTIONS(1719),
    [aux_sym_identity_file_token1] = ACTIONS(1719),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1719),
    [aux_sym_include_token1] = ACTIONS(1719),
    [aux_sym_ip_qos_token1] = ACTIONS(1719),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1719),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1719),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1719),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1719),
    [aux_sym_local_command_token1] = ACTIONS(1719),
    [aux_sym_local_forward_token1] = ACTIONS(1719),
    [aux_sym_log_level_token1] = ACTIONS(1719),
    [aux_sym_log_verbose_token1] = ACTIONS(1719),
    [aux_sym_macs_token1] = ACTIONS(1719),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1719),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1719),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1719),
    [aux_sym_password_authentication_token1] = ACTIONS(1719),
    [aux_sym_permit_local_command_token1] = ACTIONS(1719),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1719),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1719),
    [aux_sym_port_token1] = ACTIONS(1719),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1719),
    [aux_sym_protocol_token1] = ACTIONS(1719),
    [aux_sym_proxy_command_token1] = ACTIONS(1719),
    [aux_sym_proxy_jump_token1] = ACTIONS(1719),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1719),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1719),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1719),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1719),
    [aux_sym_rekey_limit_token1] = ACTIONS(1719),
    [aux_sym_remote_command_token1] = ACTIONS(1719),
    [aux_sym_remote_forward_token1] = ACTIONS(1719),
    [aux_sym_request_tty_token1] = ACTIONS(1719),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1719),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1719),
    [aux_sym_security_key_provider_token1] = ACTIONS(1719),
    [aux_sym_send_env_token1] = ACTIONS(1719),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1719),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1719),
    [aux_sym_session_type_token1] = ACTIONS(1719),
    [aux_sym_set_env_token1] = ACTIONS(1719),
    [aux_sym_stdin_null_token1] = ACTIONS(1719),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1719),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1719),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1719),
    [aux_sym_syslog_facility_token1] = ACTIONS(1719),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1719),
    [aux_sym_keep_alive_token1] = ACTIONS(1719),
    [aux_sym_tag_token1] = ACTIONS(1719),
    [aux_sym_tunnel_token1] = ACTIONS(1721),
    [aux_sym_tunnel_device_token1] = ACTIONS(1719),
    [aux_sym_update_host_keys_token1] = ACTIONS(1719),
    [aux_sym_use_keychain_token1] = ACTIONS(1719),
    [aux_sym_use_roaming_token1] = ACTIONS(1719),
    [aux_sym_user_token1] = ACTIONS(1721),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1719),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1719),
    [aux_sym_visual_host_key_token1] = ACTIONS(1719),
    [aux_sym_xauth_location_token1] = ACTIONS(1719),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(1729),
    [aux_sym_match_token1] = ACTIONS(1725),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1725),
    [aux_sym_address_family_token1] = ACTIONS(1725),
    [aux_sym_batch_mode_token1] = ACTIONS(1725),
    [aux_sym_bind_address_token1] = ACTIONS(1725),
    [aux_sym_bind_interface_token1] = ACTIONS(1725),
    [aux_sym_canonical_domains_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1725),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1725),
    [aux_sym_certificate_file_token1] = ACTIONS(1725),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1725),
    [aux_sym_channel_timeout_token1] = ACTIONS(1725),
    [aux_sym_check_host_ip_token1] = ACTIONS(1725),
    [aux_sym_ciphers_token1] = ACTIONS(1725),
    [aux_sym_cipher_token1] = ACTIONS(1727),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1725),
    [aux_sym_compression_token1] = ACTIONS(1725),
    [aux_sym_connection_attempts_token1] = ACTIONS(1725),
    [aux_sym_connect_timeout_token1] = ACTIONS(1725),
    [aux_sym_control_master_token1] = ACTIONS(1725),
    [aux_sym_control_path_token1] = ACTIONS(1725),
    [aux_sym_control_persist_token1] = ACTIONS(1725),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1725),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1725),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1725),
    [aux_sym_escape_char_token1] = ACTIONS(1725),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1725),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1725),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1725),
    [aux_sym_forward_agent_token1] = ACTIONS(1725),
    [aux_sym_forward_x11_token1] = ACTIONS(1727),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1725),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1725),
    [aux_sym_gateway_ports_token1] = ACTIONS(1725),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1725),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1725),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1725),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1725),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1725),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1725),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1725),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1725),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1725),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1725),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1725),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1725),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1725),
    [aux_sym_host_key_alias_token1] = ACTIONS(1725),
    [aux_sym_hostname_token1] = ACTIONS(1725),
    [aux_sym_identities_only_token1] = ACTIONS(1725),
    [aux_sym_identity_agent_token1] = ACTIONS(1725),
    [aux_sym_identity_file_token1] = ACTIONS(1725),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1725),
    [aux_sym_include_token1] = ACTIONS(1725),
    [aux_sym_ip_qos_token1] = ACTIONS(1725),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1725),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1725),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1725),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1725),
    [aux_sym_local_command_token1] = ACTIONS(1725),
    [aux_sym_local_forward_token1] = ACTIONS(1725),
    [aux_sym_log_level_token1] = ACTIONS(1725),
    [aux_sym_log_verbose_token1] = ACTIONS(1725),
    [aux_sym_macs_token1] = ACTIONS(1725),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1725),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1725),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1725),
    [aux_sym_password_authentication_token1] = ACTIONS(1725),
    [aux_sym_permit_local_command_token1] = ACTIONS(1725),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1725),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1725),
    [aux_sym_port_token1] = ACTIONS(1725),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1725),
    [aux_sym_protocol_token1] = ACTIONS(1725),
    [aux_sym_proxy_command_token1] = ACTIONS(1725),
    [aux_sym_proxy_jump_token1] = ACTIONS(1725),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1725),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1725),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1725),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1725),
    [aux_sym_rekey_limit_token1] = ACTIONS(1725),
    [aux_sym_remote_command_token1] = ACTIONS(1725),
    [aux_sym_remote_forward_token1] = ACTIONS(1725),
    [aux_sym_request_tty_token1] = ACTIONS(1725),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1725),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1725),
    [aux_sym_security_key_provider_token1] = ACTIONS(1725),
    [aux_sym_send_env_token1] = ACTIONS(1725),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1725),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1725),
    [aux_sym_session_type_token1] = ACTIONS(1725),
    [aux_sym_set_env_token1] = ACTIONS(1725),
    [aux_sym_stdin_null_token1] = ACTIONS(1725),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1725),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1725),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1725),
    [aux_sym_syslog_facility_token1] = ACTIONS(1725),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1725),
    [aux_sym_keep_alive_token1] = ACTIONS(1725),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [aux_sym_tunnel_token1] = ACTIONS(1727),
    [aux_sym_tunnel_device_token1] = ACTIONS(1725),
    [aux_sym_update_host_keys_token1] = ACTIONS(1725),
    [aux_sym_use_keychain_token1] = ACTIONS(1725),
    [aux_sym_use_roaming_token1] = ACTIONS(1725),
    [aux_sym_user_token1] = ACTIONS(1727),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1725),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1725),
    [aux_sym_visual_host_key_token1] = ACTIONS(1725),
    [aux_sym_xauth_location_token1] = ACTIONS(1725),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [aux_sym_match_token1] = ACTIONS(1731),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1731),
    [aux_sym_address_family_token1] = ACTIONS(1731),
    [aux_sym_batch_mode_token1] = ACTIONS(1731),
    [aux_sym_bind_address_token1] = ACTIONS(1731),
    [aux_sym_bind_interface_token1] = ACTIONS(1731),
    [aux_sym_canonical_domains_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1731),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1731),
    [aux_sym_certificate_file_token1] = ACTIONS(1731),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1731),
    [aux_sym_channel_timeout_token1] = ACTIONS(1731),
    [aux_sym_check_host_ip_token1] = ACTIONS(1731),
    [aux_sym_ciphers_token1] = ACTIONS(1731),
    [aux_sym_cipher_token1] = ACTIONS(1733),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1731),
    [aux_sym_compression_token1] = ACTIONS(1731),
    [aux_sym_connection_attempts_token1] = ACTIONS(1731),
    [aux_sym_connect_timeout_token1] = ACTIONS(1731),
    [aux_sym_control_master_token1] = ACTIONS(1731),
    [aux_sym_control_path_token1] = ACTIONS(1731),
    [aux_sym_control_persist_token1] = ACTIONS(1731),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1731),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1731),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1731),
    [aux_sym_escape_char_token1] = ACTIONS(1731),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1731),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1731),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1731),
    [aux_sym_forward_agent_token1] = ACTIONS(1731),
    [aux_sym_forward_x11_token1] = ACTIONS(1733),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1731),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1731),
    [aux_sym_gateway_ports_token1] = ACTIONS(1731),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1731),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1731),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1731),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1731),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1731),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1731),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1731),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1731),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1731),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1731),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1731),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1731),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1731),
    [aux_sym_host_key_alias_token1] = ACTIONS(1731),
    [aux_sym_hostname_token1] = ACTIONS(1731),
    [aux_sym_identities_only_token1] = ACTIONS(1731),
    [aux_sym_identity_agent_token1] = ACTIONS(1731),
    [aux_sym_identity_file_token1] = ACTIONS(1731),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1731),
    [aux_sym_include_token1] = ACTIONS(1731),
    [aux_sym_ip_qos_token1] = ACTIONS(1731),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1731),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1731),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1731),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1731),
    [aux_sym_local_command_token1] = ACTIONS(1731),
    [aux_sym_local_forward_token1] = ACTIONS(1731),
    [aux_sym_log_level_token1] = ACTIONS(1731),
    [aux_sym_log_verbose_token1] = ACTIONS(1731),
    [aux_sym_macs_token1] = ACTIONS(1731),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1731),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1731),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1731),
    [aux_sym_password_authentication_token1] = ACTIONS(1731),
    [aux_sym_permit_local_command_token1] = ACTIONS(1731),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1731),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1731),
    [aux_sym_port_token1] = ACTIONS(1731),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1731),
    [aux_sym_protocol_token1] = ACTIONS(1731),
    [aux_sym_proxy_command_token1] = ACTIONS(1731),
    [aux_sym_proxy_jump_token1] = ACTIONS(1731),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1731),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1731),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1731),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1731),
    [aux_sym_rekey_limit_token1] = ACTIONS(1731),
    [aux_sym_remote_command_token1] = ACTIONS(1731),
    [aux_sym_remote_forward_token1] = ACTIONS(1731),
    [aux_sym_request_tty_token1] = ACTIONS(1731),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1731),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1731),
    [aux_sym_security_key_provider_token1] = ACTIONS(1731),
    [aux_sym_send_env_token1] = ACTIONS(1731),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1731),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1731),
    [aux_sym_session_type_token1] = ACTIONS(1731),
    [aux_sym_set_env_token1] = ACTIONS(1731),
    [aux_sym_stdin_null_token1] = ACTIONS(1731),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1731),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1731),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1731),
    [aux_sym_syslog_facility_token1] = ACTIONS(1731),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1731),
    [aux_sym_keep_alive_token1] = ACTIONS(1731),
    [aux_sym_tag_token1] = ACTIONS(1731),
    [aux_sym_tunnel_token1] = ACTIONS(1733),
    [aux_sym_tunnel_device_token1] = ACTIONS(1731),
    [aux_sym_update_host_keys_token1] = ACTIONS(1731),
    [aux_sym_use_keychain_token1] = ACTIONS(1731),
    [aux_sym_use_roaming_token1] = ACTIONS(1731),
    [aux_sym_user_token1] = ACTIONS(1733),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1731),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1731),
    [aux_sym_visual_host_key_token1] = ACTIONS(1731),
    [aux_sym_xauth_location_token1] = ACTIONS(1731),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1739),
    [anon_sym_DQUOTE] = ACTIONS(1741),
    [aux_sym_match_token1] = ACTIONS(1737),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1737),
    [aux_sym_address_family_token1] = ACTIONS(1737),
    [aux_sym_batch_mode_token1] = ACTIONS(1737),
    [aux_sym_bind_address_token1] = ACTIONS(1737),
    [aux_sym_bind_interface_token1] = ACTIONS(1737),
    [aux_sym_canonical_domains_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1737),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1737),
    [aux_sym_certificate_file_token1] = ACTIONS(1737),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1737),
    [aux_sym_channel_timeout_token1] = ACTIONS(1737),
    [aux_sym_check_host_ip_token1] = ACTIONS(1737),
    [aux_sym_ciphers_token1] = ACTIONS(1737),
    [aux_sym_cipher_token1] = ACTIONS(1739),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1737),
    [aux_sym_compression_token1] = ACTIONS(1737),
    [aux_sym_connection_attempts_token1] = ACTIONS(1737),
    [aux_sym_connect_timeout_token1] = ACTIONS(1737),
    [aux_sym_control_master_token1] = ACTIONS(1737),
    [aux_sym_control_path_token1] = ACTIONS(1737),
    [aux_sym_control_persist_token1] = ACTIONS(1737),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1737),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1737),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1737),
    [aux_sym_escape_char_token1] = ACTIONS(1737),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1737),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1737),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1737),
    [aux_sym_forward_agent_token1] = ACTIONS(1737),
    [aux_sym_forward_x11_token1] = ACTIONS(1739),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1737),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1737),
    [aux_sym_gateway_ports_token1] = ACTIONS(1737),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1737),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1737),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1737),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1737),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1737),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1737),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1737),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1737),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1737),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1737),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1737),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1737),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1737),
    [aux_sym_host_key_alias_token1] = ACTIONS(1737),
    [aux_sym_hostname_token1] = ACTIONS(1737),
    [aux_sym_identities_only_token1] = ACTIONS(1737),
    [aux_sym_identity_agent_token1] = ACTIONS(1737),
    [aux_sym_identity_file_token1] = ACTIONS(1737),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1737),
    [aux_sym_include_token1] = ACTIONS(1737),
    [aux_sym_ip_qos_token1] = ACTIONS(1737),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1737),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1737),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1737),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1737),
    [aux_sym_local_command_token1] = ACTIONS(1737),
    [aux_sym_local_forward_token1] = ACTIONS(1737),
    [aux_sym_log_level_token1] = ACTIONS(1737),
    [aux_sym_log_verbose_token1] = ACTIONS(1737),
    [aux_sym_macs_token1] = ACTIONS(1737),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1737),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1737),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1737),
    [aux_sym_password_authentication_token1] = ACTIONS(1737),
    [aux_sym_permit_local_command_token1] = ACTIONS(1737),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1737),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1737),
    [aux_sym_port_token1] = ACTIONS(1737),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1737),
    [aux_sym_protocol_token1] = ACTIONS(1737),
    [aux_sym_proxy_command_token1] = ACTIONS(1737),
    [aux_sym_proxy_jump_token1] = ACTIONS(1737),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1737),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1737),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1737),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1737),
    [aux_sym_rekey_limit_token1] = ACTIONS(1737),
    [aux_sym_remote_command_token1] = ACTIONS(1737),
    [aux_sym_remote_forward_token1] = ACTIONS(1737),
    [aux_sym_request_tty_token1] = ACTIONS(1737),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1737),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1737),
    [aux_sym_security_key_provider_token1] = ACTIONS(1737),
    [aux_sym_send_env_token1] = ACTIONS(1737),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1737),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1737),
    [aux_sym_session_type_token1] = ACTIONS(1737),
    [aux_sym_set_env_token1] = ACTIONS(1737),
    [aux_sym_stdin_null_token1] = ACTIONS(1737),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1737),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1737),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1737),
    [aux_sym_syslog_facility_token1] = ACTIONS(1737),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1737),
    [aux_sym_keep_alive_token1] = ACTIONS(1737),
    [aux_sym_tag_token1] = ACTIONS(1737),
    [aux_sym_tunnel_token1] = ACTIONS(1739),
    [aux_sym_tunnel_device_token1] = ACTIONS(1737),
    [aux_sym_update_host_keys_token1] = ACTIONS(1737),
    [aux_sym_use_keychain_token1] = ACTIONS(1737),
    [aux_sym_use_roaming_token1] = ACTIONS(1737),
    [aux_sym_user_token1] = ACTIONS(1739),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1737),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1737),
    [aux_sym_visual_host_key_token1] = ACTIONS(1737),
    [aux_sym_xauth_location_token1] = ACTIONS(1737),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1745),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [aux_sym_match_token1] = ACTIONS(1743),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1743),
    [aux_sym_address_family_token1] = ACTIONS(1743),
    [aux_sym_batch_mode_token1] = ACTIONS(1743),
    [aux_sym_bind_address_token1] = ACTIONS(1743),
    [aux_sym_bind_interface_token1] = ACTIONS(1743),
    [aux_sym_canonical_domains_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1743),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1743),
    [aux_sym_certificate_file_token1] = ACTIONS(1743),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1743),
    [aux_sym_channel_timeout_token1] = ACTIONS(1743),
    [aux_sym_check_host_ip_token1] = ACTIONS(1743),
    [aux_sym_ciphers_token1] = ACTIONS(1743),
    [aux_sym_cipher_token1] = ACTIONS(1745),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1743),
    [aux_sym_compression_token1] = ACTIONS(1743),
    [aux_sym_connection_attempts_token1] = ACTIONS(1743),
    [aux_sym_connect_timeout_token1] = ACTIONS(1743),
    [aux_sym_control_master_token1] = ACTIONS(1743),
    [aux_sym_control_path_token1] = ACTIONS(1743),
    [aux_sym_control_persist_token1] = ACTIONS(1743),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1743),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1743),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1743),
    [aux_sym_escape_char_token1] = ACTIONS(1743),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1743),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1743),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1743),
    [aux_sym_forward_agent_token1] = ACTIONS(1743),
    [aux_sym_forward_x11_token1] = ACTIONS(1745),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1743),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1743),
    [aux_sym_gateway_ports_token1] = ACTIONS(1743),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1743),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1743),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1743),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1743),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1743),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1743),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1743),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1743),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1743),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1743),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1743),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1743),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1743),
    [aux_sym_host_key_alias_token1] = ACTIONS(1743),
    [aux_sym_hostname_token1] = ACTIONS(1743),
    [aux_sym_identities_only_token1] = ACTIONS(1743),
    [aux_sym_identity_agent_token1] = ACTIONS(1743),
    [aux_sym_identity_file_token1] = ACTIONS(1743),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1743),
    [aux_sym_include_token1] = ACTIONS(1743),
    [aux_sym_ip_qos_token1] = ACTIONS(1743),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1743),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1743),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1743),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1743),
    [aux_sym_local_command_token1] = ACTIONS(1743),
    [aux_sym_local_forward_token1] = ACTIONS(1743),
    [aux_sym_log_level_token1] = ACTIONS(1743),
    [aux_sym_log_verbose_token1] = ACTIONS(1743),
    [aux_sym_macs_token1] = ACTIONS(1743),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1743),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1743),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1743),
    [aux_sym_password_authentication_token1] = ACTIONS(1743),
    [aux_sym_permit_local_command_token1] = ACTIONS(1743),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1743),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1743),
    [aux_sym_port_token1] = ACTIONS(1743),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1743),
    [aux_sym_protocol_token1] = ACTIONS(1743),
    [aux_sym_proxy_command_token1] = ACTIONS(1743),
    [aux_sym_proxy_jump_token1] = ACTIONS(1743),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1743),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1743),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1743),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1743),
    [aux_sym_rekey_limit_token1] = ACTIONS(1743),
    [aux_sym_remote_command_token1] = ACTIONS(1743),
    [aux_sym_remote_forward_token1] = ACTIONS(1743),
    [aux_sym_request_tty_token1] = ACTIONS(1743),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1743),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1743),
    [aux_sym_security_key_provider_token1] = ACTIONS(1743),
    [aux_sym_send_env_token1] = ACTIONS(1743),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1743),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1743),
    [aux_sym_session_type_token1] = ACTIONS(1743),
    [aux_sym_set_env_token1] = ACTIONS(1743),
    [aux_sym_stdin_null_token1] = ACTIONS(1743),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1743),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1743),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1743),
    [aux_sym_syslog_facility_token1] = ACTIONS(1743),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1743),
    [aux_sym_keep_alive_token1] = ACTIONS(1743),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [aux_sym_tunnel_token1] = ACTIONS(1745),
    [aux_sym_tunnel_device_token1] = ACTIONS(1743),
    [aux_sym_update_host_keys_token1] = ACTIONS(1743),
    [aux_sym_use_keychain_token1] = ACTIONS(1743),
    [aux_sym_use_roaming_token1] = ACTIONS(1743),
    [aux_sym_user_token1] = ACTIONS(1745),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1743),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1743),
    [aux_sym_visual_host_key_token1] = ACTIONS(1743),
    [aux_sym_xauth_location_token1] = ACTIONS(1743),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1753),
    [aux_sym_match_token1] = ACTIONS(1749),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1749),
    [aux_sym_address_family_token1] = ACTIONS(1749),
    [aux_sym_batch_mode_token1] = ACTIONS(1749),
    [aux_sym_bind_address_token1] = ACTIONS(1749),
    [aux_sym_bind_interface_token1] = ACTIONS(1749),
    [aux_sym_canonical_domains_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1749),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1749),
    [aux_sym_certificate_file_token1] = ACTIONS(1749),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1749),
    [aux_sym_channel_timeout_token1] = ACTIONS(1749),
    [aux_sym_check_host_ip_token1] = ACTIONS(1749),
    [aux_sym_ciphers_token1] = ACTIONS(1749),
    [aux_sym_cipher_token1] = ACTIONS(1751),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1749),
    [aux_sym_compression_token1] = ACTIONS(1749),
    [aux_sym_connection_attempts_token1] = ACTIONS(1749),
    [aux_sym_connect_timeout_token1] = ACTIONS(1749),
    [aux_sym_control_master_token1] = ACTIONS(1749),
    [aux_sym_control_path_token1] = ACTIONS(1749),
    [aux_sym_control_persist_token1] = ACTIONS(1749),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1749),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1749),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1749),
    [aux_sym_escape_char_token1] = ACTIONS(1749),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1749),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1749),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1749),
    [aux_sym_forward_agent_token1] = ACTIONS(1749),
    [aux_sym_forward_x11_token1] = ACTIONS(1751),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1749),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1749),
    [aux_sym_gateway_ports_token1] = ACTIONS(1749),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1749),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1749),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1749),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1749),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1749),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1749),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1749),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1749),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1749),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1749),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1749),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1749),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1749),
    [aux_sym_host_key_alias_token1] = ACTIONS(1749),
    [aux_sym_hostname_token1] = ACTIONS(1749),
    [aux_sym_identities_only_token1] = ACTIONS(1749),
    [aux_sym_identity_agent_token1] = ACTIONS(1749),
    [aux_sym_identity_file_token1] = ACTIONS(1749),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1749),
    [aux_sym_include_token1] = ACTIONS(1749),
    [aux_sym_ip_qos_token1] = ACTIONS(1749),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1749),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1749),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1749),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1749),
    [aux_sym_local_command_token1] = ACTIONS(1749),
    [aux_sym_local_forward_token1] = ACTIONS(1749),
    [aux_sym_log_level_token1] = ACTIONS(1749),
    [aux_sym_log_verbose_token1] = ACTIONS(1749),
    [aux_sym_macs_token1] = ACTIONS(1749),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1749),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1749),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1749),
    [aux_sym_password_authentication_token1] = ACTIONS(1749),
    [aux_sym_permit_local_command_token1] = ACTIONS(1749),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1749),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1749),
    [aux_sym_port_token1] = ACTIONS(1749),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1749),
    [aux_sym_protocol_token1] = ACTIONS(1749),
    [aux_sym_proxy_command_token1] = ACTIONS(1749),
    [aux_sym_proxy_jump_token1] = ACTIONS(1749),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1749),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1749),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1749),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1749),
    [aux_sym_rekey_limit_token1] = ACTIONS(1749),
    [aux_sym_remote_command_token1] = ACTIONS(1749),
    [aux_sym_remote_forward_token1] = ACTIONS(1749),
    [aux_sym_request_tty_token1] = ACTIONS(1749),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1749),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1749),
    [aux_sym_security_key_provider_token1] = ACTIONS(1749),
    [aux_sym_send_env_token1] = ACTIONS(1749),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1749),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1749),
    [aux_sym_session_type_token1] = ACTIONS(1749),
    [aux_sym_set_env_token1] = ACTIONS(1749),
    [aux_sym_stdin_null_token1] = ACTIONS(1749),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1749),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1749),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1749),
    [aux_sym_syslog_facility_token1] = ACTIONS(1749),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1749),
    [aux_sym_keep_alive_token1] = ACTIONS(1749),
    [aux_sym_tag_token1] = ACTIONS(1749),
    [aux_sym_tunnel_token1] = ACTIONS(1751),
    [aux_sym_tunnel_device_token1] = ACTIONS(1749),
    [aux_sym_update_host_keys_token1] = ACTIONS(1749),
    [aux_sym_use_keychain_token1] = ACTIONS(1749),
    [aux_sym_use_roaming_token1] = ACTIONS(1749),
    [aux_sym_user_token1] = ACTIONS(1751),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1749),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1749),
    [aux_sym_visual_host_key_token1] = ACTIONS(1749),
    [aux_sym_xauth_location_token1] = ACTIONS(1749),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [aux_sym_match_token1] = ACTIONS(1755),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1755),
    [aux_sym_address_family_token1] = ACTIONS(1755),
    [aux_sym_batch_mode_token1] = ACTIONS(1755),
    [aux_sym_bind_address_token1] = ACTIONS(1755),
    [aux_sym_bind_interface_token1] = ACTIONS(1755),
    [aux_sym_canonical_domains_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1755),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1755),
    [aux_sym_certificate_file_token1] = ACTIONS(1755),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1755),
    [aux_sym_channel_timeout_token1] = ACTIONS(1755),
    [aux_sym_check_host_ip_token1] = ACTIONS(1755),
    [aux_sym_ciphers_token1] = ACTIONS(1755),
    [aux_sym_cipher_token1] = ACTIONS(1757),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1755),
    [aux_sym_compression_token1] = ACTIONS(1755),
    [aux_sym_connection_attempts_token1] = ACTIONS(1755),
    [aux_sym_connect_timeout_token1] = ACTIONS(1755),
    [aux_sym_control_master_token1] = ACTIONS(1755),
    [aux_sym_control_path_token1] = ACTIONS(1755),
    [aux_sym_control_persist_token1] = ACTIONS(1755),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1755),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1755),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1755),
    [aux_sym_escape_char_token1] = ACTIONS(1755),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1755),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1755),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1755),
    [aux_sym_forward_agent_token1] = ACTIONS(1755),
    [aux_sym_forward_x11_token1] = ACTIONS(1757),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1755),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1755),
    [aux_sym_gateway_ports_token1] = ACTIONS(1755),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1755),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1755),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1755),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1755),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1755),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1755),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1755),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1755),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1755),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1755),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1755),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1755),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1755),
    [aux_sym_host_key_alias_token1] = ACTIONS(1755),
    [aux_sym_hostname_token1] = ACTIONS(1755),
    [aux_sym_identities_only_token1] = ACTIONS(1755),
    [aux_sym_identity_agent_token1] = ACTIONS(1755),
    [aux_sym_identity_file_token1] = ACTIONS(1755),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1755),
    [aux_sym_include_token1] = ACTIONS(1755),
    [aux_sym_ip_qos_token1] = ACTIONS(1755),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1755),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1755),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1755),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1755),
    [aux_sym_local_command_token1] = ACTIONS(1755),
    [aux_sym_local_forward_token1] = ACTIONS(1755),
    [aux_sym_log_level_token1] = ACTIONS(1755),
    [aux_sym_log_verbose_token1] = ACTIONS(1755),
    [aux_sym_macs_token1] = ACTIONS(1755),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1755),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1755),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1755),
    [aux_sym_password_authentication_token1] = ACTIONS(1755),
    [aux_sym_permit_local_command_token1] = ACTIONS(1755),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1755),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1755),
    [aux_sym_port_token1] = ACTIONS(1755),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1755),
    [aux_sym_protocol_token1] = ACTIONS(1755),
    [aux_sym_proxy_command_token1] = ACTIONS(1755),
    [aux_sym_proxy_jump_token1] = ACTIONS(1755),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1755),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1755),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1755),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1755),
    [aux_sym_rekey_limit_token1] = ACTIONS(1755),
    [aux_sym_remote_command_token1] = ACTIONS(1755),
    [aux_sym_remote_forward_token1] = ACTIONS(1755),
    [aux_sym_request_tty_token1] = ACTIONS(1755),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1755),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1755),
    [aux_sym_security_key_provider_token1] = ACTIONS(1755),
    [aux_sym_send_env_token1] = ACTIONS(1755),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1755),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1755),
    [aux_sym_session_type_token1] = ACTIONS(1755),
    [aux_sym_set_env_token1] = ACTIONS(1755),
    [aux_sym_stdin_null_token1] = ACTIONS(1755),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1755),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1755),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1755),
    [aux_sym_syslog_facility_token1] = ACTIONS(1755),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1755),
    [aux_sym_keep_alive_token1] = ACTIONS(1755),
    [aux_sym_tag_token1] = ACTIONS(1755),
    [aux_sym_tunnel_token1] = ACTIONS(1757),
    [aux_sym_tunnel_device_token1] = ACTIONS(1755),
    [aux_sym_update_host_keys_token1] = ACTIONS(1755),
    [aux_sym_use_keychain_token1] = ACTIONS(1755),
    [aux_sym_use_roaming_token1] = ACTIONS(1755),
    [aux_sym_user_token1] = ACTIONS(1757),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1755),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1755),
    [aux_sym_visual_host_key_token1] = ACTIONS(1755),
    [aux_sym_xauth_location_token1] = ACTIONS(1755),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [aux_sym_match_token1] = ACTIONS(1761),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1761),
    [aux_sym_address_family_token1] = ACTIONS(1761),
    [aux_sym_batch_mode_token1] = ACTIONS(1761),
    [aux_sym_bind_address_token1] = ACTIONS(1761),
    [aux_sym_bind_interface_token1] = ACTIONS(1761),
    [aux_sym_canonical_domains_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1761),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1761),
    [aux_sym_certificate_file_token1] = ACTIONS(1761),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1761),
    [aux_sym_channel_timeout_token1] = ACTIONS(1761),
    [aux_sym_check_host_ip_token1] = ACTIONS(1761),
    [aux_sym_ciphers_token1] = ACTIONS(1761),
    [aux_sym_cipher_token1] = ACTIONS(1763),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1761),
    [aux_sym_compression_token1] = ACTIONS(1761),
    [aux_sym_connection_attempts_token1] = ACTIONS(1761),
    [aux_sym_connect_timeout_token1] = ACTIONS(1761),
    [aux_sym_control_master_token1] = ACTIONS(1761),
    [aux_sym_control_path_token1] = ACTIONS(1761),
    [aux_sym_control_persist_token1] = ACTIONS(1761),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1761),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1761),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1761),
    [aux_sym_escape_char_token1] = ACTIONS(1761),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1761),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1761),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1761),
    [aux_sym_forward_agent_token1] = ACTIONS(1761),
    [aux_sym_forward_x11_token1] = ACTIONS(1763),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1761),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1761),
    [aux_sym_gateway_ports_token1] = ACTIONS(1761),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1761),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1761),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1761),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1761),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1761),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1761),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1761),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1761),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1761),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1761),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1761),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1761),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1761),
    [aux_sym_host_key_alias_token1] = ACTIONS(1761),
    [aux_sym_hostname_token1] = ACTIONS(1761),
    [aux_sym_identities_only_token1] = ACTIONS(1761),
    [aux_sym_identity_agent_token1] = ACTIONS(1761),
    [aux_sym_identity_file_token1] = ACTIONS(1761),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1761),
    [aux_sym_include_token1] = ACTIONS(1761),
    [aux_sym_ip_qos_token1] = ACTIONS(1761),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1761),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1761),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1761),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1761),
    [aux_sym_local_command_token1] = ACTIONS(1761),
    [aux_sym_local_forward_token1] = ACTIONS(1761),
    [aux_sym_log_level_token1] = ACTIONS(1761),
    [aux_sym_log_verbose_token1] = ACTIONS(1761),
    [aux_sym_macs_token1] = ACTIONS(1761),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1761),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1761),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1761),
    [aux_sym_password_authentication_token1] = ACTIONS(1761),
    [aux_sym_permit_local_command_token1] = ACTIONS(1761),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1761),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1761),
    [aux_sym_port_token1] = ACTIONS(1761),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1761),
    [aux_sym_protocol_token1] = ACTIONS(1761),
    [aux_sym_proxy_command_token1] = ACTIONS(1761),
    [aux_sym_proxy_jump_token1] = ACTIONS(1761),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1761),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1761),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1761),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1761),
    [aux_sym_rekey_limit_token1] = ACTIONS(1761),
    [aux_sym_remote_command_token1] = ACTIONS(1761),
    [aux_sym_remote_forward_token1] = ACTIONS(1761),
    [aux_sym_request_tty_token1] = ACTIONS(1761),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1761),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1761),
    [aux_sym_security_key_provider_token1] = ACTIONS(1761),
    [aux_sym_send_env_token1] = ACTIONS(1761),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1761),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1761),
    [aux_sym_session_type_token1] = ACTIONS(1761),
    [aux_sym_set_env_token1] = ACTIONS(1761),
    [aux_sym_stdin_null_token1] = ACTIONS(1761),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1761),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1761),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1761),
    [aux_sym_syslog_facility_token1] = ACTIONS(1761),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1761),
    [aux_sym_keep_alive_token1] = ACTIONS(1761),
    [aux_sym_tag_token1] = ACTIONS(1761),
    [aux_sym_tunnel_token1] = ACTIONS(1763),
    [aux_sym_tunnel_device_token1] = ACTIONS(1761),
    [aux_sym_update_host_keys_token1] = ACTIONS(1761),
    [aux_sym_use_keychain_token1] = ACTIONS(1761),
    [aux_sym_use_roaming_token1] = ACTIONS(1761),
    [aux_sym_user_token1] = ACTIONS(1763),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1761),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1761),
    [aux_sym_visual_host_key_token1] = ACTIONS(1761),
    [aux_sym_xauth_location_token1] = ACTIONS(1761),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1769),
    [anon_sym_DQUOTE] = ACTIONS(1771),
    [aux_sym_match_token1] = ACTIONS(1767),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1767),
    [aux_sym_address_family_token1] = ACTIONS(1767),
    [aux_sym_batch_mode_token1] = ACTIONS(1767),
    [aux_sym_bind_address_token1] = ACTIONS(1767),
    [aux_sym_bind_interface_token1] = ACTIONS(1767),
    [aux_sym_canonical_domains_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1767),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1767),
    [aux_sym_certificate_file_token1] = ACTIONS(1767),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1767),
    [aux_sym_channel_timeout_token1] = ACTIONS(1767),
    [aux_sym_check_host_ip_token1] = ACTIONS(1767),
    [aux_sym_ciphers_token1] = ACTIONS(1767),
    [aux_sym_cipher_token1] = ACTIONS(1769),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1767),
    [aux_sym_compression_token1] = ACTIONS(1767),
    [aux_sym_connection_attempts_token1] = ACTIONS(1767),
    [aux_sym_connect_timeout_token1] = ACTIONS(1767),
    [aux_sym_control_master_token1] = ACTIONS(1767),
    [aux_sym_control_path_token1] = ACTIONS(1767),
    [aux_sym_control_persist_token1] = ACTIONS(1767),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1767),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1767),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1767),
    [aux_sym_escape_char_token1] = ACTIONS(1767),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1767),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1767),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1767),
    [aux_sym_forward_agent_token1] = ACTIONS(1767),
    [aux_sym_forward_x11_token1] = ACTIONS(1769),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1767),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1767),
    [aux_sym_gateway_ports_token1] = ACTIONS(1767),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1767),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1767),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1767),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1767),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1767),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1767),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1767),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1767),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1767),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1767),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1767),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1767),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1767),
    [aux_sym_host_key_alias_token1] = ACTIONS(1767),
    [aux_sym_hostname_token1] = ACTIONS(1767),
    [aux_sym_identities_only_token1] = ACTIONS(1767),
    [aux_sym_identity_agent_token1] = ACTIONS(1767),
    [aux_sym_identity_file_token1] = ACTIONS(1767),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1767),
    [aux_sym_include_token1] = ACTIONS(1767),
    [aux_sym_ip_qos_token1] = ACTIONS(1767),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1767),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1767),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1767),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1767),
    [aux_sym_local_command_token1] = ACTIONS(1767),
    [aux_sym_local_forward_token1] = ACTIONS(1767),
    [aux_sym_log_level_token1] = ACTIONS(1767),
    [aux_sym_log_verbose_token1] = ACTIONS(1767),
    [aux_sym_macs_token1] = ACTIONS(1767),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1767),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1767),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1767),
    [aux_sym_password_authentication_token1] = ACTIONS(1767),
    [aux_sym_permit_local_command_token1] = ACTIONS(1767),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1767),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1767),
    [aux_sym_port_token1] = ACTIONS(1767),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1767),
    [aux_sym_protocol_token1] = ACTIONS(1767),
    [aux_sym_proxy_command_token1] = ACTIONS(1767),
    [aux_sym_proxy_jump_token1] = ACTIONS(1767),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1767),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1767),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1767),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1767),
    [aux_sym_rekey_limit_token1] = ACTIONS(1767),
    [aux_sym_remote_command_token1] = ACTIONS(1767),
    [aux_sym_remote_forward_token1] = ACTIONS(1767),
    [aux_sym_request_tty_token1] = ACTIONS(1767),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1767),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1767),
    [aux_sym_security_key_provider_token1] = ACTIONS(1767),
    [aux_sym_send_env_token1] = ACTIONS(1767),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1767),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1767),
    [aux_sym_session_type_token1] = ACTIONS(1767),
    [aux_sym_set_env_token1] = ACTIONS(1767),
    [aux_sym_stdin_null_token1] = ACTIONS(1767),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1767),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1767),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1767),
    [aux_sym_syslog_facility_token1] = ACTIONS(1767),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1767),
    [aux_sym_keep_alive_token1] = ACTIONS(1767),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [aux_sym_tunnel_token1] = ACTIONS(1769),
    [aux_sym_tunnel_device_token1] = ACTIONS(1767),
    [aux_sym_update_host_keys_token1] = ACTIONS(1767),
    [aux_sym_use_keychain_token1] = ACTIONS(1767),
    [aux_sym_use_roaming_token1] = ACTIONS(1767),
    [aux_sym_user_token1] = ACTIONS(1769),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1767),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1767),
    [aux_sym_visual_host_key_token1] = ACTIONS(1767),
    [aux_sym_xauth_location_token1] = ACTIONS(1767),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1775),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [aux_sym_match_token1] = ACTIONS(1773),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1773),
    [aux_sym_address_family_token1] = ACTIONS(1773),
    [aux_sym_batch_mode_token1] = ACTIONS(1773),
    [aux_sym_bind_address_token1] = ACTIONS(1773),
    [aux_sym_bind_interface_token1] = ACTIONS(1773),
    [aux_sym_canonical_domains_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1773),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1773),
    [aux_sym_certificate_file_token1] = ACTIONS(1773),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1773),
    [aux_sym_channel_timeout_token1] = ACTIONS(1773),
    [aux_sym_check_host_ip_token1] = ACTIONS(1773),
    [aux_sym_ciphers_token1] = ACTIONS(1773),
    [aux_sym_cipher_token1] = ACTIONS(1775),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1773),
    [aux_sym_compression_token1] = ACTIONS(1773),
    [aux_sym_connection_attempts_token1] = ACTIONS(1773),
    [aux_sym_connect_timeout_token1] = ACTIONS(1773),
    [aux_sym_control_master_token1] = ACTIONS(1773),
    [aux_sym_control_path_token1] = ACTIONS(1773),
    [aux_sym_control_persist_token1] = ACTIONS(1773),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1773),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1773),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1773),
    [aux_sym_escape_char_token1] = ACTIONS(1773),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1773),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1773),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1773),
    [aux_sym_forward_agent_token1] = ACTIONS(1773),
    [aux_sym_forward_x11_token1] = ACTIONS(1775),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1773),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1773),
    [aux_sym_gateway_ports_token1] = ACTIONS(1773),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1773),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1773),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1773),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1773),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1773),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1773),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1773),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1773),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1773),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1773),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1773),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1773),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1773),
    [aux_sym_host_key_alias_token1] = ACTIONS(1773),
    [aux_sym_hostname_token1] = ACTIONS(1773),
    [aux_sym_identities_only_token1] = ACTIONS(1773),
    [aux_sym_identity_agent_token1] = ACTIONS(1773),
    [aux_sym_identity_file_token1] = ACTIONS(1773),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1773),
    [aux_sym_include_token1] = ACTIONS(1773),
    [aux_sym_ip_qos_token1] = ACTIONS(1773),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1773),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1773),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1773),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1773),
    [aux_sym_local_command_token1] = ACTIONS(1773),
    [aux_sym_local_forward_token1] = ACTIONS(1773),
    [aux_sym_log_level_token1] = ACTIONS(1773),
    [aux_sym_log_verbose_token1] = ACTIONS(1773),
    [aux_sym_macs_token1] = ACTIONS(1773),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1773),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1773),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1773),
    [aux_sym_password_authentication_token1] = ACTIONS(1773),
    [aux_sym_permit_local_command_token1] = ACTIONS(1773),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1773),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1773),
    [aux_sym_port_token1] = ACTIONS(1773),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1773),
    [aux_sym_protocol_token1] = ACTIONS(1773),
    [aux_sym_proxy_command_token1] = ACTIONS(1773),
    [aux_sym_proxy_jump_token1] = ACTIONS(1773),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1773),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1773),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1773),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1773),
    [aux_sym_rekey_limit_token1] = ACTIONS(1773),
    [aux_sym_remote_command_token1] = ACTIONS(1773),
    [aux_sym_remote_forward_token1] = ACTIONS(1773),
    [aux_sym_request_tty_token1] = ACTIONS(1773),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1773),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1773),
    [aux_sym_security_key_provider_token1] = ACTIONS(1773),
    [aux_sym_send_env_token1] = ACTIONS(1773),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1773),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1773),
    [aux_sym_session_type_token1] = ACTIONS(1773),
    [aux_sym_set_env_token1] = ACTIONS(1773),
    [aux_sym_stdin_null_token1] = ACTIONS(1773),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1773),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1773),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1773),
    [aux_sym_syslog_facility_token1] = ACTIONS(1773),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1773),
    [aux_sym_keep_alive_token1] = ACTIONS(1773),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [aux_sym_tunnel_token1] = ACTIONS(1775),
    [aux_sym_tunnel_device_token1] = ACTIONS(1773),
    [aux_sym_update_host_keys_token1] = ACTIONS(1773),
    [aux_sym_use_keychain_token1] = ACTIONS(1773),
    [aux_sym_use_roaming_token1] = ACTIONS(1773),
    [aux_sym_user_token1] = ACTIONS(1775),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1773),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1773),
    [aux_sym_visual_host_key_token1] = ACTIONS(1773),
    [aux_sym_xauth_location_token1] = ACTIONS(1773),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1781),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [aux_sym_match_token1] = ACTIONS(1779),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1779),
    [aux_sym_address_family_token1] = ACTIONS(1779),
    [aux_sym_batch_mode_token1] = ACTIONS(1779),
    [aux_sym_bind_address_token1] = ACTIONS(1779),
    [aux_sym_bind_interface_token1] = ACTIONS(1779),
    [aux_sym_canonical_domains_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1779),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1779),
    [aux_sym_certificate_file_token1] = ACTIONS(1779),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1779),
    [aux_sym_channel_timeout_token1] = ACTIONS(1779),
    [aux_sym_check_host_ip_token1] = ACTIONS(1779),
    [aux_sym_ciphers_token1] = ACTIONS(1779),
    [aux_sym_cipher_token1] = ACTIONS(1781),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1779),
    [aux_sym_compression_token1] = ACTIONS(1779),
    [aux_sym_connection_attempts_token1] = ACTIONS(1779),
    [aux_sym_connect_timeout_token1] = ACTIONS(1779),
    [aux_sym_control_master_token1] = ACTIONS(1779),
    [aux_sym_control_path_token1] = ACTIONS(1779),
    [aux_sym_control_persist_token1] = ACTIONS(1779),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1779),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1779),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1779),
    [aux_sym_escape_char_token1] = ACTIONS(1779),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1779),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1779),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1779),
    [aux_sym_forward_agent_token1] = ACTIONS(1779),
    [aux_sym_forward_x11_token1] = ACTIONS(1781),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1779),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1779),
    [aux_sym_gateway_ports_token1] = ACTIONS(1779),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1779),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1779),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1779),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1779),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1779),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1779),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1779),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1779),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1779),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1779),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1779),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1779),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1779),
    [aux_sym_host_key_alias_token1] = ACTIONS(1779),
    [aux_sym_hostname_token1] = ACTIONS(1779),
    [aux_sym_identities_only_token1] = ACTIONS(1779),
    [aux_sym_identity_agent_token1] = ACTIONS(1779),
    [aux_sym_identity_file_token1] = ACTIONS(1779),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1779),
    [aux_sym_include_token1] = ACTIONS(1779),
    [aux_sym_ip_qos_token1] = ACTIONS(1779),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1779),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1779),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1779),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1779),
    [aux_sym_local_command_token1] = ACTIONS(1779),
    [aux_sym_local_forward_token1] = ACTIONS(1779),
    [aux_sym_log_level_token1] = ACTIONS(1779),
    [aux_sym_log_verbose_token1] = ACTIONS(1779),
    [aux_sym_macs_token1] = ACTIONS(1779),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1779),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1779),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1779),
    [aux_sym_password_authentication_token1] = ACTIONS(1779),
    [aux_sym_permit_local_command_token1] = ACTIONS(1779),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1779),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1779),
    [aux_sym_port_token1] = ACTIONS(1779),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1779),
    [aux_sym_protocol_token1] = ACTIONS(1779),
    [aux_sym_proxy_command_token1] = ACTIONS(1779),
    [aux_sym_proxy_jump_token1] = ACTIONS(1779),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1779),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1779),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1779),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1779),
    [aux_sym_rekey_limit_token1] = ACTIONS(1779),
    [aux_sym_remote_command_token1] = ACTIONS(1779),
    [aux_sym_remote_forward_token1] = ACTIONS(1779),
    [aux_sym_request_tty_token1] = ACTIONS(1779),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1779),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1779),
    [aux_sym_security_key_provider_token1] = ACTIONS(1779),
    [aux_sym_send_env_token1] = ACTIONS(1779),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1779),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1779),
    [aux_sym_session_type_token1] = ACTIONS(1779),
    [aux_sym_set_env_token1] = ACTIONS(1779),
    [aux_sym_stdin_null_token1] = ACTIONS(1779),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1779),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1779),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1779),
    [aux_sym_syslog_facility_token1] = ACTIONS(1779),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1779),
    [aux_sym_keep_alive_token1] = ACTIONS(1779),
    [aux_sym_tag_token1] = ACTIONS(1779),
    [aux_sym_tunnel_token1] = ACTIONS(1781),
    [aux_sym_tunnel_device_token1] = ACTIONS(1779),
    [aux_sym_update_host_keys_token1] = ACTIONS(1779),
    [aux_sym_use_keychain_token1] = ACTIONS(1779),
    [aux_sym_use_roaming_token1] = ACTIONS(1779),
    [aux_sym_user_token1] = ACTIONS(1781),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1779),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1779),
    [aux_sym_visual_host_key_token1] = ACTIONS(1779),
    [aux_sym_xauth_location_token1] = ACTIONS(1779),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1789),
    [aux_sym_match_token1] = ACTIONS(1785),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1785),
    [aux_sym_address_family_token1] = ACTIONS(1785),
    [aux_sym_batch_mode_token1] = ACTIONS(1785),
    [aux_sym_bind_address_token1] = ACTIONS(1785),
    [aux_sym_bind_interface_token1] = ACTIONS(1785),
    [aux_sym_canonical_domains_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1785),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1785),
    [aux_sym_certificate_file_token1] = ACTIONS(1785),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1785),
    [aux_sym_channel_timeout_token1] = ACTIONS(1785),
    [aux_sym_check_host_ip_token1] = ACTIONS(1785),
    [aux_sym_ciphers_token1] = ACTIONS(1785),
    [aux_sym_cipher_token1] = ACTIONS(1787),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1785),
    [aux_sym_compression_token1] = ACTIONS(1785),
    [aux_sym_connection_attempts_token1] = ACTIONS(1785),
    [aux_sym_connect_timeout_token1] = ACTIONS(1785),
    [aux_sym_control_master_token1] = ACTIONS(1785),
    [aux_sym_control_path_token1] = ACTIONS(1785),
    [aux_sym_control_persist_token1] = ACTIONS(1785),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1785),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1785),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1785),
    [aux_sym_escape_char_token1] = ACTIONS(1785),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1785),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1785),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1785),
    [aux_sym_forward_agent_token1] = ACTIONS(1785),
    [aux_sym_forward_x11_token1] = ACTIONS(1787),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1785),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1785),
    [aux_sym_gateway_ports_token1] = ACTIONS(1785),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1785),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1785),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1785),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1785),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1785),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1785),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1785),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1785),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1785),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1785),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1785),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1785),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1785),
    [aux_sym_host_key_alias_token1] = ACTIONS(1785),
    [aux_sym_hostname_token1] = ACTIONS(1785),
    [aux_sym_identities_only_token1] = ACTIONS(1785),
    [aux_sym_identity_agent_token1] = ACTIONS(1785),
    [aux_sym_identity_file_token1] = ACTIONS(1785),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1785),
    [aux_sym_include_token1] = ACTIONS(1785),
    [aux_sym_ip_qos_token1] = ACTIONS(1785),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1785),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1785),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1785),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1785),
    [aux_sym_local_command_token1] = ACTIONS(1785),
    [aux_sym_local_forward_token1] = ACTIONS(1785),
    [aux_sym_log_level_token1] = ACTIONS(1785),
    [aux_sym_log_verbose_token1] = ACTIONS(1785),
    [aux_sym_macs_token1] = ACTIONS(1785),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1785),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1785),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1785),
    [aux_sym_password_authentication_token1] = ACTIONS(1785),
    [aux_sym_permit_local_command_token1] = ACTIONS(1785),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1785),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1785),
    [aux_sym_port_token1] = ACTIONS(1785),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1785),
    [aux_sym_protocol_token1] = ACTIONS(1785),
    [aux_sym_proxy_command_token1] = ACTIONS(1785),
    [aux_sym_proxy_jump_token1] = ACTIONS(1785),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1785),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1785),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1785),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1785),
    [aux_sym_rekey_limit_token1] = ACTIONS(1785),
    [aux_sym_remote_command_token1] = ACTIONS(1785),
    [aux_sym_remote_forward_token1] = ACTIONS(1785),
    [aux_sym_request_tty_token1] = ACTIONS(1785),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1785),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1785),
    [aux_sym_security_key_provider_token1] = ACTIONS(1785),
    [aux_sym_send_env_token1] = ACTIONS(1785),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1785),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1785),
    [aux_sym_session_type_token1] = ACTIONS(1785),
    [aux_sym_set_env_token1] = ACTIONS(1785),
    [aux_sym_stdin_null_token1] = ACTIONS(1785),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1785),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1785),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1785),
    [aux_sym_syslog_facility_token1] = ACTIONS(1785),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1785),
    [aux_sym_keep_alive_token1] = ACTIONS(1785),
    [aux_sym_tag_token1] = ACTIONS(1785),
    [aux_sym_tunnel_token1] = ACTIONS(1787),
    [aux_sym_tunnel_device_token1] = ACTIONS(1785),
    [aux_sym_update_host_keys_token1] = ACTIONS(1785),
    [aux_sym_use_keychain_token1] = ACTIONS(1785),
    [aux_sym_use_roaming_token1] = ACTIONS(1785),
    [aux_sym_user_token1] = ACTIONS(1787),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1785),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1785),
    [aux_sym_visual_host_key_token1] = ACTIONS(1785),
    [aux_sym_xauth_location_token1] = ACTIONS(1785),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1793),
    [anon_sym_DQUOTE] = ACTIONS(1795),
    [aux_sym_match_token1] = ACTIONS(1791),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1791),
    [aux_sym_address_family_token1] = ACTIONS(1791),
    [aux_sym_batch_mode_token1] = ACTIONS(1791),
    [aux_sym_bind_address_token1] = ACTIONS(1791),
    [aux_sym_bind_interface_token1] = ACTIONS(1791),
    [aux_sym_canonical_domains_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1791),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1791),
    [aux_sym_certificate_file_token1] = ACTIONS(1791),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1791),
    [aux_sym_channel_timeout_token1] = ACTIONS(1791),
    [aux_sym_check_host_ip_token1] = ACTIONS(1791),
    [aux_sym_ciphers_token1] = ACTIONS(1791),
    [aux_sym_cipher_token1] = ACTIONS(1793),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1791),
    [aux_sym_compression_token1] = ACTIONS(1791),
    [aux_sym_connection_attempts_token1] = ACTIONS(1791),
    [aux_sym_connect_timeout_token1] = ACTIONS(1791),
    [aux_sym_control_master_token1] = ACTIONS(1791),
    [aux_sym_control_path_token1] = ACTIONS(1791),
    [aux_sym_control_persist_token1] = ACTIONS(1791),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1791),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1791),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1791),
    [aux_sym_escape_char_token1] = ACTIONS(1791),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1791),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1791),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1791),
    [aux_sym_forward_agent_token1] = ACTIONS(1791),
    [aux_sym_forward_x11_token1] = ACTIONS(1793),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1791),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1791),
    [aux_sym_gateway_ports_token1] = ACTIONS(1791),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1791),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1791),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1791),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1791),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1791),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1791),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1791),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1791),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1791),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1791),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1791),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1791),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1791),
    [aux_sym_host_key_alias_token1] = ACTIONS(1791),
    [aux_sym_hostname_token1] = ACTIONS(1791),
    [aux_sym_identities_only_token1] = ACTIONS(1791),
    [aux_sym_identity_agent_token1] = ACTIONS(1791),
    [aux_sym_identity_file_token1] = ACTIONS(1791),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1791),
    [aux_sym_include_token1] = ACTIONS(1791),
    [aux_sym_ip_qos_token1] = ACTIONS(1791),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1791),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1791),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1791),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1791),
    [aux_sym_local_command_token1] = ACTIONS(1791),
    [aux_sym_local_forward_token1] = ACTIONS(1791),
    [aux_sym_log_level_token1] = ACTIONS(1791),
    [aux_sym_log_verbose_token1] = ACTIONS(1791),
    [aux_sym_macs_token1] = ACTIONS(1791),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1791),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1791),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1791),
    [aux_sym_password_authentication_token1] = ACTIONS(1791),
    [aux_sym_permit_local_command_token1] = ACTIONS(1791),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1791),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1791),
    [aux_sym_port_token1] = ACTIONS(1791),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1791),
    [aux_sym_protocol_token1] = ACTIONS(1791),
    [aux_sym_proxy_command_token1] = ACTIONS(1791),
    [aux_sym_proxy_jump_token1] = ACTIONS(1791),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1791),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1791),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1791),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1791),
    [aux_sym_rekey_limit_token1] = ACTIONS(1791),
    [aux_sym_remote_command_token1] = ACTIONS(1791),
    [aux_sym_remote_forward_token1] = ACTIONS(1791),
    [aux_sym_request_tty_token1] = ACTIONS(1791),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1791),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1791),
    [aux_sym_security_key_provider_token1] = ACTIONS(1791),
    [aux_sym_send_env_token1] = ACTIONS(1791),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1791),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1791),
    [aux_sym_session_type_token1] = ACTIONS(1791),
    [aux_sym_set_env_token1] = ACTIONS(1791),
    [aux_sym_stdin_null_token1] = ACTIONS(1791),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1791),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1791),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1791),
    [aux_sym_syslog_facility_token1] = ACTIONS(1791),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1791),
    [aux_sym_keep_alive_token1] = ACTIONS(1791),
    [aux_sym_tag_token1] = ACTIONS(1791),
    [aux_sym_tunnel_token1] = ACTIONS(1793),
    [aux_sym_tunnel_device_token1] = ACTIONS(1791),
    [aux_sym_update_host_keys_token1] = ACTIONS(1791),
    [aux_sym_use_keychain_token1] = ACTIONS(1791),
    [aux_sym_use_roaming_token1] = ACTIONS(1791),
    [aux_sym_user_token1] = ACTIONS(1793),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1791),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1791),
    [aux_sym_visual_host_key_token1] = ACTIONS(1791),
    [aux_sym_xauth_location_token1] = ACTIONS(1791),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(1797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1799),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [aux_sym_match_token1] = ACTIONS(1797),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1797),
    [aux_sym_address_family_token1] = ACTIONS(1797),
    [aux_sym_batch_mode_token1] = ACTIONS(1797),
    [aux_sym_bind_address_token1] = ACTIONS(1797),
    [aux_sym_bind_interface_token1] = ACTIONS(1797),
    [aux_sym_canonical_domains_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1797),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1797),
    [aux_sym_certificate_file_token1] = ACTIONS(1797),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1797),
    [aux_sym_channel_timeout_token1] = ACTIONS(1797),
    [aux_sym_check_host_ip_token1] = ACTIONS(1797),
    [aux_sym_ciphers_token1] = ACTIONS(1797),
    [aux_sym_cipher_token1] = ACTIONS(1799),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1797),
    [aux_sym_compression_token1] = ACTIONS(1797),
    [aux_sym_connection_attempts_token1] = ACTIONS(1797),
    [aux_sym_connect_timeout_token1] = ACTIONS(1797),
    [aux_sym_control_master_token1] = ACTIONS(1797),
    [aux_sym_control_path_token1] = ACTIONS(1797),
    [aux_sym_control_persist_token1] = ACTIONS(1797),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1797),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1797),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1797),
    [aux_sym_escape_char_token1] = ACTIONS(1797),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1797),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1797),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1797),
    [aux_sym_forward_agent_token1] = ACTIONS(1797),
    [aux_sym_forward_x11_token1] = ACTIONS(1799),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1797),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1797),
    [aux_sym_gateway_ports_token1] = ACTIONS(1797),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1797),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1797),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1797),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1797),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1797),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1797),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1797),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1797),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1797),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1797),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1797),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1797),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1797),
    [aux_sym_host_key_alias_token1] = ACTIONS(1797),
    [aux_sym_hostname_token1] = ACTIONS(1797),
    [aux_sym_identities_only_token1] = ACTIONS(1797),
    [aux_sym_identity_agent_token1] = ACTIONS(1797),
    [aux_sym_identity_file_token1] = ACTIONS(1797),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1797),
    [aux_sym_include_token1] = ACTIONS(1797),
    [aux_sym_ip_qos_token1] = ACTIONS(1797),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1797),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1797),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1797),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1797),
    [aux_sym_local_command_token1] = ACTIONS(1797),
    [aux_sym_local_forward_token1] = ACTIONS(1797),
    [aux_sym_log_level_token1] = ACTIONS(1797),
    [aux_sym_log_verbose_token1] = ACTIONS(1797),
    [aux_sym_macs_token1] = ACTIONS(1797),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1797),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1797),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1797),
    [aux_sym_password_authentication_token1] = ACTIONS(1797),
    [aux_sym_permit_local_command_token1] = ACTIONS(1797),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1797),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1797),
    [aux_sym_port_token1] = ACTIONS(1797),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1797),
    [aux_sym_protocol_token1] = ACTIONS(1797),
    [aux_sym_proxy_command_token1] = ACTIONS(1797),
    [aux_sym_proxy_jump_token1] = ACTIONS(1797),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1797),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1797),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1797),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1797),
    [aux_sym_rekey_limit_token1] = ACTIONS(1797),
    [aux_sym_remote_command_token1] = ACTIONS(1797),
    [aux_sym_remote_forward_token1] = ACTIONS(1797),
    [aux_sym_request_tty_token1] = ACTIONS(1797),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1797),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1797),
    [aux_sym_security_key_provider_token1] = ACTIONS(1797),
    [aux_sym_send_env_token1] = ACTIONS(1797),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1797),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1797),
    [aux_sym_session_type_token1] = ACTIONS(1797),
    [aux_sym_set_env_token1] = ACTIONS(1797),
    [aux_sym_stdin_null_token1] = ACTIONS(1797),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1797),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1797),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1797),
    [aux_sym_syslog_facility_token1] = ACTIONS(1797),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1797),
    [aux_sym_keep_alive_token1] = ACTIONS(1797),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [aux_sym_tunnel_token1] = ACTIONS(1799),
    [aux_sym_tunnel_device_token1] = ACTIONS(1797),
    [aux_sym_update_host_keys_token1] = ACTIONS(1797),
    [aux_sym_use_keychain_token1] = ACTIONS(1797),
    [aux_sym_use_roaming_token1] = ACTIONS(1797),
    [aux_sym_user_token1] = ACTIONS(1799),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1797),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1797),
    [aux_sym_visual_host_key_token1] = ACTIONS(1797),
    [aux_sym_xauth_location_token1] = ACTIONS(1797),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1805),
    [anon_sym_DQUOTE] = ACTIONS(1807),
    [aux_sym_match_token1] = ACTIONS(1803),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1803),
    [aux_sym_address_family_token1] = ACTIONS(1803),
    [aux_sym_batch_mode_token1] = ACTIONS(1803),
    [aux_sym_bind_address_token1] = ACTIONS(1803),
    [aux_sym_bind_interface_token1] = ACTIONS(1803),
    [aux_sym_canonical_domains_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1803),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1803),
    [aux_sym_certificate_file_token1] = ACTIONS(1803),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1803),
    [aux_sym_channel_timeout_token1] = ACTIONS(1803),
    [aux_sym_check_host_ip_token1] = ACTIONS(1803),
    [aux_sym_ciphers_token1] = ACTIONS(1803),
    [aux_sym_cipher_token1] = ACTIONS(1805),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1803),
    [aux_sym_compression_token1] = ACTIONS(1803),
    [aux_sym_connection_attempts_token1] = ACTIONS(1803),
    [aux_sym_connect_timeout_token1] = ACTIONS(1803),
    [aux_sym_control_master_token1] = ACTIONS(1803),
    [aux_sym_control_path_token1] = ACTIONS(1803),
    [aux_sym_control_persist_token1] = ACTIONS(1803),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1803),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1803),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1803),
    [aux_sym_escape_char_token1] = ACTIONS(1803),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1803),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1803),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1803),
    [aux_sym_forward_agent_token1] = ACTIONS(1803),
    [aux_sym_forward_x11_token1] = ACTIONS(1805),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1803),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1803),
    [aux_sym_gateway_ports_token1] = ACTIONS(1803),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1803),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1803),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1803),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1803),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1803),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1803),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1803),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1803),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1803),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1803),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1803),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1803),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1803),
    [aux_sym_host_key_alias_token1] = ACTIONS(1803),
    [aux_sym_hostname_token1] = ACTIONS(1803),
    [aux_sym_identities_only_token1] = ACTIONS(1803),
    [aux_sym_identity_agent_token1] = ACTIONS(1803),
    [aux_sym_identity_file_token1] = ACTIONS(1803),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1803),
    [aux_sym_include_token1] = ACTIONS(1803),
    [aux_sym_ip_qos_token1] = ACTIONS(1803),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1803),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1803),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1803),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1803),
    [aux_sym_local_command_token1] = ACTIONS(1803),
    [aux_sym_local_forward_token1] = ACTIONS(1803),
    [aux_sym_log_level_token1] = ACTIONS(1803),
    [aux_sym_log_verbose_token1] = ACTIONS(1803),
    [aux_sym_macs_token1] = ACTIONS(1803),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1803),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1803),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1803),
    [aux_sym_password_authentication_token1] = ACTIONS(1803),
    [aux_sym_permit_local_command_token1] = ACTIONS(1803),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1803),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1803),
    [aux_sym_port_token1] = ACTIONS(1803),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1803),
    [aux_sym_protocol_token1] = ACTIONS(1803),
    [aux_sym_proxy_command_token1] = ACTIONS(1803),
    [aux_sym_proxy_jump_token1] = ACTIONS(1803),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1803),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1803),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1803),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1803),
    [aux_sym_rekey_limit_token1] = ACTIONS(1803),
    [aux_sym_remote_command_token1] = ACTIONS(1803),
    [aux_sym_remote_forward_token1] = ACTIONS(1803),
    [aux_sym_request_tty_token1] = ACTIONS(1803),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1803),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1803),
    [aux_sym_security_key_provider_token1] = ACTIONS(1803),
    [aux_sym_send_env_token1] = ACTIONS(1803),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1803),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1803),
    [aux_sym_session_type_token1] = ACTIONS(1803),
    [aux_sym_set_env_token1] = ACTIONS(1803),
    [aux_sym_stdin_null_token1] = ACTIONS(1803),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1803),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1803),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1803),
    [aux_sym_syslog_facility_token1] = ACTIONS(1803),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1803),
    [aux_sym_keep_alive_token1] = ACTIONS(1803),
    [aux_sym_tag_token1] = ACTIONS(1803),
    [aux_sym_tunnel_token1] = ACTIONS(1805),
    [aux_sym_tunnel_device_token1] = ACTIONS(1803),
    [aux_sym_update_host_keys_token1] = ACTIONS(1803),
    [aux_sym_use_keychain_token1] = ACTIONS(1803),
    [aux_sym_use_roaming_token1] = ACTIONS(1803),
    [aux_sym_user_token1] = ACTIONS(1805),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1803),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1803),
    [aux_sym_visual_host_key_token1] = ACTIONS(1803),
    [aux_sym_xauth_location_token1] = ACTIONS(1803),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1813),
    [aux_sym_match_token1] = ACTIONS(1809),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1809),
    [aux_sym_address_family_token1] = ACTIONS(1809),
    [aux_sym_batch_mode_token1] = ACTIONS(1809),
    [aux_sym_bind_address_token1] = ACTIONS(1809),
    [aux_sym_bind_interface_token1] = ACTIONS(1809),
    [aux_sym_canonical_domains_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1809),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1809),
    [aux_sym_certificate_file_token1] = ACTIONS(1809),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1809),
    [aux_sym_channel_timeout_token1] = ACTIONS(1809),
    [aux_sym_check_host_ip_token1] = ACTIONS(1809),
    [aux_sym_ciphers_token1] = ACTIONS(1809),
    [aux_sym_cipher_token1] = ACTIONS(1811),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1809),
    [aux_sym_compression_token1] = ACTIONS(1809),
    [aux_sym_connection_attempts_token1] = ACTIONS(1809),
    [aux_sym_connect_timeout_token1] = ACTIONS(1809),
    [aux_sym_control_master_token1] = ACTIONS(1809),
    [aux_sym_control_path_token1] = ACTIONS(1809),
    [aux_sym_control_persist_token1] = ACTIONS(1809),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1809),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1809),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1809),
    [aux_sym_escape_char_token1] = ACTIONS(1809),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1809),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1809),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1809),
    [aux_sym_forward_agent_token1] = ACTIONS(1809),
    [aux_sym_forward_x11_token1] = ACTIONS(1811),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1809),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1809),
    [aux_sym_gateway_ports_token1] = ACTIONS(1809),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1809),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1809),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1809),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1809),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1809),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1809),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1809),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1809),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1809),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1809),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1809),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1809),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1809),
    [aux_sym_host_key_alias_token1] = ACTIONS(1809),
    [aux_sym_hostname_token1] = ACTIONS(1809),
    [aux_sym_identities_only_token1] = ACTIONS(1809),
    [aux_sym_identity_agent_token1] = ACTIONS(1809),
    [aux_sym_identity_file_token1] = ACTIONS(1809),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1809),
    [aux_sym_include_token1] = ACTIONS(1809),
    [aux_sym_ip_qos_token1] = ACTIONS(1809),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1809),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1809),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1809),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1809),
    [aux_sym_local_command_token1] = ACTIONS(1809),
    [aux_sym_local_forward_token1] = ACTIONS(1809),
    [aux_sym_log_level_token1] = ACTIONS(1809),
    [aux_sym_log_verbose_token1] = ACTIONS(1809),
    [aux_sym_macs_token1] = ACTIONS(1809),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1809),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1809),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1809),
    [aux_sym_password_authentication_token1] = ACTIONS(1809),
    [aux_sym_permit_local_command_token1] = ACTIONS(1809),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1809),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1809),
    [aux_sym_port_token1] = ACTIONS(1809),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1809),
    [aux_sym_protocol_token1] = ACTIONS(1809),
    [aux_sym_proxy_command_token1] = ACTIONS(1809),
    [aux_sym_proxy_jump_token1] = ACTIONS(1809),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1809),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1809),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1809),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1809),
    [aux_sym_rekey_limit_token1] = ACTIONS(1809),
    [aux_sym_remote_command_token1] = ACTIONS(1809),
    [aux_sym_remote_forward_token1] = ACTIONS(1809),
    [aux_sym_request_tty_token1] = ACTIONS(1809),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1809),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1809),
    [aux_sym_security_key_provider_token1] = ACTIONS(1809),
    [aux_sym_send_env_token1] = ACTIONS(1809),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1809),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1809),
    [aux_sym_session_type_token1] = ACTIONS(1809),
    [aux_sym_set_env_token1] = ACTIONS(1809),
    [aux_sym_stdin_null_token1] = ACTIONS(1809),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1809),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1809),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1809),
    [aux_sym_syslog_facility_token1] = ACTIONS(1809),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1809),
    [aux_sym_keep_alive_token1] = ACTIONS(1809),
    [aux_sym_tag_token1] = ACTIONS(1809),
    [aux_sym_tunnel_token1] = ACTIONS(1811),
    [aux_sym_tunnel_device_token1] = ACTIONS(1809),
    [aux_sym_update_host_keys_token1] = ACTIONS(1809),
    [aux_sym_use_keychain_token1] = ACTIONS(1809),
    [aux_sym_use_roaming_token1] = ACTIONS(1809),
    [aux_sym_user_token1] = ACTIONS(1811),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1809),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1809),
    [aux_sym_visual_host_key_token1] = ACTIONS(1809),
    [aux_sym_xauth_location_token1] = ACTIONS(1809),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1819),
    [aux_sym_match_token1] = ACTIONS(1815),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1815),
    [aux_sym_address_family_token1] = ACTIONS(1815),
    [aux_sym_batch_mode_token1] = ACTIONS(1815),
    [aux_sym_bind_address_token1] = ACTIONS(1815),
    [aux_sym_bind_interface_token1] = ACTIONS(1815),
    [aux_sym_canonical_domains_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1815),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1815),
    [aux_sym_certificate_file_token1] = ACTIONS(1815),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1815),
    [aux_sym_channel_timeout_token1] = ACTIONS(1815),
    [aux_sym_check_host_ip_token1] = ACTIONS(1815),
    [aux_sym_ciphers_token1] = ACTIONS(1815),
    [aux_sym_cipher_token1] = ACTIONS(1817),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1815),
    [aux_sym_compression_token1] = ACTIONS(1815),
    [aux_sym_connection_attempts_token1] = ACTIONS(1815),
    [aux_sym_connect_timeout_token1] = ACTIONS(1815),
    [aux_sym_control_master_token1] = ACTIONS(1815),
    [aux_sym_control_path_token1] = ACTIONS(1815),
    [aux_sym_control_persist_token1] = ACTIONS(1815),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1815),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1815),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1815),
    [aux_sym_escape_char_token1] = ACTIONS(1815),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1815),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1815),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1815),
    [aux_sym_forward_agent_token1] = ACTIONS(1815),
    [aux_sym_forward_x11_token1] = ACTIONS(1817),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1815),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1815),
    [aux_sym_gateway_ports_token1] = ACTIONS(1815),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1815),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1815),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1815),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1815),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1815),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1815),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1815),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1815),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1815),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1815),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1815),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1815),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1815),
    [aux_sym_host_key_alias_token1] = ACTIONS(1815),
    [aux_sym_hostname_token1] = ACTIONS(1815),
    [aux_sym_identities_only_token1] = ACTIONS(1815),
    [aux_sym_identity_agent_token1] = ACTIONS(1815),
    [aux_sym_identity_file_token1] = ACTIONS(1815),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1815),
    [aux_sym_include_token1] = ACTIONS(1815),
    [aux_sym_ip_qos_token1] = ACTIONS(1815),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1815),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1815),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1815),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1815),
    [aux_sym_local_command_token1] = ACTIONS(1815),
    [aux_sym_local_forward_token1] = ACTIONS(1815),
    [aux_sym_log_level_token1] = ACTIONS(1815),
    [aux_sym_log_verbose_token1] = ACTIONS(1815),
    [aux_sym_macs_token1] = ACTIONS(1815),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1815),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1815),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1815),
    [aux_sym_password_authentication_token1] = ACTIONS(1815),
    [aux_sym_permit_local_command_token1] = ACTIONS(1815),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1815),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1815),
    [aux_sym_port_token1] = ACTIONS(1815),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1815),
    [aux_sym_protocol_token1] = ACTIONS(1815),
    [aux_sym_proxy_command_token1] = ACTIONS(1815),
    [aux_sym_proxy_jump_token1] = ACTIONS(1815),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1815),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1815),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1815),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1815),
    [aux_sym_rekey_limit_token1] = ACTIONS(1815),
    [aux_sym_remote_command_token1] = ACTIONS(1815),
    [aux_sym_remote_forward_token1] = ACTIONS(1815),
    [aux_sym_request_tty_token1] = ACTIONS(1815),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1815),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1815),
    [aux_sym_security_key_provider_token1] = ACTIONS(1815),
    [aux_sym_send_env_token1] = ACTIONS(1815),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1815),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1815),
    [aux_sym_session_type_token1] = ACTIONS(1815),
    [aux_sym_set_env_token1] = ACTIONS(1815),
    [aux_sym_stdin_null_token1] = ACTIONS(1815),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1815),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1815),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1815),
    [aux_sym_syslog_facility_token1] = ACTIONS(1815),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1815),
    [aux_sym_keep_alive_token1] = ACTIONS(1815),
    [aux_sym_tag_token1] = ACTIONS(1815),
    [aux_sym_tunnel_token1] = ACTIONS(1817),
    [aux_sym_tunnel_device_token1] = ACTIONS(1815),
    [aux_sym_update_host_keys_token1] = ACTIONS(1815),
    [aux_sym_use_keychain_token1] = ACTIONS(1815),
    [aux_sym_use_roaming_token1] = ACTIONS(1815),
    [aux_sym_user_token1] = ACTIONS(1817),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1815),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1815),
    [aux_sym_visual_host_key_token1] = ACTIONS(1815),
    [aux_sym_xauth_location_token1] = ACTIONS(1815),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1823),
    [anon_sym_DQUOTE] = ACTIONS(1825),
    [aux_sym_match_token1] = ACTIONS(1821),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1821),
    [aux_sym_address_family_token1] = ACTIONS(1821),
    [aux_sym_batch_mode_token1] = ACTIONS(1821),
    [aux_sym_bind_address_token1] = ACTIONS(1821),
    [aux_sym_bind_interface_token1] = ACTIONS(1821),
    [aux_sym_canonical_domains_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1821),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1821),
    [aux_sym_certificate_file_token1] = ACTIONS(1821),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1821),
    [aux_sym_channel_timeout_token1] = ACTIONS(1821),
    [aux_sym_check_host_ip_token1] = ACTIONS(1821),
    [aux_sym_ciphers_token1] = ACTIONS(1821),
    [aux_sym_cipher_token1] = ACTIONS(1823),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1821),
    [aux_sym_compression_token1] = ACTIONS(1821),
    [aux_sym_connection_attempts_token1] = ACTIONS(1821),
    [aux_sym_connect_timeout_token1] = ACTIONS(1821),
    [aux_sym_control_master_token1] = ACTIONS(1821),
    [aux_sym_control_path_token1] = ACTIONS(1821),
    [aux_sym_control_persist_token1] = ACTIONS(1821),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1821),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1821),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1821),
    [aux_sym_escape_char_token1] = ACTIONS(1821),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1821),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1821),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1821),
    [aux_sym_forward_agent_token1] = ACTIONS(1821),
    [aux_sym_forward_x11_token1] = ACTIONS(1823),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1821),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1821),
    [aux_sym_gateway_ports_token1] = ACTIONS(1821),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1821),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1821),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1821),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1821),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1821),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1821),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1821),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1821),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1821),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1821),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1821),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1821),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1821),
    [aux_sym_host_key_alias_token1] = ACTIONS(1821),
    [aux_sym_hostname_token1] = ACTIONS(1821),
    [aux_sym_identities_only_token1] = ACTIONS(1821),
    [aux_sym_identity_agent_token1] = ACTIONS(1821),
    [aux_sym_identity_file_token1] = ACTIONS(1821),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1821),
    [aux_sym_include_token1] = ACTIONS(1821),
    [aux_sym_ip_qos_token1] = ACTIONS(1821),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1821),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1821),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1821),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1821),
    [aux_sym_local_command_token1] = ACTIONS(1821),
    [aux_sym_local_forward_token1] = ACTIONS(1821),
    [aux_sym_log_level_token1] = ACTIONS(1821),
    [aux_sym_log_verbose_token1] = ACTIONS(1821),
    [aux_sym_macs_token1] = ACTIONS(1821),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1821),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1821),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1821),
    [aux_sym_password_authentication_token1] = ACTIONS(1821),
    [aux_sym_permit_local_command_token1] = ACTIONS(1821),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1821),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1821),
    [aux_sym_port_token1] = ACTIONS(1821),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1821),
    [aux_sym_protocol_token1] = ACTIONS(1821),
    [aux_sym_proxy_command_token1] = ACTIONS(1821),
    [aux_sym_proxy_jump_token1] = ACTIONS(1821),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1821),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1821),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1821),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1821),
    [aux_sym_rekey_limit_token1] = ACTIONS(1821),
    [aux_sym_remote_command_token1] = ACTIONS(1821),
    [aux_sym_remote_forward_token1] = ACTIONS(1821),
    [aux_sym_request_tty_token1] = ACTIONS(1821),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1821),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1821),
    [aux_sym_security_key_provider_token1] = ACTIONS(1821),
    [aux_sym_send_env_token1] = ACTIONS(1821),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1821),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1821),
    [aux_sym_session_type_token1] = ACTIONS(1821),
    [aux_sym_set_env_token1] = ACTIONS(1821),
    [aux_sym_stdin_null_token1] = ACTIONS(1821),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1821),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1821),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1821),
    [aux_sym_syslog_facility_token1] = ACTIONS(1821),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1821),
    [aux_sym_keep_alive_token1] = ACTIONS(1821),
    [aux_sym_tag_token1] = ACTIONS(1821),
    [aux_sym_tunnel_token1] = ACTIONS(1823),
    [aux_sym_tunnel_device_token1] = ACTIONS(1821),
    [aux_sym_update_host_keys_token1] = ACTIONS(1821),
    [aux_sym_use_keychain_token1] = ACTIONS(1821),
    [aux_sym_use_roaming_token1] = ACTIONS(1821),
    [aux_sym_user_token1] = ACTIONS(1823),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1821),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1821),
    [aux_sym_visual_host_key_token1] = ACTIONS(1821),
    [aux_sym_xauth_location_token1] = ACTIONS(1821),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(1831),
    [aux_sym_match_token1] = ACTIONS(1827),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1827),
    [aux_sym_address_family_token1] = ACTIONS(1827),
    [aux_sym_batch_mode_token1] = ACTIONS(1827),
    [aux_sym_bind_address_token1] = ACTIONS(1827),
    [aux_sym_bind_interface_token1] = ACTIONS(1827),
    [aux_sym_canonical_domains_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1827),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1827),
    [aux_sym_certificate_file_token1] = ACTIONS(1827),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1827),
    [aux_sym_channel_timeout_token1] = ACTIONS(1827),
    [aux_sym_check_host_ip_token1] = ACTIONS(1827),
    [aux_sym_ciphers_token1] = ACTIONS(1827),
    [aux_sym_cipher_token1] = ACTIONS(1829),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1827),
    [aux_sym_compression_token1] = ACTIONS(1827),
    [aux_sym_connection_attempts_token1] = ACTIONS(1827),
    [aux_sym_connect_timeout_token1] = ACTIONS(1827),
    [aux_sym_control_master_token1] = ACTIONS(1827),
    [aux_sym_control_path_token1] = ACTIONS(1827),
    [aux_sym_control_persist_token1] = ACTIONS(1827),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1827),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1827),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1827),
    [aux_sym_escape_char_token1] = ACTIONS(1827),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1827),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1827),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1827),
    [aux_sym_forward_agent_token1] = ACTIONS(1827),
    [aux_sym_forward_x11_token1] = ACTIONS(1829),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1827),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1827),
    [aux_sym_gateway_ports_token1] = ACTIONS(1827),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1827),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1827),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1827),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1827),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1827),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1827),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1827),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1827),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1827),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1827),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1827),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1827),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1827),
    [aux_sym_host_key_alias_token1] = ACTIONS(1827),
    [aux_sym_hostname_token1] = ACTIONS(1827),
    [aux_sym_identities_only_token1] = ACTIONS(1827),
    [aux_sym_identity_agent_token1] = ACTIONS(1827),
    [aux_sym_identity_file_token1] = ACTIONS(1827),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1827),
    [aux_sym_include_token1] = ACTIONS(1827),
    [aux_sym_ip_qos_token1] = ACTIONS(1827),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1827),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1827),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1827),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1827),
    [aux_sym_local_command_token1] = ACTIONS(1827),
    [aux_sym_local_forward_token1] = ACTIONS(1827),
    [aux_sym_log_level_token1] = ACTIONS(1827),
    [aux_sym_log_verbose_token1] = ACTIONS(1827),
    [aux_sym_macs_token1] = ACTIONS(1827),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1827),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1827),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1827),
    [aux_sym_password_authentication_token1] = ACTIONS(1827),
    [aux_sym_permit_local_command_token1] = ACTIONS(1827),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1827),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1827),
    [aux_sym_port_token1] = ACTIONS(1827),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1827),
    [aux_sym_protocol_token1] = ACTIONS(1827),
    [aux_sym_proxy_command_token1] = ACTIONS(1827),
    [aux_sym_proxy_jump_token1] = ACTIONS(1827),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1827),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1827),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1827),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1827),
    [aux_sym_rekey_limit_token1] = ACTIONS(1827),
    [aux_sym_remote_command_token1] = ACTIONS(1827),
    [aux_sym_remote_forward_token1] = ACTIONS(1827),
    [aux_sym_request_tty_token1] = ACTIONS(1827),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1827),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1827),
    [aux_sym_security_key_provider_token1] = ACTIONS(1827),
    [aux_sym_send_env_token1] = ACTIONS(1827),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1827),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1827),
    [aux_sym_session_type_token1] = ACTIONS(1827),
    [aux_sym_set_env_token1] = ACTIONS(1827),
    [aux_sym_stdin_null_token1] = ACTIONS(1827),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1827),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1827),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1827),
    [aux_sym_syslog_facility_token1] = ACTIONS(1827),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1827),
    [aux_sym_keep_alive_token1] = ACTIONS(1827),
    [aux_sym_tag_token1] = ACTIONS(1827),
    [aux_sym_tunnel_token1] = ACTIONS(1829),
    [aux_sym_tunnel_device_token1] = ACTIONS(1827),
    [aux_sym_update_host_keys_token1] = ACTIONS(1827),
    [aux_sym_use_keychain_token1] = ACTIONS(1827),
    [aux_sym_use_roaming_token1] = ACTIONS(1827),
    [aux_sym_user_token1] = ACTIONS(1829),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1827),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1827),
    [aux_sym_visual_host_key_token1] = ACTIONS(1827),
    [aux_sym_xauth_location_token1] = ACTIONS(1827),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1835),
    [anon_sym_DQUOTE] = ACTIONS(1837),
    [aux_sym_match_token1] = ACTIONS(1833),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1833),
    [aux_sym_address_family_token1] = ACTIONS(1833),
    [aux_sym_batch_mode_token1] = ACTIONS(1833),
    [aux_sym_bind_address_token1] = ACTIONS(1833),
    [aux_sym_bind_interface_token1] = ACTIONS(1833),
    [aux_sym_canonical_domains_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1833),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1833),
    [aux_sym_certificate_file_token1] = ACTIONS(1833),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1833),
    [aux_sym_channel_timeout_token1] = ACTIONS(1833),
    [aux_sym_check_host_ip_token1] = ACTIONS(1833),
    [aux_sym_ciphers_token1] = ACTIONS(1833),
    [aux_sym_cipher_token1] = ACTIONS(1835),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1833),
    [aux_sym_compression_token1] = ACTIONS(1833),
    [aux_sym_connection_attempts_token1] = ACTIONS(1833),
    [aux_sym_connect_timeout_token1] = ACTIONS(1833),
    [aux_sym_control_master_token1] = ACTIONS(1833),
    [aux_sym_control_path_token1] = ACTIONS(1833),
    [aux_sym_control_persist_token1] = ACTIONS(1833),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1833),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1833),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1833),
    [aux_sym_escape_char_token1] = ACTIONS(1833),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1833),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1833),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1833),
    [aux_sym_forward_agent_token1] = ACTIONS(1833),
    [aux_sym_forward_x11_token1] = ACTIONS(1835),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1833),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1833),
    [aux_sym_gateway_ports_token1] = ACTIONS(1833),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1833),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1833),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1833),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1833),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1833),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1833),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1833),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1833),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1833),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1833),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1833),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1833),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1833),
    [aux_sym_host_key_alias_token1] = ACTIONS(1833),
    [aux_sym_hostname_token1] = ACTIONS(1833),
    [aux_sym_identities_only_token1] = ACTIONS(1833),
    [aux_sym_identity_agent_token1] = ACTIONS(1833),
    [aux_sym_identity_file_token1] = ACTIONS(1833),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1833),
    [aux_sym_include_token1] = ACTIONS(1833),
    [aux_sym_ip_qos_token1] = ACTIONS(1833),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1833),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1833),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1833),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1833),
    [aux_sym_local_command_token1] = ACTIONS(1833),
    [aux_sym_local_forward_token1] = ACTIONS(1833),
    [aux_sym_log_level_token1] = ACTIONS(1833),
    [aux_sym_log_verbose_token1] = ACTIONS(1833),
    [aux_sym_macs_token1] = ACTIONS(1833),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1833),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1833),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1833),
    [aux_sym_password_authentication_token1] = ACTIONS(1833),
    [aux_sym_permit_local_command_token1] = ACTIONS(1833),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1833),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1833),
    [aux_sym_port_token1] = ACTIONS(1833),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1833),
    [aux_sym_protocol_token1] = ACTIONS(1833),
    [aux_sym_proxy_command_token1] = ACTIONS(1833),
    [aux_sym_proxy_jump_token1] = ACTIONS(1833),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1833),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1833),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1833),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1833),
    [aux_sym_rekey_limit_token1] = ACTIONS(1833),
    [aux_sym_remote_command_token1] = ACTIONS(1833),
    [aux_sym_remote_forward_token1] = ACTIONS(1833),
    [aux_sym_request_tty_token1] = ACTIONS(1833),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1833),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1833),
    [aux_sym_security_key_provider_token1] = ACTIONS(1833),
    [aux_sym_send_env_token1] = ACTIONS(1833),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1833),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1833),
    [aux_sym_session_type_token1] = ACTIONS(1833),
    [aux_sym_set_env_token1] = ACTIONS(1833),
    [aux_sym_stdin_null_token1] = ACTIONS(1833),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1833),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1833),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1833),
    [aux_sym_syslog_facility_token1] = ACTIONS(1833),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1833),
    [aux_sym_keep_alive_token1] = ACTIONS(1833),
    [aux_sym_tag_token1] = ACTIONS(1833),
    [aux_sym_tunnel_token1] = ACTIONS(1835),
    [aux_sym_tunnel_device_token1] = ACTIONS(1833),
    [aux_sym_update_host_keys_token1] = ACTIONS(1833),
    [aux_sym_use_keychain_token1] = ACTIONS(1833),
    [aux_sym_use_roaming_token1] = ACTIONS(1833),
    [aux_sym_user_token1] = ACTIONS(1835),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1833),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1833),
    [aux_sym_visual_host_key_token1] = ACTIONS(1833),
    [aux_sym_xauth_location_token1] = ACTIONS(1833),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1841),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [aux_sym_match_token1] = ACTIONS(1839),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1839),
    [aux_sym_address_family_token1] = ACTIONS(1839),
    [aux_sym_batch_mode_token1] = ACTIONS(1839),
    [aux_sym_bind_address_token1] = ACTIONS(1839),
    [aux_sym_bind_interface_token1] = ACTIONS(1839),
    [aux_sym_canonical_domains_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1839),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1839),
    [aux_sym_certificate_file_token1] = ACTIONS(1839),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1839),
    [aux_sym_channel_timeout_token1] = ACTIONS(1839),
    [aux_sym_check_host_ip_token1] = ACTIONS(1839),
    [aux_sym_ciphers_token1] = ACTIONS(1839),
    [aux_sym_cipher_token1] = ACTIONS(1841),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1839),
    [aux_sym_compression_token1] = ACTIONS(1839),
    [aux_sym_connection_attempts_token1] = ACTIONS(1839),
    [aux_sym_connect_timeout_token1] = ACTIONS(1839),
    [aux_sym_control_master_token1] = ACTIONS(1839),
    [aux_sym_control_path_token1] = ACTIONS(1839),
    [aux_sym_control_persist_token1] = ACTIONS(1839),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1839),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1839),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1839),
    [aux_sym_escape_char_token1] = ACTIONS(1839),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1839),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1839),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1839),
    [aux_sym_forward_agent_token1] = ACTIONS(1839),
    [aux_sym_forward_x11_token1] = ACTIONS(1841),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1839),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1839),
    [aux_sym_gateway_ports_token1] = ACTIONS(1839),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1839),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1839),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1839),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1839),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1839),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1839),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1839),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1839),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1839),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1839),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1839),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1839),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1839),
    [aux_sym_host_key_alias_token1] = ACTIONS(1839),
    [aux_sym_hostname_token1] = ACTIONS(1839),
    [aux_sym_identities_only_token1] = ACTIONS(1839),
    [aux_sym_identity_agent_token1] = ACTIONS(1839),
    [aux_sym_identity_file_token1] = ACTIONS(1839),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1839),
    [aux_sym_include_token1] = ACTIONS(1839),
    [aux_sym_ip_qos_token1] = ACTIONS(1839),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1839),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1839),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1839),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1839),
    [aux_sym_local_command_token1] = ACTIONS(1839),
    [aux_sym_local_forward_token1] = ACTIONS(1839),
    [aux_sym_log_level_token1] = ACTIONS(1839),
    [aux_sym_log_verbose_token1] = ACTIONS(1839),
    [aux_sym_macs_token1] = ACTIONS(1839),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1839),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1839),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1839),
    [aux_sym_password_authentication_token1] = ACTIONS(1839),
    [aux_sym_permit_local_command_token1] = ACTIONS(1839),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1839),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1839),
    [aux_sym_port_token1] = ACTIONS(1839),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1839),
    [aux_sym_protocol_token1] = ACTIONS(1839),
    [aux_sym_proxy_command_token1] = ACTIONS(1839),
    [aux_sym_proxy_jump_token1] = ACTIONS(1839),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1839),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1839),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1839),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1839),
    [aux_sym_rekey_limit_token1] = ACTIONS(1839),
    [aux_sym_remote_command_token1] = ACTIONS(1839),
    [aux_sym_remote_forward_token1] = ACTIONS(1839),
    [aux_sym_request_tty_token1] = ACTIONS(1839),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1839),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1839),
    [aux_sym_security_key_provider_token1] = ACTIONS(1839),
    [aux_sym_send_env_token1] = ACTIONS(1839),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1839),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1839),
    [aux_sym_session_type_token1] = ACTIONS(1839),
    [aux_sym_set_env_token1] = ACTIONS(1839),
    [aux_sym_stdin_null_token1] = ACTIONS(1839),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1839),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1839),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1839),
    [aux_sym_syslog_facility_token1] = ACTIONS(1839),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1839),
    [aux_sym_keep_alive_token1] = ACTIONS(1839),
    [aux_sym_tag_token1] = ACTIONS(1839),
    [aux_sym_tunnel_token1] = ACTIONS(1841),
    [aux_sym_tunnel_device_token1] = ACTIONS(1839),
    [aux_sym_update_host_keys_token1] = ACTIONS(1839),
    [aux_sym_use_keychain_token1] = ACTIONS(1839),
    [aux_sym_use_roaming_token1] = ACTIONS(1839),
    [aux_sym_user_token1] = ACTIONS(1841),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1839),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1839),
    [aux_sym_visual_host_key_token1] = ACTIONS(1839),
    [aux_sym_xauth_location_token1] = ACTIONS(1839),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1849),
    [aux_sym_match_token1] = ACTIONS(1845),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1845),
    [aux_sym_address_family_token1] = ACTIONS(1845),
    [aux_sym_batch_mode_token1] = ACTIONS(1845),
    [aux_sym_bind_address_token1] = ACTIONS(1845),
    [aux_sym_bind_interface_token1] = ACTIONS(1845),
    [aux_sym_canonical_domains_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1845),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1845),
    [aux_sym_certificate_file_token1] = ACTIONS(1845),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1845),
    [aux_sym_channel_timeout_token1] = ACTIONS(1845),
    [aux_sym_check_host_ip_token1] = ACTIONS(1845),
    [aux_sym_ciphers_token1] = ACTIONS(1845),
    [aux_sym_cipher_token1] = ACTIONS(1847),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1845),
    [aux_sym_compression_token1] = ACTIONS(1845),
    [aux_sym_connection_attempts_token1] = ACTIONS(1845),
    [aux_sym_connect_timeout_token1] = ACTIONS(1845),
    [aux_sym_control_master_token1] = ACTIONS(1845),
    [aux_sym_control_path_token1] = ACTIONS(1845),
    [aux_sym_control_persist_token1] = ACTIONS(1845),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1845),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1845),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1845),
    [aux_sym_escape_char_token1] = ACTIONS(1845),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1845),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1845),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1845),
    [aux_sym_forward_agent_token1] = ACTIONS(1845),
    [aux_sym_forward_x11_token1] = ACTIONS(1847),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1845),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1845),
    [aux_sym_gateway_ports_token1] = ACTIONS(1845),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1845),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1845),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1845),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1845),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1845),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1845),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1845),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1845),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1845),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1845),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1845),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1845),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1845),
    [aux_sym_host_key_alias_token1] = ACTIONS(1845),
    [aux_sym_hostname_token1] = ACTIONS(1845),
    [aux_sym_identities_only_token1] = ACTIONS(1845),
    [aux_sym_identity_agent_token1] = ACTIONS(1845),
    [aux_sym_identity_file_token1] = ACTIONS(1845),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1845),
    [aux_sym_include_token1] = ACTIONS(1845),
    [aux_sym_ip_qos_token1] = ACTIONS(1845),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1845),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1845),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1845),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1845),
    [aux_sym_local_command_token1] = ACTIONS(1845),
    [aux_sym_local_forward_token1] = ACTIONS(1845),
    [aux_sym_log_level_token1] = ACTIONS(1845),
    [aux_sym_log_verbose_token1] = ACTIONS(1845),
    [aux_sym_macs_token1] = ACTIONS(1845),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1845),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1845),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1845),
    [aux_sym_password_authentication_token1] = ACTIONS(1845),
    [aux_sym_permit_local_command_token1] = ACTIONS(1845),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1845),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1845),
    [aux_sym_port_token1] = ACTIONS(1845),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1845),
    [aux_sym_protocol_token1] = ACTIONS(1845),
    [aux_sym_proxy_command_token1] = ACTIONS(1845),
    [aux_sym_proxy_jump_token1] = ACTIONS(1845),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1845),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1845),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1845),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1845),
    [aux_sym_rekey_limit_token1] = ACTIONS(1845),
    [aux_sym_remote_command_token1] = ACTIONS(1845),
    [aux_sym_remote_forward_token1] = ACTIONS(1845),
    [aux_sym_request_tty_token1] = ACTIONS(1845),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1845),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1845),
    [aux_sym_security_key_provider_token1] = ACTIONS(1845),
    [aux_sym_send_env_token1] = ACTIONS(1845),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1845),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1845),
    [aux_sym_session_type_token1] = ACTIONS(1845),
    [aux_sym_set_env_token1] = ACTIONS(1845),
    [aux_sym_stdin_null_token1] = ACTIONS(1845),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1845),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1845),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1845),
    [aux_sym_syslog_facility_token1] = ACTIONS(1845),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1845),
    [aux_sym_keep_alive_token1] = ACTIONS(1845),
    [aux_sym_tag_token1] = ACTIONS(1845),
    [aux_sym_tunnel_token1] = ACTIONS(1847),
    [aux_sym_tunnel_device_token1] = ACTIONS(1845),
    [aux_sym_update_host_keys_token1] = ACTIONS(1845),
    [aux_sym_use_keychain_token1] = ACTIONS(1845),
    [aux_sym_use_roaming_token1] = ACTIONS(1845),
    [aux_sym_user_token1] = ACTIONS(1847),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1845),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1845),
    [aux_sym_visual_host_key_token1] = ACTIONS(1845),
    [aux_sym_xauth_location_token1] = ACTIONS(1845),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1855),
    [aux_sym_match_token1] = ACTIONS(1851),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1851),
    [aux_sym_address_family_token1] = ACTIONS(1851),
    [aux_sym_batch_mode_token1] = ACTIONS(1851),
    [aux_sym_bind_address_token1] = ACTIONS(1851),
    [aux_sym_bind_interface_token1] = ACTIONS(1851),
    [aux_sym_canonical_domains_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1851),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1851),
    [aux_sym_certificate_file_token1] = ACTIONS(1851),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1851),
    [aux_sym_channel_timeout_token1] = ACTIONS(1851),
    [aux_sym_check_host_ip_token1] = ACTIONS(1851),
    [aux_sym_ciphers_token1] = ACTIONS(1851),
    [aux_sym_cipher_token1] = ACTIONS(1853),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1851),
    [aux_sym_compression_token1] = ACTIONS(1851),
    [aux_sym_connection_attempts_token1] = ACTIONS(1851),
    [aux_sym_connect_timeout_token1] = ACTIONS(1851),
    [aux_sym_control_master_token1] = ACTIONS(1851),
    [aux_sym_control_path_token1] = ACTIONS(1851),
    [aux_sym_control_persist_token1] = ACTIONS(1851),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1851),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1851),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1851),
    [aux_sym_escape_char_token1] = ACTIONS(1851),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1851),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1851),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1851),
    [aux_sym_forward_agent_token1] = ACTIONS(1851),
    [aux_sym_forward_x11_token1] = ACTIONS(1853),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1851),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1851),
    [aux_sym_gateway_ports_token1] = ACTIONS(1851),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1851),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1851),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1851),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1851),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1851),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1851),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1851),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1851),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1851),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1851),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1851),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1851),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1851),
    [aux_sym_host_key_alias_token1] = ACTIONS(1851),
    [aux_sym_hostname_token1] = ACTIONS(1851),
    [aux_sym_identities_only_token1] = ACTIONS(1851),
    [aux_sym_identity_agent_token1] = ACTIONS(1851),
    [aux_sym_identity_file_token1] = ACTIONS(1851),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1851),
    [aux_sym_include_token1] = ACTIONS(1851),
    [aux_sym_ip_qos_token1] = ACTIONS(1851),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1851),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1851),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1851),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1851),
    [aux_sym_local_command_token1] = ACTIONS(1851),
    [aux_sym_local_forward_token1] = ACTIONS(1851),
    [aux_sym_log_level_token1] = ACTIONS(1851),
    [aux_sym_log_verbose_token1] = ACTIONS(1851),
    [aux_sym_macs_token1] = ACTIONS(1851),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1851),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1851),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1851),
    [aux_sym_password_authentication_token1] = ACTIONS(1851),
    [aux_sym_permit_local_command_token1] = ACTIONS(1851),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1851),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1851),
    [aux_sym_port_token1] = ACTIONS(1851),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1851),
    [aux_sym_protocol_token1] = ACTIONS(1851),
    [aux_sym_proxy_command_token1] = ACTIONS(1851),
    [aux_sym_proxy_jump_token1] = ACTIONS(1851),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1851),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1851),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1851),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1851),
    [aux_sym_rekey_limit_token1] = ACTIONS(1851),
    [aux_sym_remote_command_token1] = ACTIONS(1851),
    [aux_sym_remote_forward_token1] = ACTIONS(1851),
    [aux_sym_request_tty_token1] = ACTIONS(1851),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1851),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1851),
    [aux_sym_security_key_provider_token1] = ACTIONS(1851),
    [aux_sym_send_env_token1] = ACTIONS(1851),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1851),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1851),
    [aux_sym_session_type_token1] = ACTIONS(1851),
    [aux_sym_set_env_token1] = ACTIONS(1851),
    [aux_sym_stdin_null_token1] = ACTIONS(1851),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1851),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1851),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1851),
    [aux_sym_syslog_facility_token1] = ACTIONS(1851),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1851),
    [aux_sym_keep_alive_token1] = ACTIONS(1851),
    [aux_sym_tag_token1] = ACTIONS(1851),
    [aux_sym_tunnel_token1] = ACTIONS(1853),
    [aux_sym_tunnel_device_token1] = ACTIONS(1851),
    [aux_sym_update_host_keys_token1] = ACTIONS(1851),
    [aux_sym_use_keychain_token1] = ACTIONS(1851),
    [aux_sym_use_roaming_token1] = ACTIONS(1851),
    [aux_sym_user_token1] = ACTIONS(1853),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1851),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1851),
    [aux_sym_visual_host_key_token1] = ACTIONS(1851),
    [aux_sym_xauth_location_token1] = ACTIONS(1851),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(1861),
    [aux_sym_match_token1] = ACTIONS(1857),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1857),
    [aux_sym_address_family_token1] = ACTIONS(1857),
    [aux_sym_batch_mode_token1] = ACTIONS(1857),
    [aux_sym_bind_address_token1] = ACTIONS(1857),
    [aux_sym_bind_interface_token1] = ACTIONS(1857),
    [aux_sym_canonical_domains_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1857),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1857),
    [aux_sym_certificate_file_token1] = ACTIONS(1857),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1857),
    [aux_sym_channel_timeout_token1] = ACTIONS(1857),
    [aux_sym_check_host_ip_token1] = ACTIONS(1857),
    [aux_sym_ciphers_token1] = ACTIONS(1857),
    [aux_sym_cipher_token1] = ACTIONS(1859),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1857),
    [aux_sym_compression_token1] = ACTIONS(1857),
    [aux_sym_connection_attempts_token1] = ACTIONS(1857),
    [aux_sym_connect_timeout_token1] = ACTIONS(1857),
    [aux_sym_control_master_token1] = ACTIONS(1857),
    [aux_sym_control_path_token1] = ACTIONS(1857),
    [aux_sym_control_persist_token1] = ACTIONS(1857),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1857),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1857),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1857),
    [aux_sym_escape_char_token1] = ACTIONS(1857),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1857),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1857),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1857),
    [aux_sym_forward_agent_token1] = ACTIONS(1857),
    [aux_sym_forward_x11_token1] = ACTIONS(1859),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1857),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1857),
    [aux_sym_gateway_ports_token1] = ACTIONS(1857),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1857),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1857),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1857),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1857),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1857),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1857),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1857),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1857),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1857),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1857),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1857),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1857),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1857),
    [aux_sym_host_key_alias_token1] = ACTIONS(1857),
    [aux_sym_hostname_token1] = ACTIONS(1857),
    [aux_sym_identities_only_token1] = ACTIONS(1857),
    [aux_sym_identity_agent_token1] = ACTIONS(1857),
    [aux_sym_identity_file_token1] = ACTIONS(1857),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1857),
    [aux_sym_include_token1] = ACTIONS(1857),
    [aux_sym_ip_qos_token1] = ACTIONS(1857),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1857),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1857),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1857),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1857),
    [aux_sym_local_command_token1] = ACTIONS(1857),
    [aux_sym_local_forward_token1] = ACTIONS(1857),
    [aux_sym_log_level_token1] = ACTIONS(1857),
    [aux_sym_log_verbose_token1] = ACTIONS(1857),
    [aux_sym_macs_token1] = ACTIONS(1857),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1857),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1857),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1857),
    [aux_sym_password_authentication_token1] = ACTIONS(1857),
    [aux_sym_permit_local_command_token1] = ACTIONS(1857),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1857),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1857),
    [aux_sym_port_token1] = ACTIONS(1857),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1857),
    [aux_sym_protocol_token1] = ACTIONS(1857),
    [aux_sym_proxy_command_token1] = ACTIONS(1857),
    [aux_sym_proxy_jump_token1] = ACTIONS(1857),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1857),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1857),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1857),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1857),
    [aux_sym_rekey_limit_token1] = ACTIONS(1857),
    [aux_sym_remote_command_token1] = ACTIONS(1857),
    [aux_sym_remote_forward_token1] = ACTIONS(1857),
    [aux_sym_request_tty_token1] = ACTIONS(1857),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1857),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1857),
    [aux_sym_security_key_provider_token1] = ACTIONS(1857),
    [aux_sym_send_env_token1] = ACTIONS(1857),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1857),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1857),
    [aux_sym_session_type_token1] = ACTIONS(1857),
    [aux_sym_set_env_token1] = ACTIONS(1857),
    [aux_sym_stdin_null_token1] = ACTIONS(1857),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1857),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1857),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1857),
    [aux_sym_syslog_facility_token1] = ACTIONS(1857),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1857),
    [aux_sym_keep_alive_token1] = ACTIONS(1857),
    [aux_sym_tag_token1] = ACTIONS(1857),
    [aux_sym_tunnel_token1] = ACTIONS(1859),
    [aux_sym_tunnel_device_token1] = ACTIONS(1857),
    [aux_sym_update_host_keys_token1] = ACTIONS(1857),
    [aux_sym_use_keychain_token1] = ACTIONS(1857),
    [aux_sym_use_roaming_token1] = ACTIONS(1857),
    [aux_sym_user_token1] = ACTIONS(1859),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1857),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1857),
    [aux_sym_visual_host_key_token1] = ACTIONS(1857),
    [aux_sym_xauth_location_token1] = ACTIONS(1857),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1865),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [aux_sym_match_token1] = ACTIONS(1863),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1863),
    [aux_sym_address_family_token1] = ACTIONS(1863),
    [aux_sym_batch_mode_token1] = ACTIONS(1863),
    [aux_sym_bind_address_token1] = ACTIONS(1863),
    [aux_sym_bind_interface_token1] = ACTIONS(1863),
    [aux_sym_canonical_domains_token1] = ACTIONS(1863),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1863),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1863),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1863),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1863),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1863),
    [aux_sym_certificate_file_token1] = ACTIONS(1863),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1863),
    [aux_sym_channel_timeout_token1] = ACTIONS(1863),
    [aux_sym_check_host_ip_token1] = ACTIONS(1863),
    [aux_sym_ciphers_token1] = ACTIONS(1863),
    [aux_sym_cipher_token1] = ACTIONS(1865),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1863),
    [aux_sym_compression_token1] = ACTIONS(1863),
    [aux_sym_connection_attempts_token1] = ACTIONS(1863),
    [aux_sym_connect_timeout_token1] = ACTIONS(1863),
    [aux_sym_control_master_token1] = ACTIONS(1863),
    [aux_sym_control_path_token1] = ACTIONS(1863),
    [aux_sym_control_persist_token1] = ACTIONS(1863),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1863),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1863),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1863),
    [aux_sym_escape_char_token1] = ACTIONS(1863),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1863),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1863),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1863),
    [aux_sym_forward_agent_token1] = ACTIONS(1863),
    [aux_sym_forward_x11_token1] = ACTIONS(1865),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1863),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1863),
    [aux_sym_gateway_ports_token1] = ACTIONS(1863),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1863),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1863),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1863),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1863),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1863),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1863),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1863),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1863),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1863),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1863),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1863),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1863),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1863),
    [aux_sym_host_key_alias_token1] = ACTIONS(1863),
    [aux_sym_hostname_token1] = ACTIONS(1863),
    [aux_sym_identities_only_token1] = ACTIONS(1863),
    [aux_sym_identity_agent_token1] = ACTIONS(1863),
    [aux_sym_identity_file_token1] = ACTIONS(1863),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1863),
    [aux_sym_include_token1] = ACTIONS(1863),
    [aux_sym_ip_qos_token1] = ACTIONS(1863),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1863),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1863),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1863),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1863),
    [aux_sym_local_command_token1] = ACTIONS(1863),
    [aux_sym_local_forward_token1] = ACTIONS(1863),
    [aux_sym_log_level_token1] = ACTIONS(1863),
    [aux_sym_log_verbose_token1] = ACTIONS(1863),
    [aux_sym_macs_token1] = ACTIONS(1863),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1863),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1863),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1863),
    [aux_sym_password_authentication_token1] = ACTIONS(1863),
    [aux_sym_permit_local_command_token1] = ACTIONS(1863),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1863),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1863),
    [aux_sym_port_token1] = ACTIONS(1863),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1863),
    [aux_sym_protocol_token1] = ACTIONS(1863),
    [aux_sym_proxy_command_token1] = ACTIONS(1863),
    [aux_sym_proxy_jump_token1] = ACTIONS(1863),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1863),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1863),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1863),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1863),
    [aux_sym_rekey_limit_token1] = ACTIONS(1863),
    [aux_sym_remote_command_token1] = ACTIONS(1863),
    [aux_sym_remote_forward_token1] = ACTIONS(1863),
    [aux_sym_request_tty_token1] = ACTIONS(1863),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1863),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1863),
    [aux_sym_security_key_provider_token1] = ACTIONS(1863),
    [aux_sym_send_env_token1] = ACTIONS(1863),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1863),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1863),
    [aux_sym_session_type_token1] = ACTIONS(1863),
    [aux_sym_set_env_token1] = ACTIONS(1863),
    [aux_sym_stdin_null_token1] = ACTIONS(1863),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1863),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1863),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1863),
    [aux_sym_syslog_facility_token1] = ACTIONS(1863),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1863),
    [aux_sym_keep_alive_token1] = ACTIONS(1863),
    [aux_sym_tag_token1] = ACTIONS(1863),
    [aux_sym_tunnel_token1] = ACTIONS(1865),
    [aux_sym_tunnel_device_token1] = ACTIONS(1863),
    [aux_sym_update_host_keys_token1] = ACTIONS(1863),
    [aux_sym_use_keychain_token1] = ACTIONS(1863),
    [aux_sym_use_roaming_token1] = ACTIONS(1863),
    [aux_sym_user_token1] = ACTIONS(1865),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1863),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1863),
    [aux_sym_visual_host_key_token1] = ACTIONS(1863),
    [aux_sym_xauth_location_token1] = ACTIONS(1863),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [aux_sym_match_token1] = ACTIONS(1869),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1869),
    [aux_sym_address_family_token1] = ACTIONS(1869),
    [aux_sym_batch_mode_token1] = ACTIONS(1869),
    [aux_sym_bind_address_token1] = ACTIONS(1869),
    [aux_sym_bind_interface_token1] = ACTIONS(1869),
    [aux_sym_canonical_domains_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1869),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1869),
    [aux_sym_certificate_file_token1] = ACTIONS(1869),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1869),
    [aux_sym_channel_timeout_token1] = ACTIONS(1869),
    [aux_sym_check_host_ip_token1] = ACTIONS(1869),
    [aux_sym_ciphers_token1] = ACTIONS(1869),
    [aux_sym_cipher_token1] = ACTIONS(1871),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1869),
    [aux_sym_compression_token1] = ACTIONS(1869),
    [aux_sym_connection_attempts_token1] = ACTIONS(1869),
    [aux_sym_connect_timeout_token1] = ACTIONS(1869),
    [aux_sym_control_master_token1] = ACTIONS(1869),
    [aux_sym_control_path_token1] = ACTIONS(1869),
    [aux_sym_control_persist_token1] = ACTIONS(1869),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1869),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1869),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1869),
    [aux_sym_escape_char_token1] = ACTIONS(1869),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1869),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1869),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1869),
    [aux_sym_forward_agent_token1] = ACTIONS(1869),
    [aux_sym_forward_x11_token1] = ACTIONS(1871),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1869),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1869),
    [aux_sym_gateway_ports_token1] = ACTIONS(1869),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1869),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1869),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1869),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1869),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1869),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1869),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1869),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1869),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1869),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1869),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1869),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1869),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1869),
    [aux_sym_host_key_alias_token1] = ACTIONS(1869),
    [aux_sym_hostname_token1] = ACTIONS(1869),
    [aux_sym_identities_only_token1] = ACTIONS(1869),
    [aux_sym_identity_agent_token1] = ACTIONS(1869),
    [aux_sym_identity_file_token1] = ACTIONS(1869),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1869),
    [aux_sym_include_token1] = ACTIONS(1869),
    [aux_sym_ip_qos_token1] = ACTIONS(1869),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1869),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1869),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1869),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1869),
    [aux_sym_local_command_token1] = ACTIONS(1869),
    [aux_sym_local_forward_token1] = ACTIONS(1869),
    [aux_sym_log_level_token1] = ACTIONS(1869),
    [aux_sym_log_verbose_token1] = ACTIONS(1869),
    [aux_sym_macs_token1] = ACTIONS(1869),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1869),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1869),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1869),
    [aux_sym_password_authentication_token1] = ACTIONS(1869),
    [aux_sym_permit_local_command_token1] = ACTIONS(1869),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1869),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1869),
    [aux_sym_port_token1] = ACTIONS(1869),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1869),
    [aux_sym_protocol_token1] = ACTIONS(1869),
    [aux_sym_proxy_command_token1] = ACTIONS(1869),
    [aux_sym_proxy_jump_token1] = ACTIONS(1869),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1869),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1869),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1869),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1869),
    [aux_sym_rekey_limit_token1] = ACTIONS(1869),
    [aux_sym_remote_command_token1] = ACTIONS(1869),
    [aux_sym_remote_forward_token1] = ACTIONS(1869),
    [aux_sym_request_tty_token1] = ACTIONS(1869),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1869),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1869),
    [aux_sym_security_key_provider_token1] = ACTIONS(1869),
    [aux_sym_send_env_token1] = ACTIONS(1869),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1869),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1869),
    [aux_sym_session_type_token1] = ACTIONS(1869),
    [aux_sym_set_env_token1] = ACTIONS(1869),
    [aux_sym_stdin_null_token1] = ACTIONS(1869),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1869),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1869),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1869),
    [aux_sym_syslog_facility_token1] = ACTIONS(1869),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1869),
    [aux_sym_keep_alive_token1] = ACTIONS(1869),
    [aux_sym_tag_token1] = ACTIONS(1869),
    [aux_sym_tunnel_token1] = ACTIONS(1871),
    [aux_sym_tunnel_device_token1] = ACTIONS(1869),
    [aux_sym_update_host_keys_token1] = ACTIONS(1869),
    [aux_sym_use_keychain_token1] = ACTIONS(1869),
    [aux_sym_use_roaming_token1] = ACTIONS(1869),
    [aux_sym_user_token1] = ACTIONS(1871),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1869),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1869),
    [aux_sym_visual_host_key_token1] = ACTIONS(1869),
    [aux_sym_xauth_location_token1] = ACTIONS(1869),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(1879),
    [aux_sym_match_token1] = ACTIONS(1875),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1875),
    [aux_sym_address_family_token1] = ACTIONS(1875),
    [aux_sym_batch_mode_token1] = ACTIONS(1875),
    [aux_sym_bind_address_token1] = ACTIONS(1875),
    [aux_sym_bind_interface_token1] = ACTIONS(1875),
    [aux_sym_canonical_domains_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1875),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1875),
    [aux_sym_certificate_file_token1] = ACTIONS(1875),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1875),
    [aux_sym_channel_timeout_token1] = ACTIONS(1875),
    [aux_sym_check_host_ip_token1] = ACTIONS(1875),
    [aux_sym_ciphers_token1] = ACTIONS(1875),
    [aux_sym_cipher_token1] = ACTIONS(1877),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1875),
    [aux_sym_compression_token1] = ACTIONS(1875),
    [aux_sym_connection_attempts_token1] = ACTIONS(1875),
    [aux_sym_connect_timeout_token1] = ACTIONS(1875),
    [aux_sym_control_master_token1] = ACTIONS(1875),
    [aux_sym_control_path_token1] = ACTIONS(1875),
    [aux_sym_control_persist_token1] = ACTIONS(1875),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1875),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1875),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1875),
    [aux_sym_escape_char_token1] = ACTIONS(1875),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1875),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1875),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1875),
    [aux_sym_forward_agent_token1] = ACTIONS(1875),
    [aux_sym_forward_x11_token1] = ACTIONS(1877),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1875),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1875),
    [aux_sym_gateway_ports_token1] = ACTIONS(1875),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1875),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1875),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1875),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1875),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1875),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1875),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1875),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1875),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1875),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1875),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1875),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1875),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1875),
    [aux_sym_host_key_alias_token1] = ACTIONS(1875),
    [aux_sym_hostname_token1] = ACTIONS(1875),
    [aux_sym_identities_only_token1] = ACTIONS(1875),
    [aux_sym_identity_agent_token1] = ACTIONS(1875),
    [aux_sym_identity_file_token1] = ACTIONS(1875),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1875),
    [aux_sym_include_token1] = ACTIONS(1875),
    [aux_sym_ip_qos_token1] = ACTIONS(1875),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1875),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1875),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1875),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1875),
    [aux_sym_local_command_token1] = ACTIONS(1875),
    [aux_sym_local_forward_token1] = ACTIONS(1875),
    [aux_sym_log_level_token1] = ACTIONS(1875),
    [aux_sym_log_verbose_token1] = ACTIONS(1875),
    [aux_sym_macs_token1] = ACTIONS(1875),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1875),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1875),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1875),
    [aux_sym_password_authentication_token1] = ACTIONS(1875),
    [aux_sym_permit_local_command_token1] = ACTIONS(1875),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1875),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1875),
    [aux_sym_port_token1] = ACTIONS(1875),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1875),
    [aux_sym_protocol_token1] = ACTIONS(1875),
    [aux_sym_proxy_command_token1] = ACTIONS(1875),
    [aux_sym_proxy_jump_token1] = ACTIONS(1875),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1875),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1875),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1875),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1875),
    [aux_sym_rekey_limit_token1] = ACTIONS(1875),
    [aux_sym_remote_command_token1] = ACTIONS(1875),
    [aux_sym_remote_forward_token1] = ACTIONS(1875),
    [aux_sym_request_tty_token1] = ACTIONS(1875),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1875),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1875),
    [aux_sym_security_key_provider_token1] = ACTIONS(1875),
    [aux_sym_send_env_token1] = ACTIONS(1875),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1875),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1875),
    [aux_sym_session_type_token1] = ACTIONS(1875),
    [aux_sym_set_env_token1] = ACTIONS(1875),
    [aux_sym_stdin_null_token1] = ACTIONS(1875),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1875),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1875),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1875),
    [aux_sym_syslog_facility_token1] = ACTIONS(1875),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1875),
    [aux_sym_keep_alive_token1] = ACTIONS(1875),
    [aux_sym_tag_token1] = ACTIONS(1875),
    [aux_sym_tunnel_token1] = ACTIONS(1877),
    [aux_sym_tunnel_device_token1] = ACTIONS(1875),
    [aux_sym_update_host_keys_token1] = ACTIONS(1875),
    [aux_sym_use_keychain_token1] = ACTIONS(1875),
    [aux_sym_use_roaming_token1] = ACTIONS(1875),
    [aux_sym_user_token1] = ACTIONS(1877),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1875),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1875),
    [aux_sym_visual_host_key_token1] = ACTIONS(1875),
    [aux_sym_xauth_location_token1] = ACTIONS(1875),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1883),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [aux_sym_match_token1] = ACTIONS(1881),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1881),
    [aux_sym_address_family_token1] = ACTIONS(1881),
    [aux_sym_batch_mode_token1] = ACTIONS(1881),
    [aux_sym_bind_address_token1] = ACTIONS(1881),
    [aux_sym_bind_interface_token1] = ACTIONS(1881),
    [aux_sym_canonical_domains_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1881),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1881),
    [aux_sym_certificate_file_token1] = ACTIONS(1881),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1881),
    [aux_sym_channel_timeout_token1] = ACTIONS(1881),
    [aux_sym_check_host_ip_token1] = ACTIONS(1881),
    [aux_sym_ciphers_token1] = ACTIONS(1881),
    [aux_sym_cipher_token1] = ACTIONS(1883),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1881),
    [aux_sym_compression_token1] = ACTIONS(1881),
    [aux_sym_connection_attempts_token1] = ACTIONS(1881),
    [aux_sym_connect_timeout_token1] = ACTIONS(1881),
    [aux_sym_control_master_token1] = ACTIONS(1881),
    [aux_sym_control_path_token1] = ACTIONS(1881),
    [aux_sym_control_persist_token1] = ACTIONS(1881),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1881),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1881),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1881),
    [aux_sym_escape_char_token1] = ACTIONS(1881),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1881),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1881),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1881),
    [aux_sym_forward_agent_token1] = ACTIONS(1881),
    [aux_sym_forward_x11_token1] = ACTIONS(1883),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1881),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1881),
    [aux_sym_gateway_ports_token1] = ACTIONS(1881),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1881),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1881),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1881),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1881),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1881),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1881),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1881),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1881),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1881),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1881),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1881),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1881),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1881),
    [aux_sym_host_key_alias_token1] = ACTIONS(1881),
    [aux_sym_hostname_token1] = ACTIONS(1881),
    [aux_sym_identities_only_token1] = ACTIONS(1881),
    [aux_sym_identity_agent_token1] = ACTIONS(1881),
    [aux_sym_identity_file_token1] = ACTIONS(1881),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1881),
    [aux_sym_include_token1] = ACTIONS(1881),
    [aux_sym_ip_qos_token1] = ACTIONS(1881),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1881),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1881),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1881),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1881),
    [aux_sym_local_command_token1] = ACTIONS(1881),
    [aux_sym_local_forward_token1] = ACTIONS(1881),
    [aux_sym_log_level_token1] = ACTIONS(1881),
    [aux_sym_log_verbose_token1] = ACTIONS(1881),
    [aux_sym_macs_token1] = ACTIONS(1881),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1881),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1881),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1881),
    [aux_sym_password_authentication_token1] = ACTIONS(1881),
    [aux_sym_permit_local_command_token1] = ACTIONS(1881),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1881),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1881),
    [aux_sym_port_token1] = ACTIONS(1881),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1881),
    [aux_sym_protocol_token1] = ACTIONS(1881),
    [aux_sym_proxy_command_token1] = ACTIONS(1881),
    [aux_sym_proxy_jump_token1] = ACTIONS(1881),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1881),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1881),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1881),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1881),
    [aux_sym_rekey_limit_token1] = ACTIONS(1881),
    [aux_sym_remote_command_token1] = ACTIONS(1881),
    [aux_sym_remote_forward_token1] = ACTIONS(1881),
    [aux_sym_request_tty_token1] = ACTIONS(1881),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1881),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1881),
    [aux_sym_security_key_provider_token1] = ACTIONS(1881),
    [aux_sym_send_env_token1] = ACTIONS(1881),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1881),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1881),
    [aux_sym_session_type_token1] = ACTIONS(1881),
    [aux_sym_set_env_token1] = ACTIONS(1881),
    [aux_sym_stdin_null_token1] = ACTIONS(1881),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1881),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1881),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1881),
    [aux_sym_syslog_facility_token1] = ACTIONS(1881),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1881),
    [aux_sym_keep_alive_token1] = ACTIONS(1881),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [aux_sym_tunnel_token1] = ACTIONS(1883),
    [aux_sym_tunnel_device_token1] = ACTIONS(1881),
    [aux_sym_update_host_keys_token1] = ACTIONS(1881),
    [aux_sym_use_keychain_token1] = ACTIONS(1881),
    [aux_sym_use_roaming_token1] = ACTIONS(1881),
    [aux_sym_user_token1] = ACTIONS(1883),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1881),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1881),
    [aux_sym_visual_host_key_token1] = ACTIONS(1881),
    [aux_sym_xauth_location_token1] = ACTIONS(1881),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [aux_sym_match_token1] = ACTIONS(1887),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1887),
    [aux_sym_address_family_token1] = ACTIONS(1887),
    [aux_sym_batch_mode_token1] = ACTIONS(1887),
    [aux_sym_bind_address_token1] = ACTIONS(1887),
    [aux_sym_bind_interface_token1] = ACTIONS(1887),
    [aux_sym_canonical_domains_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1887),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1887),
    [aux_sym_certificate_file_token1] = ACTIONS(1887),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1887),
    [aux_sym_channel_timeout_token1] = ACTIONS(1887),
    [aux_sym_check_host_ip_token1] = ACTIONS(1887),
    [aux_sym_ciphers_token1] = ACTIONS(1887),
    [aux_sym_cipher_token1] = ACTIONS(1889),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1887),
    [aux_sym_compression_token1] = ACTIONS(1887),
    [aux_sym_connection_attempts_token1] = ACTIONS(1887),
    [aux_sym_connect_timeout_token1] = ACTIONS(1887),
    [aux_sym_control_master_token1] = ACTIONS(1887),
    [aux_sym_control_path_token1] = ACTIONS(1887),
    [aux_sym_control_persist_token1] = ACTIONS(1887),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1887),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1887),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1887),
    [aux_sym_escape_char_token1] = ACTIONS(1887),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1887),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1887),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1887),
    [aux_sym_forward_agent_token1] = ACTIONS(1887),
    [aux_sym_forward_x11_token1] = ACTIONS(1889),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1887),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1887),
    [aux_sym_gateway_ports_token1] = ACTIONS(1887),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1887),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1887),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1887),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1887),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1887),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1887),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1887),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1887),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1887),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1887),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1887),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1887),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1887),
    [aux_sym_host_key_alias_token1] = ACTIONS(1887),
    [aux_sym_hostname_token1] = ACTIONS(1887),
    [aux_sym_identities_only_token1] = ACTIONS(1887),
    [aux_sym_identity_agent_token1] = ACTIONS(1887),
    [aux_sym_identity_file_token1] = ACTIONS(1887),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1887),
    [aux_sym_include_token1] = ACTIONS(1887),
    [aux_sym_ip_qos_token1] = ACTIONS(1887),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1887),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1887),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1887),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1887),
    [aux_sym_local_command_token1] = ACTIONS(1887),
    [aux_sym_local_forward_token1] = ACTIONS(1887),
    [aux_sym_log_level_token1] = ACTIONS(1887),
    [aux_sym_log_verbose_token1] = ACTIONS(1887),
    [aux_sym_macs_token1] = ACTIONS(1887),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1887),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1887),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1887),
    [aux_sym_password_authentication_token1] = ACTIONS(1887),
    [aux_sym_permit_local_command_token1] = ACTIONS(1887),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1887),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1887),
    [aux_sym_port_token1] = ACTIONS(1887),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1887),
    [aux_sym_protocol_token1] = ACTIONS(1887),
    [aux_sym_proxy_command_token1] = ACTIONS(1887),
    [aux_sym_proxy_jump_token1] = ACTIONS(1887),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1887),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1887),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1887),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1887),
    [aux_sym_rekey_limit_token1] = ACTIONS(1887),
    [aux_sym_remote_command_token1] = ACTIONS(1887),
    [aux_sym_remote_forward_token1] = ACTIONS(1887),
    [aux_sym_request_tty_token1] = ACTIONS(1887),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1887),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1887),
    [aux_sym_security_key_provider_token1] = ACTIONS(1887),
    [aux_sym_send_env_token1] = ACTIONS(1887),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1887),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1887),
    [aux_sym_session_type_token1] = ACTIONS(1887),
    [aux_sym_set_env_token1] = ACTIONS(1887),
    [aux_sym_stdin_null_token1] = ACTIONS(1887),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1887),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1887),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1887),
    [aux_sym_syslog_facility_token1] = ACTIONS(1887),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1887),
    [aux_sym_keep_alive_token1] = ACTIONS(1887),
    [aux_sym_tag_token1] = ACTIONS(1887),
    [aux_sym_tunnel_token1] = ACTIONS(1889),
    [aux_sym_tunnel_device_token1] = ACTIONS(1887),
    [aux_sym_update_host_keys_token1] = ACTIONS(1887),
    [aux_sym_use_keychain_token1] = ACTIONS(1887),
    [aux_sym_use_roaming_token1] = ACTIONS(1887),
    [aux_sym_user_token1] = ACTIONS(1889),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1887),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1887),
    [aux_sym_visual_host_key_token1] = ACTIONS(1887),
    [aux_sym_xauth_location_token1] = ACTIONS(1887),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [aux_sym_match_token1] = ACTIONS(1893),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1893),
    [aux_sym_address_family_token1] = ACTIONS(1893),
    [aux_sym_batch_mode_token1] = ACTIONS(1893),
    [aux_sym_bind_address_token1] = ACTIONS(1893),
    [aux_sym_bind_interface_token1] = ACTIONS(1893),
    [aux_sym_canonical_domains_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1893),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1893),
    [aux_sym_certificate_file_token1] = ACTIONS(1893),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1893),
    [aux_sym_channel_timeout_token1] = ACTIONS(1893),
    [aux_sym_check_host_ip_token1] = ACTIONS(1893),
    [aux_sym_ciphers_token1] = ACTIONS(1893),
    [aux_sym_cipher_token1] = ACTIONS(1895),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1893),
    [aux_sym_compression_token1] = ACTIONS(1893),
    [aux_sym_connection_attempts_token1] = ACTIONS(1893),
    [aux_sym_connect_timeout_token1] = ACTIONS(1893),
    [aux_sym_control_master_token1] = ACTIONS(1893),
    [aux_sym_control_path_token1] = ACTIONS(1893),
    [aux_sym_control_persist_token1] = ACTIONS(1893),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1893),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1893),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1893),
    [aux_sym_escape_char_token1] = ACTIONS(1893),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1893),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1893),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1893),
    [aux_sym_forward_agent_token1] = ACTIONS(1893),
    [aux_sym_forward_x11_token1] = ACTIONS(1895),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1893),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1893),
    [aux_sym_gateway_ports_token1] = ACTIONS(1893),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1893),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1893),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1893),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1893),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1893),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1893),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1893),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1893),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1893),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1893),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1893),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1893),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1893),
    [aux_sym_host_key_alias_token1] = ACTIONS(1893),
    [aux_sym_hostname_token1] = ACTIONS(1893),
    [aux_sym_identities_only_token1] = ACTIONS(1893),
    [aux_sym_identity_agent_token1] = ACTIONS(1893),
    [aux_sym_identity_file_token1] = ACTIONS(1893),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1893),
    [aux_sym_include_token1] = ACTIONS(1893),
    [aux_sym_ip_qos_token1] = ACTIONS(1893),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1893),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1893),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1893),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1893),
    [aux_sym_local_command_token1] = ACTIONS(1893),
    [aux_sym_local_forward_token1] = ACTIONS(1893),
    [aux_sym_log_level_token1] = ACTIONS(1893),
    [aux_sym_log_verbose_token1] = ACTIONS(1893),
    [aux_sym_macs_token1] = ACTIONS(1893),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1893),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1893),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1893),
    [aux_sym_password_authentication_token1] = ACTIONS(1893),
    [aux_sym_permit_local_command_token1] = ACTIONS(1893),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1893),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1893),
    [aux_sym_port_token1] = ACTIONS(1893),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1893),
    [aux_sym_protocol_token1] = ACTIONS(1893),
    [aux_sym_proxy_command_token1] = ACTIONS(1893),
    [aux_sym_proxy_jump_token1] = ACTIONS(1893),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1893),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1893),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1893),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1893),
    [aux_sym_rekey_limit_token1] = ACTIONS(1893),
    [aux_sym_remote_command_token1] = ACTIONS(1893),
    [aux_sym_remote_forward_token1] = ACTIONS(1893),
    [aux_sym_request_tty_token1] = ACTIONS(1893),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1893),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1893),
    [aux_sym_security_key_provider_token1] = ACTIONS(1893),
    [aux_sym_send_env_token1] = ACTIONS(1893),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1893),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1893),
    [aux_sym_session_type_token1] = ACTIONS(1893),
    [aux_sym_set_env_token1] = ACTIONS(1893),
    [aux_sym_stdin_null_token1] = ACTIONS(1893),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1893),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1893),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1893),
    [aux_sym_syslog_facility_token1] = ACTIONS(1893),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1893),
    [aux_sym_keep_alive_token1] = ACTIONS(1893),
    [aux_sym_tag_token1] = ACTIONS(1893),
    [aux_sym_tunnel_token1] = ACTIONS(1895),
    [aux_sym_tunnel_device_token1] = ACTIONS(1893),
    [aux_sym_update_host_keys_token1] = ACTIONS(1893),
    [aux_sym_use_keychain_token1] = ACTIONS(1893),
    [aux_sym_use_roaming_token1] = ACTIONS(1893),
    [aux_sym_user_token1] = ACTIONS(1895),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1893),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1893),
    [aux_sym_visual_host_key_token1] = ACTIONS(1893),
    [aux_sym_xauth_location_token1] = ACTIONS(1893),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1901),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [aux_sym_match_token1] = ACTIONS(1899),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1899),
    [aux_sym_address_family_token1] = ACTIONS(1899),
    [aux_sym_batch_mode_token1] = ACTIONS(1899),
    [aux_sym_bind_address_token1] = ACTIONS(1899),
    [aux_sym_bind_interface_token1] = ACTIONS(1899),
    [aux_sym_canonical_domains_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1899),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1899),
    [aux_sym_certificate_file_token1] = ACTIONS(1899),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1899),
    [aux_sym_channel_timeout_token1] = ACTIONS(1899),
    [aux_sym_check_host_ip_token1] = ACTIONS(1899),
    [aux_sym_ciphers_token1] = ACTIONS(1899),
    [aux_sym_cipher_token1] = ACTIONS(1901),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1899),
    [aux_sym_compression_token1] = ACTIONS(1899),
    [aux_sym_connection_attempts_token1] = ACTIONS(1899),
    [aux_sym_connect_timeout_token1] = ACTIONS(1899),
    [aux_sym_control_master_token1] = ACTIONS(1899),
    [aux_sym_control_path_token1] = ACTIONS(1899),
    [aux_sym_control_persist_token1] = ACTIONS(1899),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1899),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1899),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1899),
    [aux_sym_escape_char_token1] = ACTIONS(1899),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1899),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1899),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1899),
    [aux_sym_forward_agent_token1] = ACTIONS(1899),
    [aux_sym_forward_x11_token1] = ACTIONS(1901),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1899),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1899),
    [aux_sym_gateway_ports_token1] = ACTIONS(1899),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1899),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1899),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1899),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1899),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1899),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1899),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1899),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1899),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1899),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1899),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1899),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1899),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1899),
    [aux_sym_host_key_alias_token1] = ACTIONS(1899),
    [aux_sym_hostname_token1] = ACTIONS(1899),
    [aux_sym_identities_only_token1] = ACTIONS(1899),
    [aux_sym_identity_agent_token1] = ACTIONS(1899),
    [aux_sym_identity_file_token1] = ACTIONS(1899),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1899),
    [aux_sym_include_token1] = ACTIONS(1899),
    [aux_sym_ip_qos_token1] = ACTIONS(1899),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1899),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1899),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1899),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1899),
    [aux_sym_local_command_token1] = ACTIONS(1899),
    [aux_sym_local_forward_token1] = ACTIONS(1899),
    [aux_sym_log_level_token1] = ACTIONS(1899),
    [aux_sym_log_verbose_token1] = ACTIONS(1899),
    [aux_sym_macs_token1] = ACTIONS(1899),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1899),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1899),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1899),
    [aux_sym_password_authentication_token1] = ACTIONS(1899),
    [aux_sym_permit_local_command_token1] = ACTIONS(1899),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1899),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1899),
    [aux_sym_port_token1] = ACTIONS(1899),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1899),
    [aux_sym_protocol_token1] = ACTIONS(1899),
    [aux_sym_proxy_command_token1] = ACTIONS(1899),
    [aux_sym_proxy_jump_token1] = ACTIONS(1899),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1899),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1899),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1899),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1899),
    [aux_sym_rekey_limit_token1] = ACTIONS(1899),
    [aux_sym_remote_command_token1] = ACTIONS(1899),
    [aux_sym_remote_forward_token1] = ACTIONS(1899),
    [aux_sym_request_tty_token1] = ACTIONS(1899),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1899),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1899),
    [aux_sym_security_key_provider_token1] = ACTIONS(1899),
    [aux_sym_send_env_token1] = ACTIONS(1899),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1899),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1899),
    [aux_sym_session_type_token1] = ACTIONS(1899),
    [aux_sym_set_env_token1] = ACTIONS(1899),
    [aux_sym_stdin_null_token1] = ACTIONS(1899),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1899),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1899),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1899),
    [aux_sym_syslog_facility_token1] = ACTIONS(1899),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1899),
    [aux_sym_keep_alive_token1] = ACTIONS(1899),
    [aux_sym_tag_token1] = ACTIONS(1899),
    [aux_sym_tunnel_token1] = ACTIONS(1901),
    [aux_sym_tunnel_device_token1] = ACTIONS(1899),
    [aux_sym_update_host_keys_token1] = ACTIONS(1899),
    [aux_sym_use_keychain_token1] = ACTIONS(1899),
    [aux_sym_use_roaming_token1] = ACTIONS(1899),
    [aux_sym_user_token1] = ACTIONS(1901),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1899),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1899),
    [aux_sym_visual_host_key_token1] = ACTIONS(1899),
    [aux_sym_xauth_location_token1] = ACTIONS(1899),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1909),
    [aux_sym_match_token1] = ACTIONS(1905),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1905),
    [aux_sym_address_family_token1] = ACTIONS(1905),
    [aux_sym_batch_mode_token1] = ACTIONS(1905),
    [aux_sym_bind_address_token1] = ACTIONS(1905),
    [aux_sym_bind_interface_token1] = ACTIONS(1905),
    [aux_sym_canonical_domains_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1905),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1905),
    [aux_sym_certificate_file_token1] = ACTIONS(1905),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1905),
    [aux_sym_channel_timeout_token1] = ACTIONS(1905),
    [aux_sym_check_host_ip_token1] = ACTIONS(1905),
    [aux_sym_ciphers_token1] = ACTIONS(1905),
    [aux_sym_cipher_token1] = ACTIONS(1907),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1905),
    [aux_sym_compression_token1] = ACTIONS(1905),
    [aux_sym_connection_attempts_token1] = ACTIONS(1905),
    [aux_sym_connect_timeout_token1] = ACTIONS(1905),
    [aux_sym_control_master_token1] = ACTIONS(1905),
    [aux_sym_control_path_token1] = ACTIONS(1905),
    [aux_sym_control_persist_token1] = ACTIONS(1905),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1905),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1905),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1905),
    [aux_sym_escape_char_token1] = ACTIONS(1905),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1905),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1905),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1905),
    [aux_sym_forward_agent_token1] = ACTIONS(1905),
    [aux_sym_forward_x11_token1] = ACTIONS(1907),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1905),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1905),
    [aux_sym_gateway_ports_token1] = ACTIONS(1905),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1905),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1905),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1905),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1905),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1905),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1905),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1905),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1905),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1905),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1905),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1905),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1905),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1905),
    [aux_sym_host_key_alias_token1] = ACTIONS(1905),
    [aux_sym_hostname_token1] = ACTIONS(1905),
    [aux_sym_identities_only_token1] = ACTIONS(1905),
    [aux_sym_identity_agent_token1] = ACTIONS(1905),
    [aux_sym_identity_file_token1] = ACTIONS(1905),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1905),
    [aux_sym_include_token1] = ACTIONS(1905),
    [aux_sym_ip_qos_token1] = ACTIONS(1905),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1905),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1905),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1905),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1905),
    [aux_sym_local_command_token1] = ACTIONS(1905),
    [aux_sym_local_forward_token1] = ACTIONS(1905),
    [aux_sym_log_level_token1] = ACTIONS(1905),
    [aux_sym_log_verbose_token1] = ACTIONS(1905),
    [aux_sym_macs_token1] = ACTIONS(1905),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1905),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1905),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1905),
    [aux_sym_password_authentication_token1] = ACTIONS(1905),
    [aux_sym_permit_local_command_token1] = ACTIONS(1905),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1905),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1905),
    [aux_sym_port_token1] = ACTIONS(1905),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1905),
    [aux_sym_protocol_token1] = ACTIONS(1905),
    [aux_sym_proxy_command_token1] = ACTIONS(1905),
    [aux_sym_proxy_jump_token1] = ACTIONS(1905),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1905),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1905),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1905),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1905),
    [aux_sym_rekey_limit_token1] = ACTIONS(1905),
    [aux_sym_remote_command_token1] = ACTIONS(1905),
    [aux_sym_remote_forward_token1] = ACTIONS(1905),
    [aux_sym_request_tty_token1] = ACTIONS(1905),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1905),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1905),
    [aux_sym_security_key_provider_token1] = ACTIONS(1905),
    [aux_sym_send_env_token1] = ACTIONS(1905),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1905),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1905),
    [aux_sym_session_type_token1] = ACTIONS(1905),
    [aux_sym_set_env_token1] = ACTIONS(1905),
    [aux_sym_stdin_null_token1] = ACTIONS(1905),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1905),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1905),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1905),
    [aux_sym_syslog_facility_token1] = ACTIONS(1905),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1905),
    [aux_sym_keep_alive_token1] = ACTIONS(1905),
    [aux_sym_tag_token1] = ACTIONS(1905),
    [aux_sym_tunnel_token1] = ACTIONS(1907),
    [aux_sym_tunnel_device_token1] = ACTIONS(1905),
    [aux_sym_update_host_keys_token1] = ACTIONS(1905),
    [aux_sym_use_keychain_token1] = ACTIONS(1905),
    [aux_sym_use_roaming_token1] = ACTIONS(1905),
    [aux_sym_user_token1] = ACTIONS(1907),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1905),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1905),
    [aux_sym_visual_host_key_token1] = ACTIONS(1905),
    [aux_sym_xauth_location_token1] = ACTIONS(1905),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1913),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [aux_sym_match_token1] = ACTIONS(1911),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1911),
    [aux_sym_address_family_token1] = ACTIONS(1911),
    [aux_sym_batch_mode_token1] = ACTIONS(1911),
    [aux_sym_bind_address_token1] = ACTIONS(1911),
    [aux_sym_bind_interface_token1] = ACTIONS(1911),
    [aux_sym_canonical_domains_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1911),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1911),
    [aux_sym_certificate_file_token1] = ACTIONS(1911),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1911),
    [aux_sym_channel_timeout_token1] = ACTIONS(1911),
    [aux_sym_check_host_ip_token1] = ACTIONS(1911),
    [aux_sym_ciphers_token1] = ACTIONS(1911),
    [aux_sym_cipher_token1] = ACTIONS(1913),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1911),
    [aux_sym_compression_token1] = ACTIONS(1911),
    [aux_sym_connection_attempts_token1] = ACTIONS(1911),
    [aux_sym_connect_timeout_token1] = ACTIONS(1911),
    [aux_sym_control_master_token1] = ACTIONS(1911),
    [aux_sym_control_path_token1] = ACTIONS(1911),
    [aux_sym_control_persist_token1] = ACTIONS(1911),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1911),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1911),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1911),
    [aux_sym_escape_char_token1] = ACTIONS(1911),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1911),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1911),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1911),
    [aux_sym_forward_agent_token1] = ACTIONS(1911),
    [aux_sym_forward_x11_token1] = ACTIONS(1913),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1911),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1911),
    [aux_sym_gateway_ports_token1] = ACTIONS(1911),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1911),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1911),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1911),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1911),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1911),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1911),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1911),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1911),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1911),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1911),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1911),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1911),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1911),
    [aux_sym_host_key_alias_token1] = ACTIONS(1911),
    [aux_sym_hostname_token1] = ACTIONS(1911),
    [aux_sym_identities_only_token1] = ACTIONS(1911),
    [aux_sym_identity_agent_token1] = ACTIONS(1911),
    [aux_sym_identity_file_token1] = ACTIONS(1911),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1911),
    [aux_sym_include_token1] = ACTIONS(1911),
    [aux_sym_ip_qos_token1] = ACTIONS(1911),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1911),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1911),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1911),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1911),
    [aux_sym_local_command_token1] = ACTIONS(1911),
    [aux_sym_local_forward_token1] = ACTIONS(1911),
    [aux_sym_log_level_token1] = ACTIONS(1911),
    [aux_sym_log_verbose_token1] = ACTIONS(1911),
    [aux_sym_macs_token1] = ACTIONS(1911),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1911),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1911),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1911),
    [aux_sym_password_authentication_token1] = ACTIONS(1911),
    [aux_sym_permit_local_command_token1] = ACTIONS(1911),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1911),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1911),
    [aux_sym_port_token1] = ACTIONS(1911),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1911),
    [aux_sym_protocol_token1] = ACTIONS(1911),
    [aux_sym_proxy_command_token1] = ACTIONS(1911),
    [aux_sym_proxy_jump_token1] = ACTIONS(1911),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1911),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1911),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1911),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1911),
    [aux_sym_rekey_limit_token1] = ACTIONS(1911),
    [aux_sym_remote_command_token1] = ACTIONS(1911),
    [aux_sym_remote_forward_token1] = ACTIONS(1911),
    [aux_sym_request_tty_token1] = ACTIONS(1911),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1911),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1911),
    [aux_sym_security_key_provider_token1] = ACTIONS(1911),
    [aux_sym_send_env_token1] = ACTIONS(1911),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1911),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1911),
    [aux_sym_session_type_token1] = ACTIONS(1911),
    [aux_sym_set_env_token1] = ACTIONS(1911),
    [aux_sym_stdin_null_token1] = ACTIONS(1911),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1911),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1911),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1911),
    [aux_sym_syslog_facility_token1] = ACTIONS(1911),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1911),
    [aux_sym_keep_alive_token1] = ACTIONS(1911),
    [aux_sym_tag_token1] = ACTIONS(1911),
    [aux_sym_tunnel_token1] = ACTIONS(1913),
    [aux_sym_tunnel_device_token1] = ACTIONS(1911),
    [aux_sym_update_host_keys_token1] = ACTIONS(1911),
    [aux_sym_use_keychain_token1] = ACTIONS(1911),
    [aux_sym_use_roaming_token1] = ACTIONS(1911),
    [aux_sym_user_token1] = ACTIONS(1913),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1911),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1911),
    [aux_sym_visual_host_key_token1] = ACTIONS(1911),
    [aux_sym_xauth_location_token1] = ACTIONS(1911),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1921),
    [aux_sym_match_token1] = ACTIONS(1917),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1917),
    [aux_sym_address_family_token1] = ACTIONS(1917),
    [aux_sym_batch_mode_token1] = ACTIONS(1917),
    [aux_sym_bind_address_token1] = ACTIONS(1917),
    [aux_sym_bind_interface_token1] = ACTIONS(1917),
    [aux_sym_canonical_domains_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1917),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1917),
    [aux_sym_certificate_file_token1] = ACTIONS(1917),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1917),
    [aux_sym_channel_timeout_token1] = ACTIONS(1917),
    [aux_sym_check_host_ip_token1] = ACTIONS(1917),
    [aux_sym_ciphers_token1] = ACTIONS(1917),
    [aux_sym_cipher_token1] = ACTIONS(1919),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1917),
    [aux_sym_compression_token1] = ACTIONS(1917),
    [aux_sym_connection_attempts_token1] = ACTIONS(1917),
    [aux_sym_connect_timeout_token1] = ACTIONS(1917),
    [aux_sym_control_master_token1] = ACTIONS(1917),
    [aux_sym_control_path_token1] = ACTIONS(1917),
    [aux_sym_control_persist_token1] = ACTIONS(1917),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1917),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1917),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1917),
    [aux_sym_escape_char_token1] = ACTIONS(1917),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1917),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1917),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1917),
    [aux_sym_forward_agent_token1] = ACTIONS(1917),
    [aux_sym_forward_x11_token1] = ACTIONS(1919),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1917),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1917),
    [aux_sym_gateway_ports_token1] = ACTIONS(1917),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1917),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1917),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1917),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1917),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1917),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1917),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1917),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1917),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1917),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1917),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1917),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1917),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1917),
    [aux_sym_host_key_alias_token1] = ACTIONS(1917),
    [aux_sym_hostname_token1] = ACTIONS(1917),
    [aux_sym_identities_only_token1] = ACTIONS(1917),
    [aux_sym_identity_agent_token1] = ACTIONS(1917),
    [aux_sym_identity_file_token1] = ACTIONS(1917),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1917),
    [aux_sym_include_token1] = ACTIONS(1917),
    [aux_sym_ip_qos_token1] = ACTIONS(1917),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1917),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1917),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1917),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1917),
    [aux_sym_local_command_token1] = ACTIONS(1917),
    [aux_sym_local_forward_token1] = ACTIONS(1917),
    [aux_sym_log_level_token1] = ACTIONS(1917),
    [aux_sym_log_verbose_token1] = ACTIONS(1917),
    [aux_sym_macs_token1] = ACTIONS(1917),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1917),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1917),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1917),
    [aux_sym_password_authentication_token1] = ACTIONS(1917),
    [aux_sym_permit_local_command_token1] = ACTIONS(1917),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1917),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1917),
    [aux_sym_port_token1] = ACTIONS(1917),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1917),
    [aux_sym_protocol_token1] = ACTIONS(1917),
    [aux_sym_proxy_command_token1] = ACTIONS(1917),
    [aux_sym_proxy_jump_token1] = ACTIONS(1917),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1917),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1917),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1917),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1917),
    [aux_sym_rekey_limit_token1] = ACTIONS(1917),
    [aux_sym_remote_command_token1] = ACTIONS(1917),
    [aux_sym_remote_forward_token1] = ACTIONS(1917),
    [aux_sym_request_tty_token1] = ACTIONS(1917),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1917),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1917),
    [aux_sym_security_key_provider_token1] = ACTIONS(1917),
    [aux_sym_send_env_token1] = ACTIONS(1917),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1917),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1917),
    [aux_sym_session_type_token1] = ACTIONS(1917),
    [aux_sym_set_env_token1] = ACTIONS(1917),
    [aux_sym_stdin_null_token1] = ACTIONS(1917),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1917),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1917),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1917),
    [aux_sym_syslog_facility_token1] = ACTIONS(1917),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1917),
    [aux_sym_keep_alive_token1] = ACTIONS(1917),
    [aux_sym_tag_token1] = ACTIONS(1917),
    [aux_sym_tunnel_token1] = ACTIONS(1919),
    [aux_sym_tunnel_device_token1] = ACTIONS(1917),
    [aux_sym_update_host_keys_token1] = ACTIONS(1917),
    [aux_sym_use_keychain_token1] = ACTIONS(1917),
    [aux_sym_use_roaming_token1] = ACTIONS(1917),
    [aux_sym_user_token1] = ACTIONS(1919),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1917),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1917),
    [aux_sym_visual_host_key_token1] = ACTIONS(1917),
    [aux_sym_xauth_location_token1] = ACTIONS(1917),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [aux_sym_match_token1] = ACTIONS(1923),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1923),
    [aux_sym_address_family_token1] = ACTIONS(1923),
    [aux_sym_batch_mode_token1] = ACTIONS(1923),
    [aux_sym_bind_address_token1] = ACTIONS(1923),
    [aux_sym_bind_interface_token1] = ACTIONS(1923),
    [aux_sym_canonical_domains_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1923),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1923),
    [aux_sym_certificate_file_token1] = ACTIONS(1923),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1923),
    [aux_sym_channel_timeout_token1] = ACTIONS(1923),
    [aux_sym_check_host_ip_token1] = ACTIONS(1923),
    [aux_sym_ciphers_token1] = ACTIONS(1923),
    [aux_sym_cipher_token1] = ACTIONS(1925),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1923),
    [aux_sym_compression_token1] = ACTIONS(1923),
    [aux_sym_connection_attempts_token1] = ACTIONS(1923),
    [aux_sym_connect_timeout_token1] = ACTIONS(1923),
    [aux_sym_control_master_token1] = ACTIONS(1923),
    [aux_sym_control_path_token1] = ACTIONS(1923),
    [aux_sym_control_persist_token1] = ACTIONS(1923),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1923),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1923),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1923),
    [aux_sym_escape_char_token1] = ACTIONS(1923),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1923),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1923),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1923),
    [aux_sym_forward_agent_token1] = ACTIONS(1923),
    [aux_sym_forward_x11_token1] = ACTIONS(1925),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1923),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1923),
    [aux_sym_gateway_ports_token1] = ACTIONS(1923),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1923),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1923),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1923),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1923),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1923),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1923),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1923),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1923),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1923),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1923),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1923),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1923),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1923),
    [aux_sym_host_key_alias_token1] = ACTIONS(1923),
    [aux_sym_hostname_token1] = ACTIONS(1923),
    [aux_sym_identities_only_token1] = ACTIONS(1923),
    [aux_sym_identity_agent_token1] = ACTIONS(1923),
    [aux_sym_identity_file_token1] = ACTIONS(1923),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1923),
    [aux_sym_include_token1] = ACTIONS(1923),
    [aux_sym_ip_qos_token1] = ACTIONS(1923),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1923),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1923),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1923),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1923),
    [aux_sym_local_command_token1] = ACTIONS(1923),
    [aux_sym_local_forward_token1] = ACTIONS(1923),
    [aux_sym_log_level_token1] = ACTIONS(1923),
    [aux_sym_log_verbose_token1] = ACTIONS(1923),
    [aux_sym_macs_token1] = ACTIONS(1923),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1923),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1923),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1923),
    [aux_sym_password_authentication_token1] = ACTIONS(1923),
    [aux_sym_permit_local_command_token1] = ACTIONS(1923),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1923),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1923),
    [aux_sym_port_token1] = ACTIONS(1923),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1923),
    [aux_sym_protocol_token1] = ACTIONS(1923),
    [aux_sym_proxy_command_token1] = ACTIONS(1923),
    [aux_sym_proxy_jump_token1] = ACTIONS(1923),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1923),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1923),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1923),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1923),
    [aux_sym_rekey_limit_token1] = ACTIONS(1923),
    [aux_sym_remote_command_token1] = ACTIONS(1923),
    [aux_sym_remote_forward_token1] = ACTIONS(1923),
    [aux_sym_request_tty_token1] = ACTIONS(1923),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1923),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1923),
    [aux_sym_security_key_provider_token1] = ACTIONS(1923),
    [aux_sym_send_env_token1] = ACTIONS(1923),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1923),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1923),
    [aux_sym_session_type_token1] = ACTIONS(1923),
    [aux_sym_set_env_token1] = ACTIONS(1923),
    [aux_sym_stdin_null_token1] = ACTIONS(1923),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1923),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1923),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1923),
    [aux_sym_syslog_facility_token1] = ACTIONS(1923),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1923),
    [aux_sym_keep_alive_token1] = ACTIONS(1923),
    [aux_sym_tag_token1] = ACTIONS(1923),
    [aux_sym_tunnel_token1] = ACTIONS(1925),
    [aux_sym_tunnel_device_token1] = ACTIONS(1923),
    [aux_sym_update_host_keys_token1] = ACTIONS(1923),
    [aux_sym_use_keychain_token1] = ACTIONS(1923),
    [aux_sym_use_roaming_token1] = ACTIONS(1923),
    [aux_sym_user_token1] = ACTIONS(1925),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1923),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1923),
    [aux_sym_visual_host_key_token1] = ACTIONS(1923),
    [aux_sym_xauth_location_token1] = ACTIONS(1923),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1929),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(1933),
    [aux_sym_match_token1] = ACTIONS(1929),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1929),
    [aux_sym_address_family_token1] = ACTIONS(1929),
    [aux_sym_batch_mode_token1] = ACTIONS(1929),
    [aux_sym_bind_address_token1] = ACTIONS(1929),
    [aux_sym_bind_interface_token1] = ACTIONS(1929),
    [aux_sym_canonical_domains_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1929),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1929),
    [aux_sym_certificate_file_token1] = ACTIONS(1929),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1929),
    [aux_sym_channel_timeout_token1] = ACTIONS(1929),
    [aux_sym_check_host_ip_token1] = ACTIONS(1929),
    [aux_sym_ciphers_token1] = ACTIONS(1929),
    [aux_sym_cipher_token1] = ACTIONS(1931),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1929),
    [aux_sym_compression_token1] = ACTIONS(1929),
    [aux_sym_connection_attempts_token1] = ACTIONS(1929),
    [aux_sym_connect_timeout_token1] = ACTIONS(1929),
    [aux_sym_control_master_token1] = ACTIONS(1929),
    [aux_sym_control_path_token1] = ACTIONS(1929),
    [aux_sym_control_persist_token1] = ACTIONS(1929),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1929),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1929),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1929),
    [aux_sym_escape_char_token1] = ACTIONS(1929),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1929),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1929),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1929),
    [aux_sym_forward_agent_token1] = ACTIONS(1929),
    [aux_sym_forward_x11_token1] = ACTIONS(1931),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1929),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1929),
    [aux_sym_gateway_ports_token1] = ACTIONS(1929),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1929),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1929),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1929),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1929),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1929),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1929),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1929),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1929),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1929),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1929),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1929),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1929),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1929),
    [aux_sym_host_key_alias_token1] = ACTIONS(1929),
    [aux_sym_hostname_token1] = ACTIONS(1929),
    [aux_sym_identities_only_token1] = ACTIONS(1929),
    [aux_sym_identity_agent_token1] = ACTIONS(1929),
    [aux_sym_identity_file_token1] = ACTIONS(1929),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1929),
    [aux_sym_include_token1] = ACTIONS(1929),
    [aux_sym_ip_qos_token1] = ACTIONS(1929),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1929),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1929),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1929),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1929),
    [aux_sym_local_command_token1] = ACTIONS(1929),
    [aux_sym_local_forward_token1] = ACTIONS(1929),
    [aux_sym_log_level_token1] = ACTIONS(1929),
    [aux_sym_log_verbose_token1] = ACTIONS(1929),
    [aux_sym_macs_token1] = ACTIONS(1929),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1929),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1929),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1929),
    [aux_sym_password_authentication_token1] = ACTIONS(1929),
    [aux_sym_permit_local_command_token1] = ACTIONS(1929),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1929),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1929),
    [aux_sym_port_token1] = ACTIONS(1929),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1929),
    [aux_sym_protocol_token1] = ACTIONS(1929),
    [aux_sym_proxy_command_token1] = ACTIONS(1929),
    [aux_sym_proxy_jump_token1] = ACTIONS(1929),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1929),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1929),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1929),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1929),
    [aux_sym_rekey_limit_token1] = ACTIONS(1929),
    [aux_sym_remote_command_token1] = ACTIONS(1929),
    [aux_sym_remote_forward_token1] = ACTIONS(1929),
    [aux_sym_request_tty_token1] = ACTIONS(1929),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1929),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1929),
    [aux_sym_security_key_provider_token1] = ACTIONS(1929),
    [aux_sym_send_env_token1] = ACTIONS(1929),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1929),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1929),
    [aux_sym_session_type_token1] = ACTIONS(1929),
    [aux_sym_set_env_token1] = ACTIONS(1929),
    [aux_sym_stdin_null_token1] = ACTIONS(1929),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1929),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1929),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1929),
    [aux_sym_syslog_facility_token1] = ACTIONS(1929),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1929),
    [aux_sym_keep_alive_token1] = ACTIONS(1929),
    [aux_sym_tag_token1] = ACTIONS(1929),
    [aux_sym_tunnel_token1] = ACTIONS(1931),
    [aux_sym_tunnel_device_token1] = ACTIONS(1929),
    [aux_sym_update_host_keys_token1] = ACTIONS(1929),
    [aux_sym_use_keychain_token1] = ACTIONS(1929),
    [aux_sym_use_roaming_token1] = ACTIONS(1929),
    [aux_sym_user_token1] = ACTIONS(1931),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1929),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1929),
    [aux_sym_visual_host_key_token1] = ACTIONS(1929),
    [aux_sym_xauth_location_token1] = ACTIONS(1929),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1937),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [aux_sym_match_token1] = ACTIONS(1935),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1935),
    [aux_sym_address_family_token1] = ACTIONS(1935),
    [aux_sym_batch_mode_token1] = ACTIONS(1935),
    [aux_sym_bind_address_token1] = ACTIONS(1935),
    [aux_sym_bind_interface_token1] = ACTIONS(1935),
    [aux_sym_canonical_domains_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1935),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1935),
    [aux_sym_certificate_file_token1] = ACTIONS(1935),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1935),
    [aux_sym_channel_timeout_token1] = ACTIONS(1935),
    [aux_sym_check_host_ip_token1] = ACTIONS(1935),
    [aux_sym_ciphers_token1] = ACTIONS(1935),
    [aux_sym_cipher_token1] = ACTIONS(1937),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1935),
    [aux_sym_compression_token1] = ACTIONS(1935),
    [aux_sym_connection_attempts_token1] = ACTIONS(1935),
    [aux_sym_connect_timeout_token1] = ACTIONS(1935),
    [aux_sym_control_master_token1] = ACTIONS(1935),
    [aux_sym_control_path_token1] = ACTIONS(1935),
    [aux_sym_control_persist_token1] = ACTIONS(1935),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1935),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1935),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1935),
    [aux_sym_escape_char_token1] = ACTIONS(1935),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1935),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1935),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1935),
    [aux_sym_forward_agent_token1] = ACTIONS(1935),
    [aux_sym_forward_x11_token1] = ACTIONS(1937),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1935),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1935),
    [aux_sym_gateway_ports_token1] = ACTIONS(1935),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1935),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1935),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1935),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1935),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1935),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1935),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1935),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1935),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1935),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1935),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1935),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1935),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1935),
    [aux_sym_host_key_alias_token1] = ACTIONS(1935),
    [aux_sym_hostname_token1] = ACTIONS(1935),
    [aux_sym_identities_only_token1] = ACTIONS(1935),
    [aux_sym_identity_agent_token1] = ACTIONS(1935),
    [aux_sym_identity_file_token1] = ACTIONS(1935),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1935),
    [aux_sym_include_token1] = ACTIONS(1935),
    [aux_sym_ip_qos_token1] = ACTIONS(1935),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1935),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1935),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1935),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1935),
    [aux_sym_local_command_token1] = ACTIONS(1935),
    [aux_sym_local_forward_token1] = ACTIONS(1935),
    [aux_sym_log_level_token1] = ACTIONS(1935),
    [aux_sym_log_verbose_token1] = ACTIONS(1935),
    [aux_sym_macs_token1] = ACTIONS(1935),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1935),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1935),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1935),
    [aux_sym_password_authentication_token1] = ACTIONS(1935),
    [aux_sym_permit_local_command_token1] = ACTIONS(1935),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1935),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1935),
    [aux_sym_port_token1] = ACTIONS(1935),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1935),
    [aux_sym_protocol_token1] = ACTIONS(1935),
    [aux_sym_proxy_command_token1] = ACTIONS(1935),
    [aux_sym_proxy_jump_token1] = ACTIONS(1935),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1935),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1935),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1935),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1935),
    [aux_sym_rekey_limit_token1] = ACTIONS(1935),
    [aux_sym_remote_command_token1] = ACTIONS(1935),
    [aux_sym_remote_forward_token1] = ACTIONS(1935),
    [aux_sym_request_tty_token1] = ACTIONS(1935),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1935),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1935),
    [aux_sym_security_key_provider_token1] = ACTIONS(1935),
    [aux_sym_send_env_token1] = ACTIONS(1935),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1935),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1935),
    [aux_sym_session_type_token1] = ACTIONS(1935),
    [aux_sym_set_env_token1] = ACTIONS(1935),
    [aux_sym_stdin_null_token1] = ACTIONS(1935),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1935),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1935),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1935),
    [aux_sym_syslog_facility_token1] = ACTIONS(1935),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1935),
    [aux_sym_keep_alive_token1] = ACTIONS(1935),
    [aux_sym_tag_token1] = ACTIONS(1935),
    [aux_sym_tunnel_token1] = ACTIONS(1937),
    [aux_sym_tunnel_device_token1] = ACTIONS(1935),
    [aux_sym_update_host_keys_token1] = ACTIONS(1935),
    [aux_sym_use_keychain_token1] = ACTIONS(1935),
    [aux_sym_use_roaming_token1] = ACTIONS(1935),
    [aux_sym_user_token1] = ACTIONS(1937),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1935),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1935),
    [aux_sym_visual_host_key_token1] = ACTIONS(1935),
    [aux_sym_xauth_location_token1] = ACTIONS(1935),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1945),
    [aux_sym_match_token1] = ACTIONS(1941),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1941),
    [aux_sym_address_family_token1] = ACTIONS(1941),
    [aux_sym_batch_mode_token1] = ACTIONS(1941),
    [aux_sym_bind_address_token1] = ACTIONS(1941),
    [aux_sym_bind_interface_token1] = ACTIONS(1941),
    [aux_sym_canonical_domains_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1941),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1941),
    [aux_sym_certificate_file_token1] = ACTIONS(1941),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1941),
    [aux_sym_channel_timeout_token1] = ACTIONS(1941),
    [aux_sym_check_host_ip_token1] = ACTIONS(1941),
    [aux_sym_ciphers_token1] = ACTIONS(1941),
    [aux_sym_cipher_token1] = ACTIONS(1943),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1941),
    [aux_sym_compression_token1] = ACTIONS(1941),
    [aux_sym_connection_attempts_token1] = ACTIONS(1941),
    [aux_sym_connect_timeout_token1] = ACTIONS(1941),
    [aux_sym_control_master_token1] = ACTIONS(1941),
    [aux_sym_control_path_token1] = ACTIONS(1941),
    [aux_sym_control_persist_token1] = ACTIONS(1941),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1941),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1941),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1941),
    [aux_sym_escape_char_token1] = ACTIONS(1941),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1941),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1941),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1941),
    [aux_sym_forward_agent_token1] = ACTIONS(1941),
    [aux_sym_forward_x11_token1] = ACTIONS(1943),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1941),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1941),
    [aux_sym_gateway_ports_token1] = ACTIONS(1941),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1941),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1941),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1941),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1941),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1941),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1941),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1941),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1941),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1941),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1941),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1941),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1941),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1941),
    [aux_sym_host_key_alias_token1] = ACTIONS(1941),
    [aux_sym_hostname_token1] = ACTIONS(1941),
    [aux_sym_identities_only_token1] = ACTIONS(1941),
    [aux_sym_identity_agent_token1] = ACTIONS(1941),
    [aux_sym_identity_file_token1] = ACTIONS(1941),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1941),
    [aux_sym_include_token1] = ACTIONS(1941),
    [aux_sym_ip_qos_token1] = ACTIONS(1941),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1941),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1941),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1941),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1941),
    [aux_sym_local_command_token1] = ACTIONS(1941),
    [aux_sym_local_forward_token1] = ACTIONS(1941),
    [aux_sym_log_level_token1] = ACTIONS(1941),
    [aux_sym_log_verbose_token1] = ACTIONS(1941),
    [aux_sym_macs_token1] = ACTIONS(1941),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1941),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1941),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1941),
    [aux_sym_password_authentication_token1] = ACTIONS(1941),
    [aux_sym_permit_local_command_token1] = ACTIONS(1941),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1941),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1941),
    [aux_sym_port_token1] = ACTIONS(1941),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1941),
    [aux_sym_protocol_token1] = ACTIONS(1941),
    [aux_sym_proxy_command_token1] = ACTIONS(1941),
    [aux_sym_proxy_jump_token1] = ACTIONS(1941),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1941),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1941),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1941),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1941),
    [aux_sym_rekey_limit_token1] = ACTIONS(1941),
    [aux_sym_remote_command_token1] = ACTIONS(1941),
    [aux_sym_remote_forward_token1] = ACTIONS(1941),
    [aux_sym_request_tty_token1] = ACTIONS(1941),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1941),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1941),
    [aux_sym_security_key_provider_token1] = ACTIONS(1941),
    [aux_sym_send_env_token1] = ACTIONS(1941),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1941),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1941),
    [aux_sym_session_type_token1] = ACTIONS(1941),
    [aux_sym_set_env_token1] = ACTIONS(1941),
    [aux_sym_stdin_null_token1] = ACTIONS(1941),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1941),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1941),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1941),
    [aux_sym_syslog_facility_token1] = ACTIONS(1941),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1941),
    [aux_sym_keep_alive_token1] = ACTIONS(1941),
    [aux_sym_tag_token1] = ACTIONS(1941),
    [aux_sym_tunnel_token1] = ACTIONS(1943),
    [aux_sym_tunnel_device_token1] = ACTIONS(1941),
    [aux_sym_update_host_keys_token1] = ACTIONS(1941),
    [aux_sym_use_keychain_token1] = ACTIONS(1941),
    [aux_sym_use_roaming_token1] = ACTIONS(1941),
    [aux_sym_user_token1] = ACTIONS(1943),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1941),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1941),
    [aux_sym_visual_host_key_token1] = ACTIONS(1941),
    [aux_sym_xauth_location_token1] = ACTIONS(1941),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(1951),
    [aux_sym_match_token1] = ACTIONS(1947),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1947),
    [aux_sym_address_family_token1] = ACTIONS(1947),
    [aux_sym_batch_mode_token1] = ACTIONS(1947),
    [aux_sym_bind_address_token1] = ACTIONS(1947),
    [aux_sym_bind_interface_token1] = ACTIONS(1947),
    [aux_sym_canonical_domains_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1947),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1947),
    [aux_sym_certificate_file_token1] = ACTIONS(1947),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1947),
    [aux_sym_channel_timeout_token1] = ACTIONS(1947),
    [aux_sym_check_host_ip_token1] = ACTIONS(1947),
    [aux_sym_ciphers_token1] = ACTIONS(1947),
    [aux_sym_cipher_token1] = ACTIONS(1949),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1947),
    [aux_sym_compression_token1] = ACTIONS(1947),
    [aux_sym_connection_attempts_token1] = ACTIONS(1947),
    [aux_sym_connect_timeout_token1] = ACTIONS(1947),
    [aux_sym_control_master_token1] = ACTIONS(1947),
    [aux_sym_control_path_token1] = ACTIONS(1947),
    [aux_sym_control_persist_token1] = ACTIONS(1947),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1947),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1947),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1947),
    [aux_sym_escape_char_token1] = ACTIONS(1947),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1947),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1947),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1947),
    [aux_sym_forward_agent_token1] = ACTIONS(1947),
    [aux_sym_forward_x11_token1] = ACTIONS(1949),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1947),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1947),
    [aux_sym_gateway_ports_token1] = ACTIONS(1947),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1947),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1947),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1947),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1947),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1947),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1947),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1947),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1947),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1947),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1947),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1947),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1947),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1947),
    [aux_sym_host_key_alias_token1] = ACTIONS(1947),
    [aux_sym_hostname_token1] = ACTIONS(1947),
    [aux_sym_identities_only_token1] = ACTIONS(1947),
    [aux_sym_identity_agent_token1] = ACTIONS(1947),
    [aux_sym_identity_file_token1] = ACTIONS(1947),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1947),
    [aux_sym_include_token1] = ACTIONS(1947),
    [aux_sym_ip_qos_token1] = ACTIONS(1947),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1947),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1947),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1947),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1947),
    [aux_sym_local_command_token1] = ACTIONS(1947),
    [aux_sym_local_forward_token1] = ACTIONS(1947),
    [aux_sym_log_level_token1] = ACTIONS(1947),
    [aux_sym_log_verbose_token1] = ACTIONS(1947),
    [aux_sym_macs_token1] = ACTIONS(1947),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1947),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1947),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1947),
    [aux_sym_password_authentication_token1] = ACTIONS(1947),
    [aux_sym_permit_local_command_token1] = ACTIONS(1947),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1947),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1947),
    [aux_sym_port_token1] = ACTIONS(1947),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1947),
    [aux_sym_protocol_token1] = ACTIONS(1947),
    [aux_sym_proxy_command_token1] = ACTIONS(1947),
    [aux_sym_proxy_jump_token1] = ACTIONS(1947),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1947),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1947),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1947),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1947),
    [aux_sym_rekey_limit_token1] = ACTIONS(1947),
    [aux_sym_remote_command_token1] = ACTIONS(1947),
    [aux_sym_remote_forward_token1] = ACTIONS(1947),
    [aux_sym_request_tty_token1] = ACTIONS(1947),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1947),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1947),
    [aux_sym_security_key_provider_token1] = ACTIONS(1947),
    [aux_sym_send_env_token1] = ACTIONS(1947),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1947),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1947),
    [aux_sym_session_type_token1] = ACTIONS(1947),
    [aux_sym_set_env_token1] = ACTIONS(1947),
    [aux_sym_stdin_null_token1] = ACTIONS(1947),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1947),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1947),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1947),
    [aux_sym_syslog_facility_token1] = ACTIONS(1947),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1947),
    [aux_sym_keep_alive_token1] = ACTIONS(1947),
    [aux_sym_tag_token1] = ACTIONS(1947),
    [aux_sym_tunnel_token1] = ACTIONS(1949),
    [aux_sym_tunnel_device_token1] = ACTIONS(1947),
    [aux_sym_update_host_keys_token1] = ACTIONS(1947),
    [aux_sym_use_keychain_token1] = ACTIONS(1947),
    [aux_sym_use_roaming_token1] = ACTIONS(1947),
    [aux_sym_user_token1] = ACTIONS(1949),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1947),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1947),
    [aux_sym_visual_host_key_token1] = ACTIONS(1947),
    [aux_sym_xauth_location_token1] = ACTIONS(1947),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(1957),
    [aux_sym_match_token1] = ACTIONS(1953),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1953),
    [aux_sym_address_family_token1] = ACTIONS(1953),
    [aux_sym_batch_mode_token1] = ACTIONS(1953),
    [aux_sym_bind_address_token1] = ACTIONS(1953),
    [aux_sym_bind_interface_token1] = ACTIONS(1953),
    [aux_sym_canonical_domains_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1953),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1953),
    [aux_sym_certificate_file_token1] = ACTIONS(1953),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1953),
    [aux_sym_channel_timeout_token1] = ACTIONS(1953),
    [aux_sym_check_host_ip_token1] = ACTIONS(1953),
    [aux_sym_ciphers_token1] = ACTIONS(1953),
    [aux_sym_cipher_token1] = ACTIONS(1955),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1953),
    [aux_sym_compression_token1] = ACTIONS(1953),
    [aux_sym_connection_attempts_token1] = ACTIONS(1953),
    [aux_sym_connect_timeout_token1] = ACTIONS(1953),
    [aux_sym_control_master_token1] = ACTIONS(1953),
    [aux_sym_control_path_token1] = ACTIONS(1953),
    [aux_sym_control_persist_token1] = ACTIONS(1953),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1953),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1953),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1953),
    [aux_sym_escape_char_token1] = ACTIONS(1953),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1953),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1953),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1953),
    [aux_sym_forward_agent_token1] = ACTIONS(1953),
    [aux_sym_forward_x11_token1] = ACTIONS(1955),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1953),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1953),
    [aux_sym_gateway_ports_token1] = ACTIONS(1953),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1953),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1953),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1953),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1953),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1953),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1953),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1953),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1953),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1953),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1953),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1953),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1953),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1953),
    [aux_sym_host_key_alias_token1] = ACTIONS(1953),
    [aux_sym_hostname_token1] = ACTIONS(1953),
    [aux_sym_identities_only_token1] = ACTIONS(1953),
    [aux_sym_identity_agent_token1] = ACTIONS(1953),
    [aux_sym_identity_file_token1] = ACTIONS(1953),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1953),
    [aux_sym_include_token1] = ACTIONS(1953),
    [aux_sym_ip_qos_token1] = ACTIONS(1953),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1953),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1953),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1953),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1953),
    [aux_sym_local_command_token1] = ACTIONS(1953),
    [aux_sym_local_forward_token1] = ACTIONS(1953),
    [aux_sym_log_level_token1] = ACTIONS(1953),
    [aux_sym_log_verbose_token1] = ACTIONS(1953),
    [aux_sym_macs_token1] = ACTIONS(1953),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1953),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1953),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1953),
    [aux_sym_password_authentication_token1] = ACTIONS(1953),
    [aux_sym_permit_local_command_token1] = ACTIONS(1953),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1953),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1953),
    [aux_sym_port_token1] = ACTIONS(1953),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1953),
    [aux_sym_protocol_token1] = ACTIONS(1953),
    [aux_sym_proxy_command_token1] = ACTIONS(1953),
    [aux_sym_proxy_jump_token1] = ACTIONS(1953),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1953),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1953),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1953),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1953),
    [aux_sym_rekey_limit_token1] = ACTIONS(1953),
    [aux_sym_remote_command_token1] = ACTIONS(1953),
    [aux_sym_remote_forward_token1] = ACTIONS(1953),
    [aux_sym_request_tty_token1] = ACTIONS(1953),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1953),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1953),
    [aux_sym_security_key_provider_token1] = ACTIONS(1953),
    [aux_sym_send_env_token1] = ACTIONS(1953),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1953),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1953),
    [aux_sym_session_type_token1] = ACTIONS(1953),
    [aux_sym_set_env_token1] = ACTIONS(1953),
    [aux_sym_stdin_null_token1] = ACTIONS(1953),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1953),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1953),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1953),
    [aux_sym_syslog_facility_token1] = ACTIONS(1953),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1953),
    [aux_sym_keep_alive_token1] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1953),
    [aux_sym_tunnel_token1] = ACTIONS(1955),
    [aux_sym_tunnel_device_token1] = ACTIONS(1953),
    [aux_sym_update_host_keys_token1] = ACTIONS(1953),
    [aux_sym_use_keychain_token1] = ACTIONS(1953),
    [aux_sym_use_roaming_token1] = ACTIONS(1953),
    [aux_sym_user_token1] = ACTIONS(1955),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1953),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1953),
    [aux_sym_visual_host_key_token1] = ACTIONS(1953),
    [aux_sym_xauth_location_token1] = ACTIONS(1953),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1959),
    [aux_sym_match_token1] = ACTIONS(1959),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1959),
    [aux_sym_address_family_token1] = ACTIONS(1959),
    [aux_sym_batch_mode_token1] = ACTIONS(1959),
    [aux_sym_bind_address_token1] = ACTIONS(1959),
    [aux_sym_bind_interface_token1] = ACTIONS(1959),
    [aux_sym_canonical_domains_token1] = ACTIONS(1959),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1959),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1959),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1959),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1959),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1959),
    [aux_sym_certificate_file_token1] = ACTIONS(1959),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1959),
    [aux_sym_channel_timeout_token1] = ACTIONS(1959),
    [aux_sym_check_host_ip_token1] = ACTIONS(1959),
    [aux_sym_ciphers_token1] = ACTIONS(1959),
    [aux_sym_cipher_token1] = ACTIONS(1961),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1959),
    [aux_sym_compression_token1] = ACTIONS(1959),
    [aux_sym_connection_attempts_token1] = ACTIONS(1959),
    [aux_sym_connect_timeout_token1] = ACTIONS(1959),
    [aux_sym_control_master_token1] = ACTIONS(1959),
    [aux_sym_control_path_token1] = ACTIONS(1959),
    [aux_sym_control_persist_token1] = ACTIONS(1959),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1959),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1959),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1959),
    [aux_sym_escape_char_token1] = ACTIONS(1959),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1959),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1959),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1959),
    [aux_sym_forward_agent_token1] = ACTIONS(1959),
    [aux_sym_forward_x11_token1] = ACTIONS(1961),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1959),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1959),
    [aux_sym_gateway_ports_token1] = ACTIONS(1959),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1959),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1959),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1959),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1959),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1959),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1959),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1959),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1959),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1959),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1959),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1959),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1959),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1959),
    [aux_sym_host_key_alias_token1] = ACTIONS(1959),
    [aux_sym_hostname_token1] = ACTIONS(1959),
    [aux_sym_identities_only_token1] = ACTIONS(1959),
    [aux_sym_identity_agent_token1] = ACTIONS(1959),
    [aux_sym_identity_file_token1] = ACTIONS(1959),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1959),
    [aux_sym_include_token1] = ACTIONS(1959),
    [aux_sym_ip_qos_token1] = ACTIONS(1959),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1959),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1959),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1959),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1959),
    [aux_sym_local_command_token1] = ACTIONS(1959),
    [aux_sym_local_forward_token1] = ACTIONS(1959),
    [aux_sym_log_level_token1] = ACTIONS(1959),
    [aux_sym_log_verbose_token1] = ACTIONS(1959),
    [aux_sym_macs_token1] = ACTIONS(1959),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1959),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1959),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1959),
    [aux_sym_password_authentication_token1] = ACTIONS(1959),
    [aux_sym_permit_local_command_token1] = ACTIONS(1959),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1959),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1959),
    [aux_sym_port_token1] = ACTIONS(1959),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1959),
    [aux_sym_protocol_token1] = ACTIONS(1959),
    [aux_sym_proxy_command_token1] = ACTIONS(1959),
    [aux_sym_proxy_jump_token1] = ACTIONS(1959),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1959),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1959),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1959),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1959),
    [aux_sym_rekey_limit_token1] = ACTIONS(1959),
    [aux_sym_remote_command_token1] = ACTIONS(1959),
    [aux_sym_remote_forward_token1] = ACTIONS(1959),
    [aux_sym_request_tty_token1] = ACTIONS(1959),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1959),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1959),
    [aux_sym_security_key_provider_token1] = ACTIONS(1959),
    [aux_sym_send_env_token1] = ACTIONS(1959),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1959),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1959),
    [aux_sym_session_type_token1] = ACTIONS(1959),
    [aux_sym_set_env_token1] = ACTIONS(1959),
    [aux_sym_stdin_null_token1] = ACTIONS(1959),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1959),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1959),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1959),
    [aux_sym_syslog_facility_token1] = ACTIONS(1959),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1959),
    [aux_sym_keep_alive_token1] = ACTIONS(1959),
    [aux_sym_tag_token1] = ACTIONS(1959),
    [aux_sym_tunnel_token1] = ACTIONS(1961),
    [aux_sym_tunnel_device_token1] = ACTIONS(1959),
    [aux_sym_update_host_keys_token1] = ACTIONS(1959),
    [aux_sym_use_keychain_token1] = ACTIONS(1959),
    [aux_sym_use_roaming_token1] = ACTIONS(1959),
    [aux_sym_user_token1] = ACTIONS(1961),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1959),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1959),
    [aux_sym_visual_host_key_token1] = ACTIONS(1959),
    [aux_sym_xauth_location_token1] = ACTIONS(1959),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1965),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [aux_sym_match_token1] = ACTIONS(1963),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1963),
    [aux_sym_address_family_token1] = ACTIONS(1963),
    [aux_sym_batch_mode_token1] = ACTIONS(1963),
    [aux_sym_bind_address_token1] = ACTIONS(1963),
    [aux_sym_bind_interface_token1] = ACTIONS(1963),
    [aux_sym_canonical_domains_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1963),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1963),
    [aux_sym_certificate_file_token1] = ACTIONS(1963),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1963),
    [aux_sym_channel_timeout_token1] = ACTIONS(1963),
    [aux_sym_check_host_ip_token1] = ACTIONS(1963),
    [aux_sym_ciphers_token1] = ACTIONS(1963),
    [aux_sym_cipher_token1] = ACTIONS(1965),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1963),
    [aux_sym_compression_token1] = ACTIONS(1963),
    [aux_sym_connection_attempts_token1] = ACTIONS(1963),
    [aux_sym_connect_timeout_token1] = ACTIONS(1963),
    [aux_sym_control_master_token1] = ACTIONS(1963),
    [aux_sym_control_path_token1] = ACTIONS(1963),
    [aux_sym_control_persist_token1] = ACTIONS(1963),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1963),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1963),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1963),
    [aux_sym_escape_char_token1] = ACTIONS(1963),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1963),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1963),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1963),
    [aux_sym_forward_agent_token1] = ACTIONS(1963),
    [aux_sym_forward_x11_token1] = ACTIONS(1965),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1963),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1963),
    [aux_sym_gateway_ports_token1] = ACTIONS(1963),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1963),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1963),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1963),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1963),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1963),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1963),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1963),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1963),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1963),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1963),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1963),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1963),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1963),
    [aux_sym_host_key_alias_token1] = ACTIONS(1963),
    [aux_sym_hostname_token1] = ACTIONS(1963),
    [aux_sym_identities_only_token1] = ACTIONS(1963),
    [aux_sym_identity_agent_token1] = ACTIONS(1963),
    [aux_sym_identity_file_token1] = ACTIONS(1963),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1963),
    [aux_sym_include_token1] = ACTIONS(1963),
    [aux_sym_ip_qos_token1] = ACTIONS(1963),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1963),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1963),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1963),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1963),
    [aux_sym_local_command_token1] = ACTIONS(1963),
    [aux_sym_local_forward_token1] = ACTIONS(1963),
    [aux_sym_log_level_token1] = ACTIONS(1963),
    [aux_sym_log_verbose_token1] = ACTIONS(1963),
    [aux_sym_macs_token1] = ACTIONS(1963),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1963),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1963),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1963),
    [aux_sym_password_authentication_token1] = ACTIONS(1963),
    [aux_sym_permit_local_command_token1] = ACTIONS(1963),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1963),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1963),
    [aux_sym_port_token1] = ACTIONS(1963),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1963),
    [aux_sym_protocol_token1] = ACTIONS(1963),
    [aux_sym_proxy_command_token1] = ACTIONS(1963),
    [aux_sym_proxy_jump_token1] = ACTIONS(1963),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1963),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1963),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1963),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1963),
    [aux_sym_rekey_limit_token1] = ACTIONS(1963),
    [aux_sym_remote_command_token1] = ACTIONS(1963),
    [aux_sym_remote_forward_token1] = ACTIONS(1963),
    [aux_sym_request_tty_token1] = ACTIONS(1963),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1963),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1963),
    [aux_sym_security_key_provider_token1] = ACTIONS(1963),
    [aux_sym_send_env_token1] = ACTIONS(1963),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1963),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1963),
    [aux_sym_session_type_token1] = ACTIONS(1963),
    [aux_sym_set_env_token1] = ACTIONS(1963),
    [aux_sym_stdin_null_token1] = ACTIONS(1963),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1963),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1963),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1963),
    [aux_sym_syslog_facility_token1] = ACTIONS(1963),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1963),
    [aux_sym_keep_alive_token1] = ACTIONS(1963),
    [aux_sym_tag_token1] = ACTIONS(1963),
    [aux_sym_tunnel_token1] = ACTIONS(1965),
    [aux_sym_tunnel_device_token1] = ACTIONS(1963),
    [aux_sym_update_host_keys_token1] = ACTIONS(1963),
    [aux_sym_use_keychain_token1] = ACTIONS(1963),
    [aux_sym_use_roaming_token1] = ACTIONS(1963),
    [aux_sym_user_token1] = ACTIONS(1965),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1963),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1963),
    [aux_sym_visual_host_key_token1] = ACTIONS(1963),
    [aux_sym_xauth_location_token1] = ACTIONS(1963),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [aux_sym_match_token1] = ACTIONS(1969),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1969),
    [aux_sym_address_family_token1] = ACTIONS(1969),
    [aux_sym_batch_mode_token1] = ACTIONS(1969),
    [aux_sym_bind_address_token1] = ACTIONS(1969),
    [aux_sym_bind_interface_token1] = ACTIONS(1969),
    [aux_sym_canonical_domains_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1969),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1969),
    [aux_sym_certificate_file_token1] = ACTIONS(1969),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1969),
    [aux_sym_channel_timeout_token1] = ACTIONS(1969),
    [aux_sym_check_host_ip_token1] = ACTIONS(1969),
    [aux_sym_ciphers_token1] = ACTIONS(1969),
    [aux_sym_cipher_token1] = ACTIONS(1971),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1969),
    [aux_sym_compression_token1] = ACTIONS(1969),
    [aux_sym_connection_attempts_token1] = ACTIONS(1969),
    [aux_sym_connect_timeout_token1] = ACTIONS(1969),
    [aux_sym_control_master_token1] = ACTIONS(1969),
    [aux_sym_control_path_token1] = ACTIONS(1969),
    [aux_sym_control_persist_token1] = ACTIONS(1969),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1969),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1969),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1969),
    [aux_sym_escape_char_token1] = ACTIONS(1969),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1969),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1969),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1969),
    [aux_sym_forward_agent_token1] = ACTIONS(1969),
    [aux_sym_forward_x11_token1] = ACTIONS(1971),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1969),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1969),
    [aux_sym_gateway_ports_token1] = ACTIONS(1969),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1969),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1969),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1969),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1969),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1969),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1969),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1969),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1969),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1969),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1969),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1969),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1969),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1969),
    [aux_sym_host_key_alias_token1] = ACTIONS(1969),
    [aux_sym_hostname_token1] = ACTIONS(1969),
    [aux_sym_identities_only_token1] = ACTIONS(1969),
    [aux_sym_identity_agent_token1] = ACTIONS(1969),
    [aux_sym_identity_file_token1] = ACTIONS(1969),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1969),
    [aux_sym_include_token1] = ACTIONS(1969),
    [aux_sym_ip_qos_token1] = ACTIONS(1969),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1969),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1969),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1969),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1969),
    [aux_sym_local_command_token1] = ACTIONS(1969),
    [aux_sym_local_forward_token1] = ACTIONS(1969),
    [aux_sym_log_level_token1] = ACTIONS(1969),
    [aux_sym_log_verbose_token1] = ACTIONS(1969),
    [aux_sym_macs_token1] = ACTIONS(1969),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1969),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1969),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1969),
    [aux_sym_password_authentication_token1] = ACTIONS(1969),
    [aux_sym_permit_local_command_token1] = ACTIONS(1969),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1969),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1969),
    [aux_sym_port_token1] = ACTIONS(1969),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1969),
    [aux_sym_protocol_token1] = ACTIONS(1969),
    [aux_sym_proxy_command_token1] = ACTIONS(1969),
    [aux_sym_proxy_jump_token1] = ACTIONS(1969),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1969),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1969),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1969),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1969),
    [aux_sym_rekey_limit_token1] = ACTIONS(1969),
    [aux_sym_remote_command_token1] = ACTIONS(1969),
    [aux_sym_remote_forward_token1] = ACTIONS(1969),
    [aux_sym_request_tty_token1] = ACTIONS(1969),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1969),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1969),
    [aux_sym_security_key_provider_token1] = ACTIONS(1969),
    [aux_sym_send_env_token1] = ACTIONS(1969),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1969),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1969),
    [aux_sym_session_type_token1] = ACTIONS(1969),
    [aux_sym_set_env_token1] = ACTIONS(1969),
    [aux_sym_stdin_null_token1] = ACTIONS(1969),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1969),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1969),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1969),
    [aux_sym_syslog_facility_token1] = ACTIONS(1969),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1969),
    [aux_sym_keep_alive_token1] = ACTIONS(1969),
    [aux_sym_tag_token1] = ACTIONS(1969),
    [aux_sym_tunnel_token1] = ACTIONS(1971),
    [aux_sym_tunnel_device_token1] = ACTIONS(1969),
    [aux_sym_update_host_keys_token1] = ACTIONS(1969),
    [aux_sym_use_keychain_token1] = ACTIONS(1969),
    [aux_sym_use_roaming_token1] = ACTIONS(1969),
    [aux_sym_user_token1] = ACTIONS(1971),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1969),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1969),
    [aux_sym_visual_host_key_token1] = ACTIONS(1969),
    [aux_sym_xauth_location_token1] = ACTIONS(1969),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1977),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [aux_sym_match_token1] = ACTIONS(1975),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1975),
    [aux_sym_address_family_token1] = ACTIONS(1975),
    [aux_sym_batch_mode_token1] = ACTIONS(1975),
    [aux_sym_bind_address_token1] = ACTIONS(1975),
    [aux_sym_bind_interface_token1] = ACTIONS(1975),
    [aux_sym_canonical_domains_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1975),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1975),
    [aux_sym_certificate_file_token1] = ACTIONS(1975),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1975),
    [aux_sym_channel_timeout_token1] = ACTIONS(1975),
    [aux_sym_check_host_ip_token1] = ACTIONS(1975),
    [aux_sym_ciphers_token1] = ACTIONS(1975),
    [aux_sym_cipher_token1] = ACTIONS(1977),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1975),
    [aux_sym_compression_token1] = ACTIONS(1975),
    [aux_sym_connection_attempts_token1] = ACTIONS(1975),
    [aux_sym_connect_timeout_token1] = ACTIONS(1975),
    [aux_sym_control_master_token1] = ACTIONS(1975),
    [aux_sym_control_path_token1] = ACTIONS(1975),
    [aux_sym_control_persist_token1] = ACTIONS(1975),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1975),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1975),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1975),
    [aux_sym_escape_char_token1] = ACTIONS(1975),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1975),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1975),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1975),
    [aux_sym_forward_agent_token1] = ACTIONS(1975),
    [aux_sym_forward_x11_token1] = ACTIONS(1977),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1975),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1975),
    [aux_sym_gateway_ports_token1] = ACTIONS(1975),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1975),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1975),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1975),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1975),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1975),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1975),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1975),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1975),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1975),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1975),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1975),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1975),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1975),
    [aux_sym_host_key_alias_token1] = ACTIONS(1975),
    [aux_sym_hostname_token1] = ACTIONS(1975),
    [aux_sym_identities_only_token1] = ACTIONS(1975),
    [aux_sym_identity_agent_token1] = ACTIONS(1975),
    [aux_sym_identity_file_token1] = ACTIONS(1975),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1975),
    [aux_sym_include_token1] = ACTIONS(1975),
    [aux_sym_ip_qos_token1] = ACTIONS(1975),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1975),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1975),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1975),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1975),
    [aux_sym_local_command_token1] = ACTIONS(1975),
    [aux_sym_local_forward_token1] = ACTIONS(1975),
    [aux_sym_log_level_token1] = ACTIONS(1975),
    [aux_sym_log_verbose_token1] = ACTIONS(1975),
    [aux_sym_macs_token1] = ACTIONS(1975),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1975),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1975),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1975),
    [aux_sym_password_authentication_token1] = ACTIONS(1975),
    [aux_sym_permit_local_command_token1] = ACTIONS(1975),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1975),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1975),
    [aux_sym_port_token1] = ACTIONS(1975),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1975),
    [aux_sym_protocol_token1] = ACTIONS(1975),
    [aux_sym_proxy_command_token1] = ACTIONS(1975),
    [aux_sym_proxy_jump_token1] = ACTIONS(1975),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1975),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1975),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1975),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1975),
    [aux_sym_rekey_limit_token1] = ACTIONS(1975),
    [aux_sym_remote_command_token1] = ACTIONS(1975),
    [aux_sym_remote_forward_token1] = ACTIONS(1975),
    [aux_sym_request_tty_token1] = ACTIONS(1975),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1975),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1975),
    [aux_sym_security_key_provider_token1] = ACTIONS(1975),
    [aux_sym_send_env_token1] = ACTIONS(1975),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1975),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1975),
    [aux_sym_session_type_token1] = ACTIONS(1975),
    [aux_sym_set_env_token1] = ACTIONS(1975),
    [aux_sym_stdin_null_token1] = ACTIONS(1975),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1975),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1975),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1975),
    [aux_sym_syslog_facility_token1] = ACTIONS(1975),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1975),
    [aux_sym_keep_alive_token1] = ACTIONS(1975),
    [aux_sym_tag_token1] = ACTIONS(1975),
    [aux_sym_tunnel_token1] = ACTIONS(1977),
    [aux_sym_tunnel_device_token1] = ACTIONS(1975),
    [aux_sym_update_host_keys_token1] = ACTIONS(1975),
    [aux_sym_use_keychain_token1] = ACTIONS(1975),
    [aux_sym_use_roaming_token1] = ACTIONS(1975),
    [aux_sym_user_token1] = ACTIONS(1977),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1975),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1975),
    [aux_sym_visual_host_key_token1] = ACTIONS(1975),
    [aux_sym_xauth_location_token1] = ACTIONS(1975),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(1985),
    [aux_sym_match_token1] = ACTIONS(1981),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1981),
    [aux_sym_address_family_token1] = ACTIONS(1981),
    [aux_sym_batch_mode_token1] = ACTIONS(1981),
    [aux_sym_bind_address_token1] = ACTIONS(1981),
    [aux_sym_bind_interface_token1] = ACTIONS(1981),
    [aux_sym_canonical_domains_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1981),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1981),
    [aux_sym_certificate_file_token1] = ACTIONS(1981),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1981),
    [aux_sym_channel_timeout_token1] = ACTIONS(1981),
    [aux_sym_check_host_ip_token1] = ACTIONS(1981),
    [aux_sym_ciphers_token1] = ACTIONS(1981),
    [aux_sym_cipher_token1] = ACTIONS(1983),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1981),
    [aux_sym_compression_token1] = ACTIONS(1981),
    [aux_sym_connection_attempts_token1] = ACTIONS(1981),
    [aux_sym_connect_timeout_token1] = ACTIONS(1981),
    [aux_sym_control_master_token1] = ACTIONS(1981),
    [aux_sym_control_path_token1] = ACTIONS(1981),
    [aux_sym_control_persist_token1] = ACTIONS(1981),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1981),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1981),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1981),
    [aux_sym_escape_char_token1] = ACTIONS(1981),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1981),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1981),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1981),
    [aux_sym_forward_agent_token1] = ACTIONS(1981),
    [aux_sym_forward_x11_token1] = ACTIONS(1983),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1981),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1981),
    [aux_sym_gateway_ports_token1] = ACTIONS(1981),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1981),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1981),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1981),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1981),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1981),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1981),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1981),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1981),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1981),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1981),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1981),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1981),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1981),
    [aux_sym_host_key_alias_token1] = ACTIONS(1981),
    [aux_sym_hostname_token1] = ACTIONS(1981),
    [aux_sym_identities_only_token1] = ACTIONS(1981),
    [aux_sym_identity_agent_token1] = ACTIONS(1981),
    [aux_sym_identity_file_token1] = ACTIONS(1981),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1981),
    [aux_sym_include_token1] = ACTIONS(1981),
    [aux_sym_ip_qos_token1] = ACTIONS(1981),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1981),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1981),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1981),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1981),
    [aux_sym_local_command_token1] = ACTIONS(1981),
    [aux_sym_local_forward_token1] = ACTIONS(1981),
    [aux_sym_log_level_token1] = ACTIONS(1981),
    [aux_sym_log_verbose_token1] = ACTIONS(1981),
    [aux_sym_macs_token1] = ACTIONS(1981),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1981),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1981),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1981),
    [aux_sym_password_authentication_token1] = ACTIONS(1981),
    [aux_sym_permit_local_command_token1] = ACTIONS(1981),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1981),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1981),
    [aux_sym_port_token1] = ACTIONS(1981),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1981),
    [aux_sym_protocol_token1] = ACTIONS(1981),
    [aux_sym_proxy_command_token1] = ACTIONS(1981),
    [aux_sym_proxy_jump_token1] = ACTIONS(1981),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1981),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1981),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1981),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1981),
    [aux_sym_rekey_limit_token1] = ACTIONS(1981),
    [aux_sym_remote_command_token1] = ACTIONS(1981),
    [aux_sym_remote_forward_token1] = ACTIONS(1981),
    [aux_sym_request_tty_token1] = ACTIONS(1981),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1981),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1981),
    [aux_sym_security_key_provider_token1] = ACTIONS(1981),
    [aux_sym_send_env_token1] = ACTIONS(1981),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1981),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1981),
    [aux_sym_session_type_token1] = ACTIONS(1981),
    [aux_sym_set_env_token1] = ACTIONS(1981),
    [aux_sym_stdin_null_token1] = ACTIONS(1981),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1981),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1981),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1981),
    [aux_sym_syslog_facility_token1] = ACTIONS(1981),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1981),
    [aux_sym_keep_alive_token1] = ACTIONS(1981),
    [aux_sym_tag_token1] = ACTIONS(1981),
    [aux_sym_tunnel_token1] = ACTIONS(1983),
    [aux_sym_tunnel_device_token1] = ACTIONS(1981),
    [aux_sym_update_host_keys_token1] = ACTIONS(1981),
    [aux_sym_use_keychain_token1] = ACTIONS(1981),
    [aux_sym_use_roaming_token1] = ACTIONS(1981),
    [aux_sym_user_token1] = ACTIONS(1983),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1981),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1981),
    [aux_sym_visual_host_key_token1] = ACTIONS(1981),
    [aux_sym_xauth_location_token1] = ACTIONS(1981),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [aux_sym_match_token1] = ACTIONS(1987),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1987),
    [aux_sym_address_family_token1] = ACTIONS(1987),
    [aux_sym_batch_mode_token1] = ACTIONS(1987),
    [aux_sym_bind_address_token1] = ACTIONS(1987),
    [aux_sym_bind_interface_token1] = ACTIONS(1987),
    [aux_sym_canonical_domains_token1] = ACTIONS(1987),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1987),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1987),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1987),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1987),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1987),
    [aux_sym_certificate_file_token1] = ACTIONS(1987),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1987),
    [aux_sym_channel_timeout_token1] = ACTIONS(1987),
    [aux_sym_check_host_ip_token1] = ACTIONS(1987),
    [aux_sym_ciphers_token1] = ACTIONS(1987),
    [aux_sym_cipher_token1] = ACTIONS(1989),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1987),
    [aux_sym_compression_token1] = ACTIONS(1987),
    [aux_sym_connection_attempts_token1] = ACTIONS(1987),
    [aux_sym_connect_timeout_token1] = ACTIONS(1987),
    [aux_sym_control_master_token1] = ACTIONS(1987),
    [aux_sym_control_path_token1] = ACTIONS(1987),
    [aux_sym_control_persist_token1] = ACTIONS(1987),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1987),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1987),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1987),
    [aux_sym_escape_char_token1] = ACTIONS(1987),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1987),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1987),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1987),
    [aux_sym_forward_agent_token1] = ACTIONS(1987),
    [aux_sym_forward_x11_token1] = ACTIONS(1989),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1987),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1987),
    [aux_sym_gateway_ports_token1] = ACTIONS(1987),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1987),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1987),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1987),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1987),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1987),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1987),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1987),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1987),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1987),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1987),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1987),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1987),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1987),
    [aux_sym_host_key_alias_token1] = ACTIONS(1987),
    [aux_sym_hostname_token1] = ACTIONS(1987),
    [aux_sym_identities_only_token1] = ACTIONS(1987),
    [aux_sym_identity_agent_token1] = ACTIONS(1987),
    [aux_sym_identity_file_token1] = ACTIONS(1987),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1987),
    [aux_sym_include_token1] = ACTIONS(1987),
    [aux_sym_ip_qos_token1] = ACTIONS(1987),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1987),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1987),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1987),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1987),
    [aux_sym_local_command_token1] = ACTIONS(1987),
    [aux_sym_local_forward_token1] = ACTIONS(1987),
    [aux_sym_log_level_token1] = ACTIONS(1987),
    [aux_sym_log_verbose_token1] = ACTIONS(1987),
    [aux_sym_macs_token1] = ACTIONS(1987),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1987),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1987),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1987),
    [aux_sym_password_authentication_token1] = ACTIONS(1987),
    [aux_sym_permit_local_command_token1] = ACTIONS(1987),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1987),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1987),
    [aux_sym_port_token1] = ACTIONS(1987),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1987),
    [aux_sym_protocol_token1] = ACTIONS(1987),
    [aux_sym_proxy_command_token1] = ACTIONS(1987),
    [aux_sym_proxy_jump_token1] = ACTIONS(1987),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1987),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1987),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1987),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1987),
    [aux_sym_rekey_limit_token1] = ACTIONS(1987),
    [aux_sym_remote_command_token1] = ACTIONS(1987),
    [aux_sym_remote_forward_token1] = ACTIONS(1987),
    [aux_sym_request_tty_token1] = ACTIONS(1987),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1987),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1987),
    [aux_sym_security_key_provider_token1] = ACTIONS(1987),
    [aux_sym_send_env_token1] = ACTIONS(1987),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1987),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1987),
    [aux_sym_session_type_token1] = ACTIONS(1987),
    [aux_sym_set_env_token1] = ACTIONS(1987),
    [aux_sym_stdin_null_token1] = ACTIONS(1987),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1987),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1987),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1987),
    [aux_sym_syslog_facility_token1] = ACTIONS(1987),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1987),
    [aux_sym_keep_alive_token1] = ACTIONS(1987),
    [aux_sym_tag_token1] = ACTIONS(1987),
    [aux_sym_tunnel_token1] = ACTIONS(1989),
    [aux_sym_tunnel_device_token1] = ACTIONS(1987),
    [aux_sym_update_host_keys_token1] = ACTIONS(1987),
    [aux_sym_use_keychain_token1] = ACTIONS(1987),
    [aux_sym_use_roaming_token1] = ACTIONS(1987),
    [aux_sym_user_token1] = ACTIONS(1989),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1987),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1987),
    [aux_sym_visual_host_key_token1] = ACTIONS(1987),
    [aux_sym_xauth_location_token1] = ACTIONS(1987),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1993),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [aux_sym_match_token1] = ACTIONS(1993),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1993),
    [aux_sym_address_family_token1] = ACTIONS(1993),
    [aux_sym_batch_mode_token1] = ACTIONS(1993),
    [aux_sym_bind_address_token1] = ACTIONS(1993),
    [aux_sym_bind_interface_token1] = ACTIONS(1993),
    [aux_sym_canonical_domains_token1] = ACTIONS(1993),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1993),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1993),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1993),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1993),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1993),
    [aux_sym_certificate_file_token1] = ACTIONS(1993),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1993),
    [aux_sym_channel_timeout_token1] = ACTIONS(1993),
    [aux_sym_check_host_ip_token1] = ACTIONS(1993),
    [aux_sym_ciphers_token1] = ACTIONS(1993),
    [aux_sym_cipher_token1] = ACTIONS(1995),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1993),
    [aux_sym_compression_token1] = ACTIONS(1993),
    [aux_sym_connection_attempts_token1] = ACTIONS(1993),
    [aux_sym_connect_timeout_token1] = ACTIONS(1993),
    [aux_sym_control_master_token1] = ACTIONS(1993),
    [aux_sym_control_path_token1] = ACTIONS(1993),
    [aux_sym_control_persist_token1] = ACTIONS(1993),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1993),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1993),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1993),
    [aux_sym_escape_char_token1] = ACTIONS(1993),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1993),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1993),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1993),
    [aux_sym_forward_agent_token1] = ACTIONS(1993),
    [aux_sym_forward_x11_token1] = ACTIONS(1995),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1993),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1993),
    [aux_sym_gateway_ports_token1] = ACTIONS(1993),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1993),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1993),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1993),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1993),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1993),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1993),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1993),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1993),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1993),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1993),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1993),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1993),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1993),
    [aux_sym_host_key_alias_token1] = ACTIONS(1993),
    [aux_sym_hostname_token1] = ACTIONS(1993),
    [aux_sym_identities_only_token1] = ACTIONS(1993),
    [aux_sym_identity_agent_token1] = ACTIONS(1993),
    [aux_sym_identity_file_token1] = ACTIONS(1993),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1993),
    [aux_sym_include_token1] = ACTIONS(1993),
    [aux_sym_ip_qos_token1] = ACTIONS(1993),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1993),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1993),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1993),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1993),
    [aux_sym_local_command_token1] = ACTIONS(1993),
    [aux_sym_local_forward_token1] = ACTIONS(1993),
    [aux_sym_log_level_token1] = ACTIONS(1993),
    [aux_sym_log_verbose_token1] = ACTIONS(1993),
    [aux_sym_macs_token1] = ACTIONS(1993),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1993),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1993),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1993),
    [aux_sym_password_authentication_token1] = ACTIONS(1993),
    [aux_sym_permit_local_command_token1] = ACTIONS(1993),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1993),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1993),
    [aux_sym_port_token1] = ACTIONS(1993),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1993),
    [aux_sym_protocol_token1] = ACTIONS(1993),
    [aux_sym_proxy_command_token1] = ACTIONS(1993),
    [aux_sym_proxy_jump_token1] = ACTIONS(1993),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1993),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1993),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1993),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1993),
    [aux_sym_rekey_limit_token1] = ACTIONS(1993),
    [aux_sym_remote_command_token1] = ACTIONS(1993),
    [aux_sym_remote_forward_token1] = ACTIONS(1993),
    [aux_sym_request_tty_token1] = ACTIONS(1993),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1993),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1993),
    [aux_sym_security_key_provider_token1] = ACTIONS(1993),
    [aux_sym_send_env_token1] = ACTIONS(1993),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1993),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1993),
    [aux_sym_session_type_token1] = ACTIONS(1993),
    [aux_sym_set_env_token1] = ACTIONS(1993),
    [aux_sym_stdin_null_token1] = ACTIONS(1993),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1993),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1993),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1993),
    [aux_sym_syslog_facility_token1] = ACTIONS(1993),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1993),
    [aux_sym_keep_alive_token1] = ACTIONS(1993),
    [aux_sym_tag_token1] = ACTIONS(1993),
    [aux_sym_tunnel_token1] = ACTIONS(1995),
    [aux_sym_tunnel_device_token1] = ACTIONS(1993),
    [aux_sym_update_host_keys_token1] = ACTIONS(1993),
    [aux_sym_use_keychain_token1] = ACTIONS(1993),
    [aux_sym_use_roaming_token1] = ACTIONS(1993),
    [aux_sym_user_token1] = ACTIONS(1995),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1993),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1993),
    [aux_sym_visual_host_key_token1] = ACTIONS(1993),
    [aux_sym_xauth_location_token1] = ACTIONS(1993),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1997),
    [aux_sym_match_token1] = ACTIONS(1997),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1997),
    [aux_sym_address_family_token1] = ACTIONS(1997),
    [aux_sym_batch_mode_token1] = ACTIONS(1997),
    [aux_sym_bind_address_token1] = ACTIONS(1997),
    [aux_sym_bind_interface_token1] = ACTIONS(1997),
    [aux_sym_canonical_domains_token1] = ACTIONS(1997),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1997),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1997),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1997),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1997),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1997),
    [aux_sym_certificate_file_token1] = ACTIONS(1997),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1997),
    [aux_sym_channel_timeout_token1] = ACTIONS(1997),
    [aux_sym_check_host_ip_token1] = ACTIONS(1997),
    [aux_sym_ciphers_token1] = ACTIONS(1997),
    [aux_sym_cipher_token1] = ACTIONS(1999),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1997),
    [aux_sym_compression_token1] = ACTIONS(1997),
    [aux_sym_connection_attempts_token1] = ACTIONS(1997),
    [aux_sym_connect_timeout_token1] = ACTIONS(1997),
    [aux_sym_control_master_token1] = ACTIONS(1997),
    [aux_sym_control_path_token1] = ACTIONS(1997),
    [aux_sym_control_persist_token1] = ACTIONS(1997),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1997),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1997),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1997),
    [aux_sym_escape_char_token1] = ACTIONS(1997),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1997),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1997),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1997),
    [aux_sym_forward_agent_token1] = ACTIONS(1997),
    [aux_sym_forward_x11_token1] = ACTIONS(1999),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1997),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1997),
    [aux_sym_gateway_ports_token1] = ACTIONS(1997),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1997),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1997),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1997),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1997),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1997),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1997),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1997),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1997),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1997),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1997),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1997),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1997),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1997),
    [aux_sym_host_key_alias_token1] = ACTIONS(1997),
    [aux_sym_hostname_token1] = ACTIONS(1997),
    [aux_sym_identities_only_token1] = ACTIONS(1997),
    [aux_sym_identity_agent_token1] = ACTIONS(1997),
    [aux_sym_identity_file_token1] = ACTIONS(1997),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1997),
    [aux_sym_include_token1] = ACTIONS(1997),
    [aux_sym_ip_qos_token1] = ACTIONS(1997),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1997),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1997),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1997),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1997),
    [aux_sym_local_command_token1] = ACTIONS(1997),
    [aux_sym_local_forward_token1] = ACTIONS(1997),
    [aux_sym_log_level_token1] = ACTIONS(1997),
    [aux_sym_log_verbose_token1] = ACTIONS(1997),
    [aux_sym_macs_token1] = ACTIONS(1997),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1997),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1997),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1997),
    [aux_sym_password_authentication_token1] = ACTIONS(1997),
    [aux_sym_permit_local_command_token1] = ACTIONS(1997),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1997),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1997),
    [aux_sym_port_token1] = ACTIONS(1997),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1997),
    [aux_sym_protocol_token1] = ACTIONS(1997),
    [aux_sym_proxy_command_token1] = ACTIONS(1997),
    [aux_sym_proxy_jump_token1] = ACTIONS(1997),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1997),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1997),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1997),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1997),
    [aux_sym_rekey_limit_token1] = ACTIONS(1997),
    [aux_sym_remote_command_token1] = ACTIONS(1997),
    [aux_sym_remote_forward_token1] = ACTIONS(1997),
    [aux_sym_request_tty_token1] = ACTIONS(1997),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1997),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1997),
    [aux_sym_security_key_provider_token1] = ACTIONS(1997),
    [aux_sym_send_env_token1] = ACTIONS(1997),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1997),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1997),
    [aux_sym_session_type_token1] = ACTIONS(1997),
    [aux_sym_set_env_token1] = ACTIONS(1997),
    [aux_sym_stdin_null_token1] = ACTIONS(1997),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1997),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1997),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1997),
    [aux_sym_syslog_facility_token1] = ACTIONS(1997),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1997),
    [aux_sym_keep_alive_token1] = ACTIONS(1997),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [aux_sym_tunnel_token1] = ACTIONS(1999),
    [aux_sym_tunnel_device_token1] = ACTIONS(1997),
    [aux_sym_update_host_keys_token1] = ACTIONS(1997),
    [aux_sym_use_keychain_token1] = ACTIONS(1997),
    [aux_sym_use_roaming_token1] = ACTIONS(1997),
    [aux_sym_user_token1] = ACTIONS(1999),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1997),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1997),
    [aux_sym_visual_host_key_token1] = ACTIONS(1997),
    [aux_sym_xauth_location_token1] = ACTIONS(1997),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2003),
    [anon_sym_DQUOTE] = ACTIONS(2005),
    [aux_sym_match_token1] = ACTIONS(2001),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2001),
    [aux_sym_address_family_token1] = ACTIONS(2001),
    [aux_sym_batch_mode_token1] = ACTIONS(2001),
    [aux_sym_bind_address_token1] = ACTIONS(2001),
    [aux_sym_bind_interface_token1] = ACTIONS(2001),
    [aux_sym_canonical_domains_token1] = ACTIONS(2001),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2001),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2001),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2001),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2001),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2001),
    [aux_sym_certificate_file_token1] = ACTIONS(2001),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2001),
    [aux_sym_channel_timeout_token1] = ACTIONS(2001),
    [aux_sym_check_host_ip_token1] = ACTIONS(2001),
    [aux_sym_ciphers_token1] = ACTIONS(2001),
    [aux_sym_cipher_token1] = ACTIONS(2003),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2001),
    [aux_sym_compression_token1] = ACTIONS(2001),
    [aux_sym_connection_attempts_token1] = ACTIONS(2001),
    [aux_sym_connect_timeout_token1] = ACTIONS(2001),
    [aux_sym_control_master_token1] = ACTIONS(2001),
    [aux_sym_control_path_token1] = ACTIONS(2001),
    [aux_sym_control_persist_token1] = ACTIONS(2001),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2001),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2001),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2001),
    [aux_sym_escape_char_token1] = ACTIONS(2001),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2001),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2001),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2001),
    [aux_sym_forward_agent_token1] = ACTIONS(2001),
    [aux_sym_forward_x11_token1] = ACTIONS(2003),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2001),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2001),
    [aux_sym_gateway_ports_token1] = ACTIONS(2001),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2001),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2001),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2001),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2001),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2001),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2001),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2001),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2001),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2001),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2001),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2001),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2001),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2001),
    [aux_sym_host_key_alias_token1] = ACTIONS(2001),
    [aux_sym_hostname_token1] = ACTIONS(2001),
    [aux_sym_identities_only_token1] = ACTIONS(2001),
    [aux_sym_identity_agent_token1] = ACTIONS(2001),
    [aux_sym_identity_file_token1] = ACTIONS(2001),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2001),
    [aux_sym_include_token1] = ACTIONS(2001),
    [aux_sym_ip_qos_token1] = ACTIONS(2001),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2001),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2001),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2001),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2001),
    [aux_sym_local_command_token1] = ACTIONS(2001),
    [aux_sym_local_forward_token1] = ACTIONS(2001),
    [aux_sym_log_level_token1] = ACTIONS(2001),
    [aux_sym_log_verbose_token1] = ACTIONS(2001),
    [aux_sym_macs_token1] = ACTIONS(2001),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2001),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2001),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2001),
    [aux_sym_password_authentication_token1] = ACTIONS(2001),
    [aux_sym_permit_local_command_token1] = ACTIONS(2001),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2001),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2001),
    [aux_sym_port_token1] = ACTIONS(2001),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2001),
    [aux_sym_protocol_token1] = ACTIONS(2001),
    [aux_sym_proxy_command_token1] = ACTIONS(2001),
    [aux_sym_proxy_jump_token1] = ACTIONS(2001),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2001),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2001),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2001),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2001),
    [aux_sym_rekey_limit_token1] = ACTIONS(2001),
    [aux_sym_remote_command_token1] = ACTIONS(2001),
    [aux_sym_remote_forward_token1] = ACTIONS(2001),
    [aux_sym_request_tty_token1] = ACTIONS(2001),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2001),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2001),
    [aux_sym_security_key_provider_token1] = ACTIONS(2001),
    [aux_sym_send_env_token1] = ACTIONS(2001),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2001),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2001),
    [aux_sym_session_type_token1] = ACTIONS(2001),
    [aux_sym_set_env_token1] = ACTIONS(2001),
    [aux_sym_stdin_null_token1] = ACTIONS(2001),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2001),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2001),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2001),
    [aux_sym_syslog_facility_token1] = ACTIONS(2001),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2001),
    [aux_sym_keep_alive_token1] = ACTIONS(2001),
    [aux_sym_tag_token1] = ACTIONS(2001),
    [aux_sym_tunnel_token1] = ACTIONS(2003),
    [aux_sym_tunnel_device_token1] = ACTIONS(2001),
    [aux_sym_update_host_keys_token1] = ACTIONS(2001),
    [aux_sym_use_keychain_token1] = ACTIONS(2001),
    [aux_sym_use_roaming_token1] = ACTIONS(2001),
    [aux_sym_user_token1] = ACTIONS(2003),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2001),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2001),
    [aux_sym_visual_host_key_token1] = ACTIONS(2001),
    [aux_sym_xauth_location_token1] = ACTIONS(2001),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [aux_sym_match_token1] = ACTIONS(2007),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2007),
    [aux_sym_address_family_token1] = ACTIONS(2007),
    [aux_sym_batch_mode_token1] = ACTIONS(2007),
    [aux_sym_bind_address_token1] = ACTIONS(2007),
    [aux_sym_bind_interface_token1] = ACTIONS(2007),
    [aux_sym_canonical_domains_token1] = ACTIONS(2007),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2007),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2007),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2007),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2007),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2007),
    [aux_sym_certificate_file_token1] = ACTIONS(2007),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2007),
    [aux_sym_channel_timeout_token1] = ACTIONS(2007),
    [aux_sym_check_host_ip_token1] = ACTIONS(2007),
    [aux_sym_ciphers_token1] = ACTIONS(2007),
    [aux_sym_cipher_token1] = ACTIONS(2009),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2007),
    [aux_sym_compression_token1] = ACTIONS(2007),
    [aux_sym_connection_attempts_token1] = ACTIONS(2007),
    [aux_sym_connect_timeout_token1] = ACTIONS(2007),
    [aux_sym_control_master_token1] = ACTIONS(2007),
    [aux_sym_control_path_token1] = ACTIONS(2007),
    [aux_sym_control_persist_token1] = ACTIONS(2007),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2007),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2007),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2007),
    [aux_sym_escape_char_token1] = ACTIONS(2007),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2007),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2007),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2007),
    [aux_sym_forward_agent_token1] = ACTIONS(2007),
    [aux_sym_forward_x11_token1] = ACTIONS(2009),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2007),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2007),
    [aux_sym_gateway_ports_token1] = ACTIONS(2007),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2007),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2007),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2007),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2007),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2007),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2007),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2007),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2007),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2007),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2007),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2007),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2007),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2007),
    [aux_sym_host_key_alias_token1] = ACTIONS(2007),
    [aux_sym_hostname_token1] = ACTIONS(2007),
    [aux_sym_identities_only_token1] = ACTIONS(2007),
    [aux_sym_identity_agent_token1] = ACTIONS(2007),
    [aux_sym_identity_file_token1] = ACTIONS(2007),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2007),
    [aux_sym_include_token1] = ACTIONS(2007),
    [aux_sym_ip_qos_token1] = ACTIONS(2007),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2007),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2007),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2007),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2007),
    [aux_sym_local_command_token1] = ACTIONS(2007),
    [aux_sym_local_forward_token1] = ACTIONS(2007),
    [aux_sym_log_level_token1] = ACTIONS(2007),
    [aux_sym_log_verbose_token1] = ACTIONS(2007),
    [aux_sym_macs_token1] = ACTIONS(2007),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2007),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2007),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2007),
    [aux_sym_password_authentication_token1] = ACTIONS(2007),
    [aux_sym_permit_local_command_token1] = ACTIONS(2007),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2007),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2007),
    [aux_sym_port_token1] = ACTIONS(2007),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2007),
    [aux_sym_protocol_token1] = ACTIONS(2007),
    [aux_sym_proxy_command_token1] = ACTIONS(2007),
    [aux_sym_proxy_jump_token1] = ACTIONS(2007),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2007),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2007),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2007),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2007),
    [aux_sym_rekey_limit_token1] = ACTIONS(2007),
    [aux_sym_remote_command_token1] = ACTIONS(2007),
    [aux_sym_remote_forward_token1] = ACTIONS(2007),
    [aux_sym_request_tty_token1] = ACTIONS(2007),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2007),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2007),
    [aux_sym_security_key_provider_token1] = ACTIONS(2007),
    [aux_sym_send_env_token1] = ACTIONS(2007),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2007),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2007),
    [aux_sym_session_type_token1] = ACTIONS(2007),
    [aux_sym_set_env_token1] = ACTIONS(2007),
    [aux_sym_stdin_null_token1] = ACTIONS(2007),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2007),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2007),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2007),
    [aux_sym_syslog_facility_token1] = ACTIONS(2007),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2007),
    [aux_sym_keep_alive_token1] = ACTIONS(2007),
    [aux_sym_tag_token1] = ACTIONS(2007),
    [aux_sym_tunnel_token1] = ACTIONS(2009),
    [aux_sym_tunnel_device_token1] = ACTIONS(2007),
    [aux_sym_update_host_keys_token1] = ACTIONS(2007),
    [aux_sym_use_keychain_token1] = ACTIONS(2007),
    [aux_sym_use_roaming_token1] = ACTIONS(2007),
    [aux_sym_user_token1] = ACTIONS(2009),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2007),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2007),
    [aux_sym_visual_host_key_token1] = ACTIONS(2007),
    [aux_sym_xauth_location_token1] = ACTIONS(2007),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2013),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [aux_sym_match_token1] = ACTIONS(2011),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2011),
    [aux_sym_address_family_token1] = ACTIONS(2011),
    [aux_sym_batch_mode_token1] = ACTIONS(2011),
    [aux_sym_bind_address_token1] = ACTIONS(2011),
    [aux_sym_bind_interface_token1] = ACTIONS(2011),
    [aux_sym_canonical_domains_token1] = ACTIONS(2011),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2011),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2011),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2011),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2011),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2011),
    [aux_sym_certificate_file_token1] = ACTIONS(2011),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2011),
    [aux_sym_channel_timeout_token1] = ACTIONS(2011),
    [aux_sym_check_host_ip_token1] = ACTIONS(2011),
    [aux_sym_ciphers_token1] = ACTIONS(2011),
    [aux_sym_cipher_token1] = ACTIONS(2013),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2011),
    [aux_sym_compression_token1] = ACTIONS(2011),
    [aux_sym_connection_attempts_token1] = ACTIONS(2011),
    [aux_sym_connect_timeout_token1] = ACTIONS(2011),
    [aux_sym_control_master_token1] = ACTIONS(2011),
    [aux_sym_control_path_token1] = ACTIONS(2011),
    [aux_sym_control_persist_token1] = ACTIONS(2011),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2011),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2011),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2011),
    [aux_sym_escape_char_token1] = ACTIONS(2011),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2011),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2011),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2011),
    [aux_sym_forward_agent_token1] = ACTIONS(2011),
    [aux_sym_forward_x11_token1] = ACTIONS(2013),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2011),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2011),
    [aux_sym_gateway_ports_token1] = ACTIONS(2011),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2011),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2011),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2011),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2011),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2011),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2011),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2011),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2011),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2011),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2011),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2011),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2011),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2011),
    [aux_sym_host_key_alias_token1] = ACTIONS(2011),
    [aux_sym_hostname_token1] = ACTIONS(2011),
    [aux_sym_identities_only_token1] = ACTIONS(2011),
    [aux_sym_identity_agent_token1] = ACTIONS(2011),
    [aux_sym_identity_file_token1] = ACTIONS(2011),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2011),
    [aux_sym_include_token1] = ACTIONS(2011),
    [aux_sym_ip_qos_token1] = ACTIONS(2011),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2011),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2011),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2011),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2011),
    [aux_sym_local_command_token1] = ACTIONS(2011),
    [aux_sym_local_forward_token1] = ACTIONS(2011),
    [aux_sym_log_level_token1] = ACTIONS(2011),
    [aux_sym_log_verbose_token1] = ACTIONS(2011),
    [aux_sym_macs_token1] = ACTIONS(2011),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2011),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2011),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2011),
    [aux_sym_password_authentication_token1] = ACTIONS(2011),
    [aux_sym_permit_local_command_token1] = ACTIONS(2011),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2011),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2011),
    [aux_sym_port_token1] = ACTIONS(2011),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2011),
    [aux_sym_protocol_token1] = ACTIONS(2011),
    [aux_sym_proxy_command_token1] = ACTIONS(2011),
    [aux_sym_proxy_jump_token1] = ACTIONS(2011),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2011),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2011),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2011),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2011),
    [aux_sym_rekey_limit_token1] = ACTIONS(2011),
    [aux_sym_remote_command_token1] = ACTIONS(2011),
    [aux_sym_remote_forward_token1] = ACTIONS(2011),
    [aux_sym_request_tty_token1] = ACTIONS(2011),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2011),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2011),
    [aux_sym_security_key_provider_token1] = ACTIONS(2011),
    [aux_sym_send_env_token1] = ACTIONS(2011),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2011),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2011),
    [aux_sym_session_type_token1] = ACTIONS(2011),
    [aux_sym_set_env_token1] = ACTIONS(2011),
    [aux_sym_stdin_null_token1] = ACTIONS(2011),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2011),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2011),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2011),
    [aux_sym_syslog_facility_token1] = ACTIONS(2011),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2011),
    [aux_sym_keep_alive_token1] = ACTIONS(2011),
    [aux_sym_tag_token1] = ACTIONS(2011),
    [aux_sym_tunnel_token1] = ACTIONS(2013),
    [aux_sym_tunnel_device_token1] = ACTIONS(2011),
    [aux_sym_update_host_keys_token1] = ACTIONS(2011),
    [aux_sym_use_keychain_token1] = ACTIONS(2011),
    [aux_sym_use_roaming_token1] = ACTIONS(2011),
    [aux_sym_user_token1] = ACTIONS(2013),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2011),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2011),
    [aux_sym_visual_host_key_token1] = ACTIONS(2011),
    [aux_sym_xauth_location_token1] = ACTIONS(2011),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2017),
    [aux_sym_match_token1] = ACTIONS(2017),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2017),
    [aux_sym_address_family_token1] = ACTIONS(2017),
    [aux_sym_batch_mode_token1] = ACTIONS(2017),
    [aux_sym_bind_address_token1] = ACTIONS(2017),
    [aux_sym_bind_interface_token1] = ACTIONS(2017),
    [aux_sym_canonical_domains_token1] = ACTIONS(2017),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2017),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2017),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2017),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2017),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2017),
    [aux_sym_certificate_file_token1] = ACTIONS(2017),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2017),
    [aux_sym_channel_timeout_token1] = ACTIONS(2017),
    [aux_sym_check_host_ip_token1] = ACTIONS(2017),
    [aux_sym_ciphers_token1] = ACTIONS(2017),
    [aux_sym_cipher_token1] = ACTIONS(2019),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2017),
    [aux_sym_compression_token1] = ACTIONS(2017),
    [aux_sym_connection_attempts_token1] = ACTIONS(2017),
    [aux_sym_connect_timeout_token1] = ACTIONS(2017),
    [aux_sym_control_master_token1] = ACTIONS(2017),
    [aux_sym_control_path_token1] = ACTIONS(2017),
    [aux_sym_control_persist_token1] = ACTIONS(2017),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2017),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2017),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2017),
    [aux_sym_escape_char_token1] = ACTIONS(2017),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2017),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2017),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2017),
    [aux_sym_forward_agent_token1] = ACTIONS(2017),
    [aux_sym_forward_x11_token1] = ACTIONS(2019),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2017),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2017),
    [aux_sym_gateway_ports_token1] = ACTIONS(2017),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2017),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2017),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2017),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2017),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2017),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2017),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2017),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2017),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2017),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2017),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2017),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2017),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2017),
    [aux_sym_host_key_alias_token1] = ACTIONS(2017),
    [aux_sym_hostname_token1] = ACTIONS(2017),
    [aux_sym_identities_only_token1] = ACTIONS(2017),
    [aux_sym_identity_agent_token1] = ACTIONS(2017),
    [aux_sym_identity_file_token1] = ACTIONS(2017),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2017),
    [aux_sym_include_token1] = ACTIONS(2017),
    [aux_sym_ip_qos_token1] = ACTIONS(2017),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2017),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2017),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2017),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2017),
    [aux_sym_local_command_token1] = ACTIONS(2017),
    [aux_sym_local_forward_token1] = ACTIONS(2017),
    [aux_sym_log_level_token1] = ACTIONS(2017),
    [aux_sym_log_verbose_token1] = ACTIONS(2017),
    [aux_sym_macs_token1] = ACTIONS(2017),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2017),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2017),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2017),
    [aux_sym_password_authentication_token1] = ACTIONS(2017),
    [aux_sym_permit_local_command_token1] = ACTIONS(2017),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2017),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2017),
    [aux_sym_port_token1] = ACTIONS(2017),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2017),
    [aux_sym_protocol_token1] = ACTIONS(2017),
    [aux_sym_proxy_command_token1] = ACTIONS(2017),
    [aux_sym_proxy_jump_token1] = ACTIONS(2017),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2017),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2017),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2017),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2017),
    [aux_sym_rekey_limit_token1] = ACTIONS(2017),
    [aux_sym_remote_command_token1] = ACTIONS(2017),
    [aux_sym_remote_forward_token1] = ACTIONS(2017),
    [aux_sym_request_tty_token1] = ACTIONS(2017),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2017),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2017),
    [aux_sym_security_key_provider_token1] = ACTIONS(2017),
    [aux_sym_send_env_token1] = ACTIONS(2017),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2017),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2017),
    [aux_sym_session_type_token1] = ACTIONS(2017),
    [aux_sym_set_env_token1] = ACTIONS(2017),
    [aux_sym_stdin_null_token1] = ACTIONS(2017),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2017),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2017),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2017),
    [aux_sym_syslog_facility_token1] = ACTIONS(2017),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2017),
    [aux_sym_keep_alive_token1] = ACTIONS(2017),
    [aux_sym_tag_token1] = ACTIONS(2017),
    [aux_sym_tunnel_token1] = ACTIONS(2019),
    [aux_sym_tunnel_device_token1] = ACTIONS(2017),
    [aux_sym_update_host_keys_token1] = ACTIONS(2017),
    [aux_sym_use_keychain_token1] = ACTIONS(2017),
    [aux_sym_use_roaming_token1] = ACTIONS(2017),
    [aux_sym_user_token1] = ACTIONS(2019),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2017),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2017),
    [aux_sym_visual_host_key_token1] = ACTIONS(2017),
    [aux_sym_xauth_location_token1] = ACTIONS(2017),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(2021),
    [aux_sym_match_token1] = ACTIONS(2021),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2021),
    [aux_sym_address_family_token1] = ACTIONS(2021),
    [aux_sym_batch_mode_token1] = ACTIONS(2021),
    [aux_sym_bind_address_token1] = ACTIONS(2021),
    [aux_sym_bind_interface_token1] = ACTIONS(2021),
    [aux_sym_canonical_domains_token1] = ACTIONS(2021),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2021),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2021),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2021),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2021),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2021),
    [aux_sym_certificate_file_token1] = ACTIONS(2021),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2021),
    [aux_sym_channel_timeout_token1] = ACTIONS(2021),
    [aux_sym_check_host_ip_token1] = ACTIONS(2021),
    [aux_sym_ciphers_token1] = ACTIONS(2021),
    [aux_sym_cipher_token1] = ACTIONS(2023),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2021),
    [aux_sym_compression_token1] = ACTIONS(2021),
    [aux_sym_connection_attempts_token1] = ACTIONS(2021),
    [aux_sym_connect_timeout_token1] = ACTIONS(2021),
    [aux_sym_control_master_token1] = ACTIONS(2021),
    [aux_sym_control_path_token1] = ACTIONS(2021),
    [aux_sym_control_persist_token1] = ACTIONS(2021),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2021),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2021),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2021),
    [aux_sym_escape_char_token1] = ACTIONS(2021),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2021),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2021),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2021),
    [aux_sym_forward_agent_token1] = ACTIONS(2021),
    [aux_sym_forward_x11_token1] = ACTIONS(2023),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2021),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2021),
    [aux_sym_gateway_ports_token1] = ACTIONS(2021),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2021),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2021),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2021),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2021),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2021),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2021),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2021),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2021),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2021),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2021),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2021),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2021),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2021),
    [aux_sym_host_key_alias_token1] = ACTIONS(2021),
    [aux_sym_hostname_token1] = ACTIONS(2021),
    [aux_sym_identities_only_token1] = ACTIONS(2021),
    [aux_sym_identity_agent_token1] = ACTIONS(2021),
    [aux_sym_identity_file_token1] = ACTIONS(2021),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2021),
    [aux_sym_include_token1] = ACTIONS(2021),
    [aux_sym_ip_qos_token1] = ACTIONS(2021),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2021),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2021),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2021),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2021),
    [aux_sym_local_command_token1] = ACTIONS(2021),
    [aux_sym_local_forward_token1] = ACTIONS(2021),
    [aux_sym_log_level_token1] = ACTIONS(2021),
    [aux_sym_log_verbose_token1] = ACTIONS(2021),
    [aux_sym_macs_token1] = ACTIONS(2021),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2021),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2021),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2021),
    [aux_sym_password_authentication_token1] = ACTIONS(2021),
    [aux_sym_permit_local_command_token1] = ACTIONS(2021),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2021),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2021),
    [aux_sym_port_token1] = ACTIONS(2021),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2021),
    [aux_sym_protocol_token1] = ACTIONS(2021),
    [aux_sym_proxy_command_token1] = ACTIONS(2021),
    [aux_sym_proxy_jump_token1] = ACTIONS(2021),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2021),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2021),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2021),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2021),
    [aux_sym_rekey_limit_token1] = ACTIONS(2021),
    [aux_sym_remote_command_token1] = ACTIONS(2021),
    [aux_sym_remote_forward_token1] = ACTIONS(2021),
    [aux_sym_request_tty_token1] = ACTIONS(2021),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2021),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2021),
    [aux_sym_security_key_provider_token1] = ACTIONS(2021),
    [aux_sym_send_env_token1] = ACTIONS(2021),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2021),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2021),
    [aux_sym_session_type_token1] = ACTIONS(2021),
    [aux_sym_set_env_token1] = ACTIONS(2021),
    [aux_sym_stdin_null_token1] = ACTIONS(2021),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2021),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2021),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2021),
    [aux_sym_syslog_facility_token1] = ACTIONS(2021),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2021),
    [aux_sym_keep_alive_token1] = ACTIONS(2021),
    [aux_sym_tag_token1] = ACTIONS(2021),
    [aux_sym_tunnel_token1] = ACTIONS(2023),
    [aux_sym_tunnel_device_token1] = ACTIONS(2021),
    [aux_sym_update_host_keys_token1] = ACTIONS(2021),
    [aux_sym_use_keychain_token1] = ACTIONS(2021),
    [aux_sym_use_roaming_token1] = ACTIONS(2021),
    [aux_sym_user_token1] = ACTIONS(2023),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2021),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2021),
    [aux_sym_visual_host_key_token1] = ACTIONS(2021),
    [aux_sym_xauth_location_token1] = ACTIONS(2021),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(2029),
    [aux_sym_match_token1] = ACTIONS(2025),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2025),
    [aux_sym_address_family_token1] = ACTIONS(2025),
    [aux_sym_batch_mode_token1] = ACTIONS(2025),
    [aux_sym_bind_address_token1] = ACTIONS(2025),
    [aux_sym_bind_interface_token1] = ACTIONS(2025),
    [aux_sym_canonical_domains_token1] = ACTIONS(2025),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2025),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2025),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2025),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2025),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2025),
    [aux_sym_certificate_file_token1] = ACTIONS(2025),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2025),
    [aux_sym_channel_timeout_token1] = ACTIONS(2025),
    [aux_sym_check_host_ip_token1] = ACTIONS(2025),
    [aux_sym_ciphers_token1] = ACTIONS(2025),
    [aux_sym_cipher_token1] = ACTIONS(2027),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2025),
    [aux_sym_compression_token1] = ACTIONS(2025),
    [aux_sym_connection_attempts_token1] = ACTIONS(2025),
    [aux_sym_connect_timeout_token1] = ACTIONS(2025),
    [aux_sym_control_master_token1] = ACTIONS(2025),
    [aux_sym_control_path_token1] = ACTIONS(2025),
    [aux_sym_control_persist_token1] = ACTIONS(2025),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2025),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2025),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2025),
    [aux_sym_escape_char_token1] = ACTIONS(2025),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2025),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2025),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2025),
    [aux_sym_forward_agent_token1] = ACTIONS(2025),
    [aux_sym_forward_x11_token1] = ACTIONS(2027),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2025),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2025),
    [aux_sym_gateway_ports_token1] = ACTIONS(2025),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2025),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2025),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2025),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2025),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2025),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2025),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2025),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2025),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2025),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2025),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2025),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2025),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2025),
    [aux_sym_host_key_alias_token1] = ACTIONS(2025),
    [aux_sym_hostname_token1] = ACTIONS(2025),
    [aux_sym_identities_only_token1] = ACTIONS(2025),
    [aux_sym_identity_agent_token1] = ACTIONS(2025),
    [aux_sym_identity_file_token1] = ACTIONS(2025),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2025),
    [aux_sym_include_token1] = ACTIONS(2025),
    [aux_sym_ip_qos_token1] = ACTIONS(2025),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2025),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2025),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2025),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2025),
    [aux_sym_local_command_token1] = ACTIONS(2025),
    [aux_sym_local_forward_token1] = ACTIONS(2025),
    [aux_sym_log_level_token1] = ACTIONS(2025),
    [aux_sym_log_verbose_token1] = ACTIONS(2025),
    [aux_sym_macs_token1] = ACTIONS(2025),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2025),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2025),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2025),
    [aux_sym_password_authentication_token1] = ACTIONS(2025),
    [aux_sym_permit_local_command_token1] = ACTIONS(2025),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2025),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2025),
    [aux_sym_port_token1] = ACTIONS(2025),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2025),
    [aux_sym_protocol_token1] = ACTIONS(2025),
    [aux_sym_proxy_command_token1] = ACTIONS(2025),
    [aux_sym_proxy_jump_token1] = ACTIONS(2025),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2025),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2025),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2025),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2025),
    [aux_sym_rekey_limit_token1] = ACTIONS(2025),
    [aux_sym_remote_command_token1] = ACTIONS(2025),
    [aux_sym_remote_forward_token1] = ACTIONS(2025),
    [aux_sym_request_tty_token1] = ACTIONS(2025),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2025),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2025),
    [aux_sym_security_key_provider_token1] = ACTIONS(2025),
    [aux_sym_send_env_token1] = ACTIONS(2025),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2025),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2025),
    [aux_sym_session_type_token1] = ACTIONS(2025),
    [aux_sym_set_env_token1] = ACTIONS(2025),
    [aux_sym_stdin_null_token1] = ACTIONS(2025),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2025),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2025),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2025),
    [aux_sym_syslog_facility_token1] = ACTIONS(2025),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2025),
    [aux_sym_keep_alive_token1] = ACTIONS(2025),
    [aux_sym_tag_token1] = ACTIONS(2025),
    [aux_sym_tunnel_token1] = ACTIONS(2027),
    [aux_sym_tunnel_device_token1] = ACTIONS(2025),
    [aux_sym_update_host_keys_token1] = ACTIONS(2025),
    [aux_sym_use_keychain_token1] = ACTIONS(2025),
    [aux_sym_use_roaming_token1] = ACTIONS(2025),
    [aux_sym_user_token1] = ACTIONS(2027),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2025),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2025),
    [aux_sym_visual_host_key_token1] = ACTIONS(2025),
    [aux_sym_xauth_location_token1] = ACTIONS(2025),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2033),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [aux_sym_match_token1] = ACTIONS(2031),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2031),
    [aux_sym_address_family_token1] = ACTIONS(2031),
    [aux_sym_batch_mode_token1] = ACTIONS(2031),
    [aux_sym_bind_address_token1] = ACTIONS(2031),
    [aux_sym_bind_interface_token1] = ACTIONS(2031),
    [aux_sym_canonical_domains_token1] = ACTIONS(2031),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2031),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2031),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2031),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2031),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2031),
    [aux_sym_certificate_file_token1] = ACTIONS(2031),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2031),
    [aux_sym_channel_timeout_token1] = ACTIONS(2031),
    [aux_sym_check_host_ip_token1] = ACTIONS(2031),
    [aux_sym_ciphers_token1] = ACTIONS(2031),
    [aux_sym_cipher_token1] = ACTIONS(2033),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2031),
    [aux_sym_compression_token1] = ACTIONS(2031),
    [aux_sym_connection_attempts_token1] = ACTIONS(2031),
    [aux_sym_connect_timeout_token1] = ACTIONS(2031),
    [aux_sym_control_master_token1] = ACTIONS(2031),
    [aux_sym_control_path_token1] = ACTIONS(2031),
    [aux_sym_control_persist_token1] = ACTIONS(2031),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2031),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2031),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2031),
    [aux_sym_escape_char_token1] = ACTIONS(2031),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2031),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2031),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2031),
    [aux_sym_forward_agent_token1] = ACTIONS(2031),
    [aux_sym_forward_x11_token1] = ACTIONS(2033),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2031),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2031),
    [aux_sym_gateway_ports_token1] = ACTIONS(2031),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2031),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2031),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2031),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2031),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2031),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2031),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2031),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2031),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2031),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2031),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2031),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2031),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2031),
    [aux_sym_host_key_alias_token1] = ACTIONS(2031),
    [aux_sym_hostname_token1] = ACTIONS(2031),
    [aux_sym_identities_only_token1] = ACTIONS(2031),
    [aux_sym_identity_agent_token1] = ACTIONS(2031),
    [aux_sym_identity_file_token1] = ACTIONS(2031),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2031),
    [aux_sym_include_token1] = ACTIONS(2031),
    [aux_sym_ip_qos_token1] = ACTIONS(2031),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2031),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2031),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2031),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2031),
    [aux_sym_local_command_token1] = ACTIONS(2031),
    [aux_sym_local_forward_token1] = ACTIONS(2031),
    [aux_sym_log_level_token1] = ACTIONS(2031),
    [aux_sym_log_verbose_token1] = ACTIONS(2031),
    [aux_sym_macs_token1] = ACTIONS(2031),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2031),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2031),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2031),
    [aux_sym_password_authentication_token1] = ACTIONS(2031),
    [aux_sym_permit_local_command_token1] = ACTIONS(2031),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2031),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2031),
    [aux_sym_port_token1] = ACTIONS(2031),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2031),
    [aux_sym_protocol_token1] = ACTIONS(2031),
    [aux_sym_proxy_command_token1] = ACTIONS(2031),
    [aux_sym_proxy_jump_token1] = ACTIONS(2031),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2031),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2031),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2031),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2031),
    [aux_sym_rekey_limit_token1] = ACTIONS(2031),
    [aux_sym_remote_command_token1] = ACTIONS(2031),
    [aux_sym_remote_forward_token1] = ACTIONS(2031),
    [aux_sym_request_tty_token1] = ACTIONS(2031),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2031),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2031),
    [aux_sym_security_key_provider_token1] = ACTIONS(2031),
    [aux_sym_send_env_token1] = ACTIONS(2031),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2031),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2031),
    [aux_sym_session_type_token1] = ACTIONS(2031),
    [aux_sym_set_env_token1] = ACTIONS(2031),
    [aux_sym_stdin_null_token1] = ACTIONS(2031),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2031),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2031),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2031),
    [aux_sym_syslog_facility_token1] = ACTIONS(2031),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2031),
    [aux_sym_keep_alive_token1] = ACTIONS(2031),
    [aux_sym_tag_token1] = ACTIONS(2031),
    [aux_sym_tunnel_token1] = ACTIONS(2033),
    [aux_sym_tunnel_device_token1] = ACTIONS(2031),
    [aux_sym_update_host_keys_token1] = ACTIONS(2031),
    [aux_sym_use_keychain_token1] = ACTIONS(2031),
    [aux_sym_use_roaming_token1] = ACTIONS(2031),
    [aux_sym_user_token1] = ACTIONS(2033),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2031),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2031),
    [aux_sym_visual_host_key_token1] = ACTIONS(2031),
    [aux_sym_xauth_location_token1] = ACTIONS(2031),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2039),
    [anon_sym_DQUOTE] = ACTIONS(2037),
    [aux_sym_match_token1] = ACTIONS(2037),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2037),
    [aux_sym_address_family_token1] = ACTIONS(2037),
    [aux_sym_batch_mode_token1] = ACTIONS(2037),
    [aux_sym_bind_address_token1] = ACTIONS(2037),
    [aux_sym_bind_interface_token1] = ACTIONS(2037),
    [aux_sym_canonical_domains_token1] = ACTIONS(2037),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2037),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2037),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2037),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2037),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2037),
    [aux_sym_certificate_file_token1] = ACTIONS(2037),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2037),
    [aux_sym_channel_timeout_token1] = ACTIONS(2037),
    [aux_sym_check_host_ip_token1] = ACTIONS(2037),
    [aux_sym_ciphers_token1] = ACTIONS(2037),
    [aux_sym_cipher_token1] = ACTIONS(2039),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2037),
    [aux_sym_compression_token1] = ACTIONS(2037),
    [aux_sym_connection_attempts_token1] = ACTIONS(2037),
    [aux_sym_connect_timeout_token1] = ACTIONS(2037),
    [aux_sym_control_master_token1] = ACTIONS(2037),
    [aux_sym_control_path_token1] = ACTIONS(2037),
    [aux_sym_control_persist_token1] = ACTIONS(2037),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2037),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2037),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2037),
    [aux_sym_escape_char_token1] = ACTIONS(2037),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2037),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2037),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2037),
    [aux_sym_forward_agent_token1] = ACTIONS(2037),
    [aux_sym_forward_x11_token1] = ACTIONS(2039),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2037),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2037),
    [aux_sym_gateway_ports_token1] = ACTIONS(2037),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2037),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2037),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2037),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2037),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2037),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2037),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2037),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2037),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2037),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2037),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2037),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2037),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2037),
    [aux_sym_host_key_alias_token1] = ACTIONS(2037),
    [aux_sym_hostname_token1] = ACTIONS(2037),
    [aux_sym_identities_only_token1] = ACTIONS(2037),
    [aux_sym_identity_agent_token1] = ACTIONS(2037),
    [aux_sym_identity_file_token1] = ACTIONS(2037),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2037),
    [aux_sym_include_token1] = ACTIONS(2037),
    [aux_sym_ip_qos_token1] = ACTIONS(2037),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2037),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2037),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2037),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2037),
    [aux_sym_local_command_token1] = ACTIONS(2037),
    [aux_sym_local_forward_token1] = ACTIONS(2037),
    [aux_sym_log_level_token1] = ACTIONS(2037),
    [aux_sym_log_verbose_token1] = ACTIONS(2037),
    [aux_sym_macs_token1] = ACTIONS(2037),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2037),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2037),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2037),
    [aux_sym_password_authentication_token1] = ACTIONS(2037),
    [aux_sym_permit_local_command_token1] = ACTIONS(2037),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2037),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2037),
    [aux_sym_port_token1] = ACTIONS(2037),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2037),
    [aux_sym_protocol_token1] = ACTIONS(2037),
    [aux_sym_proxy_command_token1] = ACTIONS(2037),
    [aux_sym_proxy_jump_token1] = ACTIONS(2037),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2037),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2037),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2037),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2037),
    [aux_sym_rekey_limit_token1] = ACTIONS(2037),
    [aux_sym_remote_command_token1] = ACTIONS(2037),
    [aux_sym_remote_forward_token1] = ACTIONS(2037),
    [aux_sym_request_tty_token1] = ACTIONS(2037),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2037),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2037),
    [aux_sym_security_key_provider_token1] = ACTIONS(2037),
    [aux_sym_send_env_token1] = ACTIONS(2037),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2037),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2037),
    [aux_sym_session_type_token1] = ACTIONS(2037),
    [aux_sym_set_env_token1] = ACTIONS(2037),
    [aux_sym_stdin_null_token1] = ACTIONS(2037),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2037),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2037),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2037),
    [aux_sym_syslog_facility_token1] = ACTIONS(2037),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2037),
    [aux_sym_keep_alive_token1] = ACTIONS(2037),
    [aux_sym_tag_token1] = ACTIONS(2037),
    [aux_sym_tunnel_token1] = ACTIONS(2039),
    [aux_sym_tunnel_device_token1] = ACTIONS(2037),
    [aux_sym_update_host_keys_token1] = ACTIONS(2037),
    [aux_sym_use_keychain_token1] = ACTIONS(2037),
    [aux_sym_use_roaming_token1] = ACTIONS(2037),
    [aux_sym_user_token1] = ACTIONS(2039),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2037),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2037),
    [aux_sym_visual_host_key_token1] = ACTIONS(2037),
    [aux_sym_xauth_location_token1] = ACTIONS(2037),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2041),
    [aux_sym_match_token1] = ACTIONS(2041),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2041),
    [aux_sym_address_family_token1] = ACTIONS(2041),
    [aux_sym_batch_mode_token1] = ACTIONS(2041),
    [aux_sym_bind_address_token1] = ACTIONS(2041),
    [aux_sym_bind_interface_token1] = ACTIONS(2041),
    [aux_sym_canonical_domains_token1] = ACTIONS(2041),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2041),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2041),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2041),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2041),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2041),
    [aux_sym_certificate_file_token1] = ACTIONS(2041),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2041),
    [aux_sym_channel_timeout_token1] = ACTIONS(2041),
    [aux_sym_check_host_ip_token1] = ACTIONS(2041),
    [aux_sym_ciphers_token1] = ACTIONS(2041),
    [aux_sym_cipher_token1] = ACTIONS(2043),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2041),
    [aux_sym_compression_token1] = ACTIONS(2041),
    [aux_sym_connection_attempts_token1] = ACTIONS(2041),
    [aux_sym_connect_timeout_token1] = ACTIONS(2041),
    [aux_sym_control_master_token1] = ACTIONS(2041),
    [aux_sym_control_path_token1] = ACTIONS(2041),
    [aux_sym_control_persist_token1] = ACTIONS(2041),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2041),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2041),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2041),
    [aux_sym_escape_char_token1] = ACTIONS(2041),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2041),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2041),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2041),
    [aux_sym_forward_agent_token1] = ACTIONS(2041),
    [aux_sym_forward_x11_token1] = ACTIONS(2043),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2041),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2041),
    [aux_sym_gateway_ports_token1] = ACTIONS(2041),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2041),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2041),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2041),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2041),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2041),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2041),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2041),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2041),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2041),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2041),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2041),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2041),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2041),
    [aux_sym_host_key_alias_token1] = ACTIONS(2041),
    [aux_sym_hostname_token1] = ACTIONS(2041),
    [aux_sym_identities_only_token1] = ACTIONS(2041),
    [aux_sym_identity_agent_token1] = ACTIONS(2041),
    [aux_sym_identity_file_token1] = ACTIONS(2041),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2041),
    [aux_sym_include_token1] = ACTIONS(2041),
    [aux_sym_ip_qos_token1] = ACTIONS(2041),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2041),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2041),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2041),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2041),
    [aux_sym_local_command_token1] = ACTIONS(2041),
    [aux_sym_local_forward_token1] = ACTIONS(2041),
    [aux_sym_log_level_token1] = ACTIONS(2041),
    [aux_sym_log_verbose_token1] = ACTIONS(2041),
    [aux_sym_macs_token1] = ACTIONS(2041),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2041),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2041),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2041),
    [aux_sym_password_authentication_token1] = ACTIONS(2041),
    [aux_sym_permit_local_command_token1] = ACTIONS(2041),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2041),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2041),
    [aux_sym_port_token1] = ACTIONS(2041),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2041),
    [aux_sym_protocol_token1] = ACTIONS(2041),
    [aux_sym_proxy_command_token1] = ACTIONS(2041),
    [aux_sym_proxy_jump_token1] = ACTIONS(2041),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2041),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2041),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2041),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2041),
    [aux_sym_rekey_limit_token1] = ACTIONS(2041),
    [aux_sym_remote_command_token1] = ACTIONS(2041),
    [aux_sym_remote_forward_token1] = ACTIONS(2041),
    [aux_sym_request_tty_token1] = ACTIONS(2041),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2041),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2041),
    [aux_sym_security_key_provider_token1] = ACTIONS(2041),
    [aux_sym_send_env_token1] = ACTIONS(2041),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2041),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2041),
    [aux_sym_session_type_token1] = ACTIONS(2041),
    [aux_sym_set_env_token1] = ACTIONS(2041),
    [aux_sym_stdin_null_token1] = ACTIONS(2041),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2041),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2041),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2041),
    [aux_sym_syslog_facility_token1] = ACTIONS(2041),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2041),
    [aux_sym_keep_alive_token1] = ACTIONS(2041),
    [aux_sym_tag_token1] = ACTIONS(2041),
    [aux_sym_tunnel_token1] = ACTIONS(2043),
    [aux_sym_tunnel_device_token1] = ACTIONS(2041),
    [aux_sym_update_host_keys_token1] = ACTIONS(2041),
    [aux_sym_use_keychain_token1] = ACTIONS(2041),
    [aux_sym_use_roaming_token1] = ACTIONS(2041),
    [aux_sym_user_token1] = ACTIONS(2043),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2041),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2041),
    [aux_sym_visual_host_key_token1] = ACTIONS(2041),
    [aux_sym_xauth_location_token1] = ACTIONS(2041),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2049),
    [aux_sym_match_token1] = ACTIONS(2045),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2045),
    [aux_sym_address_family_token1] = ACTIONS(2045),
    [aux_sym_batch_mode_token1] = ACTIONS(2045),
    [aux_sym_bind_address_token1] = ACTIONS(2045),
    [aux_sym_bind_interface_token1] = ACTIONS(2045),
    [aux_sym_canonical_domains_token1] = ACTIONS(2045),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2045),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2045),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2045),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2045),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2045),
    [aux_sym_certificate_file_token1] = ACTIONS(2045),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2045),
    [aux_sym_channel_timeout_token1] = ACTIONS(2045),
    [aux_sym_check_host_ip_token1] = ACTIONS(2045),
    [aux_sym_ciphers_token1] = ACTIONS(2045),
    [aux_sym_cipher_token1] = ACTIONS(2047),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2045),
    [aux_sym_compression_token1] = ACTIONS(2045),
    [aux_sym_connection_attempts_token1] = ACTIONS(2045),
    [aux_sym_connect_timeout_token1] = ACTIONS(2045),
    [aux_sym_control_master_token1] = ACTIONS(2045),
    [aux_sym_control_path_token1] = ACTIONS(2045),
    [aux_sym_control_persist_token1] = ACTIONS(2045),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2045),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2045),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2045),
    [aux_sym_escape_char_token1] = ACTIONS(2045),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2045),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2045),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2045),
    [aux_sym_forward_agent_token1] = ACTIONS(2045),
    [aux_sym_forward_x11_token1] = ACTIONS(2047),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2045),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2045),
    [aux_sym_gateway_ports_token1] = ACTIONS(2045),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2045),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2045),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2045),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2045),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2045),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2045),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2045),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2045),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2045),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2045),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2045),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2045),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2045),
    [aux_sym_host_key_alias_token1] = ACTIONS(2045),
    [aux_sym_hostname_token1] = ACTIONS(2045),
    [aux_sym_identities_only_token1] = ACTIONS(2045),
    [aux_sym_identity_agent_token1] = ACTIONS(2045),
    [aux_sym_identity_file_token1] = ACTIONS(2045),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2045),
    [aux_sym_include_token1] = ACTIONS(2045),
    [aux_sym_ip_qos_token1] = ACTIONS(2045),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2045),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2045),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2045),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2045),
    [aux_sym_local_command_token1] = ACTIONS(2045),
    [aux_sym_local_forward_token1] = ACTIONS(2045),
    [aux_sym_log_level_token1] = ACTIONS(2045),
    [aux_sym_log_verbose_token1] = ACTIONS(2045),
    [aux_sym_macs_token1] = ACTIONS(2045),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2045),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2045),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2045),
    [aux_sym_password_authentication_token1] = ACTIONS(2045),
    [aux_sym_permit_local_command_token1] = ACTIONS(2045),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2045),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2045),
    [aux_sym_port_token1] = ACTIONS(2045),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2045),
    [aux_sym_protocol_token1] = ACTIONS(2045),
    [aux_sym_proxy_command_token1] = ACTIONS(2045),
    [aux_sym_proxy_jump_token1] = ACTIONS(2045),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2045),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2045),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2045),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2045),
    [aux_sym_rekey_limit_token1] = ACTIONS(2045),
    [aux_sym_remote_command_token1] = ACTIONS(2045),
    [aux_sym_remote_forward_token1] = ACTIONS(2045),
    [aux_sym_request_tty_token1] = ACTIONS(2045),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2045),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2045),
    [aux_sym_security_key_provider_token1] = ACTIONS(2045),
    [aux_sym_send_env_token1] = ACTIONS(2045),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2045),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2045),
    [aux_sym_session_type_token1] = ACTIONS(2045),
    [aux_sym_set_env_token1] = ACTIONS(2045),
    [aux_sym_stdin_null_token1] = ACTIONS(2045),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2045),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2045),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2045),
    [aux_sym_syslog_facility_token1] = ACTIONS(2045),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2045),
    [aux_sym_keep_alive_token1] = ACTIONS(2045),
    [aux_sym_tag_token1] = ACTIONS(2045),
    [aux_sym_tunnel_token1] = ACTIONS(2047),
    [aux_sym_tunnel_device_token1] = ACTIONS(2045),
    [aux_sym_update_host_keys_token1] = ACTIONS(2045),
    [aux_sym_use_keychain_token1] = ACTIONS(2045),
    [aux_sym_use_roaming_token1] = ACTIONS(2045),
    [aux_sym_user_token1] = ACTIONS(2047),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2045),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2045),
    [aux_sym_visual_host_key_token1] = ACTIONS(2045),
    [aux_sym_xauth_location_token1] = ACTIONS(2045),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2053),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [aux_sym_match_token1] = ACTIONS(2051),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2051),
    [aux_sym_address_family_token1] = ACTIONS(2051),
    [aux_sym_batch_mode_token1] = ACTIONS(2051),
    [aux_sym_bind_address_token1] = ACTIONS(2051),
    [aux_sym_bind_interface_token1] = ACTIONS(2051),
    [aux_sym_canonical_domains_token1] = ACTIONS(2051),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2051),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2051),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2051),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2051),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2051),
    [aux_sym_certificate_file_token1] = ACTIONS(2051),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2051),
    [aux_sym_channel_timeout_token1] = ACTIONS(2051),
    [aux_sym_check_host_ip_token1] = ACTIONS(2051),
    [aux_sym_ciphers_token1] = ACTIONS(2051),
    [aux_sym_cipher_token1] = ACTIONS(2053),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2051),
    [aux_sym_compression_token1] = ACTIONS(2051),
    [aux_sym_connection_attempts_token1] = ACTIONS(2051),
    [aux_sym_connect_timeout_token1] = ACTIONS(2051),
    [aux_sym_control_master_token1] = ACTIONS(2051),
    [aux_sym_control_path_token1] = ACTIONS(2051),
    [aux_sym_control_persist_token1] = ACTIONS(2051),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2051),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2051),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2051),
    [aux_sym_escape_char_token1] = ACTIONS(2051),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2051),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2051),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2051),
    [aux_sym_forward_agent_token1] = ACTIONS(2051),
    [aux_sym_forward_x11_token1] = ACTIONS(2053),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2051),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2051),
    [aux_sym_gateway_ports_token1] = ACTIONS(2051),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2051),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2051),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2051),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2051),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2051),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2051),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2051),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2051),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2051),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2051),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2051),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2051),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2051),
    [aux_sym_host_key_alias_token1] = ACTIONS(2051),
    [aux_sym_hostname_token1] = ACTIONS(2051),
    [aux_sym_identities_only_token1] = ACTIONS(2051),
    [aux_sym_identity_agent_token1] = ACTIONS(2051),
    [aux_sym_identity_file_token1] = ACTIONS(2051),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2051),
    [aux_sym_include_token1] = ACTIONS(2051),
    [aux_sym_ip_qos_token1] = ACTIONS(2051),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2051),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2051),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2051),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2051),
    [aux_sym_local_command_token1] = ACTIONS(2051),
    [aux_sym_local_forward_token1] = ACTIONS(2051),
    [aux_sym_log_level_token1] = ACTIONS(2051),
    [aux_sym_log_verbose_token1] = ACTIONS(2051),
    [aux_sym_macs_token1] = ACTIONS(2051),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2051),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2051),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2051),
    [aux_sym_password_authentication_token1] = ACTIONS(2051),
    [aux_sym_permit_local_command_token1] = ACTIONS(2051),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2051),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2051),
    [aux_sym_port_token1] = ACTIONS(2051),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2051),
    [aux_sym_protocol_token1] = ACTIONS(2051),
    [aux_sym_proxy_command_token1] = ACTIONS(2051),
    [aux_sym_proxy_jump_token1] = ACTIONS(2051),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2051),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2051),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2051),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2051),
    [aux_sym_rekey_limit_token1] = ACTIONS(2051),
    [aux_sym_remote_command_token1] = ACTIONS(2051),
    [aux_sym_remote_forward_token1] = ACTIONS(2051),
    [aux_sym_request_tty_token1] = ACTIONS(2051),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2051),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2051),
    [aux_sym_security_key_provider_token1] = ACTIONS(2051),
    [aux_sym_send_env_token1] = ACTIONS(2051),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2051),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2051),
    [aux_sym_session_type_token1] = ACTIONS(2051),
    [aux_sym_set_env_token1] = ACTIONS(2051),
    [aux_sym_stdin_null_token1] = ACTIONS(2051),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2051),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2051),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2051),
    [aux_sym_syslog_facility_token1] = ACTIONS(2051),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2051),
    [aux_sym_keep_alive_token1] = ACTIONS(2051),
    [aux_sym_tag_token1] = ACTIONS(2051),
    [aux_sym_tunnel_token1] = ACTIONS(2053),
    [aux_sym_tunnel_device_token1] = ACTIONS(2051),
    [aux_sym_update_host_keys_token1] = ACTIONS(2051),
    [aux_sym_use_keychain_token1] = ACTIONS(2051),
    [aux_sym_use_roaming_token1] = ACTIONS(2051),
    [aux_sym_user_token1] = ACTIONS(2053),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2051),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2051),
    [aux_sym_visual_host_key_token1] = ACTIONS(2051),
    [aux_sym_xauth_location_token1] = ACTIONS(2051),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [aux_sym_match_token1] = ACTIONS(2057),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2057),
    [aux_sym_address_family_token1] = ACTIONS(2057),
    [aux_sym_batch_mode_token1] = ACTIONS(2057),
    [aux_sym_bind_address_token1] = ACTIONS(2057),
    [aux_sym_bind_interface_token1] = ACTIONS(2057),
    [aux_sym_canonical_domains_token1] = ACTIONS(2057),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2057),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2057),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2057),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2057),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2057),
    [aux_sym_certificate_file_token1] = ACTIONS(2057),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2057),
    [aux_sym_channel_timeout_token1] = ACTIONS(2057),
    [aux_sym_check_host_ip_token1] = ACTIONS(2057),
    [aux_sym_ciphers_token1] = ACTIONS(2057),
    [aux_sym_cipher_token1] = ACTIONS(2059),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2057),
    [aux_sym_compression_token1] = ACTIONS(2057),
    [aux_sym_connection_attempts_token1] = ACTIONS(2057),
    [aux_sym_connect_timeout_token1] = ACTIONS(2057),
    [aux_sym_control_master_token1] = ACTIONS(2057),
    [aux_sym_control_path_token1] = ACTIONS(2057),
    [aux_sym_control_persist_token1] = ACTIONS(2057),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2057),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2057),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2057),
    [aux_sym_escape_char_token1] = ACTIONS(2057),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2057),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2057),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2057),
    [aux_sym_forward_agent_token1] = ACTIONS(2057),
    [aux_sym_forward_x11_token1] = ACTIONS(2059),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2057),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2057),
    [aux_sym_gateway_ports_token1] = ACTIONS(2057),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2057),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2057),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2057),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2057),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2057),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2057),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2057),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2057),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2057),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2057),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2057),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2057),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2057),
    [aux_sym_host_key_alias_token1] = ACTIONS(2057),
    [aux_sym_hostname_token1] = ACTIONS(2057),
    [aux_sym_identities_only_token1] = ACTIONS(2057),
    [aux_sym_identity_agent_token1] = ACTIONS(2057),
    [aux_sym_identity_file_token1] = ACTIONS(2057),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2057),
    [aux_sym_include_token1] = ACTIONS(2057),
    [aux_sym_ip_qos_token1] = ACTIONS(2057),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2057),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2057),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2057),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2057),
    [aux_sym_local_command_token1] = ACTIONS(2057),
    [aux_sym_local_forward_token1] = ACTIONS(2057),
    [aux_sym_log_level_token1] = ACTIONS(2057),
    [aux_sym_log_verbose_token1] = ACTIONS(2057),
    [aux_sym_macs_token1] = ACTIONS(2057),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2057),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2057),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2057),
    [aux_sym_password_authentication_token1] = ACTIONS(2057),
    [aux_sym_permit_local_command_token1] = ACTIONS(2057),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2057),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2057),
    [aux_sym_port_token1] = ACTIONS(2057),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2057),
    [aux_sym_protocol_token1] = ACTIONS(2057),
    [aux_sym_proxy_command_token1] = ACTIONS(2057),
    [aux_sym_proxy_jump_token1] = ACTIONS(2057),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2057),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2057),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2057),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2057),
    [aux_sym_rekey_limit_token1] = ACTIONS(2057),
    [aux_sym_remote_command_token1] = ACTIONS(2057),
    [aux_sym_remote_forward_token1] = ACTIONS(2057),
    [aux_sym_request_tty_token1] = ACTIONS(2057),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2057),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2057),
    [aux_sym_security_key_provider_token1] = ACTIONS(2057),
    [aux_sym_send_env_token1] = ACTIONS(2057),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2057),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2057),
    [aux_sym_session_type_token1] = ACTIONS(2057),
    [aux_sym_set_env_token1] = ACTIONS(2057),
    [aux_sym_stdin_null_token1] = ACTIONS(2057),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2057),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2057),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2057),
    [aux_sym_syslog_facility_token1] = ACTIONS(2057),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2057),
    [aux_sym_keep_alive_token1] = ACTIONS(2057),
    [aux_sym_tag_token1] = ACTIONS(2057),
    [aux_sym_tunnel_token1] = ACTIONS(2059),
    [aux_sym_tunnel_device_token1] = ACTIONS(2057),
    [aux_sym_update_host_keys_token1] = ACTIONS(2057),
    [aux_sym_use_keychain_token1] = ACTIONS(2057),
    [aux_sym_use_roaming_token1] = ACTIONS(2057),
    [aux_sym_user_token1] = ACTIONS(2059),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2057),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2057),
    [aux_sym_visual_host_key_token1] = ACTIONS(2057),
    [aux_sym_xauth_location_token1] = ACTIONS(2057),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2061),
    [aux_sym_match_token1] = ACTIONS(2061),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2061),
    [aux_sym_address_family_token1] = ACTIONS(2061),
    [aux_sym_batch_mode_token1] = ACTIONS(2061),
    [aux_sym_bind_address_token1] = ACTIONS(2061),
    [aux_sym_bind_interface_token1] = ACTIONS(2061),
    [aux_sym_canonical_domains_token1] = ACTIONS(2061),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2061),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2061),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2061),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2061),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2061),
    [aux_sym_certificate_file_token1] = ACTIONS(2061),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2061),
    [aux_sym_channel_timeout_token1] = ACTIONS(2061),
    [aux_sym_check_host_ip_token1] = ACTIONS(2061),
    [aux_sym_ciphers_token1] = ACTIONS(2061),
    [aux_sym_cipher_token1] = ACTIONS(2063),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2061),
    [aux_sym_compression_token1] = ACTIONS(2061),
    [aux_sym_connection_attempts_token1] = ACTIONS(2061),
    [aux_sym_connect_timeout_token1] = ACTIONS(2061),
    [aux_sym_control_master_token1] = ACTIONS(2061),
    [aux_sym_control_path_token1] = ACTIONS(2061),
    [aux_sym_control_persist_token1] = ACTIONS(2061),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2061),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2061),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2061),
    [aux_sym_escape_char_token1] = ACTIONS(2061),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2061),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2061),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2061),
    [aux_sym_forward_agent_token1] = ACTIONS(2061),
    [aux_sym_forward_x11_token1] = ACTIONS(2063),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2061),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2061),
    [aux_sym_gateway_ports_token1] = ACTIONS(2061),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2061),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2061),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2061),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2061),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2061),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2061),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2061),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2061),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2061),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2061),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2061),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2061),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2061),
    [aux_sym_host_key_alias_token1] = ACTIONS(2061),
    [aux_sym_hostname_token1] = ACTIONS(2061),
    [aux_sym_identities_only_token1] = ACTIONS(2061),
    [aux_sym_identity_agent_token1] = ACTIONS(2061),
    [aux_sym_identity_file_token1] = ACTIONS(2061),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2061),
    [aux_sym_include_token1] = ACTIONS(2061),
    [aux_sym_ip_qos_token1] = ACTIONS(2061),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2061),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2061),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2061),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2061),
    [aux_sym_local_command_token1] = ACTIONS(2061),
    [aux_sym_local_forward_token1] = ACTIONS(2061),
    [aux_sym_log_level_token1] = ACTIONS(2061),
    [aux_sym_log_verbose_token1] = ACTIONS(2061),
    [aux_sym_macs_token1] = ACTIONS(2061),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2061),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2061),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2061),
    [aux_sym_password_authentication_token1] = ACTIONS(2061),
    [aux_sym_permit_local_command_token1] = ACTIONS(2061),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2061),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2061),
    [aux_sym_port_token1] = ACTIONS(2061),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2061),
    [aux_sym_protocol_token1] = ACTIONS(2061),
    [aux_sym_proxy_command_token1] = ACTIONS(2061),
    [aux_sym_proxy_jump_token1] = ACTIONS(2061),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2061),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2061),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2061),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2061),
    [aux_sym_rekey_limit_token1] = ACTIONS(2061),
    [aux_sym_remote_command_token1] = ACTIONS(2061),
    [aux_sym_remote_forward_token1] = ACTIONS(2061),
    [aux_sym_request_tty_token1] = ACTIONS(2061),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2061),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2061),
    [aux_sym_security_key_provider_token1] = ACTIONS(2061),
    [aux_sym_send_env_token1] = ACTIONS(2061),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2061),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2061),
    [aux_sym_session_type_token1] = ACTIONS(2061),
    [aux_sym_set_env_token1] = ACTIONS(2061),
    [aux_sym_stdin_null_token1] = ACTIONS(2061),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2061),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2061),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2061),
    [aux_sym_syslog_facility_token1] = ACTIONS(2061),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2061),
    [aux_sym_keep_alive_token1] = ACTIONS(2061),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [aux_sym_tunnel_token1] = ACTIONS(2063),
    [aux_sym_tunnel_device_token1] = ACTIONS(2061),
    [aux_sym_update_host_keys_token1] = ACTIONS(2061),
    [aux_sym_use_keychain_token1] = ACTIONS(2061),
    [aux_sym_use_roaming_token1] = ACTIONS(2061),
    [aux_sym_user_token1] = ACTIONS(2063),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2061),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2061),
    [aux_sym_visual_host_key_token1] = ACTIONS(2061),
    [aux_sym_xauth_location_token1] = ACTIONS(2061),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2069),
    [aux_sym_match_token1] = ACTIONS(2065),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2065),
    [aux_sym_address_family_token1] = ACTIONS(2065),
    [aux_sym_batch_mode_token1] = ACTIONS(2065),
    [aux_sym_bind_address_token1] = ACTIONS(2065),
    [aux_sym_bind_interface_token1] = ACTIONS(2065),
    [aux_sym_canonical_domains_token1] = ACTIONS(2065),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2065),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2065),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2065),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2065),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2065),
    [aux_sym_certificate_file_token1] = ACTIONS(2065),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2065),
    [aux_sym_channel_timeout_token1] = ACTIONS(2065),
    [aux_sym_check_host_ip_token1] = ACTIONS(2065),
    [aux_sym_ciphers_token1] = ACTIONS(2065),
    [aux_sym_cipher_token1] = ACTIONS(2067),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2065),
    [aux_sym_compression_token1] = ACTIONS(2065),
    [aux_sym_connection_attempts_token1] = ACTIONS(2065),
    [aux_sym_connect_timeout_token1] = ACTIONS(2065),
    [aux_sym_control_master_token1] = ACTIONS(2065),
    [aux_sym_control_path_token1] = ACTIONS(2065),
    [aux_sym_control_persist_token1] = ACTIONS(2065),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2065),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2065),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2065),
    [aux_sym_escape_char_token1] = ACTIONS(2065),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2065),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2065),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2065),
    [aux_sym_forward_agent_token1] = ACTIONS(2065),
    [aux_sym_forward_x11_token1] = ACTIONS(2067),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2065),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2065),
    [aux_sym_gateway_ports_token1] = ACTIONS(2065),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2065),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2065),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2065),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2065),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2065),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2065),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2065),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2065),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2065),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2065),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2065),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2065),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2065),
    [aux_sym_host_key_alias_token1] = ACTIONS(2065),
    [aux_sym_hostname_token1] = ACTIONS(2065),
    [aux_sym_identities_only_token1] = ACTIONS(2065),
    [aux_sym_identity_agent_token1] = ACTIONS(2065),
    [aux_sym_identity_file_token1] = ACTIONS(2065),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2065),
    [aux_sym_include_token1] = ACTIONS(2065),
    [aux_sym_ip_qos_token1] = ACTIONS(2065),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2065),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2065),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2065),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2065),
    [aux_sym_local_command_token1] = ACTIONS(2065),
    [aux_sym_local_forward_token1] = ACTIONS(2065),
    [aux_sym_log_level_token1] = ACTIONS(2065),
    [aux_sym_log_verbose_token1] = ACTIONS(2065),
    [aux_sym_macs_token1] = ACTIONS(2065),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2065),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2065),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2065),
    [aux_sym_password_authentication_token1] = ACTIONS(2065),
    [aux_sym_permit_local_command_token1] = ACTIONS(2065),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2065),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2065),
    [aux_sym_port_token1] = ACTIONS(2065),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2065),
    [aux_sym_protocol_token1] = ACTIONS(2065),
    [aux_sym_proxy_command_token1] = ACTIONS(2065),
    [aux_sym_proxy_jump_token1] = ACTIONS(2065),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2065),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2065),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2065),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2065),
    [aux_sym_rekey_limit_token1] = ACTIONS(2065),
    [aux_sym_remote_command_token1] = ACTIONS(2065),
    [aux_sym_remote_forward_token1] = ACTIONS(2065),
    [aux_sym_request_tty_token1] = ACTIONS(2065),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2065),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2065),
    [aux_sym_security_key_provider_token1] = ACTIONS(2065),
    [aux_sym_send_env_token1] = ACTIONS(2065),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2065),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2065),
    [aux_sym_session_type_token1] = ACTIONS(2065),
    [aux_sym_set_env_token1] = ACTIONS(2065),
    [aux_sym_stdin_null_token1] = ACTIONS(2065),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2065),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2065),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2065),
    [aux_sym_syslog_facility_token1] = ACTIONS(2065),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2065),
    [aux_sym_keep_alive_token1] = ACTIONS(2065),
    [aux_sym_tag_token1] = ACTIONS(2065),
    [aux_sym_tunnel_token1] = ACTIONS(2067),
    [aux_sym_tunnel_device_token1] = ACTIONS(2065),
    [aux_sym_update_host_keys_token1] = ACTIONS(2065),
    [aux_sym_use_keychain_token1] = ACTIONS(2065),
    [aux_sym_use_roaming_token1] = ACTIONS(2065),
    [aux_sym_user_token1] = ACTIONS(2067),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2065),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2065),
    [aux_sym_visual_host_key_token1] = ACTIONS(2065),
    [aux_sym_xauth_location_token1] = ACTIONS(2065),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2073),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [aux_sym_match_token1] = ACTIONS(2071),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2071),
    [aux_sym_address_family_token1] = ACTIONS(2071),
    [aux_sym_batch_mode_token1] = ACTIONS(2071),
    [aux_sym_bind_address_token1] = ACTIONS(2071),
    [aux_sym_bind_interface_token1] = ACTIONS(2071),
    [aux_sym_canonical_domains_token1] = ACTIONS(2071),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2071),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2071),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2071),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2071),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2071),
    [aux_sym_certificate_file_token1] = ACTIONS(2071),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2071),
    [aux_sym_channel_timeout_token1] = ACTIONS(2071),
    [aux_sym_check_host_ip_token1] = ACTIONS(2071),
    [aux_sym_ciphers_token1] = ACTIONS(2071),
    [aux_sym_cipher_token1] = ACTIONS(2073),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2071),
    [aux_sym_compression_token1] = ACTIONS(2071),
    [aux_sym_connection_attempts_token1] = ACTIONS(2071),
    [aux_sym_connect_timeout_token1] = ACTIONS(2071),
    [aux_sym_control_master_token1] = ACTIONS(2071),
    [aux_sym_control_path_token1] = ACTIONS(2071),
    [aux_sym_control_persist_token1] = ACTIONS(2071),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2071),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2071),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2071),
    [aux_sym_escape_char_token1] = ACTIONS(2071),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2071),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2071),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2071),
    [aux_sym_forward_agent_token1] = ACTIONS(2071),
    [aux_sym_forward_x11_token1] = ACTIONS(2073),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2071),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2071),
    [aux_sym_gateway_ports_token1] = ACTIONS(2071),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2071),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2071),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2071),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2071),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2071),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2071),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2071),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2071),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2071),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2071),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2071),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2071),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2071),
    [aux_sym_host_key_alias_token1] = ACTIONS(2071),
    [aux_sym_hostname_token1] = ACTIONS(2071),
    [aux_sym_identities_only_token1] = ACTIONS(2071),
    [aux_sym_identity_agent_token1] = ACTIONS(2071),
    [aux_sym_identity_file_token1] = ACTIONS(2071),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2071),
    [aux_sym_include_token1] = ACTIONS(2071),
    [aux_sym_ip_qos_token1] = ACTIONS(2071),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2071),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2071),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2071),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2071),
    [aux_sym_local_command_token1] = ACTIONS(2071),
    [aux_sym_local_forward_token1] = ACTIONS(2071),
    [aux_sym_log_level_token1] = ACTIONS(2071),
    [aux_sym_log_verbose_token1] = ACTIONS(2071),
    [aux_sym_macs_token1] = ACTIONS(2071),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2071),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2071),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2071),
    [aux_sym_password_authentication_token1] = ACTIONS(2071),
    [aux_sym_permit_local_command_token1] = ACTIONS(2071),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2071),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2071),
    [aux_sym_port_token1] = ACTIONS(2071),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2071),
    [aux_sym_protocol_token1] = ACTIONS(2071),
    [aux_sym_proxy_command_token1] = ACTIONS(2071),
    [aux_sym_proxy_jump_token1] = ACTIONS(2071),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2071),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2071),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2071),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2071),
    [aux_sym_rekey_limit_token1] = ACTIONS(2071),
    [aux_sym_remote_command_token1] = ACTIONS(2071),
    [aux_sym_remote_forward_token1] = ACTIONS(2071),
    [aux_sym_request_tty_token1] = ACTIONS(2071),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2071),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2071),
    [aux_sym_security_key_provider_token1] = ACTIONS(2071),
    [aux_sym_send_env_token1] = ACTIONS(2071),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2071),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2071),
    [aux_sym_session_type_token1] = ACTIONS(2071),
    [aux_sym_set_env_token1] = ACTIONS(2071),
    [aux_sym_stdin_null_token1] = ACTIONS(2071),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2071),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2071),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2071),
    [aux_sym_syslog_facility_token1] = ACTIONS(2071),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2071),
    [aux_sym_keep_alive_token1] = ACTIONS(2071),
    [aux_sym_tag_token1] = ACTIONS(2071),
    [aux_sym_tunnel_token1] = ACTIONS(2073),
    [aux_sym_tunnel_device_token1] = ACTIONS(2071),
    [aux_sym_update_host_keys_token1] = ACTIONS(2071),
    [aux_sym_use_keychain_token1] = ACTIONS(2071),
    [aux_sym_use_roaming_token1] = ACTIONS(2071),
    [aux_sym_user_token1] = ACTIONS(2073),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2071),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2071),
    [aux_sym_visual_host_key_token1] = ACTIONS(2071),
    [aux_sym_xauth_location_token1] = ACTIONS(2071),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2079),
    [aux_sym_match_token1] = ACTIONS(2075),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2075),
    [aux_sym_address_family_token1] = ACTIONS(2075),
    [aux_sym_batch_mode_token1] = ACTIONS(2075),
    [aux_sym_bind_address_token1] = ACTIONS(2075),
    [aux_sym_bind_interface_token1] = ACTIONS(2075),
    [aux_sym_canonical_domains_token1] = ACTIONS(2075),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2075),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2075),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2075),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2075),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2075),
    [aux_sym_certificate_file_token1] = ACTIONS(2075),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2075),
    [aux_sym_channel_timeout_token1] = ACTIONS(2075),
    [aux_sym_check_host_ip_token1] = ACTIONS(2075),
    [aux_sym_ciphers_token1] = ACTIONS(2075),
    [aux_sym_cipher_token1] = ACTIONS(2077),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2075),
    [aux_sym_compression_token1] = ACTIONS(2075),
    [aux_sym_connection_attempts_token1] = ACTIONS(2075),
    [aux_sym_connect_timeout_token1] = ACTIONS(2075),
    [aux_sym_control_master_token1] = ACTIONS(2075),
    [aux_sym_control_path_token1] = ACTIONS(2075),
    [aux_sym_control_persist_token1] = ACTIONS(2075),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2075),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2075),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2075),
    [aux_sym_escape_char_token1] = ACTIONS(2075),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2075),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2075),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2075),
    [aux_sym_forward_agent_token1] = ACTIONS(2075),
    [aux_sym_forward_x11_token1] = ACTIONS(2077),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2075),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2075),
    [aux_sym_gateway_ports_token1] = ACTIONS(2075),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2075),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2075),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2075),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2075),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2075),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2075),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2075),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2075),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2075),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2075),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2075),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2075),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2075),
    [aux_sym_host_key_alias_token1] = ACTIONS(2075),
    [aux_sym_hostname_token1] = ACTIONS(2075),
    [aux_sym_identities_only_token1] = ACTIONS(2075),
    [aux_sym_identity_agent_token1] = ACTIONS(2075),
    [aux_sym_identity_file_token1] = ACTIONS(2075),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2075),
    [aux_sym_include_token1] = ACTIONS(2075),
    [aux_sym_ip_qos_token1] = ACTIONS(2075),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2075),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2075),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2075),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2075),
    [aux_sym_local_command_token1] = ACTIONS(2075),
    [aux_sym_local_forward_token1] = ACTIONS(2075),
    [aux_sym_log_level_token1] = ACTIONS(2075),
    [aux_sym_log_verbose_token1] = ACTIONS(2075),
    [aux_sym_macs_token1] = ACTIONS(2075),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2075),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2075),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2075),
    [aux_sym_password_authentication_token1] = ACTIONS(2075),
    [aux_sym_permit_local_command_token1] = ACTIONS(2075),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2075),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2075),
    [aux_sym_port_token1] = ACTIONS(2075),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2075),
    [aux_sym_protocol_token1] = ACTIONS(2075),
    [aux_sym_proxy_command_token1] = ACTIONS(2075),
    [aux_sym_proxy_jump_token1] = ACTIONS(2075),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2075),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2075),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2075),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2075),
    [aux_sym_rekey_limit_token1] = ACTIONS(2075),
    [aux_sym_remote_command_token1] = ACTIONS(2075),
    [aux_sym_remote_forward_token1] = ACTIONS(2075),
    [aux_sym_request_tty_token1] = ACTIONS(2075),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2075),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2075),
    [aux_sym_security_key_provider_token1] = ACTIONS(2075),
    [aux_sym_send_env_token1] = ACTIONS(2075),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2075),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2075),
    [aux_sym_session_type_token1] = ACTIONS(2075),
    [aux_sym_set_env_token1] = ACTIONS(2075),
    [aux_sym_stdin_null_token1] = ACTIONS(2075),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2075),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2075),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2075),
    [aux_sym_syslog_facility_token1] = ACTIONS(2075),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2075),
    [aux_sym_keep_alive_token1] = ACTIONS(2075),
    [aux_sym_tag_token1] = ACTIONS(2075),
    [aux_sym_tunnel_token1] = ACTIONS(2077),
    [aux_sym_tunnel_device_token1] = ACTIONS(2075),
    [aux_sym_update_host_keys_token1] = ACTIONS(2075),
    [aux_sym_use_keychain_token1] = ACTIONS(2075),
    [aux_sym_use_roaming_token1] = ACTIONS(2075),
    [aux_sym_user_token1] = ACTIONS(2077),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2075),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2075),
    [aux_sym_visual_host_key_token1] = ACTIONS(2075),
    [aux_sym_xauth_location_token1] = ACTIONS(2075),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2083),
    [anon_sym_DQUOTE] = ACTIONS(2081),
    [aux_sym_match_token1] = ACTIONS(2081),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2081),
    [aux_sym_address_family_token1] = ACTIONS(2081),
    [aux_sym_batch_mode_token1] = ACTIONS(2081),
    [aux_sym_bind_address_token1] = ACTIONS(2081),
    [aux_sym_bind_interface_token1] = ACTIONS(2081),
    [aux_sym_canonical_domains_token1] = ACTIONS(2081),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2081),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2081),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2081),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2081),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2081),
    [aux_sym_certificate_file_token1] = ACTIONS(2081),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2081),
    [aux_sym_channel_timeout_token1] = ACTIONS(2081),
    [aux_sym_check_host_ip_token1] = ACTIONS(2081),
    [aux_sym_ciphers_token1] = ACTIONS(2081),
    [aux_sym_cipher_token1] = ACTIONS(2083),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2081),
    [aux_sym_compression_token1] = ACTIONS(2081),
    [aux_sym_connection_attempts_token1] = ACTIONS(2081),
    [aux_sym_connect_timeout_token1] = ACTIONS(2081),
    [aux_sym_control_master_token1] = ACTIONS(2081),
    [aux_sym_control_path_token1] = ACTIONS(2081),
    [aux_sym_control_persist_token1] = ACTIONS(2081),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2081),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2081),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2081),
    [aux_sym_escape_char_token1] = ACTIONS(2081),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2081),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2081),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2081),
    [aux_sym_forward_agent_token1] = ACTIONS(2081),
    [aux_sym_forward_x11_token1] = ACTIONS(2083),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2081),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2081),
    [aux_sym_gateway_ports_token1] = ACTIONS(2081),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2081),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2081),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2081),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2081),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2081),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2081),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2081),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2081),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2081),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2081),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2081),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2081),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2081),
    [aux_sym_host_key_alias_token1] = ACTIONS(2081),
    [aux_sym_hostname_token1] = ACTIONS(2081),
    [aux_sym_identities_only_token1] = ACTIONS(2081),
    [aux_sym_identity_agent_token1] = ACTIONS(2081),
    [aux_sym_identity_file_token1] = ACTIONS(2081),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2081),
    [aux_sym_include_token1] = ACTIONS(2081),
    [aux_sym_ip_qos_token1] = ACTIONS(2081),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2081),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2081),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2081),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2081),
    [aux_sym_local_command_token1] = ACTIONS(2081),
    [aux_sym_local_forward_token1] = ACTIONS(2081),
    [aux_sym_log_level_token1] = ACTIONS(2081),
    [aux_sym_log_verbose_token1] = ACTIONS(2081),
    [aux_sym_macs_token1] = ACTIONS(2081),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2081),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2081),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2081),
    [aux_sym_password_authentication_token1] = ACTIONS(2081),
    [aux_sym_permit_local_command_token1] = ACTIONS(2081),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2081),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2081),
    [aux_sym_port_token1] = ACTIONS(2081),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2081),
    [aux_sym_protocol_token1] = ACTIONS(2081),
    [aux_sym_proxy_command_token1] = ACTIONS(2081),
    [aux_sym_proxy_jump_token1] = ACTIONS(2081),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2081),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2081),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2081),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2081),
    [aux_sym_rekey_limit_token1] = ACTIONS(2081),
    [aux_sym_remote_command_token1] = ACTIONS(2081),
    [aux_sym_remote_forward_token1] = ACTIONS(2081),
    [aux_sym_request_tty_token1] = ACTIONS(2081),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2081),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2081),
    [aux_sym_security_key_provider_token1] = ACTIONS(2081),
    [aux_sym_send_env_token1] = ACTIONS(2081),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2081),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2081),
    [aux_sym_session_type_token1] = ACTIONS(2081),
    [aux_sym_set_env_token1] = ACTIONS(2081),
    [aux_sym_stdin_null_token1] = ACTIONS(2081),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2081),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2081),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2081),
    [aux_sym_syslog_facility_token1] = ACTIONS(2081),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2081),
    [aux_sym_keep_alive_token1] = ACTIONS(2081),
    [aux_sym_tag_token1] = ACTIONS(2081),
    [aux_sym_tunnel_token1] = ACTIONS(2083),
    [aux_sym_tunnel_device_token1] = ACTIONS(2081),
    [aux_sym_update_host_keys_token1] = ACTIONS(2081),
    [aux_sym_use_keychain_token1] = ACTIONS(2081),
    [aux_sym_use_roaming_token1] = ACTIONS(2081),
    [aux_sym_user_token1] = ACTIONS(2083),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2081),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2081),
    [aux_sym_visual_host_key_token1] = ACTIONS(2081),
    [aux_sym_xauth_location_token1] = ACTIONS(2081),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [aux_sym_match_token1] = ACTIONS(2085),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2085),
    [aux_sym_address_family_token1] = ACTIONS(2085),
    [aux_sym_batch_mode_token1] = ACTIONS(2085),
    [aux_sym_bind_address_token1] = ACTIONS(2085),
    [aux_sym_bind_interface_token1] = ACTIONS(2085),
    [aux_sym_canonical_domains_token1] = ACTIONS(2085),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2085),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2085),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2085),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2085),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2085),
    [aux_sym_certificate_file_token1] = ACTIONS(2085),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2085),
    [aux_sym_channel_timeout_token1] = ACTIONS(2085),
    [aux_sym_check_host_ip_token1] = ACTIONS(2085),
    [aux_sym_ciphers_token1] = ACTIONS(2085),
    [aux_sym_cipher_token1] = ACTIONS(2087),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2085),
    [aux_sym_compression_token1] = ACTIONS(2085),
    [aux_sym_connection_attempts_token1] = ACTIONS(2085),
    [aux_sym_connect_timeout_token1] = ACTIONS(2085),
    [aux_sym_control_master_token1] = ACTIONS(2085),
    [aux_sym_control_path_token1] = ACTIONS(2085),
    [aux_sym_control_persist_token1] = ACTIONS(2085),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2085),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2085),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2085),
    [aux_sym_escape_char_token1] = ACTIONS(2085),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2085),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2085),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2085),
    [aux_sym_forward_agent_token1] = ACTIONS(2085),
    [aux_sym_forward_x11_token1] = ACTIONS(2087),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2085),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2085),
    [aux_sym_gateway_ports_token1] = ACTIONS(2085),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2085),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2085),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2085),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2085),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2085),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2085),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2085),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2085),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2085),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2085),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2085),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2085),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2085),
    [aux_sym_host_key_alias_token1] = ACTIONS(2085),
    [aux_sym_hostname_token1] = ACTIONS(2085),
    [aux_sym_identities_only_token1] = ACTIONS(2085),
    [aux_sym_identity_agent_token1] = ACTIONS(2085),
    [aux_sym_identity_file_token1] = ACTIONS(2085),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2085),
    [aux_sym_include_token1] = ACTIONS(2085),
    [aux_sym_ip_qos_token1] = ACTIONS(2085),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2085),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2085),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2085),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2085),
    [aux_sym_local_command_token1] = ACTIONS(2085),
    [aux_sym_local_forward_token1] = ACTIONS(2085),
    [aux_sym_log_level_token1] = ACTIONS(2085),
    [aux_sym_log_verbose_token1] = ACTIONS(2085),
    [aux_sym_macs_token1] = ACTIONS(2085),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2085),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2085),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2085),
    [aux_sym_password_authentication_token1] = ACTIONS(2085),
    [aux_sym_permit_local_command_token1] = ACTIONS(2085),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2085),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2085),
    [aux_sym_port_token1] = ACTIONS(2085),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2085),
    [aux_sym_protocol_token1] = ACTIONS(2085),
    [aux_sym_proxy_command_token1] = ACTIONS(2085),
    [aux_sym_proxy_jump_token1] = ACTIONS(2085),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2085),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2085),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2085),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2085),
    [aux_sym_rekey_limit_token1] = ACTIONS(2085),
    [aux_sym_remote_command_token1] = ACTIONS(2085),
    [aux_sym_remote_forward_token1] = ACTIONS(2085),
    [aux_sym_request_tty_token1] = ACTIONS(2085),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2085),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2085),
    [aux_sym_security_key_provider_token1] = ACTIONS(2085),
    [aux_sym_send_env_token1] = ACTIONS(2085),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2085),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2085),
    [aux_sym_session_type_token1] = ACTIONS(2085),
    [aux_sym_set_env_token1] = ACTIONS(2085),
    [aux_sym_stdin_null_token1] = ACTIONS(2085),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2085),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2085),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2085),
    [aux_sym_syslog_facility_token1] = ACTIONS(2085),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2085),
    [aux_sym_keep_alive_token1] = ACTIONS(2085),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [aux_sym_tunnel_token1] = ACTIONS(2087),
    [aux_sym_tunnel_device_token1] = ACTIONS(2085),
    [aux_sym_update_host_keys_token1] = ACTIONS(2085),
    [aux_sym_use_keychain_token1] = ACTIONS(2085),
    [aux_sym_use_roaming_token1] = ACTIONS(2085),
    [aux_sym_user_token1] = ACTIONS(2087),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2085),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2085),
    [aux_sym_visual_host_key_token1] = ACTIONS(2085),
    [aux_sym_xauth_location_token1] = ACTIONS(2085),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [aux_sym_match_token1] = ACTIONS(2091),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2091),
    [aux_sym_address_family_token1] = ACTIONS(2091),
    [aux_sym_batch_mode_token1] = ACTIONS(2091),
    [aux_sym_bind_address_token1] = ACTIONS(2091),
    [aux_sym_bind_interface_token1] = ACTIONS(2091),
    [aux_sym_canonical_domains_token1] = ACTIONS(2091),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2091),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2091),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2091),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2091),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2091),
    [aux_sym_certificate_file_token1] = ACTIONS(2091),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2091),
    [aux_sym_channel_timeout_token1] = ACTIONS(2091),
    [aux_sym_check_host_ip_token1] = ACTIONS(2091),
    [aux_sym_ciphers_token1] = ACTIONS(2091),
    [aux_sym_cipher_token1] = ACTIONS(2093),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2091),
    [aux_sym_compression_token1] = ACTIONS(2091),
    [aux_sym_connection_attempts_token1] = ACTIONS(2091),
    [aux_sym_connect_timeout_token1] = ACTIONS(2091),
    [aux_sym_control_master_token1] = ACTIONS(2091),
    [aux_sym_control_path_token1] = ACTIONS(2091),
    [aux_sym_control_persist_token1] = ACTIONS(2091),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2091),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2091),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2091),
    [aux_sym_escape_char_token1] = ACTIONS(2091),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2091),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2091),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2091),
    [aux_sym_forward_agent_token1] = ACTIONS(2091),
    [aux_sym_forward_x11_token1] = ACTIONS(2093),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2091),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2091),
    [aux_sym_gateway_ports_token1] = ACTIONS(2091),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2091),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2091),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2091),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2091),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2091),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2091),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2091),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2091),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2091),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2091),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2091),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2091),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2091),
    [aux_sym_host_key_alias_token1] = ACTIONS(2091),
    [aux_sym_hostname_token1] = ACTIONS(2091),
    [aux_sym_identities_only_token1] = ACTIONS(2091),
    [aux_sym_identity_agent_token1] = ACTIONS(2091),
    [aux_sym_identity_file_token1] = ACTIONS(2091),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2091),
    [aux_sym_include_token1] = ACTIONS(2091),
    [aux_sym_ip_qos_token1] = ACTIONS(2091),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2091),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2091),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2091),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2091),
    [aux_sym_local_command_token1] = ACTIONS(2091),
    [aux_sym_local_forward_token1] = ACTIONS(2091),
    [aux_sym_log_level_token1] = ACTIONS(2091),
    [aux_sym_log_verbose_token1] = ACTIONS(2091),
    [aux_sym_macs_token1] = ACTIONS(2091),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2091),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2091),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2091),
    [aux_sym_password_authentication_token1] = ACTIONS(2091),
    [aux_sym_permit_local_command_token1] = ACTIONS(2091),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2091),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2091),
    [aux_sym_port_token1] = ACTIONS(2091),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2091),
    [aux_sym_protocol_token1] = ACTIONS(2091),
    [aux_sym_proxy_command_token1] = ACTIONS(2091),
    [aux_sym_proxy_jump_token1] = ACTIONS(2091),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2091),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2091),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2091),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2091),
    [aux_sym_rekey_limit_token1] = ACTIONS(2091),
    [aux_sym_remote_command_token1] = ACTIONS(2091),
    [aux_sym_remote_forward_token1] = ACTIONS(2091),
    [aux_sym_request_tty_token1] = ACTIONS(2091),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2091),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2091),
    [aux_sym_security_key_provider_token1] = ACTIONS(2091),
    [aux_sym_send_env_token1] = ACTIONS(2091),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2091),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2091),
    [aux_sym_session_type_token1] = ACTIONS(2091),
    [aux_sym_set_env_token1] = ACTIONS(2091),
    [aux_sym_stdin_null_token1] = ACTIONS(2091),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2091),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2091),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2091),
    [aux_sym_syslog_facility_token1] = ACTIONS(2091),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2091),
    [aux_sym_keep_alive_token1] = ACTIONS(2091),
    [aux_sym_tag_token1] = ACTIONS(2091),
    [aux_sym_tunnel_token1] = ACTIONS(2093),
    [aux_sym_tunnel_device_token1] = ACTIONS(2091),
    [aux_sym_update_host_keys_token1] = ACTIONS(2091),
    [aux_sym_use_keychain_token1] = ACTIONS(2091),
    [aux_sym_use_roaming_token1] = ACTIONS(2091),
    [aux_sym_user_token1] = ACTIONS(2093),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2091),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2091),
    [aux_sym_visual_host_key_token1] = ACTIONS(2091),
    [aux_sym_xauth_location_token1] = ACTIONS(2091),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2099),
    [aux_sym_match_token1] = ACTIONS(2095),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2095),
    [aux_sym_address_family_token1] = ACTIONS(2095),
    [aux_sym_batch_mode_token1] = ACTIONS(2095),
    [aux_sym_bind_address_token1] = ACTIONS(2095),
    [aux_sym_bind_interface_token1] = ACTIONS(2095),
    [aux_sym_canonical_domains_token1] = ACTIONS(2095),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2095),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2095),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2095),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2095),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2095),
    [aux_sym_certificate_file_token1] = ACTIONS(2095),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2095),
    [aux_sym_channel_timeout_token1] = ACTIONS(2095),
    [aux_sym_check_host_ip_token1] = ACTIONS(2095),
    [aux_sym_ciphers_token1] = ACTIONS(2095),
    [aux_sym_cipher_token1] = ACTIONS(2097),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2095),
    [aux_sym_compression_token1] = ACTIONS(2095),
    [aux_sym_connection_attempts_token1] = ACTIONS(2095),
    [aux_sym_connect_timeout_token1] = ACTIONS(2095),
    [aux_sym_control_master_token1] = ACTIONS(2095),
    [aux_sym_control_path_token1] = ACTIONS(2095),
    [aux_sym_control_persist_token1] = ACTIONS(2095),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2095),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2095),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2095),
    [aux_sym_escape_char_token1] = ACTIONS(2095),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2095),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2095),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2095),
    [aux_sym_forward_agent_token1] = ACTIONS(2095),
    [aux_sym_forward_x11_token1] = ACTIONS(2097),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2095),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2095),
    [aux_sym_gateway_ports_token1] = ACTIONS(2095),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2095),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2095),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2095),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2095),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2095),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2095),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2095),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2095),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2095),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2095),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2095),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2095),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2095),
    [aux_sym_host_key_alias_token1] = ACTIONS(2095),
    [aux_sym_hostname_token1] = ACTIONS(2095),
    [aux_sym_identities_only_token1] = ACTIONS(2095),
    [aux_sym_identity_agent_token1] = ACTIONS(2095),
    [aux_sym_identity_file_token1] = ACTIONS(2095),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2095),
    [aux_sym_include_token1] = ACTIONS(2095),
    [aux_sym_ip_qos_token1] = ACTIONS(2095),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2095),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2095),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2095),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2095),
    [aux_sym_local_command_token1] = ACTIONS(2095),
    [aux_sym_local_forward_token1] = ACTIONS(2095),
    [aux_sym_log_level_token1] = ACTIONS(2095),
    [aux_sym_log_verbose_token1] = ACTIONS(2095),
    [aux_sym_macs_token1] = ACTIONS(2095),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2095),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2095),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2095),
    [aux_sym_password_authentication_token1] = ACTIONS(2095),
    [aux_sym_permit_local_command_token1] = ACTIONS(2095),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2095),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2095),
    [aux_sym_port_token1] = ACTIONS(2095),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2095),
    [aux_sym_protocol_token1] = ACTIONS(2095),
    [aux_sym_proxy_command_token1] = ACTIONS(2095),
    [aux_sym_proxy_jump_token1] = ACTIONS(2095),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2095),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2095),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2095),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2095),
    [aux_sym_rekey_limit_token1] = ACTIONS(2095),
    [aux_sym_remote_command_token1] = ACTIONS(2095),
    [aux_sym_remote_forward_token1] = ACTIONS(2095),
    [aux_sym_request_tty_token1] = ACTIONS(2095),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2095),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2095),
    [aux_sym_security_key_provider_token1] = ACTIONS(2095),
    [aux_sym_send_env_token1] = ACTIONS(2095),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2095),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2095),
    [aux_sym_session_type_token1] = ACTIONS(2095),
    [aux_sym_set_env_token1] = ACTIONS(2095),
    [aux_sym_stdin_null_token1] = ACTIONS(2095),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2095),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2095),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2095),
    [aux_sym_syslog_facility_token1] = ACTIONS(2095),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2095),
    [aux_sym_keep_alive_token1] = ACTIONS(2095),
    [aux_sym_tag_token1] = ACTIONS(2095),
    [aux_sym_tunnel_token1] = ACTIONS(2097),
    [aux_sym_tunnel_device_token1] = ACTIONS(2095),
    [aux_sym_update_host_keys_token1] = ACTIONS(2095),
    [aux_sym_use_keychain_token1] = ACTIONS(2095),
    [aux_sym_use_roaming_token1] = ACTIONS(2095),
    [aux_sym_user_token1] = ACTIONS(2097),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2095),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2095),
    [aux_sym_visual_host_key_token1] = ACTIONS(2095),
    [aux_sym_xauth_location_token1] = ACTIONS(2095),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2103),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [aux_sym_match_token1] = ACTIONS(2101),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2101),
    [aux_sym_address_family_token1] = ACTIONS(2101),
    [aux_sym_batch_mode_token1] = ACTIONS(2101),
    [aux_sym_bind_address_token1] = ACTIONS(2101),
    [aux_sym_bind_interface_token1] = ACTIONS(2101),
    [aux_sym_canonical_domains_token1] = ACTIONS(2101),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2101),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2101),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2101),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2101),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2101),
    [aux_sym_certificate_file_token1] = ACTIONS(2101),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2101),
    [aux_sym_channel_timeout_token1] = ACTIONS(2101),
    [aux_sym_check_host_ip_token1] = ACTIONS(2101),
    [aux_sym_ciphers_token1] = ACTIONS(2101),
    [aux_sym_cipher_token1] = ACTIONS(2103),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2101),
    [aux_sym_compression_token1] = ACTIONS(2101),
    [aux_sym_connection_attempts_token1] = ACTIONS(2101),
    [aux_sym_connect_timeout_token1] = ACTIONS(2101),
    [aux_sym_control_master_token1] = ACTIONS(2101),
    [aux_sym_control_path_token1] = ACTIONS(2101),
    [aux_sym_control_persist_token1] = ACTIONS(2101),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2101),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2101),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2101),
    [aux_sym_escape_char_token1] = ACTIONS(2101),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2101),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2101),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2101),
    [aux_sym_forward_agent_token1] = ACTIONS(2101),
    [aux_sym_forward_x11_token1] = ACTIONS(2103),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2101),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2101),
    [aux_sym_gateway_ports_token1] = ACTIONS(2101),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2101),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2101),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2101),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2101),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2101),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2101),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2101),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2101),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2101),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2101),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2101),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2101),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2101),
    [aux_sym_host_key_alias_token1] = ACTIONS(2101),
    [aux_sym_hostname_token1] = ACTIONS(2101),
    [aux_sym_identities_only_token1] = ACTIONS(2101),
    [aux_sym_identity_agent_token1] = ACTIONS(2101),
    [aux_sym_identity_file_token1] = ACTIONS(2101),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2101),
    [aux_sym_include_token1] = ACTIONS(2101),
    [aux_sym_ip_qos_token1] = ACTIONS(2101),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2101),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2101),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2101),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2101),
    [aux_sym_local_command_token1] = ACTIONS(2101),
    [aux_sym_local_forward_token1] = ACTIONS(2101),
    [aux_sym_log_level_token1] = ACTIONS(2101),
    [aux_sym_log_verbose_token1] = ACTIONS(2101),
    [aux_sym_macs_token1] = ACTIONS(2101),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2101),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2101),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2101),
    [aux_sym_password_authentication_token1] = ACTIONS(2101),
    [aux_sym_permit_local_command_token1] = ACTIONS(2101),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2101),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2101),
    [aux_sym_port_token1] = ACTIONS(2101),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2101),
    [aux_sym_protocol_token1] = ACTIONS(2101),
    [aux_sym_proxy_command_token1] = ACTIONS(2101),
    [aux_sym_proxy_jump_token1] = ACTIONS(2101),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2101),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2101),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2101),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2101),
    [aux_sym_rekey_limit_token1] = ACTIONS(2101),
    [aux_sym_remote_command_token1] = ACTIONS(2101),
    [aux_sym_remote_forward_token1] = ACTIONS(2101),
    [aux_sym_request_tty_token1] = ACTIONS(2101),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2101),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2101),
    [aux_sym_security_key_provider_token1] = ACTIONS(2101),
    [aux_sym_send_env_token1] = ACTIONS(2101),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2101),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2101),
    [aux_sym_session_type_token1] = ACTIONS(2101),
    [aux_sym_set_env_token1] = ACTIONS(2101),
    [aux_sym_stdin_null_token1] = ACTIONS(2101),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2101),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2101),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2101),
    [aux_sym_syslog_facility_token1] = ACTIONS(2101),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2101),
    [aux_sym_keep_alive_token1] = ACTIONS(2101),
    [aux_sym_tag_token1] = ACTIONS(2101),
    [aux_sym_tunnel_token1] = ACTIONS(2103),
    [aux_sym_tunnel_device_token1] = ACTIONS(2101),
    [aux_sym_update_host_keys_token1] = ACTIONS(2101),
    [aux_sym_use_keychain_token1] = ACTIONS(2101),
    [aux_sym_use_roaming_token1] = ACTIONS(2101),
    [aux_sym_user_token1] = ACTIONS(2103),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2101),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2101),
    [aux_sym_visual_host_key_token1] = ACTIONS(2101),
    [aux_sym_xauth_location_token1] = ACTIONS(2101),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2109),
    [aux_sym_match_token1] = ACTIONS(2105),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2105),
    [aux_sym_address_family_token1] = ACTIONS(2105),
    [aux_sym_batch_mode_token1] = ACTIONS(2105),
    [aux_sym_bind_address_token1] = ACTIONS(2105),
    [aux_sym_bind_interface_token1] = ACTIONS(2105),
    [aux_sym_canonical_domains_token1] = ACTIONS(2105),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2105),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2105),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2105),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2105),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2105),
    [aux_sym_certificate_file_token1] = ACTIONS(2105),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2105),
    [aux_sym_channel_timeout_token1] = ACTIONS(2105),
    [aux_sym_check_host_ip_token1] = ACTIONS(2105),
    [aux_sym_ciphers_token1] = ACTIONS(2105),
    [aux_sym_cipher_token1] = ACTIONS(2107),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2105),
    [aux_sym_compression_token1] = ACTIONS(2105),
    [aux_sym_connection_attempts_token1] = ACTIONS(2105),
    [aux_sym_connect_timeout_token1] = ACTIONS(2105),
    [aux_sym_control_master_token1] = ACTIONS(2105),
    [aux_sym_control_path_token1] = ACTIONS(2105),
    [aux_sym_control_persist_token1] = ACTIONS(2105),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2105),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2105),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2105),
    [aux_sym_escape_char_token1] = ACTIONS(2105),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2105),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2105),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2105),
    [aux_sym_forward_agent_token1] = ACTIONS(2105),
    [aux_sym_forward_x11_token1] = ACTIONS(2107),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2105),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2105),
    [aux_sym_gateway_ports_token1] = ACTIONS(2105),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2105),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2105),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2105),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2105),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2105),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2105),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2105),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2105),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2105),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2105),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2105),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2105),
    [aux_sym_host_key_alias_token1] = ACTIONS(2105),
    [aux_sym_hostname_token1] = ACTIONS(2105),
    [aux_sym_identities_only_token1] = ACTIONS(2105),
    [aux_sym_identity_agent_token1] = ACTIONS(2105),
    [aux_sym_identity_file_token1] = ACTIONS(2105),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2105),
    [aux_sym_include_token1] = ACTIONS(2105),
    [aux_sym_ip_qos_token1] = ACTIONS(2105),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2105),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2105),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2105),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2105),
    [aux_sym_local_command_token1] = ACTIONS(2105),
    [aux_sym_local_forward_token1] = ACTIONS(2105),
    [aux_sym_log_level_token1] = ACTIONS(2105),
    [aux_sym_log_verbose_token1] = ACTIONS(2105),
    [aux_sym_macs_token1] = ACTIONS(2105),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2105),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2105),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2105),
    [aux_sym_password_authentication_token1] = ACTIONS(2105),
    [aux_sym_permit_local_command_token1] = ACTIONS(2105),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2105),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2105),
    [aux_sym_port_token1] = ACTIONS(2105),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2105),
    [aux_sym_protocol_token1] = ACTIONS(2105),
    [aux_sym_proxy_command_token1] = ACTIONS(2105),
    [aux_sym_proxy_jump_token1] = ACTIONS(2105),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2105),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2105),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2105),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2105),
    [aux_sym_rekey_limit_token1] = ACTIONS(2105),
    [aux_sym_remote_command_token1] = ACTIONS(2105),
    [aux_sym_remote_forward_token1] = ACTIONS(2105),
    [aux_sym_request_tty_token1] = ACTIONS(2105),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2105),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2105),
    [aux_sym_security_key_provider_token1] = ACTIONS(2105),
    [aux_sym_send_env_token1] = ACTIONS(2105),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2105),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2105),
    [aux_sym_session_type_token1] = ACTIONS(2105),
    [aux_sym_set_env_token1] = ACTIONS(2105),
    [aux_sym_stdin_null_token1] = ACTIONS(2105),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2105),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2105),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2105),
    [aux_sym_syslog_facility_token1] = ACTIONS(2105),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2105),
    [aux_sym_keep_alive_token1] = ACTIONS(2105),
    [aux_sym_tag_token1] = ACTIONS(2105),
    [aux_sym_tunnel_token1] = ACTIONS(2107),
    [aux_sym_tunnel_device_token1] = ACTIONS(2105),
    [aux_sym_update_host_keys_token1] = ACTIONS(2105),
    [aux_sym_use_keychain_token1] = ACTIONS(2105),
    [aux_sym_use_roaming_token1] = ACTIONS(2105),
    [aux_sym_user_token1] = ACTIONS(2107),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2105),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2105),
    [aux_sym_visual_host_key_token1] = ACTIONS(2105),
    [aux_sym_xauth_location_token1] = ACTIONS(2105),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2113),
    [anon_sym_DQUOTE] = ACTIONS(2111),
    [aux_sym_match_token1] = ACTIONS(2111),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2111),
    [aux_sym_address_family_token1] = ACTIONS(2111),
    [aux_sym_batch_mode_token1] = ACTIONS(2111),
    [aux_sym_bind_address_token1] = ACTIONS(2111),
    [aux_sym_bind_interface_token1] = ACTIONS(2111),
    [aux_sym_canonical_domains_token1] = ACTIONS(2111),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2111),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2111),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2111),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2111),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2111),
    [aux_sym_certificate_file_token1] = ACTIONS(2111),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2111),
    [aux_sym_channel_timeout_token1] = ACTIONS(2111),
    [aux_sym_check_host_ip_token1] = ACTIONS(2111),
    [aux_sym_ciphers_token1] = ACTIONS(2111),
    [aux_sym_cipher_token1] = ACTIONS(2113),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2111),
    [aux_sym_compression_token1] = ACTIONS(2111),
    [aux_sym_connection_attempts_token1] = ACTIONS(2111),
    [aux_sym_connect_timeout_token1] = ACTIONS(2111),
    [aux_sym_control_master_token1] = ACTIONS(2111),
    [aux_sym_control_path_token1] = ACTIONS(2111),
    [aux_sym_control_persist_token1] = ACTIONS(2111),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2111),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2111),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2111),
    [aux_sym_escape_char_token1] = ACTIONS(2111),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2111),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2111),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2111),
    [aux_sym_forward_agent_token1] = ACTIONS(2111),
    [aux_sym_forward_x11_token1] = ACTIONS(2113),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2111),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2111),
    [aux_sym_gateway_ports_token1] = ACTIONS(2111),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2111),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2111),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2111),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2111),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2111),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2111),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2111),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2111),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2111),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2111),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2111),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2111),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2111),
    [aux_sym_host_key_alias_token1] = ACTIONS(2111),
    [aux_sym_hostname_token1] = ACTIONS(2111),
    [aux_sym_identities_only_token1] = ACTIONS(2111),
    [aux_sym_identity_agent_token1] = ACTIONS(2111),
    [aux_sym_identity_file_token1] = ACTIONS(2111),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2111),
    [aux_sym_include_token1] = ACTIONS(2111),
    [aux_sym_ip_qos_token1] = ACTIONS(2111),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2111),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2111),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2111),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2111),
    [aux_sym_local_command_token1] = ACTIONS(2111),
    [aux_sym_local_forward_token1] = ACTIONS(2111),
    [aux_sym_log_level_token1] = ACTIONS(2111),
    [aux_sym_log_verbose_token1] = ACTIONS(2111),
    [aux_sym_macs_token1] = ACTIONS(2111),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2111),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2111),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2111),
    [aux_sym_password_authentication_token1] = ACTIONS(2111),
    [aux_sym_permit_local_command_token1] = ACTIONS(2111),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2111),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2111),
    [aux_sym_port_token1] = ACTIONS(2111),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2111),
    [aux_sym_protocol_token1] = ACTIONS(2111),
    [aux_sym_proxy_command_token1] = ACTIONS(2111),
    [aux_sym_proxy_jump_token1] = ACTIONS(2111),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2111),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2111),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2111),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2111),
    [aux_sym_rekey_limit_token1] = ACTIONS(2111),
    [aux_sym_remote_command_token1] = ACTIONS(2111),
    [aux_sym_remote_forward_token1] = ACTIONS(2111),
    [aux_sym_request_tty_token1] = ACTIONS(2111),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2111),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2111),
    [aux_sym_security_key_provider_token1] = ACTIONS(2111),
    [aux_sym_send_env_token1] = ACTIONS(2111),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2111),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2111),
    [aux_sym_session_type_token1] = ACTIONS(2111),
    [aux_sym_set_env_token1] = ACTIONS(2111),
    [aux_sym_stdin_null_token1] = ACTIONS(2111),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2111),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2111),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2111),
    [aux_sym_syslog_facility_token1] = ACTIONS(2111),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2111),
    [aux_sym_keep_alive_token1] = ACTIONS(2111),
    [aux_sym_tag_token1] = ACTIONS(2111),
    [aux_sym_tunnel_token1] = ACTIONS(2113),
    [aux_sym_tunnel_device_token1] = ACTIONS(2111),
    [aux_sym_update_host_keys_token1] = ACTIONS(2111),
    [aux_sym_use_keychain_token1] = ACTIONS(2111),
    [aux_sym_use_roaming_token1] = ACTIONS(2111),
    [aux_sym_user_token1] = ACTIONS(2113),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2111),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2111),
    [aux_sym_visual_host_key_token1] = ACTIONS(2111),
    [aux_sym_xauth_location_token1] = ACTIONS(2111),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [aux_sym_match_token1] = ACTIONS(2115),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2115),
    [aux_sym_address_family_token1] = ACTIONS(2115),
    [aux_sym_batch_mode_token1] = ACTIONS(2115),
    [aux_sym_bind_address_token1] = ACTIONS(2115),
    [aux_sym_bind_interface_token1] = ACTIONS(2115),
    [aux_sym_canonical_domains_token1] = ACTIONS(2115),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2115),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2115),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2115),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2115),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2115),
    [aux_sym_certificate_file_token1] = ACTIONS(2115),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2115),
    [aux_sym_channel_timeout_token1] = ACTIONS(2115),
    [aux_sym_check_host_ip_token1] = ACTIONS(2115),
    [aux_sym_ciphers_token1] = ACTIONS(2115),
    [aux_sym_cipher_token1] = ACTIONS(2117),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2115),
    [aux_sym_compression_token1] = ACTIONS(2115),
    [aux_sym_connection_attempts_token1] = ACTIONS(2115),
    [aux_sym_connect_timeout_token1] = ACTIONS(2115),
    [aux_sym_control_master_token1] = ACTIONS(2115),
    [aux_sym_control_path_token1] = ACTIONS(2115),
    [aux_sym_control_persist_token1] = ACTIONS(2115),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2115),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2115),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2115),
    [aux_sym_escape_char_token1] = ACTIONS(2115),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2115),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2115),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2115),
    [aux_sym_forward_agent_token1] = ACTIONS(2115),
    [aux_sym_forward_x11_token1] = ACTIONS(2117),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2115),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2115),
    [aux_sym_gateway_ports_token1] = ACTIONS(2115),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2115),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2115),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2115),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2115),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2115),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2115),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2115),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2115),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2115),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2115),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2115),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2115),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2115),
    [aux_sym_host_key_alias_token1] = ACTIONS(2115),
    [aux_sym_hostname_token1] = ACTIONS(2115),
    [aux_sym_identities_only_token1] = ACTIONS(2115),
    [aux_sym_identity_agent_token1] = ACTIONS(2115),
    [aux_sym_identity_file_token1] = ACTIONS(2115),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2115),
    [aux_sym_include_token1] = ACTIONS(2115),
    [aux_sym_ip_qos_token1] = ACTIONS(2115),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2115),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2115),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2115),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2115),
    [aux_sym_local_command_token1] = ACTIONS(2115),
    [aux_sym_local_forward_token1] = ACTIONS(2115),
    [aux_sym_log_level_token1] = ACTIONS(2115),
    [aux_sym_log_verbose_token1] = ACTIONS(2115),
    [aux_sym_macs_token1] = ACTIONS(2115),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2115),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2115),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2115),
    [aux_sym_password_authentication_token1] = ACTIONS(2115),
    [aux_sym_permit_local_command_token1] = ACTIONS(2115),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2115),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2115),
    [aux_sym_port_token1] = ACTIONS(2115),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2115),
    [aux_sym_protocol_token1] = ACTIONS(2115),
    [aux_sym_proxy_command_token1] = ACTIONS(2115),
    [aux_sym_proxy_jump_token1] = ACTIONS(2115),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2115),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2115),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2115),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2115),
    [aux_sym_rekey_limit_token1] = ACTIONS(2115),
    [aux_sym_remote_command_token1] = ACTIONS(2115),
    [aux_sym_remote_forward_token1] = ACTIONS(2115),
    [aux_sym_request_tty_token1] = ACTIONS(2115),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2115),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2115),
    [aux_sym_security_key_provider_token1] = ACTIONS(2115),
    [aux_sym_send_env_token1] = ACTIONS(2115),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2115),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2115),
    [aux_sym_session_type_token1] = ACTIONS(2115),
    [aux_sym_set_env_token1] = ACTIONS(2115),
    [aux_sym_stdin_null_token1] = ACTIONS(2115),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2115),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2115),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2115),
    [aux_sym_syslog_facility_token1] = ACTIONS(2115),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2115),
    [aux_sym_keep_alive_token1] = ACTIONS(2115),
    [aux_sym_tag_token1] = ACTIONS(2115),
    [aux_sym_tunnel_token1] = ACTIONS(2117),
    [aux_sym_tunnel_device_token1] = ACTIONS(2115),
    [aux_sym_update_host_keys_token1] = ACTIONS(2115),
    [aux_sym_use_keychain_token1] = ACTIONS(2115),
    [aux_sym_use_roaming_token1] = ACTIONS(2115),
    [aux_sym_user_token1] = ACTIONS(2117),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2115),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2115),
    [aux_sym_visual_host_key_token1] = ACTIONS(2115),
    [aux_sym_xauth_location_token1] = ACTIONS(2115),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2121),
    [aux_sym_match_token1] = ACTIONS(2121),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2121),
    [aux_sym_address_family_token1] = ACTIONS(2121),
    [aux_sym_batch_mode_token1] = ACTIONS(2121),
    [aux_sym_bind_address_token1] = ACTIONS(2121),
    [aux_sym_bind_interface_token1] = ACTIONS(2121),
    [aux_sym_canonical_domains_token1] = ACTIONS(2121),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2121),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2121),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2121),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2121),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2121),
    [aux_sym_certificate_file_token1] = ACTIONS(2121),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2121),
    [aux_sym_channel_timeout_token1] = ACTIONS(2121),
    [aux_sym_check_host_ip_token1] = ACTIONS(2121),
    [aux_sym_ciphers_token1] = ACTIONS(2121),
    [aux_sym_cipher_token1] = ACTIONS(2123),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2121),
    [aux_sym_compression_token1] = ACTIONS(2121),
    [aux_sym_connection_attempts_token1] = ACTIONS(2121),
    [aux_sym_connect_timeout_token1] = ACTIONS(2121),
    [aux_sym_control_master_token1] = ACTIONS(2121),
    [aux_sym_control_path_token1] = ACTIONS(2121),
    [aux_sym_control_persist_token1] = ACTIONS(2121),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2121),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2121),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2121),
    [aux_sym_escape_char_token1] = ACTIONS(2121),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2121),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2121),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2121),
    [aux_sym_forward_agent_token1] = ACTIONS(2121),
    [aux_sym_forward_x11_token1] = ACTIONS(2123),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2121),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2121),
    [aux_sym_gateway_ports_token1] = ACTIONS(2121),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2121),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2121),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2121),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2121),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2121),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2121),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2121),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2121),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2121),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2121),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2121),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2121),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2121),
    [aux_sym_host_key_alias_token1] = ACTIONS(2121),
    [aux_sym_hostname_token1] = ACTIONS(2121),
    [aux_sym_identities_only_token1] = ACTIONS(2121),
    [aux_sym_identity_agent_token1] = ACTIONS(2121),
    [aux_sym_identity_file_token1] = ACTIONS(2121),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2121),
    [aux_sym_include_token1] = ACTIONS(2121),
    [aux_sym_ip_qos_token1] = ACTIONS(2121),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2121),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2121),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2121),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2121),
    [aux_sym_local_command_token1] = ACTIONS(2121),
    [aux_sym_local_forward_token1] = ACTIONS(2121),
    [aux_sym_log_level_token1] = ACTIONS(2121),
    [aux_sym_log_verbose_token1] = ACTIONS(2121),
    [aux_sym_macs_token1] = ACTIONS(2121),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2121),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2121),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2121),
    [aux_sym_password_authentication_token1] = ACTIONS(2121),
    [aux_sym_permit_local_command_token1] = ACTIONS(2121),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2121),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2121),
    [aux_sym_port_token1] = ACTIONS(2121),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2121),
    [aux_sym_protocol_token1] = ACTIONS(2121),
    [aux_sym_proxy_command_token1] = ACTIONS(2121),
    [aux_sym_proxy_jump_token1] = ACTIONS(2121),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2121),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2121),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2121),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2121),
    [aux_sym_rekey_limit_token1] = ACTIONS(2121),
    [aux_sym_remote_command_token1] = ACTIONS(2121),
    [aux_sym_remote_forward_token1] = ACTIONS(2121),
    [aux_sym_request_tty_token1] = ACTIONS(2121),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2121),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2121),
    [aux_sym_security_key_provider_token1] = ACTIONS(2121),
    [aux_sym_send_env_token1] = ACTIONS(2121),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2121),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2121),
    [aux_sym_session_type_token1] = ACTIONS(2121),
    [aux_sym_set_env_token1] = ACTIONS(2121),
    [aux_sym_stdin_null_token1] = ACTIONS(2121),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2121),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2121),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2121),
    [aux_sym_syslog_facility_token1] = ACTIONS(2121),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2121),
    [aux_sym_keep_alive_token1] = ACTIONS(2121),
    [aux_sym_tag_token1] = ACTIONS(2121),
    [aux_sym_tunnel_token1] = ACTIONS(2123),
    [aux_sym_tunnel_device_token1] = ACTIONS(2121),
    [aux_sym_update_host_keys_token1] = ACTIONS(2121),
    [aux_sym_use_keychain_token1] = ACTIONS(2121),
    [aux_sym_use_roaming_token1] = ACTIONS(2121),
    [aux_sym_user_token1] = ACTIONS(2123),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2121),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2121),
    [aux_sym_visual_host_key_token1] = ACTIONS(2121),
    [aux_sym_xauth_location_token1] = ACTIONS(2121),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2129),
    [aux_sym_match_token1] = ACTIONS(2125),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2125),
    [aux_sym_address_family_token1] = ACTIONS(2125),
    [aux_sym_batch_mode_token1] = ACTIONS(2125),
    [aux_sym_bind_address_token1] = ACTIONS(2125),
    [aux_sym_bind_interface_token1] = ACTIONS(2125),
    [aux_sym_canonical_domains_token1] = ACTIONS(2125),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2125),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2125),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2125),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2125),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2125),
    [aux_sym_certificate_file_token1] = ACTIONS(2125),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2125),
    [aux_sym_channel_timeout_token1] = ACTIONS(2125),
    [aux_sym_check_host_ip_token1] = ACTIONS(2125),
    [aux_sym_ciphers_token1] = ACTIONS(2125),
    [aux_sym_cipher_token1] = ACTIONS(2127),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2125),
    [aux_sym_compression_token1] = ACTIONS(2125),
    [aux_sym_connection_attempts_token1] = ACTIONS(2125),
    [aux_sym_connect_timeout_token1] = ACTIONS(2125),
    [aux_sym_control_master_token1] = ACTIONS(2125),
    [aux_sym_control_path_token1] = ACTIONS(2125),
    [aux_sym_control_persist_token1] = ACTIONS(2125),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2125),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2125),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2125),
    [aux_sym_escape_char_token1] = ACTIONS(2125),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2125),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2125),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2125),
    [aux_sym_forward_agent_token1] = ACTIONS(2125),
    [aux_sym_forward_x11_token1] = ACTIONS(2127),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2125),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2125),
    [aux_sym_gateway_ports_token1] = ACTIONS(2125),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2125),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2125),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2125),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2125),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2125),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2125),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2125),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2125),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2125),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2125),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2125),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2125),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2125),
    [aux_sym_host_key_alias_token1] = ACTIONS(2125),
    [aux_sym_hostname_token1] = ACTIONS(2125),
    [aux_sym_identities_only_token1] = ACTIONS(2125),
    [aux_sym_identity_agent_token1] = ACTIONS(2125),
    [aux_sym_identity_file_token1] = ACTIONS(2125),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2125),
    [aux_sym_include_token1] = ACTIONS(2125),
    [aux_sym_ip_qos_token1] = ACTIONS(2125),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2125),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2125),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2125),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2125),
    [aux_sym_local_command_token1] = ACTIONS(2125),
    [aux_sym_local_forward_token1] = ACTIONS(2125),
    [aux_sym_log_level_token1] = ACTIONS(2125),
    [aux_sym_log_verbose_token1] = ACTIONS(2125),
    [aux_sym_macs_token1] = ACTIONS(2125),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2125),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2125),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2125),
    [aux_sym_password_authentication_token1] = ACTIONS(2125),
    [aux_sym_permit_local_command_token1] = ACTIONS(2125),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2125),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2125),
    [aux_sym_port_token1] = ACTIONS(2125),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2125),
    [aux_sym_protocol_token1] = ACTIONS(2125),
    [aux_sym_proxy_command_token1] = ACTIONS(2125),
    [aux_sym_proxy_jump_token1] = ACTIONS(2125),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2125),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2125),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2125),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2125),
    [aux_sym_rekey_limit_token1] = ACTIONS(2125),
    [aux_sym_remote_command_token1] = ACTIONS(2125),
    [aux_sym_remote_forward_token1] = ACTIONS(2125),
    [aux_sym_request_tty_token1] = ACTIONS(2125),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2125),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2125),
    [aux_sym_security_key_provider_token1] = ACTIONS(2125),
    [aux_sym_send_env_token1] = ACTIONS(2125),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2125),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2125),
    [aux_sym_session_type_token1] = ACTIONS(2125),
    [aux_sym_set_env_token1] = ACTIONS(2125),
    [aux_sym_stdin_null_token1] = ACTIONS(2125),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2125),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2125),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2125),
    [aux_sym_syslog_facility_token1] = ACTIONS(2125),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2125),
    [aux_sym_keep_alive_token1] = ACTIONS(2125),
    [aux_sym_tag_token1] = ACTIONS(2125),
    [aux_sym_tunnel_token1] = ACTIONS(2127),
    [aux_sym_tunnel_device_token1] = ACTIONS(2125),
    [aux_sym_update_host_keys_token1] = ACTIONS(2125),
    [aux_sym_use_keychain_token1] = ACTIONS(2125),
    [aux_sym_use_roaming_token1] = ACTIONS(2125),
    [aux_sym_user_token1] = ACTIONS(2127),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2125),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2125),
    [aux_sym_visual_host_key_token1] = ACTIONS(2125),
    [aux_sym_xauth_location_token1] = ACTIONS(2125),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [aux_sym_match_token1] = ACTIONS(2131),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2131),
    [aux_sym_address_family_token1] = ACTIONS(2131),
    [aux_sym_batch_mode_token1] = ACTIONS(2131),
    [aux_sym_bind_address_token1] = ACTIONS(2131),
    [aux_sym_bind_interface_token1] = ACTIONS(2131),
    [aux_sym_canonical_domains_token1] = ACTIONS(2131),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2131),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2131),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2131),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2131),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2131),
    [aux_sym_certificate_file_token1] = ACTIONS(2131),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2131),
    [aux_sym_channel_timeout_token1] = ACTIONS(2131),
    [aux_sym_check_host_ip_token1] = ACTIONS(2131),
    [aux_sym_ciphers_token1] = ACTIONS(2131),
    [aux_sym_cipher_token1] = ACTIONS(2133),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2131),
    [aux_sym_compression_token1] = ACTIONS(2131),
    [aux_sym_connection_attempts_token1] = ACTIONS(2131),
    [aux_sym_connect_timeout_token1] = ACTIONS(2131),
    [aux_sym_control_master_token1] = ACTIONS(2131),
    [aux_sym_control_path_token1] = ACTIONS(2131),
    [aux_sym_control_persist_token1] = ACTIONS(2131),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2131),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2131),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2131),
    [aux_sym_escape_char_token1] = ACTIONS(2131),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2131),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2131),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2131),
    [aux_sym_forward_agent_token1] = ACTIONS(2131),
    [aux_sym_forward_x11_token1] = ACTIONS(2133),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2131),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2131),
    [aux_sym_gateway_ports_token1] = ACTIONS(2131),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2131),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2131),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2131),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2131),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2131),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2131),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2131),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2131),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2131),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2131),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2131),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2131),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2131),
    [aux_sym_host_key_alias_token1] = ACTIONS(2131),
    [aux_sym_hostname_token1] = ACTIONS(2131),
    [aux_sym_identities_only_token1] = ACTIONS(2131),
    [aux_sym_identity_agent_token1] = ACTIONS(2131),
    [aux_sym_identity_file_token1] = ACTIONS(2131),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2131),
    [aux_sym_include_token1] = ACTIONS(2131),
    [aux_sym_ip_qos_token1] = ACTIONS(2131),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2131),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2131),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2131),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2131),
    [aux_sym_local_command_token1] = ACTIONS(2131),
    [aux_sym_local_forward_token1] = ACTIONS(2131),
    [aux_sym_log_level_token1] = ACTIONS(2131),
    [aux_sym_log_verbose_token1] = ACTIONS(2131),
    [aux_sym_macs_token1] = ACTIONS(2131),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2131),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2131),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2131),
    [aux_sym_password_authentication_token1] = ACTIONS(2131),
    [aux_sym_permit_local_command_token1] = ACTIONS(2131),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2131),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2131),
    [aux_sym_port_token1] = ACTIONS(2131),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2131),
    [aux_sym_protocol_token1] = ACTIONS(2131),
    [aux_sym_proxy_command_token1] = ACTIONS(2131),
    [aux_sym_proxy_jump_token1] = ACTIONS(2131),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2131),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2131),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2131),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2131),
    [aux_sym_rekey_limit_token1] = ACTIONS(2131),
    [aux_sym_remote_command_token1] = ACTIONS(2131),
    [aux_sym_remote_forward_token1] = ACTIONS(2131),
    [aux_sym_request_tty_token1] = ACTIONS(2131),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2131),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2131),
    [aux_sym_security_key_provider_token1] = ACTIONS(2131),
    [aux_sym_send_env_token1] = ACTIONS(2131),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2131),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2131),
    [aux_sym_session_type_token1] = ACTIONS(2131),
    [aux_sym_set_env_token1] = ACTIONS(2131),
    [aux_sym_stdin_null_token1] = ACTIONS(2131),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2131),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2131),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2131),
    [aux_sym_syslog_facility_token1] = ACTIONS(2131),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2131),
    [aux_sym_keep_alive_token1] = ACTIONS(2131),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [aux_sym_tunnel_token1] = ACTIONS(2133),
    [aux_sym_tunnel_device_token1] = ACTIONS(2131),
    [aux_sym_update_host_keys_token1] = ACTIONS(2131),
    [aux_sym_use_keychain_token1] = ACTIONS(2131),
    [aux_sym_use_roaming_token1] = ACTIONS(2131),
    [aux_sym_user_token1] = ACTIONS(2133),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2131),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2131),
    [aux_sym_visual_host_key_token1] = ACTIONS(2131),
    [aux_sym_xauth_location_token1] = ACTIONS(2131),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2137),
    [aux_sym_match_token1] = ACTIONS(2137),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2137),
    [aux_sym_address_family_token1] = ACTIONS(2137),
    [aux_sym_batch_mode_token1] = ACTIONS(2137),
    [aux_sym_bind_address_token1] = ACTIONS(2137),
    [aux_sym_bind_interface_token1] = ACTIONS(2137),
    [aux_sym_canonical_domains_token1] = ACTIONS(2137),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2137),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2137),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2137),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2137),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2137),
    [aux_sym_certificate_file_token1] = ACTIONS(2137),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2137),
    [aux_sym_channel_timeout_token1] = ACTIONS(2137),
    [aux_sym_check_host_ip_token1] = ACTIONS(2137),
    [aux_sym_ciphers_token1] = ACTIONS(2137),
    [aux_sym_cipher_token1] = ACTIONS(2139),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2137),
    [aux_sym_compression_token1] = ACTIONS(2137),
    [aux_sym_connection_attempts_token1] = ACTIONS(2137),
    [aux_sym_connect_timeout_token1] = ACTIONS(2137),
    [aux_sym_control_master_token1] = ACTIONS(2137),
    [aux_sym_control_path_token1] = ACTIONS(2137),
    [aux_sym_control_persist_token1] = ACTIONS(2137),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2137),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2137),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2137),
    [aux_sym_escape_char_token1] = ACTIONS(2137),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2137),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2137),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2137),
    [aux_sym_forward_agent_token1] = ACTIONS(2137),
    [aux_sym_forward_x11_token1] = ACTIONS(2139),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2137),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2137),
    [aux_sym_gateway_ports_token1] = ACTIONS(2137),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2137),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2137),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2137),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2137),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2137),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2137),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2137),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2137),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2137),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2137),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2137),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2137),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2137),
    [aux_sym_host_key_alias_token1] = ACTIONS(2137),
    [aux_sym_hostname_token1] = ACTIONS(2137),
    [aux_sym_identities_only_token1] = ACTIONS(2137),
    [aux_sym_identity_agent_token1] = ACTIONS(2137),
    [aux_sym_identity_file_token1] = ACTIONS(2137),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2137),
    [aux_sym_include_token1] = ACTIONS(2137),
    [aux_sym_ip_qos_token1] = ACTIONS(2137),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2137),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2137),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2137),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2137),
    [aux_sym_local_command_token1] = ACTIONS(2137),
    [aux_sym_local_forward_token1] = ACTIONS(2137),
    [aux_sym_log_level_token1] = ACTIONS(2137),
    [aux_sym_log_verbose_token1] = ACTIONS(2137),
    [aux_sym_macs_token1] = ACTIONS(2137),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2137),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2137),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2137),
    [aux_sym_password_authentication_token1] = ACTIONS(2137),
    [aux_sym_permit_local_command_token1] = ACTIONS(2137),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2137),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2137),
    [aux_sym_port_token1] = ACTIONS(2137),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2137),
    [aux_sym_protocol_token1] = ACTIONS(2137),
    [aux_sym_proxy_command_token1] = ACTIONS(2137),
    [aux_sym_proxy_jump_token1] = ACTIONS(2137),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2137),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2137),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2137),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2137),
    [aux_sym_rekey_limit_token1] = ACTIONS(2137),
    [aux_sym_remote_command_token1] = ACTIONS(2137),
    [aux_sym_remote_forward_token1] = ACTIONS(2137),
    [aux_sym_request_tty_token1] = ACTIONS(2137),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2137),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2137),
    [aux_sym_security_key_provider_token1] = ACTIONS(2137),
    [aux_sym_send_env_token1] = ACTIONS(2137),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2137),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2137),
    [aux_sym_session_type_token1] = ACTIONS(2137),
    [aux_sym_set_env_token1] = ACTIONS(2137),
    [aux_sym_stdin_null_token1] = ACTIONS(2137),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2137),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2137),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2137),
    [aux_sym_syslog_facility_token1] = ACTIONS(2137),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2137),
    [aux_sym_keep_alive_token1] = ACTIONS(2137),
    [aux_sym_tag_token1] = ACTIONS(2137),
    [aux_sym_tunnel_token1] = ACTIONS(2139),
    [aux_sym_tunnel_device_token1] = ACTIONS(2137),
    [aux_sym_update_host_keys_token1] = ACTIONS(2137),
    [aux_sym_use_keychain_token1] = ACTIONS(2137),
    [aux_sym_use_roaming_token1] = ACTIONS(2137),
    [aux_sym_user_token1] = ACTIONS(2139),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2137),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2137),
    [aux_sym_visual_host_key_token1] = ACTIONS(2137),
    [aux_sym_xauth_location_token1] = ACTIONS(2137),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [aux_sym_match_token1] = ACTIONS(2141),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2141),
    [aux_sym_address_family_token1] = ACTIONS(2141),
    [aux_sym_batch_mode_token1] = ACTIONS(2141),
    [aux_sym_bind_address_token1] = ACTIONS(2141),
    [aux_sym_bind_interface_token1] = ACTIONS(2141),
    [aux_sym_canonical_domains_token1] = ACTIONS(2141),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2141),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2141),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2141),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2141),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2141),
    [aux_sym_certificate_file_token1] = ACTIONS(2141),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2141),
    [aux_sym_channel_timeout_token1] = ACTIONS(2141),
    [aux_sym_check_host_ip_token1] = ACTIONS(2141),
    [aux_sym_ciphers_token1] = ACTIONS(2141),
    [aux_sym_cipher_token1] = ACTIONS(2143),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2141),
    [aux_sym_compression_token1] = ACTIONS(2141),
    [aux_sym_connection_attempts_token1] = ACTIONS(2141),
    [aux_sym_connect_timeout_token1] = ACTIONS(2141),
    [aux_sym_control_master_token1] = ACTIONS(2141),
    [aux_sym_control_path_token1] = ACTIONS(2141),
    [aux_sym_control_persist_token1] = ACTIONS(2141),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2141),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2141),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2141),
    [aux_sym_escape_char_token1] = ACTIONS(2141),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2141),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2141),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2141),
    [aux_sym_forward_agent_token1] = ACTIONS(2141),
    [aux_sym_forward_x11_token1] = ACTIONS(2143),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2141),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2141),
    [aux_sym_gateway_ports_token1] = ACTIONS(2141),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2141),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2141),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2141),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2141),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2141),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2141),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2141),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2141),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2141),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2141),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2141),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2141),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2141),
    [aux_sym_host_key_alias_token1] = ACTIONS(2141),
    [aux_sym_hostname_token1] = ACTIONS(2141),
    [aux_sym_identities_only_token1] = ACTIONS(2141),
    [aux_sym_identity_agent_token1] = ACTIONS(2141),
    [aux_sym_identity_file_token1] = ACTIONS(2141),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2141),
    [aux_sym_include_token1] = ACTIONS(2141),
    [aux_sym_ip_qos_token1] = ACTIONS(2141),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2141),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2141),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2141),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2141),
    [aux_sym_local_command_token1] = ACTIONS(2141),
    [aux_sym_local_forward_token1] = ACTIONS(2141),
    [aux_sym_log_level_token1] = ACTIONS(2141),
    [aux_sym_log_verbose_token1] = ACTIONS(2141),
    [aux_sym_macs_token1] = ACTIONS(2141),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2141),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2141),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2141),
    [aux_sym_password_authentication_token1] = ACTIONS(2141),
    [aux_sym_permit_local_command_token1] = ACTIONS(2141),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2141),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2141),
    [aux_sym_port_token1] = ACTIONS(2141),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2141),
    [aux_sym_protocol_token1] = ACTIONS(2141),
    [aux_sym_proxy_command_token1] = ACTIONS(2141),
    [aux_sym_proxy_jump_token1] = ACTIONS(2141),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2141),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2141),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2141),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2141),
    [aux_sym_rekey_limit_token1] = ACTIONS(2141),
    [aux_sym_remote_command_token1] = ACTIONS(2141),
    [aux_sym_remote_forward_token1] = ACTIONS(2141),
    [aux_sym_request_tty_token1] = ACTIONS(2141),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2141),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2141),
    [aux_sym_security_key_provider_token1] = ACTIONS(2141),
    [aux_sym_send_env_token1] = ACTIONS(2141),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2141),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2141),
    [aux_sym_session_type_token1] = ACTIONS(2141),
    [aux_sym_set_env_token1] = ACTIONS(2141),
    [aux_sym_stdin_null_token1] = ACTIONS(2141),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2141),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2141),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2141),
    [aux_sym_syslog_facility_token1] = ACTIONS(2141),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2141),
    [aux_sym_keep_alive_token1] = ACTIONS(2141),
    [aux_sym_tag_token1] = ACTIONS(2141),
    [aux_sym_tunnel_token1] = ACTIONS(2143),
    [aux_sym_tunnel_device_token1] = ACTIONS(2141),
    [aux_sym_update_host_keys_token1] = ACTIONS(2141),
    [aux_sym_use_keychain_token1] = ACTIONS(2141),
    [aux_sym_use_roaming_token1] = ACTIONS(2141),
    [aux_sym_user_token1] = ACTIONS(2143),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2141),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2141),
    [aux_sym_visual_host_key_token1] = ACTIONS(2141),
    [aux_sym_xauth_location_token1] = ACTIONS(2141),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2149),
    [aux_sym_match_token1] = ACTIONS(2145),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2145),
    [aux_sym_address_family_token1] = ACTIONS(2145),
    [aux_sym_batch_mode_token1] = ACTIONS(2145),
    [aux_sym_bind_address_token1] = ACTIONS(2145),
    [aux_sym_bind_interface_token1] = ACTIONS(2145),
    [aux_sym_canonical_domains_token1] = ACTIONS(2145),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2145),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2145),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2145),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2145),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2145),
    [aux_sym_certificate_file_token1] = ACTIONS(2145),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2145),
    [aux_sym_channel_timeout_token1] = ACTIONS(2145),
    [aux_sym_check_host_ip_token1] = ACTIONS(2145),
    [aux_sym_ciphers_token1] = ACTIONS(2145),
    [aux_sym_cipher_token1] = ACTIONS(2147),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2145),
    [aux_sym_compression_token1] = ACTIONS(2145),
    [aux_sym_connection_attempts_token1] = ACTIONS(2145),
    [aux_sym_connect_timeout_token1] = ACTIONS(2145),
    [aux_sym_control_master_token1] = ACTIONS(2145),
    [aux_sym_control_path_token1] = ACTIONS(2145),
    [aux_sym_control_persist_token1] = ACTIONS(2145),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2145),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2145),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2145),
    [aux_sym_escape_char_token1] = ACTIONS(2145),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2145),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2145),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2145),
    [aux_sym_forward_agent_token1] = ACTIONS(2145),
    [aux_sym_forward_x11_token1] = ACTIONS(2147),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2145),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2145),
    [aux_sym_gateway_ports_token1] = ACTIONS(2145),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2145),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2145),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2145),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2145),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2145),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2145),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2145),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2145),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2145),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2145),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2145),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2145),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2145),
    [aux_sym_host_key_alias_token1] = ACTIONS(2145),
    [aux_sym_hostname_token1] = ACTIONS(2145),
    [aux_sym_identities_only_token1] = ACTIONS(2145),
    [aux_sym_identity_agent_token1] = ACTIONS(2145),
    [aux_sym_identity_file_token1] = ACTIONS(2145),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2145),
    [aux_sym_include_token1] = ACTIONS(2145),
    [aux_sym_ip_qos_token1] = ACTIONS(2145),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2145),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2145),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2145),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2145),
    [aux_sym_local_command_token1] = ACTIONS(2145),
    [aux_sym_local_forward_token1] = ACTIONS(2145),
    [aux_sym_log_level_token1] = ACTIONS(2145),
    [aux_sym_log_verbose_token1] = ACTIONS(2145),
    [aux_sym_macs_token1] = ACTIONS(2145),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2145),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2145),
    [aux_sym_password_authentication_token1] = ACTIONS(2145),
    [aux_sym_permit_local_command_token1] = ACTIONS(2145),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2145),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2145),
    [aux_sym_port_token1] = ACTIONS(2145),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2145),
    [aux_sym_protocol_token1] = ACTIONS(2145),
    [aux_sym_proxy_command_token1] = ACTIONS(2145),
    [aux_sym_proxy_jump_token1] = ACTIONS(2145),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2145),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2145),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2145),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2145),
    [aux_sym_rekey_limit_token1] = ACTIONS(2145),
    [aux_sym_remote_command_token1] = ACTIONS(2145),
    [aux_sym_remote_forward_token1] = ACTIONS(2145),
    [aux_sym_request_tty_token1] = ACTIONS(2145),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2145),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2145),
    [aux_sym_security_key_provider_token1] = ACTIONS(2145),
    [aux_sym_send_env_token1] = ACTIONS(2145),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2145),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2145),
    [aux_sym_session_type_token1] = ACTIONS(2145),
    [aux_sym_set_env_token1] = ACTIONS(2145),
    [aux_sym_stdin_null_token1] = ACTIONS(2145),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2145),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2145),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2145),
    [aux_sym_syslog_facility_token1] = ACTIONS(2145),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2145),
    [aux_sym_keep_alive_token1] = ACTIONS(2145),
    [aux_sym_tag_token1] = ACTIONS(2145),
    [aux_sym_tunnel_token1] = ACTIONS(2147),
    [aux_sym_tunnel_device_token1] = ACTIONS(2145),
    [aux_sym_update_host_keys_token1] = ACTIONS(2145),
    [aux_sym_use_keychain_token1] = ACTIONS(2145),
    [aux_sym_use_roaming_token1] = ACTIONS(2145),
    [aux_sym_user_token1] = ACTIONS(2147),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2145),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2145),
    [aux_sym_visual_host_key_token1] = ACTIONS(2145),
    [aux_sym_xauth_location_token1] = ACTIONS(2145),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(2151),
    [aux_sym_match_token1] = ACTIONS(2151),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2151),
    [aux_sym_address_family_token1] = ACTIONS(2151),
    [aux_sym_batch_mode_token1] = ACTIONS(2151),
    [aux_sym_bind_address_token1] = ACTIONS(2151),
    [aux_sym_bind_interface_token1] = ACTIONS(2151),
    [aux_sym_canonical_domains_token1] = ACTIONS(2151),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2151),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2151),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2151),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2151),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2151),
    [aux_sym_certificate_file_token1] = ACTIONS(2151),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2151),
    [aux_sym_channel_timeout_token1] = ACTIONS(2151),
    [aux_sym_check_host_ip_token1] = ACTIONS(2151),
    [aux_sym_ciphers_token1] = ACTIONS(2151),
    [aux_sym_cipher_token1] = ACTIONS(2153),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2151),
    [aux_sym_compression_token1] = ACTIONS(2151),
    [aux_sym_connection_attempts_token1] = ACTIONS(2151),
    [aux_sym_connect_timeout_token1] = ACTIONS(2151),
    [aux_sym_control_master_token1] = ACTIONS(2151),
    [aux_sym_control_path_token1] = ACTIONS(2151),
    [aux_sym_control_persist_token1] = ACTIONS(2151),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2151),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2151),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2151),
    [aux_sym_escape_char_token1] = ACTIONS(2151),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2151),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2151),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2151),
    [aux_sym_forward_agent_token1] = ACTIONS(2151),
    [aux_sym_forward_x11_token1] = ACTIONS(2153),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2151),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2151),
    [aux_sym_gateway_ports_token1] = ACTIONS(2151),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2151),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2151),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2151),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2151),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2151),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2151),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2151),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2151),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2151),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2151),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2151),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2151),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2151),
    [aux_sym_host_key_alias_token1] = ACTIONS(2151),
    [aux_sym_hostname_token1] = ACTIONS(2151),
    [aux_sym_identities_only_token1] = ACTIONS(2151),
    [aux_sym_identity_agent_token1] = ACTIONS(2151),
    [aux_sym_identity_file_token1] = ACTIONS(2151),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2151),
    [aux_sym_include_token1] = ACTIONS(2151),
    [aux_sym_ip_qos_token1] = ACTIONS(2151),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2151),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2151),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2151),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2151),
    [aux_sym_local_command_token1] = ACTIONS(2151),
    [aux_sym_local_forward_token1] = ACTIONS(2151),
    [aux_sym_log_level_token1] = ACTIONS(2151),
    [aux_sym_log_verbose_token1] = ACTIONS(2151),
    [aux_sym_macs_token1] = ACTIONS(2151),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2151),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2151),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2151),
    [aux_sym_password_authentication_token1] = ACTIONS(2151),
    [aux_sym_permit_local_command_token1] = ACTIONS(2151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2151),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2151),
    [aux_sym_port_token1] = ACTIONS(2151),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2151),
    [aux_sym_protocol_token1] = ACTIONS(2151),
    [aux_sym_proxy_command_token1] = ACTIONS(2151),
    [aux_sym_proxy_jump_token1] = ACTIONS(2151),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2151),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2151),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2151),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2151),
    [aux_sym_rekey_limit_token1] = ACTIONS(2151),
    [aux_sym_remote_command_token1] = ACTIONS(2151),
    [aux_sym_remote_forward_token1] = ACTIONS(2151),
    [aux_sym_request_tty_token1] = ACTIONS(2151),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2151),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2151),
    [aux_sym_security_key_provider_token1] = ACTIONS(2151),
    [aux_sym_send_env_token1] = ACTIONS(2151),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2151),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2151),
    [aux_sym_session_type_token1] = ACTIONS(2151),
    [aux_sym_set_env_token1] = ACTIONS(2151),
    [aux_sym_stdin_null_token1] = ACTIONS(2151),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2151),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2151),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2151),
    [aux_sym_syslog_facility_token1] = ACTIONS(2151),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2151),
    [aux_sym_keep_alive_token1] = ACTIONS(2151),
    [aux_sym_tag_token1] = ACTIONS(2151),
    [aux_sym_tunnel_token1] = ACTIONS(2153),
    [aux_sym_tunnel_device_token1] = ACTIONS(2151),
    [aux_sym_update_host_keys_token1] = ACTIONS(2151),
    [aux_sym_use_keychain_token1] = ACTIONS(2151),
    [aux_sym_use_roaming_token1] = ACTIONS(2151),
    [aux_sym_user_token1] = ACTIONS(2153),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2151),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2151),
    [aux_sym_visual_host_key_token1] = ACTIONS(2151),
    [aux_sym_xauth_location_token1] = ACTIONS(2151),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [aux_sym_match_token1] = ACTIONS(2155),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2155),
    [aux_sym_address_family_token1] = ACTIONS(2155),
    [aux_sym_batch_mode_token1] = ACTIONS(2155),
    [aux_sym_bind_address_token1] = ACTIONS(2155),
    [aux_sym_bind_interface_token1] = ACTIONS(2155),
    [aux_sym_canonical_domains_token1] = ACTIONS(2155),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2155),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2155),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2155),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2155),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2155),
    [aux_sym_certificate_file_token1] = ACTIONS(2155),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2155),
    [aux_sym_channel_timeout_token1] = ACTIONS(2155),
    [aux_sym_check_host_ip_token1] = ACTIONS(2155),
    [aux_sym_ciphers_token1] = ACTIONS(2155),
    [aux_sym_cipher_token1] = ACTIONS(2157),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2155),
    [aux_sym_compression_token1] = ACTIONS(2155),
    [aux_sym_connection_attempts_token1] = ACTIONS(2155),
    [aux_sym_connect_timeout_token1] = ACTIONS(2155),
    [aux_sym_control_master_token1] = ACTIONS(2155),
    [aux_sym_control_path_token1] = ACTIONS(2155),
    [aux_sym_control_persist_token1] = ACTIONS(2155),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2155),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2155),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2155),
    [aux_sym_escape_char_token1] = ACTIONS(2155),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2155),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2155),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2155),
    [aux_sym_forward_agent_token1] = ACTIONS(2155),
    [aux_sym_forward_x11_token1] = ACTIONS(2157),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2155),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2155),
    [aux_sym_gateway_ports_token1] = ACTIONS(2155),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2155),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2155),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2155),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2155),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2155),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2155),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2155),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2155),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2155),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2155),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2155),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2155),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2155),
    [aux_sym_host_key_alias_token1] = ACTIONS(2155),
    [aux_sym_hostname_token1] = ACTIONS(2155),
    [aux_sym_identities_only_token1] = ACTIONS(2155),
    [aux_sym_identity_agent_token1] = ACTIONS(2155),
    [aux_sym_identity_file_token1] = ACTIONS(2155),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2155),
    [aux_sym_include_token1] = ACTIONS(2155),
    [aux_sym_ip_qos_token1] = ACTIONS(2155),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2155),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2155),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2155),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2155),
    [aux_sym_local_command_token1] = ACTIONS(2155),
    [aux_sym_local_forward_token1] = ACTIONS(2155),
    [aux_sym_log_level_token1] = ACTIONS(2155),
    [aux_sym_log_verbose_token1] = ACTIONS(2155),
    [aux_sym_macs_token1] = ACTIONS(2155),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2155),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2155),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2155),
    [aux_sym_password_authentication_token1] = ACTIONS(2155),
    [aux_sym_permit_local_command_token1] = ACTIONS(2155),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2155),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2155),
    [aux_sym_port_token1] = ACTIONS(2155),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2155),
    [aux_sym_protocol_token1] = ACTIONS(2155),
    [aux_sym_proxy_command_token1] = ACTIONS(2155),
    [aux_sym_proxy_jump_token1] = ACTIONS(2155),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2155),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2155),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2155),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2155),
    [aux_sym_rekey_limit_token1] = ACTIONS(2155),
    [aux_sym_remote_command_token1] = ACTIONS(2155),
    [aux_sym_remote_forward_token1] = ACTIONS(2155),
    [aux_sym_request_tty_token1] = ACTIONS(2155),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2155),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2155),
    [aux_sym_security_key_provider_token1] = ACTIONS(2155),
    [aux_sym_send_env_token1] = ACTIONS(2155),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2155),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2155),
    [aux_sym_session_type_token1] = ACTIONS(2155),
    [aux_sym_set_env_token1] = ACTIONS(2155),
    [aux_sym_stdin_null_token1] = ACTIONS(2155),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2155),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2155),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2155),
    [aux_sym_syslog_facility_token1] = ACTIONS(2155),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2155),
    [aux_sym_keep_alive_token1] = ACTIONS(2155),
    [aux_sym_tag_token1] = ACTIONS(2155),
    [aux_sym_tunnel_token1] = ACTIONS(2157),
    [aux_sym_tunnel_device_token1] = ACTIONS(2155),
    [aux_sym_update_host_keys_token1] = ACTIONS(2155),
    [aux_sym_use_keychain_token1] = ACTIONS(2155),
    [aux_sym_use_roaming_token1] = ACTIONS(2155),
    [aux_sym_user_token1] = ACTIONS(2157),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2155),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2155),
    [aux_sym_visual_host_key_token1] = ACTIONS(2155),
    [aux_sym_xauth_location_token1] = ACTIONS(2155),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [aux_sym_match_token1] = ACTIONS(2161),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2161),
    [aux_sym_address_family_token1] = ACTIONS(2161),
    [aux_sym_batch_mode_token1] = ACTIONS(2161),
    [aux_sym_bind_address_token1] = ACTIONS(2161),
    [aux_sym_bind_interface_token1] = ACTIONS(2161),
    [aux_sym_canonical_domains_token1] = ACTIONS(2161),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2161),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2161),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2161),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2161),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2161),
    [aux_sym_certificate_file_token1] = ACTIONS(2161),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2161),
    [aux_sym_channel_timeout_token1] = ACTIONS(2161),
    [aux_sym_check_host_ip_token1] = ACTIONS(2161),
    [aux_sym_ciphers_token1] = ACTIONS(2161),
    [aux_sym_cipher_token1] = ACTIONS(2163),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2161),
    [aux_sym_compression_token1] = ACTIONS(2161),
    [aux_sym_connection_attempts_token1] = ACTIONS(2161),
    [aux_sym_connect_timeout_token1] = ACTIONS(2161),
    [aux_sym_control_master_token1] = ACTIONS(2161),
    [aux_sym_control_path_token1] = ACTIONS(2161),
    [aux_sym_control_persist_token1] = ACTIONS(2161),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2161),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2161),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2161),
    [aux_sym_escape_char_token1] = ACTIONS(2161),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2161),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2161),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2161),
    [aux_sym_forward_agent_token1] = ACTIONS(2161),
    [aux_sym_forward_x11_token1] = ACTIONS(2163),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2161),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2161),
    [aux_sym_gateway_ports_token1] = ACTIONS(2161),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2161),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2161),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2161),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2161),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2161),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2161),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2161),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2161),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2161),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2161),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2161),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2161),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2161),
    [aux_sym_host_key_alias_token1] = ACTIONS(2161),
    [aux_sym_hostname_token1] = ACTIONS(2161),
    [aux_sym_identities_only_token1] = ACTIONS(2161),
    [aux_sym_identity_agent_token1] = ACTIONS(2161),
    [aux_sym_identity_file_token1] = ACTIONS(2161),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2161),
    [aux_sym_include_token1] = ACTIONS(2161),
    [aux_sym_ip_qos_token1] = ACTIONS(2161),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2161),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2161),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2161),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2161),
    [aux_sym_local_command_token1] = ACTIONS(2161),
    [aux_sym_local_forward_token1] = ACTIONS(2161),
    [aux_sym_log_level_token1] = ACTIONS(2161),
    [aux_sym_log_verbose_token1] = ACTIONS(2161),
    [aux_sym_macs_token1] = ACTIONS(2161),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2161),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2161),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2161),
    [aux_sym_password_authentication_token1] = ACTIONS(2161),
    [aux_sym_permit_local_command_token1] = ACTIONS(2161),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2161),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2161),
    [aux_sym_port_token1] = ACTIONS(2161),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2161),
    [aux_sym_protocol_token1] = ACTIONS(2161),
    [aux_sym_proxy_command_token1] = ACTIONS(2161),
    [aux_sym_proxy_jump_token1] = ACTIONS(2161),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2161),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2161),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2161),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2161),
    [aux_sym_rekey_limit_token1] = ACTIONS(2161),
    [aux_sym_remote_command_token1] = ACTIONS(2161),
    [aux_sym_remote_forward_token1] = ACTIONS(2161),
    [aux_sym_request_tty_token1] = ACTIONS(2161),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2161),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2161),
    [aux_sym_security_key_provider_token1] = ACTIONS(2161),
    [aux_sym_send_env_token1] = ACTIONS(2161),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2161),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2161),
    [aux_sym_session_type_token1] = ACTIONS(2161),
    [aux_sym_set_env_token1] = ACTIONS(2161),
    [aux_sym_stdin_null_token1] = ACTIONS(2161),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2161),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2161),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2161),
    [aux_sym_syslog_facility_token1] = ACTIONS(2161),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2161),
    [aux_sym_keep_alive_token1] = ACTIONS(2161),
    [aux_sym_tag_token1] = ACTIONS(2161),
    [aux_sym_tunnel_token1] = ACTIONS(2163),
    [aux_sym_tunnel_device_token1] = ACTIONS(2161),
    [aux_sym_update_host_keys_token1] = ACTIONS(2161),
    [aux_sym_use_keychain_token1] = ACTIONS(2161),
    [aux_sym_use_roaming_token1] = ACTIONS(2161),
    [aux_sym_user_token1] = ACTIONS(2163),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2161),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2161),
    [aux_sym_visual_host_key_token1] = ACTIONS(2161),
    [aux_sym_xauth_location_token1] = ACTIONS(2161),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [aux_sym_match_token1] = ACTIONS(2165),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2165),
    [aux_sym_address_family_token1] = ACTIONS(2165),
    [aux_sym_batch_mode_token1] = ACTIONS(2165),
    [aux_sym_bind_address_token1] = ACTIONS(2165),
    [aux_sym_bind_interface_token1] = ACTIONS(2165),
    [aux_sym_canonical_domains_token1] = ACTIONS(2165),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2165),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2165),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2165),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2165),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2165),
    [aux_sym_certificate_file_token1] = ACTIONS(2165),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2165),
    [aux_sym_channel_timeout_token1] = ACTIONS(2165),
    [aux_sym_check_host_ip_token1] = ACTIONS(2165),
    [aux_sym_ciphers_token1] = ACTIONS(2165),
    [aux_sym_cipher_token1] = ACTIONS(2167),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2165),
    [aux_sym_compression_token1] = ACTIONS(2165),
    [aux_sym_connection_attempts_token1] = ACTIONS(2165),
    [aux_sym_connect_timeout_token1] = ACTIONS(2165),
    [aux_sym_control_master_token1] = ACTIONS(2165),
    [aux_sym_control_path_token1] = ACTIONS(2165),
    [aux_sym_control_persist_token1] = ACTIONS(2165),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2165),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2165),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2165),
    [aux_sym_escape_char_token1] = ACTIONS(2165),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2165),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2165),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2165),
    [aux_sym_forward_agent_token1] = ACTIONS(2165),
    [aux_sym_forward_x11_token1] = ACTIONS(2167),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2165),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2165),
    [aux_sym_gateway_ports_token1] = ACTIONS(2165),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2165),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2165),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2165),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2165),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2165),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2165),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2165),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2165),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2165),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2165),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2165),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2165),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2165),
    [aux_sym_host_key_alias_token1] = ACTIONS(2165),
    [aux_sym_hostname_token1] = ACTIONS(2165),
    [aux_sym_identities_only_token1] = ACTIONS(2165),
    [aux_sym_identity_agent_token1] = ACTIONS(2165),
    [aux_sym_identity_file_token1] = ACTIONS(2165),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2165),
    [aux_sym_include_token1] = ACTIONS(2165),
    [aux_sym_ip_qos_token1] = ACTIONS(2165),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2165),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2165),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2165),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2165),
    [aux_sym_local_command_token1] = ACTIONS(2165),
    [aux_sym_local_forward_token1] = ACTIONS(2165),
    [aux_sym_log_level_token1] = ACTIONS(2165),
    [aux_sym_log_verbose_token1] = ACTIONS(2165),
    [aux_sym_macs_token1] = ACTIONS(2165),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2165),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2165),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2165),
    [aux_sym_password_authentication_token1] = ACTIONS(2165),
    [aux_sym_permit_local_command_token1] = ACTIONS(2165),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2165),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2165),
    [aux_sym_port_token1] = ACTIONS(2165),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2165),
    [aux_sym_protocol_token1] = ACTIONS(2165),
    [aux_sym_proxy_command_token1] = ACTIONS(2165),
    [aux_sym_proxy_jump_token1] = ACTIONS(2165),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2165),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2165),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2165),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2165),
    [aux_sym_rekey_limit_token1] = ACTIONS(2165),
    [aux_sym_remote_command_token1] = ACTIONS(2165),
    [aux_sym_remote_forward_token1] = ACTIONS(2165),
    [aux_sym_request_tty_token1] = ACTIONS(2165),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2165),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2165),
    [aux_sym_security_key_provider_token1] = ACTIONS(2165),
    [aux_sym_send_env_token1] = ACTIONS(2165),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2165),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2165),
    [aux_sym_session_type_token1] = ACTIONS(2165),
    [aux_sym_set_env_token1] = ACTIONS(2165),
    [aux_sym_stdin_null_token1] = ACTIONS(2165),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2165),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2165),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2165),
    [aux_sym_syslog_facility_token1] = ACTIONS(2165),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2165),
    [aux_sym_keep_alive_token1] = ACTIONS(2165),
    [aux_sym_tag_token1] = ACTIONS(2165),
    [aux_sym_tunnel_token1] = ACTIONS(2167),
    [aux_sym_tunnel_device_token1] = ACTIONS(2165),
    [aux_sym_update_host_keys_token1] = ACTIONS(2165),
    [aux_sym_use_keychain_token1] = ACTIONS(2165),
    [aux_sym_use_roaming_token1] = ACTIONS(2165),
    [aux_sym_user_token1] = ACTIONS(2167),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2165),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2165),
    [aux_sym_visual_host_key_token1] = ACTIONS(2165),
    [aux_sym_xauth_location_token1] = ACTIONS(2165),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [aux_sym_match_token1] = ACTIONS(2171),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2171),
    [aux_sym_address_family_token1] = ACTIONS(2171),
    [aux_sym_batch_mode_token1] = ACTIONS(2171),
    [aux_sym_bind_address_token1] = ACTIONS(2171),
    [aux_sym_bind_interface_token1] = ACTIONS(2171),
    [aux_sym_canonical_domains_token1] = ACTIONS(2171),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2171),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2171),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2171),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2171),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2171),
    [aux_sym_certificate_file_token1] = ACTIONS(2171),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2171),
    [aux_sym_channel_timeout_token1] = ACTIONS(2171),
    [aux_sym_check_host_ip_token1] = ACTIONS(2171),
    [aux_sym_ciphers_token1] = ACTIONS(2171),
    [aux_sym_cipher_token1] = ACTIONS(2173),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2171),
    [aux_sym_compression_token1] = ACTIONS(2171),
    [aux_sym_connection_attempts_token1] = ACTIONS(2171),
    [aux_sym_connect_timeout_token1] = ACTIONS(2171),
    [aux_sym_control_master_token1] = ACTIONS(2171),
    [aux_sym_control_path_token1] = ACTIONS(2171),
    [aux_sym_control_persist_token1] = ACTIONS(2171),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2171),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2171),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2171),
    [aux_sym_escape_char_token1] = ACTIONS(2171),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2171),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2171),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2171),
    [aux_sym_forward_agent_token1] = ACTIONS(2171),
    [aux_sym_forward_x11_token1] = ACTIONS(2173),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2171),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2171),
    [aux_sym_gateway_ports_token1] = ACTIONS(2171),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2171),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2171),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2171),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2171),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2171),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2171),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2171),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2171),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2171),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2171),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2171),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2171),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2171),
    [aux_sym_host_key_alias_token1] = ACTIONS(2171),
    [aux_sym_hostname_token1] = ACTIONS(2171),
    [aux_sym_identities_only_token1] = ACTIONS(2171),
    [aux_sym_identity_agent_token1] = ACTIONS(2171),
    [aux_sym_identity_file_token1] = ACTIONS(2171),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2171),
    [aux_sym_include_token1] = ACTIONS(2171),
    [aux_sym_ip_qos_token1] = ACTIONS(2171),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2171),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2171),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2171),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2171),
    [aux_sym_local_command_token1] = ACTIONS(2171),
    [aux_sym_local_forward_token1] = ACTIONS(2171),
    [aux_sym_log_level_token1] = ACTIONS(2171),
    [aux_sym_log_verbose_token1] = ACTIONS(2171),
    [aux_sym_macs_token1] = ACTIONS(2171),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2171),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2171),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2171),
    [aux_sym_password_authentication_token1] = ACTIONS(2171),
    [aux_sym_permit_local_command_token1] = ACTIONS(2171),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2171),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2171),
    [aux_sym_port_token1] = ACTIONS(2171),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2171),
    [aux_sym_protocol_token1] = ACTIONS(2171),
    [aux_sym_proxy_command_token1] = ACTIONS(2171),
    [aux_sym_proxy_jump_token1] = ACTIONS(2171),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2171),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2171),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2171),
    [aux_sym_rekey_limit_token1] = ACTIONS(2171),
    [aux_sym_remote_command_token1] = ACTIONS(2171),
    [aux_sym_remote_forward_token1] = ACTIONS(2171),
    [aux_sym_request_tty_token1] = ACTIONS(2171),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2171),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2171),
    [aux_sym_security_key_provider_token1] = ACTIONS(2171),
    [aux_sym_send_env_token1] = ACTIONS(2171),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2171),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2171),
    [aux_sym_session_type_token1] = ACTIONS(2171),
    [aux_sym_set_env_token1] = ACTIONS(2171),
    [aux_sym_stdin_null_token1] = ACTIONS(2171),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2171),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2171),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2171),
    [aux_sym_syslog_facility_token1] = ACTIONS(2171),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2171),
    [aux_sym_keep_alive_token1] = ACTIONS(2171),
    [aux_sym_tag_token1] = ACTIONS(2171),
    [aux_sym_tunnel_token1] = ACTIONS(2173),
    [aux_sym_tunnel_device_token1] = ACTIONS(2171),
    [aux_sym_update_host_keys_token1] = ACTIONS(2171),
    [aux_sym_use_keychain_token1] = ACTIONS(2171),
    [aux_sym_use_roaming_token1] = ACTIONS(2171),
    [aux_sym_user_token1] = ACTIONS(2173),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2171),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2171),
    [aux_sym_visual_host_key_token1] = ACTIONS(2171),
    [aux_sym_xauth_location_token1] = ACTIONS(2171),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [aux_sym_match_token1] = ACTIONS(2175),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2175),
    [aux_sym_address_family_token1] = ACTIONS(2175),
    [aux_sym_batch_mode_token1] = ACTIONS(2175),
    [aux_sym_bind_address_token1] = ACTIONS(2175),
    [aux_sym_bind_interface_token1] = ACTIONS(2175),
    [aux_sym_canonical_domains_token1] = ACTIONS(2175),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2175),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2175),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2175),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2175),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2175),
    [aux_sym_certificate_file_token1] = ACTIONS(2175),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2175),
    [aux_sym_channel_timeout_token1] = ACTIONS(2175),
    [aux_sym_check_host_ip_token1] = ACTIONS(2175),
    [aux_sym_ciphers_token1] = ACTIONS(2175),
    [aux_sym_cipher_token1] = ACTIONS(2177),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2175),
    [aux_sym_compression_token1] = ACTIONS(2175),
    [aux_sym_connection_attempts_token1] = ACTIONS(2175),
    [aux_sym_connect_timeout_token1] = ACTIONS(2175),
    [aux_sym_control_master_token1] = ACTIONS(2175),
    [aux_sym_control_path_token1] = ACTIONS(2175),
    [aux_sym_control_persist_token1] = ACTIONS(2175),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2175),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2175),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2175),
    [aux_sym_escape_char_token1] = ACTIONS(2175),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2175),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2175),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2175),
    [aux_sym_forward_agent_token1] = ACTIONS(2175),
    [aux_sym_forward_x11_token1] = ACTIONS(2177),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2175),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2175),
    [aux_sym_gateway_ports_token1] = ACTIONS(2175),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2175),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2175),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2175),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2175),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2175),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2175),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2175),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2175),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2175),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2175),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2175),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2175),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2175),
    [aux_sym_host_key_alias_token1] = ACTIONS(2175),
    [aux_sym_hostname_token1] = ACTIONS(2175),
    [aux_sym_identities_only_token1] = ACTIONS(2175),
    [aux_sym_identity_agent_token1] = ACTIONS(2175),
    [aux_sym_identity_file_token1] = ACTIONS(2175),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2175),
    [aux_sym_include_token1] = ACTIONS(2175),
    [aux_sym_ip_qos_token1] = ACTIONS(2175),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2175),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2175),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2175),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2175),
    [aux_sym_local_command_token1] = ACTIONS(2175),
    [aux_sym_local_forward_token1] = ACTIONS(2175),
    [aux_sym_log_level_token1] = ACTIONS(2175),
    [aux_sym_log_verbose_token1] = ACTIONS(2175),
    [aux_sym_macs_token1] = ACTIONS(2175),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2175),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2175),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2175),
    [aux_sym_password_authentication_token1] = ACTIONS(2175),
    [aux_sym_permit_local_command_token1] = ACTIONS(2175),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2175),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2175),
    [aux_sym_port_token1] = ACTIONS(2175),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2175),
    [aux_sym_protocol_token1] = ACTIONS(2175),
    [aux_sym_proxy_command_token1] = ACTIONS(2175),
    [aux_sym_proxy_jump_token1] = ACTIONS(2175),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2175),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2175),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2175),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2175),
    [aux_sym_rekey_limit_token1] = ACTIONS(2175),
    [aux_sym_remote_command_token1] = ACTIONS(2175),
    [aux_sym_remote_forward_token1] = ACTIONS(2175),
    [aux_sym_request_tty_token1] = ACTIONS(2175),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2175),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2175),
    [aux_sym_security_key_provider_token1] = ACTIONS(2175),
    [aux_sym_send_env_token1] = ACTIONS(2175),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2175),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2175),
    [aux_sym_session_type_token1] = ACTIONS(2175),
    [aux_sym_set_env_token1] = ACTIONS(2175),
    [aux_sym_stdin_null_token1] = ACTIONS(2175),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2175),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2175),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2175),
    [aux_sym_syslog_facility_token1] = ACTIONS(2175),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2175),
    [aux_sym_keep_alive_token1] = ACTIONS(2175),
    [aux_sym_tag_token1] = ACTIONS(2175),
    [aux_sym_tunnel_token1] = ACTIONS(2177),
    [aux_sym_tunnel_device_token1] = ACTIONS(2175),
    [aux_sym_update_host_keys_token1] = ACTIONS(2175),
    [aux_sym_use_keychain_token1] = ACTIONS(2175),
    [aux_sym_use_roaming_token1] = ACTIONS(2175),
    [aux_sym_user_token1] = ACTIONS(2177),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2175),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2175),
    [aux_sym_visual_host_key_token1] = ACTIONS(2175),
    [aux_sym_xauth_location_token1] = ACTIONS(2175),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2181),
    [aux_sym_match_token1] = ACTIONS(2181),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2181),
    [aux_sym_address_family_token1] = ACTIONS(2181),
    [aux_sym_batch_mode_token1] = ACTIONS(2181),
    [aux_sym_bind_address_token1] = ACTIONS(2181),
    [aux_sym_bind_interface_token1] = ACTIONS(2181),
    [aux_sym_canonical_domains_token1] = ACTIONS(2181),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2181),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2181),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2181),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2181),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2181),
    [aux_sym_certificate_file_token1] = ACTIONS(2181),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2181),
    [aux_sym_channel_timeout_token1] = ACTIONS(2181),
    [aux_sym_check_host_ip_token1] = ACTIONS(2181),
    [aux_sym_ciphers_token1] = ACTIONS(2181),
    [aux_sym_cipher_token1] = ACTIONS(2183),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2181),
    [aux_sym_compression_token1] = ACTIONS(2181),
    [aux_sym_connection_attempts_token1] = ACTIONS(2181),
    [aux_sym_connect_timeout_token1] = ACTIONS(2181),
    [aux_sym_control_master_token1] = ACTIONS(2181),
    [aux_sym_control_path_token1] = ACTIONS(2181),
    [aux_sym_control_persist_token1] = ACTIONS(2181),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2181),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2181),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2181),
    [aux_sym_escape_char_token1] = ACTIONS(2181),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2181),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2181),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2181),
    [aux_sym_forward_agent_token1] = ACTIONS(2181),
    [aux_sym_forward_x11_token1] = ACTIONS(2183),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2181),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2181),
    [aux_sym_gateway_ports_token1] = ACTIONS(2181),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2181),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2181),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2181),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2181),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2181),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2181),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2181),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2181),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2181),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2181),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2181),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2181),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2181),
    [aux_sym_host_key_alias_token1] = ACTIONS(2181),
    [aux_sym_hostname_token1] = ACTIONS(2181),
    [aux_sym_identities_only_token1] = ACTIONS(2181),
    [aux_sym_identity_agent_token1] = ACTIONS(2181),
    [aux_sym_identity_file_token1] = ACTIONS(2181),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2181),
    [aux_sym_include_token1] = ACTIONS(2181),
    [aux_sym_ip_qos_token1] = ACTIONS(2181),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2181),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2181),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2181),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2181),
    [aux_sym_local_command_token1] = ACTIONS(2181),
    [aux_sym_local_forward_token1] = ACTIONS(2181),
    [aux_sym_log_level_token1] = ACTIONS(2181),
    [aux_sym_log_verbose_token1] = ACTIONS(2181),
    [aux_sym_macs_token1] = ACTIONS(2181),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2181),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2181),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2181),
    [aux_sym_password_authentication_token1] = ACTIONS(2181),
    [aux_sym_permit_local_command_token1] = ACTIONS(2181),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2181),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2181),
    [aux_sym_port_token1] = ACTIONS(2181),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2181),
    [aux_sym_protocol_token1] = ACTIONS(2181),
    [aux_sym_proxy_command_token1] = ACTIONS(2181),
    [aux_sym_proxy_jump_token1] = ACTIONS(2181),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2181),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2181),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2181),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2181),
    [aux_sym_rekey_limit_token1] = ACTIONS(2181),
    [aux_sym_remote_command_token1] = ACTIONS(2181),
    [aux_sym_remote_forward_token1] = ACTIONS(2181),
    [aux_sym_request_tty_token1] = ACTIONS(2181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2181),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2181),
    [aux_sym_security_key_provider_token1] = ACTIONS(2181),
    [aux_sym_send_env_token1] = ACTIONS(2181),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2181),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2181),
    [aux_sym_session_type_token1] = ACTIONS(2181),
    [aux_sym_set_env_token1] = ACTIONS(2181),
    [aux_sym_stdin_null_token1] = ACTIONS(2181),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2181),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2181),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2181),
    [aux_sym_syslog_facility_token1] = ACTIONS(2181),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2181),
    [aux_sym_keep_alive_token1] = ACTIONS(2181),
    [aux_sym_tag_token1] = ACTIONS(2181),
    [aux_sym_tunnel_token1] = ACTIONS(2183),
    [aux_sym_tunnel_device_token1] = ACTIONS(2181),
    [aux_sym_update_host_keys_token1] = ACTIONS(2181),
    [aux_sym_use_keychain_token1] = ACTIONS(2181),
    [aux_sym_use_roaming_token1] = ACTIONS(2181),
    [aux_sym_user_token1] = ACTIONS(2183),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2181),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2181),
    [aux_sym_visual_host_key_token1] = ACTIONS(2181),
    [aux_sym_xauth_location_token1] = ACTIONS(2181),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [aux_sym_match_token1] = ACTIONS(2185),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2185),
    [aux_sym_address_family_token1] = ACTIONS(2185),
    [aux_sym_batch_mode_token1] = ACTIONS(2185),
    [aux_sym_bind_address_token1] = ACTIONS(2185),
    [aux_sym_bind_interface_token1] = ACTIONS(2185),
    [aux_sym_canonical_domains_token1] = ACTIONS(2185),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2185),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2185),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2185),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2185),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2185),
    [aux_sym_certificate_file_token1] = ACTIONS(2185),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2185),
    [aux_sym_channel_timeout_token1] = ACTIONS(2185),
    [aux_sym_check_host_ip_token1] = ACTIONS(2185),
    [aux_sym_ciphers_token1] = ACTIONS(2185),
    [aux_sym_cipher_token1] = ACTIONS(2187),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2185),
    [aux_sym_compression_token1] = ACTIONS(2185),
    [aux_sym_connection_attempts_token1] = ACTIONS(2185),
    [aux_sym_connect_timeout_token1] = ACTIONS(2185),
    [aux_sym_control_master_token1] = ACTIONS(2185),
    [aux_sym_control_path_token1] = ACTIONS(2185),
    [aux_sym_control_persist_token1] = ACTIONS(2185),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2185),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2185),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2185),
    [aux_sym_escape_char_token1] = ACTIONS(2185),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2185),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2185),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2185),
    [aux_sym_forward_agent_token1] = ACTIONS(2185),
    [aux_sym_forward_x11_token1] = ACTIONS(2187),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2185),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2185),
    [aux_sym_gateway_ports_token1] = ACTIONS(2185),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2185),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2185),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2185),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2185),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2185),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2185),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2185),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2185),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2185),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2185),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2185),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2185),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2185),
    [aux_sym_host_key_alias_token1] = ACTIONS(2185),
    [aux_sym_hostname_token1] = ACTIONS(2185),
    [aux_sym_identities_only_token1] = ACTIONS(2185),
    [aux_sym_identity_agent_token1] = ACTIONS(2185),
    [aux_sym_identity_file_token1] = ACTIONS(2185),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2185),
    [aux_sym_include_token1] = ACTIONS(2185),
    [aux_sym_ip_qos_token1] = ACTIONS(2185),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2185),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2185),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2185),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2185),
    [aux_sym_local_command_token1] = ACTIONS(2185),
    [aux_sym_local_forward_token1] = ACTIONS(2185),
    [aux_sym_log_level_token1] = ACTIONS(2185),
    [aux_sym_log_verbose_token1] = ACTIONS(2185),
    [aux_sym_macs_token1] = ACTIONS(2185),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2185),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2185),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2185),
    [aux_sym_password_authentication_token1] = ACTIONS(2185),
    [aux_sym_permit_local_command_token1] = ACTIONS(2185),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2185),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2185),
    [aux_sym_port_token1] = ACTIONS(2185),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2185),
    [aux_sym_protocol_token1] = ACTIONS(2185),
    [aux_sym_proxy_command_token1] = ACTIONS(2185),
    [aux_sym_proxy_jump_token1] = ACTIONS(2185),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2185),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2185),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2185),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2185),
    [aux_sym_rekey_limit_token1] = ACTIONS(2185),
    [aux_sym_remote_command_token1] = ACTIONS(2185),
    [aux_sym_remote_forward_token1] = ACTIONS(2185),
    [aux_sym_request_tty_token1] = ACTIONS(2185),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2185),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2185),
    [aux_sym_security_key_provider_token1] = ACTIONS(2185),
    [aux_sym_send_env_token1] = ACTIONS(2185),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2185),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2185),
    [aux_sym_session_type_token1] = ACTIONS(2185),
    [aux_sym_set_env_token1] = ACTIONS(2185),
    [aux_sym_stdin_null_token1] = ACTIONS(2185),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2185),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2185),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2185),
    [aux_sym_syslog_facility_token1] = ACTIONS(2185),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2185),
    [aux_sym_keep_alive_token1] = ACTIONS(2185),
    [aux_sym_tag_token1] = ACTIONS(2185),
    [aux_sym_tunnel_token1] = ACTIONS(2187),
    [aux_sym_tunnel_device_token1] = ACTIONS(2185),
    [aux_sym_update_host_keys_token1] = ACTIONS(2185),
    [aux_sym_use_keychain_token1] = ACTIONS(2185),
    [aux_sym_use_roaming_token1] = ACTIONS(2185),
    [aux_sym_user_token1] = ACTIONS(2187),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2185),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2185),
    [aux_sym_visual_host_key_token1] = ACTIONS(2185),
    [aux_sym_xauth_location_token1] = ACTIONS(2185),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [aux_sym_match_token1] = ACTIONS(2191),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2191),
    [aux_sym_address_family_token1] = ACTIONS(2191),
    [aux_sym_batch_mode_token1] = ACTIONS(2191),
    [aux_sym_bind_address_token1] = ACTIONS(2191),
    [aux_sym_bind_interface_token1] = ACTIONS(2191),
    [aux_sym_canonical_domains_token1] = ACTIONS(2191),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2191),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2191),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2191),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2191),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2191),
    [aux_sym_certificate_file_token1] = ACTIONS(2191),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2191),
    [aux_sym_channel_timeout_token1] = ACTIONS(2191),
    [aux_sym_check_host_ip_token1] = ACTIONS(2191),
    [aux_sym_ciphers_token1] = ACTIONS(2191),
    [aux_sym_cipher_token1] = ACTIONS(2193),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2191),
    [aux_sym_compression_token1] = ACTIONS(2191),
    [aux_sym_connection_attempts_token1] = ACTIONS(2191),
    [aux_sym_connect_timeout_token1] = ACTIONS(2191),
    [aux_sym_control_master_token1] = ACTIONS(2191),
    [aux_sym_control_path_token1] = ACTIONS(2191),
    [aux_sym_control_persist_token1] = ACTIONS(2191),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2191),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2191),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2191),
    [aux_sym_escape_char_token1] = ACTIONS(2191),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2191),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2191),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2191),
    [aux_sym_forward_agent_token1] = ACTIONS(2191),
    [aux_sym_forward_x11_token1] = ACTIONS(2193),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2191),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2191),
    [aux_sym_gateway_ports_token1] = ACTIONS(2191),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2191),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2191),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2191),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2191),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2191),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2191),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2191),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2191),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2191),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2191),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2191),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2191),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2191),
    [aux_sym_host_key_alias_token1] = ACTIONS(2191),
    [aux_sym_hostname_token1] = ACTIONS(2191),
    [aux_sym_identities_only_token1] = ACTIONS(2191),
    [aux_sym_identity_agent_token1] = ACTIONS(2191),
    [aux_sym_identity_file_token1] = ACTIONS(2191),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2191),
    [aux_sym_include_token1] = ACTIONS(2191),
    [aux_sym_ip_qos_token1] = ACTIONS(2191),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2191),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2191),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2191),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2191),
    [aux_sym_local_command_token1] = ACTIONS(2191),
    [aux_sym_local_forward_token1] = ACTIONS(2191),
    [aux_sym_log_level_token1] = ACTIONS(2191),
    [aux_sym_log_verbose_token1] = ACTIONS(2191),
    [aux_sym_macs_token1] = ACTIONS(2191),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2191),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2191),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2191),
    [aux_sym_password_authentication_token1] = ACTIONS(2191),
    [aux_sym_permit_local_command_token1] = ACTIONS(2191),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2191),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2191),
    [aux_sym_port_token1] = ACTIONS(2191),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2191),
    [aux_sym_protocol_token1] = ACTIONS(2191),
    [aux_sym_proxy_command_token1] = ACTIONS(2191),
    [aux_sym_proxy_jump_token1] = ACTIONS(2191),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2191),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2191),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2191),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2191),
    [aux_sym_rekey_limit_token1] = ACTIONS(2191),
    [aux_sym_remote_command_token1] = ACTIONS(2191),
    [aux_sym_remote_forward_token1] = ACTIONS(2191),
    [aux_sym_request_tty_token1] = ACTIONS(2191),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2191),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2191),
    [aux_sym_security_key_provider_token1] = ACTIONS(2191),
    [aux_sym_send_env_token1] = ACTIONS(2191),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2191),
    [aux_sym_session_type_token1] = ACTIONS(2191),
    [aux_sym_set_env_token1] = ACTIONS(2191),
    [aux_sym_stdin_null_token1] = ACTIONS(2191),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2191),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2191),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2191),
    [aux_sym_syslog_facility_token1] = ACTIONS(2191),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2191),
    [aux_sym_keep_alive_token1] = ACTIONS(2191),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [aux_sym_tunnel_token1] = ACTIONS(2193),
    [aux_sym_tunnel_device_token1] = ACTIONS(2191),
    [aux_sym_update_host_keys_token1] = ACTIONS(2191),
    [aux_sym_use_keychain_token1] = ACTIONS(2191),
    [aux_sym_use_roaming_token1] = ACTIONS(2191),
    [aux_sym_user_token1] = ACTIONS(2193),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2191),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2191),
    [aux_sym_visual_host_key_token1] = ACTIONS(2191),
    [aux_sym_xauth_location_token1] = ACTIONS(2191),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [aux_sym_match_token1] = ACTIONS(2195),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2195),
    [aux_sym_address_family_token1] = ACTIONS(2195),
    [aux_sym_batch_mode_token1] = ACTIONS(2195),
    [aux_sym_bind_address_token1] = ACTIONS(2195),
    [aux_sym_bind_interface_token1] = ACTIONS(2195),
    [aux_sym_canonical_domains_token1] = ACTIONS(2195),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2195),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2195),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2195),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2195),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2195),
    [aux_sym_certificate_file_token1] = ACTIONS(2195),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2195),
    [aux_sym_channel_timeout_token1] = ACTIONS(2195),
    [aux_sym_check_host_ip_token1] = ACTIONS(2195),
    [aux_sym_ciphers_token1] = ACTIONS(2195),
    [aux_sym_cipher_token1] = ACTIONS(2197),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2195),
    [aux_sym_compression_token1] = ACTIONS(2195),
    [aux_sym_connection_attempts_token1] = ACTIONS(2195),
    [aux_sym_connect_timeout_token1] = ACTIONS(2195),
    [aux_sym_control_master_token1] = ACTIONS(2195),
    [aux_sym_control_path_token1] = ACTIONS(2195),
    [aux_sym_control_persist_token1] = ACTIONS(2195),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2195),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2195),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2195),
    [aux_sym_escape_char_token1] = ACTIONS(2195),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2195),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2195),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2195),
    [aux_sym_forward_agent_token1] = ACTIONS(2195),
    [aux_sym_forward_x11_token1] = ACTIONS(2197),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2195),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2195),
    [aux_sym_gateway_ports_token1] = ACTIONS(2195),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2195),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2195),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2195),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2195),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2195),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2195),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2195),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2195),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2195),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2195),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2195),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2195),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2195),
    [aux_sym_host_key_alias_token1] = ACTIONS(2195),
    [aux_sym_hostname_token1] = ACTIONS(2195),
    [aux_sym_identities_only_token1] = ACTIONS(2195),
    [aux_sym_identity_agent_token1] = ACTIONS(2195),
    [aux_sym_identity_file_token1] = ACTIONS(2195),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2195),
    [aux_sym_include_token1] = ACTIONS(2195),
    [aux_sym_ip_qos_token1] = ACTIONS(2195),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2195),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2195),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2195),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2195),
    [aux_sym_local_command_token1] = ACTIONS(2195),
    [aux_sym_local_forward_token1] = ACTIONS(2195),
    [aux_sym_log_level_token1] = ACTIONS(2195),
    [aux_sym_log_verbose_token1] = ACTIONS(2195),
    [aux_sym_macs_token1] = ACTIONS(2195),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2195),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2195),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2195),
    [aux_sym_password_authentication_token1] = ACTIONS(2195),
    [aux_sym_permit_local_command_token1] = ACTIONS(2195),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2195),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2195),
    [aux_sym_port_token1] = ACTIONS(2195),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2195),
    [aux_sym_protocol_token1] = ACTIONS(2195),
    [aux_sym_proxy_command_token1] = ACTIONS(2195),
    [aux_sym_proxy_jump_token1] = ACTIONS(2195),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2195),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2195),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2195),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2195),
    [aux_sym_rekey_limit_token1] = ACTIONS(2195),
    [aux_sym_remote_command_token1] = ACTIONS(2195),
    [aux_sym_remote_forward_token1] = ACTIONS(2195),
    [aux_sym_request_tty_token1] = ACTIONS(2195),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2195),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2195),
    [aux_sym_security_key_provider_token1] = ACTIONS(2195),
    [aux_sym_send_env_token1] = ACTIONS(2195),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2195),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2195),
    [aux_sym_session_type_token1] = ACTIONS(2195),
    [aux_sym_set_env_token1] = ACTIONS(2195),
    [aux_sym_stdin_null_token1] = ACTIONS(2195),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2195),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2195),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2195),
    [aux_sym_syslog_facility_token1] = ACTIONS(2195),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2195),
    [aux_sym_keep_alive_token1] = ACTIONS(2195),
    [aux_sym_tag_token1] = ACTIONS(2195),
    [aux_sym_tunnel_token1] = ACTIONS(2197),
    [aux_sym_tunnel_device_token1] = ACTIONS(2195),
    [aux_sym_update_host_keys_token1] = ACTIONS(2195),
    [aux_sym_use_keychain_token1] = ACTIONS(2195),
    [aux_sym_use_roaming_token1] = ACTIONS(2195),
    [aux_sym_user_token1] = ACTIONS(2197),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2195),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2195),
    [aux_sym_visual_host_key_token1] = ACTIONS(2195),
    [aux_sym_xauth_location_token1] = ACTIONS(2195),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2201),
    [aux_sym_match_token1] = ACTIONS(2201),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2201),
    [aux_sym_address_family_token1] = ACTIONS(2201),
    [aux_sym_batch_mode_token1] = ACTIONS(2201),
    [aux_sym_bind_address_token1] = ACTIONS(2201),
    [aux_sym_bind_interface_token1] = ACTIONS(2201),
    [aux_sym_canonical_domains_token1] = ACTIONS(2201),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2201),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2201),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2201),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2201),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2201),
    [aux_sym_certificate_file_token1] = ACTIONS(2201),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2201),
    [aux_sym_channel_timeout_token1] = ACTIONS(2201),
    [aux_sym_check_host_ip_token1] = ACTIONS(2201),
    [aux_sym_ciphers_token1] = ACTIONS(2201),
    [aux_sym_cipher_token1] = ACTIONS(2203),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2201),
    [aux_sym_compression_token1] = ACTIONS(2201),
    [aux_sym_connection_attempts_token1] = ACTIONS(2201),
    [aux_sym_connect_timeout_token1] = ACTIONS(2201),
    [aux_sym_control_master_token1] = ACTIONS(2201),
    [aux_sym_control_path_token1] = ACTIONS(2201),
    [aux_sym_control_persist_token1] = ACTIONS(2201),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2201),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2201),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2201),
    [aux_sym_escape_char_token1] = ACTIONS(2201),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2201),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2201),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2201),
    [aux_sym_forward_agent_token1] = ACTIONS(2201),
    [aux_sym_forward_x11_token1] = ACTIONS(2203),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2201),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2201),
    [aux_sym_gateway_ports_token1] = ACTIONS(2201),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2201),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2201),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2201),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2201),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2201),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2201),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2201),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2201),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2201),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2201),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2201),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2201),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2201),
    [aux_sym_host_key_alias_token1] = ACTIONS(2201),
    [aux_sym_hostname_token1] = ACTIONS(2201),
    [aux_sym_identities_only_token1] = ACTIONS(2201),
    [aux_sym_identity_agent_token1] = ACTIONS(2201),
    [aux_sym_identity_file_token1] = ACTIONS(2201),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2201),
    [aux_sym_include_token1] = ACTIONS(2201),
    [aux_sym_ip_qos_token1] = ACTIONS(2201),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2201),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2201),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2201),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2201),
    [aux_sym_local_command_token1] = ACTIONS(2201),
    [aux_sym_local_forward_token1] = ACTIONS(2201),
    [aux_sym_log_level_token1] = ACTIONS(2201),
    [aux_sym_log_verbose_token1] = ACTIONS(2201),
    [aux_sym_macs_token1] = ACTIONS(2201),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2201),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2201),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2201),
    [aux_sym_password_authentication_token1] = ACTIONS(2201),
    [aux_sym_permit_local_command_token1] = ACTIONS(2201),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2201),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2201),
    [aux_sym_port_token1] = ACTIONS(2201),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2201),
    [aux_sym_protocol_token1] = ACTIONS(2201),
    [aux_sym_proxy_command_token1] = ACTIONS(2201),
    [aux_sym_proxy_jump_token1] = ACTIONS(2201),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2201),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2201),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2201),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2201),
    [aux_sym_rekey_limit_token1] = ACTIONS(2201),
    [aux_sym_remote_command_token1] = ACTIONS(2201),
    [aux_sym_remote_forward_token1] = ACTIONS(2201),
    [aux_sym_request_tty_token1] = ACTIONS(2201),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2201),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2201),
    [aux_sym_security_key_provider_token1] = ACTIONS(2201),
    [aux_sym_send_env_token1] = ACTIONS(2201),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2201),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2201),
    [aux_sym_session_type_token1] = ACTIONS(2201),
    [aux_sym_set_env_token1] = ACTIONS(2201),
    [aux_sym_stdin_null_token1] = ACTIONS(2201),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2201),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2201),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2201),
    [aux_sym_syslog_facility_token1] = ACTIONS(2201),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2201),
    [aux_sym_keep_alive_token1] = ACTIONS(2201),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [aux_sym_tunnel_token1] = ACTIONS(2203),
    [aux_sym_tunnel_device_token1] = ACTIONS(2201),
    [aux_sym_update_host_keys_token1] = ACTIONS(2201),
    [aux_sym_use_keychain_token1] = ACTIONS(2201),
    [aux_sym_use_roaming_token1] = ACTIONS(2201),
    [aux_sym_user_token1] = ACTIONS(2203),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2201),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2201),
    [aux_sym_visual_host_key_token1] = ACTIONS(2201),
    [aux_sym_xauth_location_token1] = ACTIONS(2201),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [aux_sym_match_token1] = ACTIONS(2205),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2205),
    [aux_sym_address_family_token1] = ACTIONS(2205),
    [aux_sym_batch_mode_token1] = ACTIONS(2205),
    [aux_sym_bind_address_token1] = ACTIONS(2205),
    [aux_sym_bind_interface_token1] = ACTIONS(2205),
    [aux_sym_canonical_domains_token1] = ACTIONS(2205),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2205),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2205),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2205),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2205),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2205),
    [aux_sym_certificate_file_token1] = ACTIONS(2205),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2205),
    [aux_sym_channel_timeout_token1] = ACTIONS(2205),
    [aux_sym_check_host_ip_token1] = ACTIONS(2205),
    [aux_sym_ciphers_token1] = ACTIONS(2205),
    [aux_sym_cipher_token1] = ACTIONS(2207),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2205),
    [aux_sym_compression_token1] = ACTIONS(2205),
    [aux_sym_connection_attempts_token1] = ACTIONS(2205),
    [aux_sym_connect_timeout_token1] = ACTIONS(2205),
    [aux_sym_control_master_token1] = ACTIONS(2205),
    [aux_sym_control_path_token1] = ACTIONS(2205),
    [aux_sym_control_persist_token1] = ACTIONS(2205),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2205),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2205),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2205),
    [aux_sym_escape_char_token1] = ACTIONS(2205),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2205),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2205),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2205),
    [aux_sym_forward_agent_token1] = ACTIONS(2205),
    [aux_sym_forward_x11_token1] = ACTIONS(2207),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2205),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2205),
    [aux_sym_gateway_ports_token1] = ACTIONS(2205),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2205),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2205),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2205),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2205),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2205),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2205),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2205),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2205),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2205),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2205),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2205),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2205),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2205),
    [aux_sym_host_key_alias_token1] = ACTIONS(2205),
    [aux_sym_hostname_token1] = ACTIONS(2205),
    [aux_sym_identities_only_token1] = ACTIONS(2205),
    [aux_sym_identity_agent_token1] = ACTIONS(2205),
    [aux_sym_identity_file_token1] = ACTIONS(2205),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2205),
    [aux_sym_include_token1] = ACTIONS(2205),
    [aux_sym_ip_qos_token1] = ACTIONS(2205),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2205),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2205),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2205),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2205),
    [aux_sym_local_command_token1] = ACTIONS(2205),
    [aux_sym_local_forward_token1] = ACTIONS(2205),
    [aux_sym_log_level_token1] = ACTIONS(2205),
    [aux_sym_log_verbose_token1] = ACTIONS(2205),
    [aux_sym_macs_token1] = ACTIONS(2205),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2205),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2205),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2205),
    [aux_sym_password_authentication_token1] = ACTIONS(2205),
    [aux_sym_permit_local_command_token1] = ACTIONS(2205),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2205),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2205),
    [aux_sym_port_token1] = ACTIONS(2205),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2205),
    [aux_sym_protocol_token1] = ACTIONS(2205),
    [aux_sym_proxy_command_token1] = ACTIONS(2205),
    [aux_sym_proxy_jump_token1] = ACTIONS(2205),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2205),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2205),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2205),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2205),
    [aux_sym_rekey_limit_token1] = ACTIONS(2205),
    [aux_sym_remote_command_token1] = ACTIONS(2205),
    [aux_sym_remote_forward_token1] = ACTIONS(2205),
    [aux_sym_request_tty_token1] = ACTIONS(2205),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2205),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2205),
    [aux_sym_security_key_provider_token1] = ACTIONS(2205),
    [aux_sym_send_env_token1] = ACTIONS(2205),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2205),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2205),
    [aux_sym_session_type_token1] = ACTIONS(2205),
    [aux_sym_set_env_token1] = ACTIONS(2205),
    [aux_sym_stdin_null_token1] = ACTIONS(2205),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2205),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2205),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2205),
    [aux_sym_syslog_facility_token1] = ACTIONS(2205),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2205),
    [aux_sym_keep_alive_token1] = ACTIONS(2205),
    [aux_sym_tag_token1] = ACTIONS(2205),
    [aux_sym_tunnel_token1] = ACTIONS(2207),
    [aux_sym_tunnel_device_token1] = ACTIONS(2205),
    [aux_sym_update_host_keys_token1] = ACTIONS(2205),
    [aux_sym_use_keychain_token1] = ACTIONS(2205),
    [aux_sym_use_roaming_token1] = ACTIONS(2205),
    [aux_sym_user_token1] = ACTIONS(2207),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2205),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2205),
    [aux_sym_visual_host_key_token1] = ACTIONS(2205),
    [aux_sym_xauth_location_token1] = ACTIONS(2205),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [aux_sym_match_token1] = ACTIONS(2211),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2211),
    [aux_sym_address_family_token1] = ACTIONS(2211),
    [aux_sym_batch_mode_token1] = ACTIONS(2211),
    [aux_sym_bind_address_token1] = ACTIONS(2211),
    [aux_sym_bind_interface_token1] = ACTIONS(2211),
    [aux_sym_canonical_domains_token1] = ACTIONS(2211),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2211),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2211),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2211),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2211),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2211),
    [aux_sym_certificate_file_token1] = ACTIONS(2211),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2211),
    [aux_sym_channel_timeout_token1] = ACTIONS(2211),
    [aux_sym_check_host_ip_token1] = ACTIONS(2211),
    [aux_sym_ciphers_token1] = ACTIONS(2211),
    [aux_sym_cipher_token1] = ACTIONS(2213),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2211),
    [aux_sym_compression_token1] = ACTIONS(2211),
    [aux_sym_connection_attempts_token1] = ACTIONS(2211),
    [aux_sym_connect_timeout_token1] = ACTIONS(2211),
    [aux_sym_control_master_token1] = ACTIONS(2211),
    [aux_sym_control_path_token1] = ACTIONS(2211),
    [aux_sym_control_persist_token1] = ACTIONS(2211),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2211),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2211),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2211),
    [aux_sym_escape_char_token1] = ACTIONS(2211),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2211),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2211),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2211),
    [aux_sym_forward_agent_token1] = ACTIONS(2211),
    [aux_sym_forward_x11_token1] = ACTIONS(2213),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2211),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2211),
    [aux_sym_gateway_ports_token1] = ACTIONS(2211),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2211),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2211),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2211),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2211),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2211),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2211),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2211),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2211),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2211),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2211),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2211),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2211),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2211),
    [aux_sym_host_key_alias_token1] = ACTIONS(2211),
    [aux_sym_hostname_token1] = ACTIONS(2211),
    [aux_sym_identities_only_token1] = ACTIONS(2211),
    [aux_sym_identity_agent_token1] = ACTIONS(2211),
    [aux_sym_identity_file_token1] = ACTIONS(2211),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2211),
    [aux_sym_include_token1] = ACTIONS(2211),
    [aux_sym_ip_qos_token1] = ACTIONS(2211),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2211),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2211),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2211),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2211),
    [aux_sym_local_command_token1] = ACTIONS(2211),
    [aux_sym_local_forward_token1] = ACTIONS(2211),
    [aux_sym_log_level_token1] = ACTIONS(2211),
    [aux_sym_log_verbose_token1] = ACTIONS(2211),
    [aux_sym_macs_token1] = ACTIONS(2211),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2211),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2211),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2211),
    [aux_sym_password_authentication_token1] = ACTIONS(2211),
    [aux_sym_permit_local_command_token1] = ACTIONS(2211),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2211),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2211),
    [aux_sym_port_token1] = ACTIONS(2211),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2211),
    [aux_sym_protocol_token1] = ACTIONS(2211),
    [aux_sym_proxy_command_token1] = ACTIONS(2211),
    [aux_sym_proxy_jump_token1] = ACTIONS(2211),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2211),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2211),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2211),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2211),
    [aux_sym_rekey_limit_token1] = ACTIONS(2211),
    [aux_sym_remote_command_token1] = ACTIONS(2211),
    [aux_sym_remote_forward_token1] = ACTIONS(2211),
    [aux_sym_request_tty_token1] = ACTIONS(2211),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2211),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2211),
    [aux_sym_security_key_provider_token1] = ACTIONS(2211),
    [aux_sym_send_env_token1] = ACTIONS(2211),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2211),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2211),
    [aux_sym_session_type_token1] = ACTIONS(2211),
    [aux_sym_set_env_token1] = ACTIONS(2211),
    [aux_sym_stdin_null_token1] = ACTIONS(2211),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2211),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2211),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2211),
    [aux_sym_syslog_facility_token1] = ACTIONS(2211),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2211),
    [aux_sym_keep_alive_token1] = ACTIONS(2211),
    [aux_sym_tag_token1] = ACTIONS(2211),
    [aux_sym_tunnel_token1] = ACTIONS(2213),
    [aux_sym_tunnel_device_token1] = ACTIONS(2211),
    [aux_sym_update_host_keys_token1] = ACTIONS(2211),
    [aux_sym_use_keychain_token1] = ACTIONS(2211),
    [aux_sym_use_roaming_token1] = ACTIONS(2211),
    [aux_sym_user_token1] = ACTIONS(2213),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2211),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2211),
    [aux_sym_visual_host_key_token1] = ACTIONS(2211),
    [aux_sym_xauth_location_token1] = ACTIONS(2211),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [aux_sym_match_token1] = ACTIONS(2215),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2215),
    [aux_sym_address_family_token1] = ACTIONS(2215),
    [aux_sym_batch_mode_token1] = ACTIONS(2215),
    [aux_sym_bind_address_token1] = ACTIONS(2215),
    [aux_sym_bind_interface_token1] = ACTIONS(2215),
    [aux_sym_canonical_domains_token1] = ACTIONS(2215),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2215),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2215),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2215),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2215),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2215),
    [aux_sym_certificate_file_token1] = ACTIONS(2215),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2215),
    [aux_sym_channel_timeout_token1] = ACTIONS(2215),
    [aux_sym_check_host_ip_token1] = ACTIONS(2215),
    [aux_sym_ciphers_token1] = ACTIONS(2215),
    [aux_sym_cipher_token1] = ACTIONS(2217),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2215),
    [aux_sym_compression_token1] = ACTIONS(2215),
    [aux_sym_connection_attempts_token1] = ACTIONS(2215),
    [aux_sym_connect_timeout_token1] = ACTIONS(2215),
    [aux_sym_control_master_token1] = ACTIONS(2215),
    [aux_sym_control_path_token1] = ACTIONS(2215),
    [aux_sym_control_persist_token1] = ACTIONS(2215),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2215),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2215),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2215),
    [aux_sym_escape_char_token1] = ACTIONS(2215),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2215),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2215),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2215),
    [aux_sym_forward_agent_token1] = ACTIONS(2215),
    [aux_sym_forward_x11_token1] = ACTIONS(2217),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2215),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2215),
    [aux_sym_gateway_ports_token1] = ACTIONS(2215),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2215),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2215),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2215),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2215),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2215),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2215),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2215),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2215),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2215),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2215),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2215),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2215),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2215),
    [aux_sym_host_key_alias_token1] = ACTIONS(2215),
    [aux_sym_hostname_token1] = ACTIONS(2215),
    [aux_sym_identities_only_token1] = ACTIONS(2215),
    [aux_sym_identity_agent_token1] = ACTIONS(2215),
    [aux_sym_identity_file_token1] = ACTIONS(2215),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2215),
    [aux_sym_include_token1] = ACTIONS(2215),
    [aux_sym_ip_qos_token1] = ACTIONS(2215),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2215),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2215),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2215),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2215),
    [aux_sym_local_command_token1] = ACTIONS(2215),
    [aux_sym_local_forward_token1] = ACTIONS(2215),
    [aux_sym_log_level_token1] = ACTIONS(2215),
    [aux_sym_log_verbose_token1] = ACTIONS(2215),
    [aux_sym_macs_token1] = ACTIONS(2215),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2215),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2215),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2215),
    [aux_sym_password_authentication_token1] = ACTIONS(2215),
    [aux_sym_permit_local_command_token1] = ACTIONS(2215),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2215),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2215),
    [aux_sym_port_token1] = ACTIONS(2215),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2215),
    [aux_sym_protocol_token1] = ACTIONS(2215),
    [aux_sym_proxy_command_token1] = ACTIONS(2215),
    [aux_sym_proxy_jump_token1] = ACTIONS(2215),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2215),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2215),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2215),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2215),
    [aux_sym_rekey_limit_token1] = ACTIONS(2215),
    [aux_sym_remote_command_token1] = ACTIONS(2215),
    [aux_sym_remote_forward_token1] = ACTIONS(2215),
    [aux_sym_request_tty_token1] = ACTIONS(2215),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2215),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2215),
    [aux_sym_security_key_provider_token1] = ACTIONS(2215),
    [aux_sym_send_env_token1] = ACTIONS(2215),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2215),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2215),
    [aux_sym_session_type_token1] = ACTIONS(2215),
    [aux_sym_set_env_token1] = ACTIONS(2215),
    [aux_sym_stdin_null_token1] = ACTIONS(2215),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2215),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2215),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2215),
    [aux_sym_syslog_facility_token1] = ACTIONS(2215),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2215),
    [aux_sym_keep_alive_token1] = ACTIONS(2215),
    [aux_sym_tag_token1] = ACTIONS(2215),
    [aux_sym_tunnel_token1] = ACTIONS(2217),
    [aux_sym_tunnel_device_token1] = ACTIONS(2215),
    [aux_sym_update_host_keys_token1] = ACTIONS(2215),
    [aux_sym_use_keychain_token1] = ACTIONS(2215),
    [aux_sym_use_roaming_token1] = ACTIONS(2215),
    [aux_sym_user_token1] = ACTIONS(2217),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2215),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2215),
    [aux_sym_visual_host_key_token1] = ACTIONS(2215),
    [aux_sym_xauth_location_token1] = ACTIONS(2215),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2221),
    [aux_sym_match_token1] = ACTIONS(2221),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2221),
    [aux_sym_address_family_token1] = ACTIONS(2221),
    [aux_sym_batch_mode_token1] = ACTIONS(2221),
    [aux_sym_bind_address_token1] = ACTIONS(2221),
    [aux_sym_bind_interface_token1] = ACTIONS(2221),
    [aux_sym_canonical_domains_token1] = ACTIONS(2221),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2221),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2221),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2221),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2221),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2221),
    [aux_sym_certificate_file_token1] = ACTIONS(2221),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2221),
    [aux_sym_channel_timeout_token1] = ACTIONS(2221),
    [aux_sym_check_host_ip_token1] = ACTIONS(2221),
    [aux_sym_ciphers_token1] = ACTIONS(2221),
    [aux_sym_cipher_token1] = ACTIONS(2223),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2221),
    [aux_sym_compression_token1] = ACTIONS(2221),
    [aux_sym_connection_attempts_token1] = ACTIONS(2221),
    [aux_sym_connect_timeout_token1] = ACTIONS(2221),
    [aux_sym_control_master_token1] = ACTIONS(2221),
    [aux_sym_control_path_token1] = ACTIONS(2221),
    [aux_sym_control_persist_token1] = ACTIONS(2221),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2221),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2221),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2221),
    [aux_sym_escape_char_token1] = ACTIONS(2221),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2221),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2221),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2221),
    [aux_sym_forward_agent_token1] = ACTIONS(2221),
    [aux_sym_forward_x11_token1] = ACTIONS(2223),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2221),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2221),
    [aux_sym_gateway_ports_token1] = ACTIONS(2221),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2221),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2221),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2221),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2221),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2221),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2221),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2221),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2221),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2221),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2221),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2221),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2221),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2221),
    [aux_sym_host_key_alias_token1] = ACTIONS(2221),
    [aux_sym_hostname_token1] = ACTIONS(2221),
    [aux_sym_identities_only_token1] = ACTIONS(2221),
    [aux_sym_identity_agent_token1] = ACTIONS(2221),
    [aux_sym_identity_file_token1] = ACTIONS(2221),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2221),
    [aux_sym_include_token1] = ACTIONS(2221),
    [aux_sym_ip_qos_token1] = ACTIONS(2221),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2221),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2221),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2221),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2221),
    [aux_sym_local_command_token1] = ACTIONS(2221),
    [aux_sym_local_forward_token1] = ACTIONS(2221),
    [aux_sym_log_level_token1] = ACTIONS(2221),
    [aux_sym_log_verbose_token1] = ACTIONS(2221),
    [aux_sym_macs_token1] = ACTIONS(2221),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2221),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2221),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2221),
    [aux_sym_password_authentication_token1] = ACTIONS(2221),
    [aux_sym_permit_local_command_token1] = ACTIONS(2221),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2221),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2221),
    [aux_sym_port_token1] = ACTIONS(2221),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2221),
    [aux_sym_protocol_token1] = ACTIONS(2221),
    [aux_sym_proxy_command_token1] = ACTIONS(2221),
    [aux_sym_proxy_jump_token1] = ACTIONS(2221),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2221),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2221),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2221),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2221),
    [aux_sym_rekey_limit_token1] = ACTIONS(2221),
    [aux_sym_remote_command_token1] = ACTIONS(2221),
    [aux_sym_remote_forward_token1] = ACTIONS(2221),
    [aux_sym_request_tty_token1] = ACTIONS(2221),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2221),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2221),
    [aux_sym_security_key_provider_token1] = ACTIONS(2221),
    [aux_sym_send_env_token1] = ACTIONS(2221),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2221),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2221),
    [aux_sym_session_type_token1] = ACTIONS(2221),
    [aux_sym_set_env_token1] = ACTIONS(2221),
    [aux_sym_stdin_null_token1] = ACTIONS(2221),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2221),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2221),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2221),
    [aux_sym_syslog_facility_token1] = ACTIONS(2221),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2221),
    [aux_sym_keep_alive_token1] = ACTIONS(2221),
    [aux_sym_tag_token1] = ACTIONS(2221),
    [aux_sym_tunnel_token1] = ACTIONS(2223),
    [aux_sym_tunnel_device_token1] = ACTIONS(2221),
    [aux_sym_update_host_keys_token1] = ACTIONS(2221),
    [aux_sym_use_keychain_token1] = ACTIONS(2221),
    [aux_sym_use_roaming_token1] = ACTIONS(2221),
    [aux_sym_user_token1] = ACTIONS(2223),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2221),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2221),
    [aux_sym_visual_host_key_token1] = ACTIONS(2221),
    [aux_sym_xauth_location_token1] = ACTIONS(2221),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [aux_sym_match_token1] = ACTIONS(2225),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2225),
    [aux_sym_address_family_token1] = ACTIONS(2225),
    [aux_sym_batch_mode_token1] = ACTIONS(2225),
    [aux_sym_bind_address_token1] = ACTIONS(2225),
    [aux_sym_bind_interface_token1] = ACTIONS(2225),
    [aux_sym_canonical_domains_token1] = ACTIONS(2225),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2225),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2225),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2225),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2225),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2225),
    [aux_sym_certificate_file_token1] = ACTIONS(2225),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2225),
    [aux_sym_channel_timeout_token1] = ACTIONS(2225),
    [aux_sym_check_host_ip_token1] = ACTIONS(2225),
    [aux_sym_ciphers_token1] = ACTIONS(2225),
    [aux_sym_cipher_token1] = ACTIONS(2227),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2225),
    [aux_sym_compression_token1] = ACTIONS(2225),
    [aux_sym_connection_attempts_token1] = ACTIONS(2225),
    [aux_sym_connect_timeout_token1] = ACTIONS(2225),
    [aux_sym_control_master_token1] = ACTIONS(2225),
    [aux_sym_control_path_token1] = ACTIONS(2225),
    [aux_sym_control_persist_token1] = ACTIONS(2225),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2225),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2225),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2225),
    [aux_sym_escape_char_token1] = ACTIONS(2225),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2225),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2225),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2225),
    [aux_sym_forward_agent_token1] = ACTIONS(2225),
    [aux_sym_forward_x11_token1] = ACTIONS(2227),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2225),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2225),
    [aux_sym_gateway_ports_token1] = ACTIONS(2225),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2225),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2225),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2225),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2225),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2225),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2225),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2225),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2225),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2225),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2225),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2225),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2225),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2225),
    [aux_sym_host_key_alias_token1] = ACTIONS(2225),
    [aux_sym_hostname_token1] = ACTIONS(2225),
    [aux_sym_identities_only_token1] = ACTIONS(2225),
    [aux_sym_identity_agent_token1] = ACTIONS(2225),
    [aux_sym_identity_file_token1] = ACTIONS(2225),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2225),
    [aux_sym_include_token1] = ACTIONS(2225),
    [aux_sym_ip_qos_token1] = ACTIONS(2225),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2225),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2225),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2225),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2225),
    [aux_sym_local_command_token1] = ACTIONS(2225),
    [aux_sym_local_forward_token1] = ACTIONS(2225),
    [aux_sym_log_level_token1] = ACTIONS(2225),
    [aux_sym_log_verbose_token1] = ACTIONS(2225),
    [aux_sym_macs_token1] = ACTIONS(2225),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2225),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2225),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2225),
    [aux_sym_password_authentication_token1] = ACTIONS(2225),
    [aux_sym_permit_local_command_token1] = ACTIONS(2225),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2225),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2225),
    [aux_sym_port_token1] = ACTIONS(2225),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2225),
    [aux_sym_protocol_token1] = ACTIONS(2225),
    [aux_sym_proxy_command_token1] = ACTIONS(2225),
    [aux_sym_proxy_jump_token1] = ACTIONS(2225),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2225),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2225),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2225),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2225),
    [aux_sym_rekey_limit_token1] = ACTIONS(2225),
    [aux_sym_remote_command_token1] = ACTIONS(2225),
    [aux_sym_remote_forward_token1] = ACTIONS(2225),
    [aux_sym_request_tty_token1] = ACTIONS(2225),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2225),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2225),
    [aux_sym_security_key_provider_token1] = ACTIONS(2225),
    [aux_sym_send_env_token1] = ACTIONS(2225),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2225),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2225),
    [aux_sym_session_type_token1] = ACTIONS(2225),
    [aux_sym_set_env_token1] = ACTIONS(2225),
    [aux_sym_stdin_null_token1] = ACTIONS(2225),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2225),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2225),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2225),
    [aux_sym_syslog_facility_token1] = ACTIONS(2225),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2225),
    [aux_sym_keep_alive_token1] = ACTIONS(2225),
    [aux_sym_tag_token1] = ACTIONS(2225),
    [aux_sym_tunnel_token1] = ACTIONS(2227),
    [aux_sym_tunnel_device_token1] = ACTIONS(2225),
    [aux_sym_update_host_keys_token1] = ACTIONS(2225),
    [aux_sym_use_keychain_token1] = ACTIONS(2225),
    [aux_sym_use_roaming_token1] = ACTIONS(2225),
    [aux_sym_user_token1] = ACTIONS(2227),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2225),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2225),
    [aux_sym_visual_host_key_token1] = ACTIONS(2225),
    [aux_sym_xauth_location_token1] = ACTIONS(2225),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2233),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [aux_sym_match_token1] = ACTIONS(2231),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2231),
    [aux_sym_address_family_token1] = ACTIONS(2231),
    [aux_sym_batch_mode_token1] = ACTIONS(2231),
    [aux_sym_bind_address_token1] = ACTIONS(2231),
    [aux_sym_bind_interface_token1] = ACTIONS(2231),
    [aux_sym_canonical_domains_token1] = ACTIONS(2231),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2231),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2231),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2231),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2231),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2231),
    [aux_sym_certificate_file_token1] = ACTIONS(2231),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2231),
    [aux_sym_channel_timeout_token1] = ACTIONS(2231),
    [aux_sym_check_host_ip_token1] = ACTIONS(2231),
    [aux_sym_ciphers_token1] = ACTIONS(2231),
    [aux_sym_cipher_token1] = ACTIONS(2233),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2231),
    [aux_sym_compression_token1] = ACTIONS(2231),
    [aux_sym_connection_attempts_token1] = ACTIONS(2231),
    [aux_sym_connect_timeout_token1] = ACTIONS(2231),
    [aux_sym_control_master_token1] = ACTIONS(2231),
    [aux_sym_control_path_token1] = ACTIONS(2231),
    [aux_sym_control_persist_token1] = ACTIONS(2231),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2231),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2231),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2231),
    [aux_sym_escape_char_token1] = ACTIONS(2231),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2231),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2231),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2231),
    [aux_sym_forward_agent_token1] = ACTIONS(2231),
    [aux_sym_forward_x11_token1] = ACTIONS(2233),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2231),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2231),
    [aux_sym_gateway_ports_token1] = ACTIONS(2231),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2231),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2231),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2231),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2231),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2231),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2231),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2231),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2231),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2231),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2231),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2231),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2231),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2231),
    [aux_sym_host_key_alias_token1] = ACTIONS(2231),
    [aux_sym_hostname_token1] = ACTIONS(2231),
    [aux_sym_identities_only_token1] = ACTIONS(2231),
    [aux_sym_identity_agent_token1] = ACTIONS(2231),
    [aux_sym_identity_file_token1] = ACTIONS(2231),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2231),
    [aux_sym_include_token1] = ACTIONS(2231),
    [aux_sym_ip_qos_token1] = ACTIONS(2231),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2231),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2231),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2231),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2231),
    [aux_sym_local_command_token1] = ACTIONS(2231),
    [aux_sym_local_forward_token1] = ACTIONS(2231),
    [aux_sym_log_level_token1] = ACTIONS(2231),
    [aux_sym_log_verbose_token1] = ACTIONS(2231),
    [aux_sym_macs_token1] = ACTIONS(2231),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2231),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2231),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2231),
    [aux_sym_password_authentication_token1] = ACTIONS(2231),
    [aux_sym_permit_local_command_token1] = ACTIONS(2231),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2231),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2231),
    [aux_sym_port_token1] = ACTIONS(2231),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2231),
    [aux_sym_protocol_token1] = ACTIONS(2231),
    [aux_sym_proxy_command_token1] = ACTIONS(2231),
    [aux_sym_proxy_jump_token1] = ACTIONS(2231),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2231),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2231),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2231),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2231),
    [aux_sym_rekey_limit_token1] = ACTIONS(2231),
    [aux_sym_remote_command_token1] = ACTIONS(2231),
    [aux_sym_remote_forward_token1] = ACTIONS(2231),
    [aux_sym_request_tty_token1] = ACTIONS(2231),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2231),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2231),
    [aux_sym_security_key_provider_token1] = ACTIONS(2231),
    [aux_sym_send_env_token1] = ACTIONS(2231),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2231),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2231),
    [aux_sym_session_type_token1] = ACTIONS(2231),
    [aux_sym_set_env_token1] = ACTIONS(2231),
    [aux_sym_stdin_null_token1] = ACTIONS(2231),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2231),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2231),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2231),
    [aux_sym_syslog_facility_token1] = ACTIONS(2231),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2231),
    [aux_sym_keep_alive_token1] = ACTIONS(2231),
    [aux_sym_tag_token1] = ACTIONS(2231),
    [aux_sym_tunnel_token1] = ACTIONS(2233),
    [aux_sym_tunnel_device_token1] = ACTIONS(2231),
    [aux_sym_update_host_keys_token1] = ACTIONS(2231),
    [aux_sym_use_keychain_token1] = ACTIONS(2231),
    [aux_sym_use_roaming_token1] = ACTIONS(2231),
    [aux_sym_user_token1] = ACTIONS(2233),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2231),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2231),
    [aux_sym_visual_host_key_token1] = ACTIONS(2231),
    [aux_sym_xauth_location_token1] = ACTIONS(2231),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(2239),
    [aux_sym_match_token1] = ACTIONS(2235),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2235),
    [aux_sym_address_family_token1] = ACTIONS(2235),
    [aux_sym_batch_mode_token1] = ACTIONS(2235),
    [aux_sym_bind_address_token1] = ACTIONS(2235),
    [aux_sym_bind_interface_token1] = ACTIONS(2235),
    [aux_sym_canonical_domains_token1] = ACTIONS(2235),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2235),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2235),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2235),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2235),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2235),
    [aux_sym_certificate_file_token1] = ACTIONS(2235),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2235),
    [aux_sym_channel_timeout_token1] = ACTIONS(2235),
    [aux_sym_check_host_ip_token1] = ACTIONS(2235),
    [aux_sym_ciphers_token1] = ACTIONS(2235),
    [aux_sym_cipher_token1] = ACTIONS(2237),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2235),
    [aux_sym_compression_token1] = ACTIONS(2235),
    [aux_sym_connection_attempts_token1] = ACTIONS(2235),
    [aux_sym_connect_timeout_token1] = ACTIONS(2235),
    [aux_sym_control_master_token1] = ACTIONS(2235),
    [aux_sym_control_path_token1] = ACTIONS(2235),
    [aux_sym_control_persist_token1] = ACTIONS(2235),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2235),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2235),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2235),
    [aux_sym_escape_char_token1] = ACTIONS(2235),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2235),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2235),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2235),
    [aux_sym_forward_agent_token1] = ACTIONS(2235),
    [aux_sym_forward_x11_token1] = ACTIONS(2237),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2235),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2235),
    [aux_sym_gateway_ports_token1] = ACTIONS(2235),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2235),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2235),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2235),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2235),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2235),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2235),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2235),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2235),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2235),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2235),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2235),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2235),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2235),
    [aux_sym_host_key_alias_token1] = ACTIONS(2235),
    [aux_sym_hostname_token1] = ACTIONS(2235),
    [aux_sym_identities_only_token1] = ACTIONS(2235),
    [aux_sym_identity_agent_token1] = ACTIONS(2235),
    [aux_sym_identity_file_token1] = ACTIONS(2235),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2235),
    [aux_sym_include_token1] = ACTIONS(2235),
    [aux_sym_ip_qos_token1] = ACTIONS(2235),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2235),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2235),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2235),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2235),
    [aux_sym_local_command_token1] = ACTIONS(2235),
    [aux_sym_local_forward_token1] = ACTIONS(2235),
    [aux_sym_log_level_token1] = ACTIONS(2235),
    [aux_sym_log_verbose_token1] = ACTIONS(2235),
    [aux_sym_macs_token1] = ACTIONS(2235),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2235),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2235),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2235),
    [aux_sym_password_authentication_token1] = ACTIONS(2235),
    [aux_sym_permit_local_command_token1] = ACTIONS(2235),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2235),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2235),
    [aux_sym_port_token1] = ACTIONS(2235),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2235),
    [aux_sym_protocol_token1] = ACTIONS(2235),
    [aux_sym_proxy_command_token1] = ACTIONS(2235),
    [aux_sym_proxy_jump_token1] = ACTIONS(2235),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2235),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2235),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2235),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2235),
    [aux_sym_rekey_limit_token1] = ACTIONS(2235),
    [aux_sym_remote_command_token1] = ACTIONS(2235),
    [aux_sym_remote_forward_token1] = ACTIONS(2235),
    [aux_sym_request_tty_token1] = ACTIONS(2235),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2235),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2235),
    [aux_sym_security_key_provider_token1] = ACTIONS(2235),
    [aux_sym_send_env_token1] = ACTIONS(2235),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2235),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2235),
    [aux_sym_session_type_token1] = ACTIONS(2235),
    [aux_sym_set_env_token1] = ACTIONS(2235),
    [aux_sym_stdin_null_token1] = ACTIONS(2235),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2235),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2235),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2235),
    [aux_sym_syslog_facility_token1] = ACTIONS(2235),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2235),
    [aux_sym_keep_alive_token1] = ACTIONS(2235),
    [aux_sym_tag_token1] = ACTIONS(2235),
    [aux_sym_tunnel_token1] = ACTIONS(2237),
    [aux_sym_tunnel_device_token1] = ACTIONS(2235),
    [aux_sym_update_host_keys_token1] = ACTIONS(2235),
    [aux_sym_use_keychain_token1] = ACTIONS(2235),
    [aux_sym_use_roaming_token1] = ACTIONS(2235),
    [aux_sym_user_token1] = ACTIONS(2237),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2235),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2235),
    [aux_sym_visual_host_key_token1] = ACTIONS(2235),
    [aux_sym_xauth_location_token1] = ACTIONS(2235),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2241),
    [aux_sym_match_token1] = ACTIONS(2241),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2241),
    [aux_sym_address_family_token1] = ACTIONS(2241),
    [aux_sym_batch_mode_token1] = ACTIONS(2241),
    [aux_sym_bind_address_token1] = ACTIONS(2241),
    [aux_sym_bind_interface_token1] = ACTIONS(2241),
    [aux_sym_canonical_domains_token1] = ACTIONS(2241),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2241),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2241),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2241),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2241),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2241),
    [aux_sym_certificate_file_token1] = ACTIONS(2241),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2241),
    [aux_sym_channel_timeout_token1] = ACTIONS(2241),
    [aux_sym_check_host_ip_token1] = ACTIONS(2241),
    [aux_sym_ciphers_token1] = ACTIONS(2241),
    [aux_sym_cipher_token1] = ACTIONS(2243),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2241),
    [aux_sym_compression_token1] = ACTIONS(2241),
    [aux_sym_connection_attempts_token1] = ACTIONS(2241),
    [aux_sym_connect_timeout_token1] = ACTIONS(2241),
    [aux_sym_control_master_token1] = ACTIONS(2241),
    [aux_sym_control_path_token1] = ACTIONS(2241),
    [aux_sym_control_persist_token1] = ACTIONS(2241),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2241),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2241),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2241),
    [aux_sym_escape_char_token1] = ACTIONS(2241),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2241),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2241),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2241),
    [aux_sym_forward_agent_token1] = ACTIONS(2241),
    [aux_sym_forward_x11_token1] = ACTIONS(2243),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2241),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2241),
    [aux_sym_gateway_ports_token1] = ACTIONS(2241),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2241),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2241),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2241),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2241),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2241),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2241),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2241),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2241),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2241),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2241),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2241),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2241),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2241),
    [aux_sym_host_key_alias_token1] = ACTIONS(2241),
    [aux_sym_hostname_token1] = ACTIONS(2241),
    [aux_sym_identities_only_token1] = ACTIONS(2241),
    [aux_sym_identity_agent_token1] = ACTIONS(2241),
    [aux_sym_identity_file_token1] = ACTIONS(2241),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2241),
    [aux_sym_include_token1] = ACTIONS(2241),
    [aux_sym_ip_qos_token1] = ACTIONS(2241),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2241),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2241),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2241),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2241),
    [aux_sym_local_command_token1] = ACTIONS(2241),
    [aux_sym_local_forward_token1] = ACTIONS(2241),
    [aux_sym_log_level_token1] = ACTIONS(2241),
    [aux_sym_log_verbose_token1] = ACTIONS(2241),
    [aux_sym_macs_token1] = ACTIONS(2241),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2241),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2241),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2241),
    [aux_sym_password_authentication_token1] = ACTIONS(2241),
    [aux_sym_permit_local_command_token1] = ACTIONS(2241),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2241),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2241),
    [aux_sym_port_token1] = ACTIONS(2241),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2241),
    [aux_sym_protocol_token1] = ACTIONS(2241),
    [aux_sym_proxy_command_token1] = ACTIONS(2241),
    [aux_sym_proxy_jump_token1] = ACTIONS(2241),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2241),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2241),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2241),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2241),
    [aux_sym_rekey_limit_token1] = ACTIONS(2241),
    [aux_sym_remote_command_token1] = ACTIONS(2241),
    [aux_sym_remote_forward_token1] = ACTIONS(2241),
    [aux_sym_request_tty_token1] = ACTIONS(2241),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2241),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2241),
    [aux_sym_security_key_provider_token1] = ACTIONS(2241),
    [aux_sym_send_env_token1] = ACTIONS(2241),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2241),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2241),
    [aux_sym_session_type_token1] = ACTIONS(2241),
    [aux_sym_set_env_token1] = ACTIONS(2241),
    [aux_sym_stdin_null_token1] = ACTIONS(2241),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2241),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2241),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2241),
    [aux_sym_syslog_facility_token1] = ACTIONS(2241),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2241),
    [aux_sym_keep_alive_token1] = ACTIONS(2241),
    [aux_sym_tag_token1] = ACTIONS(2241),
    [aux_sym_tunnel_token1] = ACTIONS(2243),
    [aux_sym_tunnel_device_token1] = ACTIONS(2241),
    [aux_sym_update_host_keys_token1] = ACTIONS(2241),
    [aux_sym_use_keychain_token1] = ACTIONS(2241),
    [aux_sym_use_roaming_token1] = ACTIONS(2241),
    [aux_sym_user_token1] = ACTIONS(2243),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2241),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2241),
    [aux_sym_visual_host_key_token1] = ACTIONS(2241),
    [aux_sym_xauth_location_token1] = ACTIONS(2241),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [aux_sym_match_token1] = ACTIONS(2245),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2245),
    [aux_sym_address_family_token1] = ACTIONS(2245),
    [aux_sym_batch_mode_token1] = ACTIONS(2245),
    [aux_sym_bind_address_token1] = ACTIONS(2245),
    [aux_sym_bind_interface_token1] = ACTIONS(2245),
    [aux_sym_canonical_domains_token1] = ACTIONS(2245),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2245),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2245),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2245),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2245),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2245),
    [aux_sym_certificate_file_token1] = ACTIONS(2245),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2245),
    [aux_sym_channel_timeout_token1] = ACTIONS(2245),
    [aux_sym_check_host_ip_token1] = ACTIONS(2245),
    [aux_sym_ciphers_token1] = ACTIONS(2245),
    [aux_sym_cipher_token1] = ACTIONS(2247),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2245),
    [aux_sym_compression_token1] = ACTIONS(2245),
    [aux_sym_connection_attempts_token1] = ACTIONS(2245),
    [aux_sym_connect_timeout_token1] = ACTIONS(2245),
    [aux_sym_control_master_token1] = ACTIONS(2245),
    [aux_sym_control_path_token1] = ACTIONS(2245),
    [aux_sym_control_persist_token1] = ACTIONS(2245),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2245),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2245),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2245),
    [aux_sym_escape_char_token1] = ACTIONS(2245),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2245),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2245),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2245),
    [aux_sym_forward_agent_token1] = ACTIONS(2245),
    [aux_sym_forward_x11_token1] = ACTIONS(2247),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2245),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2245),
    [aux_sym_gateway_ports_token1] = ACTIONS(2245),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2245),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2245),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2245),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2245),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2245),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2245),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2245),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2245),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2245),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2245),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2245),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2245),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2245),
    [aux_sym_host_key_alias_token1] = ACTIONS(2245),
    [aux_sym_hostname_token1] = ACTIONS(2245),
    [aux_sym_identities_only_token1] = ACTIONS(2245),
    [aux_sym_identity_agent_token1] = ACTIONS(2245),
    [aux_sym_identity_file_token1] = ACTIONS(2245),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2245),
    [aux_sym_include_token1] = ACTIONS(2245),
    [aux_sym_ip_qos_token1] = ACTIONS(2245),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2245),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2245),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2245),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2245),
    [aux_sym_local_command_token1] = ACTIONS(2245),
    [aux_sym_local_forward_token1] = ACTIONS(2245),
    [aux_sym_log_level_token1] = ACTIONS(2245),
    [aux_sym_log_verbose_token1] = ACTIONS(2245),
    [aux_sym_macs_token1] = ACTIONS(2245),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2245),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2245),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2245),
    [aux_sym_password_authentication_token1] = ACTIONS(2245),
    [aux_sym_permit_local_command_token1] = ACTIONS(2245),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2245),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2245),
    [aux_sym_port_token1] = ACTIONS(2245),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2245),
    [aux_sym_protocol_token1] = ACTIONS(2245),
    [aux_sym_proxy_command_token1] = ACTIONS(2245),
    [aux_sym_proxy_jump_token1] = ACTIONS(2245),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2245),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2245),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2245),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2245),
    [aux_sym_rekey_limit_token1] = ACTIONS(2245),
    [aux_sym_remote_command_token1] = ACTIONS(2245),
    [aux_sym_remote_forward_token1] = ACTIONS(2245),
    [aux_sym_request_tty_token1] = ACTIONS(2245),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2245),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2245),
    [aux_sym_security_key_provider_token1] = ACTIONS(2245),
    [aux_sym_send_env_token1] = ACTIONS(2245),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2245),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2245),
    [aux_sym_session_type_token1] = ACTIONS(2245),
    [aux_sym_set_env_token1] = ACTIONS(2245),
    [aux_sym_stdin_null_token1] = ACTIONS(2245),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2245),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2245),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2245),
    [aux_sym_syslog_facility_token1] = ACTIONS(2245),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2245),
    [aux_sym_keep_alive_token1] = ACTIONS(2245),
    [aux_sym_tag_token1] = ACTIONS(2245),
    [aux_sym_tunnel_token1] = ACTIONS(2247),
    [aux_sym_tunnel_device_token1] = ACTIONS(2245),
    [aux_sym_update_host_keys_token1] = ACTIONS(2245),
    [aux_sym_use_keychain_token1] = ACTIONS(2245),
    [aux_sym_use_roaming_token1] = ACTIONS(2245),
    [aux_sym_user_token1] = ACTIONS(2247),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2245),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2245),
    [aux_sym_visual_host_key_token1] = ACTIONS(2245),
    [aux_sym_xauth_location_token1] = ACTIONS(2245),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(2255),
    [aux_sym_match_token1] = ACTIONS(2251),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2251),
    [aux_sym_address_family_token1] = ACTIONS(2251),
    [aux_sym_batch_mode_token1] = ACTIONS(2251),
    [aux_sym_bind_address_token1] = ACTIONS(2251),
    [aux_sym_bind_interface_token1] = ACTIONS(2251),
    [aux_sym_canonical_domains_token1] = ACTIONS(2251),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2251),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2251),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2251),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2251),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2251),
    [aux_sym_certificate_file_token1] = ACTIONS(2251),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2251),
    [aux_sym_channel_timeout_token1] = ACTIONS(2251),
    [aux_sym_check_host_ip_token1] = ACTIONS(2251),
    [aux_sym_ciphers_token1] = ACTIONS(2251),
    [aux_sym_cipher_token1] = ACTIONS(2253),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2251),
    [aux_sym_compression_token1] = ACTIONS(2251),
    [aux_sym_connection_attempts_token1] = ACTIONS(2251),
    [aux_sym_connect_timeout_token1] = ACTIONS(2251),
    [aux_sym_control_master_token1] = ACTIONS(2251),
    [aux_sym_control_path_token1] = ACTIONS(2251),
    [aux_sym_control_persist_token1] = ACTIONS(2251),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2251),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2251),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2251),
    [aux_sym_escape_char_token1] = ACTIONS(2251),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2251),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2251),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2251),
    [aux_sym_forward_agent_token1] = ACTIONS(2251),
    [aux_sym_forward_x11_token1] = ACTIONS(2253),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2251),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2251),
    [aux_sym_gateway_ports_token1] = ACTIONS(2251),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2251),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2251),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2251),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2251),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2251),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2251),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2251),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2251),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2251),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2251),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2251),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2251),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2251),
    [aux_sym_host_key_alias_token1] = ACTIONS(2251),
    [aux_sym_hostname_token1] = ACTIONS(2251),
    [aux_sym_identities_only_token1] = ACTIONS(2251),
    [aux_sym_identity_agent_token1] = ACTIONS(2251),
    [aux_sym_identity_file_token1] = ACTIONS(2251),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2251),
    [aux_sym_include_token1] = ACTIONS(2251),
    [aux_sym_ip_qos_token1] = ACTIONS(2251),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2251),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2251),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2251),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2251),
    [aux_sym_local_command_token1] = ACTIONS(2251),
    [aux_sym_local_forward_token1] = ACTIONS(2251),
    [aux_sym_log_level_token1] = ACTIONS(2251),
    [aux_sym_log_verbose_token1] = ACTIONS(2251),
    [aux_sym_macs_token1] = ACTIONS(2251),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2251),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2251),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2251),
    [aux_sym_password_authentication_token1] = ACTIONS(2251),
    [aux_sym_permit_local_command_token1] = ACTIONS(2251),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2251),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2251),
    [aux_sym_port_token1] = ACTIONS(2251),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2251),
    [aux_sym_protocol_token1] = ACTIONS(2251),
    [aux_sym_proxy_command_token1] = ACTIONS(2251),
    [aux_sym_proxy_jump_token1] = ACTIONS(2251),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2251),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2251),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2251),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2251),
    [aux_sym_rekey_limit_token1] = ACTIONS(2251),
    [aux_sym_remote_command_token1] = ACTIONS(2251),
    [aux_sym_remote_forward_token1] = ACTIONS(2251),
    [aux_sym_request_tty_token1] = ACTIONS(2251),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2251),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2251),
    [aux_sym_security_key_provider_token1] = ACTIONS(2251),
    [aux_sym_send_env_token1] = ACTIONS(2251),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2251),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2251),
    [aux_sym_session_type_token1] = ACTIONS(2251),
    [aux_sym_set_env_token1] = ACTIONS(2251),
    [aux_sym_stdin_null_token1] = ACTIONS(2251),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2251),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2251),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2251),
    [aux_sym_syslog_facility_token1] = ACTIONS(2251),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2251),
    [aux_sym_keep_alive_token1] = ACTIONS(2251),
    [aux_sym_tag_token1] = ACTIONS(2251),
    [aux_sym_tunnel_token1] = ACTIONS(2253),
    [aux_sym_tunnel_device_token1] = ACTIONS(2251),
    [aux_sym_update_host_keys_token1] = ACTIONS(2251),
    [aux_sym_use_keychain_token1] = ACTIONS(2251),
    [aux_sym_use_roaming_token1] = ACTIONS(2251),
    [aux_sym_user_token1] = ACTIONS(2253),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2251),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2251),
    [aux_sym_visual_host_key_token1] = ACTIONS(2251),
    [aux_sym_xauth_location_token1] = ACTIONS(2251),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2257),
    [aux_sym_match_token1] = ACTIONS(2257),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2257),
    [aux_sym_address_family_token1] = ACTIONS(2257),
    [aux_sym_batch_mode_token1] = ACTIONS(2257),
    [aux_sym_bind_address_token1] = ACTIONS(2257),
    [aux_sym_bind_interface_token1] = ACTIONS(2257),
    [aux_sym_canonical_domains_token1] = ACTIONS(2257),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2257),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2257),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2257),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2257),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2257),
    [aux_sym_certificate_file_token1] = ACTIONS(2257),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2257),
    [aux_sym_channel_timeout_token1] = ACTIONS(2257),
    [aux_sym_check_host_ip_token1] = ACTIONS(2257),
    [aux_sym_ciphers_token1] = ACTIONS(2257),
    [aux_sym_cipher_token1] = ACTIONS(2259),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2257),
    [aux_sym_compression_token1] = ACTIONS(2257),
    [aux_sym_connection_attempts_token1] = ACTIONS(2257),
    [aux_sym_connect_timeout_token1] = ACTIONS(2257),
    [aux_sym_control_master_token1] = ACTIONS(2257),
    [aux_sym_control_path_token1] = ACTIONS(2257),
    [aux_sym_control_persist_token1] = ACTIONS(2257),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2257),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2257),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2257),
    [aux_sym_escape_char_token1] = ACTIONS(2257),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2257),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2257),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2257),
    [aux_sym_forward_agent_token1] = ACTIONS(2257),
    [aux_sym_forward_x11_token1] = ACTIONS(2259),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2257),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2257),
    [aux_sym_gateway_ports_token1] = ACTIONS(2257),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2257),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2257),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2257),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2257),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2257),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2257),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2257),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2257),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2257),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2257),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2257),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2257),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2257),
    [aux_sym_host_key_alias_token1] = ACTIONS(2257),
    [aux_sym_hostname_token1] = ACTIONS(2257),
    [aux_sym_identities_only_token1] = ACTIONS(2257),
    [aux_sym_identity_agent_token1] = ACTIONS(2257),
    [aux_sym_identity_file_token1] = ACTIONS(2257),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2257),
    [aux_sym_include_token1] = ACTIONS(2257),
    [aux_sym_ip_qos_token1] = ACTIONS(2257),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2257),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2257),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2257),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2257),
    [aux_sym_local_command_token1] = ACTIONS(2257),
    [aux_sym_local_forward_token1] = ACTIONS(2257),
    [aux_sym_log_level_token1] = ACTIONS(2257),
    [aux_sym_log_verbose_token1] = ACTIONS(2257),
    [aux_sym_macs_token1] = ACTIONS(2257),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2257),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2257),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2257),
    [aux_sym_password_authentication_token1] = ACTIONS(2257),
    [aux_sym_permit_local_command_token1] = ACTIONS(2257),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2257),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2257),
    [aux_sym_port_token1] = ACTIONS(2257),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2257),
    [aux_sym_protocol_token1] = ACTIONS(2257),
    [aux_sym_proxy_command_token1] = ACTIONS(2257),
    [aux_sym_proxy_jump_token1] = ACTIONS(2257),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2257),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2257),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2257),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2257),
    [aux_sym_rekey_limit_token1] = ACTIONS(2257),
    [aux_sym_remote_command_token1] = ACTIONS(2257),
    [aux_sym_remote_forward_token1] = ACTIONS(2257),
    [aux_sym_request_tty_token1] = ACTIONS(2257),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2257),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2257),
    [aux_sym_security_key_provider_token1] = ACTIONS(2257),
    [aux_sym_send_env_token1] = ACTIONS(2257),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2257),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2257),
    [aux_sym_session_type_token1] = ACTIONS(2257),
    [aux_sym_set_env_token1] = ACTIONS(2257),
    [aux_sym_stdin_null_token1] = ACTIONS(2257),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2257),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2257),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2257),
    [aux_sym_syslog_facility_token1] = ACTIONS(2257),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2257),
    [aux_sym_keep_alive_token1] = ACTIONS(2257),
    [aux_sym_tag_token1] = ACTIONS(2257),
    [aux_sym_tunnel_token1] = ACTIONS(2259),
    [aux_sym_tunnel_device_token1] = ACTIONS(2257),
    [aux_sym_update_host_keys_token1] = ACTIONS(2257),
    [aux_sym_use_keychain_token1] = ACTIONS(2257),
    [aux_sym_use_roaming_token1] = ACTIONS(2257),
    [aux_sym_user_token1] = ACTIONS(2259),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2257),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2257),
    [aux_sym_visual_host_key_token1] = ACTIONS(2257),
    [aux_sym_xauth_location_token1] = ACTIONS(2257),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2261),
    [aux_sym_match_token1] = ACTIONS(2261),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2261),
    [aux_sym_address_family_token1] = ACTIONS(2261),
    [aux_sym_batch_mode_token1] = ACTIONS(2261),
    [aux_sym_bind_address_token1] = ACTIONS(2261),
    [aux_sym_bind_interface_token1] = ACTIONS(2261),
    [aux_sym_canonical_domains_token1] = ACTIONS(2261),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2261),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2261),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2261),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2261),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2261),
    [aux_sym_certificate_file_token1] = ACTIONS(2261),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2261),
    [aux_sym_channel_timeout_token1] = ACTIONS(2261),
    [aux_sym_check_host_ip_token1] = ACTIONS(2261),
    [aux_sym_ciphers_token1] = ACTIONS(2261),
    [aux_sym_cipher_token1] = ACTIONS(2263),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2261),
    [aux_sym_compression_token1] = ACTIONS(2261),
    [aux_sym_connection_attempts_token1] = ACTIONS(2261),
    [aux_sym_connect_timeout_token1] = ACTIONS(2261),
    [aux_sym_control_master_token1] = ACTIONS(2261),
    [aux_sym_control_path_token1] = ACTIONS(2261),
    [aux_sym_control_persist_token1] = ACTIONS(2261),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2261),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2261),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2261),
    [aux_sym_escape_char_token1] = ACTIONS(2261),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2261),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2261),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2261),
    [aux_sym_forward_agent_token1] = ACTIONS(2261),
    [aux_sym_forward_x11_token1] = ACTIONS(2263),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2261),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2261),
    [aux_sym_gateway_ports_token1] = ACTIONS(2261),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2261),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2261),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2261),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2261),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2261),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2261),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2261),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2261),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2261),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2261),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2261),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2261),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2261),
    [aux_sym_host_key_alias_token1] = ACTIONS(2261),
    [aux_sym_hostname_token1] = ACTIONS(2261),
    [aux_sym_identities_only_token1] = ACTIONS(2261),
    [aux_sym_identity_agent_token1] = ACTIONS(2261),
    [aux_sym_identity_file_token1] = ACTIONS(2261),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2261),
    [aux_sym_include_token1] = ACTIONS(2261),
    [aux_sym_ip_qos_token1] = ACTIONS(2261),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2261),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2261),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2261),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2261),
    [aux_sym_local_command_token1] = ACTIONS(2261),
    [aux_sym_local_forward_token1] = ACTIONS(2261),
    [aux_sym_log_level_token1] = ACTIONS(2261),
    [aux_sym_log_verbose_token1] = ACTIONS(2261),
    [aux_sym_macs_token1] = ACTIONS(2261),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2261),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2261),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2261),
    [aux_sym_password_authentication_token1] = ACTIONS(2261),
    [aux_sym_permit_local_command_token1] = ACTIONS(2261),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2261),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2261),
    [aux_sym_port_token1] = ACTIONS(2261),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2261),
    [aux_sym_protocol_token1] = ACTIONS(2261),
    [aux_sym_proxy_command_token1] = ACTIONS(2261),
    [aux_sym_proxy_jump_token1] = ACTIONS(2261),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2261),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2261),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2261),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2261),
    [aux_sym_rekey_limit_token1] = ACTIONS(2261),
    [aux_sym_remote_command_token1] = ACTIONS(2261),
    [aux_sym_remote_forward_token1] = ACTIONS(2261),
    [aux_sym_request_tty_token1] = ACTIONS(2261),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2261),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2261),
    [aux_sym_security_key_provider_token1] = ACTIONS(2261),
    [aux_sym_send_env_token1] = ACTIONS(2261),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2261),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2261),
    [aux_sym_session_type_token1] = ACTIONS(2261),
    [aux_sym_set_env_token1] = ACTIONS(2261),
    [aux_sym_stdin_null_token1] = ACTIONS(2261),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2261),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2261),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2261),
    [aux_sym_syslog_facility_token1] = ACTIONS(2261),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2261),
    [aux_sym_keep_alive_token1] = ACTIONS(2261),
    [aux_sym_tag_token1] = ACTIONS(2261),
    [aux_sym_tunnel_token1] = ACTIONS(2263),
    [aux_sym_tunnel_device_token1] = ACTIONS(2261),
    [aux_sym_update_host_keys_token1] = ACTIONS(2261),
    [aux_sym_use_keychain_token1] = ACTIONS(2261),
    [aux_sym_use_roaming_token1] = ACTIONS(2261),
    [aux_sym_user_token1] = ACTIONS(2263),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2261),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2261),
    [aux_sym_visual_host_key_token1] = ACTIONS(2261),
    [aux_sym_xauth_location_token1] = ACTIONS(2261),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2267),
    [anon_sym_DQUOTE] = ACTIONS(2269),
    [aux_sym_match_token1] = ACTIONS(2265),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2265),
    [aux_sym_address_family_token1] = ACTIONS(2265),
    [aux_sym_batch_mode_token1] = ACTIONS(2265),
    [aux_sym_bind_address_token1] = ACTIONS(2265),
    [aux_sym_bind_interface_token1] = ACTIONS(2265),
    [aux_sym_canonical_domains_token1] = ACTIONS(2265),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2265),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2265),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2265),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2265),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2265),
    [aux_sym_certificate_file_token1] = ACTIONS(2265),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2265),
    [aux_sym_channel_timeout_token1] = ACTIONS(2265),
    [aux_sym_check_host_ip_token1] = ACTIONS(2265),
    [aux_sym_ciphers_token1] = ACTIONS(2265),
    [aux_sym_cipher_token1] = ACTIONS(2267),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2265),
    [aux_sym_compression_token1] = ACTIONS(2265),
    [aux_sym_connection_attempts_token1] = ACTIONS(2265),
    [aux_sym_connect_timeout_token1] = ACTIONS(2265),
    [aux_sym_control_master_token1] = ACTIONS(2265),
    [aux_sym_control_path_token1] = ACTIONS(2265),
    [aux_sym_control_persist_token1] = ACTIONS(2265),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2265),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2265),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2265),
    [aux_sym_escape_char_token1] = ACTIONS(2265),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2265),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2265),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2265),
    [aux_sym_forward_agent_token1] = ACTIONS(2265),
    [aux_sym_forward_x11_token1] = ACTIONS(2267),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2265),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2265),
    [aux_sym_gateway_ports_token1] = ACTIONS(2265),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2265),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2265),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2265),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2265),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2265),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2265),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2265),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2265),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2265),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2265),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2265),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2265),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2265),
    [aux_sym_host_key_alias_token1] = ACTIONS(2265),
    [aux_sym_hostname_token1] = ACTIONS(2265),
    [aux_sym_identities_only_token1] = ACTIONS(2265),
    [aux_sym_identity_agent_token1] = ACTIONS(2265),
    [aux_sym_identity_file_token1] = ACTIONS(2265),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2265),
    [aux_sym_include_token1] = ACTIONS(2265),
    [aux_sym_ip_qos_token1] = ACTIONS(2265),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2265),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2265),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2265),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2265),
    [aux_sym_local_command_token1] = ACTIONS(2265),
    [aux_sym_local_forward_token1] = ACTIONS(2265),
    [aux_sym_log_level_token1] = ACTIONS(2265),
    [aux_sym_log_verbose_token1] = ACTIONS(2265),
    [aux_sym_macs_token1] = ACTIONS(2265),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2265),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2265),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2265),
    [aux_sym_password_authentication_token1] = ACTIONS(2265),
    [aux_sym_permit_local_command_token1] = ACTIONS(2265),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2265),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2265),
    [aux_sym_port_token1] = ACTIONS(2265),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2265),
    [aux_sym_protocol_token1] = ACTIONS(2265),
    [aux_sym_proxy_command_token1] = ACTIONS(2265),
    [aux_sym_proxy_jump_token1] = ACTIONS(2265),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2265),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2265),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2265),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2265),
    [aux_sym_rekey_limit_token1] = ACTIONS(2265),
    [aux_sym_remote_command_token1] = ACTIONS(2265),
    [aux_sym_remote_forward_token1] = ACTIONS(2265),
    [aux_sym_request_tty_token1] = ACTIONS(2265),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2265),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2265),
    [aux_sym_security_key_provider_token1] = ACTIONS(2265),
    [aux_sym_send_env_token1] = ACTIONS(2265),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2265),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2265),
    [aux_sym_session_type_token1] = ACTIONS(2265),
    [aux_sym_set_env_token1] = ACTIONS(2265),
    [aux_sym_stdin_null_token1] = ACTIONS(2265),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2265),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2265),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2265),
    [aux_sym_syslog_facility_token1] = ACTIONS(2265),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2265),
    [aux_sym_keep_alive_token1] = ACTIONS(2265),
    [aux_sym_tag_token1] = ACTIONS(2265),
    [aux_sym_tunnel_token1] = ACTIONS(2267),
    [aux_sym_tunnel_device_token1] = ACTIONS(2265),
    [aux_sym_update_host_keys_token1] = ACTIONS(2265),
    [aux_sym_use_keychain_token1] = ACTIONS(2265),
    [aux_sym_use_roaming_token1] = ACTIONS(2265),
    [aux_sym_user_token1] = ACTIONS(2267),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2265),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2265),
    [aux_sym_visual_host_key_token1] = ACTIONS(2265),
    [aux_sym_xauth_location_token1] = ACTIONS(2265),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [aux_sym_match_token1] = ACTIONS(2271),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2271),
    [aux_sym_address_family_token1] = ACTIONS(2271),
    [aux_sym_batch_mode_token1] = ACTIONS(2271),
    [aux_sym_bind_address_token1] = ACTIONS(2271),
    [aux_sym_bind_interface_token1] = ACTIONS(2271),
    [aux_sym_canonical_domains_token1] = ACTIONS(2271),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2271),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2271),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2271),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2271),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2271),
    [aux_sym_certificate_file_token1] = ACTIONS(2271),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2271),
    [aux_sym_channel_timeout_token1] = ACTIONS(2271),
    [aux_sym_check_host_ip_token1] = ACTIONS(2271),
    [aux_sym_ciphers_token1] = ACTIONS(2271),
    [aux_sym_cipher_token1] = ACTIONS(2273),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2271),
    [aux_sym_compression_token1] = ACTIONS(2271),
    [aux_sym_connection_attempts_token1] = ACTIONS(2271),
    [aux_sym_connect_timeout_token1] = ACTIONS(2271),
    [aux_sym_control_master_token1] = ACTIONS(2271),
    [aux_sym_control_path_token1] = ACTIONS(2271),
    [aux_sym_control_persist_token1] = ACTIONS(2271),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2271),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2271),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2271),
    [aux_sym_escape_char_token1] = ACTIONS(2271),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2271),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2271),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2271),
    [aux_sym_forward_agent_token1] = ACTIONS(2271),
    [aux_sym_forward_x11_token1] = ACTIONS(2273),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2271),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2271),
    [aux_sym_gateway_ports_token1] = ACTIONS(2271),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2271),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2271),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2271),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2271),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2271),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2271),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2271),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2271),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2271),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2271),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2271),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2271),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2271),
    [aux_sym_host_key_alias_token1] = ACTIONS(2271),
    [aux_sym_hostname_token1] = ACTIONS(2271),
    [aux_sym_identities_only_token1] = ACTIONS(2271),
    [aux_sym_identity_agent_token1] = ACTIONS(2271),
    [aux_sym_identity_file_token1] = ACTIONS(2271),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2271),
    [aux_sym_include_token1] = ACTIONS(2271),
    [aux_sym_ip_qos_token1] = ACTIONS(2271),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2271),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2271),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2271),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2271),
    [aux_sym_local_command_token1] = ACTIONS(2271),
    [aux_sym_local_forward_token1] = ACTIONS(2271),
    [aux_sym_log_level_token1] = ACTIONS(2271),
    [aux_sym_log_verbose_token1] = ACTIONS(2271),
    [aux_sym_macs_token1] = ACTIONS(2271),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2271),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2271),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2271),
    [aux_sym_password_authentication_token1] = ACTIONS(2271),
    [aux_sym_permit_local_command_token1] = ACTIONS(2271),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2271),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2271),
    [aux_sym_port_token1] = ACTIONS(2271),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2271),
    [aux_sym_protocol_token1] = ACTIONS(2271),
    [aux_sym_proxy_command_token1] = ACTIONS(2271),
    [aux_sym_proxy_jump_token1] = ACTIONS(2271),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2271),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2271),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2271),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2271),
    [aux_sym_rekey_limit_token1] = ACTIONS(2271),
    [aux_sym_remote_command_token1] = ACTIONS(2271),
    [aux_sym_remote_forward_token1] = ACTIONS(2271),
    [aux_sym_request_tty_token1] = ACTIONS(2271),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2271),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2271),
    [aux_sym_security_key_provider_token1] = ACTIONS(2271),
    [aux_sym_send_env_token1] = ACTIONS(2271),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2271),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2271),
    [aux_sym_session_type_token1] = ACTIONS(2271),
    [aux_sym_set_env_token1] = ACTIONS(2271),
    [aux_sym_stdin_null_token1] = ACTIONS(2271),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2271),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2271),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2271),
    [aux_sym_syslog_facility_token1] = ACTIONS(2271),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2271),
    [aux_sym_keep_alive_token1] = ACTIONS(2271),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [aux_sym_tunnel_token1] = ACTIONS(2273),
    [aux_sym_tunnel_device_token1] = ACTIONS(2271),
    [aux_sym_update_host_keys_token1] = ACTIONS(2271),
    [aux_sym_use_keychain_token1] = ACTIONS(2271),
    [aux_sym_use_roaming_token1] = ACTIONS(2271),
    [aux_sym_user_token1] = ACTIONS(2273),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2271),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2271),
    [aux_sym_visual_host_key_token1] = ACTIONS(2271),
    [aux_sym_xauth_location_token1] = ACTIONS(2271),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2279),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [aux_sym_match_token1] = ACTIONS(2277),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2277),
    [aux_sym_address_family_token1] = ACTIONS(2277),
    [aux_sym_batch_mode_token1] = ACTIONS(2277),
    [aux_sym_bind_address_token1] = ACTIONS(2277),
    [aux_sym_bind_interface_token1] = ACTIONS(2277),
    [aux_sym_canonical_domains_token1] = ACTIONS(2277),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2277),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2277),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2277),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2277),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2277),
    [aux_sym_certificate_file_token1] = ACTIONS(2277),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2277),
    [aux_sym_channel_timeout_token1] = ACTIONS(2277),
    [aux_sym_check_host_ip_token1] = ACTIONS(2277),
    [aux_sym_ciphers_token1] = ACTIONS(2277),
    [aux_sym_cipher_token1] = ACTIONS(2279),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2277),
    [aux_sym_compression_token1] = ACTIONS(2277),
    [aux_sym_connection_attempts_token1] = ACTIONS(2277),
    [aux_sym_connect_timeout_token1] = ACTIONS(2277),
    [aux_sym_control_master_token1] = ACTIONS(2277),
    [aux_sym_control_path_token1] = ACTIONS(2277),
    [aux_sym_control_persist_token1] = ACTIONS(2277),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2277),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2277),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2277),
    [aux_sym_escape_char_token1] = ACTIONS(2277),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2277),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2277),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2277),
    [aux_sym_forward_agent_token1] = ACTIONS(2277),
    [aux_sym_forward_x11_token1] = ACTIONS(2279),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2277),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2277),
    [aux_sym_gateway_ports_token1] = ACTIONS(2277),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2277),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2277),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2277),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2277),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2277),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2277),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2277),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2277),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2277),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2277),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2277),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2277),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2277),
    [aux_sym_host_key_alias_token1] = ACTIONS(2277),
    [aux_sym_hostname_token1] = ACTIONS(2277),
    [aux_sym_identities_only_token1] = ACTIONS(2277),
    [aux_sym_identity_agent_token1] = ACTIONS(2277),
    [aux_sym_identity_file_token1] = ACTIONS(2277),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2277),
    [aux_sym_include_token1] = ACTIONS(2277),
    [aux_sym_ip_qos_token1] = ACTIONS(2277),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2277),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2277),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2277),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2277),
    [aux_sym_local_command_token1] = ACTIONS(2277),
    [aux_sym_local_forward_token1] = ACTIONS(2277),
    [aux_sym_log_level_token1] = ACTIONS(2277),
    [aux_sym_log_verbose_token1] = ACTIONS(2277),
    [aux_sym_macs_token1] = ACTIONS(2277),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2277),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2277),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2277),
    [aux_sym_password_authentication_token1] = ACTIONS(2277),
    [aux_sym_permit_local_command_token1] = ACTIONS(2277),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2277),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2277),
    [aux_sym_port_token1] = ACTIONS(2277),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2277),
    [aux_sym_protocol_token1] = ACTIONS(2277),
    [aux_sym_proxy_command_token1] = ACTIONS(2277),
    [aux_sym_proxy_jump_token1] = ACTIONS(2277),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2277),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2277),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2277),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2277),
    [aux_sym_rekey_limit_token1] = ACTIONS(2277),
    [aux_sym_remote_command_token1] = ACTIONS(2277),
    [aux_sym_remote_forward_token1] = ACTIONS(2277),
    [aux_sym_request_tty_token1] = ACTIONS(2277),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2277),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2277),
    [aux_sym_security_key_provider_token1] = ACTIONS(2277),
    [aux_sym_send_env_token1] = ACTIONS(2277),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2277),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2277),
    [aux_sym_session_type_token1] = ACTIONS(2277),
    [aux_sym_set_env_token1] = ACTIONS(2277),
    [aux_sym_stdin_null_token1] = ACTIONS(2277),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2277),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2277),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2277),
    [aux_sym_syslog_facility_token1] = ACTIONS(2277),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2277),
    [aux_sym_keep_alive_token1] = ACTIONS(2277),
    [aux_sym_tag_token1] = ACTIONS(2277),
    [aux_sym_tunnel_token1] = ACTIONS(2279),
    [aux_sym_tunnel_device_token1] = ACTIONS(2277),
    [aux_sym_update_host_keys_token1] = ACTIONS(2277),
    [aux_sym_use_keychain_token1] = ACTIONS(2277),
    [aux_sym_use_roaming_token1] = ACTIONS(2277),
    [aux_sym_user_token1] = ACTIONS(2279),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2277),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2277),
    [aux_sym_visual_host_key_token1] = ACTIONS(2277),
    [aux_sym_xauth_location_token1] = ACTIONS(2277),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2283),
    [anon_sym_DQUOTE] = ACTIONS(2285),
    [aux_sym_match_token1] = ACTIONS(2281),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2281),
    [aux_sym_address_family_token1] = ACTIONS(2281),
    [aux_sym_batch_mode_token1] = ACTIONS(2281),
    [aux_sym_bind_address_token1] = ACTIONS(2281),
    [aux_sym_bind_interface_token1] = ACTIONS(2281),
    [aux_sym_canonical_domains_token1] = ACTIONS(2281),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2281),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2281),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2281),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2281),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2281),
    [aux_sym_certificate_file_token1] = ACTIONS(2281),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2281),
    [aux_sym_channel_timeout_token1] = ACTIONS(2281),
    [aux_sym_check_host_ip_token1] = ACTIONS(2281),
    [aux_sym_ciphers_token1] = ACTIONS(2281),
    [aux_sym_cipher_token1] = ACTIONS(2283),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2281),
    [aux_sym_compression_token1] = ACTIONS(2281),
    [aux_sym_connection_attempts_token1] = ACTIONS(2281),
    [aux_sym_connect_timeout_token1] = ACTIONS(2281),
    [aux_sym_control_master_token1] = ACTIONS(2281),
    [aux_sym_control_path_token1] = ACTIONS(2281),
    [aux_sym_control_persist_token1] = ACTIONS(2281),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2281),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2281),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2281),
    [aux_sym_escape_char_token1] = ACTIONS(2281),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2281),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2281),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2281),
    [aux_sym_forward_agent_token1] = ACTIONS(2281),
    [aux_sym_forward_x11_token1] = ACTIONS(2283),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2281),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2281),
    [aux_sym_gateway_ports_token1] = ACTIONS(2281),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2281),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2281),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2281),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2281),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2281),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2281),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2281),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2281),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2281),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2281),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2281),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2281),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2281),
    [aux_sym_host_key_alias_token1] = ACTIONS(2281),
    [aux_sym_hostname_token1] = ACTIONS(2281),
    [aux_sym_identities_only_token1] = ACTIONS(2281),
    [aux_sym_identity_agent_token1] = ACTIONS(2281),
    [aux_sym_identity_file_token1] = ACTIONS(2281),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2281),
    [aux_sym_include_token1] = ACTIONS(2281),
    [aux_sym_ip_qos_token1] = ACTIONS(2281),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2281),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2281),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2281),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2281),
    [aux_sym_local_command_token1] = ACTIONS(2281),
    [aux_sym_local_forward_token1] = ACTIONS(2281),
    [aux_sym_log_level_token1] = ACTIONS(2281),
    [aux_sym_log_verbose_token1] = ACTIONS(2281),
    [aux_sym_macs_token1] = ACTIONS(2281),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2281),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2281),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2281),
    [aux_sym_password_authentication_token1] = ACTIONS(2281),
    [aux_sym_permit_local_command_token1] = ACTIONS(2281),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2281),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2281),
    [aux_sym_port_token1] = ACTIONS(2281),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2281),
    [aux_sym_protocol_token1] = ACTIONS(2281),
    [aux_sym_proxy_command_token1] = ACTIONS(2281),
    [aux_sym_proxy_jump_token1] = ACTIONS(2281),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2281),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2281),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2281),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2281),
    [aux_sym_rekey_limit_token1] = ACTIONS(2281),
    [aux_sym_remote_command_token1] = ACTIONS(2281),
    [aux_sym_remote_forward_token1] = ACTIONS(2281),
    [aux_sym_request_tty_token1] = ACTIONS(2281),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2281),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2281),
    [aux_sym_security_key_provider_token1] = ACTIONS(2281),
    [aux_sym_send_env_token1] = ACTIONS(2281),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2281),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2281),
    [aux_sym_session_type_token1] = ACTIONS(2281),
    [aux_sym_set_env_token1] = ACTIONS(2281),
    [aux_sym_stdin_null_token1] = ACTIONS(2281),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2281),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2281),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2281),
    [aux_sym_syslog_facility_token1] = ACTIONS(2281),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2281),
    [aux_sym_keep_alive_token1] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2281),
    [aux_sym_tunnel_token1] = ACTIONS(2283),
    [aux_sym_tunnel_device_token1] = ACTIONS(2281),
    [aux_sym_update_host_keys_token1] = ACTIONS(2281),
    [aux_sym_use_keychain_token1] = ACTIONS(2281),
    [aux_sym_use_roaming_token1] = ACTIONS(2281),
    [aux_sym_user_token1] = ACTIONS(2283),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2281),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2281),
    [aux_sym_visual_host_key_token1] = ACTIONS(2281),
    [aux_sym_xauth_location_token1] = ACTIONS(2281),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [aux_sym_match_token1] = ACTIONS(2287),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2287),
    [aux_sym_address_family_token1] = ACTIONS(2287),
    [aux_sym_batch_mode_token1] = ACTIONS(2287),
    [aux_sym_bind_address_token1] = ACTIONS(2287),
    [aux_sym_bind_interface_token1] = ACTIONS(2287),
    [aux_sym_canonical_domains_token1] = ACTIONS(2287),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2287),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2287),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2287),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2287),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2287),
    [aux_sym_certificate_file_token1] = ACTIONS(2287),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2287),
    [aux_sym_channel_timeout_token1] = ACTIONS(2287),
    [aux_sym_check_host_ip_token1] = ACTIONS(2287),
    [aux_sym_ciphers_token1] = ACTIONS(2287),
    [aux_sym_cipher_token1] = ACTIONS(2289),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2287),
    [aux_sym_compression_token1] = ACTIONS(2287),
    [aux_sym_connection_attempts_token1] = ACTIONS(2287),
    [aux_sym_connect_timeout_token1] = ACTIONS(2287),
    [aux_sym_control_master_token1] = ACTIONS(2287),
    [aux_sym_control_path_token1] = ACTIONS(2287),
    [aux_sym_control_persist_token1] = ACTIONS(2287),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2287),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2287),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2287),
    [aux_sym_escape_char_token1] = ACTIONS(2287),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2287),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2287),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2287),
    [aux_sym_forward_agent_token1] = ACTIONS(2287),
    [aux_sym_forward_x11_token1] = ACTIONS(2289),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2287),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2287),
    [aux_sym_gateway_ports_token1] = ACTIONS(2287),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2287),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2287),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2287),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2287),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2287),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2287),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2287),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2287),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2287),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2287),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2287),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2287),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2287),
    [aux_sym_host_key_alias_token1] = ACTIONS(2287),
    [aux_sym_hostname_token1] = ACTIONS(2287),
    [aux_sym_identities_only_token1] = ACTIONS(2287),
    [aux_sym_identity_agent_token1] = ACTIONS(2287),
    [aux_sym_identity_file_token1] = ACTIONS(2287),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2287),
    [aux_sym_include_token1] = ACTIONS(2287),
    [aux_sym_ip_qos_token1] = ACTIONS(2287),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2287),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2287),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2287),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2287),
    [aux_sym_local_command_token1] = ACTIONS(2287),
    [aux_sym_local_forward_token1] = ACTIONS(2287),
    [aux_sym_log_level_token1] = ACTIONS(2287),
    [aux_sym_log_verbose_token1] = ACTIONS(2287),
    [aux_sym_macs_token1] = ACTIONS(2287),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2287),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2287),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2287),
    [aux_sym_password_authentication_token1] = ACTIONS(2287),
    [aux_sym_permit_local_command_token1] = ACTIONS(2287),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2287),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2287),
    [aux_sym_port_token1] = ACTIONS(2287),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2287),
    [aux_sym_protocol_token1] = ACTIONS(2287),
    [aux_sym_proxy_command_token1] = ACTIONS(2287),
    [aux_sym_proxy_jump_token1] = ACTIONS(2287),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2287),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2287),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2287),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2287),
    [aux_sym_rekey_limit_token1] = ACTIONS(2287),
    [aux_sym_remote_command_token1] = ACTIONS(2287),
    [aux_sym_remote_forward_token1] = ACTIONS(2287),
    [aux_sym_request_tty_token1] = ACTIONS(2287),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2287),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2287),
    [aux_sym_security_key_provider_token1] = ACTIONS(2287),
    [aux_sym_send_env_token1] = ACTIONS(2287),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2287),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2287),
    [aux_sym_session_type_token1] = ACTIONS(2287),
    [aux_sym_set_env_token1] = ACTIONS(2287),
    [aux_sym_stdin_null_token1] = ACTIONS(2287),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2287),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2287),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2287),
    [aux_sym_syslog_facility_token1] = ACTIONS(2287),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2287),
    [aux_sym_keep_alive_token1] = ACTIONS(2287),
    [aux_sym_tag_token1] = ACTIONS(2287),
    [aux_sym_tunnel_token1] = ACTIONS(2289),
    [aux_sym_tunnel_device_token1] = ACTIONS(2287),
    [aux_sym_update_host_keys_token1] = ACTIONS(2287),
    [aux_sym_use_keychain_token1] = ACTIONS(2287),
    [aux_sym_use_roaming_token1] = ACTIONS(2287),
    [aux_sym_user_token1] = ACTIONS(2289),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2287),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2287),
    [aux_sym_visual_host_key_token1] = ACTIONS(2287),
    [aux_sym_xauth_location_token1] = ACTIONS(2287),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(2295),
    [aux_sym_match_token1] = ACTIONS(2291),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2291),
    [aux_sym_address_family_token1] = ACTIONS(2291),
    [aux_sym_batch_mode_token1] = ACTIONS(2291),
    [aux_sym_bind_address_token1] = ACTIONS(2291),
    [aux_sym_bind_interface_token1] = ACTIONS(2291),
    [aux_sym_canonical_domains_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2291),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2291),
    [aux_sym_certificate_file_token1] = ACTIONS(2291),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2291),
    [aux_sym_channel_timeout_token1] = ACTIONS(2291),
    [aux_sym_check_host_ip_token1] = ACTIONS(2291),
    [aux_sym_ciphers_token1] = ACTIONS(2291),
    [aux_sym_cipher_token1] = ACTIONS(2293),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2291),
    [aux_sym_compression_token1] = ACTIONS(2291),
    [aux_sym_connection_attempts_token1] = ACTIONS(2291),
    [aux_sym_connect_timeout_token1] = ACTIONS(2291),
    [aux_sym_control_master_token1] = ACTIONS(2291),
    [aux_sym_control_path_token1] = ACTIONS(2291),
    [aux_sym_control_persist_token1] = ACTIONS(2291),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2291),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2291),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2291),
    [aux_sym_escape_char_token1] = ACTIONS(2291),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2291),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2291),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2291),
    [aux_sym_forward_agent_token1] = ACTIONS(2291),
    [aux_sym_forward_x11_token1] = ACTIONS(2293),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2291),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2291),
    [aux_sym_gateway_ports_token1] = ACTIONS(2291),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2291),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2291),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2291),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2291),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2291),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2291),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2291),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2291),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2291),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2291),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2291),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2291),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2291),
    [aux_sym_host_key_alias_token1] = ACTIONS(2291),
    [aux_sym_hostname_token1] = ACTIONS(2291),
    [aux_sym_identities_only_token1] = ACTIONS(2291),
    [aux_sym_identity_agent_token1] = ACTIONS(2291),
    [aux_sym_identity_file_token1] = ACTIONS(2291),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2291),
    [aux_sym_include_token1] = ACTIONS(2291),
    [aux_sym_ip_qos_token1] = ACTIONS(2291),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2291),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2291),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2291),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2291),
    [aux_sym_local_command_token1] = ACTIONS(2291),
    [aux_sym_local_forward_token1] = ACTIONS(2291),
    [aux_sym_log_level_token1] = ACTIONS(2291),
    [aux_sym_log_verbose_token1] = ACTIONS(2291),
    [aux_sym_macs_token1] = ACTIONS(2291),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2291),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2291),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2291),
    [aux_sym_password_authentication_token1] = ACTIONS(2291),
    [aux_sym_permit_local_command_token1] = ACTIONS(2291),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2291),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2291),
    [aux_sym_port_token1] = ACTIONS(2291),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2291),
    [aux_sym_protocol_token1] = ACTIONS(2291),
    [aux_sym_proxy_command_token1] = ACTIONS(2291),
    [aux_sym_proxy_jump_token1] = ACTIONS(2291),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2291),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2291),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2291),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2291),
    [aux_sym_rekey_limit_token1] = ACTIONS(2291),
    [aux_sym_remote_command_token1] = ACTIONS(2291),
    [aux_sym_remote_forward_token1] = ACTIONS(2291),
    [aux_sym_request_tty_token1] = ACTIONS(2291),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2291),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2291),
    [aux_sym_security_key_provider_token1] = ACTIONS(2291),
    [aux_sym_send_env_token1] = ACTIONS(2291),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2291),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2291),
    [aux_sym_session_type_token1] = ACTIONS(2291),
    [aux_sym_set_env_token1] = ACTIONS(2291),
    [aux_sym_stdin_null_token1] = ACTIONS(2291),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2291),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2291),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2291),
    [aux_sym_syslog_facility_token1] = ACTIONS(2291),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2291),
    [aux_sym_keep_alive_token1] = ACTIONS(2291),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [aux_sym_tunnel_token1] = ACTIONS(2293),
    [aux_sym_tunnel_device_token1] = ACTIONS(2291),
    [aux_sym_update_host_keys_token1] = ACTIONS(2291),
    [aux_sym_use_keychain_token1] = ACTIONS(2291),
    [aux_sym_use_roaming_token1] = ACTIONS(2291),
    [aux_sym_user_token1] = ACTIONS(2293),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2291),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2291),
    [aux_sym_visual_host_key_token1] = ACTIONS(2291),
    [aux_sym_xauth_location_token1] = ACTIONS(2291),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2301),
    [aux_sym_match_token1] = ACTIONS(2297),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2297),
    [aux_sym_address_family_token1] = ACTIONS(2297),
    [aux_sym_batch_mode_token1] = ACTIONS(2297),
    [aux_sym_bind_address_token1] = ACTIONS(2297),
    [aux_sym_bind_interface_token1] = ACTIONS(2297),
    [aux_sym_canonical_domains_token1] = ACTIONS(2297),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2297),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2297),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2297),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2297),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2297),
    [aux_sym_certificate_file_token1] = ACTIONS(2297),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2297),
    [aux_sym_channel_timeout_token1] = ACTIONS(2297),
    [aux_sym_check_host_ip_token1] = ACTIONS(2297),
    [aux_sym_ciphers_token1] = ACTIONS(2297),
    [aux_sym_cipher_token1] = ACTIONS(2299),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2297),
    [aux_sym_compression_token1] = ACTIONS(2297),
    [aux_sym_connection_attempts_token1] = ACTIONS(2297),
    [aux_sym_connect_timeout_token1] = ACTIONS(2297),
    [aux_sym_control_master_token1] = ACTIONS(2297),
    [aux_sym_control_path_token1] = ACTIONS(2297),
    [aux_sym_control_persist_token1] = ACTIONS(2297),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2297),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2297),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2297),
    [aux_sym_escape_char_token1] = ACTIONS(2297),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2297),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2297),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2297),
    [aux_sym_forward_agent_token1] = ACTIONS(2297),
    [aux_sym_forward_x11_token1] = ACTIONS(2299),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2297),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2297),
    [aux_sym_gateway_ports_token1] = ACTIONS(2297),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2297),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2297),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2297),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2297),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2297),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2297),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2297),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2297),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2297),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2297),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2297),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2297),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2297),
    [aux_sym_host_key_alias_token1] = ACTIONS(2297),
    [aux_sym_hostname_token1] = ACTIONS(2297),
    [aux_sym_identities_only_token1] = ACTIONS(2297),
    [aux_sym_identity_agent_token1] = ACTIONS(2297),
    [aux_sym_identity_file_token1] = ACTIONS(2297),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2297),
    [aux_sym_include_token1] = ACTIONS(2297),
    [aux_sym_ip_qos_token1] = ACTIONS(2297),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2297),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2297),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2297),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2297),
    [aux_sym_local_command_token1] = ACTIONS(2297),
    [aux_sym_local_forward_token1] = ACTIONS(2297),
    [aux_sym_log_level_token1] = ACTIONS(2297),
    [aux_sym_log_verbose_token1] = ACTIONS(2297),
    [aux_sym_macs_token1] = ACTIONS(2297),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2297),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2297),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2297),
    [aux_sym_password_authentication_token1] = ACTIONS(2297),
    [aux_sym_permit_local_command_token1] = ACTIONS(2297),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2297),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2297),
    [aux_sym_port_token1] = ACTIONS(2297),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2297),
    [aux_sym_protocol_token1] = ACTIONS(2297),
    [aux_sym_proxy_command_token1] = ACTIONS(2297),
    [aux_sym_proxy_jump_token1] = ACTIONS(2297),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2297),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2297),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2297),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2297),
    [aux_sym_rekey_limit_token1] = ACTIONS(2297),
    [aux_sym_remote_command_token1] = ACTIONS(2297),
    [aux_sym_remote_forward_token1] = ACTIONS(2297),
    [aux_sym_request_tty_token1] = ACTIONS(2297),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2297),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2297),
    [aux_sym_security_key_provider_token1] = ACTIONS(2297),
    [aux_sym_send_env_token1] = ACTIONS(2297),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2297),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2297),
    [aux_sym_session_type_token1] = ACTIONS(2297),
    [aux_sym_set_env_token1] = ACTIONS(2297),
    [aux_sym_stdin_null_token1] = ACTIONS(2297),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2297),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2297),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2297),
    [aux_sym_syslog_facility_token1] = ACTIONS(2297),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2297),
    [aux_sym_keep_alive_token1] = ACTIONS(2297),
    [aux_sym_tag_token1] = ACTIONS(2297),
    [aux_sym_tunnel_token1] = ACTIONS(2299),
    [aux_sym_tunnel_device_token1] = ACTIONS(2297),
    [aux_sym_update_host_keys_token1] = ACTIONS(2297),
    [aux_sym_use_keychain_token1] = ACTIONS(2297),
    [aux_sym_use_roaming_token1] = ACTIONS(2297),
    [aux_sym_user_token1] = ACTIONS(2299),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2297),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2297),
    [aux_sym_visual_host_key_token1] = ACTIONS(2297),
    [aux_sym_xauth_location_token1] = ACTIONS(2297),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [aux_sym_match_token1] = ACTIONS(2303),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2303),
    [aux_sym_address_family_token1] = ACTIONS(2303),
    [aux_sym_batch_mode_token1] = ACTIONS(2303),
    [aux_sym_bind_address_token1] = ACTIONS(2303),
    [aux_sym_bind_interface_token1] = ACTIONS(2303),
    [aux_sym_canonical_domains_token1] = ACTIONS(2303),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2303),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2303),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2303),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2303),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2303),
    [aux_sym_certificate_file_token1] = ACTIONS(2303),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2303),
    [aux_sym_channel_timeout_token1] = ACTIONS(2303),
    [aux_sym_check_host_ip_token1] = ACTIONS(2303),
    [aux_sym_ciphers_token1] = ACTIONS(2303),
    [aux_sym_cipher_token1] = ACTIONS(2305),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2303),
    [aux_sym_compression_token1] = ACTIONS(2303),
    [aux_sym_connection_attempts_token1] = ACTIONS(2303),
    [aux_sym_connect_timeout_token1] = ACTIONS(2303),
    [aux_sym_control_master_token1] = ACTIONS(2303),
    [aux_sym_control_path_token1] = ACTIONS(2303),
    [aux_sym_control_persist_token1] = ACTIONS(2303),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2303),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2303),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2303),
    [aux_sym_escape_char_token1] = ACTIONS(2303),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2303),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2303),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2303),
    [aux_sym_forward_agent_token1] = ACTIONS(2303),
    [aux_sym_forward_x11_token1] = ACTIONS(2305),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2303),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2303),
    [aux_sym_gateway_ports_token1] = ACTIONS(2303),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2303),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2303),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2303),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2303),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2303),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2303),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2303),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2303),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2303),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2303),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2303),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2303),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2303),
    [aux_sym_host_key_alias_token1] = ACTIONS(2303),
    [aux_sym_hostname_token1] = ACTIONS(2303),
    [aux_sym_identities_only_token1] = ACTIONS(2303),
    [aux_sym_identity_agent_token1] = ACTIONS(2303),
    [aux_sym_identity_file_token1] = ACTIONS(2303),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2303),
    [aux_sym_include_token1] = ACTIONS(2303),
    [aux_sym_ip_qos_token1] = ACTIONS(2303),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2303),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2303),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2303),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2303),
    [aux_sym_local_command_token1] = ACTIONS(2303),
    [aux_sym_local_forward_token1] = ACTIONS(2303),
    [aux_sym_log_level_token1] = ACTIONS(2303),
    [aux_sym_log_verbose_token1] = ACTIONS(2303),
    [aux_sym_macs_token1] = ACTIONS(2303),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2303),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2303),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2303),
    [aux_sym_password_authentication_token1] = ACTIONS(2303),
    [aux_sym_permit_local_command_token1] = ACTIONS(2303),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2303),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2303),
    [aux_sym_port_token1] = ACTIONS(2303),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2303),
    [aux_sym_protocol_token1] = ACTIONS(2303),
    [aux_sym_proxy_command_token1] = ACTIONS(2303),
    [aux_sym_proxy_jump_token1] = ACTIONS(2303),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2303),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2303),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2303),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2303),
    [aux_sym_rekey_limit_token1] = ACTIONS(2303),
    [aux_sym_remote_command_token1] = ACTIONS(2303),
    [aux_sym_remote_forward_token1] = ACTIONS(2303),
    [aux_sym_request_tty_token1] = ACTIONS(2303),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2303),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2303),
    [aux_sym_security_key_provider_token1] = ACTIONS(2303),
    [aux_sym_send_env_token1] = ACTIONS(2303),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2303),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2303),
    [aux_sym_session_type_token1] = ACTIONS(2303),
    [aux_sym_set_env_token1] = ACTIONS(2303),
    [aux_sym_stdin_null_token1] = ACTIONS(2303),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2303),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2303),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2303),
    [aux_sym_syslog_facility_token1] = ACTIONS(2303),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2303),
    [aux_sym_keep_alive_token1] = ACTIONS(2303),
    [aux_sym_tag_token1] = ACTIONS(2303),
    [aux_sym_tunnel_token1] = ACTIONS(2305),
    [aux_sym_tunnel_device_token1] = ACTIONS(2303),
    [aux_sym_update_host_keys_token1] = ACTIONS(2303),
    [aux_sym_use_keychain_token1] = ACTIONS(2303),
    [aux_sym_use_roaming_token1] = ACTIONS(2303),
    [aux_sym_user_token1] = ACTIONS(2305),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2303),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2303),
    [aux_sym_visual_host_key_token1] = ACTIONS(2303),
    [aux_sym_xauth_location_token1] = ACTIONS(2303),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2309),
    [anon_sym_DQUOTE] = ACTIONS(2307),
    [aux_sym_match_token1] = ACTIONS(2307),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2307),
    [aux_sym_address_family_token1] = ACTIONS(2307),
    [aux_sym_batch_mode_token1] = ACTIONS(2307),
    [aux_sym_bind_address_token1] = ACTIONS(2307),
    [aux_sym_bind_interface_token1] = ACTIONS(2307),
    [aux_sym_canonical_domains_token1] = ACTIONS(2307),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2307),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2307),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2307),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2307),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2307),
    [aux_sym_certificate_file_token1] = ACTIONS(2307),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2307),
    [aux_sym_channel_timeout_token1] = ACTIONS(2307),
    [aux_sym_check_host_ip_token1] = ACTIONS(2307),
    [aux_sym_ciphers_token1] = ACTIONS(2307),
    [aux_sym_cipher_token1] = ACTIONS(2309),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2307),
    [aux_sym_compression_token1] = ACTIONS(2307),
    [aux_sym_connection_attempts_token1] = ACTIONS(2307),
    [aux_sym_connect_timeout_token1] = ACTIONS(2307),
    [aux_sym_control_master_token1] = ACTIONS(2307),
    [aux_sym_control_path_token1] = ACTIONS(2307),
    [aux_sym_control_persist_token1] = ACTIONS(2307),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2307),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2307),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2307),
    [aux_sym_escape_char_token1] = ACTIONS(2307),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2307),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2307),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2307),
    [aux_sym_forward_agent_token1] = ACTIONS(2307),
    [aux_sym_forward_x11_token1] = ACTIONS(2309),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2307),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2307),
    [aux_sym_gateway_ports_token1] = ACTIONS(2307),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2307),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2307),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2307),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2307),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2307),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2307),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2307),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2307),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2307),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2307),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2307),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2307),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2307),
    [aux_sym_host_key_alias_token1] = ACTIONS(2307),
    [aux_sym_hostname_token1] = ACTIONS(2307),
    [aux_sym_identities_only_token1] = ACTIONS(2307),
    [aux_sym_identity_agent_token1] = ACTIONS(2307),
    [aux_sym_identity_file_token1] = ACTIONS(2307),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2307),
    [aux_sym_include_token1] = ACTIONS(2307),
    [aux_sym_ip_qos_token1] = ACTIONS(2307),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2307),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2307),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2307),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2307),
    [aux_sym_local_command_token1] = ACTIONS(2307),
    [aux_sym_local_forward_token1] = ACTIONS(2307),
    [aux_sym_log_level_token1] = ACTIONS(2307),
    [aux_sym_log_verbose_token1] = ACTIONS(2307),
    [aux_sym_macs_token1] = ACTIONS(2307),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2307),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2307),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2307),
    [aux_sym_password_authentication_token1] = ACTIONS(2307),
    [aux_sym_permit_local_command_token1] = ACTIONS(2307),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2307),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2307),
    [aux_sym_port_token1] = ACTIONS(2307),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2307),
    [aux_sym_protocol_token1] = ACTIONS(2307),
    [aux_sym_proxy_command_token1] = ACTIONS(2307),
    [aux_sym_proxy_jump_token1] = ACTIONS(2307),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2307),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2307),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2307),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2307),
    [aux_sym_rekey_limit_token1] = ACTIONS(2307),
    [aux_sym_remote_command_token1] = ACTIONS(2307),
    [aux_sym_remote_forward_token1] = ACTIONS(2307),
    [aux_sym_request_tty_token1] = ACTIONS(2307),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2307),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2307),
    [aux_sym_security_key_provider_token1] = ACTIONS(2307),
    [aux_sym_send_env_token1] = ACTIONS(2307),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2307),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2307),
    [aux_sym_session_type_token1] = ACTIONS(2307),
    [aux_sym_set_env_token1] = ACTIONS(2307),
    [aux_sym_stdin_null_token1] = ACTIONS(2307),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2307),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2307),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2307),
    [aux_sym_syslog_facility_token1] = ACTIONS(2307),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2307),
    [aux_sym_keep_alive_token1] = ACTIONS(2307),
    [aux_sym_tag_token1] = ACTIONS(2307),
    [aux_sym_tunnel_token1] = ACTIONS(2309),
    [aux_sym_tunnel_device_token1] = ACTIONS(2307),
    [aux_sym_update_host_keys_token1] = ACTIONS(2307),
    [aux_sym_use_keychain_token1] = ACTIONS(2307),
    [aux_sym_use_roaming_token1] = ACTIONS(2307),
    [aux_sym_user_token1] = ACTIONS(2309),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2307),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2307),
    [aux_sym_visual_host_key_token1] = ACTIONS(2307),
    [aux_sym_xauth_location_token1] = ACTIONS(2307),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2313),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [aux_sym_match_token1] = ACTIONS(2311),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2311),
    [aux_sym_address_family_token1] = ACTIONS(2311),
    [aux_sym_batch_mode_token1] = ACTIONS(2311),
    [aux_sym_bind_address_token1] = ACTIONS(2311),
    [aux_sym_bind_interface_token1] = ACTIONS(2311),
    [aux_sym_canonical_domains_token1] = ACTIONS(2311),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2311),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2311),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2311),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2311),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2311),
    [aux_sym_certificate_file_token1] = ACTIONS(2311),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2311),
    [aux_sym_channel_timeout_token1] = ACTIONS(2311),
    [aux_sym_check_host_ip_token1] = ACTIONS(2311),
    [aux_sym_ciphers_token1] = ACTIONS(2311),
    [aux_sym_cipher_token1] = ACTIONS(2313),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2311),
    [aux_sym_compression_token1] = ACTIONS(2311),
    [aux_sym_connection_attempts_token1] = ACTIONS(2311),
    [aux_sym_connect_timeout_token1] = ACTIONS(2311),
    [aux_sym_control_master_token1] = ACTIONS(2311),
    [aux_sym_control_path_token1] = ACTIONS(2311),
    [aux_sym_control_persist_token1] = ACTIONS(2311),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2311),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2311),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2311),
    [aux_sym_escape_char_token1] = ACTIONS(2311),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2311),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2311),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2311),
    [aux_sym_forward_agent_token1] = ACTIONS(2311),
    [aux_sym_forward_x11_token1] = ACTIONS(2313),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2311),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2311),
    [aux_sym_gateway_ports_token1] = ACTIONS(2311),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2311),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2311),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2311),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2311),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2311),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2311),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2311),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2311),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2311),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2311),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2311),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2311),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2311),
    [aux_sym_host_key_alias_token1] = ACTIONS(2311),
    [aux_sym_hostname_token1] = ACTIONS(2311),
    [aux_sym_identities_only_token1] = ACTIONS(2311),
    [aux_sym_identity_agent_token1] = ACTIONS(2311),
    [aux_sym_identity_file_token1] = ACTIONS(2311),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2311),
    [aux_sym_include_token1] = ACTIONS(2311),
    [aux_sym_ip_qos_token1] = ACTIONS(2311),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2311),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2311),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2311),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2311),
    [aux_sym_local_command_token1] = ACTIONS(2311),
    [aux_sym_local_forward_token1] = ACTIONS(2311),
    [aux_sym_log_level_token1] = ACTIONS(2311),
    [aux_sym_log_verbose_token1] = ACTIONS(2311),
    [aux_sym_macs_token1] = ACTIONS(2311),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2311),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2311),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2311),
    [aux_sym_password_authentication_token1] = ACTIONS(2311),
    [aux_sym_permit_local_command_token1] = ACTIONS(2311),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2311),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2311),
    [aux_sym_port_token1] = ACTIONS(2311),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2311),
    [aux_sym_protocol_token1] = ACTIONS(2311),
    [aux_sym_proxy_command_token1] = ACTIONS(2311),
    [aux_sym_proxy_jump_token1] = ACTIONS(2311),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2311),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2311),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2311),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2311),
    [aux_sym_rekey_limit_token1] = ACTIONS(2311),
    [aux_sym_remote_command_token1] = ACTIONS(2311),
    [aux_sym_remote_forward_token1] = ACTIONS(2311),
    [aux_sym_request_tty_token1] = ACTIONS(2311),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2311),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2311),
    [aux_sym_security_key_provider_token1] = ACTIONS(2311),
    [aux_sym_send_env_token1] = ACTIONS(2311),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2311),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2311),
    [aux_sym_session_type_token1] = ACTIONS(2311),
    [aux_sym_set_env_token1] = ACTIONS(2311),
    [aux_sym_stdin_null_token1] = ACTIONS(2311),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2311),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2311),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2311),
    [aux_sym_syslog_facility_token1] = ACTIONS(2311),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2311),
    [aux_sym_keep_alive_token1] = ACTIONS(2311),
    [aux_sym_tag_token1] = ACTIONS(2311),
    [aux_sym_tunnel_token1] = ACTIONS(2313),
    [aux_sym_tunnel_device_token1] = ACTIONS(2311),
    [aux_sym_update_host_keys_token1] = ACTIONS(2311),
    [aux_sym_use_keychain_token1] = ACTIONS(2311),
    [aux_sym_use_roaming_token1] = ACTIONS(2311),
    [aux_sym_user_token1] = ACTIONS(2313),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2311),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2311),
    [aux_sym_visual_host_key_token1] = ACTIONS(2311),
    [aux_sym_xauth_location_token1] = ACTIONS(2311),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2319),
    [anon_sym_DQUOTE] = ACTIONS(2317),
    [aux_sym_match_token1] = ACTIONS(2317),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2317),
    [aux_sym_address_family_token1] = ACTIONS(2317),
    [aux_sym_batch_mode_token1] = ACTIONS(2317),
    [aux_sym_bind_address_token1] = ACTIONS(2317),
    [aux_sym_bind_interface_token1] = ACTIONS(2317),
    [aux_sym_canonical_domains_token1] = ACTIONS(2317),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2317),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2317),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2317),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2317),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2317),
    [aux_sym_certificate_file_token1] = ACTIONS(2317),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2317),
    [aux_sym_channel_timeout_token1] = ACTIONS(2317),
    [aux_sym_check_host_ip_token1] = ACTIONS(2317),
    [aux_sym_ciphers_token1] = ACTIONS(2317),
    [aux_sym_cipher_token1] = ACTIONS(2319),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2317),
    [aux_sym_compression_token1] = ACTIONS(2317),
    [aux_sym_connection_attempts_token1] = ACTIONS(2317),
    [aux_sym_connect_timeout_token1] = ACTIONS(2317),
    [aux_sym_control_master_token1] = ACTIONS(2317),
    [aux_sym_control_path_token1] = ACTIONS(2317),
    [aux_sym_control_persist_token1] = ACTIONS(2317),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2317),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2317),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2317),
    [aux_sym_escape_char_token1] = ACTIONS(2317),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2317),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2317),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2317),
    [aux_sym_forward_agent_token1] = ACTIONS(2317),
    [aux_sym_forward_x11_token1] = ACTIONS(2319),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2317),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2317),
    [aux_sym_gateway_ports_token1] = ACTIONS(2317),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2317),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2317),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2317),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2317),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2317),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2317),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2317),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2317),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2317),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2317),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2317),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2317),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2317),
    [aux_sym_host_key_alias_token1] = ACTIONS(2317),
    [aux_sym_hostname_token1] = ACTIONS(2317),
    [aux_sym_identities_only_token1] = ACTIONS(2317),
    [aux_sym_identity_agent_token1] = ACTIONS(2317),
    [aux_sym_identity_file_token1] = ACTIONS(2317),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2317),
    [aux_sym_include_token1] = ACTIONS(2317),
    [aux_sym_ip_qos_token1] = ACTIONS(2317),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2317),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2317),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2317),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2317),
    [aux_sym_local_command_token1] = ACTIONS(2317),
    [aux_sym_local_forward_token1] = ACTIONS(2317),
    [aux_sym_log_level_token1] = ACTIONS(2317),
    [aux_sym_log_verbose_token1] = ACTIONS(2317),
    [aux_sym_macs_token1] = ACTIONS(2317),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2317),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2317),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2317),
    [aux_sym_password_authentication_token1] = ACTIONS(2317),
    [aux_sym_permit_local_command_token1] = ACTIONS(2317),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2317),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2317),
    [aux_sym_port_token1] = ACTIONS(2317),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2317),
    [aux_sym_protocol_token1] = ACTIONS(2317),
    [aux_sym_proxy_command_token1] = ACTIONS(2317),
    [aux_sym_proxy_jump_token1] = ACTIONS(2317),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2317),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2317),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2317),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2317),
    [aux_sym_rekey_limit_token1] = ACTIONS(2317),
    [aux_sym_remote_command_token1] = ACTIONS(2317),
    [aux_sym_remote_forward_token1] = ACTIONS(2317),
    [aux_sym_request_tty_token1] = ACTIONS(2317),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2317),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2317),
    [aux_sym_security_key_provider_token1] = ACTIONS(2317),
    [aux_sym_send_env_token1] = ACTIONS(2317),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2317),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2317),
    [aux_sym_session_type_token1] = ACTIONS(2317),
    [aux_sym_set_env_token1] = ACTIONS(2317),
    [aux_sym_stdin_null_token1] = ACTIONS(2317),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2317),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2317),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2317),
    [aux_sym_syslog_facility_token1] = ACTIONS(2317),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2317),
    [aux_sym_keep_alive_token1] = ACTIONS(2317),
    [aux_sym_tag_token1] = ACTIONS(2317),
    [aux_sym_tunnel_token1] = ACTIONS(2319),
    [aux_sym_tunnel_device_token1] = ACTIONS(2317),
    [aux_sym_update_host_keys_token1] = ACTIONS(2317),
    [aux_sym_use_keychain_token1] = ACTIONS(2317),
    [aux_sym_use_roaming_token1] = ACTIONS(2317),
    [aux_sym_user_token1] = ACTIONS(2319),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2317),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2317),
    [aux_sym_visual_host_key_token1] = ACTIONS(2317),
    [aux_sym_xauth_location_token1] = ACTIONS(2317),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2325),
    [aux_sym_match_token1] = ACTIONS(2321),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2321),
    [aux_sym_address_family_token1] = ACTIONS(2321),
    [aux_sym_batch_mode_token1] = ACTIONS(2321),
    [aux_sym_bind_address_token1] = ACTIONS(2321),
    [aux_sym_bind_interface_token1] = ACTIONS(2321),
    [aux_sym_canonical_domains_token1] = ACTIONS(2321),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2321),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2321),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2321),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2321),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2321),
    [aux_sym_certificate_file_token1] = ACTIONS(2321),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2321),
    [aux_sym_channel_timeout_token1] = ACTIONS(2321),
    [aux_sym_check_host_ip_token1] = ACTIONS(2321),
    [aux_sym_ciphers_token1] = ACTIONS(2321),
    [aux_sym_cipher_token1] = ACTIONS(2323),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2321),
    [aux_sym_compression_token1] = ACTIONS(2321),
    [aux_sym_connection_attempts_token1] = ACTIONS(2321),
    [aux_sym_connect_timeout_token1] = ACTIONS(2321),
    [aux_sym_control_master_token1] = ACTIONS(2321),
    [aux_sym_control_path_token1] = ACTIONS(2321),
    [aux_sym_control_persist_token1] = ACTIONS(2321),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2321),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2321),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2321),
    [aux_sym_escape_char_token1] = ACTIONS(2321),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2321),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2321),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2321),
    [aux_sym_forward_agent_token1] = ACTIONS(2321),
    [aux_sym_forward_x11_token1] = ACTIONS(2323),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2321),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2321),
    [aux_sym_gateway_ports_token1] = ACTIONS(2321),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2321),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2321),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2321),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2321),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2321),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2321),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2321),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2321),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2321),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2321),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2321),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2321),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2321),
    [aux_sym_host_key_alias_token1] = ACTIONS(2321),
    [aux_sym_hostname_token1] = ACTIONS(2321),
    [aux_sym_identities_only_token1] = ACTIONS(2321),
    [aux_sym_identity_agent_token1] = ACTIONS(2321),
    [aux_sym_identity_file_token1] = ACTIONS(2321),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2321),
    [aux_sym_include_token1] = ACTIONS(2321),
    [aux_sym_ip_qos_token1] = ACTIONS(2321),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2321),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2321),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2321),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2321),
    [aux_sym_local_command_token1] = ACTIONS(2321),
    [aux_sym_local_forward_token1] = ACTIONS(2321),
    [aux_sym_log_level_token1] = ACTIONS(2321),
    [aux_sym_log_verbose_token1] = ACTIONS(2321),
    [aux_sym_macs_token1] = ACTIONS(2321),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2321),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2321),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2321),
    [aux_sym_password_authentication_token1] = ACTIONS(2321),
    [aux_sym_permit_local_command_token1] = ACTIONS(2321),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2321),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2321),
    [aux_sym_port_token1] = ACTIONS(2321),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2321),
    [aux_sym_protocol_token1] = ACTIONS(2321),
    [aux_sym_proxy_command_token1] = ACTIONS(2321),
    [aux_sym_proxy_jump_token1] = ACTIONS(2321),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2321),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2321),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2321),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2321),
    [aux_sym_rekey_limit_token1] = ACTIONS(2321),
    [aux_sym_remote_command_token1] = ACTIONS(2321),
    [aux_sym_remote_forward_token1] = ACTIONS(2321),
    [aux_sym_request_tty_token1] = ACTIONS(2321),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2321),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2321),
    [aux_sym_security_key_provider_token1] = ACTIONS(2321),
    [aux_sym_send_env_token1] = ACTIONS(2321),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2321),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2321),
    [aux_sym_session_type_token1] = ACTIONS(2321),
    [aux_sym_set_env_token1] = ACTIONS(2321),
    [aux_sym_stdin_null_token1] = ACTIONS(2321),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2321),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2321),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2321),
    [aux_sym_syslog_facility_token1] = ACTIONS(2321),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2321),
    [aux_sym_keep_alive_token1] = ACTIONS(2321),
    [aux_sym_tag_token1] = ACTIONS(2321),
    [aux_sym_tunnel_token1] = ACTIONS(2323),
    [aux_sym_tunnel_device_token1] = ACTIONS(2321),
    [aux_sym_update_host_keys_token1] = ACTIONS(2321),
    [aux_sym_use_keychain_token1] = ACTIONS(2321),
    [aux_sym_use_roaming_token1] = ACTIONS(2321),
    [aux_sym_user_token1] = ACTIONS(2323),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2321),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2321),
    [aux_sym_visual_host_key_token1] = ACTIONS(2321),
    [aux_sym_xauth_location_token1] = ACTIONS(2321),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(2327),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [aux_sym_match_token1] = ACTIONS(2327),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2327),
    [aux_sym_address_family_token1] = ACTIONS(2327),
    [aux_sym_batch_mode_token1] = ACTIONS(2327),
    [aux_sym_bind_address_token1] = ACTIONS(2327),
    [aux_sym_bind_interface_token1] = ACTIONS(2327),
    [aux_sym_canonical_domains_token1] = ACTIONS(2327),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2327),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2327),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2327),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2327),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2327),
    [aux_sym_certificate_file_token1] = ACTIONS(2327),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2327),
    [aux_sym_channel_timeout_token1] = ACTIONS(2327),
    [aux_sym_check_host_ip_token1] = ACTIONS(2327),
    [aux_sym_ciphers_token1] = ACTIONS(2327),
    [aux_sym_cipher_token1] = ACTIONS(2329),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2327),
    [aux_sym_compression_token1] = ACTIONS(2327),
    [aux_sym_connection_attempts_token1] = ACTIONS(2327),
    [aux_sym_connect_timeout_token1] = ACTIONS(2327),
    [aux_sym_control_master_token1] = ACTIONS(2327),
    [aux_sym_control_path_token1] = ACTIONS(2327),
    [aux_sym_control_persist_token1] = ACTIONS(2327),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2327),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2327),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2327),
    [aux_sym_escape_char_token1] = ACTIONS(2327),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2327),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2327),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2327),
    [aux_sym_forward_agent_token1] = ACTIONS(2327),
    [aux_sym_forward_x11_token1] = ACTIONS(2329),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2327),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2327),
    [aux_sym_gateway_ports_token1] = ACTIONS(2327),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2327),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2327),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2327),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2327),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2327),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2327),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2327),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2327),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2327),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2327),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2327),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2327),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2327),
    [aux_sym_host_key_alias_token1] = ACTIONS(2327),
    [aux_sym_hostname_token1] = ACTIONS(2327),
    [aux_sym_identities_only_token1] = ACTIONS(2327),
    [aux_sym_identity_agent_token1] = ACTIONS(2327),
    [aux_sym_identity_file_token1] = ACTIONS(2327),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2327),
    [aux_sym_include_token1] = ACTIONS(2327),
    [aux_sym_ip_qos_token1] = ACTIONS(2327),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2327),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2327),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2327),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2327),
    [aux_sym_local_command_token1] = ACTIONS(2327),
    [aux_sym_local_forward_token1] = ACTIONS(2327),
    [aux_sym_log_level_token1] = ACTIONS(2327),
    [aux_sym_log_verbose_token1] = ACTIONS(2327),
    [aux_sym_macs_token1] = ACTIONS(2327),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2327),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2327),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2327),
    [aux_sym_password_authentication_token1] = ACTIONS(2327),
    [aux_sym_permit_local_command_token1] = ACTIONS(2327),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2327),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2327),
    [aux_sym_port_token1] = ACTIONS(2327),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2327),
    [aux_sym_protocol_token1] = ACTIONS(2327),
    [aux_sym_proxy_command_token1] = ACTIONS(2327),
    [aux_sym_proxy_jump_token1] = ACTIONS(2327),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2327),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2327),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2327),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2327),
    [aux_sym_rekey_limit_token1] = ACTIONS(2327),
    [aux_sym_remote_command_token1] = ACTIONS(2327),
    [aux_sym_remote_forward_token1] = ACTIONS(2327),
    [aux_sym_request_tty_token1] = ACTIONS(2327),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2327),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2327),
    [aux_sym_security_key_provider_token1] = ACTIONS(2327),
    [aux_sym_send_env_token1] = ACTIONS(2327),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2327),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2327),
    [aux_sym_session_type_token1] = ACTIONS(2327),
    [aux_sym_set_env_token1] = ACTIONS(2327),
    [aux_sym_stdin_null_token1] = ACTIONS(2327),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2327),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2327),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2327),
    [aux_sym_syslog_facility_token1] = ACTIONS(2327),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2327),
    [aux_sym_keep_alive_token1] = ACTIONS(2327),
    [aux_sym_tag_token1] = ACTIONS(2327),
    [aux_sym_tunnel_token1] = ACTIONS(2329),
    [aux_sym_tunnel_device_token1] = ACTIONS(2327),
    [aux_sym_update_host_keys_token1] = ACTIONS(2327),
    [aux_sym_use_keychain_token1] = ACTIONS(2327),
    [aux_sym_use_roaming_token1] = ACTIONS(2327),
    [aux_sym_user_token1] = ACTIONS(2329),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2327),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2327),
    [aux_sym_visual_host_key_token1] = ACTIONS(2327),
    [aux_sym_xauth_location_token1] = ACTIONS(2327),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(2331),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [aux_sym_match_token1] = ACTIONS(2331),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2331),
    [aux_sym_address_family_token1] = ACTIONS(2331),
    [aux_sym_batch_mode_token1] = ACTIONS(2331),
    [aux_sym_bind_address_token1] = ACTIONS(2331),
    [aux_sym_bind_interface_token1] = ACTIONS(2331),
    [aux_sym_canonical_domains_token1] = ACTIONS(2331),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2331),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2331),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2331),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2331),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2331),
    [aux_sym_certificate_file_token1] = ACTIONS(2331),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2331),
    [aux_sym_channel_timeout_token1] = ACTIONS(2331),
    [aux_sym_check_host_ip_token1] = ACTIONS(2331),
    [aux_sym_ciphers_token1] = ACTIONS(2331),
    [aux_sym_cipher_token1] = ACTIONS(2333),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2331),
    [aux_sym_compression_token1] = ACTIONS(2331),
    [aux_sym_connection_attempts_token1] = ACTIONS(2331),
    [aux_sym_connect_timeout_token1] = ACTIONS(2331),
    [aux_sym_control_master_token1] = ACTIONS(2331),
    [aux_sym_control_path_token1] = ACTIONS(2331),
    [aux_sym_control_persist_token1] = ACTIONS(2331),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2331),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2331),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2331),
    [aux_sym_escape_char_token1] = ACTIONS(2331),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2331),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2331),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2331),
    [aux_sym_forward_agent_token1] = ACTIONS(2331),
    [aux_sym_forward_x11_token1] = ACTIONS(2333),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2331),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2331),
    [aux_sym_gateway_ports_token1] = ACTIONS(2331),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2331),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2331),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2331),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2331),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2331),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2331),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2331),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2331),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2331),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2331),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2331),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2331),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2331),
    [aux_sym_host_key_alias_token1] = ACTIONS(2331),
    [aux_sym_hostname_token1] = ACTIONS(2331),
    [aux_sym_identities_only_token1] = ACTIONS(2331),
    [aux_sym_identity_agent_token1] = ACTIONS(2331),
    [aux_sym_identity_file_token1] = ACTIONS(2331),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2331),
    [aux_sym_include_token1] = ACTIONS(2331),
    [aux_sym_ip_qos_token1] = ACTIONS(2331),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2331),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2331),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2331),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2331),
    [aux_sym_local_command_token1] = ACTIONS(2331),
    [aux_sym_local_forward_token1] = ACTIONS(2331),
    [aux_sym_log_level_token1] = ACTIONS(2331),
    [aux_sym_log_verbose_token1] = ACTIONS(2331),
    [aux_sym_macs_token1] = ACTIONS(2331),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2331),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2331),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2331),
    [aux_sym_password_authentication_token1] = ACTIONS(2331),
    [aux_sym_permit_local_command_token1] = ACTIONS(2331),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2331),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2331),
    [aux_sym_port_token1] = ACTIONS(2331),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2331),
    [aux_sym_protocol_token1] = ACTIONS(2331),
    [aux_sym_proxy_command_token1] = ACTIONS(2331),
    [aux_sym_proxy_jump_token1] = ACTIONS(2331),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2331),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2331),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2331),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2331),
    [aux_sym_rekey_limit_token1] = ACTIONS(2331),
    [aux_sym_remote_command_token1] = ACTIONS(2331),
    [aux_sym_remote_forward_token1] = ACTIONS(2331),
    [aux_sym_request_tty_token1] = ACTIONS(2331),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2331),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2331),
    [aux_sym_security_key_provider_token1] = ACTIONS(2331),
    [aux_sym_send_env_token1] = ACTIONS(2331),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2331),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2331),
    [aux_sym_session_type_token1] = ACTIONS(2331),
    [aux_sym_set_env_token1] = ACTIONS(2331),
    [aux_sym_stdin_null_token1] = ACTIONS(2331),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2331),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2331),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2331),
    [aux_sym_syslog_facility_token1] = ACTIONS(2331),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2331),
    [aux_sym_keep_alive_token1] = ACTIONS(2331),
    [aux_sym_tag_token1] = ACTIONS(2331),
    [aux_sym_tunnel_token1] = ACTIONS(2333),
    [aux_sym_tunnel_device_token1] = ACTIONS(2331),
    [aux_sym_update_host_keys_token1] = ACTIONS(2331),
    [aux_sym_use_keychain_token1] = ACTIONS(2331),
    [aux_sym_use_roaming_token1] = ACTIONS(2331),
    [aux_sym_user_token1] = ACTIONS(2333),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2331),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2331),
    [aux_sym_visual_host_key_token1] = ACTIONS(2331),
    [aux_sym_xauth_location_token1] = ACTIONS(2331),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2339),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [aux_sym_match_token1] = ACTIONS(2337),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2337),
    [aux_sym_address_family_token1] = ACTIONS(2337),
    [aux_sym_batch_mode_token1] = ACTIONS(2337),
    [aux_sym_bind_address_token1] = ACTIONS(2337),
    [aux_sym_bind_interface_token1] = ACTIONS(2337),
    [aux_sym_canonical_domains_token1] = ACTIONS(2337),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2337),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2337),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2337),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2337),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2337),
    [aux_sym_certificate_file_token1] = ACTIONS(2337),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2337),
    [aux_sym_channel_timeout_token1] = ACTIONS(2337),
    [aux_sym_check_host_ip_token1] = ACTIONS(2337),
    [aux_sym_ciphers_token1] = ACTIONS(2337),
    [aux_sym_cipher_token1] = ACTIONS(2339),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2337),
    [aux_sym_compression_token1] = ACTIONS(2337),
    [aux_sym_connection_attempts_token1] = ACTIONS(2337),
    [aux_sym_connect_timeout_token1] = ACTIONS(2337),
    [aux_sym_control_master_token1] = ACTIONS(2337),
    [aux_sym_control_path_token1] = ACTIONS(2337),
    [aux_sym_control_persist_token1] = ACTIONS(2337),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2337),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2337),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2337),
    [aux_sym_escape_char_token1] = ACTIONS(2337),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2337),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2337),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2337),
    [aux_sym_forward_agent_token1] = ACTIONS(2337),
    [aux_sym_forward_x11_token1] = ACTIONS(2339),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2337),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2337),
    [aux_sym_gateway_ports_token1] = ACTIONS(2337),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2337),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2337),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2337),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2337),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2337),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2337),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2337),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2337),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2337),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2337),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2337),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2337),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2337),
    [aux_sym_host_key_alias_token1] = ACTIONS(2337),
    [aux_sym_hostname_token1] = ACTIONS(2337),
    [aux_sym_identities_only_token1] = ACTIONS(2337),
    [aux_sym_identity_agent_token1] = ACTIONS(2337),
    [aux_sym_identity_file_token1] = ACTIONS(2337),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2337),
    [aux_sym_include_token1] = ACTIONS(2337),
    [aux_sym_ip_qos_token1] = ACTIONS(2337),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2337),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2337),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2337),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2337),
    [aux_sym_local_command_token1] = ACTIONS(2337),
    [aux_sym_local_forward_token1] = ACTIONS(2337),
    [aux_sym_log_level_token1] = ACTIONS(2337),
    [aux_sym_log_verbose_token1] = ACTIONS(2337),
    [aux_sym_macs_token1] = ACTIONS(2337),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2337),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2337),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2337),
    [aux_sym_password_authentication_token1] = ACTIONS(2337),
    [aux_sym_permit_local_command_token1] = ACTIONS(2337),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2337),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2337),
    [aux_sym_port_token1] = ACTIONS(2337),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2337),
    [aux_sym_protocol_token1] = ACTIONS(2337),
    [aux_sym_proxy_command_token1] = ACTIONS(2337),
    [aux_sym_proxy_jump_token1] = ACTIONS(2337),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2337),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2337),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2337),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2337),
    [aux_sym_rekey_limit_token1] = ACTIONS(2337),
    [aux_sym_remote_command_token1] = ACTIONS(2337),
    [aux_sym_remote_forward_token1] = ACTIONS(2337),
    [aux_sym_request_tty_token1] = ACTIONS(2337),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2337),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2337),
    [aux_sym_security_key_provider_token1] = ACTIONS(2337),
    [aux_sym_send_env_token1] = ACTIONS(2337),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2337),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2337),
    [aux_sym_session_type_token1] = ACTIONS(2337),
    [aux_sym_set_env_token1] = ACTIONS(2337),
    [aux_sym_stdin_null_token1] = ACTIONS(2337),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2337),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2337),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2337),
    [aux_sym_syslog_facility_token1] = ACTIONS(2337),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2337),
    [aux_sym_keep_alive_token1] = ACTIONS(2337),
    [aux_sym_tag_token1] = ACTIONS(2337),
    [aux_sym_tunnel_token1] = ACTIONS(2339),
    [aux_sym_tunnel_device_token1] = ACTIONS(2337),
    [aux_sym_update_host_keys_token1] = ACTIONS(2337),
    [aux_sym_use_keychain_token1] = ACTIONS(2337),
    [aux_sym_use_roaming_token1] = ACTIONS(2337),
    [aux_sym_user_token1] = ACTIONS(2339),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2337),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2337),
    [aux_sym_visual_host_key_token1] = ACTIONS(2337),
    [aux_sym_xauth_location_token1] = ACTIONS(2337),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2343),
    [anon_sym_DQUOTE] = ACTIONS(2345),
    [aux_sym_match_token1] = ACTIONS(2341),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2341),
    [aux_sym_address_family_token1] = ACTIONS(2341),
    [aux_sym_batch_mode_token1] = ACTIONS(2341),
    [aux_sym_bind_address_token1] = ACTIONS(2341),
    [aux_sym_bind_interface_token1] = ACTIONS(2341),
    [aux_sym_canonical_domains_token1] = ACTIONS(2341),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2341),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2341),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2341),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2341),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2341),
    [aux_sym_certificate_file_token1] = ACTIONS(2341),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2341),
    [aux_sym_channel_timeout_token1] = ACTIONS(2341),
    [aux_sym_check_host_ip_token1] = ACTIONS(2341),
    [aux_sym_ciphers_token1] = ACTIONS(2341),
    [aux_sym_cipher_token1] = ACTIONS(2343),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2341),
    [aux_sym_compression_token1] = ACTIONS(2341),
    [aux_sym_connection_attempts_token1] = ACTIONS(2341),
    [aux_sym_connect_timeout_token1] = ACTIONS(2341),
    [aux_sym_control_master_token1] = ACTIONS(2341),
    [aux_sym_control_path_token1] = ACTIONS(2341),
    [aux_sym_control_persist_token1] = ACTIONS(2341),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2341),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2341),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2341),
    [aux_sym_escape_char_token1] = ACTIONS(2341),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2341),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2341),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2341),
    [aux_sym_forward_agent_token1] = ACTIONS(2341),
    [aux_sym_forward_x11_token1] = ACTIONS(2343),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2341),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2341),
    [aux_sym_gateway_ports_token1] = ACTIONS(2341),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2341),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2341),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2341),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2341),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2341),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2341),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2341),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2341),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2341),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2341),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2341),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2341),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2341),
    [aux_sym_host_key_alias_token1] = ACTIONS(2341),
    [aux_sym_hostname_token1] = ACTIONS(2341),
    [aux_sym_identities_only_token1] = ACTIONS(2341),
    [aux_sym_identity_agent_token1] = ACTIONS(2341),
    [aux_sym_identity_file_token1] = ACTIONS(2341),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2341),
    [aux_sym_include_token1] = ACTIONS(2341),
    [aux_sym_ip_qos_token1] = ACTIONS(2341),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2341),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2341),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2341),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2341),
    [aux_sym_local_command_token1] = ACTIONS(2341),
    [aux_sym_local_forward_token1] = ACTIONS(2341),
    [aux_sym_log_level_token1] = ACTIONS(2341),
    [aux_sym_log_verbose_token1] = ACTIONS(2341),
    [aux_sym_macs_token1] = ACTIONS(2341),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2341),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2341),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2341),
    [aux_sym_password_authentication_token1] = ACTIONS(2341),
    [aux_sym_permit_local_command_token1] = ACTIONS(2341),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2341),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2341),
    [aux_sym_port_token1] = ACTIONS(2341),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2341),
    [aux_sym_protocol_token1] = ACTIONS(2341),
    [aux_sym_proxy_command_token1] = ACTIONS(2341),
    [aux_sym_proxy_jump_token1] = ACTIONS(2341),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2341),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2341),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2341),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2341),
    [aux_sym_rekey_limit_token1] = ACTIONS(2341),
    [aux_sym_remote_command_token1] = ACTIONS(2341),
    [aux_sym_remote_forward_token1] = ACTIONS(2341),
    [aux_sym_request_tty_token1] = ACTIONS(2341),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2341),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2341),
    [aux_sym_security_key_provider_token1] = ACTIONS(2341),
    [aux_sym_send_env_token1] = ACTIONS(2341),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2341),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2341),
    [aux_sym_session_type_token1] = ACTIONS(2341),
    [aux_sym_set_env_token1] = ACTIONS(2341),
    [aux_sym_stdin_null_token1] = ACTIONS(2341),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2341),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2341),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2341),
    [aux_sym_syslog_facility_token1] = ACTIONS(2341),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2341),
    [aux_sym_keep_alive_token1] = ACTIONS(2341),
    [aux_sym_tag_token1] = ACTIONS(2341),
    [aux_sym_tunnel_token1] = ACTIONS(2343),
    [aux_sym_tunnel_device_token1] = ACTIONS(2341),
    [aux_sym_update_host_keys_token1] = ACTIONS(2341),
    [aux_sym_use_keychain_token1] = ACTIONS(2341),
    [aux_sym_use_roaming_token1] = ACTIONS(2341),
    [aux_sym_user_token1] = ACTIONS(2343),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2341),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2341),
    [aux_sym_visual_host_key_token1] = ACTIONS(2341),
    [aux_sym_xauth_location_token1] = ACTIONS(2341),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [aux_sym_match_token1] = ACTIONS(2347),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2347),
    [aux_sym_address_family_token1] = ACTIONS(2347),
    [aux_sym_batch_mode_token1] = ACTIONS(2347),
    [aux_sym_bind_address_token1] = ACTIONS(2347),
    [aux_sym_bind_interface_token1] = ACTIONS(2347),
    [aux_sym_canonical_domains_token1] = ACTIONS(2347),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2347),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2347),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2347),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2347),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2347),
    [aux_sym_certificate_file_token1] = ACTIONS(2347),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2347),
    [aux_sym_channel_timeout_token1] = ACTIONS(2347),
    [aux_sym_check_host_ip_token1] = ACTIONS(2347),
    [aux_sym_ciphers_token1] = ACTIONS(2347),
    [aux_sym_cipher_token1] = ACTIONS(2349),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2347),
    [aux_sym_compression_token1] = ACTIONS(2347),
    [aux_sym_connection_attempts_token1] = ACTIONS(2347),
    [aux_sym_connect_timeout_token1] = ACTIONS(2347),
    [aux_sym_control_master_token1] = ACTIONS(2347),
    [aux_sym_control_path_token1] = ACTIONS(2347),
    [aux_sym_control_persist_token1] = ACTIONS(2347),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2347),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2347),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2347),
    [aux_sym_escape_char_token1] = ACTIONS(2347),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2347),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2347),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2347),
    [aux_sym_forward_agent_token1] = ACTIONS(2347),
    [aux_sym_forward_x11_token1] = ACTIONS(2349),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2347),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2347),
    [aux_sym_gateway_ports_token1] = ACTIONS(2347),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2347),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2347),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2347),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2347),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2347),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2347),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2347),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2347),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2347),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2347),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2347),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2347),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2347),
    [aux_sym_host_key_alias_token1] = ACTIONS(2347),
    [aux_sym_hostname_token1] = ACTIONS(2347),
    [aux_sym_identities_only_token1] = ACTIONS(2347),
    [aux_sym_identity_agent_token1] = ACTIONS(2347),
    [aux_sym_identity_file_token1] = ACTIONS(2347),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2347),
    [aux_sym_include_token1] = ACTIONS(2347),
    [aux_sym_ip_qos_token1] = ACTIONS(2347),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2347),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2347),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2347),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2347),
    [aux_sym_local_command_token1] = ACTIONS(2347),
    [aux_sym_local_forward_token1] = ACTIONS(2347),
    [aux_sym_log_level_token1] = ACTIONS(2347),
    [aux_sym_log_verbose_token1] = ACTIONS(2347),
    [aux_sym_macs_token1] = ACTIONS(2347),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2347),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2347),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2347),
    [aux_sym_password_authentication_token1] = ACTIONS(2347),
    [aux_sym_permit_local_command_token1] = ACTIONS(2347),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2347),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2347),
    [aux_sym_port_token1] = ACTIONS(2347),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2347),
    [aux_sym_protocol_token1] = ACTIONS(2347),
    [aux_sym_proxy_command_token1] = ACTIONS(2347),
    [aux_sym_proxy_jump_token1] = ACTIONS(2347),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2347),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2347),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2347),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2347),
    [aux_sym_rekey_limit_token1] = ACTIONS(2347),
    [aux_sym_remote_command_token1] = ACTIONS(2347),
    [aux_sym_remote_forward_token1] = ACTIONS(2347),
    [aux_sym_request_tty_token1] = ACTIONS(2347),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2347),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2347),
    [aux_sym_security_key_provider_token1] = ACTIONS(2347),
    [aux_sym_send_env_token1] = ACTIONS(2347),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2347),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2347),
    [aux_sym_session_type_token1] = ACTIONS(2347),
    [aux_sym_set_env_token1] = ACTIONS(2347),
    [aux_sym_stdin_null_token1] = ACTIONS(2347),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2347),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2347),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2347),
    [aux_sym_syslog_facility_token1] = ACTIONS(2347),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2347),
    [aux_sym_keep_alive_token1] = ACTIONS(2347),
    [aux_sym_tag_token1] = ACTIONS(2347),
    [aux_sym_tunnel_token1] = ACTIONS(2349),
    [aux_sym_tunnel_device_token1] = ACTIONS(2347),
    [aux_sym_update_host_keys_token1] = ACTIONS(2347),
    [aux_sym_use_keychain_token1] = ACTIONS(2347),
    [aux_sym_use_roaming_token1] = ACTIONS(2347),
    [aux_sym_user_token1] = ACTIONS(2349),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2347),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2347),
    [aux_sym_visual_host_key_token1] = ACTIONS(2347),
    [aux_sym_xauth_location_token1] = ACTIONS(2347),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [aux_sym_match_token1] = ACTIONS(2351),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2351),
    [aux_sym_address_family_token1] = ACTIONS(2351),
    [aux_sym_batch_mode_token1] = ACTIONS(2351),
    [aux_sym_bind_address_token1] = ACTIONS(2351),
    [aux_sym_bind_interface_token1] = ACTIONS(2351),
    [aux_sym_canonical_domains_token1] = ACTIONS(2351),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2351),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2351),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2351),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2351),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2351),
    [aux_sym_certificate_file_token1] = ACTIONS(2351),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2351),
    [aux_sym_channel_timeout_token1] = ACTIONS(2351),
    [aux_sym_check_host_ip_token1] = ACTIONS(2351),
    [aux_sym_ciphers_token1] = ACTIONS(2351),
    [aux_sym_cipher_token1] = ACTIONS(2353),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2351),
    [aux_sym_compression_token1] = ACTIONS(2351),
    [aux_sym_connection_attempts_token1] = ACTIONS(2351),
    [aux_sym_connect_timeout_token1] = ACTIONS(2351),
    [aux_sym_control_master_token1] = ACTIONS(2351),
    [aux_sym_control_path_token1] = ACTIONS(2351),
    [aux_sym_control_persist_token1] = ACTIONS(2351),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2351),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2351),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2351),
    [aux_sym_escape_char_token1] = ACTIONS(2351),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2351),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2351),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2351),
    [aux_sym_forward_agent_token1] = ACTIONS(2351),
    [aux_sym_forward_x11_token1] = ACTIONS(2353),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2351),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2351),
    [aux_sym_gateway_ports_token1] = ACTIONS(2351),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2351),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2351),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2351),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2351),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2351),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2351),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2351),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2351),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2351),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2351),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2351),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2351),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2351),
    [aux_sym_host_key_alias_token1] = ACTIONS(2351),
    [aux_sym_hostname_token1] = ACTIONS(2351),
    [aux_sym_identities_only_token1] = ACTIONS(2351),
    [aux_sym_identity_agent_token1] = ACTIONS(2351),
    [aux_sym_identity_file_token1] = ACTIONS(2351),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2351),
    [aux_sym_include_token1] = ACTIONS(2351),
    [aux_sym_ip_qos_token1] = ACTIONS(2351),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2351),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2351),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2351),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2351),
    [aux_sym_local_command_token1] = ACTIONS(2351),
    [aux_sym_local_forward_token1] = ACTIONS(2351),
    [aux_sym_log_level_token1] = ACTIONS(2351),
    [aux_sym_log_verbose_token1] = ACTIONS(2351),
    [aux_sym_macs_token1] = ACTIONS(2351),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2351),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2351),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2351),
    [aux_sym_password_authentication_token1] = ACTIONS(2351),
    [aux_sym_permit_local_command_token1] = ACTIONS(2351),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2351),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2351),
    [aux_sym_port_token1] = ACTIONS(2351),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2351),
    [aux_sym_protocol_token1] = ACTIONS(2351),
    [aux_sym_proxy_command_token1] = ACTIONS(2351),
    [aux_sym_proxy_jump_token1] = ACTIONS(2351),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2351),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2351),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2351),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2351),
    [aux_sym_rekey_limit_token1] = ACTIONS(2351),
    [aux_sym_remote_command_token1] = ACTIONS(2351),
    [aux_sym_remote_forward_token1] = ACTIONS(2351),
    [aux_sym_request_tty_token1] = ACTIONS(2351),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2351),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2351),
    [aux_sym_security_key_provider_token1] = ACTIONS(2351),
    [aux_sym_send_env_token1] = ACTIONS(2351),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2351),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2351),
    [aux_sym_session_type_token1] = ACTIONS(2351),
    [aux_sym_set_env_token1] = ACTIONS(2351),
    [aux_sym_stdin_null_token1] = ACTIONS(2351),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2351),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2351),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2351),
    [aux_sym_syslog_facility_token1] = ACTIONS(2351),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2351),
    [aux_sym_keep_alive_token1] = ACTIONS(2351),
    [aux_sym_tag_token1] = ACTIONS(2351),
    [aux_sym_tunnel_token1] = ACTIONS(2353),
    [aux_sym_tunnel_device_token1] = ACTIONS(2351),
    [aux_sym_update_host_keys_token1] = ACTIONS(2351),
    [aux_sym_use_keychain_token1] = ACTIONS(2351),
    [aux_sym_use_roaming_token1] = ACTIONS(2351),
    [aux_sym_user_token1] = ACTIONS(2353),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2351),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2351),
    [aux_sym_visual_host_key_token1] = ACTIONS(2351),
    [aux_sym_xauth_location_token1] = ACTIONS(2351),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(2357),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2359),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [aux_sym_match_token1] = ACTIONS(2357),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2357),
    [aux_sym_address_family_token1] = ACTIONS(2357),
    [aux_sym_batch_mode_token1] = ACTIONS(2357),
    [aux_sym_bind_address_token1] = ACTIONS(2357),
    [aux_sym_bind_interface_token1] = ACTIONS(2357),
    [aux_sym_canonical_domains_token1] = ACTIONS(2357),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2357),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2357),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2357),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2357),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2357),
    [aux_sym_certificate_file_token1] = ACTIONS(2357),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2357),
    [aux_sym_channel_timeout_token1] = ACTIONS(2357),
    [aux_sym_check_host_ip_token1] = ACTIONS(2357),
    [aux_sym_ciphers_token1] = ACTIONS(2357),
    [aux_sym_cipher_token1] = ACTIONS(2359),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2357),
    [aux_sym_compression_token1] = ACTIONS(2357),
    [aux_sym_connection_attempts_token1] = ACTIONS(2357),
    [aux_sym_connect_timeout_token1] = ACTIONS(2357),
    [aux_sym_control_master_token1] = ACTIONS(2357),
    [aux_sym_control_path_token1] = ACTIONS(2357),
    [aux_sym_control_persist_token1] = ACTIONS(2357),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2357),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2357),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2357),
    [aux_sym_escape_char_token1] = ACTIONS(2357),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2357),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2357),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2357),
    [aux_sym_forward_agent_token1] = ACTIONS(2357),
    [aux_sym_forward_x11_token1] = ACTIONS(2359),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2357),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2357),
    [aux_sym_gateway_ports_token1] = ACTIONS(2357),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2357),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2357),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2357),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2357),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2357),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2357),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2357),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2357),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2357),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2357),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2357),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2357),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2357),
    [aux_sym_host_key_alias_token1] = ACTIONS(2357),
    [aux_sym_hostname_token1] = ACTIONS(2357),
    [aux_sym_identities_only_token1] = ACTIONS(2357),
    [aux_sym_identity_agent_token1] = ACTIONS(2357),
    [aux_sym_identity_file_token1] = ACTIONS(2357),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2357),
    [aux_sym_include_token1] = ACTIONS(2357),
    [aux_sym_ip_qos_token1] = ACTIONS(2357),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2357),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2357),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2357),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2357),
    [aux_sym_local_command_token1] = ACTIONS(2357),
    [aux_sym_local_forward_token1] = ACTIONS(2357),
    [aux_sym_log_level_token1] = ACTIONS(2357),
    [aux_sym_log_verbose_token1] = ACTIONS(2357),
    [aux_sym_macs_token1] = ACTIONS(2357),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2357),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2357),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2357),
    [aux_sym_password_authentication_token1] = ACTIONS(2357),
    [aux_sym_permit_local_command_token1] = ACTIONS(2357),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2357),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2357),
    [aux_sym_port_token1] = ACTIONS(2357),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2357),
    [aux_sym_protocol_token1] = ACTIONS(2357),
    [aux_sym_proxy_command_token1] = ACTIONS(2357),
    [aux_sym_proxy_jump_token1] = ACTIONS(2357),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2357),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2357),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2357),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2357),
    [aux_sym_rekey_limit_token1] = ACTIONS(2357),
    [aux_sym_remote_command_token1] = ACTIONS(2357),
    [aux_sym_remote_forward_token1] = ACTIONS(2357),
    [aux_sym_request_tty_token1] = ACTIONS(2357),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2357),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2357),
    [aux_sym_security_key_provider_token1] = ACTIONS(2357),
    [aux_sym_send_env_token1] = ACTIONS(2357),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2357),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2357),
    [aux_sym_session_type_token1] = ACTIONS(2357),
    [aux_sym_set_env_token1] = ACTIONS(2357),
    [aux_sym_stdin_null_token1] = ACTIONS(2357),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2357),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2357),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2357),
    [aux_sym_syslog_facility_token1] = ACTIONS(2357),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2357),
    [aux_sym_keep_alive_token1] = ACTIONS(2357),
    [aux_sym_tag_token1] = ACTIONS(2357),
    [aux_sym_tunnel_token1] = ACTIONS(2359),
    [aux_sym_tunnel_device_token1] = ACTIONS(2357),
    [aux_sym_update_host_keys_token1] = ACTIONS(2357),
    [aux_sym_use_keychain_token1] = ACTIONS(2357),
    [aux_sym_use_roaming_token1] = ACTIONS(2357),
    [aux_sym_user_token1] = ACTIONS(2359),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2357),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2357),
    [aux_sym_visual_host_key_token1] = ACTIONS(2357),
    [aux_sym_xauth_location_token1] = ACTIONS(2357),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2365),
    [anon_sym_DQUOTE] = ACTIONS(2363),
    [aux_sym_match_token1] = ACTIONS(2363),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2363),
    [aux_sym_address_family_token1] = ACTIONS(2363),
    [aux_sym_batch_mode_token1] = ACTIONS(2363),
    [aux_sym_bind_address_token1] = ACTIONS(2363),
    [aux_sym_bind_interface_token1] = ACTIONS(2363),
    [aux_sym_canonical_domains_token1] = ACTIONS(2363),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2363),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2363),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2363),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2363),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2363),
    [aux_sym_certificate_file_token1] = ACTIONS(2363),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2363),
    [aux_sym_channel_timeout_token1] = ACTIONS(2363),
    [aux_sym_check_host_ip_token1] = ACTIONS(2363),
    [aux_sym_ciphers_token1] = ACTIONS(2363),
    [aux_sym_cipher_token1] = ACTIONS(2365),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2363),
    [aux_sym_compression_token1] = ACTIONS(2363),
    [aux_sym_connection_attempts_token1] = ACTIONS(2363),
    [aux_sym_connect_timeout_token1] = ACTIONS(2363),
    [aux_sym_control_master_token1] = ACTIONS(2363),
    [aux_sym_control_path_token1] = ACTIONS(2363),
    [aux_sym_control_persist_token1] = ACTIONS(2363),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2363),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2363),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2363),
    [aux_sym_escape_char_token1] = ACTIONS(2363),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2363),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2363),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2363),
    [aux_sym_forward_agent_token1] = ACTIONS(2363),
    [aux_sym_forward_x11_token1] = ACTIONS(2365),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2363),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2363),
    [aux_sym_gateway_ports_token1] = ACTIONS(2363),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2363),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2363),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2363),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2363),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2363),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2363),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2363),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2363),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2363),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2363),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2363),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2363),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2363),
    [aux_sym_host_key_alias_token1] = ACTIONS(2363),
    [aux_sym_hostname_token1] = ACTIONS(2363),
    [aux_sym_identities_only_token1] = ACTIONS(2363),
    [aux_sym_identity_agent_token1] = ACTIONS(2363),
    [aux_sym_identity_file_token1] = ACTIONS(2363),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2363),
    [aux_sym_include_token1] = ACTIONS(2363),
    [aux_sym_ip_qos_token1] = ACTIONS(2363),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2363),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2363),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2363),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2363),
    [aux_sym_local_command_token1] = ACTIONS(2363),
    [aux_sym_local_forward_token1] = ACTIONS(2363),
    [aux_sym_log_level_token1] = ACTIONS(2363),
    [aux_sym_log_verbose_token1] = ACTIONS(2363),
    [aux_sym_macs_token1] = ACTIONS(2363),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2363),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2363),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2363),
    [aux_sym_password_authentication_token1] = ACTIONS(2363),
    [aux_sym_permit_local_command_token1] = ACTIONS(2363),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2363),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2363),
    [aux_sym_port_token1] = ACTIONS(2363),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2363),
    [aux_sym_protocol_token1] = ACTIONS(2363),
    [aux_sym_proxy_command_token1] = ACTIONS(2363),
    [aux_sym_proxy_jump_token1] = ACTIONS(2363),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2363),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2363),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2363),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2363),
    [aux_sym_rekey_limit_token1] = ACTIONS(2363),
    [aux_sym_remote_command_token1] = ACTIONS(2363),
    [aux_sym_remote_forward_token1] = ACTIONS(2363),
    [aux_sym_request_tty_token1] = ACTIONS(2363),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2363),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2363),
    [aux_sym_security_key_provider_token1] = ACTIONS(2363),
    [aux_sym_send_env_token1] = ACTIONS(2363),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2363),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2363),
    [aux_sym_session_type_token1] = ACTIONS(2363),
    [aux_sym_set_env_token1] = ACTIONS(2363),
    [aux_sym_stdin_null_token1] = ACTIONS(2363),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2363),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2363),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2363),
    [aux_sym_syslog_facility_token1] = ACTIONS(2363),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2363),
    [aux_sym_keep_alive_token1] = ACTIONS(2363),
    [aux_sym_tag_token1] = ACTIONS(2363),
    [aux_sym_tunnel_token1] = ACTIONS(2365),
    [aux_sym_tunnel_device_token1] = ACTIONS(2363),
    [aux_sym_update_host_keys_token1] = ACTIONS(2363),
    [aux_sym_use_keychain_token1] = ACTIONS(2363),
    [aux_sym_use_roaming_token1] = ACTIONS(2363),
    [aux_sym_user_token1] = ACTIONS(2365),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2363),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2363),
    [aux_sym_visual_host_key_token1] = ACTIONS(2363),
    [aux_sym_xauth_location_token1] = ACTIONS(2363),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2369),
    [anon_sym_DQUOTE] = ACTIONS(2367),
    [aux_sym_match_token1] = ACTIONS(2367),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2367),
    [aux_sym_address_family_token1] = ACTIONS(2367),
    [aux_sym_batch_mode_token1] = ACTIONS(2367),
    [aux_sym_bind_address_token1] = ACTIONS(2367),
    [aux_sym_bind_interface_token1] = ACTIONS(2367),
    [aux_sym_canonical_domains_token1] = ACTIONS(2367),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2367),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2367),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2367),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2367),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2367),
    [aux_sym_certificate_file_token1] = ACTIONS(2367),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2367),
    [aux_sym_channel_timeout_token1] = ACTIONS(2367),
    [aux_sym_check_host_ip_token1] = ACTIONS(2367),
    [aux_sym_ciphers_token1] = ACTIONS(2367),
    [aux_sym_cipher_token1] = ACTIONS(2369),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2367),
    [aux_sym_compression_token1] = ACTIONS(2367),
    [aux_sym_connection_attempts_token1] = ACTIONS(2367),
    [aux_sym_connect_timeout_token1] = ACTIONS(2367),
    [aux_sym_control_master_token1] = ACTIONS(2367),
    [aux_sym_control_path_token1] = ACTIONS(2367),
    [aux_sym_control_persist_token1] = ACTIONS(2367),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2367),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2367),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2367),
    [aux_sym_escape_char_token1] = ACTIONS(2367),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2367),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2367),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2367),
    [aux_sym_forward_agent_token1] = ACTIONS(2367),
    [aux_sym_forward_x11_token1] = ACTIONS(2369),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2367),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2367),
    [aux_sym_gateway_ports_token1] = ACTIONS(2367),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2367),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2367),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2367),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2367),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2367),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2367),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2367),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2367),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2367),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2367),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2367),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2367),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2367),
    [aux_sym_host_key_alias_token1] = ACTIONS(2367),
    [aux_sym_hostname_token1] = ACTIONS(2367),
    [aux_sym_identities_only_token1] = ACTIONS(2367),
    [aux_sym_identity_agent_token1] = ACTIONS(2367),
    [aux_sym_identity_file_token1] = ACTIONS(2367),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2367),
    [aux_sym_include_token1] = ACTIONS(2367),
    [aux_sym_ip_qos_token1] = ACTIONS(2367),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2367),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2367),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2367),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2367),
    [aux_sym_local_command_token1] = ACTIONS(2367),
    [aux_sym_local_forward_token1] = ACTIONS(2367),
    [aux_sym_log_level_token1] = ACTIONS(2367),
    [aux_sym_log_verbose_token1] = ACTIONS(2367),
    [aux_sym_macs_token1] = ACTIONS(2367),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2367),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2367),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2367),
    [aux_sym_password_authentication_token1] = ACTIONS(2367),
    [aux_sym_permit_local_command_token1] = ACTIONS(2367),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2367),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2367),
    [aux_sym_port_token1] = ACTIONS(2367),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2367),
    [aux_sym_protocol_token1] = ACTIONS(2367),
    [aux_sym_proxy_command_token1] = ACTIONS(2367),
    [aux_sym_proxy_jump_token1] = ACTIONS(2367),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2367),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2367),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2367),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2367),
    [aux_sym_rekey_limit_token1] = ACTIONS(2367),
    [aux_sym_remote_command_token1] = ACTIONS(2367),
    [aux_sym_remote_forward_token1] = ACTIONS(2367),
    [aux_sym_request_tty_token1] = ACTIONS(2367),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2367),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2367),
    [aux_sym_security_key_provider_token1] = ACTIONS(2367),
    [aux_sym_send_env_token1] = ACTIONS(2367),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2367),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2367),
    [aux_sym_session_type_token1] = ACTIONS(2367),
    [aux_sym_set_env_token1] = ACTIONS(2367),
    [aux_sym_stdin_null_token1] = ACTIONS(2367),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2367),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2367),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2367),
    [aux_sym_syslog_facility_token1] = ACTIONS(2367),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2367),
    [aux_sym_keep_alive_token1] = ACTIONS(2367),
    [aux_sym_tag_token1] = ACTIONS(2367),
    [aux_sym_tunnel_token1] = ACTIONS(2369),
    [aux_sym_tunnel_device_token1] = ACTIONS(2367),
    [aux_sym_update_host_keys_token1] = ACTIONS(2367),
    [aux_sym_use_keychain_token1] = ACTIONS(2367),
    [aux_sym_use_roaming_token1] = ACTIONS(2367),
    [aux_sym_user_token1] = ACTIONS(2369),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2367),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2367),
    [aux_sym_visual_host_key_token1] = ACTIONS(2367),
    [aux_sym_xauth_location_token1] = ACTIONS(2367),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2373),
    [anon_sym_DQUOTE] = ACTIONS(2375),
    [aux_sym_match_token1] = ACTIONS(2371),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2371),
    [aux_sym_address_family_token1] = ACTIONS(2371),
    [aux_sym_batch_mode_token1] = ACTIONS(2371),
    [aux_sym_bind_address_token1] = ACTIONS(2371),
    [aux_sym_bind_interface_token1] = ACTIONS(2371),
    [aux_sym_canonical_domains_token1] = ACTIONS(2371),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2371),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2371),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2371),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2371),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2371),
    [aux_sym_certificate_file_token1] = ACTIONS(2371),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2371),
    [aux_sym_channel_timeout_token1] = ACTIONS(2371),
    [aux_sym_check_host_ip_token1] = ACTIONS(2371),
    [aux_sym_ciphers_token1] = ACTIONS(2371),
    [aux_sym_cipher_token1] = ACTIONS(2373),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2371),
    [aux_sym_compression_token1] = ACTIONS(2371),
    [aux_sym_connection_attempts_token1] = ACTIONS(2371),
    [aux_sym_connect_timeout_token1] = ACTIONS(2371),
    [aux_sym_control_master_token1] = ACTIONS(2371),
    [aux_sym_control_path_token1] = ACTIONS(2371),
    [aux_sym_control_persist_token1] = ACTIONS(2371),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2371),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2371),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2371),
    [aux_sym_escape_char_token1] = ACTIONS(2371),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2371),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2371),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2371),
    [aux_sym_forward_agent_token1] = ACTIONS(2371),
    [aux_sym_forward_x11_token1] = ACTIONS(2373),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2371),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2371),
    [aux_sym_gateway_ports_token1] = ACTIONS(2371),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2371),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2371),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2371),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2371),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2371),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2371),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2371),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2371),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2371),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2371),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2371),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2371),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2371),
    [aux_sym_host_key_alias_token1] = ACTIONS(2371),
    [aux_sym_hostname_token1] = ACTIONS(2371),
    [aux_sym_identities_only_token1] = ACTIONS(2371),
    [aux_sym_identity_agent_token1] = ACTIONS(2371),
    [aux_sym_identity_file_token1] = ACTIONS(2371),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2371),
    [aux_sym_include_token1] = ACTIONS(2371),
    [aux_sym_ip_qos_token1] = ACTIONS(2371),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2371),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2371),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2371),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2371),
    [aux_sym_local_command_token1] = ACTIONS(2371),
    [aux_sym_local_forward_token1] = ACTIONS(2371),
    [aux_sym_log_level_token1] = ACTIONS(2371),
    [aux_sym_log_verbose_token1] = ACTIONS(2371),
    [aux_sym_macs_token1] = ACTIONS(2371),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2371),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2371),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2371),
    [aux_sym_password_authentication_token1] = ACTIONS(2371),
    [aux_sym_permit_local_command_token1] = ACTIONS(2371),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2371),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2371),
    [aux_sym_port_token1] = ACTIONS(2371),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2371),
    [aux_sym_protocol_token1] = ACTIONS(2371),
    [aux_sym_proxy_command_token1] = ACTIONS(2371),
    [aux_sym_proxy_jump_token1] = ACTIONS(2371),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2371),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2371),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2371),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2371),
    [aux_sym_rekey_limit_token1] = ACTIONS(2371),
    [aux_sym_remote_command_token1] = ACTIONS(2371),
    [aux_sym_remote_forward_token1] = ACTIONS(2371),
    [aux_sym_request_tty_token1] = ACTIONS(2371),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2371),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2371),
    [aux_sym_security_key_provider_token1] = ACTIONS(2371),
    [aux_sym_send_env_token1] = ACTIONS(2371),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2371),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2371),
    [aux_sym_session_type_token1] = ACTIONS(2371),
    [aux_sym_set_env_token1] = ACTIONS(2371),
    [aux_sym_stdin_null_token1] = ACTIONS(2371),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2371),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2371),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2371),
    [aux_sym_syslog_facility_token1] = ACTIONS(2371),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2371),
    [aux_sym_keep_alive_token1] = ACTIONS(2371),
    [aux_sym_tag_token1] = ACTIONS(2371),
    [aux_sym_tunnel_token1] = ACTIONS(2373),
    [aux_sym_tunnel_device_token1] = ACTIONS(2371),
    [aux_sym_update_host_keys_token1] = ACTIONS(2371),
    [aux_sym_use_keychain_token1] = ACTIONS(2371),
    [aux_sym_use_roaming_token1] = ACTIONS(2371),
    [aux_sym_user_token1] = ACTIONS(2373),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2371),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2371),
    [aux_sym_visual_host_key_token1] = ACTIONS(2371),
    [aux_sym_xauth_location_token1] = ACTIONS(2371),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2379),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [aux_sym_match_token1] = ACTIONS(2377),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2377),
    [aux_sym_address_family_token1] = ACTIONS(2377),
    [aux_sym_batch_mode_token1] = ACTIONS(2377),
    [aux_sym_bind_address_token1] = ACTIONS(2377),
    [aux_sym_bind_interface_token1] = ACTIONS(2377),
    [aux_sym_canonical_domains_token1] = ACTIONS(2377),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2377),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2377),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2377),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2377),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2377),
    [aux_sym_certificate_file_token1] = ACTIONS(2377),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2377),
    [aux_sym_channel_timeout_token1] = ACTIONS(2377),
    [aux_sym_check_host_ip_token1] = ACTIONS(2377),
    [aux_sym_ciphers_token1] = ACTIONS(2377),
    [aux_sym_cipher_token1] = ACTIONS(2379),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2377),
    [aux_sym_compression_token1] = ACTIONS(2377),
    [aux_sym_connection_attempts_token1] = ACTIONS(2377),
    [aux_sym_connect_timeout_token1] = ACTIONS(2377),
    [aux_sym_control_master_token1] = ACTIONS(2377),
    [aux_sym_control_path_token1] = ACTIONS(2377),
    [aux_sym_control_persist_token1] = ACTIONS(2377),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2377),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2377),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2377),
    [aux_sym_escape_char_token1] = ACTIONS(2377),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2377),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2377),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2377),
    [aux_sym_forward_agent_token1] = ACTIONS(2377),
    [aux_sym_forward_x11_token1] = ACTIONS(2379),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2377),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2377),
    [aux_sym_gateway_ports_token1] = ACTIONS(2377),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2377),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2377),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2377),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2377),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2377),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2377),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2377),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2377),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2377),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2377),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2377),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2377),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2377),
    [aux_sym_host_key_alias_token1] = ACTIONS(2377),
    [aux_sym_hostname_token1] = ACTIONS(2377),
    [aux_sym_identities_only_token1] = ACTIONS(2377),
    [aux_sym_identity_agent_token1] = ACTIONS(2377),
    [aux_sym_identity_file_token1] = ACTIONS(2377),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2377),
    [aux_sym_include_token1] = ACTIONS(2377),
    [aux_sym_ip_qos_token1] = ACTIONS(2377),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2377),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2377),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2377),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2377),
    [aux_sym_local_command_token1] = ACTIONS(2377),
    [aux_sym_local_forward_token1] = ACTIONS(2377),
    [aux_sym_log_level_token1] = ACTIONS(2377),
    [aux_sym_log_verbose_token1] = ACTIONS(2377),
    [aux_sym_macs_token1] = ACTIONS(2377),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2377),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2377),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2377),
    [aux_sym_password_authentication_token1] = ACTIONS(2377),
    [aux_sym_permit_local_command_token1] = ACTIONS(2377),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2377),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2377),
    [aux_sym_port_token1] = ACTIONS(2377),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2377),
    [aux_sym_protocol_token1] = ACTIONS(2377),
    [aux_sym_proxy_command_token1] = ACTIONS(2377),
    [aux_sym_proxy_jump_token1] = ACTIONS(2377),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2377),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2377),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2377),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2377),
    [aux_sym_rekey_limit_token1] = ACTIONS(2377),
    [aux_sym_remote_command_token1] = ACTIONS(2377),
    [aux_sym_remote_forward_token1] = ACTIONS(2377),
    [aux_sym_request_tty_token1] = ACTIONS(2377),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2377),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2377),
    [aux_sym_security_key_provider_token1] = ACTIONS(2377),
    [aux_sym_send_env_token1] = ACTIONS(2377),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2377),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2377),
    [aux_sym_session_type_token1] = ACTIONS(2377),
    [aux_sym_set_env_token1] = ACTIONS(2377),
    [aux_sym_stdin_null_token1] = ACTIONS(2377),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2377),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2377),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2377),
    [aux_sym_syslog_facility_token1] = ACTIONS(2377),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2377),
    [aux_sym_keep_alive_token1] = ACTIONS(2377),
    [aux_sym_tag_token1] = ACTIONS(2377),
    [aux_sym_tunnel_token1] = ACTIONS(2379),
    [aux_sym_tunnel_device_token1] = ACTIONS(2377),
    [aux_sym_update_host_keys_token1] = ACTIONS(2377),
    [aux_sym_use_keychain_token1] = ACTIONS(2377),
    [aux_sym_use_roaming_token1] = ACTIONS(2377),
    [aux_sym_user_token1] = ACTIONS(2379),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2377),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2377),
    [aux_sym_visual_host_key_token1] = ACTIONS(2377),
    [aux_sym_xauth_location_token1] = ACTIONS(2377),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(2383),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [aux_sym_match_token1] = ACTIONS(2383),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2383),
    [aux_sym_address_family_token1] = ACTIONS(2383),
    [aux_sym_batch_mode_token1] = ACTIONS(2383),
    [aux_sym_bind_address_token1] = ACTIONS(2383),
    [aux_sym_bind_interface_token1] = ACTIONS(2383),
    [aux_sym_canonical_domains_token1] = ACTIONS(2383),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2383),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2383),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2383),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2383),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2383),
    [aux_sym_certificate_file_token1] = ACTIONS(2383),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2383),
    [aux_sym_channel_timeout_token1] = ACTIONS(2383),
    [aux_sym_check_host_ip_token1] = ACTIONS(2383),
    [aux_sym_ciphers_token1] = ACTIONS(2383),
    [aux_sym_cipher_token1] = ACTIONS(2385),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2383),
    [aux_sym_compression_token1] = ACTIONS(2383),
    [aux_sym_connection_attempts_token1] = ACTIONS(2383),
    [aux_sym_connect_timeout_token1] = ACTIONS(2383),
    [aux_sym_control_master_token1] = ACTIONS(2383),
    [aux_sym_control_path_token1] = ACTIONS(2383),
    [aux_sym_control_persist_token1] = ACTIONS(2383),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2383),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2383),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2383),
    [aux_sym_escape_char_token1] = ACTIONS(2383),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2383),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2383),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2383),
    [aux_sym_forward_agent_token1] = ACTIONS(2383),
    [aux_sym_forward_x11_token1] = ACTIONS(2385),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2383),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2383),
    [aux_sym_gateway_ports_token1] = ACTIONS(2383),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2383),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2383),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2383),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2383),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2383),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2383),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2383),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2383),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2383),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2383),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2383),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2383),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2383),
    [aux_sym_host_key_alias_token1] = ACTIONS(2383),
    [aux_sym_hostname_token1] = ACTIONS(2383),
    [aux_sym_identities_only_token1] = ACTIONS(2383),
    [aux_sym_identity_agent_token1] = ACTIONS(2383),
    [aux_sym_identity_file_token1] = ACTIONS(2383),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2383),
    [aux_sym_include_token1] = ACTIONS(2383),
    [aux_sym_ip_qos_token1] = ACTIONS(2383),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2383),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2383),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2383),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2383),
    [aux_sym_local_command_token1] = ACTIONS(2383),
    [aux_sym_local_forward_token1] = ACTIONS(2383),
    [aux_sym_log_level_token1] = ACTIONS(2383),
    [aux_sym_log_verbose_token1] = ACTIONS(2383),
    [aux_sym_macs_token1] = ACTIONS(2383),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2383),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2383),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2383),
    [aux_sym_password_authentication_token1] = ACTIONS(2383),
    [aux_sym_permit_local_command_token1] = ACTIONS(2383),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2383),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2383),
    [aux_sym_port_token1] = ACTIONS(2383),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2383),
    [aux_sym_protocol_token1] = ACTIONS(2383),
    [aux_sym_proxy_command_token1] = ACTIONS(2383),
    [aux_sym_proxy_jump_token1] = ACTIONS(2383),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2383),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2383),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2383),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2383),
    [aux_sym_rekey_limit_token1] = ACTIONS(2383),
    [aux_sym_remote_command_token1] = ACTIONS(2383),
    [aux_sym_remote_forward_token1] = ACTIONS(2383),
    [aux_sym_request_tty_token1] = ACTIONS(2383),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2383),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2383),
    [aux_sym_security_key_provider_token1] = ACTIONS(2383),
    [aux_sym_send_env_token1] = ACTIONS(2383),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2383),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2383),
    [aux_sym_session_type_token1] = ACTIONS(2383),
    [aux_sym_set_env_token1] = ACTIONS(2383),
    [aux_sym_stdin_null_token1] = ACTIONS(2383),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2383),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2383),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2383),
    [aux_sym_syslog_facility_token1] = ACTIONS(2383),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2383),
    [aux_sym_keep_alive_token1] = ACTIONS(2383),
    [aux_sym_tag_token1] = ACTIONS(2383),
    [aux_sym_tunnel_token1] = ACTIONS(2385),
    [aux_sym_tunnel_device_token1] = ACTIONS(2383),
    [aux_sym_update_host_keys_token1] = ACTIONS(2383),
    [aux_sym_use_keychain_token1] = ACTIONS(2383),
    [aux_sym_use_roaming_token1] = ACTIONS(2383),
    [aux_sym_user_token1] = ACTIONS(2385),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2383),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2383),
    [aux_sym_visual_host_key_token1] = ACTIONS(2383),
    [aux_sym_xauth_location_token1] = ACTIONS(2383),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(2387),
    [aux_sym_match_token1] = ACTIONS(2387),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2387),
    [aux_sym_address_family_token1] = ACTIONS(2387),
    [aux_sym_batch_mode_token1] = ACTIONS(2387),
    [aux_sym_bind_address_token1] = ACTIONS(2387),
    [aux_sym_bind_interface_token1] = ACTIONS(2387),
    [aux_sym_canonical_domains_token1] = ACTIONS(2387),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2387),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2387),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2387),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2387),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2387),
    [aux_sym_certificate_file_token1] = ACTIONS(2387),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2387),
    [aux_sym_channel_timeout_token1] = ACTIONS(2387),
    [aux_sym_check_host_ip_token1] = ACTIONS(2387),
    [aux_sym_ciphers_token1] = ACTIONS(2387),
    [aux_sym_cipher_token1] = ACTIONS(2389),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2387),
    [aux_sym_compression_token1] = ACTIONS(2387),
    [aux_sym_connection_attempts_token1] = ACTIONS(2387),
    [aux_sym_connect_timeout_token1] = ACTIONS(2387),
    [aux_sym_control_master_token1] = ACTIONS(2387),
    [aux_sym_control_path_token1] = ACTIONS(2387),
    [aux_sym_control_persist_token1] = ACTIONS(2387),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2387),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2387),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2387),
    [aux_sym_escape_char_token1] = ACTIONS(2387),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2387),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2387),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2387),
    [aux_sym_forward_agent_token1] = ACTIONS(2387),
    [aux_sym_forward_x11_token1] = ACTIONS(2389),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2387),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2387),
    [aux_sym_gateway_ports_token1] = ACTIONS(2387),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2387),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2387),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2387),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2387),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2387),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2387),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2387),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2387),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2387),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2387),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2387),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2387),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2387),
    [aux_sym_host_key_alias_token1] = ACTIONS(2387),
    [aux_sym_hostname_token1] = ACTIONS(2387),
    [aux_sym_identities_only_token1] = ACTIONS(2387),
    [aux_sym_identity_agent_token1] = ACTIONS(2387),
    [aux_sym_identity_file_token1] = ACTIONS(2387),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2387),
    [aux_sym_include_token1] = ACTIONS(2387),
    [aux_sym_ip_qos_token1] = ACTIONS(2387),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2387),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2387),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2387),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2387),
    [aux_sym_local_command_token1] = ACTIONS(2387),
    [aux_sym_local_forward_token1] = ACTIONS(2387),
    [aux_sym_log_level_token1] = ACTIONS(2387),
    [aux_sym_log_verbose_token1] = ACTIONS(2387),
    [aux_sym_macs_token1] = ACTIONS(2387),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2387),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2387),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2387),
    [aux_sym_password_authentication_token1] = ACTIONS(2387),
    [aux_sym_permit_local_command_token1] = ACTIONS(2387),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2387),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2387),
    [aux_sym_port_token1] = ACTIONS(2387),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2387),
    [aux_sym_protocol_token1] = ACTIONS(2387),
    [aux_sym_proxy_command_token1] = ACTIONS(2387),
    [aux_sym_proxy_jump_token1] = ACTIONS(2387),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2387),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2387),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2387),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2387),
    [aux_sym_rekey_limit_token1] = ACTIONS(2387),
    [aux_sym_remote_command_token1] = ACTIONS(2387),
    [aux_sym_remote_forward_token1] = ACTIONS(2387),
    [aux_sym_request_tty_token1] = ACTIONS(2387),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2387),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2387),
    [aux_sym_security_key_provider_token1] = ACTIONS(2387),
    [aux_sym_send_env_token1] = ACTIONS(2387),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2387),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2387),
    [aux_sym_session_type_token1] = ACTIONS(2387),
    [aux_sym_set_env_token1] = ACTIONS(2387),
    [aux_sym_stdin_null_token1] = ACTIONS(2387),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2387),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2387),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2387),
    [aux_sym_syslog_facility_token1] = ACTIONS(2387),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2387),
    [aux_sym_keep_alive_token1] = ACTIONS(2387),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [aux_sym_tunnel_token1] = ACTIONS(2389),
    [aux_sym_tunnel_device_token1] = ACTIONS(2387),
    [aux_sym_update_host_keys_token1] = ACTIONS(2387),
    [aux_sym_use_keychain_token1] = ACTIONS(2387),
    [aux_sym_use_roaming_token1] = ACTIONS(2387),
    [aux_sym_user_token1] = ACTIONS(2389),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2387),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2387),
    [aux_sym_visual_host_key_token1] = ACTIONS(2387),
    [aux_sym_xauth_location_token1] = ACTIONS(2387),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2393),
    [anon_sym_DQUOTE] = ACTIONS(2395),
    [aux_sym_match_token1] = ACTIONS(2391),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2391),
    [aux_sym_address_family_token1] = ACTIONS(2391),
    [aux_sym_batch_mode_token1] = ACTIONS(2391),
    [aux_sym_bind_address_token1] = ACTIONS(2391),
    [aux_sym_bind_interface_token1] = ACTIONS(2391),
    [aux_sym_canonical_domains_token1] = ACTIONS(2391),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2391),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2391),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2391),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2391),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2391),
    [aux_sym_certificate_file_token1] = ACTIONS(2391),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2391),
    [aux_sym_channel_timeout_token1] = ACTIONS(2391),
    [aux_sym_check_host_ip_token1] = ACTIONS(2391),
    [aux_sym_ciphers_token1] = ACTIONS(2391),
    [aux_sym_cipher_token1] = ACTIONS(2393),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2391),
    [aux_sym_compression_token1] = ACTIONS(2391),
    [aux_sym_connection_attempts_token1] = ACTIONS(2391),
    [aux_sym_connect_timeout_token1] = ACTIONS(2391),
    [aux_sym_control_master_token1] = ACTIONS(2391),
    [aux_sym_control_path_token1] = ACTIONS(2391),
    [aux_sym_control_persist_token1] = ACTIONS(2391),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2391),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2391),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2391),
    [aux_sym_escape_char_token1] = ACTIONS(2391),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2391),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2391),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2391),
    [aux_sym_forward_agent_token1] = ACTIONS(2391),
    [aux_sym_forward_x11_token1] = ACTIONS(2393),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2391),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2391),
    [aux_sym_gateway_ports_token1] = ACTIONS(2391),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2391),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2391),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2391),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2391),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2391),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2391),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2391),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2391),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2391),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2391),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2391),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2391),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2391),
    [aux_sym_host_key_alias_token1] = ACTIONS(2391),
    [aux_sym_hostname_token1] = ACTIONS(2391),
    [aux_sym_identities_only_token1] = ACTIONS(2391),
    [aux_sym_identity_agent_token1] = ACTIONS(2391),
    [aux_sym_identity_file_token1] = ACTIONS(2391),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2391),
    [aux_sym_include_token1] = ACTIONS(2391),
    [aux_sym_ip_qos_token1] = ACTIONS(2391),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2391),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2391),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2391),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2391),
    [aux_sym_local_command_token1] = ACTIONS(2391),
    [aux_sym_local_forward_token1] = ACTIONS(2391),
    [aux_sym_log_level_token1] = ACTIONS(2391),
    [aux_sym_log_verbose_token1] = ACTIONS(2391),
    [aux_sym_macs_token1] = ACTIONS(2391),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2391),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2391),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2391),
    [aux_sym_password_authentication_token1] = ACTIONS(2391),
    [aux_sym_permit_local_command_token1] = ACTIONS(2391),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2391),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2391),
    [aux_sym_port_token1] = ACTIONS(2391),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2391),
    [aux_sym_protocol_token1] = ACTIONS(2391),
    [aux_sym_proxy_command_token1] = ACTIONS(2391),
    [aux_sym_proxy_jump_token1] = ACTIONS(2391),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2391),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2391),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2391),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2391),
    [aux_sym_rekey_limit_token1] = ACTIONS(2391),
    [aux_sym_remote_command_token1] = ACTIONS(2391),
    [aux_sym_remote_forward_token1] = ACTIONS(2391),
    [aux_sym_request_tty_token1] = ACTIONS(2391),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2391),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2391),
    [aux_sym_security_key_provider_token1] = ACTIONS(2391),
    [aux_sym_send_env_token1] = ACTIONS(2391),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2391),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2391),
    [aux_sym_session_type_token1] = ACTIONS(2391),
    [aux_sym_set_env_token1] = ACTIONS(2391),
    [aux_sym_stdin_null_token1] = ACTIONS(2391),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2391),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2391),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2391),
    [aux_sym_syslog_facility_token1] = ACTIONS(2391),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2391),
    [aux_sym_keep_alive_token1] = ACTIONS(2391),
    [aux_sym_tag_token1] = ACTIONS(2391),
    [aux_sym_tunnel_token1] = ACTIONS(2393),
    [aux_sym_tunnel_device_token1] = ACTIONS(2391),
    [aux_sym_update_host_keys_token1] = ACTIONS(2391),
    [aux_sym_use_keychain_token1] = ACTIONS(2391),
    [aux_sym_use_roaming_token1] = ACTIONS(2391),
    [aux_sym_user_token1] = ACTIONS(2393),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2391),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2391),
    [aux_sym_visual_host_key_token1] = ACTIONS(2391),
    [aux_sym_xauth_location_token1] = ACTIONS(2391),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(2397),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2399),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [aux_sym_match_token1] = ACTIONS(2397),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2397),
    [aux_sym_address_family_token1] = ACTIONS(2397),
    [aux_sym_batch_mode_token1] = ACTIONS(2397),
    [aux_sym_bind_address_token1] = ACTIONS(2397),
    [aux_sym_bind_interface_token1] = ACTIONS(2397),
    [aux_sym_canonical_domains_token1] = ACTIONS(2397),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2397),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2397),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2397),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2397),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2397),
    [aux_sym_certificate_file_token1] = ACTIONS(2397),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2397),
    [aux_sym_channel_timeout_token1] = ACTIONS(2397),
    [aux_sym_check_host_ip_token1] = ACTIONS(2397),
    [aux_sym_ciphers_token1] = ACTIONS(2397),
    [aux_sym_cipher_token1] = ACTIONS(2399),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2397),
    [aux_sym_compression_token1] = ACTIONS(2397),
    [aux_sym_connection_attempts_token1] = ACTIONS(2397),
    [aux_sym_connect_timeout_token1] = ACTIONS(2397),
    [aux_sym_control_master_token1] = ACTIONS(2397),
    [aux_sym_control_path_token1] = ACTIONS(2397),
    [aux_sym_control_persist_token1] = ACTIONS(2397),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2397),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2397),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2397),
    [aux_sym_escape_char_token1] = ACTIONS(2397),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2397),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2397),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2397),
    [aux_sym_forward_agent_token1] = ACTIONS(2397),
    [aux_sym_forward_x11_token1] = ACTIONS(2399),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2397),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2397),
    [aux_sym_gateway_ports_token1] = ACTIONS(2397),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2397),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2397),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2397),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2397),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2397),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2397),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2397),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2397),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2397),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2397),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2397),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2397),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2397),
    [aux_sym_host_key_alias_token1] = ACTIONS(2397),
    [aux_sym_hostname_token1] = ACTIONS(2397),
    [aux_sym_identities_only_token1] = ACTIONS(2397),
    [aux_sym_identity_agent_token1] = ACTIONS(2397),
    [aux_sym_identity_file_token1] = ACTIONS(2397),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2397),
    [aux_sym_include_token1] = ACTIONS(2397),
    [aux_sym_ip_qos_token1] = ACTIONS(2397),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2397),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2397),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2397),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2397),
    [aux_sym_local_command_token1] = ACTIONS(2397),
    [aux_sym_local_forward_token1] = ACTIONS(2397),
    [aux_sym_log_level_token1] = ACTIONS(2397),
    [aux_sym_log_verbose_token1] = ACTIONS(2397),
    [aux_sym_macs_token1] = ACTIONS(2397),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2397),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2397),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2397),
    [aux_sym_password_authentication_token1] = ACTIONS(2397),
    [aux_sym_permit_local_command_token1] = ACTIONS(2397),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2397),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2397),
    [aux_sym_port_token1] = ACTIONS(2397),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2397),
    [aux_sym_protocol_token1] = ACTIONS(2397),
    [aux_sym_proxy_command_token1] = ACTIONS(2397),
    [aux_sym_proxy_jump_token1] = ACTIONS(2397),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2397),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2397),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2397),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2397),
    [aux_sym_rekey_limit_token1] = ACTIONS(2397),
    [aux_sym_remote_command_token1] = ACTIONS(2397),
    [aux_sym_remote_forward_token1] = ACTIONS(2397),
    [aux_sym_request_tty_token1] = ACTIONS(2397),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2397),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2397),
    [aux_sym_security_key_provider_token1] = ACTIONS(2397),
    [aux_sym_send_env_token1] = ACTIONS(2397),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2397),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2397),
    [aux_sym_session_type_token1] = ACTIONS(2397),
    [aux_sym_set_env_token1] = ACTIONS(2397),
    [aux_sym_stdin_null_token1] = ACTIONS(2397),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2397),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2397),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2397),
    [aux_sym_syslog_facility_token1] = ACTIONS(2397),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2397),
    [aux_sym_keep_alive_token1] = ACTIONS(2397),
    [aux_sym_tag_token1] = ACTIONS(2397),
    [aux_sym_tunnel_token1] = ACTIONS(2399),
    [aux_sym_tunnel_device_token1] = ACTIONS(2397),
    [aux_sym_update_host_keys_token1] = ACTIONS(2397),
    [aux_sym_use_keychain_token1] = ACTIONS(2397),
    [aux_sym_use_roaming_token1] = ACTIONS(2397),
    [aux_sym_user_token1] = ACTIONS(2399),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2397),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2397),
    [aux_sym_visual_host_key_token1] = ACTIONS(2397),
    [aux_sym_xauth_location_token1] = ACTIONS(2397),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(2401),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [aux_sym_match_token1] = ACTIONS(2401),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2401),
    [aux_sym_address_family_token1] = ACTIONS(2401),
    [aux_sym_batch_mode_token1] = ACTIONS(2401),
    [aux_sym_bind_address_token1] = ACTIONS(2401),
    [aux_sym_bind_interface_token1] = ACTIONS(2401),
    [aux_sym_canonical_domains_token1] = ACTIONS(2401),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2401),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2401),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2401),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2401),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2401),
    [aux_sym_certificate_file_token1] = ACTIONS(2401),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2401),
    [aux_sym_channel_timeout_token1] = ACTIONS(2401),
    [aux_sym_check_host_ip_token1] = ACTIONS(2401),
    [aux_sym_ciphers_token1] = ACTIONS(2401),
    [aux_sym_cipher_token1] = ACTIONS(2403),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2401),
    [aux_sym_compression_token1] = ACTIONS(2401),
    [aux_sym_connection_attempts_token1] = ACTIONS(2401),
    [aux_sym_connect_timeout_token1] = ACTIONS(2401),
    [aux_sym_control_master_token1] = ACTIONS(2401),
    [aux_sym_control_path_token1] = ACTIONS(2401),
    [aux_sym_control_persist_token1] = ACTIONS(2401),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2401),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2401),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2401),
    [aux_sym_escape_char_token1] = ACTIONS(2401),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2401),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2401),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2401),
    [aux_sym_forward_agent_token1] = ACTIONS(2401),
    [aux_sym_forward_x11_token1] = ACTIONS(2403),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2401),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2401),
    [aux_sym_gateway_ports_token1] = ACTIONS(2401),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2401),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2401),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2401),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2401),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2401),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2401),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2401),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2401),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2401),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2401),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2401),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2401),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2401),
    [aux_sym_host_key_alias_token1] = ACTIONS(2401),
    [aux_sym_hostname_token1] = ACTIONS(2401),
    [aux_sym_identities_only_token1] = ACTIONS(2401),
    [aux_sym_identity_agent_token1] = ACTIONS(2401),
    [aux_sym_identity_file_token1] = ACTIONS(2401),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2401),
    [aux_sym_include_token1] = ACTIONS(2401),
    [aux_sym_ip_qos_token1] = ACTIONS(2401),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2401),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2401),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2401),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2401),
    [aux_sym_local_command_token1] = ACTIONS(2401),
    [aux_sym_local_forward_token1] = ACTIONS(2401),
    [aux_sym_log_level_token1] = ACTIONS(2401),
    [aux_sym_log_verbose_token1] = ACTIONS(2401),
    [aux_sym_macs_token1] = ACTIONS(2401),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2401),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2401),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2401),
    [aux_sym_password_authentication_token1] = ACTIONS(2401),
    [aux_sym_permit_local_command_token1] = ACTIONS(2401),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2401),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2401),
    [aux_sym_port_token1] = ACTIONS(2401),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2401),
    [aux_sym_protocol_token1] = ACTIONS(2401),
    [aux_sym_proxy_command_token1] = ACTIONS(2401),
    [aux_sym_proxy_jump_token1] = ACTIONS(2401),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2401),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2401),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2401),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2401),
    [aux_sym_rekey_limit_token1] = ACTIONS(2401),
    [aux_sym_remote_command_token1] = ACTIONS(2401),
    [aux_sym_remote_forward_token1] = ACTIONS(2401),
    [aux_sym_request_tty_token1] = ACTIONS(2401),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2401),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2401),
    [aux_sym_security_key_provider_token1] = ACTIONS(2401),
    [aux_sym_send_env_token1] = ACTIONS(2401),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2401),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2401),
    [aux_sym_session_type_token1] = ACTIONS(2401),
    [aux_sym_set_env_token1] = ACTIONS(2401),
    [aux_sym_stdin_null_token1] = ACTIONS(2401),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2401),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2401),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2401),
    [aux_sym_syslog_facility_token1] = ACTIONS(2401),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2401),
    [aux_sym_keep_alive_token1] = ACTIONS(2401),
    [aux_sym_tag_token1] = ACTIONS(2401),
    [aux_sym_tunnel_token1] = ACTIONS(2403),
    [aux_sym_tunnel_device_token1] = ACTIONS(2401),
    [aux_sym_update_host_keys_token1] = ACTIONS(2401),
    [aux_sym_use_keychain_token1] = ACTIONS(2401),
    [aux_sym_use_roaming_token1] = ACTIONS(2401),
    [aux_sym_user_token1] = ACTIONS(2403),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2401),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2401),
    [aux_sym_visual_host_key_token1] = ACTIONS(2401),
    [aux_sym_xauth_location_token1] = ACTIONS(2401),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2407),
    [aux_sym_match_token1] = ACTIONS(2407),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2407),
    [aux_sym_address_family_token1] = ACTIONS(2407),
    [aux_sym_batch_mode_token1] = ACTIONS(2407),
    [aux_sym_bind_address_token1] = ACTIONS(2407),
    [aux_sym_bind_interface_token1] = ACTIONS(2407),
    [aux_sym_canonical_domains_token1] = ACTIONS(2407),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2407),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2407),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2407),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2407),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2407),
    [aux_sym_certificate_file_token1] = ACTIONS(2407),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2407),
    [aux_sym_channel_timeout_token1] = ACTIONS(2407),
    [aux_sym_check_host_ip_token1] = ACTIONS(2407),
    [aux_sym_ciphers_token1] = ACTIONS(2407),
    [aux_sym_cipher_token1] = ACTIONS(2409),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2407),
    [aux_sym_compression_token1] = ACTIONS(2407),
    [aux_sym_connection_attempts_token1] = ACTIONS(2407),
    [aux_sym_connect_timeout_token1] = ACTIONS(2407),
    [aux_sym_control_master_token1] = ACTIONS(2407),
    [aux_sym_control_path_token1] = ACTIONS(2407),
    [aux_sym_control_persist_token1] = ACTIONS(2407),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2407),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2407),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2407),
    [aux_sym_escape_char_token1] = ACTIONS(2407),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2407),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2407),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2407),
    [aux_sym_forward_agent_token1] = ACTIONS(2407),
    [aux_sym_forward_x11_token1] = ACTIONS(2409),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2407),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2407),
    [aux_sym_gateway_ports_token1] = ACTIONS(2407),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2407),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2407),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2407),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2407),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2407),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2407),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2407),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2407),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2407),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2407),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2407),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2407),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2407),
    [aux_sym_host_key_alias_token1] = ACTIONS(2407),
    [aux_sym_hostname_token1] = ACTIONS(2407),
    [aux_sym_identities_only_token1] = ACTIONS(2407),
    [aux_sym_identity_agent_token1] = ACTIONS(2407),
    [aux_sym_identity_file_token1] = ACTIONS(2407),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2407),
    [aux_sym_include_token1] = ACTIONS(2407),
    [aux_sym_ip_qos_token1] = ACTIONS(2407),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2407),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2407),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2407),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2407),
    [aux_sym_local_command_token1] = ACTIONS(2407),
    [aux_sym_local_forward_token1] = ACTIONS(2407),
    [aux_sym_log_level_token1] = ACTIONS(2407),
    [aux_sym_log_verbose_token1] = ACTIONS(2407),
    [aux_sym_macs_token1] = ACTIONS(2407),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2407),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2407),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2407),
    [aux_sym_password_authentication_token1] = ACTIONS(2407),
    [aux_sym_permit_local_command_token1] = ACTIONS(2407),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2407),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2407),
    [aux_sym_port_token1] = ACTIONS(2407),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2407),
    [aux_sym_protocol_token1] = ACTIONS(2407),
    [aux_sym_proxy_command_token1] = ACTIONS(2407),
    [aux_sym_proxy_jump_token1] = ACTIONS(2407),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2407),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2407),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2407),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2407),
    [aux_sym_rekey_limit_token1] = ACTIONS(2407),
    [aux_sym_remote_command_token1] = ACTIONS(2407),
    [aux_sym_remote_forward_token1] = ACTIONS(2407),
    [aux_sym_request_tty_token1] = ACTIONS(2407),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2407),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2407),
    [aux_sym_security_key_provider_token1] = ACTIONS(2407),
    [aux_sym_send_env_token1] = ACTIONS(2407),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2407),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2407),
    [aux_sym_session_type_token1] = ACTIONS(2407),
    [aux_sym_set_env_token1] = ACTIONS(2407),
    [aux_sym_stdin_null_token1] = ACTIONS(2407),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2407),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2407),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2407),
    [aux_sym_syslog_facility_token1] = ACTIONS(2407),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2407),
    [aux_sym_keep_alive_token1] = ACTIONS(2407),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [aux_sym_tunnel_token1] = ACTIONS(2409),
    [aux_sym_tunnel_device_token1] = ACTIONS(2407),
    [aux_sym_update_host_keys_token1] = ACTIONS(2407),
    [aux_sym_use_keychain_token1] = ACTIONS(2407),
    [aux_sym_use_roaming_token1] = ACTIONS(2407),
    [aux_sym_user_token1] = ACTIONS(2409),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2407),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2407),
    [aux_sym_visual_host_key_token1] = ACTIONS(2407),
    [aux_sym_xauth_location_token1] = ACTIONS(2407),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(2411),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [aux_sym_match_token1] = ACTIONS(2411),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2411),
    [aux_sym_address_family_token1] = ACTIONS(2411),
    [aux_sym_batch_mode_token1] = ACTIONS(2411),
    [aux_sym_bind_address_token1] = ACTIONS(2411),
    [aux_sym_bind_interface_token1] = ACTIONS(2411),
    [aux_sym_canonical_domains_token1] = ACTIONS(2411),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2411),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2411),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2411),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2411),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2411),
    [aux_sym_certificate_file_token1] = ACTIONS(2411),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2411),
    [aux_sym_channel_timeout_token1] = ACTIONS(2411),
    [aux_sym_check_host_ip_token1] = ACTIONS(2411),
    [aux_sym_ciphers_token1] = ACTIONS(2411),
    [aux_sym_cipher_token1] = ACTIONS(2413),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2411),
    [aux_sym_compression_token1] = ACTIONS(2411),
    [aux_sym_connection_attempts_token1] = ACTIONS(2411),
    [aux_sym_connect_timeout_token1] = ACTIONS(2411),
    [aux_sym_control_master_token1] = ACTIONS(2411),
    [aux_sym_control_path_token1] = ACTIONS(2411),
    [aux_sym_control_persist_token1] = ACTIONS(2411),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2411),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2411),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2411),
    [aux_sym_escape_char_token1] = ACTIONS(2411),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2411),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2411),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2411),
    [aux_sym_forward_agent_token1] = ACTIONS(2411),
    [aux_sym_forward_x11_token1] = ACTIONS(2413),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2411),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2411),
    [aux_sym_gateway_ports_token1] = ACTIONS(2411),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2411),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2411),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2411),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2411),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2411),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2411),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2411),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2411),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2411),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2411),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2411),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2411),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2411),
    [aux_sym_host_key_alias_token1] = ACTIONS(2411),
    [aux_sym_hostname_token1] = ACTIONS(2411),
    [aux_sym_identities_only_token1] = ACTIONS(2411),
    [aux_sym_identity_agent_token1] = ACTIONS(2411),
    [aux_sym_identity_file_token1] = ACTIONS(2411),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2411),
    [aux_sym_include_token1] = ACTIONS(2411),
    [aux_sym_ip_qos_token1] = ACTIONS(2411),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2411),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2411),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2411),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2411),
    [aux_sym_local_command_token1] = ACTIONS(2411),
    [aux_sym_local_forward_token1] = ACTIONS(2411),
    [aux_sym_log_level_token1] = ACTIONS(2411),
    [aux_sym_log_verbose_token1] = ACTIONS(2411),
    [aux_sym_macs_token1] = ACTIONS(2411),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2411),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2411),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2411),
    [aux_sym_password_authentication_token1] = ACTIONS(2411),
    [aux_sym_permit_local_command_token1] = ACTIONS(2411),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2411),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2411),
    [aux_sym_port_token1] = ACTIONS(2411),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2411),
    [aux_sym_protocol_token1] = ACTIONS(2411),
    [aux_sym_proxy_command_token1] = ACTIONS(2411),
    [aux_sym_proxy_jump_token1] = ACTIONS(2411),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2411),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2411),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2411),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2411),
    [aux_sym_rekey_limit_token1] = ACTIONS(2411),
    [aux_sym_remote_command_token1] = ACTIONS(2411),
    [aux_sym_remote_forward_token1] = ACTIONS(2411),
    [aux_sym_request_tty_token1] = ACTIONS(2411),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2411),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2411),
    [aux_sym_security_key_provider_token1] = ACTIONS(2411),
    [aux_sym_send_env_token1] = ACTIONS(2411),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2411),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2411),
    [aux_sym_session_type_token1] = ACTIONS(2411),
    [aux_sym_set_env_token1] = ACTIONS(2411),
    [aux_sym_stdin_null_token1] = ACTIONS(2411),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2411),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2411),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2411),
    [aux_sym_syslog_facility_token1] = ACTIONS(2411),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2411),
    [aux_sym_keep_alive_token1] = ACTIONS(2411),
    [aux_sym_tag_token1] = ACTIONS(2411),
    [aux_sym_tunnel_token1] = ACTIONS(2413),
    [aux_sym_tunnel_device_token1] = ACTIONS(2411),
    [aux_sym_update_host_keys_token1] = ACTIONS(2411),
    [aux_sym_use_keychain_token1] = ACTIONS(2411),
    [aux_sym_use_roaming_token1] = ACTIONS(2411),
    [aux_sym_user_token1] = ACTIONS(2413),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2411),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2411),
    [aux_sym_visual_host_key_token1] = ACTIONS(2411),
    [aux_sym_xauth_location_token1] = ACTIONS(2411),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2419),
    [anon_sym_DQUOTE] = ACTIONS(2417),
    [aux_sym_match_token1] = ACTIONS(2417),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2417),
    [aux_sym_address_family_token1] = ACTIONS(2417),
    [aux_sym_batch_mode_token1] = ACTIONS(2417),
    [aux_sym_bind_address_token1] = ACTIONS(2417),
    [aux_sym_bind_interface_token1] = ACTIONS(2417),
    [aux_sym_canonical_domains_token1] = ACTIONS(2417),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2417),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2417),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2417),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2417),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2417),
    [aux_sym_certificate_file_token1] = ACTIONS(2417),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2417),
    [aux_sym_channel_timeout_token1] = ACTIONS(2417),
    [aux_sym_check_host_ip_token1] = ACTIONS(2417),
    [aux_sym_ciphers_token1] = ACTIONS(2417),
    [aux_sym_cipher_token1] = ACTIONS(2419),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2417),
    [aux_sym_compression_token1] = ACTIONS(2417),
    [aux_sym_connection_attempts_token1] = ACTIONS(2417),
    [aux_sym_connect_timeout_token1] = ACTIONS(2417),
    [aux_sym_control_master_token1] = ACTIONS(2417),
    [aux_sym_control_path_token1] = ACTIONS(2417),
    [aux_sym_control_persist_token1] = ACTIONS(2417),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2417),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2417),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2417),
    [aux_sym_escape_char_token1] = ACTIONS(2417),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2417),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2417),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2417),
    [aux_sym_forward_agent_token1] = ACTIONS(2417),
    [aux_sym_forward_x11_token1] = ACTIONS(2419),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2417),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2417),
    [aux_sym_gateway_ports_token1] = ACTIONS(2417),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2417),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2417),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2417),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2417),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2417),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2417),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2417),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2417),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2417),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2417),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2417),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2417),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2417),
    [aux_sym_host_key_alias_token1] = ACTIONS(2417),
    [aux_sym_hostname_token1] = ACTIONS(2417),
    [aux_sym_identities_only_token1] = ACTIONS(2417),
    [aux_sym_identity_agent_token1] = ACTIONS(2417),
    [aux_sym_identity_file_token1] = ACTIONS(2417),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2417),
    [aux_sym_include_token1] = ACTIONS(2417),
    [aux_sym_ip_qos_token1] = ACTIONS(2417),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2417),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2417),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2417),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2417),
    [aux_sym_local_command_token1] = ACTIONS(2417),
    [aux_sym_local_forward_token1] = ACTIONS(2417),
    [aux_sym_log_level_token1] = ACTIONS(2417),
    [aux_sym_log_verbose_token1] = ACTIONS(2417),
    [aux_sym_macs_token1] = ACTIONS(2417),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2417),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2417),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2417),
    [aux_sym_password_authentication_token1] = ACTIONS(2417),
    [aux_sym_permit_local_command_token1] = ACTIONS(2417),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2417),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2417),
    [aux_sym_port_token1] = ACTIONS(2417),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2417),
    [aux_sym_protocol_token1] = ACTIONS(2417),
    [aux_sym_proxy_command_token1] = ACTIONS(2417),
    [aux_sym_proxy_jump_token1] = ACTIONS(2417),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2417),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2417),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2417),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2417),
    [aux_sym_rekey_limit_token1] = ACTIONS(2417),
    [aux_sym_remote_command_token1] = ACTIONS(2417),
    [aux_sym_remote_forward_token1] = ACTIONS(2417),
    [aux_sym_request_tty_token1] = ACTIONS(2417),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2417),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2417),
    [aux_sym_security_key_provider_token1] = ACTIONS(2417),
    [aux_sym_send_env_token1] = ACTIONS(2417),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2417),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2417),
    [aux_sym_session_type_token1] = ACTIONS(2417),
    [aux_sym_set_env_token1] = ACTIONS(2417),
    [aux_sym_stdin_null_token1] = ACTIONS(2417),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2417),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2417),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2417),
    [aux_sym_syslog_facility_token1] = ACTIONS(2417),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2417),
    [aux_sym_keep_alive_token1] = ACTIONS(2417),
    [aux_sym_tag_token1] = ACTIONS(2417),
    [aux_sym_tunnel_token1] = ACTIONS(2419),
    [aux_sym_tunnel_device_token1] = ACTIONS(2417),
    [aux_sym_update_host_keys_token1] = ACTIONS(2417),
    [aux_sym_use_keychain_token1] = ACTIONS(2417),
    [aux_sym_use_roaming_token1] = ACTIONS(2417),
    [aux_sym_user_token1] = ACTIONS(2419),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2417),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2417),
    [aux_sym_visual_host_key_token1] = ACTIONS(2417),
    [aux_sym_xauth_location_token1] = ACTIONS(2417),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(2421),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2423),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [aux_sym_match_token1] = ACTIONS(2421),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2421),
    [aux_sym_address_family_token1] = ACTIONS(2421),
    [aux_sym_batch_mode_token1] = ACTIONS(2421),
    [aux_sym_bind_address_token1] = ACTIONS(2421),
    [aux_sym_bind_interface_token1] = ACTIONS(2421),
    [aux_sym_canonical_domains_token1] = ACTIONS(2421),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2421),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2421),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2421),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2421),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2421),
    [aux_sym_certificate_file_token1] = ACTIONS(2421),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2421),
    [aux_sym_channel_timeout_token1] = ACTIONS(2421),
    [aux_sym_check_host_ip_token1] = ACTIONS(2421),
    [aux_sym_ciphers_token1] = ACTIONS(2421),
    [aux_sym_cipher_token1] = ACTIONS(2423),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2421),
    [aux_sym_compression_token1] = ACTIONS(2421),
    [aux_sym_connection_attempts_token1] = ACTIONS(2421),
    [aux_sym_connect_timeout_token1] = ACTIONS(2421),
    [aux_sym_control_master_token1] = ACTIONS(2421),
    [aux_sym_control_path_token1] = ACTIONS(2421),
    [aux_sym_control_persist_token1] = ACTIONS(2421),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2421),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2421),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2421),
    [aux_sym_escape_char_token1] = ACTIONS(2421),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2421),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2421),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2421),
    [aux_sym_forward_agent_token1] = ACTIONS(2421),
    [aux_sym_forward_x11_token1] = ACTIONS(2423),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2421),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2421),
    [aux_sym_gateway_ports_token1] = ACTIONS(2421),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2421),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2421),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2421),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2421),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2421),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2421),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2421),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2421),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2421),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2421),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2421),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2421),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2421),
    [aux_sym_host_key_alias_token1] = ACTIONS(2421),
    [aux_sym_hostname_token1] = ACTIONS(2421),
    [aux_sym_identities_only_token1] = ACTIONS(2421),
    [aux_sym_identity_agent_token1] = ACTIONS(2421),
    [aux_sym_identity_file_token1] = ACTIONS(2421),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2421),
    [aux_sym_include_token1] = ACTIONS(2421),
    [aux_sym_ip_qos_token1] = ACTIONS(2421),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2421),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2421),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2421),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2421),
    [aux_sym_local_command_token1] = ACTIONS(2421),
    [aux_sym_local_forward_token1] = ACTIONS(2421),
    [aux_sym_log_level_token1] = ACTIONS(2421),
    [aux_sym_log_verbose_token1] = ACTIONS(2421),
    [aux_sym_macs_token1] = ACTIONS(2421),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2421),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2421),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2421),
    [aux_sym_password_authentication_token1] = ACTIONS(2421),
    [aux_sym_permit_local_command_token1] = ACTIONS(2421),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2421),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2421),
    [aux_sym_port_token1] = ACTIONS(2421),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2421),
    [aux_sym_protocol_token1] = ACTIONS(2421),
    [aux_sym_proxy_command_token1] = ACTIONS(2421),
    [aux_sym_proxy_jump_token1] = ACTIONS(2421),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2421),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2421),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2421),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2421),
    [aux_sym_rekey_limit_token1] = ACTIONS(2421),
    [aux_sym_remote_command_token1] = ACTIONS(2421),
    [aux_sym_remote_forward_token1] = ACTIONS(2421),
    [aux_sym_request_tty_token1] = ACTIONS(2421),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2421),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2421),
    [aux_sym_security_key_provider_token1] = ACTIONS(2421),
    [aux_sym_send_env_token1] = ACTIONS(2421),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2421),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2421),
    [aux_sym_session_type_token1] = ACTIONS(2421),
    [aux_sym_set_env_token1] = ACTIONS(2421),
    [aux_sym_stdin_null_token1] = ACTIONS(2421),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2421),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2421),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2421),
    [aux_sym_syslog_facility_token1] = ACTIONS(2421),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2421),
    [aux_sym_keep_alive_token1] = ACTIONS(2421),
    [aux_sym_tag_token1] = ACTIONS(2421),
    [aux_sym_tunnel_token1] = ACTIONS(2423),
    [aux_sym_tunnel_device_token1] = ACTIONS(2421),
    [aux_sym_update_host_keys_token1] = ACTIONS(2421),
    [aux_sym_use_keychain_token1] = ACTIONS(2421),
    [aux_sym_use_roaming_token1] = ACTIONS(2421),
    [aux_sym_user_token1] = ACTIONS(2423),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2421),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2421),
    [aux_sym_visual_host_key_token1] = ACTIONS(2421),
    [aux_sym_xauth_location_token1] = ACTIONS(2421),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(2427),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2427),
    [aux_sym_match_token1] = ACTIONS(2427),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2427),
    [aux_sym_address_family_token1] = ACTIONS(2427),
    [aux_sym_batch_mode_token1] = ACTIONS(2427),
    [aux_sym_bind_address_token1] = ACTIONS(2427),
    [aux_sym_bind_interface_token1] = ACTIONS(2427),
    [aux_sym_canonical_domains_token1] = ACTIONS(2427),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2427),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2427),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2427),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2427),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2427),
    [aux_sym_certificate_file_token1] = ACTIONS(2427),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2427),
    [aux_sym_channel_timeout_token1] = ACTIONS(2427),
    [aux_sym_check_host_ip_token1] = ACTIONS(2427),
    [aux_sym_ciphers_token1] = ACTIONS(2427),
    [aux_sym_cipher_token1] = ACTIONS(2429),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2427),
    [aux_sym_compression_token1] = ACTIONS(2427),
    [aux_sym_connection_attempts_token1] = ACTIONS(2427),
    [aux_sym_connect_timeout_token1] = ACTIONS(2427),
    [aux_sym_control_master_token1] = ACTIONS(2427),
    [aux_sym_control_path_token1] = ACTIONS(2427),
    [aux_sym_control_persist_token1] = ACTIONS(2427),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2427),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2427),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2427),
    [aux_sym_escape_char_token1] = ACTIONS(2427),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2427),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2427),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2427),
    [aux_sym_forward_agent_token1] = ACTIONS(2427),
    [aux_sym_forward_x11_token1] = ACTIONS(2429),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2427),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2427),
    [aux_sym_gateway_ports_token1] = ACTIONS(2427),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2427),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2427),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2427),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2427),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2427),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2427),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2427),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2427),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2427),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2427),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2427),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2427),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2427),
    [aux_sym_host_key_alias_token1] = ACTIONS(2427),
    [aux_sym_hostname_token1] = ACTIONS(2427),
    [aux_sym_identities_only_token1] = ACTIONS(2427),
    [aux_sym_identity_agent_token1] = ACTIONS(2427),
    [aux_sym_identity_file_token1] = ACTIONS(2427),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2427),
    [aux_sym_include_token1] = ACTIONS(2427),
    [aux_sym_ip_qos_token1] = ACTIONS(2427),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2427),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2427),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2427),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2427),
    [aux_sym_local_command_token1] = ACTIONS(2427),
    [aux_sym_local_forward_token1] = ACTIONS(2427),
    [aux_sym_log_level_token1] = ACTIONS(2427),
    [aux_sym_log_verbose_token1] = ACTIONS(2427),
    [aux_sym_macs_token1] = ACTIONS(2427),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2427),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2427),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2427),
    [aux_sym_password_authentication_token1] = ACTIONS(2427),
    [aux_sym_permit_local_command_token1] = ACTIONS(2427),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2427),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2427),
    [aux_sym_port_token1] = ACTIONS(2427),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2427),
    [aux_sym_protocol_token1] = ACTIONS(2427),
    [aux_sym_proxy_command_token1] = ACTIONS(2427),
    [aux_sym_proxy_jump_token1] = ACTIONS(2427),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2427),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2427),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2427),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2427),
    [aux_sym_rekey_limit_token1] = ACTIONS(2427),
    [aux_sym_remote_command_token1] = ACTIONS(2427),
    [aux_sym_remote_forward_token1] = ACTIONS(2427),
    [aux_sym_request_tty_token1] = ACTIONS(2427),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2427),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2427),
    [aux_sym_security_key_provider_token1] = ACTIONS(2427),
    [aux_sym_send_env_token1] = ACTIONS(2427),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2427),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2427),
    [aux_sym_session_type_token1] = ACTIONS(2427),
    [aux_sym_set_env_token1] = ACTIONS(2427),
    [aux_sym_stdin_null_token1] = ACTIONS(2427),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2427),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2427),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2427),
    [aux_sym_syslog_facility_token1] = ACTIONS(2427),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2427),
    [aux_sym_keep_alive_token1] = ACTIONS(2427),
    [aux_sym_tag_token1] = ACTIONS(2427),
    [aux_sym_tunnel_token1] = ACTIONS(2429),
    [aux_sym_tunnel_device_token1] = ACTIONS(2427),
    [aux_sym_update_host_keys_token1] = ACTIONS(2427),
    [aux_sym_use_keychain_token1] = ACTIONS(2427),
    [aux_sym_use_roaming_token1] = ACTIONS(2427),
    [aux_sym_user_token1] = ACTIONS(2429),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2427),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2427),
    [aux_sym_visual_host_key_token1] = ACTIONS(2427),
    [aux_sym_xauth_location_token1] = ACTIONS(2427),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(2431),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [aux_sym_match_token1] = ACTIONS(2431),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2431),
    [aux_sym_address_family_token1] = ACTIONS(2431),
    [aux_sym_batch_mode_token1] = ACTIONS(2431),
    [aux_sym_bind_address_token1] = ACTIONS(2431),
    [aux_sym_bind_interface_token1] = ACTIONS(2431),
    [aux_sym_canonical_domains_token1] = ACTIONS(2431),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2431),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2431),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2431),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2431),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2431),
    [aux_sym_certificate_file_token1] = ACTIONS(2431),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2431),
    [aux_sym_channel_timeout_token1] = ACTIONS(2431),
    [aux_sym_check_host_ip_token1] = ACTIONS(2431),
    [aux_sym_ciphers_token1] = ACTIONS(2431),
    [aux_sym_cipher_token1] = ACTIONS(2433),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2431),
    [aux_sym_compression_token1] = ACTIONS(2431),
    [aux_sym_connection_attempts_token1] = ACTIONS(2431),
    [aux_sym_connect_timeout_token1] = ACTIONS(2431),
    [aux_sym_control_master_token1] = ACTIONS(2431),
    [aux_sym_control_path_token1] = ACTIONS(2431),
    [aux_sym_control_persist_token1] = ACTIONS(2431),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2431),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2431),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2431),
    [aux_sym_escape_char_token1] = ACTIONS(2431),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2431),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2431),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2431),
    [aux_sym_forward_agent_token1] = ACTIONS(2431),
    [aux_sym_forward_x11_token1] = ACTIONS(2433),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2431),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2431),
    [aux_sym_gateway_ports_token1] = ACTIONS(2431),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2431),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2431),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2431),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2431),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2431),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2431),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2431),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2431),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2431),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2431),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2431),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2431),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2431),
    [aux_sym_host_key_alias_token1] = ACTIONS(2431),
    [aux_sym_hostname_token1] = ACTIONS(2431),
    [aux_sym_identities_only_token1] = ACTIONS(2431),
    [aux_sym_identity_agent_token1] = ACTIONS(2431),
    [aux_sym_identity_file_token1] = ACTIONS(2431),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2431),
    [aux_sym_include_token1] = ACTIONS(2431),
    [aux_sym_ip_qos_token1] = ACTIONS(2431),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2431),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2431),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2431),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2431),
    [aux_sym_local_command_token1] = ACTIONS(2431),
    [aux_sym_local_forward_token1] = ACTIONS(2431),
    [aux_sym_log_level_token1] = ACTIONS(2431),
    [aux_sym_log_verbose_token1] = ACTIONS(2431),
    [aux_sym_macs_token1] = ACTIONS(2431),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2431),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2431),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2431),
    [aux_sym_password_authentication_token1] = ACTIONS(2431),
    [aux_sym_permit_local_command_token1] = ACTIONS(2431),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2431),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2431),
    [aux_sym_port_token1] = ACTIONS(2431),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2431),
    [aux_sym_protocol_token1] = ACTIONS(2431),
    [aux_sym_proxy_command_token1] = ACTIONS(2431),
    [aux_sym_proxy_jump_token1] = ACTIONS(2431),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2431),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2431),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2431),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2431),
    [aux_sym_rekey_limit_token1] = ACTIONS(2431),
    [aux_sym_remote_command_token1] = ACTIONS(2431),
    [aux_sym_remote_forward_token1] = ACTIONS(2431),
    [aux_sym_request_tty_token1] = ACTIONS(2431),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2431),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2431),
    [aux_sym_security_key_provider_token1] = ACTIONS(2431),
    [aux_sym_send_env_token1] = ACTIONS(2431),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2431),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2431),
    [aux_sym_session_type_token1] = ACTIONS(2431),
    [aux_sym_set_env_token1] = ACTIONS(2431),
    [aux_sym_stdin_null_token1] = ACTIONS(2431),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2431),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2431),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2431),
    [aux_sym_syslog_facility_token1] = ACTIONS(2431),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2431),
    [aux_sym_keep_alive_token1] = ACTIONS(2431),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [aux_sym_tunnel_token1] = ACTIONS(2433),
    [aux_sym_tunnel_device_token1] = ACTIONS(2431),
    [aux_sym_update_host_keys_token1] = ACTIONS(2431),
    [aux_sym_use_keychain_token1] = ACTIONS(2431),
    [aux_sym_use_roaming_token1] = ACTIONS(2431),
    [aux_sym_user_token1] = ACTIONS(2433),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2431),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2431),
    [aux_sym_visual_host_key_token1] = ACTIONS(2431),
    [aux_sym_xauth_location_token1] = ACTIONS(2431),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(2437),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2439),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [aux_sym_match_token1] = ACTIONS(2437),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2437),
    [aux_sym_address_family_token1] = ACTIONS(2437),
    [aux_sym_batch_mode_token1] = ACTIONS(2437),
    [aux_sym_bind_address_token1] = ACTIONS(2437),
    [aux_sym_bind_interface_token1] = ACTIONS(2437),
    [aux_sym_canonical_domains_token1] = ACTIONS(2437),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2437),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2437),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2437),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2437),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2437),
    [aux_sym_certificate_file_token1] = ACTIONS(2437),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2437),
    [aux_sym_channel_timeout_token1] = ACTIONS(2437),
    [aux_sym_check_host_ip_token1] = ACTIONS(2437),
    [aux_sym_ciphers_token1] = ACTIONS(2437),
    [aux_sym_cipher_token1] = ACTIONS(2439),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2437),
    [aux_sym_compression_token1] = ACTIONS(2437),
    [aux_sym_connection_attempts_token1] = ACTIONS(2437),
    [aux_sym_connect_timeout_token1] = ACTIONS(2437),
    [aux_sym_control_master_token1] = ACTIONS(2437),
    [aux_sym_control_path_token1] = ACTIONS(2437),
    [aux_sym_control_persist_token1] = ACTIONS(2437),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2437),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2437),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2437),
    [aux_sym_escape_char_token1] = ACTIONS(2437),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2437),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2437),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2437),
    [aux_sym_forward_agent_token1] = ACTIONS(2437),
    [aux_sym_forward_x11_token1] = ACTIONS(2439),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2437),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2437),
    [aux_sym_gateway_ports_token1] = ACTIONS(2437),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2437),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2437),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2437),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2437),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2437),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2437),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2437),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2437),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2437),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2437),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2437),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2437),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2437),
    [aux_sym_host_key_alias_token1] = ACTIONS(2437),
    [aux_sym_hostname_token1] = ACTIONS(2437),
    [aux_sym_identities_only_token1] = ACTIONS(2437),
    [aux_sym_identity_agent_token1] = ACTIONS(2437),
    [aux_sym_identity_file_token1] = ACTIONS(2437),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2437),
    [aux_sym_include_token1] = ACTIONS(2437),
    [aux_sym_ip_qos_token1] = ACTIONS(2437),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2437),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2437),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2437),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2437),
    [aux_sym_local_command_token1] = ACTIONS(2437),
    [aux_sym_local_forward_token1] = ACTIONS(2437),
    [aux_sym_log_level_token1] = ACTIONS(2437),
    [aux_sym_log_verbose_token1] = ACTIONS(2437),
    [aux_sym_macs_token1] = ACTIONS(2437),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2437),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2437),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2437),
    [aux_sym_password_authentication_token1] = ACTIONS(2437),
    [aux_sym_permit_local_command_token1] = ACTIONS(2437),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2437),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2437),
    [aux_sym_port_token1] = ACTIONS(2437),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2437),
    [aux_sym_protocol_token1] = ACTIONS(2437),
    [aux_sym_proxy_command_token1] = ACTIONS(2437),
    [aux_sym_proxy_jump_token1] = ACTIONS(2437),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2437),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2437),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2437),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2437),
    [aux_sym_rekey_limit_token1] = ACTIONS(2437),
    [aux_sym_remote_command_token1] = ACTIONS(2437),
    [aux_sym_remote_forward_token1] = ACTIONS(2437),
    [aux_sym_request_tty_token1] = ACTIONS(2437),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2437),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2437),
    [aux_sym_security_key_provider_token1] = ACTIONS(2437),
    [aux_sym_send_env_token1] = ACTIONS(2437),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2437),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2437),
    [aux_sym_session_type_token1] = ACTIONS(2437),
    [aux_sym_set_env_token1] = ACTIONS(2437),
    [aux_sym_stdin_null_token1] = ACTIONS(2437),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2437),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2437),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2437),
    [aux_sym_syslog_facility_token1] = ACTIONS(2437),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2437),
    [aux_sym_keep_alive_token1] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2437),
    [aux_sym_tunnel_token1] = ACTIONS(2439),
    [aux_sym_tunnel_device_token1] = ACTIONS(2437),
    [aux_sym_update_host_keys_token1] = ACTIONS(2437),
    [aux_sym_use_keychain_token1] = ACTIONS(2437),
    [aux_sym_use_roaming_token1] = ACTIONS(2437),
    [aux_sym_user_token1] = ACTIONS(2439),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2437),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2437),
    [aux_sym_visual_host_key_token1] = ACTIONS(2437),
    [aux_sym_xauth_location_token1] = ACTIONS(2437),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(2441),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2443),
    [anon_sym_DQUOTE] = ACTIONS(2445),
    [aux_sym_match_token1] = ACTIONS(2441),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2441),
    [aux_sym_address_family_token1] = ACTIONS(2441),
    [aux_sym_batch_mode_token1] = ACTIONS(2441),
    [aux_sym_bind_address_token1] = ACTIONS(2441),
    [aux_sym_bind_interface_token1] = ACTIONS(2441),
    [aux_sym_canonical_domains_token1] = ACTIONS(2441),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2441),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2441),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2441),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2441),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2441),
    [aux_sym_certificate_file_token1] = ACTIONS(2441),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2441),
    [aux_sym_channel_timeout_token1] = ACTIONS(2441),
    [aux_sym_check_host_ip_token1] = ACTIONS(2441),
    [aux_sym_ciphers_token1] = ACTIONS(2441),
    [aux_sym_cipher_token1] = ACTIONS(2443),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2441),
    [aux_sym_compression_token1] = ACTIONS(2441),
    [aux_sym_connection_attempts_token1] = ACTIONS(2441),
    [aux_sym_connect_timeout_token1] = ACTIONS(2441),
    [aux_sym_control_master_token1] = ACTIONS(2441),
    [aux_sym_control_path_token1] = ACTIONS(2441),
    [aux_sym_control_persist_token1] = ACTIONS(2441),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2441),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2441),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2441),
    [aux_sym_escape_char_token1] = ACTIONS(2441),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2441),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2441),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2441),
    [aux_sym_forward_agent_token1] = ACTIONS(2441),
    [aux_sym_forward_x11_token1] = ACTIONS(2443),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2441),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2441),
    [aux_sym_gateway_ports_token1] = ACTIONS(2441),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2441),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2441),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2441),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2441),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2441),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2441),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2441),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2441),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2441),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2441),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2441),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2441),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2441),
    [aux_sym_host_key_alias_token1] = ACTIONS(2441),
    [aux_sym_hostname_token1] = ACTIONS(2441),
    [aux_sym_identities_only_token1] = ACTIONS(2441),
    [aux_sym_identity_agent_token1] = ACTIONS(2441),
    [aux_sym_identity_file_token1] = ACTIONS(2441),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2441),
    [aux_sym_include_token1] = ACTIONS(2441),
    [aux_sym_ip_qos_token1] = ACTIONS(2441),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2441),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2441),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2441),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2441),
    [aux_sym_local_command_token1] = ACTIONS(2441),
    [aux_sym_local_forward_token1] = ACTIONS(2441),
    [aux_sym_log_level_token1] = ACTIONS(2441),
    [aux_sym_log_verbose_token1] = ACTIONS(2441),
    [aux_sym_macs_token1] = ACTIONS(2441),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2441),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2441),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2441),
    [aux_sym_password_authentication_token1] = ACTIONS(2441),
    [aux_sym_permit_local_command_token1] = ACTIONS(2441),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2441),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2441),
    [aux_sym_port_token1] = ACTIONS(2441),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2441),
    [aux_sym_protocol_token1] = ACTIONS(2441),
    [aux_sym_proxy_command_token1] = ACTIONS(2441),
    [aux_sym_proxy_jump_token1] = ACTIONS(2441),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2441),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2441),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2441),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2441),
    [aux_sym_rekey_limit_token1] = ACTIONS(2441),
    [aux_sym_remote_command_token1] = ACTIONS(2441),
    [aux_sym_remote_forward_token1] = ACTIONS(2441),
    [aux_sym_request_tty_token1] = ACTIONS(2441),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2441),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2441),
    [aux_sym_security_key_provider_token1] = ACTIONS(2441),
    [aux_sym_send_env_token1] = ACTIONS(2441),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2441),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2441),
    [aux_sym_session_type_token1] = ACTIONS(2441),
    [aux_sym_set_env_token1] = ACTIONS(2441),
    [aux_sym_stdin_null_token1] = ACTIONS(2441),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2441),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2441),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2441),
    [aux_sym_syslog_facility_token1] = ACTIONS(2441),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2441),
    [aux_sym_keep_alive_token1] = ACTIONS(2441),
    [aux_sym_tag_token1] = ACTIONS(2441),
    [aux_sym_tunnel_token1] = ACTIONS(2443),
    [aux_sym_tunnel_device_token1] = ACTIONS(2441),
    [aux_sym_update_host_keys_token1] = ACTIONS(2441),
    [aux_sym_use_keychain_token1] = ACTIONS(2441),
    [aux_sym_use_roaming_token1] = ACTIONS(2441),
    [aux_sym_user_token1] = ACTIONS(2443),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2441),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2441),
    [aux_sym_visual_host_key_token1] = ACTIONS(2441),
    [aux_sym_xauth_location_token1] = ACTIONS(2441),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2447),
    [aux_sym_match_token1] = ACTIONS(2447),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2447),
    [aux_sym_address_family_token1] = ACTIONS(2447),
    [aux_sym_batch_mode_token1] = ACTIONS(2447),
    [aux_sym_bind_address_token1] = ACTIONS(2447),
    [aux_sym_bind_interface_token1] = ACTIONS(2447),
    [aux_sym_canonical_domains_token1] = ACTIONS(2447),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2447),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2447),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2447),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2447),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2447),
    [aux_sym_certificate_file_token1] = ACTIONS(2447),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2447),
    [aux_sym_channel_timeout_token1] = ACTIONS(2447),
    [aux_sym_check_host_ip_token1] = ACTIONS(2447),
    [aux_sym_ciphers_token1] = ACTIONS(2447),
    [aux_sym_cipher_token1] = ACTIONS(2449),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2447),
    [aux_sym_compression_token1] = ACTIONS(2447),
    [aux_sym_connection_attempts_token1] = ACTIONS(2447),
    [aux_sym_connect_timeout_token1] = ACTIONS(2447),
    [aux_sym_control_master_token1] = ACTIONS(2447),
    [aux_sym_control_path_token1] = ACTIONS(2447),
    [aux_sym_control_persist_token1] = ACTIONS(2447),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2447),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2447),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2447),
    [aux_sym_escape_char_token1] = ACTIONS(2447),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2447),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2447),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2447),
    [aux_sym_forward_agent_token1] = ACTIONS(2447),
    [aux_sym_forward_x11_token1] = ACTIONS(2449),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2447),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2447),
    [aux_sym_gateway_ports_token1] = ACTIONS(2447),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2447),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2447),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2447),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2447),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2447),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2447),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2447),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2447),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2447),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2447),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2447),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2447),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2447),
    [aux_sym_host_key_alias_token1] = ACTIONS(2447),
    [aux_sym_hostname_token1] = ACTIONS(2447),
    [aux_sym_identities_only_token1] = ACTIONS(2447),
    [aux_sym_identity_agent_token1] = ACTIONS(2447),
    [aux_sym_identity_file_token1] = ACTIONS(2447),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2447),
    [aux_sym_include_token1] = ACTIONS(2447),
    [aux_sym_ip_qos_token1] = ACTIONS(2447),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2447),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2447),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2447),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2447),
    [aux_sym_local_command_token1] = ACTIONS(2447),
    [aux_sym_local_forward_token1] = ACTIONS(2447),
    [aux_sym_log_level_token1] = ACTIONS(2447),
    [aux_sym_log_verbose_token1] = ACTIONS(2447),
    [aux_sym_macs_token1] = ACTIONS(2447),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2447),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2447),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2447),
    [aux_sym_password_authentication_token1] = ACTIONS(2447),
    [aux_sym_permit_local_command_token1] = ACTIONS(2447),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2447),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2447),
    [aux_sym_port_token1] = ACTIONS(2447),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2447),
    [aux_sym_protocol_token1] = ACTIONS(2447),
    [aux_sym_proxy_command_token1] = ACTIONS(2447),
    [aux_sym_proxy_jump_token1] = ACTIONS(2447),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2447),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2447),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2447),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2447),
    [aux_sym_rekey_limit_token1] = ACTIONS(2447),
    [aux_sym_remote_command_token1] = ACTIONS(2447),
    [aux_sym_remote_forward_token1] = ACTIONS(2447),
    [aux_sym_request_tty_token1] = ACTIONS(2447),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2447),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2447),
    [aux_sym_security_key_provider_token1] = ACTIONS(2447),
    [aux_sym_send_env_token1] = ACTIONS(2447),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2447),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2447),
    [aux_sym_session_type_token1] = ACTIONS(2447),
    [aux_sym_set_env_token1] = ACTIONS(2447),
    [aux_sym_stdin_null_token1] = ACTIONS(2447),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2447),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2447),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2447),
    [aux_sym_syslog_facility_token1] = ACTIONS(2447),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2447),
    [aux_sym_keep_alive_token1] = ACTIONS(2447),
    [aux_sym_tag_token1] = ACTIONS(2447),
    [aux_sym_tunnel_token1] = ACTIONS(2449),
    [aux_sym_tunnel_device_token1] = ACTIONS(2447),
    [aux_sym_update_host_keys_token1] = ACTIONS(2447),
    [aux_sym_use_keychain_token1] = ACTIONS(2447),
    [aux_sym_use_roaming_token1] = ACTIONS(2447),
    [aux_sym_user_token1] = ACTIONS(2449),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2447),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2447),
    [aux_sym_visual_host_key_token1] = ACTIONS(2447),
    [aux_sym_xauth_location_token1] = ACTIONS(2447),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(2451),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [aux_sym_match_token1] = ACTIONS(2451),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2451),
    [aux_sym_address_family_token1] = ACTIONS(2451),
    [aux_sym_batch_mode_token1] = ACTIONS(2451),
    [aux_sym_bind_address_token1] = ACTIONS(2451),
    [aux_sym_bind_interface_token1] = ACTIONS(2451),
    [aux_sym_canonical_domains_token1] = ACTIONS(2451),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2451),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2451),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2451),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2451),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2451),
    [aux_sym_certificate_file_token1] = ACTIONS(2451),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2451),
    [aux_sym_channel_timeout_token1] = ACTIONS(2451),
    [aux_sym_check_host_ip_token1] = ACTIONS(2451),
    [aux_sym_ciphers_token1] = ACTIONS(2451),
    [aux_sym_cipher_token1] = ACTIONS(2453),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2451),
    [aux_sym_compression_token1] = ACTIONS(2451),
    [aux_sym_connection_attempts_token1] = ACTIONS(2451),
    [aux_sym_connect_timeout_token1] = ACTIONS(2451),
    [aux_sym_control_master_token1] = ACTIONS(2451),
    [aux_sym_control_path_token1] = ACTIONS(2451),
    [aux_sym_control_persist_token1] = ACTIONS(2451),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2451),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2451),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2451),
    [aux_sym_escape_char_token1] = ACTIONS(2451),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2451),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2451),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2451),
    [aux_sym_forward_agent_token1] = ACTIONS(2451),
    [aux_sym_forward_x11_token1] = ACTIONS(2453),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2451),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2451),
    [aux_sym_gateway_ports_token1] = ACTIONS(2451),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2451),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2451),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2451),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2451),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2451),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2451),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2451),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2451),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2451),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2451),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2451),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2451),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2451),
    [aux_sym_host_key_alias_token1] = ACTIONS(2451),
    [aux_sym_hostname_token1] = ACTIONS(2451),
    [aux_sym_identities_only_token1] = ACTIONS(2451),
    [aux_sym_identity_agent_token1] = ACTIONS(2451),
    [aux_sym_identity_file_token1] = ACTIONS(2451),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2451),
    [aux_sym_include_token1] = ACTIONS(2451),
    [aux_sym_ip_qos_token1] = ACTIONS(2451),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2451),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2451),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2451),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2451),
    [aux_sym_local_command_token1] = ACTIONS(2451),
    [aux_sym_local_forward_token1] = ACTIONS(2451),
    [aux_sym_log_level_token1] = ACTIONS(2451),
    [aux_sym_log_verbose_token1] = ACTIONS(2451),
    [aux_sym_macs_token1] = ACTIONS(2451),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2451),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2451),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2451),
    [aux_sym_password_authentication_token1] = ACTIONS(2451),
    [aux_sym_permit_local_command_token1] = ACTIONS(2451),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2451),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2451),
    [aux_sym_port_token1] = ACTIONS(2451),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2451),
    [aux_sym_protocol_token1] = ACTIONS(2451),
    [aux_sym_proxy_command_token1] = ACTIONS(2451),
    [aux_sym_proxy_jump_token1] = ACTIONS(2451),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2451),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2451),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2451),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2451),
    [aux_sym_rekey_limit_token1] = ACTIONS(2451),
    [aux_sym_remote_command_token1] = ACTIONS(2451),
    [aux_sym_remote_forward_token1] = ACTIONS(2451),
    [aux_sym_request_tty_token1] = ACTIONS(2451),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2451),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2451),
    [aux_sym_security_key_provider_token1] = ACTIONS(2451),
    [aux_sym_send_env_token1] = ACTIONS(2451),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2451),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2451),
    [aux_sym_session_type_token1] = ACTIONS(2451),
    [aux_sym_set_env_token1] = ACTIONS(2451),
    [aux_sym_stdin_null_token1] = ACTIONS(2451),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2451),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2451),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2451),
    [aux_sym_syslog_facility_token1] = ACTIONS(2451),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2451),
    [aux_sym_keep_alive_token1] = ACTIONS(2451),
    [aux_sym_tag_token1] = ACTIONS(2451),
    [aux_sym_tunnel_token1] = ACTIONS(2453),
    [aux_sym_tunnel_device_token1] = ACTIONS(2451),
    [aux_sym_update_host_keys_token1] = ACTIONS(2451),
    [aux_sym_use_keychain_token1] = ACTIONS(2451),
    [aux_sym_use_roaming_token1] = ACTIONS(2451),
    [aux_sym_user_token1] = ACTIONS(2453),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2451),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2451),
    [aux_sym_visual_host_key_token1] = ACTIONS(2451),
    [aux_sym_xauth_location_token1] = ACTIONS(2451),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(2457),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2459),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [aux_sym_match_token1] = ACTIONS(2457),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2457),
    [aux_sym_address_family_token1] = ACTIONS(2457),
    [aux_sym_batch_mode_token1] = ACTIONS(2457),
    [aux_sym_bind_address_token1] = ACTIONS(2457),
    [aux_sym_bind_interface_token1] = ACTIONS(2457),
    [aux_sym_canonical_domains_token1] = ACTIONS(2457),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2457),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2457),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2457),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2457),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2457),
    [aux_sym_certificate_file_token1] = ACTIONS(2457),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2457),
    [aux_sym_channel_timeout_token1] = ACTIONS(2457),
    [aux_sym_check_host_ip_token1] = ACTIONS(2457),
    [aux_sym_ciphers_token1] = ACTIONS(2457),
    [aux_sym_cipher_token1] = ACTIONS(2459),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2457),
    [aux_sym_compression_token1] = ACTIONS(2457),
    [aux_sym_connection_attempts_token1] = ACTIONS(2457),
    [aux_sym_connect_timeout_token1] = ACTIONS(2457),
    [aux_sym_control_master_token1] = ACTIONS(2457),
    [aux_sym_control_path_token1] = ACTIONS(2457),
    [aux_sym_control_persist_token1] = ACTIONS(2457),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2457),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2457),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2457),
    [aux_sym_escape_char_token1] = ACTIONS(2457),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2457),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2457),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2457),
    [aux_sym_forward_agent_token1] = ACTIONS(2457),
    [aux_sym_forward_x11_token1] = ACTIONS(2459),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2457),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2457),
    [aux_sym_gateway_ports_token1] = ACTIONS(2457),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2457),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2457),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2457),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2457),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2457),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2457),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2457),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2457),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2457),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2457),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2457),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2457),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2457),
    [aux_sym_host_key_alias_token1] = ACTIONS(2457),
    [aux_sym_hostname_token1] = ACTIONS(2457),
    [aux_sym_identities_only_token1] = ACTIONS(2457),
    [aux_sym_identity_agent_token1] = ACTIONS(2457),
    [aux_sym_identity_file_token1] = ACTIONS(2457),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2457),
    [aux_sym_include_token1] = ACTIONS(2457),
    [aux_sym_ip_qos_token1] = ACTIONS(2457),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2457),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2457),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2457),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2457),
    [aux_sym_local_command_token1] = ACTIONS(2457),
    [aux_sym_local_forward_token1] = ACTIONS(2457),
    [aux_sym_log_level_token1] = ACTIONS(2457),
    [aux_sym_log_verbose_token1] = ACTIONS(2457),
    [aux_sym_macs_token1] = ACTIONS(2457),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2457),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2457),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2457),
    [aux_sym_password_authentication_token1] = ACTIONS(2457),
    [aux_sym_permit_local_command_token1] = ACTIONS(2457),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2457),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2457),
    [aux_sym_port_token1] = ACTIONS(2457),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2457),
    [aux_sym_protocol_token1] = ACTIONS(2457),
    [aux_sym_proxy_command_token1] = ACTIONS(2457),
    [aux_sym_proxy_jump_token1] = ACTIONS(2457),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2457),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2457),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2457),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2457),
    [aux_sym_rekey_limit_token1] = ACTIONS(2457),
    [aux_sym_remote_command_token1] = ACTIONS(2457),
    [aux_sym_remote_forward_token1] = ACTIONS(2457),
    [aux_sym_request_tty_token1] = ACTIONS(2457),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2457),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2457),
    [aux_sym_security_key_provider_token1] = ACTIONS(2457),
    [aux_sym_send_env_token1] = ACTIONS(2457),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2457),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2457),
    [aux_sym_session_type_token1] = ACTIONS(2457),
    [aux_sym_set_env_token1] = ACTIONS(2457),
    [aux_sym_stdin_null_token1] = ACTIONS(2457),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2457),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2457),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2457),
    [aux_sym_syslog_facility_token1] = ACTIONS(2457),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2457),
    [aux_sym_keep_alive_token1] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2457),
    [aux_sym_tunnel_token1] = ACTIONS(2459),
    [aux_sym_tunnel_device_token1] = ACTIONS(2457),
    [aux_sym_update_host_keys_token1] = ACTIONS(2457),
    [aux_sym_use_keychain_token1] = ACTIONS(2457),
    [aux_sym_use_roaming_token1] = ACTIONS(2457),
    [aux_sym_user_token1] = ACTIONS(2459),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2457),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2457),
    [aux_sym_visual_host_key_token1] = ACTIONS(2457),
    [aux_sym_xauth_location_token1] = ACTIONS(2457),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(2461),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2463),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [aux_sym_match_token1] = ACTIONS(2461),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2461),
    [aux_sym_address_family_token1] = ACTIONS(2461),
    [aux_sym_batch_mode_token1] = ACTIONS(2461),
    [aux_sym_bind_address_token1] = ACTIONS(2461),
    [aux_sym_bind_interface_token1] = ACTIONS(2461),
    [aux_sym_canonical_domains_token1] = ACTIONS(2461),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2461),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2461),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2461),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2461),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2461),
    [aux_sym_certificate_file_token1] = ACTIONS(2461),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2461),
    [aux_sym_channel_timeout_token1] = ACTIONS(2461),
    [aux_sym_check_host_ip_token1] = ACTIONS(2461),
    [aux_sym_ciphers_token1] = ACTIONS(2461),
    [aux_sym_cipher_token1] = ACTIONS(2463),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2461),
    [aux_sym_compression_token1] = ACTIONS(2461),
    [aux_sym_connection_attempts_token1] = ACTIONS(2461),
    [aux_sym_connect_timeout_token1] = ACTIONS(2461),
    [aux_sym_control_master_token1] = ACTIONS(2461),
    [aux_sym_control_path_token1] = ACTIONS(2461),
    [aux_sym_control_persist_token1] = ACTIONS(2461),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2461),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2461),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2461),
    [aux_sym_escape_char_token1] = ACTIONS(2461),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2461),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2461),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2461),
    [aux_sym_forward_agent_token1] = ACTIONS(2461),
    [aux_sym_forward_x11_token1] = ACTIONS(2463),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2461),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2461),
    [aux_sym_gateway_ports_token1] = ACTIONS(2461),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2461),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2461),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2461),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2461),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2461),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2461),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2461),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2461),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2461),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2461),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2461),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2461),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2461),
    [aux_sym_host_key_alias_token1] = ACTIONS(2461),
    [aux_sym_hostname_token1] = ACTIONS(2461),
    [aux_sym_identities_only_token1] = ACTIONS(2461),
    [aux_sym_identity_agent_token1] = ACTIONS(2461),
    [aux_sym_identity_file_token1] = ACTIONS(2461),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2461),
    [aux_sym_include_token1] = ACTIONS(2461),
    [aux_sym_ip_qos_token1] = ACTIONS(2461),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2461),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2461),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2461),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2461),
    [aux_sym_local_command_token1] = ACTIONS(2461),
    [aux_sym_local_forward_token1] = ACTIONS(2461),
    [aux_sym_log_level_token1] = ACTIONS(2461),
    [aux_sym_log_verbose_token1] = ACTIONS(2461),
    [aux_sym_macs_token1] = ACTIONS(2461),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2461),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2461),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2461),
    [aux_sym_password_authentication_token1] = ACTIONS(2461),
    [aux_sym_permit_local_command_token1] = ACTIONS(2461),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2461),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2461),
    [aux_sym_port_token1] = ACTIONS(2461),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2461),
    [aux_sym_protocol_token1] = ACTIONS(2461),
    [aux_sym_proxy_command_token1] = ACTIONS(2461),
    [aux_sym_proxy_jump_token1] = ACTIONS(2461),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2461),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2461),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2461),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2461),
    [aux_sym_rekey_limit_token1] = ACTIONS(2461),
    [aux_sym_remote_command_token1] = ACTIONS(2461),
    [aux_sym_remote_forward_token1] = ACTIONS(2461),
    [aux_sym_request_tty_token1] = ACTIONS(2461),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2461),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2461),
    [aux_sym_security_key_provider_token1] = ACTIONS(2461),
    [aux_sym_send_env_token1] = ACTIONS(2461),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2461),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2461),
    [aux_sym_session_type_token1] = ACTIONS(2461),
    [aux_sym_set_env_token1] = ACTIONS(2461),
    [aux_sym_stdin_null_token1] = ACTIONS(2461),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2461),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2461),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2461),
    [aux_sym_syslog_facility_token1] = ACTIONS(2461),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2461),
    [aux_sym_keep_alive_token1] = ACTIONS(2461),
    [aux_sym_tag_token1] = ACTIONS(2461),
    [aux_sym_tunnel_token1] = ACTIONS(2463),
    [aux_sym_tunnel_device_token1] = ACTIONS(2461),
    [aux_sym_update_host_keys_token1] = ACTIONS(2461),
    [aux_sym_use_keychain_token1] = ACTIONS(2461),
    [aux_sym_use_roaming_token1] = ACTIONS(2461),
    [aux_sym_user_token1] = ACTIONS(2463),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2461),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2461),
    [aux_sym_visual_host_key_token1] = ACTIONS(2461),
    [aux_sym_xauth_location_token1] = ACTIONS(2461),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(2467),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2467),
    [aux_sym_match_token1] = ACTIONS(2467),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2467),
    [aux_sym_address_family_token1] = ACTIONS(2467),
    [aux_sym_batch_mode_token1] = ACTIONS(2467),
    [aux_sym_bind_address_token1] = ACTIONS(2467),
    [aux_sym_bind_interface_token1] = ACTIONS(2467),
    [aux_sym_canonical_domains_token1] = ACTIONS(2467),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2467),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2467),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2467),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2467),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2467),
    [aux_sym_certificate_file_token1] = ACTIONS(2467),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2467),
    [aux_sym_channel_timeout_token1] = ACTIONS(2467),
    [aux_sym_check_host_ip_token1] = ACTIONS(2467),
    [aux_sym_ciphers_token1] = ACTIONS(2467),
    [aux_sym_cipher_token1] = ACTIONS(2469),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2467),
    [aux_sym_compression_token1] = ACTIONS(2467),
    [aux_sym_connection_attempts_token1] = ACTIONS(2467),
    [aux_sym_connect_timeout_token1] = ACTIONS(2467),
    [aux_sym_control_master_token1] = ACTIONS(2467),
    [aux_sym_control_path_token1] = ACTIONS(2467),
    [aux_sym_control_persist_token1] = ACTIONS(2467),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2467),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2467),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2467),
    [aux_sym_escape_char_token1] = ACTIONS(2467),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2467),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2467),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2467),
    [aux_sym_forward_agent_token1] = ACTIONS(2467),
    [aux_sym_forward_x11_token1] = ACTIONS(2469),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2467),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2467),
    [aux_sym_gateway_ports_token1] = ACTIONS(2467),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2467),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2467),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2467),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2467),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2467),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2467),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2467),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2467),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2467),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2467),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2467),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2467),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2467),
    [aux_sym_host_key_alias_token1] = ACTIONS(2467),
    [aux_sym_hostname_token1] = ACTIONS(2467),
    [aux_sym_identities_only_token1] = ACTIONS(2467),
    [aux_sym_identity_agent_token1] = ACTIONS(2467),
    [aux_sym_identity_file_token1] = ACTIONS(2467),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2467),
    [aux_sym_include_token1] = ACTIONS(2467),
    [aux_sym_ip_qos_token1] = ACTIONS(2467),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2467),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2467),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2467),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2467),
    [aux_sym_local_command_token1] = ACTIONS(2467),
    [aux_sym_local_forward_token1] = ACTIONS(2467),
    [aux_sym_log_level_token1] = ACTIONS(2467),
    [aux_sym_log_verbose_token1] = ACTIONS(2467),
    [aux_sym_macs_token1] = ACTIONS(2467),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2467),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2467),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2467),
    [aux_sym_password_authentication_token1] = ACTIONS(2467),
    [aux_sym_permit_local_command_token1] = ACTIONS(2467),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2467),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2467),
    [aux_sym_port_token1] = ACTIONS(2467),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2467),
    [aux_sym_protocol_token1] = ACTIONS(2467),
    [aux_sym_proxy_command_token1] = ACTIONS(2467),
    [aux_sym_proxy_jump_token1] = ACTIONS(2467),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2467),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2467),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2467),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2467),
    [aux_sym_rekey_limit_token1] = ACTIONS(2467),
    [aux_sym_remote_command_token1] = ACTIONS(2467),
    [aux_sym_remote_forward_token1] = ACTIONS(2467),
    [aux_sym_request_tty_token1] = ACTIONS(2467),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2467),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2467),
    [aux_sym_security_key_provider_token1] = ACTIONS(2467),
    [aux_sym_send_env_token1] = ACTIONS(2467),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2467),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2467),
    [aux_sym_session_type_token1] = ACTIONS(2467),
    [aux_sym_set_env_token1] = ACTIONS(2467),
    [aux_sym_stdin_null_token1] = ACTIONS(2467),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2467),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2467),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2467),
    [aux_sym_syslog_facility_token1] = ACTIONS(2467),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2467),
    [aux_sym_keep_alive_token1] = ACTIONS(2467),
    [aux_sym_tag_token1] = ACTIONS(2467),
    [aux_sym_tunnel_token1] = ACTIONS(2469),
    [aux_sym_tunnel_device_token1] = ACTIONS(2467),
    [aux_sym_update_host_keys_token1] = ACTIONS(2467),
    [aux_sym_use_keychain_token1] = ACTIONS(2467),
    [aux_sym_use_roaming_token1] = ACTIONS(2467),
    [aux_sym_user_token1] = ACTIONS(2469),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2467),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2467),
    [aux_sym_visual_host_key_token1] = ACTIONS(2467),
    [aux_sym_xauth_location_token1] = ACTIONS(2467),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2473),
    [anon_sym_DQUOTE] = ACTIONS(2475),
    [aux_sym_match_token1] = ACTIONS(2471),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2471),
    [aux_sym_address_family_token1] = ACTIONS(2471),
    [aux_sym_batch_mode_token1] = ACTIONS(2471),
    [aux_sym_bind_address_token1] = ACTIONS(2471),
    [aux_sym_bind_interface_token1] = ACTIONS(2471),
    [aux_sym_canonical_domains_token1] = ACTIONS(2471),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2471),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2471),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2471),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2471),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2471),
    [aux_sym_certificate_file_token1] = ACTIONS(2471),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2471),
    [aux_sym_channel_timeout_token1] = ACTIONS(2471),
    [aux_sym_check_host_ip_token1] = ACTIONS(2471),
    [aux_sym_ciphers_token1] = ACTIONS(2471),
    [aux_sym_cipher_token1] = ACTIONS(2473),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2471),
    [aux_sym_compression_token1] = ACTIONS(2471),
    [aux_sym_connection_attempts_token1] = ACTIONS(2471),
    [aux_sym_connect_timeout_token1] = ACTIONS(2471),
    [aux_sym_control_master_token1] = ACTIONS(2471),
    [aux_sym_control_path_token1] = ACTIONS(2471),
    [aux_sym_control_persist_token1] = ACTIONS(2471),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2471),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2471),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2471),
    [aux_sym_escape_char_token1] = ACTIONS(2471),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2471),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2471),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2471),
    [aux_sym_forward_agent_token1] = ACTIONS(2471),
    [aux_sym_forward_x11_token1] = ACTIONS(2473),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2471),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2471),
    [aux_sym_gateway_ports_token1] = ACTIONS(2471),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2471),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2471),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2471),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2471),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2471),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2471),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2471),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2471),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2471),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2471),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2471),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2471),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2471),
    [aux_sym_host_key_alias_token1] = ACTIONS(2471),
    [aux_sym_hostname_token1] = ACTIONS(2471),
    [aux_sym_identities_only_token1] = ACTIONS(2471),
    [aux_sym_identity_agent_token1] = ACTIONS(2471),
    [aux_sym_identity_file_token1] = ACTIONS(2471),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2471),
    [aux_sym_include_token1] = ACTIONS(2471),
    [aux_sym_ip_qos_token1] = ACTIONS(2471),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2471),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2471),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2471),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2471),
    [aux_sym_local_command_token1] = ACTIONS(2471),
    [aux_sym_local_forward_token1] = ACTIONS(2471),
    [aux_sym_log_level_token1] = ACTIONS(2471),
    [aux_sym_log_verbose_token1] = ACTIONS(2471),
    [aux_sym_macs_token1] = ACTIONS(2471),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2471),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2471),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2471),
    [aux_sym_password_authentication_token1] = ACTIONS(2471),
    [aux_sym_permit_local_command_token1] = ACTIONS(2471),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2471),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2471),
    [aux_sym_port_token1] = ACTIONS(2471),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2471),
    [aux_sym_protocol_token1] = ACTIONS(2471),
    [aux_sym_proxy_command_token1] = ACTIONS(2471),
    [aux_sym_proxy_jump_token1] = ACTIONS(2471),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2471),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2471),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2471),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2471),
    [aux_sym_rekey_limit_token1] = ACTIONS(2471),
    [aux_sym_remote_command_token1] = ACTIONS(2471),
    [aux_sym_remote_forward_token1] = ACTIONS(2471),
    [aux_sym_request_tty_token1] = ACTIONS(2471),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2471),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2471),
    [aux_sym_security_key_provider_token1] = ACTIONS(2471),
    [aux_sym_send_env_token1] = ACTIONS(2471),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2471),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2471),
    [aux_sym_session_type_token1] = ACTIONS(2471),
    [aux_sym_set_env_token1] = ACTIONS(2471),
    [aux_sym_stdin_null_token1] = ACTIONS(2471),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2471),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2471),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2471),
    [aux_sym_syslog_facility_token1] = ACTIONS(2471),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2471),
    [aux_sym_keep_alive_token1] = ACTIONS(2471),
    [aux_sym_tag_token1] = ACTIONS(2471),
    [aux_sym_tunnel_token1] = ACTIONS(2473),
    [aux_sym_tunnel_device_token1] = ACTIONS(2471),
    [aux_sym_update_host_keys_token1] = ACTIONS(2471),
    [aux_sym_use_keychain_token1] = ACTIONS(2471),
    [aux_sym_use_roaming_token1] = ACTIONS(2471),
    [aux_sym_user_token1] = ACTIONS(2473),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2471),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2471),
    [aux_sym_visual_host_key_token1] = ACTIONS(2471),
    [aux_sym_xauth_location_token1] = ACTIONS(2471),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(2477),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2479),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [aux_sym_match_token1] = ACTIONS(2477),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2477),
    [aux_sym_address_family_token1] = ACTIONS(2477),
    [aux_sym_batch_mode_token1] = ACTIONS(2477),
    [aux_sym_bind_address_token1] = ACTIONS(2477),
    [aux_sym_bind_interface_token1] = ACTIONS(2477),
    [aux_sym_canonical_domains_token1] = ACTIONS(2477),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2477),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2477),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2477),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2477),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2477),
    [aux_sym_certificate_file_token1] = ACTIONS(2477),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2477),
    [aux_sym_channel_timeout_token1] = ACTIONS(2477),
    [aux_sym_check_host_ip_token1] = ACTIONS(2477),
    [aux_sym_ciphers_token1] = ACTIONS(2477),
    [aux_sym_cipher_token1] = ACTIONS(2479),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2477),
    [aux_sym_compression_token1] = ACTIONS(2477),
    [aux_sym_connection_attempts_token1] = ACTIONS(2477),
    [aux_sym_connect_timeout_token1] = ACTIONS(2477),
    [aux_sym_control_master_token1] = ACTIONS(2477),
    [aux_sym_control_path_token1] = ACTIONS(2477),
    [aux_sym_control_persist_token1] = ACTIONS(2477),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2477),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2477),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2477),
    [aux_sym_escape_char_token1] = ACTIONS(2477),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2477),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2477),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2477),
    [aux_sym_forward_agent_token1] = ACTIONS(2477),
    [aux_sym_forward_x11_token1] = ACTIONS(2479),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2477),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2477),
    [aux_sym_gateway_ports_token1] = ACTIONS(2477),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2477),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2477),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2477),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2477),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2477),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2477),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2477),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2477),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2477),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2477),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2477),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2477),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2477),
    [aux_sym_host_key_alias_token1] = ACTIONS(2477),
    [aux_sym_hostname_token1] = ACTIONS(2477),
    [aux_sym_identities_only_token1] = ACTIONS(2477),
    [aux_sym_identity_agent_token1] = ACTIONS(2477),
    [aux_sym_identity_file_token1] = ACTIONS(2477),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2477),
    [aux_sym_include_token1] = ACTIONS(2477),
    [aux_sym_ip_qos_token1] = ACTIONS(2477),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2477),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2477),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2477),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2477),
    [aux_sym_local_command_token1] = ACTIONS(2477),
    [aux_sym_local_forward_token1] = ACTIONS(2477),
    [aux_sym_log_level_token1] = ACTIONS(2477),
    [aux_sym_log_verbose_token1] = ACTIONS(2477),
    [aux_sym_macs_token1] = ACTIONS(2477),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2477),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2477),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2477),
    [aux_sym_password_authentication_token1] = ACTIONS(2477),
    [aux_sym_permit_local_command_token1] = ACTIONS(2477),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2477),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2477),
    [aux_sym_port_token1] = ACTIONS(2477),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2477),
    [aux_sym_protocol_token1] = ACTIONS(2477),
    [aux_sym_proxy_command_token1] = ACTIONS(2477),
    [aux_sym_proxy_jump_token1] = ACTIONS(2477),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2477),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2477),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2477),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2477),
    [aux_sym_rekey_limit_token1] = ACTIONS(2477),
    [aux_sym_remote_command_token1] = ACTIONS(2477),
    [aux_sym_remote_forward_token1] = ACTIONS(2477),
    [aux_sym_request_tty_token1] = ACTIONS(2477),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2477),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2477),
    [aux_sym_security_key_provider_token1] = ACTIONS(2477),
    [aux_sym_send_env_token1] = ACTIONS(2477),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2477),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2477),
    [aux_sym_session_type_token1] = ACTIONS(2477),
    [aux_sym_set_env_token1] = ACTIONS(2477),
    [aux_sym_stdin_null_token1] = ACTIONS(2477),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2477),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2477),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2477),
    [aux_sym_syslog_facility_token1] = ACTIONS(2477),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2477),
    [aux_sym_keep_alive_token1] = ACTIONS(2477),
    [aux_sym_tag_token1] = ACTIONS(2477),
    [aux_sym_tunnel_token1] = ACTIONS(2479),
    [aux_sym_tunnel_device_token1] = ACTIONS(2477),
    [aux_sym_update_host_keys_token1] = ACTIONS(2477),
    [aux_sym_use_keychain_token1] = ACTIONS(2477),
    [aux_sym_use_roaming_token1] = ACTIONS(2477),
    [aux_sym_user_token1] = ACTIONS(2479),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2477),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2477),
    [aux_sym_visual_host_key_token1] = ACTIONS(2477),
    [aux_sym_xauth_location_token1] = ACTIONS(2477),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(2481),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2483),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [aux_sym_match_token1] = ACTIONS(2481),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2481),
    [aux_sym_address_family_token1] = ACTIONS(2481),
    [aux_sym_batch_mode_token1] = ACTIONS(2481),
    [aux_sym_bind_address_token1] = ACTIONS(2481),
    [aux_sym_bind_interface_token1] = ACTIONS(2481),
    [aux_sym_canonical_domains_token1] = ACTIONS(2481),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2481),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2481),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2481),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2481),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2481),
    [aux_sym_certificate_file_token1] = ACTIONS(2481),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2481),
    [aux_sym_channel_timeout_token1] = ACTIONS(2481),
    [aux_sym_check_host_ip_token1] = ACTIONS(2481),
    [aux_sym_ciphers_token1] = ACTIONS(2481),
    [aux_sym_cipher_token1] = ACTIONS(2483),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2481),
    [aux_sym_compression_token1] = ACTIONS(2481),
    [aux_sym_connection_attempts_token1] = ACTIONS(2481),
    [aux_sym_connect_timeout_token1] = ACTIONS(2481),
    [aux_sym_control_master_token1] = ACTIONS(2481),
    [aux_sym_control_path_token1] = ACTIONS(2481),
    [aux_sym_control_persist_token1] = ACTIONS(2481),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2481),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2481),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2481),
    [aux_sym_escape_char_token1] = ACTIONS(2481),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2481),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2481),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2481),
    [aux_sym_forward_agent_token1] = ACTIONS(2481),
    [aux_sym_forward_x11_token1] = ACTIONS(2483),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2481),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2481),
    [aux_sym_gateway_ports_token1] = ACTIONS(2481),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2481),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2481),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2481),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2481),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2481),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2481),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2481),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2481),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2481),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2481),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2481),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2481),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2481),
    [aux_sym_host_key_alias_token1] = ACTIONS(2481),
    [aux_sym_hostname_token1] = ACTIONS(2481),
    [aux_sym_identities_only_token1] = ACTIONS(2481),
    [aux_sym_identity_agent_token1] = ACTIONS(2481),
    [aux_sym_identity_file_token1] = ACTIONS(2481),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2481),
    [aux_sym_include_token1] = ACTIONS(2481),
    [aux_sym_ip_qos_token1] = ACTIONS(2481),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2481),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2481),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2481),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2481),
    [aux_sym_local_command_token1] = ACTIONS(2481),
    [aux_sym_local_forward_token1] = ACTIONS(2481),
    [aux_sym_log_level_token1] = ACTIONS(2481),
    [aux_sym_log_verbose_token1] = ACTIONS(2481),
    [aux_sym_macs_token1] = ACTIONS(2481),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2481),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2481),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2481),
    [aux_sym_password_authentication_token1] = ACTIONS(2481),
    [aux_sym_permit_local_command_token1] = ACTIONS(2481),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2481),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2481),
    [aux_sym_port_token1] = ACTIONS(2481),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2481),
    [aux_sym_protocol_token1] = ACTIONS(2481),
    [aux_sym_proxy_command_token1] = ACTIONS(2481),
    [aux_sym_proxy_jump_token1] = ACTIONS(2481),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2481),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2481),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2481),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2481),
    [aux_sym_rekey_limit_token1] = ACTIONS(2481),
    [aux_sym_remote_command_token1] = ACTIONS(2481),
    [aux_sym_remote_forward_token1] = ACTIONS(2481),
    [aux_sym_request_tty_token1] = ACTIONS(2481),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2481),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2481),
    [aux_sym_security_key_provider_token1] = ACTIONS(2481),
    [aux_sym_send_env_token1] = ACTIONS(2481),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2481),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2481),
    [aux_sym_session_type_token1] = ACTIONS(2481),
    [aux_sym_set_env_token1] = ACTIONS(2481),
    [aux_sym_stdin_null_token1] = ACTIONS(2481),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2481),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2481),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2481),
    [aux_sym_syslog_facility_token1] = ACTIONS(2481),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2481),
    [aux_sym_keep_alive_token1] = ACTIONS(2481),
    [aux_sym_tag_token1] = ACTIONS(2481),
    [aux_sym_tunnel_token1] = ACTIONS(2483),
    [aux_sym_tunnel_device_token1] = ACTIONS(2481),
    [aux_sym_update_host_keys_token1] = ACTIONS(2481),
    [aux_sym_use_keychain_token1] = ACTIONS(2481),
    [aux_sym_use_roaming_token1] = ACTIONS(2481),
    [aux_sym_user_token1] = ACTIONS(2483),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2481),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2481),
    [aux_sym_visual_host_key_token1] = ACTIONS(2481),
    [aux_sym_xauth_location_token1] = ACTIONS(2481),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2487),
    [aux_sym_match_token1] = ACTIONS(2487),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2487),
    [aux_sym_address_family_token1] = ACTIONS(2487),
    [aux_sym_batch_mode_token1] = ACTIONS(2487),
    [aux_sym_bind_address_token1] = ACTIONS(2487),
    [aux_sym_bind_interface_token1] = ACTIONS(2487),
    [aux_sym_canonical_domains_token1] = ACTIONS(2487),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2487),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2487),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2487),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2487),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2487),
    [aux_sym_certificate_file_token1] = ACTIONS(2487),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2487),
    [aux_sym_channel_timeout_token1] = ACTIONS(2487),
    [aux_sym_check_host_ip_token1] = ACTIONS(2487),
    [aux_sym_ciphers_token1] = ACTIONS(2487),
    [aux_sym_cipher_token1] = ACTIONS(2489),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2487),
    [aux_sym_compression_token1] = ACTIONS(2487),
    [aux_sym_connection_attempts_token1] = ACTIONS(2487),
    [aux_sym_connect_timeout_token1] = ACTIONS(2487),
    [aux_sym_control_master_token1] = ACTIONS(2487),
    [aux_sym_control_path_token1] = ACTIONS(2487),
    [aux_sym_control_persist_token1] = ACTIONS(2487),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2487),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2487),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2487),
    [aux_sym_escape_char_token1] = ACTIONS(2487),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2487),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2487),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2487),
    [aux_sym_forward_agent_token1] = ACTIONS(2487),
    [aux_sym_forward_x11_token1] = ACTIONS(2489),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2487),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2487),
    [aux_sym_gateway_ports_token1] = ACTIONS(2487),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2487),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2487),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2487),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2487),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2487),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2487),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2487),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2487),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2487),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2487),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2487),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2487),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2487),
    [aux_sym_host_key_alias_token1] = ACTIONS(2487),
    [aux_sym_hostname_token1] = ACTIONS(2487),
    [aux_sym_identities_only_token1] = ACTIONS(2487),
    [aux_sym_identity_agent_token1] = ACTIONS(2487),
    [aux_sym_identity_file_token1] = ACTIONS(2487),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2487),
    [aux_sym_include_token1] = ACTIONS(2487),
    [aux_sym_ip_qos_token1] = ACTIONS(2487),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2487),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2487),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2487),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2487),
    [aux_sym_local_command_token1] = ACTIONS(2487),
    [aux_sym_local_forward_token1] = ACTIONS(2487),
    [aux_sym_log_level_token1] = ACTIONS(2487),
    [aux_sym_log_verbose_token1] = ACTIONS(2487),
    [aux_sym_macs_token1] = ACTIONS(2487),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2487),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2487),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2487),
    [aux_sym_password_authentication_token1] = ACTIONS(2487),
    [aux_sym_permit_local_command_token1] = ACTIONS(2487),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2487),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2487),
    [aux_sym_port_token1] = ACTIONS(2487),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2487),
    [aux_sym_protocol_token1] = ACTIONS(2487),
    [aux_sym_proxy_command_token1] = ACTIONS(2487),
    [aux_sym_proxy_jump_token1] = ACTIONS(2487),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2487),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2487),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2487),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2487),
    [aux_sym_rekey_limit_token1] = ACTIONS(2487),
    [aux_sym_remote_command_token1] = ACTIONS(2487),
    [aux_sym_remote_forward_token1] = ACTIONS(2487),
    [aux_sym_request_tty_token1] = ACTIONS(2487),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2487),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2487),
    [aux_sym_security_key_provider_token1] = ACTIONS(2487),
    [aux_sym_send_env_token1] = ACTIONS(2487),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2487),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2487),
    [aux_sym_session_type_token1] = ACTIONS(2487),
    [aux_sym_set_env_token1] = ACTIONS(2487),
    [aux_sym_stdin_null_token1] = ACTIONS(2487),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2487),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2487),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2487),
    [aux_sym_syslog_facility_token1] = ACTIONS(2487),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2487),
    [aux_sym_keep_alive_token1] = ACTIONS(2487),
    [aux_sym_tag_token1] = ACTIONS(2487),
    [aux_sym_tunnel_token1] = ACTIONS(2489),
    [aux_sym_tunnel_device_token1] = ACTIONS(2487),
    [aux_sym_update_host_keys_token1] = ACTIONS(2487),
    [aux_sym_use_keychain_token1] = ACTIONS(2487),
    [aux_sym_use_roaming_token1] = ACTIONS(2487),
    [aux_sym_user_token1] = ACTIONS(2489),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2487),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2487),
    [aux_sym_visual_host_key_token1] = ACTIONS(2487),
    [aux_sym_xauth_location_token1] = ACTIONS(2487),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2493),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [aux_sym_match_token1] = ACTIONS(2491),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2491),
    [aux_sym_address_family_token1] = ACTIONS(2491),
    [aux_sym_batch_mode_token1] = ACTIONS(2491),
    [aux_sym_bind_address_token1] = ACTIONS(2491),
    [aux_sym_bind_interface_token1] = ACTIONS(2491),
    [aux_sym_canonical_domains_token1] = ACTIONS(2491),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2491),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2491),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2491),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2491),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2491),
    [aux_sym_certificate_file_token1] = ACTIONS(2491),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2491),
    [aux_sym_channel_timeout_token1] = ACTIONS(2491),
    [aux_sym_check_host_ip_token1] = ACTIONS(2491),
    [aux_sym_ciphers_token1] = ACTIONS(2491),
    [aux_sym_cipher_token1] = ACTIONS(2493),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2491),
    [aux_sym_compression_token1] = ACTIONS(2491),
    [aux_sym_connection_attempts_token1] = ACTIONS(2491),
    [aux_sym_connect_timeout_token1] = ACTIONS(2491),
    [aux_sym_control_master_token1] = ACTIONS(2491),
    [aux_sym_control_path_token1] = ACTIONS(2491),
    [aux_sym_control_persist_token1] = ACTIONS(2491),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2491),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2491),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2491),
    [aux_sym_escape_char_token1] = ACTIONS(2491),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2491),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2491),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2491),
    [aux_sym_forward_agent_token1] = ACTIONS(2491),
    [aux_sym_forward_x11_token1] = ACTIONS(2493),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2491),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2491),
    [aux_sym_gateway_ports_token1] = ACTIONS(2491),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2491),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2491),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2491),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2491),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2491),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2491),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2491),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2491),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2491),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2491),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2491),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2491),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2491),
    [aux_sym_host_key_alias_token1] = ACTIONS(2491),
    [aux_sym_hostname_token1] = ACTIONS(2491),
    [aux_sym_identities_only_token1] = ACTIONS(2491),
    [aux_sym_identity_agent_token1] = ACTIONS(2491),
    [aux_sym_identity_file_token1] = ACTIONS(2491),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2491),
    [aux_sym_include_token1] = ACTIONS(2491),
    [aux_sym_ip_qos_token1] = ACTIONS(2491),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2491),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2491),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2491),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2491),
    [aux_sym_local_command_token1] = ACTIONS(2491),
    [aux_sym_local_forward_token1] = ACTIONS(2491),
    [aux_sym_log_level_token1] = ACTIONS(2491),
    [aux_sym_log_verbose_token1] = ACTIONS(2491),
    [aux_sym_macs_token1] = ACTIONS(2491),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2491),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2491),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2491),
    [aux_sym_password_authentication_token1] = ACTIONS(2491),
    [aux_sym_permit_local_command_token1] = ACTIONS(2491),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2491),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2491),
    [aux_sym_port_token1] = ACTIONS(2491),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2491),
    [aux_sym_protocol_token1] = ACTIONS(2491),
    [aux_sym_proxy_command_token1] = ACTIONS(2491),
    [aux_sym_proxy_jump_token1] = ACTIONS(2491),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2491),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2491),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2491),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2491),
    [aux_sym_rekey_limit_token1] = ACTIONS(2491),
    [aux_sym_remote_command_token1] = ACTIONS(2491),
    [aux_sym_remote_forward_token1] = ACTIONS(2491),
    [aux_sym_request_tty_token1] = ACTIONS(2491),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2491),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2491),
    [aux_sym_security_key_provider_token1] = ACTIONS(2491),
    [aux_sym_send_env_token1] = ACTIONS(2491),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2491),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2491),
    [aux_sym_session_type_token1] = ACTIONS(2491),
    [aux_sym_set_env_token1] = ACTIONS(2491),
    [aux_sym_stdin_null_token1] = ACTIONS(2491),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2491),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2491),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2491),
    [aux_sym_syslog_facility_token1] = ACTIONS(2491),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2491),
    [aux_sym_keep_alive_token1] = ACTIONS(2491),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [aux_sym_tunnel_token1] = ACTIONS(2493),
    [aux_sym_tunnel_device_token1] = ACTIONS(2491),
    [aux_sym_update_host_keys_token1] = ACTIONS(2491),
    [aux_sym_use_keychain_token1] = ACTIONS(2491),
    [aux_sym_use_roaming_token1] = ACTIONS(2491),
    [aux_sym_user_token1] = ACTIONS(2493),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2491),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2491),
    [aux_sym_visual_host_key_token1] = ACTIONS(2491),
    [aux_sym_xauth_location_token1] = ACTIONS(2491),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2497),
    [aux_sym_match_token1] = ACTIONS(2497),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2497),
    [aux_sym_address_family_token1] = ACTIONS(2497),
    [aux_sym_batch_mode_token1] = ACTIONS(2497),
    [aux_sym_bind_address_token1] = ACTIONS(2497),
    [aux_sym_bind_interface_token1] = ACTIONS(2497),
    [aux_sym_canonical_domains_token1] = ACTIONS(2497),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2497),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2497),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2497),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2497),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2497),
    [aux_sym_certificate_file_token1] = ACTIONS(2497),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2497),
    [aux_sym_channel_timeout_token1] = ACTIONS(2497),
    [aux_sym_check_host_ip_token1] = ACTIONS(2497),
    [aux_sym_ciphers_token1] = ACTIONS(2497),
    [aux_sym_cipher_token1] = ACTIONS(2499),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2497),
    [aux_sym_compression_token1] = ACTIONS(2497),
    [aux_sym_connection_attempts_token1] = ACTIONS(2497),
    [aux_sym_connect_timeout_token1] = ACTIONS(2497),
    [aux_sym_control_master_token1] = ACTIONS(2497),
    [aux_sym_control_path_token1] = ACTIONS(2497),
    [aux_sym_control_persist_token1] = ACTIONS(2497),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2497),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2497),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2497),
    [aux_sym_escape_char_token1] = ACTIONS(2497),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2497),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2497),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2497),
    [aux_sym_forward_agent_token1] = ACTIONS(2497),
    [aux_sym_forward_x11_token1] = ACTIONS(2499),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2497),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2497),
    [aux_sym_gateway_ports_token1] = ACTIONS(2497),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2497),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2497),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2497),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2497),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2497),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2497),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2497),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2497),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2497),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2497),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2497),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2497),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2497),
    [aux_sym_host_key_alias_token1] = ACTIONS(2497),
    [aux_sym_hostname_token1] = ACTIONS(2497),
    [aux_sym_identities_only_token1] = ACTIONS(2497),
    [aux_sym_identity_agent_token1] = ACTIONS(2497),
    [aux_sym_identity_file_token1] = ACTIONS(2497),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2497),
    [aux_sym_include_token1] = ACTIONS(2497),
    [aux_sym_ip_qos_token1] = ACTIONS(2497),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2497),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2497),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2497),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2497),
    [aux_sym_local_command_token1] = ACTIONS(2497),
    [aux_sym_local_forward_token1] = ACTIONS(2497),
    [aux_sym_log_level_token1] = ACTIONS(2497),
    [aux_sym_log_verbose_token1] = ACTIONS(2497),
    [aux_sym_macs_token1] = ACTIONS(2497),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2497),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2497),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2497),
    [aux_sym_password_authentication_token1] = ACTIONS(2497),
    [aux_sym_permit_local_command_token1] = ACTIONS(2497),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2497),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2497),
    [aux_sym_port_token1] = ACTIONS(2497),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2497),
    [aux_sym_protocol_token1] = ACTIONS(2497),
    [aux_sym_proxy_command_token1] = ACTIONS(2497),
    [aux_sym_proxy_jump_token1] = ACTIONS(2497),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2497),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2497),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2497),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2497),
    [aux_sym_rekey_limit_token1] = ACTIONS(2497),
    [aux_sym_remote_command_token1] = ACTIONS(2497),
    [aux_sym_remote_forward_token1] = ACTIONS(2497),
    [aux_sym_request_tty_token1] = ACTIONS(2497),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2497),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2497),
    [aux_sym_security_key_provider_token1] = ACTIONS(2497),
    [aux_sym_send_env_token1] = ACTIONS(2497),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2497),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2497),
    [aux_sym_session_type_token1] = ACTIONS(2497),
    [aux_sym_set_env_token1] = ACTIONS(2497),
    [aux_sym_stdin_null_token1] = ACTIONS(2497),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2497),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2497),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2497),
    [aux_sym_syslog_facility_token1] = ACTIONS(2497),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2497),
    [aux_sym_keep_alive_token1] = ACTIONS(2497),
    [aux_sym_tag_token1] = ACTIONS(2497),
    [aux_sym_tunnel_token1] = ACTIONS(2499),
    [aux_sym_tunnel_device_token1] = ACTIONS(2497),
    [aux_sym_update_host_keys_token1] = ACTIONS(2497),
    [aux_sym_use_keychain_token1] = ACTIONS(2497),
    [aux_sym_use_roaming_token1] = ACTIONS(2497),
    [aux_sym_user_token1] = ACTIONS(2499),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2497),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2497),
    [aux_sym_visual_host_key_token1] = ACTIONS(2497),
    [aux_sym_xauth_location_token1] = ACTIONS(2497),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(2501),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [aux_sym_match_token1] = ACTIONS(2501),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2501),
    [aux_sym_address_family_token1] = ACTIONS(2501),
    [aux_sym_batch_mode_token1] = ACTIONS(2501),
    [aux_sym_bind_address_token1] = ACTIONS(2501),
    [aux_sym_bind_interface_token1] = ACTIONS(2501),
    [aux_sym_canonical_domains_token1] = ACTIONS(2501),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2501),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2501),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2501),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2501),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2501),
    [aux_sym_certificate_file_token1] = ACTIONS(2501),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2501),
    [aux_sym_channel_timeout_token1] = ACTIONS(2501),
    [aux_sym_check_host_ip_token1] = ACTIONS(2501),
    [aux_sym_ciphers_token1] = ACTIONS(2501),
    [aux_sym_cipher_token1] = ACTIONS(2503),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2501),
    [aux_sym_compression_token1] = ACTIONS(2501),
    [aux_sym_connection_attempts_token1] = ACTIONS(2501),
    [aux_sym_connect_timeout_token1] = ACTIONS(2501),
    [aux_sym_control_master_token1] = ACTIONS(2501),
    [aux_sym_control_path_token1] = ACTIONS(2501),
    [aux_sym_control_persist_token1] = ACTIONS(2501),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2501),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2501),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2501),
    [aux_sym_escape_char_token1] = ACTIONS(2501),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2501),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2501),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2501),
    [aux_sym_forward_agent_token1] = ACTIONS(2501),
    [aux_sym_forward_x11_token1] = ACTIONS(2503),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2501),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2501),
    [aux_sym_gateway_ports_token1] = ACTIONS(2501),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2501),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2501),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2501),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2501),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2501),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2501),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2501),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2501),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2501),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2501),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2501),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2501),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2501),
    [aux_sym_host_key_alias_token1] = ACTIONS(2501),
    [aux_sym_hostname_token1] = ACTIONS(2501),
    [aux_sym_identities_only_token1] = ACTIONS(2501),
    [aux_sym_identity_agent_token1] = ACTIONS(2501),
    [aux_sym_identity_file_token1] = ACTIONS(2501),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2501),
    [aux_sym_include_token1] = ACTIONS(2501),
    [aux_sym_ip_qos_token1] = ACTIONS(2501),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2501),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2501),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2501),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2501),
    [aux_sym_local_command_token1] = ACTIONS(2501),
    [aux_sym_local_forward_token1] = ACTIONS(2501),
    [aux_sym_log_level_token1] = ACTIONS(2501),
    [aux_sym_log_verbose_token1] = ACTIONS(2501),
    [aux_sym_macs_token1] = ACTIONS(2501),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2501),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2501),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2501),
    [aux_sym_password_authentication_token1] = ACTIONS(2501),
    [aux_sym_permit_local_command_token1] = ACTIONS(2501),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2501),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2501),
    [aux_sym_port_token1] = ACTIONS(2501),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2501),
    [aux_sym_protocol_token1] = ACTIONS(2501),
    [aux_sym_proxy_command_token1] = ACTIONS(2501),
    [aux_sym_proxy_jump_token1] = ACTIONS(2501),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2501),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2501),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2501),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2501),
    [aux_sym_rekey_limit_token1] = ACTIONS(2501),
    [aux_sym_remote_command_token1] = ACTIONS(2501),
    [aux_sym_remote_forward_token1] = ACTIONS(2501),
    [aux_sym_request_tty_token1] = ACTIONS(2501),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2501),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2501),
    [aux_sym_security_key_provider_token1] = ACTIONS(2501),
    [aux_sym_send_env_token1] = ACTIONS(2501),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2501),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2501),
    [aux_sym_session_type_token1] = ACTIONS(2501),
    [aux_sym_set_env_token1] = ACTIONS(2501),
    [aux_sym_stdin_null_token1] = ACTIONS(2501),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2501),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2501),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2501),
    [aux_sym_syslog_facility_token1] = ACTIONS(2501),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2501),
    [aux_sym_keep_alive_token1] = ACTIONS(2501),
    [aux_sym_tag_token1] = ACTIONS(2501),
    [aux_sym_tunnel_token1] = ACTIONS(2503),
    [aux_sym_tunnel_device_token1] = ACTIONS(2501),
    [aux_sym_update_host_keys_token1] = ACTIONS(2501),
    [aux_sym_use_keychain_token1] = ACTIONS(2501),
    [aux_sym_use_roaming_token1] = ACTIONS(2501),
    [aux_sym_user_token1] = ACTIONS(2503),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2501),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2501),
    [aux_sym_visual_host_key_token1] = ACTIONS(2501),
    [aux_sym_xauth_location_token1] = ACTIONS(2501),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [aux_sym_match_token1] = ACTIONS(2507),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2507),
    [aux_sym_address_family_token1] = ACTIONS(2507),
    [aux_sym_batch_mode_token1] = ACTIONS(2507),
    [aux_sym_bind_address_token1] = ACTIONS(2507),
    [aux_sym_bind_interface_token1] = ACTIONS(2507),
    [aux_sym_canonical_domains_token1] = ACTIONS(2507),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2507),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2507),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2507),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2507),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2507),
    [aux_sym_certificate_file_token1] = ACTIONS(2507),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2507),
    [aux_sym_channel_timeout_token1] = ACTIONS(2507),
    [aux_sym_check_host_ip_token1] = ACTIONS(2507),
    [aux_sym_ciphers_token1] = ACTIONS(2507),
    [aux_sym_cipher_token1] = ACTIONS(2509),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2507),
    [aux_sym_compression_token1] = ACTIONS(2507),
    [aux_sym_connection_attempts_token1] = ACTIONS(2507),
    [aux_sym_connect_timeout_token1] = ACTIONS(2507),
    [aux_sym_control_master_token1] = ACTIONS(2507),
    [aux_sym_control_path_token1] = ACTIONS(2507),
    [aux_sym_control_persist_token1] = ACTIONS(2507),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2507),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2507),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2507),
    [aux_sym_escape_char_token1] = ACTIONS(2507),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2507),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2507),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2507),
    [aux_sym_forward_agent_token1] = ACTIONS(2507),
    [aux_sym_forward_x11_token1] = ACTIONS(2509),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2507),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2507),
    [aux_sym_gateway_ports_token1] = ACTIONS(2507),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2507),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2507),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2507),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2507),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2507),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2507),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2507),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2507),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2507),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2507),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2507),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2507),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2507),
    [aux_sym_host_key_alias_token1] = ACTIONS(2507),
    [aux_sym_hostname_token1] = ACTIONS(2507),
    [aux_sym_identities_only_token1] = ACTIONS(2507),
    [aux_sym_identity_agent_token1] = ACTIONS(2507),
    [aux_sym_identity_file_token1] = ACTIONS(2507),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2507),
    [aux_sym_include_token1] = ACTIONS(2507),
    [aux_sym_ip_qos_token1] = ACTIONS(2507),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2507),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2507),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2507),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2507),
    [aux_sym_local_command_token1] = ACTIONS(2507),
    [aux_sym_local_forward_token1] = ACTIONS(2507),
    [aux_sym_log_level_token1] = ACTIONS(2507),
    [aux_sym_log_verbose_token1] = ACTIONS(2507),
    [aux_sym_macs_token1] = ACTIONS(2507),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2507),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2507),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2507),
    [aux_sym_password_authentication_token1] = ACTIONS(2507),
    [aux_sym_permit_local_command_token1] = ACTIONS(2507),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2507),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2507),
    [aux_sym_port_token1] = ACTIONS(2507),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2507),
    [aux_sym_protocol_token1] = ACTIONS(2507),
    [aux_sym_proxy_command_token1] = ACTIONS(2507),
    [aux_sym_proxy_jump_token1] = ACTIONS(2507),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2507),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2507),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2507),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2507),
    [aux_sym_rekey_limit_token1] = ACTIONS(2507),
    [aux_sym_remote_command_token1] = ACTIONS(2507),
    [aux_sym_remote_forward_token1] = ACTIONS(2507),
    [aux_sym_request_tty_token1] = ACTIONS(2507),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2507),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2507),
    [aux_sym_security_key_provider_token1] = ACTIONS(2507),
    [aux_sym_send_env_token1] = ACTIONS(2507),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2507),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2507),
    [aux_sym_session_type_token1] = ACTIONS(2507),
    [aux_sym_set_env_token1] = ACTIONS(2507),
    [aux_sym_stdin_null_token1] = ACTIONS(2507),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2507),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2507),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2507),
    [aux_sym_syslog_facility_token1] = ACTIONS(2507),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2507),
    [aux_sym_keep_alive_token1] = ACTIONS(2507),
    [aux_sym_tag_token1] = ACTIONS(2507),
    [aux_sym_tunnel_token1] = ACTIONS(2509),
    [aux_sym_tunnel_device_token1] = ACTIONS(2507),
    [aux_sym_update_host_keys_token1] = ACTIONS(2507),
    [aux_sym_use_keychain_token1] = ACTIONS(2507),
    [aux_sym_use_roaming_token1] = ACTIONS(2507),
    [aux_sym_user_token1] = ACTIONS(2509),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2507),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2507),
    [aux_sym_visual_host_key_token1] = ACTIONS(2507),
    [aux_sym_xauth_location_token1] = ACTIONS(2507),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2513),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [aux_sym_match_token1] = ACTIONS(2511),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2511),
    [aux_sym_address_family_token1] = ACTIONS(2511),
    [aux_sym_batch_mode_token1] = ACTIONS(2511),
    [aux_sym_bind_address_token1] = ACTIONS(2511),
    [aux_sym_bind_interface_token1] = ACTIONS(2511),
    [aux_sym_canonical_domains_token1] = ACTIONS(2511),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2511),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2511),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2511),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2511),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2511),
    [aux_sym_certificate_file_token1] = ACTIONS(2511),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2511),
    [aux_sym_channel_timeout_token1] = ACTIONS(2511),
    [aux_sym_check_host_ip_token1] = ACTIONS(2511),
    [aux_sym_ciphers_token1] = ACTIONS(2511),
    [aux_sym_cipher_token1] = ACTIONS(2513),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2511),
    [aux_sym_compression_token1] = ACTIONS(2511),
    [aux_sym_connection_attempts_token1] = ACTIONS(2511),
    [aux_sym_connect_timeout_token1] = ACTIONS(2511),
    [aux_sym_control_master_token1] = ACTIONS(2511),
    [aux_sym_control_path_token1] = ACTIONS(2511),
    [aux_sym_control_persist_token1] = ACTIONS(2511),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2511),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2511),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2511),
    [aux_sym_escape_char_token1] = ACTIONS(2511),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2511),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2511),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2511),
    [aux_sym_forward_agent_token1] = ACTIONS(2511),
    [aux_sym_forward_x11_token1] = ACTIONS(2513),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2511),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2511),
    [aux_sym_gateway_ports_token1] = ACTIONS(2511),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2511),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2511),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2511),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2511),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2511),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2511),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2511),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2511),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2511),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2511),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2511),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2511),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2511),
    [aux_sym_host_key_alias_token1] = ACTIONS(2511),
    [aux_sym_hostname_token1] = ACTIONS(2511),
    [aux_sym_identities_only_token1] = ACTIONS(2511),
    [aux_sym_identity_agent_token1] = ACTIONS(2511),
    [aux_sym_identity_file_token1] = ACTIONS(2511),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2511),
    [aux_sym_include_token1] = ACTIONS(2511),
    [aux_sym_ip_qos_token1] = ACTIONS(2511),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2511),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2511),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2511),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2511),
    [aux_sym_local_command_token1] = ACTIONS(2511),
    [aux_sym_local_forward_token1] = ACTIONS(2511),
    [aux_sym_log_level_token1] = ACTIONS(2511),
    [aux_sym_log_verbose_token1] = ACTIONS(2511),
    [aux_sym_macs_token1] = ACTIONS(2511),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2511),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2511),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2511),
    [aux_sym_password_authentication_token1] = ACTIONS(2511),
    [aux_sym_permit_local_command_token1] = ACTIONS(2511),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2511),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2511),
    [aux_sym_port_token1] = ACTIONS(2511),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2511),
    [aux_sym_protocol_token1] = ACTIONS(2511),
    [aux_sym_proxy_command_token1] = ACTIONS(2511),
    [aux_sym_proxy_jump_token1] = ACTIONS(2511),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2511),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2511),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2511),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2511),
    [aux_sym_rekey_limit_token1] = ACTIONS(2511),
    [aux_sym_remote_command_token1] = ACTIONS(2511),
    [aux_sym_remote_forward_token1] = ACTIONS(2511),
    [aux_sym_request_tty_token1] = ACTIONS(2511),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2511),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2511),
    [aux_sym_security_key_provider_token1] = ACTIONS(2511),
    [aux_sym_send_env_token1] = ACTIONS(2511),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2511),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2511),
    [aux_sym_session_type_token1] = ACTIONS(2511),
    [aux_sym_set_env_token1] = ACTIONS(2511),
    [aux_sym_stdin_null_token1] = ACTIONS(2511),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2511),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2511),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2511),
    [aux_sym_syslog_facility_token1] = ACTIONS(2511),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2511),
    [aux_sym_keep_alive_token1] = ACTIONS(2511),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [aux_sym_tunnel_token1] = ACTIONS(2513),
    [aux_sym_tunnel_device_token1] = ACTIONS(2511),
    [aux_sym_update_host_keys_token1] = ACTIONS(2511),
    [aux_sym_use_keychain_token1] = ACTIONS(2511),
    [aux_sym_use_roaming_token1] = ACTIONS(2511),
    [aux_sym_user_token1] = ACTIONS(2513),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2511),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2511),
    [aux_sym_visual_host_key_token1] = ACTIONS(2511),
    [aux_sym_xauth_location_token1] = ACTIONS(2511),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [aux_sym_match_token1] = ACTIONS(2517),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2517),
    [aux_sym_address_family_token1] = ACTIONS(2517),
    [aux_sym_batch_mode_token1] = ACTIONS(2517),
    [aux_sym_bind_address_token1] = ACTIONS(2517),
    [aux_sym_bind_interface_token1] = ACTIONS(2517),
    [aux_sym_canonical_domains_token1] = ACTIONS(2517),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2517),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2517),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2517),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2517),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2517),
    [aux_sym_certificate_file_token1] = ACTIONS(2517),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2517),
    [aux_sym_channel_timeout_token1] = ACTIONS(2517),
    [aux_sym_check_host_ip_token1] = ACTIONS(2517),
    [aux_sym_ciphers_token1] = ACTIONS(2517),
    [aux_sym_cipher_token1] = ACTIONS(2519),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2517),
    [aux_sym_compression_token1] = ACTIONS(2517),
    [aux_sym_connection_attempts_token1] = ACTIONS(2517),
    [aux_sym_connect_timeout_token1] = ACTIONS(2517),
    [aux_sym_control_master_token1] = ACTIONS(2517),
    [aux_sym_control_path_token1] = ACTIONS(2517),
    [aux_sym_control_persist_token1] = ACTIONS(2517),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2517),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2517),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2517),
    [aux_sym_escape_char_token1] = ACTIONS(2517),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2517),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2517),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2517),
    [aux_sym_forward_agent_token1] = ACTIONS(2517),
    [aux_sym_forward_x11_token1] = ACTIONS(2519),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2517),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2517),
    [aux_sym_gateway_ports_token1] = ACTIONS(2517),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2517),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2517),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2517),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2517),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2517),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2517),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2517),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2517),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2517),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2517),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2517),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2517),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2517),
    [aux_sym_host_key_alias_token1] = ACTIONS(2517),
    [aux_sym_hostname_token1] = ACTIONS(2517),
    [aux_sym_identities_only_token1] = ACTIONS(2517),
    [aux_sym_identity_agent_token1] = ACTIONS(2517),
    [aux_sym_identity_file_token1] = ACTIONS(2517),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2517),
    [aux_sym_include_token1] = ACTIONS(2517),
    [aux_sym_ip_qos_token1] = ACTIONS(2517),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2517),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2517),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2517),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2517),
    [aux_sym_local_command_token1] = ACTIONS(2517),
    [aux_sym_local_forward_token1] = ACTIONS(2517),
    [aux_sym_log_level_token1] = ACTIONS(2517),
    [aux_sym_log_verbose_token1] = ACTIONS(2517),
    [aux_sym_macs_token1] = ACTIONS(2517),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2517),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2517),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2517),
    [aux_sym_password_authentication_token1] = ACTIONS(2517),
    [aux_sym_permit_local_command_token1] = ACTIONS(2517),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2517),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2517),
    [aux_sym_port_token1] = ACTIONS(2517),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2517),
    [aux_sym_protocol_token1] = ACTIONS(2517),
    [aux_sym_proxy_command_token1] = ACTIONS(2517),
    [aux_sym_proxy_jump_token1] = ACTIONS(2517),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2517),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2517),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2517),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2517),
    [aux_sym_rekey_limit_token1] = ACTIONS(2517),
    [aux_sym_remote_command_token1] = ACTIONS(2517),
    [aux_sym_remote_forward_token1] = ACTIONS(2517),
    [aux_sym_request_tty_token1] = ACTIONS(2517),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2517),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2517),
    [aux_sym_security_key_provider_token1] = ACTIONS(2517),
    [aux_sym_send_env_token1] = ACTIONS(2517),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2517),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2517),
    [aux_sym_session_type_token1] = ACTIONS(2517),
    [aux_sym_set_env_token1] = ACTIONS(2517),
    [aux_sym_stdin_null_token1] = ACTIONS(2517),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2517),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2517),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2517),
    [aux_sym_syslog_facility_token1] = ACTIONS(2517),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2517),
    [aux_sym_keep_alive_token1] = ACTIONS(2517),
    [aux_sym_tag_token1] = ACTIONS(2517),
    [aux_sym_tunnel_token1] = ACTIONS(2519),
    [aux_sym_tunnel_device_token1] = ACTIONS(2517),
    [aux_sym_update_host_keys_token1] = ACTIONS(2517),
    [aux_sym_use_keychain_token1] = ACTIONS(2517),
    [aux_sym_use_roaming_token1] = ACTIONS(2517),
    [aux_sym_user_token1] = ACTIONS(2519),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2517),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2517),
    [aux_sym_visual_host_key_token1] = ACTIONS(2517),
    [aux_sym_xauth_location_token1] = ACTIONS(2517),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2525),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [aux_sym_match_token1] = ACTIONS(2523),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2523),
    [aux_sym_address_family_token1] = ACTIONS(2523),
    [aux_sym_batch_mode_token1] = ACTIONS(2523),
    [aux_sym_bind_address_token1] = ACTIONS(2523),
    [aux_sym_bind_interface_token1] = ACTIONS(2523),
    [aux_sym_canonical_domains_token1] = ACTIONS(2523),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2523),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2523),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2523),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2523),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2523),
    [aux_sym_certificate_file_token1] = ACTIONS(2523),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2523),
    [aux_sym_channel_timeout_token1] = ACTIONS(2523),
    [aux_sym_check_host_ip_token1] = ACTIONS(2523),
    [aux_sym_ciphers_token1] = ACTIONS(2523),
    [aux_sym_cipher_token1] = ACTIONS(2525),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2523),
    [aux_sym_compression_token1] = ACTIONS(2523),
    [aux_sym_connection_attempts_token1] = ACTIONS(2523),
    [aux_sym_connect_timeout_token1] = ACTIONS(2523),
    [aux_sym_control_master_token1] = ACTIONS(2523),
    [aux_sym_control_path_token1] = ACTIONS(2523),
    [aux_sym_control_persist_token1] = ACTIONS(2523),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2523),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2523),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2523),
    [aux_sym_escape_char_token1] = ACTIONS(2523),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2523),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2523),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2523),
    [aux_sym_forward_agent_token1] = ACTIONS(2523),
    [aux_sym_forward_x11_token1] = ACTIONS(2525),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2523),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2523),
    [aux_sym_gateway_ports_token1] = ACTIONS(2523),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2523),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2523),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2523),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2523),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2523),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2523),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2523),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2523),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2523),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2523),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2523),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2523),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2523),
    [aux_sym_host_key_alias_token1] = ACTIONS(2523),
    [aux_sym_hostname_token1] = ACTIONS(2523),
    [aux_sym_identities_only_token1] = ACTIONS(2523),
    [aux_sym_identity_agent_token1] = ACTIONS(2523),
    [aux_sym_identity_file_token1] = ACTIONS(2523),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2523),
    [aux_sym_include_token1] = ACTIONS(2523),
    [aux_sym_ip_qos_token1] = ACTIONS(2523),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2523),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2523),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2523),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2523),
    [aux_sym_local_command_token1] = ACTIONS(2523),
    [aux_sym_local_forward_token1] = ACTIONS(2523),
    [aux_sym_log_level_token1] = ACTIONS(2523),
    [aux_sym_log_verbose_token1] = ACTIONS(2523),
    [aux_sym_macs_token1] = ACTIONS(2523),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2523),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2523),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2523),
    [aux_sym_password_authentication_token1] = ACTIONS(2523),
    [aux_sym_permit_local_command_token1] = ACTIONS(2523),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2523),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2523),
    [aux_sym_port_token1] = ACTIONS(2523),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2523),
    [aux_sym_protocol_token1] = ACTIONS(2523),
    [aux_sym_proxy_command_token1] = ACTIONS(2523),
    [aux_sym_proxy_jump_token1] = ACTIONS(2523),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2523),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2523),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2523),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2523),
    [aux_sym_rekey_limit_token1] = ACTIONS(2523),
    [aux_sym_remote_command_token1] = ACTIONS(2523),
    [aux_sym_remote_forward_token1] = ACTIONS(2523),
    [aux_sym_request_tty_token1] = ACTIONS(2523),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2523),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2523),
    [aux_sym_security_key_provider_token1] = ACTIONS(2523),
    [aux_sym_send_env_token1] = ACTIONS(2523),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2523),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2523),
    [aux_sym_session_type_token1] = ACTIONS(2523),
    [aux_sym_set_env_token1] = ACTIONS(2523),
    [aux_sym_stdin_null_token1] = ACTIONS(2523),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2523),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2523),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2523),
    [aux_sym_syslog_facility_token1] = ACTIONS(2523),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2523),
    [aux_sym_keep_alive_token1] = ACTIONS(2523),
    [aux_sym_tag_token1] = ACTIONS(2523),
    [aux_sym_tunnel_token1] = ACTIONS(2525),
    [aux_sym_tunnel_device_token1] = ACTIONS(2523),
    [aux_sym_update_host_keys_token1] = ACTIONS(2523),
    [aux_sym_use_keychain_token1] = ACTIONS(2523),
    [aux_sym_use_roaming_token1] = ACTIONS(2523),
    [aux_sym_user_token1] = ACTIONS(2525),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2523),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2523),
    [aux_sym_visual_host_key_token1] = ACTIONS(2523),
    [aux_sym_xauth_location_token1] = ACTIONS(2523),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2529),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [aux_sym_match_token1] = ACTIONS(2527),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2527),
    [aux_sym_address_family_token1] = ACTIONS(2527),
    [aux_sym_batch_mode_token1] = ACTIONS(2527),
    [aux_sym_bind_address_token1] = ACTIONS(2527),
    [aux_sym_bind_interface_token1] = ACTIONS(2527),
    [aux_sym_canonical_domains_token1] = ACTIONS(2527),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2527),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2527),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2527),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2527),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2527),
    [aux_sym_certificate_file_token1] = ACTIONS(2527),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2527),
    [aux_sym_channel_timeout_token1] = ACTIONS(2527),
    [aux_sym_check_host_ip_token1] = ACTIONS(2527),
    [aux_sym_ciphers_token1] = ACTIONS(2527),
    [aux_sym_cipher_token1] = ACTIONS(2529),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2527),
    [aux_sym_compression_token1] = ACTIONS(2527),
    [aux_sym_connection_attempts_token1] = ACTIONS(2527),
    [aux_sym_connect_timeout_token1] = ACTIONS(2527),
    [aux_sym_control_master_token1] = ACTIONS(2527),
    [aux_sym_control_path_token1] = ACTIONS(2527),
    [aux_sym_control_persist_token1] = ACTIONS(2527),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2527),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2527),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2527),
    [aux_sym_escape_char_token1] = ACTIONS(2527),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2527),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2527),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2527),
    [aux_sym_forward_agent_token1] = ACTIONS(2527),
    [aux_sym_forward_x11_token1] = ACTIONS(2529),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2527),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2527),
    [aux_sym_gateway_ports_token1] = ACTIONS(2527),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2527),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2527),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2527),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2527),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2527),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2527),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2527),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2527),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2527),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2527),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2527),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2527),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2527),
    [aux_sym_host_key_alias_token1] = ACTIONS(2527),
    [aux_sym_hostname_token1] = ACTIONS(2527),
    [aux_sym_identities_only_token1] = ACTIONS(2527),
    [aux_sym_identity_agent_token1] = ACTIONS(2527),
    [aux_sym_identity_file_token1] = ACTIONS(2527),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2527),
    [aux_sym_include_token1] = ACTIONS(2527),
    [aux_sym_ip_qos_token1] = ACTIONS(2527),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2527),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2527),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2527),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2527),
    [aux_sym_local_command_token1] = ACTIONS(2527),
    [aux_sym_local_forward_token1] = ACTIONS(2527),
    [aux_sym_log_level_token1] = ACTIONS(2527),
    [aux_sym_log_verbose_token1] = ACTIONS(2527),
    [aux_sym_macs_token1] = ACTIONS(2527),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2527),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2527),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2527),
    [aux_sym_password_authentication_token1] = ACTIONS(2527),
    [aux_sym_permit_local_command_token1] = ACTIONS(2527),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2527),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2527),
    [aux_sym_port_token1] = ACTIONS(2527),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2527),
    [aux_sym_protocol_token1] = ACTIONS(2527),
    [aux_sym_proxy_command_token1] = ACTIONS(2527),
    [aux_sym_proxy_jump_token1] = ACTIONS(2527),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2527),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2527),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2527),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2527),
    [aux_sym_rekey_limit_token1] = ACTIONS(2527),
    [aux_sym_remote_command_token1] = ACTIONS(2527),
    [aux_sym_remote_forward_token1] = ACTIONS(2527),
    [aux_sym_request_tty_token1] = ACTIONS(2527),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2527),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2527),
    [aux_sym_security_key_provider_token1] = ACTIONS(2527),
    [aux_sym_send_env_token1] = ACTIONS(2527),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2527),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2527),
    [aux_sym_session_type_token1] = ACTIONS(2527),
    [aux_sym_set_env_token1] = ACTIONS(2527),
    [aux_sym_stdin_null_token1] = ACTIONS(2527),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2527),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2527),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2527),
    [aux_sym_syslog_facility_token1] = ACTIONS(2527),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2527),
    [aux_sym_keep_alive_token1] = ACTIONS(2527),
    [aux_sym_tag_token1] = ACTIONS(2527),
    [aux_sym_tunnel_token1] = ACTIONS(2529),
    [aux_sym_tunnel_device_token1] = ACTIONS(2527),
    [aux_sym_update_host_keys_token1] = ACTIONS(2527),
    [aux_sym_use_keychain_token1] = ACTIONS(2527),
    [aux_sym_use_roaming_token1] = ACTIONS(2527),
    [aux_sym_user_token1] = ACTIONS(2529),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2527),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2527),
    [aux_sym_visual_host_key_token1] = ACTIONS(2527),
    [aux_sym_xauth_location_token1] = ACTIONS(2527),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(2535),
    [aux_sym_match_token1] = ACTIONS(2531),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2531),
    [aux_sym_address_family_token1] = ACTIONS(2531),
    [aux_sym_batch_mode_token1] = ACTIONS(2531),
    [aux_sym_bind_address_token1] = ACTIONS(2531),
    [aux_sym_bind_interface_token1] = ACTIONS(2531),
    [aux_sym_canonical_domains_token1] = ACTIONS(2531),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2531),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2531),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2531),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2531),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2531),
    [aux_sym_certificate_file_token1] = ACTIONS(2531),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2531),
    [aux_sym_channel_timeout_token1] = ACTIONS(2531),
    [aux_sym_check_host_ip_token1] = ACTIONS(2531),
    [aux_sym_ciphers_token1] = ACTIONS(2531),
    [aux_sym_cipher_token1] = ACTIONS(2533),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2531),
    [aux_sym_compression_token1] = ACTIONS(2531),
    [aux_sym_connection_attempts_token1] = ACTIONS(2531),
    [aux_sym_connect_timeout_token1] = ACTIONS(2531),
    [aux_sym_control_master_token1] = ACTIONS(2531),
    [aux_sym_control_path_token1] = ACTIONS(2531),
    [aux_sym_control_persist_token1] = ACTIONS(2531),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2531),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2531),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2531),
    [aux_sym_escape_char_token1] = ACTIONS(2531),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2531),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2531),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2531),
    [aux_sym_forward_agent_token1] = ACTIONS(2531),
    [aux_sym_forward_x11_token1] = ACTIONS(2533),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2531),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2531),
    [aux_sym_gateway_ports_token1] = ACTIONS(2531),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2531),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2531),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2531),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2531),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2531),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2531),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2531),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2531),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2531),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2531),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2531),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2531),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2531),
    [aux_sym_host_key_alias_token1] = ACTIONS(2531),
    [aux_sym_hostname_token1] = ACTIONS(2531),
    [aux_sym_identities_only_token1] = ACTIONS(2531),
    [aux_sym_identity_agent_token1] = ACTIONS(2531),
    [aux_sym_identity_file_token1] = ACTIONS(2531),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2531),
    [aux_sym_include_token1] = ACTIONS(2531),
    [aux_sym_ip_qos_token1] = ACTIONS(2531),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2531),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2531),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2531),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2531),
    [aux_sym_local_command_token1] = ACTIONS(2531),
    [aux_sym_local_forward_token1] = ACTIONS(2531),
    [aux_sym_log_level_token1] = ACTIONS(2531),
    [aux_sym_log_verbose_token1] = ACTIONS(2531),
    [aux_sym_macs_token1] = ACTIONS(2531),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2531),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2531),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2531),
    [aux_sym_password_authentication_token1] = ACTIONS(2531),
    [aux_sym_permit_local_command_token1] = ACTIONS(2531),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2531),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2531),
    [aux_sym_port_token1] = ACTIONS(2531),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2531),
    [aux_sym_protocol_token1] = ACTIONS(2531),
    [aux_sym_proxy_command_token1] = ACTIONS(2531),
    [aux_sym_proxy_jump_token1] = ACTIONS(2531),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2531),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2531),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2531),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2531),
    [aux_sym_rekey_limit_token1] = ACTIONS(2531),
    [aux_sym_remote_command_token1] = ACTIONS(2531),
    [aux_sym_remote_forward_token1] = ACTIONS(2531),
    [aux_sym_request_tty_token1] = ACTIONS(2531),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2531),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2531),
    [aux_sym_security_key_provider_token1] = ACTIONS(2531),
    [aux_sym_send_env_token1] = ACTIONS(2531),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2531),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2531),
    [aux_sym_session_type_token1] = ACTIONS(2531),
    [aux_sym_set_env_token1] = ACTIONS(2531),
    [aux_sym_stdin_null_token1] = ACTIONS(2531),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2531),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2531),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2531),
    [aux_sym_syslog_facility_token1] = ACTIONS(2531),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2531),
    [aux_sym_keep_alive_token1] = ACTIONS(2531),
    [aux_sym_tag_token1] = ACTIONS(2531),
    [aux_sym_tunnel_token1] = ACTIONS(2533),
    [aux_sym_tunnel_device_token1] = ACTIONS(2531),
    [aux_sym_update_host_keys_token1] = ACTIONS(2531),
    [aux_sym_use_keychain_token1] = ACTIONS(2531),
    [aux_sym_use_roaming_token1] = ACTIONS(2531),
    [aux_sym_user_token1] = ACTIONS(2533),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2531),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2531),
    [aux_sym_visual_host_key_token1] = ACTIONS(2531),
    [aux_sym_xauth_location_token1] = ACTIONS(2531),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(2537),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [aux_sym_match_token1] = ACTIONS(2537),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2537),
    [aux_sym_address_family_token1] = ACTIONS(2537),
    [aux_sym_batch_mode_token1] = ACTIONS(2537),
    [aux_sym_bind_address_token1] = ACTIONS(2537),
    [aux_sym_bind_interface_token1] = ACTIONS(2537),
    [aux_sym_canonical_domains_token1] = ACTIONS(2537),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2537),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2537),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2537),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2537),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2537),
    [aux_sym_certificate_file_token1] = ACTIONS(2537),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2537),
    [aux_sym_channel_timeout_token1] = ACTIONS(2537),
    [aux_sym_check_host_ip_token1] = ACTIONS(2537),
    [aux_sym_ciphers_token1] = ACTIONS(2537),
    [aux_sym_cipher_token1] = ACTIONS(2539),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2537),
    [aux_sym_compression_token1] = ACTIONS(2537),
    [aux_sym_connection_attempts_token1] = ACTIONS(2537),
    [aux_sym_connect_timeout_token1] = ACTIONS(2537),
    [aux_sym_control_master_token1] = ACTIONS(2537),
    [aux_sym_control_path_token1] = ACTIONS(2537),
    [aux_sym_control_persist_token1] = ACTIONS(2537),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2537),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2537),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2537),
    [aux_sym_escape_char_token1] = ACTIONS(2537),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2537),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2537),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2537),
    [aux_sym_forward_agent_token1] = ACTIONS(2537),
    [aux_sym_forward_x11_token1] = ACTIONS(2539),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2537),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2537),
    [aux_sym_gateway_ports_token1] = ACTIONS(2537),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2537),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2537),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2537),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2537),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2537),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2537),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2537),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2537),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2537),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2537),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2537),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2537),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2537),
    [aux_sym_host_key_alias_token1] = ACTIONS(2537),
    [aux_sym_hostname_token1] = ACTIONS(2537),
    [aux_sym_identities_only_token1] = ACTIONS(2537),
    [aux_sym_identity_agent_token1] = ACTIONS(2537),
    [aux_sym_identity_file_token1] = ACTIONS(2537),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2537),
    [aux_sym_include_token1] = ACTIONS(2537),
    [aux_sym_ip_qos_token1] = ACTIONS(2537),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2537),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2537),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2537),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2537),
    [aux_sym_local_command_token1] = ACTIONS(2537),
    [aux_sym_local_forward_token1] = ACTIONS(2537),
    [aux_sym_log_level_token1] = ACTIONS(2537),
    [aux_sym_log_verbose_token1] = ACTIONS(2537),
    [aux_sym_macs_token1] = ACTIONS(2537),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2537),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2537),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2537),
    [aux_sym_password_authentication_token1] = ACTIONS(2537),
    [aux_sym_permit_local_command_token1] = ACTIONS(2537),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2537),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2537),
    [aux_sym_port_token1] = ACTIONS(2537),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2537),
    [aux_sym_protocol_token1] = ACTIONS(2537),
    [aux_sym_proxy_command_token1] = ACTIONS(2537),
    [aux_sym_proxy_jump_token1] = ACTIONS(2537),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2537),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2537),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2537),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2537),
    [aux_sym_rekey_limit_token1] = ACTIONS(2537),
    [aux_sym_remote_command_token1] = ACTIONS(2537),
    [aux_sym_remote_forward_token1] = ACTIONS(2537),
    [aux_sym_request_tty_token1] = ACTIONS(2537),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2537),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2537),
    [aux_sym_security_key_provider_token1] = ACTIONS(2537),
    [aux_sym_send_env_token1] = ACTIONS(2537),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2537),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2537),
    [aux_sym_session_type_token1] = ACTIONS(2537),
    [aux_sym_set_env_token1] = ACTIONS(2537),
    [aux_sym_stdin_null_token1] = ACTIONS(2537),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2537),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2537),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2537),
    [aux_sym_syslog_facility_token1] = ACTIONS(2537),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2537),
    [aux_sym_keep_alive_token1] = ACTIONS(2537),
    [aux_sym_tag_token1] = ACTIONS(2537),
    [aux_sym_tunnel_token1] = ACTIONS(2539),
    [aux_sym_tunnel_device_token1] = ACTIONS(2537),
    [aux_sym_update_host_keys_token1] = ACTIONS(2537),
    [aux_sym_use_keychain_token1] = ACTIONS(2537),
    [aux_sym_use_roaming_token1] = ACTIONS(2537),
    [aux_sym_user_token1] = ACTIONS(2539),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2537),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2537),
    [aux_sym_visual_host_key_token1] = ACTIONS(2537),
    [aux_sym_xauth_location_token1] = ACTIONS(2537),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(2543),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(2543),
    [aux_sym_match_token1] = ACTIONS(2543),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2543),
    [aux_sym_address_family_token1] = ACTIONS(2543),
    [aux_sym_batch_mode_token1] = ACTIONS(2543),
    [aux_sym_bind_address_token1] = ACTIONS(2543),
    [aux_sym_bind_interface_token1] = ACTIONS(2543),
    [aux_sym_canonical_domains_token1] = ACTIONS(2543),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2543),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2543),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2543),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2543),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2543),
    [aux_sym_certificate_file_token1] = ACTIONS(2543),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2543),
    [aux_sym_channel_timeout_token1] = ACTIONS(2543),
    [aux_sym_check_host_ip_token1] = ACTIONS(2543),
    [aux_sym_ciphers_token1] = ACTIONS(2543),
    [aux_sym_cipher_token1] = ACTIONS(2545),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2543),
    [aux_sym_compression_token1] = ACTIONS(2543),
    [aux_sym_connection_attempts_token1] = ACTIONS(2543),
    [aux_sym_connect_timeout_token1] = ACTIONS(2543),
    [aux_sym_control_master_token1] = ACTIONS(2543),
    [aux_sym_control_path_token1] = ACTIONS(2543),
    [aux_sym_control_persist_token1] = ACTIONS(2543),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2543),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2543),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2543),
    [aux_sym_escape_char_token1] = ACTIONS(2543),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2543),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2543),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2543),
    [aux_sym_forward_agent_token1] = ACTIONS(2543),
    [aux_sym_forward_x11_token1] = ACTIONS(2545),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2543),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2543),
    [aux_sym_gateway_ports_token1] = ACTIONS(2543),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2543),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2543),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2543),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2543),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2543),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2543),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2543),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2543),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2543),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2543),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2543),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2543),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2543),
    [aux_sym_host_key_alias_token1] = ACTIONS(2543),
    [aux_sym_hostname_token1] = ACTIONS(2543),
    [aux_sym_identities_only_token1] = ACTIONS(2543),
    [aux_sym_identity_agent_token1] = ACTIONS(2543),
    [aux_sym_identity_file_token1] = ACTIONS(2543),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2543),
    [aux_sym_include_token1] = ACTIONS(2543),
    [aux_sym_ip_qos_token1] = ACTIONS(2543),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2543),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2543),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2543),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2543),
    [aux_sym_local_command_token1] = ACTIONS(2543),
    [aux_sym_local_forward_token1] = ACTIONS(2543),
    [aux_sym_log_level_token1] = ACTIONS(2543),
    [aux_sym_log_verbose_token1] = ACTIONS(2543),
    [aux_sym_macs_token1] = ACTIONS(2543),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2543),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2543),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2543),
    [aux_sym_password_authentication_token1] = ACTIONS(2543),
    [aux_sym_permit_local_command_token1] = ACTIONS(2543),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2543),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2543),
    [aux_sym_port_token1] = ACTIONS(2543),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2543),
    [aux_sym_protocol_token1] = ACTIONS(2543),
    [aux_sym_proxy_command_token1] = ACTIONS(2543),
    [aux_sym_proxy_jump_token1] = ACTIONS(2543),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2543),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2543),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2543),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2543),
    [aux_sym_rekey_limit_token1] = ACTIONS(2543),
    [aux_sym_remote_command_token1] = ACTIONS(2543),
    [aux_sym_remote_forward_token1] = ACTIONS(2543),
    [aux_sym_request_tty_token1] = ACTIONS(2543),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2543),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2543),
    [aux_sym_security_key_provider_token1] = ACTIONS(2543),
    [aux_sym_send_env_token1] = ACTIONS(2543),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2543),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2543),
    [aux_sym_session_type_token1] = ACTIONS(2543),
    [aux_sym_set_env_token1] = ACTIONS(2543),
    [aux_sym_stdin_null_token1] = ACTIONS(2543),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2543),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2543),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2543),
    [aux_sym_syslog_facility_token1] = ACTIONS(2543),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2543),
    [aux_sym_keep_alive_token1] = ACTIONS(2543),
    [aux_sym_tag_token1] = ACTIONS(2543),
    [aux_sym_tunnel_token1] = ACTIONS(2545),
    [aux_sym_tunnel_device_token1] = ACTIONS(2543),
    [aux_sym_update_host_keys_token1] = ACTIONS(2543),
    [aux_sym_use_keychain_token1] = ACTIONS(2543),
    [aux_sym_use_roaming_token1] = ACTIONS(2543),
    [aux_sym_user_token1] = ACTIONS(2545),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2543),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2543),
    [aux_sym_visual_host_key_token1] = ACTIONS(2543),
    [aux_sym_xauth_location_token1] = ACTIONS(2543),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(2547),
    [aux_sym_match_token1] = ACTIONS(2547),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2547),
    [aux_sym_address_family_token1] = ACTIONS(2547),
    [aux_sym_batch_mode_token1] = ACTIONS(2547),
    [aux_sym_bind_address_token1] = ACTIONS(2547),
    [aux_sym_bind_interface_token1] = ACTIONS(2547),
    [aux_sym_canonical_domains_token1] = ACTIONS(2547),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2547),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2547),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2547),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2547),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2547),
    [aux_sym_certificate_file_token1] = ACTIONS(2547),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2547),
    [aux_sym_channel_timeout_token1] = ACTIONS(2547),
    [aux_sym_check_host_ip_token1] = ACTIONS(2547),
    [aux_sym_ciphers_token1] = ACTIONS(2547),
    [aux_sym_cipher_token1] = ACTIONS(2549),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2547),
    [aux_sym_compression_token1] = ACTIONS(2547),
    [aux_sym_connection_attempts_token1] = ACTIONS(2547),
    [aux_sym_connect_timeout_token1] = ACTIONS(2547),
    [aux_sym_control_master_token1] = ACTIONS(2547),
    [aux_sym_control_path_token1] = ACTIONS(2547),
    [aux_sym_control_persist_token1] = ACTIONS(2547),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2547),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2547),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2547),
    [aux_sym_escape_char_token1] = ACTIONS(2547),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2547),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2547),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2547),
    [aux_sym_forward_agent_token1] = ACTIONS(2547),
    [aux_sym_forward_x11_token1] = ACTIONS(2549),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2547),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2547),
    [aux_sym_gateway_ports_token1] = ACTIONS(2547),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2547),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2547),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2547),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2547),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2547),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2547),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2547),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2547),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2547),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2547),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2547),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2547),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2547),
    [aux_sym_host_key_alias_token1] = ACTIONS(2547),
    [aux_sym_hostname_token1] = ACTIONS(2547),
    [aux_sym_identities_only_token1] = ACTIONS(2547),
    [aux_sym_identity_agent_token1] = ACTIONS(2547),
    [aux_sym_identity_file_token1] = ACTIONS(2547),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2547),
    [aux_sym_include_token1] = ACTIONS(2547),
    [aux_sym_ip_qos_token1] = ACTIONS(2547),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2547),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2547),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2547),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2547),
    [aux_sym_local_command_token1] = ACTIONS(2547),
    [aux_sym_local_forward_token1] = ACTIONS(2547),
    [aux_sym_log_level_token1] = ACTIONS(2547),
    [aux_sym_log_verbose_token1] = ACTIONS(2547),
    [aux_sym_macs_token1] = ACTIONS(2547),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2547),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2547),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2547),
    [aux_sym_password_authentication_token1] = ACTIONS(2547),
    [aux_sym_permit_local_command_token1] = ACTIONS(2547),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2547),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2547),
    [aux_sym_port_token1] = ACTIONS(2547),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2547),
    [aux_sym_protocol_token1] = ACTIONS(2547),
    [aux_sym_proxy_command_token1] = ACTIONS(2547),
    [aux_sym_proxy_jump_token1] = ACTIONS(2547),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2547),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2547),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2547),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2547),
    [aux_sym_rekey_limit_token1] = ACTIONS(2547),
    [aux_sym_remote_command_token1] = ACTIONS(2547),
    [aux_sym_remote_forward_token1] = ACTIONS(2547),
    [aux_sym_request_tty_token1] = ACTIONS(2547),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2547),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2547),
    [aux_sym_security_key_provider_token1] = ACTIONS(2547),
    [aux_sym_send_env_token1] = ACTIONS(2547),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2547),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2547),
    [aux_sym_session_type_token1] = ACTIONS(2547),
    [aux_sym_set_env_token1] = ACTIONS(2547),
    [aux_sym_stdin_null_token1] = ACTIONS(2547),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2547),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2547),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2547),
    [aux_sym_syslog_facility_token1] = ACTIONS(2547),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2547),
    [aux_sym_keep_alive_token1] = ACTIONS(2547),
    [aux_sym_tag_token1] = ACTIONS(2547),
    [aux_sym_tunnel_token1] = ACTIONS(2549),
    [aux_sym_tunnel_device_token1] = ACTIONS(2547),
    [aux_sym_update_host_keys_token1] = ACTIONS(2547),
    [aux_sym_use_keychain_token1] = ACTIONS(2547),
    [aux_sym_use_roaming_token1] = ACTIONS(2547),
    [aux_sym_user_token1] = ACTIONS(2549),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2547),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2547),
    [aux_sym_visual_host_key_token1] = ACTIONS(2547),
    [aux_sym_xauth_location_token1] = ACTIONS(2547),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2555),
    [aux_sym_match_token1] = ACTIONS(2551),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2551),
    [aux_sym_address_family_token1] = ACTIONS(2551),
    [aux_sym_batch_mode_token1] = ACTIONS(2551),
    [aux_sym_bind_address_token1] = ACTIONS(2551),
    [aux_sym_bind_interface_token1] = ACTIONS(2551),
    [aux_sym_canonical_domains_token1] = ACTIONS(2551),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2551),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2551),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2551),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2551),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2551),
    [aux_sym_certificate_file_token1] = ACTIONS(2551),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2551),
    [aux_sym_channel_timeout_token1] = ACTIONS(2551),
    [aux_sym_check_host_ip_token1] = ACTIONS(2551),
    [aux_sym_ciphers_token1] = ACTIONS(2551),
    [aux_sym_cipher_token1] = ACTIONS(2553),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2551),
    [aux_sym_compression_token1] = ACTIONS(2551),
    [aux_sym_connection_attempts_token1] = ACTIONS(2551),
    [aux_sym_connect_timeout_token1] = ACTIONS(2551),
    [aux_sym_control_master_token1] = ACTIONS(2551),
    [aux_sym_control_path_token1] = ACTIONS(2551),
    [aux_sym_control_persist_token1] = ACTIONS(2551),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2551),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2551),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2551),
    [aux_sym_escape_char_token1] = ACTIONS(2551),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2551),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2551),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2551),
    [aux_sym_forward_agent_token1] = ACTIONS(2551),
    [aux_sym_forward_x11_token1] = ACTIONS(2553),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2551),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2551),
    [aux_sym_gateway_ports_token1] = ACTIONS(2551),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2551),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2551),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2551),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2551),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2551),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2551),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2551),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2551),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2551),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2551),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2551),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2551),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2551),
    [aux_sym_host_key_alias_token1] = ACTIONS(2551),
    [aux_sym_hostname_token1] = ACTIONS(2551),
    [aux_sym_identities_only_token1] = ACTIONS(2551),
    [aux_sym_identity_agent_token1] = ACTIONS(2551),
    [aux_sym_identity_file_token1] = ACTIONS(2551),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2551),
    [aux_sym_include_token1] = ACTIONS(2551),
    [aux_sym_ip_qos_token1] = ACTIONS(2551),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2551),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2551),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2551),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2551),
    [aux_sym_local_command_token1] = ACTIONS(2551),
    [aux_sym_local_forward_token1] = ACTIONS(2551),
    [aux_sym_log_level_token1] = ACTIONS(2551),
    [aux_sym_log_verbose_token1] = ACTIONS(2551),
    [aux_sym_macs_token1] = ACTIONS(2551),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2551),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2551),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2551),
    [aux_sym_password_authentication_token1] = ACTIONS(2551),
    [aux_sym_permit_local_command_token1] = ACTIONS(2551),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2551),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2551),
    [aux_sym_port_token1] = ACTIONS(2551),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2551),
    [aux_sym_protocol_token1] = ACTIONS(2551),
    [aux_sym_proxy_command_token1] = ACTIONS(2551),
    [aux_sym_proxy_jump_token1] = ACTIONS(2551),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2551),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2551),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2551),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2551),
    [aux_sym_rekey_limit_token1] = ACTIONS(2551),
    [aux_sym_remote_command_token1] = ACTIONS(2551),
    [aux_sym_remote_forward_token1] = ACTIONS(2551),
    [aux_sym_request_tty_token1] = ACTIONS(2551),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2551),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2551),
    [aux_sym_security_key_provider_token1] = ACTIONS(2551),
    [aux_sym_send_env_token1] = ACTIONS(2551),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2551),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2551),
    [aux_sym_session_type_token1] = ACTIONS(2551),
    [aux_sym_set_env_token1] = ACTIONS(2551),
    [aux_sym_stdin_null_token1] = ACTIONS(2551),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2551),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2551),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2551),
    [aux_sym_syslog_facility_token1] = ACTIONS(2551),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2551),
    [aux_sym_keep_alive_token1] = ACTIONS(2551),
    [aux_sym_tag_token1] = ACTIONS(2551),
    [aux_sym_tunnel_token1] = ACTIONS(2553),
    [aux_sym_tunnel_device_token1] = ACTIONS(2551),
    [aux_sym_update_host_keys_token1] = ACTIONS(2551),
    [aux_sym_use_keychain_token1] = ACTIONS(2551),
    [aux_sym_use_roaming_token1] = ACTIONS(2551),
    [aux_sym_user_token1] = ACTIONS(2553),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2551),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2551),
    [aux_sym_visual_host_key_token1] = ACTIONS(2551),
    [aux_sym_xauth_location_token1] = ACTIONS(2551),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(2557),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [aux_sym_match_token1] = ACTIONS(2557),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2557),
    [aux_sym_address_family_token1] = ACTIONS(2557),
    [aux_sym_batch_mode_token1] = ACTIONS(2557),
    [aux_sym_bind_address_token1] = ACTIONS(2557),
    [aux_sym_bind_interface_token1] = ACTIONS(2557),
    [aux_sym_canonical_domains_token1] = ACTIONS(2557),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2557),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2557),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2557),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2557),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2557),
    [aux_sym_certificate_file_token1] = ACTIONS(2557),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2557),
    [aux_sym_channel_timeout_token1] = ACTIONS(2557),
    [aux_sym_check_host_ip_token1] = ACTIONS(2557),
    [aux_sym_ciphers_token1] = ACTIONS(2557),
    [aux_sym_cipher_token1] = ACTIONS(2559),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2557),
    [aux_sym_compression_token1] = ACTIONS(2557),
    [aux_sym_connection_attempts_token1] = ACTIONS(2557),
    [aux_sym_connect_timeout_token1] = ACTIONS(2557),
    [aux_sym_control_master_token1] = ACTIONS(2557),
    [aux_sym_control_path_token1] = ACTIONS(2557),
    [aux_sym_control_persist_token1] = ACTIONS(2557),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2557),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2557),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2557),
    [aux_sym_escape_char_token1] = ACTIONS(2557),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2557),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2557),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2557),
    [aux_sym_forward_agent_token1] = ACTIONS(2557),
    [aux_sym_forward_x11_token1] = ACTIONS(2559),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2557),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2557),
    [aux_sym_gateway_ports_token1] = ACTIONS(2557),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2557),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2557),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2557),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2557),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2557),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2557),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2557),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2557),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2557),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2557),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2557),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2557),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2557),
    [aux_sym_host_key_alias_token1] = ACTIONS(2557),
    [aux_sym_hostname_token1] = ACTIONS(2557),
    [aux_sym_identities_only_token1] = ACTIONS(2557),
    [aux_sym_identity_agent_token1] = ACTIONS(2557),
    [aux_sym_identity_file_token1] = ACTIONS(2557),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2557),
    [aux_sym_include_token1] = ACTIONS(2557),
    [aux_sym_ip_qos_token1] = ACTIONS(2557),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2557),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2557),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2557),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2557),
    [aux_sym_local_command_token1] = ACTIONS(2557),
    [aux_sym_local_forward_token1] = ACTIONS(2557),
    [aux_sym_log_level_token1] = ACTIONS(2557),
    [aux_sym_log_verbose_token1] = ACTIONS(2557),
    [aux_sym_macs_token1] = ACTIONS(2557),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2557),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2557),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2557),
    [aux_sym_password_authentication_token1] = ACTIONS(2557),
    [aux_sym_permit_local_command_token1] = ACTIONS(2557),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2557),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2557),
    [aux_sym_port_token1] = ACTIONS(2557),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2557),
    [aux_sym_protocol_token1] = ACTIONS(2557),
    [aux_sym_proxy_command_token1] = ACTIONS(2557),
    [aux_sym_proxy_jump_token1] = ACTIONS(2557),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2557),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2557),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2557),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2557),
    [aux_sym_rekey_limit_token1] = ACTIONS(2557),
    [aux_sym_remote_command_token1] = ACTIONS(2557),
    [aux_sym_remote_forward_token1] = ACTIONS(2557),
    [aux_sym_request_tty_token1] = ACTIONS(2557),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2557),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2557),
    [aux_sym_security_key_provider_token1] = ACTIONS(2557),
    [aux_sym_send_env_token1] = ACTIONS(2557),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2557),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2557),
    [aux_sym_session_type_token1] = ACTIONS(2557),
    [aux_sym_set_env_token1] = ACTIONS(2557),
    [aux_sym_stdin_null_token1] = ACTIONS(2557),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2557),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2557),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2557),
    [aux_sym_syslog_facility_token1] = ACTIONS(2557),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2557),
    [aux_sym_keep_alive_token1] = ACTIONS(2557),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [aux_sym_tunnel_token1] = ACTIONS(2559),
    [aux_sym_tunnel_device_token1] = ACTIONS(2557),
    [aux_sym_update_host_keys_token1] = ACTIONS(2557),
    [aux_sym_use_keychain_token1] = ACTIONS(2557),
    [aux_sym_use_roaming_token1] = ACTIONS(2557),
    [aux_sym_user_token1] = ACTIONS(2559),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2557),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2557),
    [aux_sym_visual_host_key_token1] = ACTIONS(2557),
    [aux_sym_xauth_location_token1] = ACTIONS(2557),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [aux_sym_match_token1] = ACTIONS(2563),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2563),
    [aux_sym_address_family_token1] = ACTIONS(2563),
    [aux_sym_batch_mode_token1] = ACTIONS(2563),
    [aux_sym_bind_address_token1] = ACTIONS(2563),
    [aux_sym_bind_interface_token1] = ACTIONS(2563),
    [aux_sym_canonical_domains_token1] = ACTIONS(2563),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2563),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2563),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2563),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2563),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2563),
    [aux_sym_certificate_file_token1] = ACTIONS(2563),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2563),
    [aux_sym_channel_timeout_token1] = ACTIONS(2563),
    [aux_sym_check_host_ip_token1] = ACTIONS(2563),
    [aux_sym_ciphers_token1] = ACTIONS(2563),
    [aux_sym_cipher_token1] = ACTIONS(2565),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2563),
    [aux_sym_compression_token1] = ACTIONS(2563),
    [aux_sym_connection_attempts_token1] = ACTIONS(2563),
    [aux_sym_connect_timeout_token1] = ACTIONS(2563),
    [aux_sym_control_master_token1] = ACTIONS(2563),
    [aux_sym_control_path_token1] = ACTIONS(2563),
    [aux_sym_control_persist_token1] = ACTIONS(2563),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2563),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2563),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2563),
    [aux_sym_escape_char_token1] = ACTIONS(2563),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2563),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2563),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2563),
    [aux_sym_forward_agent_token1] = ACTIONS(2563),
    [aux_sym_forward_x11_token1] = ACTIONS(2565),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2563),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2563),
    [aux_sym_gateway_ports_token1] = ACTIONS(2563),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2563),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2563),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2563),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2563),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2563),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2563),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2563),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2563),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2563),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2563),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2563),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2563),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2563),
    [aux_sym_host_key_alias_token1] = ACTIONS(2563),
    [aux_sym_hostname_token1] = ACTIONS(2563),
    [aux_sym_identities_only_token1] = ACTIONS(2563),
    [aux_sym_identity_agent_token1] = ACTIONS(2563),
    [aux_sym_identity_file_token1] = ACTIONS(2563),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2563),
    [aux_sym_include_token1] = ACTIONS(2563),
    [aux_sym_ip_qos_token1] = ACTIONS(2563),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2563),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2563),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2563),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2563),
    [aux_sym_local_command_token1] = ACTIONS(2563),
    [aux_sym_local_forward_token1] = ACTIONS(2563),
    [aux_sym_log_level_token1] = ACTIONS(2563),
    [aux_sym_log_verbose_token1] = ACTIONS(2563),
    [aux_sym_macs_token1] = ACTIONS(2563),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2563),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2563),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2563),
    [aux_sym_password_authentication_token1] = ACTIONS(2563),
    [aux_sym_permit_local_command_token1] = ACTIONS(2563),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2563),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2563),
    [aux_sym_port_token1] = ACTIONS(2563),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2563),
    [aux_sym_protocol_token1] = ACTIONS(2563),
    [aux_sym_proxy_command_token1] = ACTIONS(2563),
    [aux_sym_proxy_jump_token1] = ACTIONS(2563),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2563),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2563),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2563),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2563),
    [aux_sym_rekey_limit_token1] = ACTIONS(2563),
    [aux_sym_remote_command_token1] = ACTIONS(2563),
    [aux_sym_remote_forward_token1] = ACTIONS(2563),
    [aux_sym_request_tty_token1] = ACTIONS(2563),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2563),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2563),
    [aux_sym_security_key_provider_token1] = ACTIONS(2563),
    [aux_sym_send_env_token1] = ACTIONS(2563),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2563),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2563),
    [aux_sym_session_type_token1] = ACTIONS(2563),
    [aux_sym_set_env_token1] = ACTIONS(2563),
    [aux_sym_stdin_null_token1] = ACTIONS(2563),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2563),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2563),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2563),
    [aux_sym_syslog_facility_token1] = ACTIONS(2563),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2563),
    [aux_sym_keep_alive_token1] = ACTIONS(2563),
    [aux_sym_tag_token1] = ACTIONS(2563),
    [aux_sym_tunnel_token1] = ACTIONS(2565),
    [aux_sym_tunnel_device_token1] = ACTIONS(2563),
    [aux_sym_update_host_keys_token1] = ACTIONS(2563),
    [aux_sym_use_keychain_token1] = ACTIONS(2563),
    [aux_sym_use_roaming_token1] = ACTIONS(2563),
    [aux_sym_user_token1] = ACTIONS(2565),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2563),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2563),
    [aux_sym_visual_host_key_token1] = ACTIONS(2563),
    [aux_sym_xauth_location_token1] = ACTIONS(2563),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(2567),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2569),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [aux_sym_match_token1] = ACTIONS(2567),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2567),
    [aux_sym_address_family_token1] = ACTIONS(2567),
    [aux_sym_batch_mode_token1] = ACTIONS(2567),
    [aux_sym_bind_address_token1] = ACTIONS(2567),
    [aux_sym_bind_interface_token1] = ACTIONS(2567),
    [aux_sym_canonical_domains_token1] = ACTIONS(2567),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2567),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2567),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2567),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2567),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2567),
    [aux_sym_certificate_file_token1] = ACTIONS(2567),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2567),
    [aux_sym_channel_timeout_token1] = ACTIONS(2567),
    [aux_sym_check_host_ip_token1] = ACTIONS(2567),
    [aux_sym_ciphers_token1] = ACTIONS(2567),
    [aux_sym_cipher_token1] = ACTIONS(2569),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2567),
    [aux_sym_compression_token1] = ACTIONS(2567),
    [aux_sym_connection_attempts_token1] = ACTIONS(2567),
    [aux_sym_connect_timeout_token1] = ACTIONS(2567),
    [aux_sym_control_master_token1] = ACTIONS(2567),
    [aux_sym_control_path_token1] = ACTIONS(2567),
    [aux_sym_control_persist_token1] = ACTIONS(2567),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2567),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2567),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2567),
    [aux_sym_escape_char_token1] = ACTIONS(2567),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2567),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2567),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2567),
    [aux_sym_forward_agent_token1] = ACTIONS(2567),
    [aux_sym_forward_x11_token1] = ACTIONS(2569),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2567),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2567),
    [aux_sym_gateway_ports_token1] = ACTIONS(2567),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2567),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2567),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2567),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2567),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2567),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2567),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2567),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2567),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2567),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2567),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2567),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2567),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2567),
    [aux_sym_host_key_alias_token1] = ACTIONS(2567),
    [aux_sym_hostname_token1] = ACTIONS(2567),
    [aux_sym_identities_only_token1] = ACTIONS(2567),
    [aux_sym_identity_agent_token1] = ACTIONS(2567),
    [aux_sym_identity_file_token1] = ACTIONS(2567),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2567),
    [aux_sym_include_token1] = ACTIONS(2567),
    [aux_sym_ip_qos_token1] = ACTIONS(2567),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2567),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2567),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2567),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2567),
    [aux_sym_local_command_token1] = ACTIONS(2567),
    [aux_sym_local_forward_token1] = ACTIONS(2567),
    [aux_sym_log_level_token1] = ACTIONS(2567),
    [aux_sym_log_verbose_token1] = ACTIONS(2567),
    [aux_sym_macs_token1] = ACTIONS(2567),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2567),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2567),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2567),
    [aux_sym_password_authentication_token1] = ACTIONS(2567),
    [aux_sym_permit_local_command_token1] = ACTIONS(2567),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2567),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2567),
    [aux_sym_port_token1] = ACTIONS(2567),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2567),
    [aux_sym_protocol_token1] = ACTIONS(2567),
    [aux_sym_proxy_command_token1] = ACTIONS(2567),
    [aux_sym_proxy_jump_token1] = ACTIONS(2567),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2567),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2567),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2567),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2567),
    [aux_sym_rekey_limit_token1] = ACTIONS(2567),
    [aux_sym_remote_command_token1] = ACTIONS(2567),
    [aux_sym_remote_forward_token1] = ACTIONS(2567),
    [aux_sym_request_tty_token1] = ACTIONS(2567),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2567),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2567),
    [aux_sym_security_key_provider_token1] = ACTIONS(2567),
    [aux_sym_send_env_token1] = ACTIONS(2567),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2567),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2567),
    [aux_sym_session_type_token1] = ACTIONS(2567),
    [aux_sym_set_env_token1] = ACTIONS(2567),
    [aux_sym_stdin_null_token1] = ACTIONS(2567),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2567),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2567),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2567),
    [aux_sym_syslog_facility_token1] = ACTIONS(2567),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2567),
    [aux_sym_keep_alive_token1] = ACTIONS(2567),
    [aux_sym_tag_token1] = ACTIONS(2567),
    [aux_sym_tunnel_token1] = ACTIONS(2569),
    [aux_sym_tunnel_device_token1] = ACTIONS(2567),
    [aux_sym_update_host_keys_token1] = ACTIONS(2567),
    [aux_sym_use_keychain_token1] = ACTIONS(2567),
    [aux_sym_use_roaming_token1] = ACTIONS(2567),
    [aux_sym_user_token1] = ACTIONS(2569),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2567),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2567),
    [aux_sym_visual_host_key_token1] = ACTIONS(2567),
    [aux_sym_xauth_location_token1] = ACTIONS(2567),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2573),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [aux_sym_match_token1] = ACTIONS(2571),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2571),
    [aux_sym_address_family_token1] = ACTIONS(2571),
    [aux_sym_batch_mode_token1] = ACTIONS(2571),
    [aux_sym_bind_address_token1] = ACTIONS(2571),
    [aux_sym_bind_interface_token1] = ACTIONS(2571),
    [aux_sym_canonical_domains_token1] = ACTIONS(2571),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2571),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2571),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2571),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2571),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2571),
    [aux_sym_certificate_file_token1] = ACTIONS(2571),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2571),
    [aux_sym_channel_timeout_token1] = ACTIONS(2571),
    [aux_sym_check_host_ip_token1] = ACTIONS(2571),
    [aux_sym_ciphers_token1] = ACTIONS(2571),
    [aux_sym_cipher_token1] = ACTIONS(2573),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2571),
    [aux_sym_compression_token1] = ACTIONS(2571),
    [aux_sym_connection_attempts_token1] = ACTIONS(2571),
    [aux_sym_connect_timeout_token1] = ACTIONS(2571),
    [aux_sym_control_master_token1] = ACTIONS(2571),
    [aux_sym_control_path_token1] = ACTIONS(2571),
    [aux_sym_control_persist_token1] = ACTIONS(2571),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2571),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2571),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2571),
    [aux_sym_escape_char_token1] = ACTIONS(2571),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2571),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2571),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2571),
    [aux_sym_forward_agent_token1] = ACTIONS(2571),
    [aux_sym_forward_x11_token1] = ACTIONS(2573),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2571),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2571),
    [aux_sym_gateway_ports_token1] = ACTIONS(2571),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2571),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2571),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2571),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2571),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2571),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2571),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2571),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2571),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2571),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2571),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2571),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2571),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2571),
    [aux_sym_host_key_alias_token1] = ACTIONS(2571),
    [aux_sym_hostname_token1] = ACTIONS(2571),
    [aux_sym_identities_only_token1] = ACTIONS(2571),
    [aux_sym_identity_agent_token1] = ACTIONS(2571),
    [aux_sym_identity_file_token1] = ACTIONS(2571),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2571),
    [aux_sym_include_token1] = ACTIONS(2571),
    [aux_sym_ip_qos_token1] = ACTIONS(2571),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2571),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2571),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2571),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2571),
    [aux_sym_local_command_token1] = ACTIONS(2571),
    [aux_sym_local_forward_token1] = ACTIONS(2571),
    [aux_sym_log_level_token1] = ACTIONS(2571),
    [aux_sym_log_verbose_token1] = ACTIONS(2571),
    [aux_sym_macs_token1] = ACTIONS(2571),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2571),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2571),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2571),
    [aux_sym_password_authentication_token1] = ACTIONS(2571),
    [aux_sym_permit_local_command_token1] = ACTIONS(2571),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2571),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2571),
    [aux_sym_port_token1] = ACTIONS(2571),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2571),
    [aux_sym_protocol_token1] = ACTIONS(2571),
    [aux_sym_proxy_command_token1] = ACTIONS(2571),
    [aux_sym_proxy_jump_token1] = ACTIONS(2571),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2571),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2571),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2571),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2571),
    [aux_sym_rekey_limit_token1] = ACTIONS(2571),
    [aux_sym_remote_command_token1] = ACTIONS(2571),
    [aux_sym_remote_forward_token1] = ACTIONS(2571),
    [aux_sym_request_tty_token1] = ACTIONS(2571),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2571),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2571),
    [aux_sym_security_key_provider_token1] = ACTIONS(2571),
    [aux_sym_send_env_token1] = ACTIONS(2571),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2571),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2571),
    [aux_sym_session_type_token1] = ACTIONS(2571),
    [aux_sym_set_env_token1] = ACTIONS(2571),
    [aux_sym_stdin_null_token1] = ACTIONS(2571),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2571),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2571),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2571),
    [aux_sym_syslog_facility_token1] = ACTIONS(2571),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2571),
    [aux_sym_keep_alive_token1] = ACTIONS(2571),
    [aux_sym_tag_token1] = ACTIONS(2571),
    [aux_sym_tunnel_token1] = ACTIONS(2573),
    [aux_sym_tunnel_device_token1] = ACTIONS(2571),
    [aux_sym_update_host_keys_token1] = ACTIONS(2571),
    [aux_sym_use_keychain_token1] = ACTIONS(2571),
    [aux_sym_use_roaming_token1] = ACTIONS(2571),
    [aux_sym_user_token1] = ACTIONS(2573),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2571),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2571),
    [aux_sym_visual_host_key_token1] = ACTIONS(2571),
    [aux_sym_xauth_location_token1] = ACTIONS(2571),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(2577),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [aux_sym_match_token1] = ACTIONS(2577),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2577),
    [aux_sym_address_family_token1] = ACTIONS(2577),
    [aux_sym_batch_mode_token1] = ACTIONS(2577),
    [aux_sym_bind_address_token1] = ACTIONS(2577),
    [aux_sym_bind_interface_token1] = ACTIONS(2577),
    [aux_sym_canonical_domains_token1] = ACTIONS(2577),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2577),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2577),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2577),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2577),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2577),
    [aux_sym_certificate_file_token1] = ACTIONS(2577),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2577),
    [aux_sym_channel_timeout_token1] = ACTIONS(2577),
    [aux_sym_check_host_ip_token1] = ACTIONS(2577),
    [aux_sym_ciphers_token1] = ACTIONS(2577),
    [aux_sym_cipher_token1] = ACTIONS(2579),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2577),
    [aux_sym_compression_token1] = ACTIONS(2577),
    [aux_sym_connection_attempts_token1] = ACTIONS(2577),
    [aux_sym_connect_timeout_token1] = ACTIONS(2577),
    [aux_sym_control_master_token1] = ACTIONS(2577),
    [aux_sym_control_path_token1] = ACTIONS(2577),
    [aux_sym_control_persist_token1] = ACTIONS(2577),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2577),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2577),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2577),
    [aux_sym_escape_char_token1] = ACTIONS(2577),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2577),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2577),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2577),
    [aux_sym_forward_agent_token1] = ACTIONS(2577),
    [aux_sym_forward_x11_token1] = ACTIONS(2579),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2577),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2577),
    [aux_sym_gateway_ports_token1] = ACTIONS(2577),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2577),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2577),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2577),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2577),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2577),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2577),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2577),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2577),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2577),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2577),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2577),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2577),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2577),
    [aux_sym_host_key_alias_token1] = ACTIONS(2577),
    [aux_sym_hostname_token1] = ACTIONS(2577),
    [aux_sym_identities_only_token1] = ACTIONS(2577),
    [aux_sym_identity_agent_token1] = ACTIONS(2577),
    [aux_sym_identity_file_token1] = ACTIONS(2577),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2577),
    [aux_sym_include_token1] = ACTIONS(2577),
    [aux_sym_ip_qos_token1] = ACTIONS(2577),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2577),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2577),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2577),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2577),
    [aux_sym_local_command_token1] = ACTIONS(2577),
    [aux_sym_local_forward_token1] = ACTIONS(2577),
    [aux_sym_log_level_token1] = ACTIONS(2577),
    [aux_sym_log_verbose_token1] = ACTIONS(2577),
    [aux_sym_macs_token1] = ACTIONS(2577),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2577),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2577),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2577),
    [aux_sym_password_authentication_token1] = ACTIONS(2577),
    [aux_sym_permit_local_command_token1] = ACTIONS(2577),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2577),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2577),
    [aux_sym_port_token1] = ACTIONS(2577),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2577),
    [aux_sym_protocol_token1] = ACTIONS(2577),
    [aux_sym_proxy_command_token1] = ACTIONS(2577),
    [aux_sym_proxy_jump_token1] = ACTIONS(2577),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2577),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2577),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2577),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2577),
    [aux_sym_rekey_limit_token1] = ACTIONS(2577),
    [aux_sym_remote_command_token1] = ACTIONS(2577),
    [aux_sym_remote_forward_token1] = ACTIONS(2577),
    [aux_sym_request_tty_token1] = ACTIONS(2577),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2577),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2577),
    [aux_sym_security_key_provider_token1] = ACTIONS(2577),
    [aux_sym_send_env_token1] = ACTIONS(2577),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2577),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2577),
    [aux_sym_session_type_token1] = ACTIONS(2577),
    [aux_sym_set_env_token1] = ACTIONS(2577),
    [aux_sym_stdin_null_token1] = ACTIONS(2577),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2577),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2577),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2577),
    [aux_sym_syslog_facility_token1] = ACTIONS(2577),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2577),
    [aux_sym_keep_alive_token1] = ACTIONS(2577),
    [aux_sym_tag_token1] = ACTIONS(2577),
    [aux_sym_tunnel_token1] = ACTIONS(2579),
    [aux_sym_tunnel_device_token1] = ACTIONS(2577),
    [aux_sym_update_host_keys_token1] = ACTIONS(2577),
    [aux_sym_use_keychain_token1] = ACTIONS(2577),
    [aux_sym_use_roaming_token1] = ACTIONS(2577),
    [aux_sym_user_token1] = ACTIONS(2579),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2577),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2577),
    [aux_sym_visual_host_key_token1] = ACTIONS(2577),
    [aux_sym_xauth_location_token1] = ACTIONS(2577),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2583),
    [aux_sym_match_token1] = ACTIONS(2583),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2583),
    [aux_sym_address_family_token1] = ACTIONS(2583),
    [aux_sym_batch_mode_token1] = ACTIONS(2583),
    [aux_sym_bind_address_token1] = ACTIONS(2583),
    [aux_sym_bind_interface_token1] = ACTIONS(2583),
    [aux_sym_canonical_domains_token1] = ACTIONS(2583),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2583),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2583),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2583),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2583),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2583),
    [aux_sym_certificate_file_token1] = ACTIONS(2583),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2583),
    [aux_sym_channel_timeout_token1] = ACTIONS(2583),
    [aux_sym_check_host_ip_token1] = ACTIONS(2583),
    [aux_sym_ciphers_token1] = ACTIONS(2583),
    [aux_sym_cipher_token1] = ACTIONS(2585),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2583),
    [aux_sym_compression_token1] = ACTIONS(2583),
    [aux_sym_connection_attempts_token1] = ACTIONS(2583),
    [aux_sym_connect_timeout_token1] = ACTIONS(2583),
    [aux_sym_control_master_token1] = ACTIONS(2583),
    [aux_sym_control_path_token1] = ACTIONS(2583),
    [aux_sym_control_persist_token1] = ACTIONS(2583),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2583),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2583),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2583),
    [aux_sym_escape_char_token1] = ACTIONS(2583),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2583),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2583),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2583),
    [aux_sym_forward_agent_token1] = ACTIONS(2583),
    [aux_sym_forward_x11_token1] = ACTIONS(2585),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2583),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2583),
    [aux_sym_gateway_ports_token1] = ACTIONS(2583),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2583),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2583),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2583),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2583),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2583),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2583),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2583),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2583),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2583),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2583),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2583),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2583),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2583),
    [aux_sym_host_key_alias_token1] = ACTIONS(2583),
    [aux_sym_hostname_token1] = ACTIONS(2583),
    [aux_sym_identities_only_token1] = ACTIONS(2583),
    [aux_sym_identity_agent_token1] = ACTIONS(2583),
    [aux_sym_identity_file_token1] = ACTIONS(2583),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2583),
    [aux_sym_include_token1] = ACTIONS(2583),
    [aux_sym_ip_qos_token1] = ACTIONS(2583),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2583),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2583),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2583),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2583),
    [aux_sym_local_command_token1] = ACTIONS(2583),
    [aux_sym_local_forward_token1] = ACTIONS(2583),
    [aux_sym_log_level_token1] = ACTIONS(2583),
    [aux_sym_log_verbose_token1] = ACTIONS(2583),
    [aux_sym_macs_token1] = ACTIONS(2583),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2583),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2583),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2583),
    [aux_sym_password_authentication_token1] = ACTIONS(2583),
    [aux_sym_permit_local_command_token1] = ACTIONS(2583),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2583),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2583),
    [aux_sym_port_token1] = ACTIONS(2583),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2583),
    [aux_sym_protocol_token1] = ACTIONS(2583),
    [aux_sym_proxy_command_token1] = ACTIONS(2583),
    [aux_sym_proxy_jump_token1] = ACTIONS(2583),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2583),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2583),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2583),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2583),
    [aux_sym_rekey_limit_token1] = ACTIONS(2583),
    [aux_sym_remote_command_token1] = ACTIONS(2583),
    [aux_sym_remote_forward_token1] = ACTIONS(2583),
    [aux_sym_request_tty_token1] = ACTIONS(2583),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2583),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2583),
    [aux_sym_security_key_provider_token1] = ACTIONS(2583),
    [aux_sym_send_env_token1] = ACTIONS(2583),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2583),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2583),
    [aux_sym_session_type_token1] = ACTIONS(2583),
    [aux_sym_set_env_token1] = ACTIONS(2583),
    [aux_sym_stdin_null_token1] = ACTIONS(2583),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2583),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2583),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2583),
    [aux_sym_syslog_facility_token1] = ACTIONS(2583),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2583),
    [aux_sym_keep_alive_token1] = ACTIONS(2583),
    [aux_sym_tag_token1] = ACTIONS(2583),
    [aux_sym_tunnel_token1] = ACTIONS(2585),
    [aux_sym_tunnel_device_token1] = ACTIONS(2583),
    [aux_sym_update_host_keys_token1] = ACTIONS(2583),
    [aux_sym_use_keychain_token1] = ACTIONS(2583),
    [aux_sym_use_roaming_token1] = ACTIONS(2583),
    [aux_sym_user_token1] = ACTIONS(2585),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2583),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2583),
    [aux_sym_visual_host_key_token1] = ACTIONS(2583),
    [aux_sym_xauth_location_token1] = ACTIONS(2583),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [aux_sym_match_token1] = ACTIONS(2587),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2587),
    [aux_sym_address_family_token1] = ACTIONS(2587),
    [aux_sym_batch_mode_token1] = ACTIONS(2587),
    [aux_sym_bind_address_token1] = ACTIONS(2587),
    [aux_sym_bind_interface_token1] = ACTIONS(2587),
    [aux_sym_canonical_domains_token1] = ACTIONS(2587),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2587),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2587),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2587),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2587),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2587),
    [aux_sym_certificate_file_token1] = ACTIONS(2587),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2587),
    [aux_sym_channel_timeout_token1] = ACTIONS(2587),
    [aux_sym_check_host_ip_token1] = ACTIONS(2587),
    [aux_sym_ciphers_token1] = ACTIONS(2587),
    [aux_sym_cipher_token1] = ACTIONS(2589),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2587),
    [aux_sym_compression_token1] = ACTIONS(2587),
    [aux_sym_connection_attempts_token1] = ACTIONS(2587),
    [aux_sym_connect_timeout_token1] = ACTIONS(2587),
    [aux_sym_control_master_token1] = ACTIONS(2587),
    [aux_sym_control_path_token1] = ACTIONS(2587),
    [aux_sym_control_persist_token1] = ACTIONS(2587),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2587),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2587),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2587),
    [aux_sym_escape_char_token1] = ACTIONS(2587),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2587),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2587),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2587),
    [aux_sym_forward_agent_token1] = ACTIONS(2587),
    [aux_sym_forward_x11_token1] = ACTIONS(2589),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2587),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2587),
    [aux_sym_gateway_ports_token1] = ACTIONS(2587),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2587),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2587),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2587),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2587),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2587),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2587),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2587),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2587),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2587),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2587),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2587),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2587),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2587),
    [aux_sym_host_key_alias_token1] = ACTIONS(2587),
    [aux_sym_hostname_token1] = ACTIONS(2587),
    [aux_sym_identities_only_token1] = ACTIONS(2587),
    [aux_sym_identity_agent_token1] = ACTIONS(2587),
    [aux_sym_identity_file_token1] = ACTIONS(2587),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2587),
    [aux_sym_include_token1] = ACTIONS(2587),
    [aux_sym_ip_qos_token1] = ACTIONS(2587),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2587),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2587),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2587),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2587),
    [aux_sym_local_command_token1] = ACTIONS(2587),
    [aux_sym_local_forward_token1] = ACTIONS(2587),
    [aux_sym_log_level_token1] = ACTIONS(2587),
    [aux_sym_log_verbose_token1] = ACTIONS(2587),
    [aux_sym_macs_token1] = ACTIONS(2587),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2587),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2587),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2587),
    [aux_sym_password_authentication_token1] = ACTIONS(2587),
    [aux_sym_permit_local_command_token1] = ACTIONS(2587),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2587),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2587),
    [aux_sym_port_token1] = ACTIONS(2587),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2587),
    [aux_sym_protocol_token1] = ACTIONS(2587),
    [aux_sym_proxy_command_token1] = ACTIONS(2587),
    [aux_sym_proxy_jump_token1] = ACTIONS(2587),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2587),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2587),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2587),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2587),
    [aux_sym_rekey_limit_token1] = ACTIONS(2587),
    [aux_sym_remote_command_token1] = ACTIONS(2587),
    [aux_sym_remote_forward_token1] = ACTIONS(2587),
    [aux_sym_request_tty_token1] = ACTIONS(2587),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2587),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2587),
    [aux_sym_security_key_provider_token1] = ACTIONS(2587),
    [aux_sym_send_env_token1] = ACTIONS(2587),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2587),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2587),
    [aux_sym_session_type_token1] = ACTIONS(2587),
    [aux_sym_set_env_token1] = ACTIONS(2587),
    [aux_sym_stdin_null_token1] = ACTIONS(2587),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2587),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2587),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2587),
    [aux_sym_syslog_facility_token1] = ACTIONS(2587),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2587),
    [aux_sym_keep_alive_token1] = ACTIONS(2587),
    [aux_sym_tag_token1] = ACTIONS(2587),
    [aux_sym_tunnel_token1] = ACTIONS(2589),
    [aux_sym_tunnel_device_token1] = ACTIONS(2587),
    [aux_sym_update_host_keys_token1] = ACTIONS(2587),
    [aux_sym_use_keychain_token1] = ACTIONS(2587),
    [aux_sym_use_roaming_token1] = ACTIONS(2587),
    [aux_sym_user_token1] = ACTIONS(2589),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2587),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2587),
    [aux_sym_visual_host_key_token1] = ACTIONS(2587),
    [aux_sym_xauth_location_token1] = ACTIONS(2587),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [aux_sym_match_token1] = ACTIONS(2591),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2591),
    [aux_sym_address_family_token1] = ACTIONS(2591),
    [aux_sym_batch_mode_token1] = ACTIONS(2591),
    [aux_sym_bind_address_token1] = ACTIONS(2591),
    [aux_sym_bind_interface_token1] = ACTIONS(2591),
    [aux_sym_canonical_domains_token1] = ACTIONS(2591),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2591),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2591),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2591),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2591),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2591),
    [aux_sym_certificate_file_token1] = ACTIONS(2591),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2591),
    [aux_sym_channel_timeout_token1] = ACTIONS(2591),
    [aux_sym_check_host_ip_token1] = ACTIONS(2591),
    [aux_sym_ciphers_token1] = ACTIONS(2591),
    [aux_sym_cipher_token1] = ACTIONS(2593),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2591),
    [aux_sym_compression_token1] = ACTIONS(2591),
    [aux_sym_connection_attempts_token1] = ACTIONS(2591),
    [aux_sym_connect_timeout_token1] = ACTIONS(2591),
    [aux_sym_control_master_token1] = ACTIONS(2591),
    [aux_sym_control_path_token1] = ACTIONS(2591),
    [aux_sym_control_persist_token1] = ACTIONS(2591),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2591),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2591),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2591),
    [aux_sym_escape_char_token1] = ACTIONS(2591),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2591),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2591),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2591),
    [aux_sym_forward_agent_token1] = ACTIONS(2591),
    [aux_sym_forward_x11_token1] = ACTIONS(2593),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2591),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2591),
    [aux_sym_gateway_ports_token1] = ACTIONS(2591),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2591),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2591),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2591),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2591),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2591),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2591),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2591),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2591),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2591),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2591),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2591),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2591),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2591),
    [aux_sym_host_key_alias_token1] = ACTIONS(2591),
    [aux_sym_hostname_token1] = ACTIONS(2591),
    [aux_sym_identities_only_token1] = ACTIONS(2591),
    [aux_sym_identity_agent_token1] = ACTIONS(2591),
    [aux_sym_identity_file_token1] = ACTIONS(2591),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2591),
    [aux_sym_include_token1] = ACTIONS(2591),
    [aux_sym_ip_qos_token1] = ACTIONS(2591),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2591),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2591),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2591),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2591),
    [aux_sym_local_command_token1] = ACTIONS(2591),
    [aux_sym_local_forward_token1] = ACTIONS(2591),
    [aux_sym_log_level_token1] = ACTIONS(2591),
    [aux_sym_log_verbose_token1] = ACTIONS(2591),
    [aux_sym_macs_token1] = ACTIONS(2591),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2591),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2591),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2591),
    [aux_sym_password_authentication_token1] = ACTIONS(2591),
    [aux_sym_permit_local_command_token1] = ACTIONS(2591),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2591),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2591),
    [aux_sym_port_token1] = ACTIONS(2591),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2591),
    [aux_sym_protocol_token1] = ACTIONS(2591),
    [aux_sym_proxy_command_token1] = ACTIONS(2591),
    [aux_sym_proxy_jump_token1] = ACTIONS(2591),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2591),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2591),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2591),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2591),
    [aux_sym_rekey_limit_token1] = ACTIONS(2591),
    [aux_sym_remote_command_token1] = ACTIONS(2591),
    [aux_sym_remote_forward_token1] = ACTIONS(2591),
    [aux_sym_request_tty_token1] = ACTIONS(2591),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2591),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2591),
    [aux_sym_security_key_provider_token1] = ACTIONS(2591),
    [aux_sym_send_env_token1] = ACTIONS(2591),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2591),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2591),
    [aux_sym_session_type_token1] = ACTIONS(2591),
    [aux_sym_set_env_token1] = ACTIONS(2591),
    [aux_sym_stdin_null_token1] = ACTIONS(2591),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2591),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2591),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2591),
    [aux_sym_syslog_facility_token1] = ACTIONS(2591),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2591),
    [aux_sym_keep_alive_token1] = ACTIONS(2591),
    [aux_sym_tag_token1] = ACTIONS(2591),
    [aux_sym_tunnel_token1] = ACTIONS(2593),
    [aux_sym_tunnel_device_token1] = ACTIONS(2591),
    [aux_sym_update_host_keys_token1] = ACTIONS(2591),
    [aux_sym_use_keychain_token1] = ACTIONS(2591),
    [aux_sym_use_roaming_token1] = ACTIONS(2591),
    [aux_sym_user_token1] = ACTIONS(2593),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2591),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2591),
    [aux_sym_visual_host_key_token1] = ACTIONS(2591),
    [aux_sym_xauth_location_token1] = ACTIONS(2591),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [aux_sym_match_token1] = ACTIONS(2597),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2597),
    [aux_sym_address_family_token1] = ACTIONS(2597),
    [aux_sym_batch_mode_token1] = ACTIONS(2597),
    [aux_sym_bind_address_token1] = ACTIONS(2597),
    [aux_sym_bind_interface_token1] = ACTIONS(2597),
    [aux_sym_canonical_domains_token1] = ACTIONS(2597),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2597),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2597),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2597),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2597),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2597),
    [aux_sym_certificate_file_token1] = ACTIONS(2597),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2597),
    [aux_sym_channel_timeout_token1] = ACTIONS(2597),
    [aux_sym_check_host_ip_token1] = ACTIONS(2597),
    [aux_sym_ciphers_token1] = ACTIONS(2597),
    [aux_sym_cipher_token1] = ACTIONS(2599),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2597),
    [aux_sym_compression_token1] = ACTIONS(2597),
    [aux_sym_connection_attempts_token1] = ACTIONS(2597),
    [aux_sym_connect_timeout_token1] = ACTIONS(2597),
    [aux_sym_control_master_token1] = ACTIONS(2597),
    [aux_sym_control_path_token1] = ACTIONS(2597),
    [aux_sym_control_persist_token1] = ACTIONS(2597),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2597),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2597),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2597),
    [aux_sym_escape_char_token1] = ACTIONS(2597),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2597),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2597),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2597),
    [aux_sym_forward_agent_token1] = ACTIONS(2597),
    [aux_sym_forward_x11_token1] = ACTIONS(2599),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2597),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2597),
    [aux_sym_gateway_ports_token1] = ACTIONS(2597),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2597),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2597),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2597),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2597),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2597),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2597),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2597),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2597),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2597),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2597),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2597),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2597),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2597),
    [aux_sym_host_key_alias_token1] = ACTIONS(2597),
    [aux_sym_hostname_token1] = ACTIONS(2597),
    [aux_sym_identities_only_token1] = ACTIONS(2597),
    [aux_sym_identity_agent_token1] = ACTIONS(2597),
    [aux_sym_identity_file_token1] = ACTIONS(2597),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2597),
    [aux_sym_include_token1] = ACTIONS(2597),
    [aux_sym_ip_qos_token1] = ACTIONS(2597),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2597),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2597),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2597),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2597),
    [aux_sym_local_command_token1] = ACTIONS(2597),
    [aux_sym_local_forward_token1] = ACTIONS(2597),
    [aux_sym_log_level_token1] = ACTIONS(2597),
    [aux_sym_log_verbose_token1] = ACTIONS(2597),
    [aux_sym_macs_token1] = ACTIONS(2597),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2597),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2597),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2597),
    [aux_sym_password_authentication_token1] = ACTIONS(2597),
    [aux_sym_permit_local_command_token1] = ACTIONS(2597),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2597),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2597),
    [aux_sym_port_token1] = ACTIONS(2597),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2597),
    [aux_sym_protocol_token1] = ACTIONS(2597),
    [aux_sym_proxy_command_token1] = ACTIONS(2597),
    [aux_sym_proxy_jump_token1] = ACTIONS(2597),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2597),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2597),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2597),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2597),
    [aux_sym_rekey_limit_token1] = ACTIONS(2597),
    [aux_sym_remote_command_token1] = ACTIONS(2597),
    [aux_sym_remote_forward_token1] = ACTIONS(2597),
    [aux_sym_request_tty_token1] = ACTIONS(2597),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2597),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2597),
    [aux_sym_security_key_provider_token1] = ACTIONS(2597),
    [aux_sym_send_env_token1] = ACTIONS(2597),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2597),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2597),
    [aux_sym_session_type_token1] = ACTIONS(2597),
    [aux_sym_set_env_token1] = ACTIONS(2597),
    [aux_sym_stdin_null_token1] = ACTIONS(2597),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2597),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2597),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2597),
    [aux_sym_syslog_facility_token1] = ACTIONS(2597),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2597),
    [aux_sym_keep_alive_token1] = ACTIONS(2597),
    [aux_sym_tag_token1] = ACTIONS(2597),
    [aux_sym_tunnel_token1] = ACTIONS(2599),
    [aux_sym_tunnel_device_token1] = ACTIONS(2597),
    [aux_sym_update_host_keys_token1] = ACTIONS(2597),
    [aux_sym_use_keychain_token1] = ACTIONS(2597),
    [aux_sym_use_roaming_token1] = ACTIONS(2597),
    [aux_sym_user_token1] = ACTIONS(2599),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2597),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2597),
    [aux_sym_visual_host_key_token1] = ACTIONS(2597),
    [aux_sym_xauth_location_token1] = ACTIONS(2597),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [aux_sym_match_token1] = ACTIONS(2603),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2603),
    [aux_sym_address_family_token1] = ACTIONS(2603),
    [aux_sym_batch_mode_token1] = ACTIONS(2603),
    [aux_sym_bind_address_token1] = ACTIONS(2603),
    [aux_sym_bind_interface_token1] = ACTIONS(2603),
    [aux_sym_canonical_domains_token1] = ACTIONS(2603),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2603),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2603),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2603),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2603),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2603),
    [aux_sym_certificate_file_token1] = ACTIONS(2603),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2603),
    [aux_sym_channel_timeout_token1] = ACTIONS(2603),
    [aux_sym_check_host_ip_token1] = ACTIONS(2603),
    [aux_sym_ciphers_token1] = ACTIONS(2603),
    [aux_sym_cipher_token1] = ACTIONS(2605),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2603),
    [aux_sym_compression_token1] = ACTIONS(2603),
    [aux_sym_connection_attempts_token1] = ACTIONS(2603),
    [aux_sym_connect_timeout_token1] = ACTIONS(2603),
    [aux_sym_control_master_token1] = ACTIONS(2603),
    [aux_sym_control_path_token1] = ACTIONS(2603),
    [aux_sym_control_persist_token1] = ACTIONS(2603),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2603),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2603),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2603),
    [aux_sym_escape_char_token1] = ACTIONS(2603),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2603),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2603),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2603),
    [aux_sym_forward_agent_token1] = ACTIONS(2603),
    [aux_sym_forward_x11_token1] = ACTIONS(2605),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2603),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2603),
    [aux_sym_gateway_ports_token1] = ACTIONS(2603),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2603),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2603),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2603),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2603),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2603),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2603),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2603),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2603),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2603),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2603),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2603),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2603),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2603),
    [aux_sym_host_key_alias_token1] = ACTIONS(2603),
    [aux_sym_hostname_token1] = ACTIONS(2603),
    [aux_sym_identities_only_token1] = ACTIONS(2603),
    [aux_sym_identity_agent_token1] = ACTIONS(2603),
    [aux_sym_identity_file_token1] = ACTIONS(2603),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2603),
    [aux_sym_include_token1] = ACTIONS(2603),
    [aux_sym_ip_qos_token1] = ACTIONS(2603),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2603),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2603),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2603),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2603),
    [aux_sym_local_command_token1] = ACTIONS(2603),
    [aux_sym_local_forward_token1] = ACTIONS(2603),
    [aux_sym_log_level_token1] = ACTIONS(2603),
    [aux_sym_log_verbose_token1] = ACTIONS(2603),
    [aux_sym_macs_token1] = ACTIONS(2603),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2603),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2603),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2603),
    [aux_sym_password_authentication_token1] = ACTIONS(2603),
    [aux_sym_permit_local_command_token1] = ACTIONS(2603),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2603),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2603),
    [aux_sym_port_token1] = ACTIONS(2603),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2603),
    [aux_sym_protocol_token1] = ACTIONS(2603),
    [aux_sym_proxy_command_token1] = ACTIONS(2603),
    [aux_sym_proxy_jump_token1] = ACTIONS(2603),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2603),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2603),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2603),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2603),
    [aux_sym_rekey_limit_token1] = ACTIONS(2603),
    [aux_sym_remote_command_token1] = ACTIONS(2603),
    [aux_sym_remote_forward_token1] = ACTIONS(2603),
    [aux_sym_request_tty_token1] = ACTIONS(2603),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2603),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2603),
    [aux_sym_security_key_provider_token1] = ACTIONS(2603),
    [aux_sym_send_env_token1] = ACTIONS(2603),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2603),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2603),
    [aux_sym_session_type_token1] = ACTIONS(2603),
    [aux_sym_set_env_token1] = ACTIONS(2603),
    [aux_sym_stdin_null_token1] = ACTIONS(2603),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2603),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2603),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2603),
    [aux_sym_syslog_facility_token1] = ACTIONS(2603),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2603),
    [aux_sym_keep_alive_token1] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2603),
    [aux_sym_tunnel_token1] = ACTIONS(2605),
    [aux_sym_tunnel_device_token1] = ACTIONS(2603),
    [aux_sym_update_host_keys_token1] = ACTIONS(2603),
    [aux_sym_use_keychain_token1] = ACTIONS(2603),
    [aux_sym_use_roaming_token1] = ACTIONS(2603),
    [aux_sym_user_token1] = ACTIONS(2605),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2603),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2603),
    [aux_sym_visual_host_key_token1] = ACTIONS(2603),
    [aux_sym_xauth_location_token1] = ACTIONS(2603),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(2607),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [aux_sym_match_token1] = ACTIONS(2607),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2607),
    [aux_sym_address_family_token1] = ACTIONS(2607),
    [aux_sym_batch_mode_token1] = ACTIONS(2607),
    [aux_sym_bind_address_token1] = ACTIONS(2607),
    [aux_sym_bind_interface_token1] = ACTIONS(2607),
    [aux_sym_canonical_domains_token1] = ACTIONS(2607),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2607),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2607),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2607),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2607),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2607),
    [aux_sym_certificate_file_token1] = ACTIONS(2607),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2607),
    [aux_sym_channel_timeout_token1] = ACTIONS(2607),
    [aux_sym_check_host_ip_token1] = ACTIONS(2607),
    [aux_sym_ciphers_token1] = ACTIONS(2607),
    [aux_sym_cipher_token1] = ACTIONS(2609),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2607),
    [aux_sym_compression_token1] = ACTIONS(2607),
    [aux_sym_connection_attempts_token1] = ACTIONS(2607),
    [aux_sym_connect_timeout_token1] = ACTIONS(2607),
    [aux_sym_control_master_token1] = ACTIONS(2607),
    [aux_sym_control_path_token1] = ACTIONS(2607),
    [aux_sym_control_persist_token1] = ACTIONS(2607),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2607),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2607),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2607),
    [aux_sym_escape_char_token1] = ACTIONS(2607),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2607),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2607),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2607),
    [aux_sym_forward_agent_token1] = ACTIONS(2607),
    [aux_sym_forward_x11_token1] = ACTIONS(2609),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2607),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2607),
    [aux_sym_gateway_ports_token1] = ACTIONS(2607),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2607),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2607),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2607),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2607),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2607),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2607),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2607),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2607),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2607),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2607),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2607),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2607),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2607),
    [aux_sym_host_key_alias_token1] = ACTIONS(2607),
    [aux_sym_hostname_token1] = ACTIONS(2607),
    [aux_sym_identities_only_token1] = ACTIONS(2607),
    [aux_sym_identity_agent_token1] = ACTIONS(2607),
    [aux_sym_identity_file_token1] = ACTIONS(2607),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2607),
    [aux_sym_include_token1] = ACTIONS(2607),
    [aux_sym_ip_qos_token1] = ACTIONS(2607),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2607),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2607),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2607),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2607),
    [aux_sym_local_command_token1] = ACTIONS(2607),
    [aux_sym_local_forward_token1] = ACTIONS(2607),
    [aux_sym_log_level_token1] = ACTIONS(2607),
    [aux_sym_log_verbose_token1] = ACTIONS(2607),
    [aux_sym_macs_token1] = ACTIONS(2607),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2607),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2607),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2607),
    [aux_sym_password_authentication_token1] = ACTIONS(2607),
    [aux_sym_permit_local_command_token1] = ACTIONS(2607),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2607),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2607),
    [aux_sym_port_token1] = ACTIONS(2607),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2607),
    [aux_sym_protocol_token1] = ACTIONS(2607),
    [aux_sym_proxy_command_token1] = ACTIONS(2607),
    [aux_sym_proxy_jump_token1] = ACTIONS(2607),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2607),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2607),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2607),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2607),
    [aux_sym_rekey_limit_token1] = ACTIONS(2607),
    [aux_sym_remote_command_token1] = ACTIONS(2607),
    [aux_sym_remote_forward_token1] = ACTIONS(2607),
    [aux_sym_request_tty_token1] = ACTIONS(2607),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2607),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2607),
    [aux_sym_security_key_provider_token1] = ACTIONS(2607),
    [aux_sym_send_env_token1] = ACTIONS(2607),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2607),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2607),
    [aux_sym_session_type_token1] = ACTIONS(2607),
    [aux_sym_set_env_token1] = ACTIONS(2607),
    [aux_sym_stdin_null_token1] = ACTIONS(2607),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2607),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2607),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2607),
    [aux_sym_syslog_facility_token1] = ACTIONS(2607),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2607),
    [aux_sym_keep_alive_token1] = ACTIONS(2607),
    [aux_sym_tag_token1] = ACTIONS(2607),
    [aux_sym_tunnel_token1] = ACTIONS(2609),
    [aux_sym_tunnel_device_token1] = ACTIONS(2607),
    [aux_sym_update_host_keys_token1] = ACTIONS(2607),
    [aux_sym_use_keychain_token1] = ACTIONS(2607),
    [aux_sym_use_roaming_token1] = ACTIONS(2607),
    [aux_sym_user_token1] = ACTIONS(2609),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2607),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2607),
    [aux_sym_visual_host_key_token1] = ACTIONS(2607),
    [aux_sym_xauth_location_token1] = ACTIONS(2607),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [aux_sym_match_token1] = ACTIONS(2611),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2611),
    [aux_sym_address_family_token1] = ACTIONS(2611),
    [aux_sym_batch_mode_token1] = ACTIONS(2611),
    [aux_sym_bind_address_token1] = ACTIONS(2611),
    [aux_sym_bind_interface_token1] = ACTIONS(2611),
    [aux_sym_canonical_domains_token1] = ACTIONS(2611),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2611),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2611),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2611),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2611),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2611),
    [aux_sym_certificate_file_token1] = ACTIONS(2611),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2611),
    [aux_sym_channel_timeout_token1] = ACTIONS(2611),
    [aux_sym_check_host_ip_token1] = ACTIONS(2611),
    [aux_sym_ciphers_token1] = ACTIONS(2611),
    [aux_sym_cipher_token1] = ACTIONS(2613),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2611),
    [aux_sym_compression_token1] = ACTIONS(2611),
    [aux_sym_connection_attempts_token1] = ACTIONS(2611),
    [aux_sym_connect_timeout_token1] = ACTIONS(2611),
    [aux_sym_control_master_token1] = ACTIONS(2611),
    [aux_sym_control_path_token1] = ACTIONS(2611),
    [aux_sym_control_persist_token1] = ACTIONS(2611),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2611),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2611),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2611),
    [aux_sym_escape_char_token1] = ACTIONS(2611),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2611),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2611),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2611),
    [aux_sym_forward_agent_token1] = ACTIONS(2611),
    [aux_sym_forward_x11_token1] = ACTIONS(2613),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2611),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2611),
    [aux_sym_gateway_ports_token1] = ACTIONS(2611),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2611),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2611),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2611),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2611),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2611),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2611),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2611),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2611),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2611),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2611),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2611),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2611),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2611),
    [aux_sym_host_key_alias_token1] = ACTIONS(2611),
    [aux_sym_hostname_token1] = ACTIONS(2611),
    [aux_sym_identities_only_token1] = ACTIONS(2611),
    [aux_sym_identity_agent_token1] = ACTIONS(2611),
    [aux_sym_identity_file_token1] = ACTIONS(2611),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2611),
    [aux_sym_include_token1] = ACTIONS(2611),
    [aux_sym_ip_qos_token1] = ACTIONS(2611),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2611),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2611),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2611),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2611),
    [aux_sym_local_command_token1] = ACTIONS(2611),
    [aux_sym_local_forward_token1] = ACTIONS(2611),
    [aux_sym_log_level_token1] = ACTIONS(2611),
    [aux_sym_log_verbose_token1] = ACTIONS(2611),
    [aux_sym_macs_token1] = ACTIONS(2611),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2611),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2611),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2611),
    [aux_sym_password_authentication_token1] = ACTIONS(2611),
    [aux_sym_permit_local_command_token1] = ACTIONS(2611),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2611),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2611),
    [aux_sym_port_token1] = ACTIONS(2611),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2611),
    [aux_sym_protocol_token1] = ACTIONS(2611),
    [aux_sym_proxy_command_token1] = ACTIONS(2611),
    [aux_sym_proxy_jump_token1] = ACTIONS(2611),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2611),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2611),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2611),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2611),
    [aux_sym_rekey_limit_token1] = ACTIONS(2611),
    [aux_sym_remote_command_token1] = ACTIONS(2611),
    [aux_sym_remote_forward_token1] = ACTIONS(2611),
    [aux_sym_request_tty_token1] = ACTIONS(2611),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2611),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2611),
    [aux_sym_security_key_provider_token1] = ACTIONS(2611),
    [aux_sym_send_env_token1] = ACTIONS(2611),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2611),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2611),
    [aux_sym_session_type_token1] = ACTIONS(2611),
    [aux_sym_set_env_token1] = ACTIONS(2611),
    [aux_sym_stdin_null_token1] = ACTIONS(2611),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2611),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2611),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2611),
    [aux_sym_syslog_facility_token1] = ACTIONS(2611),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2611),
    [aux_sym_keep_alive_token1] = ACTIONS(2611),
    [aux_sym_tag_token1] = ACTIONS(2611),
    [aux_sym_tunnel_token1] = ACTIONS(2613),
    [aux_sym_tunnel_device_token1] = ACTIONS(2611),
    [aux_sym_update_host_keys_token1] = ACTIONS(2611),
    [aux_sym_use_keychain_token1] = ACTIONS(2611),
    [aux_sym_use_roaming_token1] = ACTIONS(2611),
    [aux_sym_user_token1] = ACTIONS(2613),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2611),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2611),
    [aux_sym_visual_host_key_token1] = ACTIONS(2611),
    [aux_sym_xauth_location_token1] = ACTIONS(2611),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [aux_sym_match_token1] = ACTIONS(2617),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2617),
    [aux_sym_address_family_token1] = ACTIONS(2617),
    [aux_sym_batch_mode_token1] = ACTIONS(2617),
    [aux_sym_bind_address_token1] = ACTIONS(2617),
    [aux_sym_bind_interface_token1] = ACTIONS(2617),
    [aux_sym_canonical_domains_token1] = ACTIONS(2617),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2617),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2617),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2617),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2617),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2617),
    [aux_sym_certificate_file_token1] = ACTIONS(2617),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2617),
    [aux_sym_channel_timeout_token1] = ACTIONS(2617),
    [aux_sym_check_host_ip_token1] = ACTIONS(2617),
    [aux_sym_ciphers_token1] = ACTIONS(2617),
    [aux_sym_cipher_token1] = ACTIONS(2619),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2617),
    [aux_sym_compression_token1] = ACTIONS(2617),
    [aux_sym_connection_attempts_token1] = ACTIONS(2617),
    [aux_sym_connect_timeout_token1] = ACTIONS(2617),
    [aux_sym_control_master_token1] = ACTIONS(2617),
    [aux_sym_control_path_token1] = ACTIONS(2617),
    [aux_sym_control_persist_token1] = ACTIONS(2617),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2617),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2617),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2617),
    [aux_sym_escape_char_token1] = ACTIONS(2617),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2617),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2617),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2617),
    [aux_sym_forward_agent_token1] = ACTIONS(2617),
    [aux_sym_forward_x11_token1] = ACTIONS(2619),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2617),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2617),
    [aux_sym_gateway_ports_token1] = ACTIONS(2617),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2617),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2617),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2617),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2617),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2617),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2617),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2617),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2617),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2617),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2617),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2617),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2617),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2617),
    [aux_sym_host_key_alias_token1] = ACTIONS(2617),
    [aux_sym_hostname_token1] = ACTIONS(2617),
    [aux_sym_identities_only_token1] = ACTIONS(2617),
    [aux_sym_identity_agent_token1] = ACTIONS(2617),
    [aux_sym_identity_file_token1] = ACTIONS(2617),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2617),
    [aux_sym_include_token1] = ACTIONS(2617),
    [aux_sym_ip_qos_token1] = ACTIONS(2617),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2617),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2617),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2617),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2617),
    [aux_sym_local_command_token1] = ACTIONS(2617),
    [aux_sym_local_forward_token1] = ACTIONS(2617),
    [aux_sym_log_level_token1] = ACTIONS(2617),
    [aux_sym_log_verbose_token1] = ACTIONS(2617),
    [aux_sym_macs_token1] = ACTIONS(2617),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2617),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2617),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2617),
    [aux_sym_password_authentication_token1] = ACTIONS(2617),
    [aux_sym_permit_local_command_token1] = ACTIONS(2617),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2617),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2617),
    [aux_sym_port_token1] = ACTIONS(2617),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2617),
    [aux_sym_protocol_token1] = ACTIONS(2617),
    [aux_sym_proxy_command_token1] = ACTIONS(2617),
    [aux_sym_proxy_jump_token1] = ACTIONS(2617),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2617),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2617),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2617),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2617),
    [aux_sym_rekey_limit_token1] = ACTIONS(2617),
    [aux_sym_remote_command_token1] = ACTIONS(2617),
    [aux_sym_remote_forward_token1] = ACTIONS(2617),
    [aux_sym_request_tty_token1] = ACTIONS(2617),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2617),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2617),
    [aux_sym_security_key_provider_token1] = ACTIONS(2617),
    [aux_sym_send_env_token1] = ACTIONS(2617),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2617),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2617),
    [aux_sym_session_type_token1] = ACTIONS(2617),
    [aux_sym_set_env_token1] = ACTIONS(2617),
    [aux_sym_stdin_null_token1] = ACTIONS(2617),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2617),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2617),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2617),
    [aux_sym_syslog_facility_token1] = ACTIONS(2617),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2617),
    [aux_sym_keep_alive_token1] = ACTIONS(2617),
    [aux_sym_tag_token1] = ACTIONS(2617),
    [aux_sym_tunnel_token1] = ACTIONS(2619),
    [aux_sym_tunnel_device_token1] = ACTIONS(2617),
    [aux_sym_update_host_keys_token1] = ACTIONS(2617),
    [aux_sym_use_keychain_token1] = ACTIONS(2617),
    [aux_sym_use_roaming_token1] = ACTIONS(2617),
    [aux_sym_user_token1] = ACTIONS(2619),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2617),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2617),
    [aux_sym_visual_host_key_token1] = ACTIONS(2617),
    [aux_sym_xauth_location_token1] = ACTIONS(2617),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [aux_sym_match_token1] = ACTIONS(2623),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2623),
    [aux_sym_address_family_token1] = ACTIONS(2623),
    [aux_sym_batch_mode_token1] = ACTIONS(2623),
    [aux_sym_bind_address_token1] = ACTIONS(2623),
    [aux_sym_bind_interface_token1] = ACTIONS(2623),
    [aux_sym_canonical_domains_token1] = ACTIONS(2623),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2623),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2623),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2623),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2623),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2623),
    [aux_sym_certificate_file_token1] = ACTIONS(2623),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2623),
    [aux_sym_channel_timeout_token1] = ACTIONS(2623),
    [aux_sym_check_host_ip_token1] = ACTIONS(2623),
    [aux_sym_ciphers_token1] = ACTIONS(2623),
    [aux_sym_cipher_token1] = ACTIONS(2625),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2623),
    [aux_sym_compression_token1] = ACTIONS(2623),
    [aux_sym_connection_attempts_token1] = ACTIONS(2623),
    [aux_sym_connect_timeout_token1] = ACTIONS(2623),
    [aux_sym_control_master_token1] = ACTIONS(2623),
    [aux_sym_control_path_token1] = ACTIONS(2623),
    [aux_sym_control_persist_token1] = ACTIONS(2623),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2623),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2623),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2623),
    [aux_sym_escape_char_token1] = ACTIONS(2623),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2623),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2623),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2623),
    [aux_sym_forward_agent_token1] = ACTIONS(2623),
    [aux_sym_forward_x11_token1] = ACTIONS(2625),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2623),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2623),
    [aux_sym_gateway_ports_token1] = ACTIONS(2623),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2623),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2623),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2623),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2623),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2623),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2623),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2623),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2623),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2623),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2623),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2623),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2623),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2623),
    [aux_sym_host_key_alias_token1] = ACTIONS(2623),
    [aux_sym_hostname_token1] = ACTIONS(2623),
    [aux_sym_identities_only_token1] = ACTIONS(2623),
    [aux_sym_identity_agent_token1] = ACTIONS(2623),
    [aux_sym_identity_file_token1] = ACTIONS(2623),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2623),
    [aux_sym_include_token1] = ACTIONS(2623),
    [aux_sym_ip_qos_token1] = ACTIONS(2623),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2623),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2623),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2623),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2623),
    [aux_sym_local_command_token1] = ACTIONS(2623),
    [aux_sym_local_forward_token1] = ACTIONS(2623),
    [aux_sym_log_level_token1] = ACTIONS(2623),
    [aux_sym_log_verbose_token1] = ACTIONS(2623),
    [aux_sym_macs_token1] = ACTIONS(2623),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2623),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2623),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2623),
    [aux_sym_password_authentication_token1] = ACTIONS(2623),
    [aux_sym_permit_local_command_token1] = ACTIONS(2623),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2623),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2623),
    [aux_sym_port_token1] = ACTIONS(2623),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2623),
    [aux_sym_protocol_token1] = ACTIONS(2623),
    [aux_sym_proxy_command_token1] = ACTIONS(2623),
    [aux_sym_proxy_jump_token1] = ACTIONS(2623),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2623),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2623),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2623),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2623),
    [aux_sym_rekey_limit_token1] = ACTIONS(2623),
    [aux_sym_remote_command_token1] = ACTIONS(2623),
    [aux_sym_remote_forward_token1] = ACTIONS(2623),
    [aux_sym_request_tty_token1] = ACTIONS(2623),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2623),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2623),
    [aux_sym_security_key_provider_token1] = ACTIONS(2623),
    [aux_sym_send_env_token1] = ACTIONS(2623),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2623),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2623),
    [aux_sym_session_type_token1] = ACTIONS(2623),
    [aux_sym_set_env_token1] = ACTIONS(2623),
    [aux_sym_stdin_null_token1] = ACTIONS(2623),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2623),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2623),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2623),
    [aux_sym_syslog_facility_token1] = ACTIONS(2623),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2623),
    [aux_sym_keep_alive_token1] = ACTIONS(2623),
    [aux_sym_tag_token1] = ACTIONS(2623),
    [aux_sym_tunnel_token1] = ACTIONS(2625),
    [aux_sym_tunnel_device_token1] = ACTIONS(2623),
    [aux_sym_update_host_keys_token1] = ACTIONS(2623),
    [aux_sym_use_keychain_token1] = ACTIONS(2623),
    [aux_sym_use_roaming_token1] = ACTIONS(2623),
    [aux_sym_user_token1] = ACTIONS(2625),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2623),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2623),
    [aux_sym_visual_host_key_token1] = ACTIONS(2623),
    [aux_sym_xauth_location_token1] = ACTIONS(2623),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [aux_sym_match_token1] = ACTIONS(2627),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2627),
    [aux_sym_address_family_token1] = ACTIONS(2627),
    [aux_sym_batch_mode_token1] = ACTIONS(2627),
    [aux_sym_bind_address_token1] = ACTIONS(2627),
    [aux_sym_bind_interface_token1] = ACTIONS(2627),
    [aux_sym_canonical_domains_token1] = ACTIONS(2627),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2627),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2627),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2627),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2627),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2627),
    [aux_sym_certificate_file_token1] = ACTIONS(2627),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2627),
    [aux_sym_channel_timeout_token1] = ACTIONS(2627),
    [aux_sym_check_host_ip_token1] = ACTIONS(2627),
    [aux_sym_ciphers_token1] = ACTIONS(2627),
    [aux_sym_cipher_token1] = ACTIONS(2629),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2627),
    [aux_sym_compression_token1] = ACTIONS(2627),
    [aux_sym_connection_attempts_token1] = ACTIONS(2627),
    [aux_sym_connect_timeout_token1] = ACTIONS(2627),
    [aux_sym_control_master_token1] = ACTIONS(2627),
    [aux_sym_control_path_token1] = ACTIONS(2627),
    [aux_sym_control_persist_token1] = ACTIONS(2627),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2627),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2627),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2627),
    [aux_sym_escape_char_token1] = ACTIONS(2627),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2627),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2627),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2627),
    [aux_sym_forward_agent_token1] = ACTIONS(2627),
    [aux_sym_forward_x11_token1] = ACTIONS(2629),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2627),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2627),
    [aux_sym_gateway_ports_token1] = ACTIONS(2627),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2627),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2627),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2627),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2627),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2627),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2627),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2627),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2627),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2627),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2627),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2627),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2627),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2627),
    [aux_sym_host_key_alias_token1] = ACTIONS(2627),
    [aux_sym_hostname_token1] = ACTIONS(2627),
    [aux_sym_identities_only_token1] = ACTIONS(2627),
    [aux_sym_identity_agent_token1] = ACTIONS(2627),
    [aux_sym_identity_file_token1] = ACTIONS(2627),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2627),
    [aux_sym_include_token1] = ACTIONS(2627),
    [aux_sym_ip_qos_token1] = ACTIONS(2627),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2627),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2627),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2627),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2627),
    [aux_sym_local_command_token1] = ACTIONS(2627),
    [aux_sym_local_forward_token1] = ACTIONS(2627),
    [aux_sym_log_level_token1] = ACTIONS(2627),
    [aux_sym_log_verbose_token1] = ACTIONS(2627),
    [aux_sym_macs_token1] = ACTIONS(2627),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2627),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2627),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2627),
    [aux_sym_password_authentication_token1] = ACTIONS(2627),
    [aux_sym_permit_local_command_token1] = ACTIONS(2627),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2627),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2627),
    [aux_sym_port_token1] = ACTIONS(2627),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2627),
    [aux_sym_protocol_token1] = ACTIONS(2627),
    [aux_sym_proxy_command_token1] = ACTIONS(2627),
    [aux_sym_proxy_jump_token1] = ACTIONS(2627),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2627),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2627),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2627),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2627),
    [aux_sym_rekey_limit_token1] = ACTIONS(2627),
    [aux_sym_remote_command_token1] = ACTIONS(2627),
    [aux_sym_remote_forward_token1] = ACTIONS(2627),
    [aux_sym_request_tty_token1] = ACTIONS(2627),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2627),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2627),
    [aux_sym_security_key_provider_token1] = ACTIONS(2627),
    [aux_sym_send_env_token1] = ACTIONS(2627),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2627),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2627),
    [aux_sym_session_type_token1] = ACTIONS(2627),
    [aux_sym_set_env_token1] = ACTIONS(2627),
    [aux_sym_stdin_null_token1] = ACTIONS(2627),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2627),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2627),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2627),
    [aux_sym_syslog_facility_token1] = ACTIONS(2627),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2627),
    [aux_sym_keep_alive_token1] = ACTIONS(2627),
    [aux_sym_tag_token1] = ACTIONS(2627),
    [aux_sym_tunnel_token1] = ACTIONS(2629),
    [aux_sym_tunnel_device_token1] = ACTIONS(2627),
    [aux_sym_update_host_keys_token1] = ACTIONS(2627),
    [aux_sym_use_keychain_token1] = ACTIONS(2627),
    [aux_sym_use_roaming_token1] = ACTIONS(2627),
    [aux_sym_user_token1] = ACTIONS(2629),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2627),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2627),
    [aux_sym_visual_host_key_token1] = ACTIONS(2627),
    [aux_sym_xauth_location_token1] = ACTIONS(2627),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [aux_sym_match_token1] = ACTIONS(2631),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2631),
    [aux_sym_address_family_token1] = ACTIONS(2631),
    [aux_sym_batch_mode_token1] = ACTIONS(2631),
    [aux_sym_bind_address_token1] = ACTIONS(2631),
    [aux_sym_bind_interface_token1] = ACTIONS(2631),
    [aux_sym_canonical_domains_token1] = ACTIONS(2631),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2631),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2631),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2631),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2631),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2631),
    [aux_sym_certificate_file_token1] = ACTIONS(2631),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2631),
    [aux_sym_channel_timeout_token1] = ACTIONS(2631),
    [aux_sym_check_host_ip_token1] = ACTIONS(2631),
    [aux_sym_ciphers_token1] = ACTIONS(2631),
    [aux_sym_cipher_token1] = ACTIONS(2633),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2631),
    [aux_sym_compression_token1] = ACTIONS(2631),
    [aux_sym_connection_attempts_token1] = ACTIONS(2631),
    [aux_sym_connect_timeout_token1] = ACTIONS(2631),
    [aux_sym_control_master_token1] = ACTIONS(2631),
    [aux_sym_control_path_token1] = ACTIONS(2631),
    [aux_sym_control_persist_token1] = ACTIONS(2631),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2631),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2631),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2631),
    [aux_sym_escape_char_token1] = ACTIONS(2631),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2631),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2631),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2631),
    [aux_sym_forward_agent_token1] = ACTIONS(2631),
    [aux_sym_forward_x11_token1] = ACTIONS(2633),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2631),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2631),
    [aux_sym_gateway_ports_token1] = ACTIONS(2631),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2631),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2631),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2631),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2631),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2631),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2631),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2631),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2631),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2631),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2631),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2631),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2631),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2631),
    [aux_sym_host_key_alias_token1] = ACTIONS(2631),
    [aux_sym_hostname_token1] = ACTIONS(2631),
    [aux_sym_identities_only_token1] = ACTIONS(2631),
    [aux_sym_identity_agent_token1] = ACTIONS(2631),
    [aux_sym_identity_file_token1] = ACTIONS(2631),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2631),
    [aux_sym_include_token1] = ACTIONS(2631),
    [aux_sym_ip_qos_token1] = ACTIONS(2631),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2631),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2631),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2631),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2631),
    [aux_sym_local_command_token1] = ACTIONS(2631),
    [aux_sym_local_forward_token1] = ACTIONS(2631),
    [aux_sym_log_level_token1] = ACTIONS(2631),
    [aux_sym_log_verbose_token1] = ACTIONS(2631),
    [aux_sym_macs_token1] = ACTIONS(2631),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2631),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2631),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2631),
    [aux_sym_password_authentication_token1] = ACTIONS(2631),
    [aux_sym_permit_local_command_token1] = ACTIONS(2631),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2631),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2631),
    [aux_sym_port_token1] = ACTIONS(2631),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2631),
    [aux_sym_protocol_token1] = ACTIONS(2631),
    [aux_sym_proxy_command_token1] = ACTIONS(2631),
    [aux_sym_proxy_jump_token1] = ACTIONS(2631),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2631),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2631),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2631),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2631),
    [aux_sym_rekey_limit_token1] = ACTIONS(2631),
    [aux_sym_remote_command_token1] = ACTIONS(2631),
    [aux_sym_remote_forward_token1] = ACTIONS(2631),
    [aux_sym_request_tty_token1] = ACTIONS(2631),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2631),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2631),
    [aux_sym_security_key_provider_token1] = ACTIONS(2631),
    [aux_sym_send_env_token1] = ACTIONS(2631),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2631),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2631),
    [aux_sym_session_type_token1] = ACTIONS(2631),
    [aux_sym_set_env_token1] = ACTIONS(2631),
    [aux_sym_stdin_null_token1] = ACTIONS(2631),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2631),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2631),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2631),
    [aux_sym_syslog_facility_token1] = ACTIONS(2631),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2631),
    [aux_sym_keep_alive_token1] = ACTIONS(2631),
    [aux_sym_tag_token1] = ACTIONS(2631),
    [aux_sym_tunnel_token1] = ACTIONS(2633),
    [aux_sym_tunnel_device_token1] = ACTIONS(2631),
    [aux_sym_update_host_keys_token1] = ACTIONS(2631),
    [aux_sym_use_keychain_token1] = ACTIONS(2631),
    [aux_sym_use_roaming_token1] = ACTIONS(2631),
    [aux_sym_user_token1] = ACTIONS(2633),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2631),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2631),
    [aux_sym_visual_host_key_token1] = ACTIONS(2631),
    [aux_sym_xauth_location_token1] = ACTIONS(2631),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [aux_sym_match_token1] = ACTIONS(2637),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2637),
    [aux_sym_address_family_token1] = ACTIONS(2637),
    [aux_sym_batch_mode_token1] = ACTIONS(2637),
    [aux_sym_bind_address_token1] = ACTIONS(2637),
    [aux_sym_bind_interface_token1] = ACTIONS(2637),
    [aux_sym_canonical_domains_token1] = ACTIONS(2637),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2637),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2637),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2637),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2637),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2637),
    [aux_sym_certificate_file_token1] = ACTIONS(2637),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2637),
    [aux_sym_channel_timeout_token1] = ACTIONS(2637),
    [aux_sym_check_host_ip_token1] = ACTIONS(2637),
    [aux_sym_ciphers_token1] = ACTIONS(2637),
    [aux_sym_cipher_token1] = ACTIONS(2639),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2637),
    [aux_sym_compression_token1] = ACTIONS(2637),
    [aux_sym_connection_attempts_token1] = ACTIONS(2637),
    [aux_sym_connect_timeout_token1] = ACTIONS(2637),
    [aux_sym_control_master_token1] = ACTIONS(2637),
    [aux_sym_control_path_token1] = ACTIONS(2637),
    [aux_sym_control_persist_token1] = ACTIONS(2637),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2637),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2637),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2637),
    [aux_sym_escape_char_token1] = ACTIONS(2637),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2637),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2637),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2637),
    [aux_sym_forward_agent_token1] = ACTIONS(2637),
    [aux_sym_forward_x11_token1] = ACTIONS(2639),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2637),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2637),
    [aux_sym_gateway_ports_token1] = ACTIONS(2637),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2637),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2637),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2637),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2637),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2637),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2637),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2637),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2637),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2637),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2637),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2637),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2637),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2637),
    [aux_sym_host_key_alias_token1] = ACTIONS(2637),
    [aux_sym_hostname_token1] = ACTIONS(2637),
    [aux_sym_identities_only_token1] = ACTIONS(2637),
    [aux_sym_identity_agent_token1] = ACTIONS(2637),
    [aux_sym_identity_file_token1] = ACTIONS(2637),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2637),
    [aux_sym_include_token1] = ACTIONS(2637),
    [aux_sym_ip_qos_token1] = ACTIONS(2637),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2637),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2637),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2637),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2637),
    [aux_sym_local_command_token1] = ACTIONS(2637),
    [aux_sym_local_forward_token1] = ACTIONS(2637),
    [aux_sym_log_level_token1] = ACTIONS(2637),
    [aux_sym_log_verbose_token1] = ACTIONS(2637),
    [aux_sym_macs_token1] = ACTIONS(2637),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2637),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2637),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2637),
    [aux_sym_password_authentication_token1] = ACTIONS(2637),
    [aux_sym_permit_local_command_token1] = ACTIONS(2637),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2637),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2637),
    [aux_sym_port_token1] = ACTIONS(2637),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2637),
    [aux_sym_protocol_token1] = ACTIONS(2637),
    [aux_sym_proxy_command_token1] = ACTIONS(2637),
    [aux_sym_proxy_jump_token1] = ACTIONS(2637),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2637),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2637),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2637),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2637),
    [aux_sym_rekey_limit_token1] = ACTIONS(2637),
    [aux_sym_remote_command_token1] = ACTIONS(2637),
    [aux_sym_remote_forward_token1] = ACTIONS(2637),
    [aux_sym_request_tty_token1] = ACTIONS(2637),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2637),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2637),
    [aux_sym_security_key_provider_token1] = ACTIONS(2637),
    [aux_sym_send_env_token1] = ACTIONS(2637),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2637),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2637),
    [aux_sym_session_type_token1] = ACTIONS(2637),
    [aux_sym_set_env_token1] = ACTIONS(2637),
    [aux_sym_stdin_null_token1] = ACTIONS(2637),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2637),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2637),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2637),
    [aux_sym_syslog_facility_token1] = ACTIONS(2637),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2637),
    [aux_sym_keep_alive_token1] = ACTIONS(2637),
    [aux_sym_tag_token1] = ACTIONS(2637),
    [aux_sym_tunnel_token1] = ACTIONS(2639),
    [aux_sym_tunnel_device_token1] = ACTIONS(2637),
    [aux_sym_update_host_keys_token1] = ACTIONS(2637),
    [aux_sym_use_keychain_token1] = ACTIONS(2637),
    [aux_sym_use_roaming_token1] = ACTIONS(2637),
    [aux_sym_user_token1] = ACTIONS(2639),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2637),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2637),
    [aux_sym_visual_host_key_token1] = ACTIONS(2637),
    [aux_sym_xauth_location_token1] = ACTIONS(2637),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [aux_sym_match_token1] = ACTIONS(2641),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2641),
    [aux_sym_address_family_token1] = ACTIONS(2641),
    [aux_sym_batch_mode_token1] = ACTIONS(2641),
    [aux_sym_bind_address_token1] = ACTIONS(2641),
    [aux_sym_bind_interface_token1] = ACTIONS(2641),
    [aux_sym_canonical_domains_token1] = ACTIONS(2641),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2641),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2641),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2641),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2641),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2641),
    [aux_sym_certificate_file_token1] = ACTIONS(2641),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2641),
    [aux_sym_channel_timeout_token1] = ACTIONS(2641),
    [aux_sym_check_host_ip_token1] = ACTIONS(2641),
    [aux_sym_ciphers_token1] = ACTIONS(2641),
    [aux_sym_cipher_token1] = ACTIONS(2643),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2641),
    [aux_sym_compression_token1] = ACTIONS(2641),
    [aux_sym_connection_attempts_token1] = ACTIONS(2641),
    [aux_sym_connect_timeout_token1] = ACTIONS(2641),
    [aux_sym_control_master_token1] = ACTIONS(2641),
    [aux_sym_control_path_token1] = ACTIONS(2641),
    [aux_sym_control_persist_token1] = ACTIONS(2641),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2641),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2641),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2641),
    [aux_sym_escape_char_token1] = ACTIONS(2641),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2641),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2641),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2641),
    [aux_sym_forward_agent_token1] = ACTIONS(2641),
    [aux_sym_forward_x11_token1] = ACTIONS(2643),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2641),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2641),
    [aux_sym_gateway_ports_token1] = ACTIONS(2641),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2641),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2641),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2641),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2641),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2641),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2641),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2641),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2641),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2641),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2641),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2641),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2641),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2641),
    [aux_sym_host_key_alias_token1] = ACTIONS(2641),
    [aux_sym_hostname_token1] = ACTIONS(2641),
    [aux_sym_identities_only_token1] = ACTIONS(2641),
    [aux_sym_identity_agent_token1] = ACTIONS(2641),
    [aux_sym_identity_file_token1] = ACTIONS(2641),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2641),
    [aux_sym_include_token1] = ACTIONS(2641),
    [aux_sym_ip_qos_token1] = ACTIONS(2641),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2641),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2641),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2641),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2641),
    [aux_sym_local_command_token1] = ACTIONS(2641),
    [aux_sym_local_forward_token1] = ACTIONS(2641),
    [aux_sym_log_level_token1] = ACTIONS(2641),
    [aux_sym_log_verbose_token1] = ACTIONS(2641),
    [aux_sym_macs_token1] = ACTIONS(2641),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2641),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2641),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2641),
    [aux_sym_password_authentication_token1] = ACTIONS(2641),
    [aux_sym_permit_local_command_token1] = ACTIONS(2641),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2641),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2641),
    [aux_sym_port_token1] = ACTIONS(2641),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2641),
    [aux_sym_protocol_token1] = ACTIONS(2641),
    [aux_sym_proxy_command_token1] = ACTIONS(2641),
    [aux_sym_proxy_jump_token1] = ACTIONS(2641),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2641),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2641),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2641),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2641),
    [aux_sym_rekey_limit_token1] = ACTIONS(2641),
    [aux_sym_remote_command_token1] = ACTIONS(2641),
    [aux_sym_remote_forward_token1] = ACTIONS(2641),
    [aux_sym_request_tty_token1] = ACTIONS(2641),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2641),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2641),
    [aux_sym_security_key_provider_token1] = ACTIONS(2641),
    [aux_sym_send_env_token1] = ACTIONS(2641),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2641),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2641),
    [aux_sym_session_type_token1] = ACTIONS(2641),
    [aux_sym_set_env_token1] = ACTIONS(2641),
    [aux_sym_stdin_null_token1] = ACTIONS(2641),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2641),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2641),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2641),
    [aux_sym_syslog_facility_token1] = ACTIONS(2641),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2641),
    [aux_sym_keep_alive_token1] = ACTIONS(2641),
    [aux_sym_tag_token1] = ACTIONS(2641),
    [aux_sym_tunnel_token1] = ACTIONS(2643),
    [aux_sym_tunnel_device_token1] = ACTIONS(2641),
    [aux_sym_update_host_keys_token1] = ACTIONS(2641),
    [aux_sym_use_keychain_token1] = ACTIONS(2641),
    [aux_sym_use_roaming_token1] = ACTIONS(2641),
    [aux_sym_user_token1] = ACTIONS(2643),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2641),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2641),
    [aux_sym_visual_host_key_token1] = ACTIONS(2641),
    [aux_sym_xauth_location_token1] = ACTIONS(2641),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [aux_sym_match_token1] = ACTIONS(2647),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2647),
    [aux_sym_address_family_token1] = ACTIONS(2647),
    [aux_sym_batch_mode_token1] = ACTIONS(2647),
    [aux_sym_bind_address_token1] = ACTIONS(2647),
    [aux_sym_bind_interface_token1] = ACTIONS(2647),
    [aux_sym_canonical_domains_token1] = ACTIONS(2647),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2647),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2647),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2647),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2647),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2647),
    [aux_sym_certificate_file_token1] = ACTIONS(2647),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2647),
    [aux_sym_channel_timeout_token1] = ACTIONS(2647),
    [aux_sym_check_host_ip_token1] = ACTIONS(2647),
    [aux_sym_ciphers_token1] = ACTIONS(2647),
    [aux_sym_cipher_token1] = ACTIONS(2649),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2647),
    [aux_sym_compression_token1] = ACTIONS(2647),
    [aux_sym_connection_attempts_token1] = ACTIONS(2647),
    [aux_sym_connect_timeout_token1] = ACTIONS(2647),
    [aux_sym_control_master_token1] = ACTIONS(2647),
    [aux_sym_control_path_token1] = ACTIONS(2647),
    [aux_sym_control_persist_token1] = ACTIONS(2647),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2647),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2647),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2647),
    [aux_sym_escape_char_token1] = ACTIONS(2647),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2647),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2647),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2647),
    [aux_sym_forward_agent_token1] = ACTIONS(2647),
    [aux_sym_forward_x11_token1] = ACTIONS(2649),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2647),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2647),
    [aux_sym_gateway_ports_token1] = ACTIONS(2647),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2647),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2647),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2647),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2647),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2647),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2647),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2647),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2647),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2647),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2647),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2647),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2647),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2647),
    [aux_sym_host_key_alias_token1] = ACTIONS(2647),
    [aux_sym_hostname_token1] = ACTIONS(2647),
    [aux_sym_identities_only_token1] = ACTIONS(2647),
    [aux_sym_identity_agent_token1] = ACTIONS(2647),
    [aux_sym_identity_file_token1] = ACTIONS(2647),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2647),
    [aux_sym_include_token1] = ACTIONS(2647),
    [aux_sym_ip_qos_token1] = ACTIONS(2647),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2647),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2647),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2647),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2647),
    [aux_sym_local_command_token1] = ACTIONS(2647),
    [aux_sym_local_forward_token1] = ACTIONS(2647),
    [aux_sym_log_level_token1] = ACTIONS(2647),
    [aux_sym_log_verbose_token1] = ACTIONS(2647),
    [aux_sym_macs_token1] = ACTIONS(2647),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2647),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2647),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2647),
    [aux_sym_password_authentication_token1] = ACTIONS(2647),
    [aux_sym_permit_local_command_token1] = ACTIONS(2647),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2647),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2647),
    [aux_sym_port_token1] = ACTIONS(2647),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2647),
    [aux_sym_protocol_token1] = ACTIONS(2647),
    [aux_sym_proxy_command_token1] = ACTIONS(2647),
    [aux_sym_proxy_jump_token1] = ACTIONS(2647),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2647),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2647),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2647),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2647),
    [aux_sym_rekey_limit_token1] = ACTIONS(2647),
    [aux_sym_remote_command_token1] = ACTIONS(2647),
    [aux_sym_remote_forward_token1] = ACTIONS(2647),
    [aux_sym_request_tty_token1] = ACTIONS(2647),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2647),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2647),
    [aux_sym_security_key_provider_token1] = ACTIONS(2647),
    [aux_sym_send_env_token1] = ACTIONS(2647),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2647),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2647),
    [aux_sym_session_type_token1] = ACTIONS(2647),
    [aux_sym_set_env_token1] = ACTIONS(2647),
    [aux_sym_stdin_null_token1] = ACTIONS(2647),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2647),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2647),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2647),
    [aux_sym_syslog_facility_token1] = ACTIONS(2647),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2647),
    [aux_sym_keep_alive_token1] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2647),
    [aux_sym_tunnel_token1] = ACTIONS(2649),
    [aux_sym_tunnel_device_token1] = ACTIONS(2647),
    [aux_sym_update_host_keys_token1] = ACTIONS(2647),
    [aux_sym_use_keychain_token1] = ACTIONS(2647),
    [aux_sym_use_roaming_token1] = ACTIONS(2647),
    [aux_sym_user_token1] = ACTIONS(2649),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2647),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2647),
    [aux_sym_visual_host_key_token1] = ACTIONS(2647),
    [aux_sym_xauth_location_token1] = ACTIONS(2647),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [aux_sym_match_token1] = ACTIONS(2651),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2651),
    [aux_sym_address_family_token1] = ACTIONS(2651),
    [aux_sym_batch_mode_token1] = ACTIONS(2651),
    [aux_sym_bind_address_token1] = ACTIONS(2651),
    [aux_sym_bind_interface_token1] = ACTIONS(2651),
    [aux_sym_canonical_domains_token1] = ACTIONS(2651),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2651),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2651),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2651),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2651),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2651),
    [aux_sym_certificate_file_token1] = ACTIONS(2651),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2651),
    [aux_sym_channel_timeout_token1] = ACTIONS(2651),
    [aux_sym_check_host_ip_token1] = ACTIONS(2651),
    [aux_sym_ciphers_token1] = ACTIONS(2651),
    [aux_sym_cipher_token1] = ACTIONS(2653),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2651),
    [aux_sym_compression_token1] = ACTIONS(2651),
    [aux_sym_connection_attempts_token1] = ACTIONS(2651),
    [aux_sym_connect_timeout_token1] = ACTIONS(2651),
    [aux_sym_control_master_token1] = ACTIONS(2651),
    [aux_sym_control_path_token1] = ACTIONS(2651),
    [aux_sym_control_persist_token1] = ACTIONS(2651),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2651),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2651),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2651),
    [aux_sym_escape_char_token1] = ACTIONS(2651),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2651),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2651),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2651),
    [aux_sym_forward_agent_token1] = ACTIONS(2651),
    [aux_sym_forward_x11_token1] = ACTIONS(2653),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2651),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2651),
    [aux_sym_gateway_ports_token1] = ACTIONS(2651),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2651),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2651),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2651),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2651),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2651),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2651),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2651),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2651),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2651),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2651),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2651),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2651),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2651),
    [aux_sym_host_key_alias_token1] = ACTIONS(2651),
    [aux_sym_hostname_token1] = ACTIONS(2651),
    [aux_sym_identities_only_token1] = ACTIONS(2651),
    [aux_sym_identity_agent_token1] = ACTIONS(2651),
    [aux_sym_identity_file_token1] = ACTIONS(2651),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2651),
    [aux_sym_include_token1] = ACTIONS(2651),
    [aux_sym_ip_qos_token1] = ACTIONS(2651),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2651),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2651),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2651),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2651),
    [aux_sym_local_command_token1] = ACTIONS(2651),
    [aux_sym_local_forward_token1] = ACTIONS(2651),
    [aux_sym_log_level_token1] = ACTIONS(2651),
    [aux_sym_log_verbose_token1] = ACTIONS(2651),
    [aux_sym_macs_token1] = ACTIONS(2651),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2651),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2651),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2651),
    [aux_sym_password_authentication_token1] = ACTIONS(2651),
    [aux_sym_permit_local_command_token1] = ACTIONS(2651),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2651),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2651),
    [aux_sym_port_token1] = ACTIONS(2651),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2651),
    [aux_sym_protocol_token1] = ACTIONS(2651),
    [aux_sym_proxy_command_token1] = ACTIONS(2651),
    [aux_sym_proxy_jump_token1] = ACTIONS(2651),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2651),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2651),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2651),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2651),
    [aux_sym_rekey_limit_token1] = ACTIONS(2651),
    [aux_sym_remote_command_token1] = ACTIONS(2651),
    [aux_sym_remote_forward_token1] = ACTIONS(2651),
    [aux_sym_request_tty_token1] = ACTIONS(2651),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2651),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2651),
    [aux_sym_security_key_provider_token1] = ACTIONS(2651),
    [aux_sym_send_env_token1] = ACTIONS(2651),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2651),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2651),
    [aux_sym_session_type_token1] = ACTIONS(2651),
    [aux_sym_set_env_token1] = ACTIONS(2651),
    [aux_sym_stdin_null_token1] = ACTIONS(2651),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2651),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2651),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2651),
    [aux_sym_syslog_facility_token1] = ACTIONS(2651),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2651),
    [aux_sym_keep_alive_token1] = ACTIONS(2651),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [aux_sym_tunnel_token1] = ACTIONS(2653),
    [aux_sym_tunnel_device_token1] = ACTIONS(2651),
    [aux_sym_update_host_keys_token1] = ACTIONS(2651),
    [aux_sym_use_keychain_token1] = ACTIONS(2651),
    [aux_sym_use_roaming_token1] = ACTIONS(2651),
    [aux_sym_user_token1] = ACTIONS(2653),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2651),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2651),
    [aux_sym_visual_host_key_token1] = ACTIONS(2651),
    [aux_sym_xauth_location_token1] = ACTIONS(2651),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(2657),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [aux_sym_match_token1] = ACTIONS(2657),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2657),
    [aux_sym_address_family_token1] = ACTIONS(2657),
    [aux_sym_batch_mode_token1] = ACTIONS(2657),
    [aux_sym_bind_address_token1] = ACTIONS(2657),
    [aux_sym_bind_interface_token1] = ACTIONS(2657),
    [aux_sym_canonical_domains_token1] = ACTIONS(2657),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2657),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2657),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2657),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2657),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2657),
    [aux_sym_certificate_file_token1] = ACTIONS(2657),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2657),
    [aux_sym_channel_timeout_token1] = ACTIONS(2657),
    [aux_sym_check_host_ip_token1] = ACTIONS(2657),
    [aux_sym_ciphers_token1] = ACTIONS(2657),
    [aux_sym_cipher_token1] = ACTIONS(2659),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2657),
    [aux_sym_compression_token1] = ACTIONS(2657),
    [aux_sym_connection_attempts_token1] = ACTIONS(2657),
    [aux_sym_connect_timeout_token1] = ACTIONS(2657),
    [aux_sym_control_master_token1] = ACTIONS(2657),
    [aux_sym_control_path_token1] = ACTIONS(2657),
    [aux_sym_control_persist_token1] = ACTIONS(2657),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2657),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2657),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2657),
    [aux_sym_escape_char_token1] = ACTIONS(2657),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2657),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2657),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2657),
    [aux_sym_forward_agent_token1] = ACTIONS(2657),
    [aux_sym_forward_x11_token1] = ACTIONS(2659),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2657),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2657),
    [aux_sym_gateway_ports_token1] = ACTIONS(2657),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2657),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2657),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2657),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2657),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2657),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2657),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2657),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2657),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2657),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2657),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2657),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2657),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2657),
    [aux_sym_host_key_alias_token1] = ACTIONS(2657),
    [aux_sym_hostname_token1] = ACTIONS(2657),
    [aux_sym_identities_only_token1] = ACTIONS(2657),
    [aux_sym_identity_agent_token1] = ACTIONS(2657),
    [aux_sym_identity_file_token1] = ACTIONS(2657),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2657),
    [aux_sym_include_token1] = ACTIONS(2657),
    [aux_sym_ip_qos_token1] = ACTIONS(2657),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2657),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2657),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2657),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2657),
    [aux_sym_local_command_token1] = ACTIONS(2657),
    [aux_sym_local_forward_token1] = ACTIONS(2657),
    [aux_sym_log_level_token1] = ACTIONS(2657),
    [aux_sym_log_verbose_token1] = ACTIONS(2657),
    [aux_sym_macs_token1] = ACTIONS(2657),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2657),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2657),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2657),
    [aux_sym_password_authentication_token1] = ACTIONS(2657),
    [aux_sym_permit_local_command_token1] = ACTIONS(2657),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2657),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2657),
    [aux_sym_port_token1] = ACTIONS(2657),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2657),
    [aux_sym_protocol_token1] = ACTIONS(2657),
    [aux_sym_proxy_command_token1] = ACTIONS(2657),
    [aux_sym_proxy_jump_token1] = ACTIONS(2657),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2657),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2657),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2657),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2657),
    [aux_sym_rekey_limit_token1] = ACTIONS(2657),
    [aux_sym_remote_command_token1] = ACTIONS(2657),
    [aux_sym_remote_forward_token1] = ACTIONS(2657),
    [aux_sym_request_tty_token1] = ACTIONS(2657),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2657),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2657),
    [aux_sym_security_key_provider_token1] = ACTIONS(2657),
    [aux_sym_send_env_token1] = ACTIONS(2657),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2657),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2657),
    [aux_sym_session_type_token1] = ACTIONS(2657),
    [aux_sym_set_env_token1] = ACTIONS(2657),
    [aux_sym_stdin_null_token1] = ACTIONS(2657),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2657),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2657),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2657),
    [aux_sym_syslog_facility_token1] = ACTIONS(2657),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2657),
    [aux_sym_keep_alive_token1] = ACTIONS(2657),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [aux_sym_tunnel_token1] = ACTIONS(2659),
    [aux_sym_tunnel_device_token1] = ACTIONS(2657),
    [aux_sym_update_host_keys_token1] = ACTIONS(2657),
    [aux_sym_use_keychain_token1] = ACTIONS(2657),
    [aux_sym_use_roaming_token1] = ACTIONS(2657),
    [aux_sym_user_token1] = ACTIONS(2659),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2657),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2657),
    [aux_sym_visual_host_key_token1] = ACTIONS(2657),
    [aux_sym_xauth_location_token1] = ACTIONS(2657),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2665),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [aux_sym_match_token1] = ACTIONS(2663),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2663),
    [aux_sym_address_family_token1] = ACTIONS(2663),
    [aux_sym_batch_mode_token1] = ACTIONS(2663),
    [aux_sym_bind_address_token1] = ACTIONS(2663),
    [aux_sym_bind_interface_token1] = ACTIONS(2663),
    [aux_sym_canonical_domains_token1] = ACTIONS(2663),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2663),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2663),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2663),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2663),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2663),
    [aux_sym_certificate_file_token1] = ACTIONS(2663),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2663),
    [aux_sym_channel_timeout_token1] = ACTIONS(2663),
    [aux_sym_check_host_ip_token1] = ACTIONS(2663),
    [aux_sym_ciphers_token1] = ACTIONS(2663),
    [aux_sym_cipher_token1] = ACTIONS(2665),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2663),
    [aux_sym_compression_token1] = ACTIONS(2663),
    [aux_sym_connection_attempts_token1] = ACTIONS(2663),
    [aux_sym_connect_timeout_token1] = ACTIONS(2663),
    [aux_sym_control_master_token1] = ACTIONS(2663),
    [aux_sym_control_path_token1] = ACTIONS(2663),
    [aux_sym_control_persist_token1] = ACTIONS(2663),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2663),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2663),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2663),
    [aux_sym_escape_char_token1] = ACTIONS(2663),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2663),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2663),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2663),
    [aux_sym_forward_agent_token1] = ACTIONS(2663),
    [aux_sym_forward_x11_token1] = ACTIONS(2665),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2663),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2663),
    [aux_sym_gateway_ports_token1] = ACTIONS(2663),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2663),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2663),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2663),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2663),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2663),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2663),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2663),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2663),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2663),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2663),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2663),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2663),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2663),
    [aux_sym_host_key_alias_token1] = ACTIONS(2663),
    [aux_sym_hostname_token1] = ACTIONS(2663),
    [aux_sym_identities_only_token1] = ACTIONS(2663),
    [aux_sym_identity_agent_token1] = ACTIONS(2663),
    [aux_sym_identity_file_token1] = ACTIONS(2663),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2663),
    [aux_sym_include_token1] = ACTIONS(2663),
    [aux_sym_ip_qos_token1] = ACTIONS(2663),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2663),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2663),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2663),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2663),
    [aux_sym_local_command_token1] = ACTIONS(2663),
    [aux_sym_local_forward_token1] = ACTIONS(2663),
    [aux_sym_log_level_token1] = ACTIONS(2663),
    [aux_sym_log_verbose_token1] = ACTIONS(2663),
    [aux_sym_macs_token1] = ACTIONS(2663),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2663),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2663),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2663),
    [aux_sym_password_authentication_token1] = ACTIONS(2663),
    [aux_sym_permit_local_command_token1] = ACTIONS(2663),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2663),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2663),
    [aux_sym_port_token1] = ACTIONS(2663),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2663),
    [aux_sym_protocol_token1] = ACTIONS(2663),
    [aux_sym_proxy_command_token1] = ACTIONS(2663),
    [aux_sym_proxy_jump_token1] = ACTIONS(2663),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2663),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2663),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2663),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2663),
    [aux_sym_rekey_limit_token1] = ACTIONS(2663),
    [aux_sym_remote_command_token1] = ACTIONS(2663),
    [aux_sym_remote_forward_token1] = ACTIONS(2663),
    [aux_sym_request_tty_token1] = ACTIONS(2663),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2663),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2663),
    [aux_sym_security_key_provider_token1] = ACTIONS(2663),
    [aux_sym_send_env_token1] = ACTIONS(2663),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2663),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2663),
    [aux_sym_session_type_token1] = ACTIONS(2663),
    [aux_sym_set_env_token1] = ACTIONS(2663),
    [aux_sym_stdin_null_token1] = ACTIONS(2663),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2663),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2663),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2663),
    [aux_sym_syslog_facility_token1] = ACTIONS(2663),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2663),
    [aux_sym_keep_alive_token1] = ACTIONS(2663),
    [aux_sym_tag_token1] = ACTIONS(2663),
    [aux_sym_tunnel_token1] = ACTIONS(2665),
    [aux_sym_tunnel_device_token1] = ACTIONS(2663),
    [aux_sym_update_host_keys_token1] = ACTIONS(2663),
    [aux_sym_use_keychain_token1] = ACTIONS(2663),
    [aux_sym_use_roaming_token1] = ACTIONS(2663),
    [aux_sym_user_token1] = ACTIONS(2665),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2663),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2663),
    [aux_sym_visual_host_key_token1] = ACTIONS(2663),
    [aux_sym_xauth_location_token1] = ACTIONS(2663),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [aux_sym_match_token1] = ACTIONS(2667),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2667),
    [aux_sym_address_family_token1] = ACTIONS(2667),
    [aux_sym_batch_mode_token1] = ACTIONS(2667),
    [aux_sym_bind_address_token1] = ACTIONS(2667),
    [aux_sym_bind_interface_token1] = ACTIONS(2667),
    [aux_sym_canonical_domains_token1] = ACTIONS(2667),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2667),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2667),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2667),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2667),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2667),
    [aux_sym_certificate_file_token1] = ACTIONS(2667),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2667),
    [aux_sym_channel_timeout_token1] = ACTIONS(2667),
    [aux_sym_check_host_ip_token1] = ACTIONS(2667),
    [aux_sym_ciphers_token1] = ACTIONS(2667),
    [aux_sym_cipher_token1] = ACTIONS(2669),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2667),
    [aux_sym_compression_token1] = ACTIONS(2667),
    [aux_sym_connection_attempts_token1] = ACTIONS(2667),
    [aux_sym_connect_timeout_token1] = ACTIONS(2667),
    [aux_sym_control_master_token1] = ACTIONS(2667),
    [aux_sym_control_path_token1] = ACTIONS(2667),
    [aux_sym_control_persist_token1] = ACTIONS(2667),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2667),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2667),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2667),
    [aux_sym_escape_char_token1] = ACTIONS(2667),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2667),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2667),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2667),
    [aux_sym_forward_agent_token1] = ACTIONS(2667),
    [aux_sym_forward_x11_token1] = ACTIONS(2669),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2667),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2667),
    [aux_sym_gateway_ports_token1] = ACTIONS(2667),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2667),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2667),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2667),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2667),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2667),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2667),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2667),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2667),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2667),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2667),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2667),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2667),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2667),
    [aux_sym_host_key_alias_token1] = ACTIONS(2667),
    [aux_sym_hostname_token1] = ACTIONS(2667),
    [aux_sym_identities_only_token1] = ACTIONS(2667),
    [aux_sym_identity_agent_token1] = ACTIONS(2667),
    [aux_sym_identity_file_token1] = ACTIONS(2667),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2667),
    [aux_sym_include_token1] = ACTIONS(2667),
    [aux_sym_ip_qos_token1] = ACTIONS(2667),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2667),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2667),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2667),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2667),
    [aux_sym_local_command_token1] = ACTIONS(2667),
    [aux_sym_local_forward_token1] = ACTIONS(2667),
    [aux_sym_log_level_token1] = ACTIONS(2667),
    [aux_sym_log_verbose_token1] = ACTIONS(2667),
    [aux_sym_macs_token1] = ACTIONS(2667),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2667),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2667),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2667),
    [aux_sym_password_authentication_token1] = ACTIONS(2667),
    [aux_sym_permit_local_command_token1] = ACTIONS(2667),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2667),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2667),
    [aux_sym_port_token1] = ACTIONS(2667),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2667),
    [aux_sym_protocol_token1] = ACTIONS(2667),
    [aux_sym_proxy_command_token1] = ACTIONS(2667),
    [aux_sym_proxy_jump_token1] = ACTIONS(2667),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2667),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2667),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2667),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2667),
    [aux_sym_rekey_limit_token1] = ACTIONS(2667),
    [aux_sym_remote_command_token1] = ACTIONS(2667),
    [aux_sym_remote_forward_token1] = ACTIONS(2667),
    [aux_sym_request_tty_token1] = ACTIONS(2667),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2667),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2667),
    [aux_sym_security_key_provider_token1] = ACTIONS(2667),
    [aux_sym_send_env_token1] = ACTIONS(2667),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2667),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2667),
    [aux_sym_session_type_token1] = ACTIONS(2667),
    [aux_sym_set_env_token1] = ACTIONS(2667),
    [aux_sym_stdin_null_token1] = ACTIONS(2667),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2667),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2667),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2667),
    [aux_sym_syslog_facility_token1] = ACTIONS(2667),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2667),
    [aux_sym_keep_alive_token1] = ACTIONS(2667),
    [aux_sym_tag_token1] = ACTIONS(2667),
    [aux_sym_tunnel_token1] = ACTIONS(2669),
    [aux_sym_tunnel_device_token1] = ACTIONS(2667),
    [aux_sym_update_host_keys_token1] = ACTIONS(2667),
    [aux_sym_use_keychain_token1] = ACTIONS(2667),
    [aux_sym_use_roaming_token1] = ACTIONS(2667),
    [aux_sym_user_token1] = ACTIONS(2669),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2667),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2667),
    [aux_sym_visual_host_key_token1] = ACTIONS(2667),
    [aux_sym_xauth_location_token1] = ACTIONS(2667),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [aux_sym_match_token1] = ACTIONS(2671),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2671),
    [aux_sym_address_family_token1] = ACTIONS(2671),
    [aux_sym_batch_mode_token1] = ACTIONS(2671),
    [aux_sym_bind_address_token1] = ACTIONS(2671),
    [aux_sym_bind_interface_token1] = ACTIONS(2671),
    [aux_sym_canonical_domains_token1] = ACTIONS(2671),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2671),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2671),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2671),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2671),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2671),
    [aux_sym_certificate_file_token1] = ACTIONS(2671),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2671),
    [aux_sym_channel_timeout_token1] = ACTIONS(2671),
    [aux_sym_check_host_ip_token1] = ACTIONS(2671),
    [aux_sym_ciphers_token1] = ACTIONS(2671),
    [aux_sym_cipher_token1] = ACTIONS(2673),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2671),
    [aux_sym_compression_token1] = ACTIONS(2671),
    [aux_sym_connection_attempts_token1] = ACTIONS(2671),
    [aux_sym_connect_timeout_token1] = ACTIONS(2671),
    [aux_sym_control_master_token1] = ACTIONS(2671),
    [aux_sym_control_path_token1] = ACTIONS(2671),
    [aux_sym_control_persist_token1] = ACTIONS(2671),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2671),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2671),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2671),
    [aux_sym_escape_char_token1] = ACTIONS(2671),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2671),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2671),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2671),
    [aux_sym_forward_agent_token1] = ACTIONS(2671),
    [aux_sym_forward_x11_token1] = ACTIONS(2673),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2671),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2671),
    [aux_sym_gateway_ports_token1] = ACTIONS(2671),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2671),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2671),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2671),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2671),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2671),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2671),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2671),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2671),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2671),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2671),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2671),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2671),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2671),
    [aux_sym_host_key_alias_token1] = ACTIONS(2671),
    [aux_sym_hostname_token1] = ACTIONS(2671),
    [aux_sym_identities_only_token1] = ACTIONS(2671),
    [aux_sym_identity_agent_token1] = ACTIONS(2671),
    [aux_sym_identity_file_token1] = ACTIONS(2671),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2671),
    [aux_sym_include_token1] = ACTIONS(2671),
    [aux_sym_ip_qos_token1] = ACTIONS(2671),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2671),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2671),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2671),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2671),
    [aux_sym_local_command_token1] = ACTIONS(2671),
    [aux_sym_local_forward_token1] = ACTIONS(2671),
    [aux_sym_log_level_token1] = ACTIONS(2671),
    [aux_sym_log_verbose_token1] = ACTIONS(2671),
    [aux_sym_macs_token1] = ACTIONS(2671),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2671),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2671),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2671),
    [aux_sym_password_authentication_token1] = ACTIONS(2671),
    [aux_sym_permit_local_command_token1] = ACTIONS(2671),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2671),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2671),
    [aux_sym_port_token1] = ACTIONS(2671),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2671),
    [aux_sym_protocol_token1] = ACTIONS(2671),
    [aux_sym_proxy_command_token1] = ACTIONS(2671),
    [aux_sym_proxy_jump_token1] = ACTIONS(2671),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2671),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2671),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2671),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2671),
    [aux_sym_rekey_limit_token1] = ACTIONS(2671),
    [aux_sym_remote_command_token1] = ACTIONS(2671),
    [aux_sym_remote_forward_token1] = ACTIONS(2671),
    [aux_sym_request_tty_token1] = ACTIONS(2671),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2671),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2671),
    [aux_sym_security_key_provider_token1] = ACTIONS(2671),
    [aux_sym_send_env_token1] = ACTIONS(2671),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2671),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2671),
    [aux_sym_session_type_token1] = ACTIONS(2671),
    [aux_sym_set_env_token1] = ACTIONS(2671),
    [aux_sym_stdin_null_token1] = ACTIONS(2671),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2671),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2671),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2671),
    [aux_sym_syslog_facility_token1] = ACTIONS(2671),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2671),
    [aux_sym_keep_alive_token1] = ACTIONS(2671),
    [aux_sym_tag_token1] = ACTIONS(2671),
    [aux_sym_tunnel_token1] = ACTIONS(2673),
    [aux_sym_tunnel_device_token1] = ACTIONS(2671),
    [aux_sym_update_host_keys_token1] = ACTIONS(2671),
    [aux_sym_use_keychain_token1] = ACTIONS(2671),
    [aux_sym_use_roaming_token1] = ACTIONS(2671),
    [aux_sym_user_token1] = ACTIONS(2673),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2671),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2671),
    [aux_sym_visual_host_key_token1] = ACTIONS(2671),
    [aux_sym_xauth_location_token1] = ACTIONS(2671),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2677),
    [aux_sym_match_token1] = ACTIONS(2677),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2677),
    [aux_sym_address_family_token1] = ACTIONS(2677),
    [aux_sym_batch_mode_token1] = ACTIONS(2677),
    [aux_sym_bind_address_token1] = ACTIONS(2677),
    [aux_sym_bind_interface_token1] = ACTIONS(2677),
    [aux_sym_canonical_domains_token1] = ACTIONS(2677),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2677),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2677),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2677),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2677),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2677),
    [aux_sym_certificate_file_token1] = ACTIONS(2677),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2677),
    [aux_sym_channel_timeout_token1] = ACTIONS(2677),
    [aux_sym_check_host_ip_token1] = ACTIONS(2677),
    [aux_sym_ciphers_token1] = ACTIONS(2677),
    [aux_sym_cipher_token1] = ACTIONS(2679),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2677),
    [aux_sym_compression_token1] = ACTIONS(2677),
    [aux_sym_connection_attempts_token1] = ACTIONS(2677),
    [aux_sym_connect_timeout_token1] = ACTIONS(2677),
    [aux_sym_control_master_token1] = ACTIONS(2677),
    [aux_sym_control_path_token1] = ACTIONS(2677),
    [aux_sym_control_persist_token1] = ACTIONS(2677),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2677),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2677),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2677),
    [aux_sym_escape_char_token1] = ACTIONS(2677),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2677),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2677),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2677),
    [aux_sym_forward_agent_token1] = ACTIONS(2677),
    [aux_sym_forward_x11_token1] = ACTIONS(2679),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2677),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2677),
    [aux_sym_gateway_ports_token1] = ACTIONS(2677),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2677),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2677),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2677),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2677),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2677),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2677),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2677),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2677),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2677),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2677),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2677),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2677),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2677),
    [aux_sym_host_key_alias_token1] = ACTIONS(2677),
    [aux_sym_hostname_token1] = ACTIONS(2677),
    [aux_sym_identities_only_token1] = ACTIONS(2677),
    [aux_sym_identity_agent_token1] = ACTIONS(2677),
    [aux_sym_identity_file_token1] = ACTIONS(2677),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2677),
    [aux_sym_include_token1] = ACTIONS(2677),
    [aux_sym_ip_qos_token1] = ACTIONS(2677),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2677),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2677),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2677),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2677),
    [aux_sym_local_command_token1] = ACTIONS(2677),
    [aux_sym_local_forward_token1] = ACTIONS(2677),
    [aux_sym_log_level_token1] = ACTIONS(2677),
    [aux_sym_log_verbose_token1] = ACTIONS(2677),
    [aux_sym_macs_token1] = ACTIONS(2677),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2677),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2677),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2677),
    [aux_sym_password_authentication_token1] = ACTIONS(2677),
    [aux_sym_permit_local_command_token1] = ACTIONS(2677),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2677),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2677),
    [aux_sym_port_token1] = ACTIONS(2677),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2677),
    [aux_sym_protocol_token1] = ACTIONS(2677),
    [aux_sym_proxy_command_token1] = ACTIONS(2677),
    [aux_sym_proxy_jump_token1] = ACTIONS(2677),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2677),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2677),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2677),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2677),
    [aux_sym_rekey_limit_token1] = ACTIONS(2677),
    [aux_sym_remote_command_token1] = ACTIONS(2677),
    [aux_sym_remote_forward_token1] = ACTIONS(2677),
    [aux_sym_request_tty_token1] = ACTIONS(2677),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2677),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2677),
    [aux_sym_security_key_provider_token1] = ACTIONS(2677),
    [aux_sym_send_env_token1] = ACTIONS(2677),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2677),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2677),
    [aux_sym_session_type_token1] = ACTIONS(2677),
    [aux_sym_set_env_token1] = ACTIONS(2677),
    [aux_sym_stdin_null_token1] = ACTIONS(2677),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2677),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2677),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2677),
    [aux_sym_syslog_facility_token1] = ACTIONS(2677),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2677),
    [aux_sym_keep_alive_token1] = ACTIONS(2677),
    [aux_sym_tag_token1] = ACTIONS(2677),
    [aux_sym_tunnel_token1] = ACTIONS(2679),
    [aux_sym_tunnel_device_token1] = ACTIONS(2677),
    [aux_sym_update_host_keys_token1] = ACTIONS(2677),
    [aux_sym_use_keychain_token1] = ACTIONS(2677),
    [aux_sym_use_roaming_token1] = ACTIONS(2677),
    [aux_sym_user_token1] = ACTIONS(2679),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2677),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2677),
    [aux_sym_visual_host_key_token1] = ACTIONS(2677),
    [aux_sym_xauth_location_token1] = ACTIONS(2677),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [aux_sym_match_token1] = ACTIONS(2681),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2681),
    [aux_sym_address_family_token1] = ACTIONS(2681),
    [aux_sym_batch_mode_token1] = ACTIONS(2681),
    [aux_sym_bind_address_token1] = ACTIONS(2681),
    [aux_sym_bind_interface_token1] = ACTIONS(2681),
    [aux_sym_canonical_domains_token1] = ACTIONS(2681),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2681),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2681),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2681),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2681),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2681),
    [aux_sym_certificate_file_token1] = ACTIONS(2681),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2681),
    [aux_sym_channel_timeout_token1] = ACTIONS(2681),
    [aux_sym_check_host_ip_token1] = ACTIONS(2681),
    [aux_sym_ciphers_token1] = ACTIONS(2681),
    [aux_sym_cipher_token1] = ACTIONS(2683),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2681),
    [aux_sym_compression_token1] = ACTIONS(2681),
    [aux_sym_connection_attempts_token1] = ACTIONS(2681),
    [aux_sym_connect_timeout_token1] = ACTIONS(2681),
    [aux_sym_control_master_token1] = ACTIONS(2681),
    [aux_sym_control_path_token1] = ACTIONS(2681),
    [aux_sym_control_persist_token1] = ACTIONS(2681),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2681),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2681),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2681),
    [aux_sym_escape_char_token1] = ACTIONS(2681),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2681),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2681),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2681),
    [aux_sym_forward_agent_token1] = ACTIONS(2681),
    [aux_sym_forward_x11_token1] = ACTIONS(2683),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2681),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2681),
    [aux_sym_gateway_ports_token1] = ACTIONS(2681),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2681),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2681),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2681),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2681),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2681),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2681),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2681),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2681),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2681),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2681),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2681),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2681),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2681),
    [aux_sym_host_key_alias_token1] = ACTIONS(2681),
    [aux_sym_hostname_token1] = ACTIONS(2681),
    [aux_sym_identities_only_token1] = ACTIONS(2681),
    [aux_sym_identity_agent_token1] = ACTIONS(2681),
    [aux_sym_identity_file_token1] = ACTIONS(2681),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2681),
    [aux_sym_include_token1] = ACTIONS(2681),
    [aux_sym_ip_qos_token1] = ACTIONS(2681),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2681),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2681),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2681),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2681),
    [aux_sym_local_command_token1] = ACTIONS(2681),
    [aux_sym_local_forward_token1] = ACTIONS(2681),
    [aux_sym_log_level_token1] = ACTIONS(2681),
    [aux_sym_log_verbose_token1] = ACTIONS(2681),
    [aux_sym_macs_token1] = ACTIONS(2681),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2681),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2681),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2681),
    [aux_sym_password_authentication_token1] = ACTIONS(2681),
    [aux_sym_permit_local_command_token1] = ACTIONS(2681),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2681),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2681),
    [aux_sym_port_token1] = ACTIONS(2681),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2681),
    [aux_sym_protocol_token1] = ACTIONS(2681),
    [aux_sym_proxy_command_token1] = ACTIONS(2681),
    [aux_sym_proxy_jump_token1] = ACTIONS(2681),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2681),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2681),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2681),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2681),
    [aux_sym_rekey_limit_token1] = ACTIONS(2681),
    [aux_sym_remote_command_token1] = ACTIONS(2681),
    [aux_sym_remote_forward_token1] = ACTIONS(2681),
    [aux_sym_request_tty_token1] = ACTIONS(2681),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2681),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2681),
    [aux_sym_security_key_provider_token1] = ACTIONS(2681),
    [aux_sym_send_env_token1] = ACTIONS(2681),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2681),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2681),
    [aux_sym_session_type_token1] = ACTIONS(2681),
    [aux_sym_set_env_token1] = ACTIONS(2681),
    [aux_sym_stdin_null_token1] = ACTIONS(2681),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2681),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2681),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2681),
    [aux_sym_syslog_facility_token1] = ACTIONS(2681),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2681),
    [aux_sym_keep_alive_token1] = ACTIONS(2681),
    [aux_sym_tag_token1] = ACTIONS(2681),
    [aux_sym_tunnel_token1] = ACTIONS(2683),
    [aux_sym_tunnel_device_token1] = ACTIONS(2681),
    [aux_sym_update_host_keys_token1] = ACTIONS(2681),
    [aux_sym_use_keychain_token1] = ACTIONS(2681),
    [aux_sym_use_roaming_token1] = ACTIONS(2681),
    [aux_sym_user_token1] = ACTIONS(2683),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2681),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2681),
    [aux_sym_visual_host_key_token1] = ACTIONS(2681),
    [aux_sym_xauth_location_token1] = ACTIONS(2681),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2687),
    [aux_sym_match_token1] = ACTIONS(2687),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2687),
    [aux_sym_address_family_token1] = ACTIONS(2687),
    [aux_sym_batch_mode_token1] = ACTIONS(2687),
    [aux_sym_bind_address_token1] = ACTIONS(2687),
    [aux_sym_bind_interface_token1] = ACTIONS(2687),
    [aux_sym_canonical_domains_token1] = ACTIONS(2687),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2687),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2687),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2687),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2687),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2687),
    [aux_sym_certificate_file_token1] = ACTIONS(2687),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2687),
    [aux_sym_channel_timeout_token1] = ACTIONS(2687),
    [aux_sym_check_host_ip_token1] = ACTIONS(2687),
    [aux_sym_ciphers_token1] = ACTIONS(2687),
    [aux_sym_cipher_token1] = ACTIONS(2689),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2687),
    [aux_sym_compression_token1] = ACTIONS(2687),
    [aux_sym_connection_attempts_token1] = ACTIONS(2687),
    [aux_sym_connect_timeout_token1] = ACTIONS(2687),
    [aux_sym_control_master_token1] = ACTIONS(2687),
    [aux_sym_control_path_token1] = ACTIONS(2687),
    [aux_sym_control_persist_token1] = ACTIONS(2687),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2687),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2687),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2687),
    [aux_sym_escape_char_token1] = ACTIONS(2687),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2687),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2687),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2687),
    [aux_sym_forward_agent_token1] = ACTIONS(2687),
    [aux_sym_forward_x11_token1] = ACTIONS(2689),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2687),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2687),
    [aux_sym_gateway_ports_token1] = ACTIONS(2687),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2687),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2687),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2687),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2687),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2687),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2687),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2687),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2687),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2687),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2687),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2687),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2687),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2687),
    [aux_sym_host_key_alias_token1] = ACTIONS(2687),
    [aux_sym_hostname_token1] = ACTIONS(2687),
    [aux_sym_identities_only_token1] = ACTIONS(2687),
    [aux_sym_identity_agent_token1] = ACTIONS(2687),
    [aux_sym_identity_file_token1] = ACTIONS(2687),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2687),
    [aux_sym_include_token1] = ACTIONS(2687),
    [aux_sym_ip_qos_token1] = ACTIONS(2687),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2687),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2687),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2687),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2687),
    [aux_sym_local_command_token1] = ACTIONS(2687),
    [aux_sym_local_forward_token1] = ACTIONS(2687),
    [aux_sym_log_level_token1] = ACTIONS(2687),
    [aux_sym_log_verbose_token1] = ACTIONS(2687),
    [aux_sym_macs_token1] = ACTIONS(2687),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2687),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2687),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2687),
    [aux_sym_password_authentication_token1] = ACTIONS(2687),
    [aux_sym_permit_local_command_token1] = ACTIONS(2687),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2687),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2687),
    [aux_sym_port_token1] = ACTIONS(2687),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2687),
    [aux_sym_protocol_token1] = ACTIONS(2687),
    [aux_sym_proxy_command_token1] = ACTIONS(2687),
    [aux_sym_proxy_jump_token1] = ACTIONS(2687),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2687),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2687),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2687),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2687),
    [aux_sym_rekey_limit_token1] = ACTIONS(2687),
    [aux_sym_remote_command_token1] = ACTIONS(2687),
    [aux_sym_remote_forward_token1] = ACTIONS(2687),
    [aux_sym_request_tty_token1] = ACTIONS(2687),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2687),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2687),
    [aux_sym_security_key_provider_token1] = ACTIONS(2687),
    [aux_sym_send_env_token1] = ACTIONS(2687),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2687),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2687),
    [aux_sym_session_type_token1] = ACTIONS(2687),
    [aux_sym_set_env_token1] = ACTIONS(2687),
    [aux_sym_stdin_null_token1] = ACTIONS(2687),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2687),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2687),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2687),
    [aux_sym_syslog_facility_token1] = ACTIONS(2687),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2687),
    [aux_sym_keep_alive_token1] = ACTIONS(2687),
    [aux_sym_tag_token1] = ACTIONS(2687),
    [aux_sym_tunnel_token1] = ACTIONS(2689),
    [aux_sym_tunnel_device_token1] = ACTIONS(2687),
    [aux_sym_update_host_keys_token1] = ACTIONS(2687),
    [aux_sym_use_keychain_token1] = ACTIONS(2687),
    [aux_sym_use_roaming_token1] = ACTIONS(2687),
    [aux_sym_user_token1] = ACTIONS(2689),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2687),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2687),
    [aux_sym_visual_host_key_token1] = ACTIONS(2687),
    [aux_sym_xauth_location_token1] = ACTIONS(2687),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [aux_sym_match_token1] = ACTIONS(2691),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2691),
    [aux_sym_address_family_token1] = ACTIONS(2691),
    [aux_sym_batch_mode_token1] = ACTIONS(2691),
    [aux_sym_bind_address_token1] = ACTIONS(2691),
    [aux_sym_bind_interface_token1] = ACTIONS(2691),
    [aux_sym_canonical_domains_token1] = ACTIONS(2691),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2691),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2691),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2691),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2691),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2691),
    [aux_sym_certificate_file_token1] = ACTIONS(2691),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2691),
    [aux_sym_channel_timeout_token1] = ACTIONS(2691),
    [aux_sym_check_host_ip_token1] = ACTIONS(2691),
    [aux_sym_ciphers_token1] = ACTIONS(2691),
    [aux_sym_cipher_token1] = ACTIONS(2693),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2691),
    [aux_sym_compression_token1] = ACTIONS(2691),
    [aux_sym_connection_attempts_token1] = ACTIONS(2691),
    [aux_sym_connect_timeout_token1] = ACTIONS(2691),
    [aux_sym_control_master_token1] = ACTIONS(2691),
    [aux_sym_control_path_token1] = ACTIONS(2691),
    [aux_sym_control_persist_token1] = ACTIONS(2691),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2691),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2691),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2691),
    [aux_sym_escape_char_token1] = ACTIONS(2691),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2691),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2691),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2691),
    [aux_sym_forward_agent_token1] = ACTIONS(2691),
    [aux_sym_forward_x11_token1] = ACTIONS(2693),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2691),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2691),
    [aux_sym_gateway_ports_token1] = ACTIONS(2691),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2691),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2691),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2691),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2691),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2691),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2691),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2691),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2691),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2691),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2691),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2691),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2691),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2691),
    [aux_sym_host_key_alias_token1] = ACTIONS(2691),
    [aux_sym_hostname_token1] = ACTIONS(2691),
    [aux_sym_identities_only_token1] = ACTIONS(2691),
    [aux_sym_identity_agent_token1] = ACTIONS(2691),
    [aux_sym_identity_file_token1] = ACTIONS(2691),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2691),
    [aux_sym_include_token1] = ACTIONS(2691),
    [aux_sym_ip_qos_token1] = ACTIONS(2691),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2691),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2691),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2691),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2691),
    [aux_sym_local_command_token1] = ACTIONS(2691),
    [aux_sym_local_forward_token1] = ACTIONS(2691),
    [aux_sym_log_level_token1] = ACTIONS(2691),
    [aux_sym_log_verbose_token1] = ACTIONS(2691),
    [aux_sym_macs_token1] = ACTIONS(2691),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2691),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2691),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2691),
    [aux_sym_password_authentication_token1] = ACTIONS(2691),
    [aux_sym_permit_local_command_token1] = ACTIONS(2691),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2691),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2691),
    [aux_sym_port_token1] = ACTIONS(2691),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2691),
    [aux_sym_protocol_token1] = ACTIONS(2691),
    [aux_sym_proxy_command_token1] = ACTIONS(2691),
    [aux_sym_proxy_jump_token1] = ACTIONS(2691),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2691),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2691),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2691),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2691),
    [aux_sym_rekey_limit_token1] = ACTIONS(2691),
    [aux_sym_remote_command_token1] = ACTIONS(2691),
    [aux_sym_remote_forward_token1] = ACTIONS(2691),
    [aux_sym_request_tty_token1] = ACTIONS(2691),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2691),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2691),
    [aux_sym_security_key_provider_token1] = ACTIONS(2691),
    [aux_sym_send_env_token1] = ACTIONS(2691),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2691),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2691),
    [aux_sym_session_type_token1] = ACTIONS(2691),
    [aux_sym_set_env_token1] = ACTIONS(2691),
    [aux_sym_stdin_null_token1] = ACTIONS(2691),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2691),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2691),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2691),
    [aux_sym_syslog_facility_token1] = ACTIONS(2691),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2691),
    [aux_sym_keep_alive_token1] = ACTIONS(2691),
    [aux_sym_tag_token1] = ACTIONS(2691),
    [aux_sym_tunnel_token1] = ACTIONS(2693),
    [aux_sym_tunnel_device_token1] = ACTIONS(2691),
    [aux_sym_update_host_keys_token1] = ACTIONS(2691),
    [aux_sym_use_keychain_token1] = ACTIONS(2691),
    [aux_sym_use_roaming_token1] = ACTIONS(2691),
    [aux_sym_user_token1] = ACTIONS(2693),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2691),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2691),
    [aux_sym_visual_host_key_token1] = ACTIONS(2691),
    [aux_sym_xauth_location_token1] = ACTIONS(2691),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(2697),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2699),
    [anon_sym_DQUOTE] = ACTIONS(2701),
    [aux_sym_match_token1] = ACTIONS(2697),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2697),
    [aux_sym_address_family_token1] = ACTIONS(2697),
    [aux_sym_batch_mode_token1] = ACTIONS(2697),
    [aux_sym_bind_address_token1] = ACTIONS(2697),
    [aux_sym_bind_interface_token1] = ACTIONS(2697),
    [aux_sym_canonical_domains_token1] = ACTIONS(2697),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2697),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2697),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2697),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2697),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2697),
    [aux_sym_certificate_file_token1] = ACTIONS(2697),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2697),
    [aux_sym_channel_timeout_token1] = ACTIONS(2697),
    [aux_sym_check_host_ip_token1] = ACTIONS(2697),
    [aux_sym_ciphers_token1] = ACTIONS(2697),
    [aux_sym_cipher_token1] = ACTIONS(2699),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2697),
    [aux_sym_compression_token1] = ACTIONS(2697),
    [aux_sym_connection_attempts_token1] = ACTIONS(2697),
    [aux_sym_connect_timeout_token1] = ACTIONS(2697),
    [aux_sym_control_master_token1] = ACTIONS(2697),
    [aux_sym_control_path_token1] = ACTIONS(2697),
    [aux_sym_control_persist_token1] = ACTIONS(2697),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2697),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2697),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2697),
    [aux_sym_escape_char_token1] = ACTIONS(2697),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2697),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2697),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2697),
    [aux_sym_forward_agent_token1] = ACTIONS(2697),
    [aux_sym_forward_x11_token1] = ACTIONS(2699),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2697),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2697),
    [aux_sym_gateway_ports_token1] = ACTIONS(2697),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2697),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2697),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2697),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2697),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2697),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2697),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2697),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2697),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2697),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2697),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2697),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2697),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2697),
    [aux_sym_host_key_alias_token1] = ACTIONS(2697),
    [aux_sym_hostname_token1] = ACTIONS(2697),
    [aux_sym_identities_only_token1] = ACTIONS(2697),
    [aux_sym_identity_agent_token1] = ACTIONS(2697),
    [aux_sym_identity_file_token1] = ACTIONS(2697),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2697),
    [aux_sym_include_token1] = ACTIONS(2697),
    [aux_sym_ip_qos_token1] = ACTIONS(2697),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2697),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2697),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2697),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2697),
    [aux_sym_local_command_token1] = ACTIONS(2697),
    [aux_sym_local_forward_token1] = ACTIONS(2697),
    [aux_sym_log_level_token1] = ACTIONS(2697),
    [aux_sym_log_verbose_token1] = ACTIONS(2697),
    [aux_sym_macs_token1] = ACTIONS(2697),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2697),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2697),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2697),
    [aux_sym_password_authentication_token1] = ACTIONS(2697),
    [aux_sym_permit_local_command_token1] = ACTIONS(2697),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2697),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2697),
    [aux_sym_port_token1] = ACTIONS(2697),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2697),
    [aux_sym_protocol_token1] = ACTIONS(2697),
    [aux_sym_proxy_command_token1] = ACTIONS(2697),
    [aux_sym_proxy_jump_token1] = ACTIONS(2697),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2697),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2697),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2697),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2697),
    [aux_sym_rekey_limit_token1] = ACTIONS(2697),
    [aux_sym_remote_command_token1] = ACTIONS(2697),
    [aux_sym_remote_forward_token1] = ACTIONS(2697),
    [aux_sym_request_tty_token1] = ACTIONS(2697),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2697),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2697),
    [aux_sym_security_key_provider_token1] = ACTIONS(2697),
    [aux_sym_send_env_token1] = ACTIONS(2697),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2697),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2697),
    [aux_sym_session_type_token1] = ACTIONS(2697),
    [aux_sym_set_env_token1] = ACTIONS(2697),
    [aux_sym_stdin_null_token1] = ACTIONS(2697),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2697),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2697),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2697),
    [aux_sym_syslog_facility_token1] = ACTIONS(2697),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2697),
    [aux_sym_keep_alive_token1] = ACTIONS(2697),
    [aux_sym_tag_token1] = ACTIONS(2697),
    [aux_sym_tunnel_token1] = ACTIONS(2699),
    [aux_sym_tunnel_device_token1] = ACTIONS(2697),
    [aux_sym_update_host_keys_token1] = ACTIONS(2697),
    [aux_sym_use_keychain_token1] = ACTIONS(2697),
    [aux_sym_use_roaming_token1] = ACTIONS(2697),
    [aux_sym_user_token1] = ACTIONS(2699),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2697),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2697),
    [aux_sym_visual_host_key_token1] = ACTIONS(2697),
    [aux_sym_xauth_location_token1] = ACTIONS(2697),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2703),
    [aux_sym_match_token1] = ACTIONS(2703),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2703),
    [aux_sym_address_family_token1] = ACTIONS(2703),
    [aux_sym_batch_mode_token1] = ACTIONS(2703),
    [aux_sym_bind_address_token1] = ACTIONS(2703),
    [aux_sym_bind_interface_token1] = ACTIONS(2703),
    [aux_sym_canonical_domains_token1] = ACTIONS(2703),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2703),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2703),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2703),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2703),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2703),
    [aux_sym_certificate_file_token1] = ACTIONS(2703),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2703),
    [aux_sym_channel_timeout_token1] = ACTIONS(2703),
    [aux_sym_check_host_ip_token1] = ACTIONS(2703),
    [aux_sym_ciphers_token1] = ACTIONS(2703),
    [aux_sym_cipher_token1] = ACTIONS(2705),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2703),
    [aux_sym_compression_token1] = ACTIONS(2703),
    [aux_sym_connection_attempts_token1] = ACTIONS(2703),
    [aux_sym_connect_timeout_token1] = ACTIONS(2703),
    [aux_sym_control_master_token1] = ACTIONS(2703),
    [aux_sym_control_path_token1] = ACTIONS(2703),
    [aux_sym_control_persist_token1] = ACTIONS(2703),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2703),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2703),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2703),
    [aux_sym_escape_char_token1] = ACTIONS(2703),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2703),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2703),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2703),
    [aux_sym_forward_agent_token1] = ACTIONS(2703),
    [aux_sym_forward_x11_token1] = ACTIONS(2705),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2703),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2703),
    [aux_sym_gateway_ports_token1] = ACTIONS(2703),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2703),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2703),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2703),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2703),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2703),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2703),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2703),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2703),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2703),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2703),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2703),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2703),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2703),
    [aux_sym_host_key_alias_token1] = ACTIONS(2703),
    [aux_sym_hostname_token1] = ACTIONS(2703),
    [aux_sym_identities_only_token1] = ACTIONS(2703),
    [aux_sym_identity_agent_token1] = ACTIONS(2703),
    [aux_sym_identity_file_token1] = ACTIONS(2703),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2703),
    [aux_sym_include_token1] = ACTIONS(2703),
    [aux_sym_ip_qos_token1] = ACTIONS(2703),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2703),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2703),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2703),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2703),
    [aux_sym_local_command_token1] = ACTIONS(2703),
    [aux_sym_local_forward_token1] = ACTIONS(2703),
    [aux_sym_log_level_token1] = ACTIONS(2703),
    [aux_sym_log_verbose_token1] = ACTIONS(2703),
    [aux_sym_macs_token1] = ACTIONS(2703),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2703),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2703),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2703),
    [aux_sym_password_authentication_token1] = ACTIONS(2703),
    [aux_sym_permit_local_command_token1] = ACTIONS(2703),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2703),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2703),
    [aux_sym_port_token1] = ACTIONS(2703),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2703),
    [aux_sym_protocol_token1] = ACTIONS(2703),
    [aux_sym_proxy_command_token1] = ACTIONS(2703),
    [aux_sym_proxy_jump_token1] = ACTIONS(2703),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2703),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2703),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2703),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2703),
    [aux_sym_rekey_limit_token1] = ACTIONS(2703),
    [aux_sym_remote_command_token1] = ACTIONS(2703),
    [aux_sym_remote_forward_token1] = ACTIONS(2703),
    [aux_sym_request_tty_token1] = ACTIONS(2703),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2703),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2703),
    [aux_sym_security_key_provider_token1] = ACTIONS(2703),
    [aux_sym_send_env_token1] = ACTIONS(2703),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2703),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2703),
    [aux_sym_session_type_token1] = ACTIONS(2703),
    [aux_sym_set_env_token1] = ACTIONS(2703),
    [aux_sym_stdin_null_token1] = ACTIONS(2703),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2703),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2703),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2703),
    [aux_sym_syslog_facility_token1] = ACTIONS(2703),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2703),
    [aux_sym_keep_alive_token1] = ACTIONS(2703),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [aux_sym_tunnel_token1] = ACTIONS(2705),
    [aux_sym_tunnel_device_token1] = ACTIONS(2703),
    [aux_sym_update_host_keys_token1] = ACTIONS(2703),
    [aux_sym_use_keychain_token1] = ACTIONS(2703),
    [aux_sym_use_roaming_token1] = ACTIONS(2703),
    [aux_sym_user_token1] = ACTIONS(2705),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2703),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2703),
    [aux_sym_visual_host_key_token1] = ACTIONS(2703),
    [aux_sym_xauth_location_token1] = ACTIONS(2703),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2709),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [aux_sym_match_token1] = ACTIONS(2707),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2707),
    [aux_sym_address_family_token1] = ACTIONS(2707),
    [aux_sym_batch_mode_token1] = ACTIONS(2707),
    [aux_sym_bind_address_token1] = ACTIONS(2707),
    [aux_sym_bind_interface_token1] = ACTIONS(2707),
    [aux_sym_canonical_domains_token1] = ACTIONS(2707),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2707),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2707),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2707),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2707),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2707),
    [aux_sym_certificate_file_token1] = ACTIONS(2707),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2707),
    [aux_sym_channel_timeout_token1] = ACTIONS(2707),
    [aux_sym_check_host_ip_token1] = ACTIONS(2707),
    [aux_sym_ciphers_token1] = ACTIONS(2707),
    [aux_sym_cipher_token1] = ACTIONS(2709),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2707),
    [aux_sym_compression_token1] = ACTIONS(2707),
    [aux_sym_connection_attempts_token1] = ACTIONS(2707),
    [aux_sym_connect_timeout_token1] = ACTIONS(2707),
    [aux_sym_control_master_token1] = ACTIONS(2707),
    [aux_sym_control_path_token1] = ACTIONS(2707),
    [aux_sym_control_persist_token1] = ACTIONS(2707),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2707),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2707),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2707),
    [aux_sym_escape_char_token1] = ACTIONS(2707),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2707),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2707),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2707),
    [aux_sym_forward_agent_token1] = ACTIONS(2707),
    [aux_sym_forward_x11_token1] = ACTIONS(2709),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2707),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2707),
    [aux_sym_gateway_ports_token1] = ACTIONS(2707),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2707),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2707),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2707),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2707),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2707),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2707),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2707),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2707),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2707),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2707),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2707),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2707),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2707),
    [aux_sym_host_key_alias_token1] = ACTIONS(2707),
    [aux_sym_hostname_token1] = ACTIONS(2707),
    [aux_sym_identities_only_token1] = ACTIONS(2707),
    [aux_sym_identity_agent_token1] = ACTIONS(2707),
    [aux_sym_identity_file_token1] = ACTIONS(2707),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2707),
    [aux_sym_include_token1] = ACTIONS(2707),
    [aux_sym_ip_qos_token1] = ACTIONS(2707),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2707),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2707),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2707),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2707),
    [aux_sym_local_command_token1] = ACTIONS(2707),
    [aux_sym_local_forward_token1] = ACTIONS(2707),
    [aux_sym_log_level_token1] = ACTIONS(2707),
    [aux_sym_log_verbose_token1] = ACTIONS(2707),
    [aux_sym_macs_token1] = ACTIONS(2707),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2707),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2707),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2707),
    [aux_sym_password_authentication_token1] = ACTIONS(2707),
    [aux_sym_permit_local_command_token1] = ACTIONS(2707),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2707),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2707),
    [aux_sym_port_token1] = ACTIONS(2707),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2707),
    [aux_sym_protocol_token1] = ACTIONS(2707),
    [aux_sym_proxy_command_token1] = ACTIONS(2707),
    [aux_sym_proxy_jump_token1] = ACTIONS(2707),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2707),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2707),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2707),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2707),
    [aux_sym_rekey_limit_token1] = ACTIONS(2707),
    [aux_sym_remote_command_token1] = ACTIONS(2707),
    [aux_sym_remote_forward_token1] = ACTIONS(2707),
    [aux_sym_request_tty_token1] = ACTIONS(2707),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2707),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2707),
    [aux_sym_security_key_provider_token1] = ACTIONS(2707),
    [aux_sym_send_env_token1] = ACTIONS(2707),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2707),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2707),
    [aux_sym_session_type_token1] = ACTIONS(2707),
    [aux_sym_set_env_token1] = ACTIONS(2707),
    [aux_sym_stdin_null_token1] = ACTIONS(2707),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2707),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2707),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2707),
    [aux_sym_syslog_facility_token1] = ACTIONS(2707),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2707),
    [aux_sym_keep_alive_token1] = ACTIONS(2707),
    [aux_sym_tag_token1] = ACTIONS(2707),
    [aux_sym_tunnel_token1] = ACTIONS(2709),
    [aux_sym_tunnel_device_token1] = ACTIONS(2707),
    [aux_sym_update_host_keys_token1] = ACTIONS(2707),
    [aux_sym_use_keychain_token1] = ACTIONS(2707),
    [aux_sym_use_roaming_token1] = ACTIONS(2707),
    [aux_sym_user_token1] = ACTIONS(2709),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2707),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2707),
    [aux_sym_visual_host_key_token1] = ACTIONS(2707),
    [aux_sym_xauth_location_token1] = ACTIONS(2707),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2713),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [aux_sym_match_token1] = ACTIONS(2711),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2711),
    [aux_sym_address_family_token1] = ACTIONS(2711),
    [aux_sym_batch_mode_token1] = ACTIONS(2711),
    [aux_sym_bind_address_token1] = ACTIONS(2711),
    [aux_sym_bind_interface_token1] = ACTIONS(2711),
    [aux_sym_canonical_domains_token1] = ACTIONS(2711),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2711),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2711),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2711),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2711),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2711),
    [aux_sym_certificate_file_token1] = ACTIONS(2711),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2711),
    [aux_sym_channel_timeout_token1] = ACTIONS(2711),
    [aux_sym_check_host_ip_token1] = ACTIONS(2711),
    [aux_sym_ciphers_token1] = ACTIONS(2711),
    [aux_sym_cipher_token1] = ACTIONS(2713),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2711),
    [aux_sym_compression_token1] = ACTIONS(2711),
    [aux_sym_connection_attempts_token1] = ACTIONS(2711),
    [aux_sym_connect_timeout_token1] = ACTIONS(2711),
    [aux_sym_control_master_token1] = ACTIONS(2711),
    [aux_sym_control_path_token1] = ACTIONS(2711),
    [aux_sym_control_persist_token1] = ACTIONS(2711),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2711),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2711),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2711),
    [aux_sym_escape_char_token1] = ACTIONS(2711),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2711),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2711),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2711),
    [aux_sym_forward_agent_token1] = ACTIONS(2711),
    [aux_sym_forward_x11_token1] = ACTIONS(2713),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2711),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2711),
    [aux_sym_gateway_ports_token1] = ACTIONS(2711),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2711),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2711),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2711),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2711),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2711),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2711),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2711),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2711),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2711),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2711),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2711),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2711),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2711),
    [aux_sym_host_key_alias_token1] = ACTIONS(2711),
    [aux_sym_hostname_token1] = ACTIONS(2711),
    [aux_sym_identities_only_token1] = ACTIONS(2711),
    [aux_sym_identity_agent_token1] = ACTIONS(2711),
    [aux_sym_identity_file_token1] = ACTIONS(2711),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2711),
    [aux_sym_include_token1] = ACTIONS(2711),
    [aux_sym_ip_qos_token1] = ACTIONS(2711),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2711),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2711),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2711),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2711),
    [aux_sym_local_command_token1] = ACTIONS(2711),
    [aux_sym_local_forward_token1] = ACTIONS(2711),
    [aux_sym_log_level_token1] = ACTIONS(2711),
    [aux_sym_log_verbose_token1] = ACTIONS(2711),
    [aux_sym_macs_token1] = ACTIONS(2711),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2711),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2711),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2711),
    [aux_sym_password_authentication_token1] = ACTIONS(2711),
    [aux_sym_permit_local_command_token1] = ACTIONS(2711),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2711),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2711),
    [aux_sym_port_token1] = ACTIONS(2711),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2711),
    [aux_sym_protocol_token1] = ACTIONS(2711),
    [aux_sym_proxy_command_token1] = ACTIONS(2711),
    [aux_sym_proxy_jump_token1] = ACTIONS(2711),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2711),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2711),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2711),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2711),
    [aux_sym_rekey_limit_token1] = ACTIONS(2711),
    [aux_sym_remote_command_token1] = ACTIONS(2711),
    [aux_sym_remote_forward_token1] = ACTIONS(2711),
    [aux_sym_request_tty_token1] = ACTIONS(2711),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2711),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2711),
    [aux_sym_security_key_provider_token1] = ACTIONS(2711),
    [aux_sym_send_env_token1] = ACTIONS(2711),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2711),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2711),
    [aux_sym_session_type_token1] = ACTIONS(2711),
    [aux_sym_set_env_token1] = ACTIONS(2711),
    [aux_sym_stdin_null_token1] = ACTIONS(2711),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2711),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2711),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2711),
    [aux_sym_syslog_facility_token1] = ACTIONS(2711),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2711),
    [aux_sym_keep_alive_token1] = ACTIONS(2711),
    [aux_sym_tag_token1] = ACTIONS(2711),
    [aux_sym_tunnel_token1] = ACTIONS(2713),
    [aux_sym_tunnel_device_token1] = ACTIONS(2711),
    [aux_sym_update_host_keys_token1] = ACTIONS(2711),
    [aux_sym_use_keychain_token1] = ACTIONS(2711),
    [aux_sym_use_roaming_token1] = ACTIONS(2711),
    [aux_sym_user_token1] = ACTIONS(2713),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2711),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2711),
    [aux_sym_visual_host_key_token1] = ACTIONS(2711),
    [aux_sym_xauth_location_token1] = ACTIONS(2711),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [aux_sym_match_token1] = ACTIONS(2717),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2717),
    [aux_sym_address_family_token1] = ACTIONS(2717),
    [aux_sym_batch_mode_token1] = ACTIONS(2717),
    [aux_sym_bind_address_token1] = ACTIONS(2717),
    [aux_sym_bind_interface_token1] = ACTIONS(2717),
    [aux_sym_canonical_domains_token1] = ACTIONS(2717),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2717),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2717),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2717),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2717),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2717),
    [aux_sym_certificate_file_token1] = ACTIONS(2717),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2717),
    [aux_sym_channel_timeout_token1] = ACTIONS(2717),
    [aux_sym_check_host_ip_token1] = ACTIONS(2717),
    [aux_sym_ciphers_token1] = ACTIONS(2717),
    [aux_sym_cipher_token1] = ACTIONS(2719),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2717),
    [aux_sym_compression_token1] = ACTIONS(2717),
    [aux_sym_connection_attempts_token1] = ACTIONS(2717),
    [aux_sym_connect_timeout_token1] = ACTIONS(2717),
    [aux_sym_control_master_token1] = ACTIONS(2717),
    [aux_sym_control_path_token1] = ACTIONS(2717),
    [aux_sym_control_persist_token1] = ACTIONS(2717),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2717),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2717),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2717),
    [aux_sym_escape_char_token1] = ACTIONS(2717),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2717),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2717),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2717),
    [aux_sym_forward_agent_token1] = ACTIONS(2717),
    [aux_sym_forward_x11_token1] = ACTIONS(2719),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2717),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2717),
    [aux_sym_gateway_ports_token1] = ACTIONS(2717),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2717),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2717),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2717),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2717),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2717),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2717),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2717),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2717),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2717),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2717),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2717),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2717),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2717),
    [aux_sym_host_key_alias_token1] = ACTIONS(2717),
    [aux_sym_hostname_token1] = ACTIONS(2717),
    [aux_sym_identities_only_token1] = ACTIONS(2717),
    [aux_sym_identity_agent_token1] = ACTIONS(2717),
    [aux_sym_identity_file_token1] = ACTIONS(2717),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2717),
    [aux_sym_include_token1] = ACTIONS(2717),
    [aux_sym_ip_qos_token1] = ACTIONS(2717),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2717),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2717),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2717),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2717),
    [aux_sym_local_command_token1] = ACTIONS(2717),
    [aux_sym_local_forward_token1] = ACTIONS(2717),
    [aux_sym_log_level_token1] = ACTIONS(2717),
    [aux_sym_log_verbose_token1] = ACTIONS(2717),
    [aux_sym_macs_token1] = ACTIONS(2717),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2717),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2717),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2717),
    [aux_sym_password_authentication_token1] = ACTIONS(2717),
    [aux_sym_permit_local_command_token1] = ACTIONS(2717),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2717),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2717),
    [aux_sym_port_token1] = ACTIONS(2717),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2717),
    [aux_sym_protocol_token1] = ACTIONS(2717),
    [aux_sym_proxy_command_token1] = ACTIONS(2717),
    [aux_sym_proxy_jump_token1] = ACTIONS(2717),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2717),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2717),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2717),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2717),
    [aux_sym_rekey_limit_token1] = ACTIONS(2717),
    [aux_sym_remote_command_token1] = ACTIONS(2717),
    [aux_sym_remote_forward_token1] = ACTIONS(2717),
    [aux_sym_request_tty_token1] = ACTIONS(2717),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2717),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2717),
    [aux_sym_security_key_provider_token1] = ACTIONS(2717),
    [aux_sym_send_env_token1] = ACTIONS(2717),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2717),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2717),
    [aux_sym_session_type_token1] = ACTIONS(2717),
    [aux_sym_set_env_token1] = ACTIONS(2717),
    [aux_sym_stdin_null_token1] = ACTIONS(2717),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2717),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2717),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2717),
    [aux_sym_syslog_facility_token1] = ACTIONS(2717),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2717),
    [aux_sym_keep_alive_token1] = ACTIONS(2717),
    [aux_sym_tag_token1] = ACTIONS(2717),
    [aux_sym_tunnel_token1] = ACTIONS(2719),
    [aux_sym_tunnel_device_token1] = ACTIONS(2717),
    [aux_sym_update_host_keys_token1] = ACTIONS(2717),
    [aux_sym_use_keychain_token1] = ACTIONS(2717),
    [aux_sym_use_roaming_token1] = ACTIONS(2717),
    [aux_sym_user_token1] = ACTIONS(2719),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2717),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2717),
    [aux_sym_visual_host_key_token1] = ACTIONS(2717),
    [aux_sym_xauth_location_token1] = ACTIONS(2717),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2725),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [aux_sym_match_token1] = ACTIONS(2723),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2723),
    [aux_sym_address_family_token1] = ACTIONS(2723),
    [aux_sym_batch_mode_token1] = ACTIONS(2723),
    [aux_sym_bind_address_token1] = ACTIONS(2723),
    [aux_sym_bind_interface_token1] = ACTIONS(2723),
    [aux_sym_canonical_domains_token1] = ACTIONS(2723),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2723),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2723),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2723),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2723),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2723),
    [aux_sym_certificate_file_token1] = ACTIONS(2723),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2723),
    [aux_sym_channel_timeout_token1] = ACTIONS(2723),
    [aux_sym_check_host_ip_token1] = ACTIONS(2723),
    [aux_sym_ciphers_token1] = ACTIONS(2723),
    [aux_sym_cipher_token1] = ACTIONS(2725),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2723),
    [aux_sym_compression_token1] = ACTIONS(2723),
    [aux_sym_connection_attempts_token1] = ACTIONS(2723),
    [aux_sym_connect_timeout_token1] = ACTIONS(2723),
    [aux_sym_control_master_token1] = ACTIONS(2723),
    [aux_sym_control_path_token1] = ACTIONS(2723),
    [aux_sym_control_persist_token1] = ACTIONS(2723),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2723),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2723),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2723),
    [aux_sym_escape_char_token1] = ACTIONS(2723),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2723),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2723),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2723),
    [aux_sym_forward_agent_token1] = ACTIONS(2723),
    [aux_sym_forward_x11_token1] = ACTIONS(2725),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2723),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2723),
    [aux_sym_gateway_ports_token1] = ACTIONS(2723),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2723),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2723),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2723),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2723),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2723),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2723),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2723),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2723),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2723),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2723),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2723),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2723),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2723),
    [aux_sym_host_key_alias_token1] = ACTIONS(2723),
    [aux_sym_hostname_token1] = ACTIONS(2723),
    [aux_sym_identities_only_token1] = ACTIONS(2723),
    [aux_sym_identity_agent_token1] = ACTIONS(2723),
    [aux_sym_identity_file_token1] = ACTIONS(2723),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2723),
    [aux_sym_include_token1] = ACTIONS(2723),
    [aux_sym_ip_qos_token1] = ACTIONS(2723),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2723),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2723),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2723),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2723),
    [aux_sym_local_command_token1] = ACTIONS(2723),
    [aux_sym_local_forward_token1] = ACTIONS(2723),
    [aux_sym_log_level_token1] = ACTIONS(2723),
    [aux_sym_log_verbose_token1] = ACTIONS(2723),
    [aux_sym_macs_token1] = ACTIONS(2723),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2723),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2723),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2723),
    [aux_sym_password_authentication_token1] = ACTIONS(2723),
    [aux_sym_permit_local_command_token1] = ACTIONS(2723),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2723),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2723),
    [aux_sym_port_token1] = ACTIONS(2723),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2723),
    [aux_sym_protocol_token1] = ACTIONS(2723),
    [aux_sym_proxy_command_token1] = ACTIONS(2723),
    [aux_sym_proxy_jump_token1] = ACTIONS(2723),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2723),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2723),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2723),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2723),
    [aux_sym_rekey_limit_token1] = ACTIONS(2723),
    [aux_sym_remote_command_token1] = ACTIONS(2723),
    [aux_sym_remote_forward_token1] = ACTIONS(2723),
    [aux_sym_request_tty_token1] = ACTIONS(2723),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2723),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2723),
    [aux_sym_security_key_provider_token1] = ACTIONS(2723),
    [aux_sym_send_env_token1] = ACTIONS(2723),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2723),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2723),
    [aux_sym_session_type_token1] = ACTIONS(2723),
    [aux_sym_set_env_token1] = ACTIONS(2723),
    [aux_sym_stdin_null_token1] = ACTIONS(2723),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2723),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2723),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2723),
    [aux_sym_syslog_facility_token1] = ACTIONS(2723),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2723),
    [aux_sym_keep_alive_token1] = ACTIONS(2723),
    [aux_sym_tag_token1] = ACTIONS(2723),
    [aux_sym_tunnel_token1] = ACTIONS(2725),
    [aux_sym_tunnel_device_token1] = ACTIONS(2723),
    [aux_sym_update_host_keys_token1] = ACTIONS(2723),
    [aux_sym_use_keychain_token1] = ACTIONS(2723),
    [aux_sym_use_roaming_token1] = ACTIONS(2723),
    [aux_sym_user_token1] = ACTIONS(2725),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2723),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2723),
    [aux_sym_visual_host_key_token1] = ACTIONS(2723),
    [aux_sym_xauth_location_token1] = ACTIONS(2723),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [aux_sym_match_token1] = ACTIONS(2727),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2727),
    [aux_sym_address_family_token1] = ACTIONS(2727),
    [aux_sym_batch_mode_token1] = ACTIONS(2727),
    [aux_sym_bind_address_token1] = ACTIONS(2727),
    [aux_sym_bind_interface_token1] = ACTIONS(2727),
    [aux_sym_canonical_domains_token1] = ACTIONS(2727),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2727),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2727),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2727),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2727),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2727),
    [aux_sym_certificate_file_token1] = ACTIONS(2727),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2727),
    [aux_sym_channel_timeout_token1] = ACTIONS(2727),
    [aux_sym_check_host_ip_token1] = ACTIONS(2727),
    [aux_sym_ciphers_token1] = ACTIONS(2727),
    [aux_sym_cipher_token1] = ACTIONS(2729),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2727),
    [aux_sym_compression_token1] = ACTIONS(2727),
    [aux_sym_connection_attempts_token1] = ACTIONS(2727),
    [aux_sym_connect_timeout_token1] = ACTIONS(2727),
    [aux_sym_control_master_token1] = ACTIONS(2727),
    [aux_sym_control_path_token1] = ACTIONS(2727),
    [aux_sym_control_persist_token1] = ACTIONS(2727),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2727),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2727),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2727),
    [aux_sym_escape_char_token1] = ACTIONS(2727),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2727),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2727),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2727),
    [aux_sym_forward_agent_token1] = ACTIONS(2727),
    [aux_sym_forward_x11_token1] = ACTIONS(2729),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2727),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2727),
    [aux_sym_gateway_ports_token1] = ACTIONS(2727),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2727),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2727),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2727),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2727),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2727),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2727),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2727),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2727),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2727),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2727),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2727),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2727),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2727),
    [aux_sym_host_key_alias_token1] = ACTIONS(2727),
    [aux_sym_hostname_token1] = ACTIONS(2727),
    [aux_sym_identities_only_token1] = ACTIONS(2727),
    [aux_sym_identity_agent_token1] = ACTIONS(2727),
    [aux_sym_identity_file_token1] = ACTIONS(2727),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2727),
    [aux_sym_include_token1] = ACTIONS(2727),
    [aux_sym_ip_qos_token1] = ACTIONS(2727),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2727),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2727),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2727),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2727),
    [aux_sym_local_command_token1] = ACTIONS(2727),
    [aux_sym_local_forward_token1] = ACTIONS(2727),
    [aux_sym_log_level_token1] = ACTIONS(2727),
    [aux_sym_log_verbose_token1] = ACTIONS(2727),
    [aux_sym_macs_token1] = ACTIONS(2727),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2727),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2727),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2727),
    [aux_sym_password_authentication_token1] = ACTIONS(2727),
    [aux_sym_permit_local_command_token1] = ACTIONS(2727),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2727),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2727),
    [aux_sym_port_token1] = ACTIONS(2727),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2727),
    [aux_sym_protocol_token1] = ACTIONS(2727),
    [aux_sym_proxy_command_token1] = ACTIONS(2727),
    [aux_sym_proxy_jump_token1] = ACTIONS(2727),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2727),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2727),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2727),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2727),
    [aux_sym_rekey_limit_token1] = ACTIONS(2727),
    [aux_sym_remote_command_token1] = ACTIONS(2727),
    [aux_sym_remote_forward_token1] = ACTIONS(2727),
    [aux_sym_request_tty_token1] = ACTIONS(2727),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2727),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2727),
    [aux_sym_security_key_provider_token1] = ACTIONS(2727),
    [aux_sym_send_env_token1] = ACTIONS(2727),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2727),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2727),
    [aux_sym_session_type_token1] = ACTIONS(2727),
    [aux_sym_set_env_token1] = ACTIONS(2727),
    [aux_sym_stdin_null_token1] = ACTIONS(2727),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2727),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2727),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2727),
    [aux_sym_syslog_facility_token1] = ACTIONS(2727),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2727),
    [aux_sym_keep_alive_token1] = ACTIONS(2727),
    [aux_sym_tag_token1] = ACTIONS(2727),
    [aux_sym_tunnel_token1] = ACTIONS(2729),
    [aux_sym_tunnel_device_token1] = ACTIONS(2727),
    [aux_sym_update_host_keys_token1] = ACTIONS(2727),
    [aux_sym_use_keychain_token1] = ACTIONS(2727),
    [aux_sym_use_roaming_token1] = ACTIONS(2727),
    [aux_sym_user_token1] = ACTIONS(2729),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2727),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2727),
    [aux_sym_visual_host_key_token1] = ACTIONS(2727),
    [aux_sym_xauth_location_token1] = ACTIONS(2727),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2733),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [aux_sym_match_token1] = ACTIONS(2731),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2731),
    [aux_sym_address_family_token1] = ACTIONS(2731),
    [aux_sym_batch_mode_token1] = ACTIONS(2731),
    [aux_sym_bind_address_token1] = ACTIONS(2731),
    [aux_sym_bind_interface_token1] = ACTIONS(2731),
    [aux_sym_canonical_domains_token1] = ACTIONS(2731),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2731),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2731),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2731),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2731),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2731),
    [aux_sym_certificate_file_token1] = ACTIONS(2731),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2731),
    [aux_sym_channel_timeout_token1] = ACTIONS(2731),
    [aux_sym_check_host_ip_token1] = ACTIONS(2731),
    [aux_sym_ciphers_token1] = ACTIONS(2731),
    [aux_sym_cipher_token1] = ACTIONS(2733),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2731),
    [aux_sym_compression_token1] = ACTIONS(2731),
    [aux_sym_connection_attempts_token1] = ACTIONS(2731),
    [aux_sym_connect_timeout_token1] = ACTIONS(2731),
    [aux_sym_control_master_token1] = ACTIONS(2731),
    [aux_sym_control_path_token1] = ACTIONS(2731),
    [aux_sym_control_persist_token1] = ACTIONS(2731),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2731),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2731),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2731),
    [aux_sym_escape_char_token1] = ACTIONS(2731),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2731),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2731),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2731),
    [aux_sym_forward_agent_token1] = ACTIONS(2731),
    [aux_sym_forward_x11_token1] = ACTIONS(2733),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2731),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2731),
    [aux_sym_gateway_ports_token1] = ACTIONS(2731),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2731),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2731),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2731),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2731),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2731),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2731),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2731),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2731),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2731),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2731),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2731),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2731),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2731),
    [aux_sym_host_key_alias_token1] = ACTIONS(2731),
    [aux_sym_hostname_token1] = ACTIONS(2731),
    [aux_sym_identities_only_token1] = ACTIONS(2731),
    [aux_sym_identity_agent_token1] = ACTIONS(2731),
    [aux_sym_identity_file_token1] = ACTIONS(2731),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2731),
    [aux_sym_include_token1] = ACTIONS(2731),
    [aux_sym_ip_qos_token1] = ACTIONS(2731),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2731),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2731),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2731),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2731),
    [aux_sym_local_command_token1] = ACTIONS(2731),
    [aux_sym_local_forward_token1] = ACTIONS(2731),
    [aux_sym_log_level_token1] = ACTIONS(2731),
    [aux_sym_log_verbose_token1] = ACTIONS(2731),
    [aux_sym_macs_token1] = ACTIONS(2731),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2731),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2731),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2731),
    [aux_sym_password_authentication_token1] = ACTIONS(2731),
    [aux_sym_permit_local_command_token1] = ACTIONS(2731),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2731),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2731),
    [aux_sym_port_token1] = ACTIONS(2731),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2731),
    [aux_sym_protocol_token1] = ACTIONS(2731),
    [aux_sym_proxy_command_token1] = ACTIONS(2731),
    [aux_sym_proxy_jump_token1] = ACTIONS(2731),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2731),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2731),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2731),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2731),
    [aux_sym_rekey_limit_token1] = ACTIONS(2731),
    [aux_sym_remote_command_token1] = ACTIONS(2731),
    [aux_sym_remote_forward_token1] = ACTIONS(2731),
    [aux_sym_request_tty_token1] = ACTIONS(2731),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2731),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2731),
    [aux_sym_security_key_provider_token1] = ACTIONS(2731),
    [aux_sym_send_env_token1] = ACTIONS(2731),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2731),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2731),
    [aux_sym_session_type_token1] = ACTIONS(2731),
    [aux_sym_set_env_token1] = ACTIONS(2731),
    [aux_sym_stdin_null_token1] = ACTIONS(2731),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2731),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2731),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2731),
    [aux_sym_syslog_facility_token1] = ACTIONS(2731),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2731),
    [aux_sym_keep_alive_token1] = ACTIONS(2731),
    [aux_sym_tag_token1] = ACTIONS(2731),
    [aux_sym_tunnel_token1] = ACTIONS(2733),
    [aux_sym_tunnel_device_token1] = ACTIONS(2731),
    [aux_sym_update_host_keys_token1] = ACTIONS(2731),
    [aux_sym_use_keychain_token1] = ACTIONS(2731),
    [aux_sym_use_roaming_token1] = ACTIONS(2731),
    [aux_sym_user_token1] = ACTIONS(2733),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2731),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2731),
    [aux_sym_visual_host_key_token1] = ACTIONS(2731),
    [aux_sym_xauth_location_token1] = ACTIONS(2731),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(2737),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2737),
    [aux_sym_match_token1] = ACTIONS(2737),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2737),
    [aux_sym_address_family_token1] = ACTIONS(2737),
    [aux_sym_batch_mode_token1] = ACTIONS(2737),
    [aux_sym_bind_address_token1] = ACTIONS(2737),
    [aux_sym_bind_interface_token1] = ACTIONS(2737),
    [aux_sym_canonical_domains_token1] = ACTIONS(2737),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2737),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2737),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2737),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2737),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2737),
    [aux_sym_certificate_file_token1] = ACTIONS(2737),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2737),
    [aux_sym_channel_timeout_token1] = ACTIONS(2737),
    [aux_sym_check_host_ip_token1] = ACTIONS(2737),
    [aux_sym_ciphers_token1] = ACTIONS(2737),
    [aux_sym_cipher_token1] = ACTIONS(2739),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2737),
    [aux_sym_compression_token1] = ACTIONS(2737),
    [aux_sym_connection_attempts_token1] = ACTIONS(2737),
    [aux_sym_connect_timeout_token1] = ACTIONS(2737),
    [aux_sym_control_master_token1] = ACTIONS(2737),
    [aux_sym_control_path_token1] = ACTIONS(2737),
    [aux_sym_control_persist_token1] = ACTIONS(2737),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2737),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2737),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2737),
    [aux_sym_escape_char_token1] = ACTIONS(2737),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2737),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2737),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2737),
    [aux_sym_forward_agent_token1] = ACTIONS(2737),
    [aux_sym_forward_x11_token1] = ACTIONS(2739),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2737),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2737),
    [aux_sym_gateway_ports_token1] = ACTIONS(2737),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2737),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2737),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2737),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2737),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2737),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2737),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2737),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2737),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2737),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2737),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2737),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2737),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2737),
    [aux_sym_host_key_alias_token1] = ACTIONS(2737),
    [aux_sym_hostname_token1] = ACTIONS(2737),
    [aux_sym_identities_only_token1] = ACTIONS(2737),
    [aux_sym_identity_agent_token1] = ACTIONS(2737),
    [aux_sym_identity_file_token1] = ACTIONS(2737),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2737),
    [aux_sym_include_token1] = ACTIONS(2737),
    [aux_sym_ip_qos_token1] = ACTIONS(2737),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2737),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2737),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2737),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2737),
    [aux_sym_local_command_token1] = ACTIONS(2737),
    [aux_sym_local_forward_token1] = ACTIONS(2737),
    [aux_sym_log_level_token1] = ACTIONS(2737),
    [aux_sym_log_verbose_token1] = ACTIONS(2737),
    [aux_sym_macs_token1] = ACTIONS(2737),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2737),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2737),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2737),
    [aux_sym_password_authentication_token1] = ACTIONS(2737),
    [aux_sym_permit_local_command_token1] = ACTIONS(2737),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2737),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2737),
    [aux_sym_port_token1] = ACTIONS(2737),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2737),
    [aux_sym_protocol_token1] = ACTIONS(2737),
    [aux_sym_proxy_command_token1] = ACTIONS(2737),
    [aux_sym_proxy_jump_token1] = ACTIONS(2737),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2737),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2737),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2737),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2737),
    [aux_sym_rekey_limit_token1] = ACTIONS(2737),
    [aux_sym_remote_command_token1] = ACTIONS(2737),
    [aux_sym_remote_forward_token1] = ACTIONS(2737),
    [aux_sym_request_tty_token1] = ACTIONS(2737),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2737),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2737),
    [aux_sym_security_key_provider_token1] = ACTIONS(2737),
    [aux_sym_send_env_token1] = ACTIONS(2737),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2737),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2737),
    [aux_sym_session_type_token1] = ACTIONS(2737),
    [aux_sym_set_env_token1] = ACTIONS(2737),
    [aux_sym_stdin_null_token1] = ACTIONS(2737),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2737),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2737),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2737),
    [aux_sym_syslog_facility_token1] = ACTIONS(2737),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2737),
    [aux_sym_keep_alive_token1] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [aux_sym_tunnel_token1] = ACTIONS(2739),
    [aux_sym_tunnel_device_token1] = ACTIONS(2737),
    [aux_sym_update_host_keys_token1] = ACTIONS(2737),
    [aux_sym_use_keychain_token1] = ACTIONS(2737),
    [aux_sym_use_roaming_token1] = ACTIONS(2737),
    [aux_sym_user_token1] = ACTIONS(2739),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2737),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2737),
    [aux_sym_visual_host_key_token1] = ACTIONS(2737),
    [aux_sym_xauth_location_token1] = ACTIONS(2737),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(2741),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2743),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [aux_sym_match_token1] = ACTIONS(2741),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2741),
    [aux_sym_address_family_token1] = ACTIONS(2741),
    [aux_sym_batch_mode_token1] = ACTIONS(2741),
    [aux_sym_bind_address_token1] = ACTIONS(2741),
    [aux_sym_bind_interface_token1] = ACTIONS(2741),
    [aux_sym_canonical_domains_token1] = ACTIONS(2741),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2741),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2741),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2741),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2741),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2741),
    [aux_sym_certificate_file_token1] = ACTIONS(2741),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2741),
    [aux_sym_channel_timeout_token1] = ACTIONS(2741),
    [aux_sym_check_host_ip_token1] = ACTIONS(2741),
    [aux_sym_ciphers_token1] = ACTIONS(2741),
    [aux_sym_cipher_token1] = ACTIONS(2743),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2741),
    [aux_sym_compression_token1] = ACTIONS(2741),
    [aux_sym_connection_attempts_token1] = ACTIONS(2741),
    [aux_sym_connect_timeout_token1] = ACTIONS(2741),
    [aux_sym_control_master_token1] = ACTIONS(2741),
    [aux_sym_control_path_token1] = ACTIONS(2741),
    [aux_sym_control_persist_token1] = ACTIONS(2741),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2741),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2741),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2741),
    [aux_sym_escape_char_token1] = ACTIONS(2741),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2741),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2741),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2741),
    [aux_sym_forward_agent_token1] = ACTIONS(2741),
    [aux_sym_forward_x11_token1] = ACTIONS(2743),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2741),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2741),
    [aux_sym_gateway_ports_token1] = ACTIONS(2741),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2741),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2741),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2741),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2741),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2741),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2741),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2741),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2741),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2741),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2741),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2741),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2741),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2741),
    [aux_sym_host_key_alias_token1] = ACTIONS(2741),
    [aux_sym_hostname_token1] = ACTIONS(2741),
    [aux_sym_identities_only_token1] = ACTIONS(2741),
    [aux_sym_identity_agent_token1] = ACTIONS(2741),
    [aux_sym_identity_file_token1] = ACTIONS(2741),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2741),
    [aux_sym_include_token1] = ACTIONS(2741),
    [aux_sym_ip_qos_token1] = ACTIONS(2741),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2741),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2741),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2741),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2741),
    [aux_sym_local_command_token1] = ACTIONS(2741),
    [aux_sym_local_forward_token1] = ACTIONS(2741),
    [aux_sym_log_level_token1] = ACTIONS(2741),
    [aux_sym_log_verbose_token1] = ACTIONS(2741),
    [aux_sym_macs_token1] = ACTIONS(2741),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2741),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2741),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2741),
    [aux_sym_password_authentication_token1] = ACTIONS(2741),
    [aux_sym_permit_local_command_token1] = ACTIONS(2741),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2741),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2741),
    [aux_sym_port_token1] = ACTIONS(2741),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2741),
    [aux_sym_protocol_token1] = ACTIONS(2741),
    [aux_sym_proxy_command_token1] = ACTIONS(2741),
    [aux_sym_proxy_jump_token1] = ACTIONS(2741),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2741),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2741),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2741),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2741),
    [aux_sym_rekey_limit_token1] = ACTIONS(2741),
    [aux_sym_remote_command_token1] = ACTIONS(2741),
    [aux_sym_remote_forward_token1] = ACTIONS(2741),
    [aux_sym_request_tty_token1] = ACTIONS(2741),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2741),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2741),
    [aux_sym_security_key_provider_token1] = ACTIONS(2741),
    [aux_sym_send_env_token1] = ACTIONS(2741),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2741),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2741),
    [aux_sym_session_type_token1] = ACTIONS(2741),
    [aux_sym_set_env_token1] = ACTIONS(2741),
    [aux_sym_stdin_null_token1] = ACTIONS(2741),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2741),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2741),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2741),
    [aux_sym_syslog_facility_token1] = ACTIONS(2741),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2741),
    [aux_sym_keep_alive_token1] = ACTIONS(2741),
    [aux_sym_tag_token1] = ACTIONS(2741),
    [aux_sym_tunnel_token1] = ACTIONS(2743),
    [aux_sym_tunnel_device_token1] = ACTIONS(2741),
    [aux_sym_update_host_keys_token1] = ACTIONS(2741),
    [aux_sym_use_keychain_token1] = ACTIONS(2741),
    [aux_sym_use_roaming_token1] = ACTIONS(2741),
    [aux_sym_user_token1] = ACTIONS(2743),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2741),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2741),
    [aux_sym_visual_host_key_token1] = ACTIONS(2741),
    [aux_sym_xauth_location_token1] = ACTIONS(2741),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [aux_sym_match_token1] = ACTIONS(2747),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2747),
    [aux_sym_address_family_token1] = ACTIONS(2747),
    [aux_sym_batch_mode_token1] = ACTIONS(2747),
    [aux_sym_bind_address_token1] = ACTIONS(2747),
    [aux_sym_bind_interface_token1] = ACTIONS(2747),
    [aux_sym_canonical_domains_token1] = ACTIONS(2747),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2747),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2747),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2747),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2747),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2747),
    [aux_sym_certificate_file_token1] = ACTIONS(2747),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2747),
    [aux_sym_channel_timeout_token1] = ACTIONS(2747),
    [aux_sym_check_host_ip_token1] = ACTIONS(2747),
    [aux_sym_ciphers_token1] = ACTIONS(2747),
    [aux_sym_cipher_token1] = ACTIONS(2749),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2747),
    [aux_sym_compression_token1] = ACTIONS(2747),
    [aux_sym_connection_attempts_token1] = ACTIONS(2747),
    [aux_sym_connect_timeout_token1] = ACTIONS(2747),
    [aux_sym_control_master_token1] = ACTIONS(2747),
    [aux_sym_control_path_token1] = ACTIONS(2747),
    [aux_sym_control_persist_token1] = ACTIONS(2747),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2747),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2747),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2747),
    [aux_sym_escape_char_token1] = ACTIONS(2747),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2747),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2747),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2747),
    [aux_sym_forward_agent_token1] = ACTIONS(2747),
    [aux_sym_forward_x11_token1] = ACTIONS(2749),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2747),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2747),
    [aux_sym_gateway_ports_token1] = ACTIONS(2747),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2747),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2747),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2747),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2747),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2747),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2747),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2747),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2747),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2747),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2747),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2747),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2747),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2747),
    [aux_sym_host_key_alias_token1] = ACTIONS(2747),
    [aux_sym_hostname_token1] = ACTIONS(2747),
    [aux_sym_identities_only_token1] = ACTIONS(2747),
    [aux_sym_identity_agent_token1] = ACTIONS(2747),
    [aux_sym_identity_file_token1] = ACTIONS(2747),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2747),
    [aux_sym_include_token1] = ACTIONS(2747),
    [aux_sym_ip_qos_token1] = ACTIONS(2747),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2747),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2747),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2747),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2747),
    [aux_sym_local_command_token1] = ACTIONS(2747),
    [aux_sym_local_forward_token1] = ACTIONS(2747),
    [aux_sym_log_level_token1] = ACTIONS(2747),
    [aux_sym_log_verbose_token1] = ACTIONS(2747),
    [aux_sym_macs_token1] = ACTIONS(2747),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2747),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2747),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2747),
    [aux_sym_password_authentication_token1] = ACTIONS(2747),
    [aux_sym_permit_local_command_token1] = ACTIONS(2747),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2747),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2747),
    [aux_sym_port_token1] = ACTIONS(2747),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2747),
    [aux_sym_protocol_token1] = ACTIONS(2747),
    [aux_sym_proxy_command_token1] = ACTIONS(2747),
    [aux_sym_proxy_jump_token1] = ACTIONS(2747),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2747),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2747),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2747),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2747),
    [aux_sym_rekey_limit_token1] = ACTIONS(2747),
    [aux_sym_remote_command_token1] = ACTIONS(2747),
    [aux_sym_remote_forward_token1] = ACTIONS(2747),
    [aux_sym_request_tty_token1] = ACTIONS(2747),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2747),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2747),
    [aux_sym_security_key_provider_token1] = ACTIONS(2747),
    [aux_sym_send_env_token1] = ACTIONS(2747),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2747),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2747),
    [aux_sym_session_type_token1] = ACTIONS(2747),
    [aux_sym_set_env_token1] = ACTIONS(2747),
    [aux_sym_stdin_null_token1] = ACTIONS(2747),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2747),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2747),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2747),
    [aux_sym_syslog_facility_token1] = ACTIONS(2747),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2747),
    [aux_sym_keep_alive_token1] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2747),
    [aux_sym_tunnel_token1] = ACTIONS(2749),
    [aux_sym_tunnel_device_token1] = ACTIONS(2747),
    [aux_sym_update_host_keys_token1] = ACTIONS(2747),
    [aux_sym_use_keychain_token1] = ACTIONS(2747),
    [aux_sym_use_roaming_token1] = ACTIONS(2747),
    [aux_sym_user_token1] = ACTIONS(2749),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2747),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2747),
    [aux_sym_visual_host_key_token1] = ACTIONS(2747),
    [aux_sym_xauth_location_token1] = ACTIONS(2747),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [aux_sym_match_token1] = ACTIONS(2751),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2751),
    [aux_sym_address_family_token1] = ACTIONS(2751),
    [aux_sym_batch_mode_token1] = ACTIONS(2751),
    [aux_sym_bind_address_token1] = ACTIONS(2751),
    [aux_sym_bind_interface_token1] = ACTIONS(2751),
    [aux_sym_canonical_domains_token1] = ACTIONS(2751),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2751),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2751),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2751),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2751),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2751),
    [aux_sym_certificate_file_token1] = ACTIONS(2751),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2751),
    [aux_sym_channel_timeout_token1] = ACTIONS(2751),
    [aux_sym_check_host_ip_token1] = ACTIONS(2751),
    [aux_sym_ciphers_token1] = ACTIONS(2751),
    [aux_sym_cipher_token1] = ACTIONS(2753),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2751),
    [aux_sym_compression_token1] = ACTIONS(2751),
    [aux_sym_connection_attempts_token1] = ACTIONS(2751),
    [aux_sym_connect_timeout_token1] = ACTIONS(2751),
    [aux_sym_control_master_token1] = ACTIONS(2751),
    [aux_sym_control_path_token1] = ACTIONS(2751),
    [aux_sym_control_persist_token1] = ACTIONS(2751),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2751),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2751),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2751),
    [aux_sym_escape_char_token1] = ACTIONS(2751),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2751),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2751),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2751),
    [aux_sym_forward_agent_token1] = ACTIONS(2751),
    [aux_sym_forward_x11_token1] = ACTIONS(2753),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2751),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2751),
    [aux_sym_gateway_ports_token1] = ACTIONS(2751),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2751),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2751),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2751),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2751),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2751),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2751),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2751),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2751),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2751),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2751),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2751),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2751),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2751),
    [aux_sym_host_key_alias_token1] = ACTIONS(2751),
    [aux_sym_hostname_token1] = ACTIONS(2751),
    [aux_sym_identities_only_token1] = ACTIONS(2751),
    [aux_sym_identity_agent_token1] = ACTIONS(2751),
    [aux_sym_identity_file_token1] = ACTIONS(2751),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2751),
    [aux_sym_include_token1] = ACTIONS(2751),
    [aux_sym_ip_qos_token1] = ACTIONS(2751),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2751),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2751),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2751),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2751),
    [aux_sym_local_command_token1] = ACTIONS(2751),
    [aux_sym_local_forward_token1] = ACTIONS(2751),
    [aux_sym_log_level_token1] = ACTIONS(2751),
    [aux_sym_log_verbose_token1] = ACTIONS(2751),
    [aux_sym_macs_token1] = ACTIONS(2751),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2751),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2751),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2751),
    [aux_sym_password_authentication_token1] = ACTIONS(2751),
    [aux_sym_permit_local_command_token1] = ACTIONS(2751),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2751),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2751),
    [aux_sym_port_token1] = ACTIONS(2751),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2751),
    [aux_sym_protocol_token1] = ACTIONS(2751),
    [aux_sym_proxy_command_token1] = ACTIONS(2751),
    [aux_sym_proxy_jump_token1] = ACTIONS(2751),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2751),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2751),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2751),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2751),
    [aux_sym_rekey_limit_token1] = ACTIONS(2751),
    [aux_sym_remote_command_token1] = ACTIONS(2751),
    [aux_sym_remote_forward_token1] = ACTIONS(2751),
    [aux_sym_request_tty_token1] = ACTIONS(2751),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2751),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2751),
    [aux_sym_security_key_provider_token1] = ACTIONS(2751),
    [aux_sym_send_env_token1] = ACTIONS(2751),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2751),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2751),
    [aux_sym_session_type_token1] = ACTIONS(2751),
    [aux_sym_set_env_token1] = ACTIONS(2751),
    [aux_sym_stdin_null_token1] = ACTIONS(2751),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2751),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2751),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2751),
    [aux_sym_syslog_facility_token1] = ACTIONS(2751),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2751),
    [aux_sym_keep_alive_token1] = ACTIONS(2751),
    [aux_sym_tag_token1] = ACTIONS(2751),
    [aux_sym_tunnel_token1] = ACTIONS(2753),
    [aux_sym_tunnel_device_token1] = ACTIONS(2751),
    [aux_sym_update_host_keys_token1] = ACTIONS(2751),
    [aux_sym_use_keychain_token1] = ACTIONS(2751),
    [aux_sym_use_roaming_token1] = ACTIONS(2751),
    [aux_sym_user_token1] = ACTIONS(2753),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2751),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2751),
    [aux_sym_visual_host_key_token1] = ACTIONS(2751),
    [aux_sym_xauth_location_token1] = ACTIONS(2751),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(2757),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [aux_sym_match_token1] = ACTIONS(2757),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2757),
    [aux_sym_address_family_token1] = ACTIONS(2757),
    [aux_sym_batch_mode_token1] = ACTIONS(2757),
    [aux_sym_bind_address_token1] = ACTIONS(2757),
    [aux_sym_bind_interface_token1] = ACTIONS(2757),
    [aux_sym_canonical_domains_token1] = ACTIONS(2757),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2757),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2757),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2757),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2757),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2757),
    [aux_sym_certificate_file_token1] = ACTIONS(2757),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2757),
    [aux_sym_channel_timeout_token1] = ACTIONS(2757),
    [aux_sym_check_host_ip_token1] = ACTIONS(2757),
    [aux_sym_ciphers_token1] = ACTIONS(2757),
    [aux_sym_cipher_token1] = ACTIONS(2759),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2757),
    [aux_sym_compression_token1] = ACTIONS(2757),
    [aux_sym_connection_attempts_token1] = ACTIONS(2757),
    [aux_sym_connect_timeout_token1] = ACTIONS(2757),
    [aux_sym_control_master_token1] = ACTIONS(2757),
    [aux_sym_control_path_token1] = ACTIONS(2757),
    [aux_sym_control_persist_token1] = ACTIONS(2757),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2757),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2757),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2757),
    [aux_sym_escape_char_token1] = ACTIONS(2757),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2757),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2757),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2757),
    [aux_sym_forward_agent_token1] = ACTIONS(2757),
    [aux_sym_forward_x11_token1] = ACTIONS(2759),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2757),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2757),
    [aux_sym_gateway_ports_token1] = ACTIONS(2757),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2757),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2757),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2757),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2757),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2757),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2757),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2757),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2757),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2757),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2757),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2757),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2757),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2757),
    [aux_sym_host_key_alias_token1] = ACTIONS(2757),
    [aux_sym_hostname_token1] = ACTIONS(2757),
    [aux_sym_identities_only_token1] = ACTIONS(2757),
    [aux_sym_identity_agent_token1] = ACTIONS(2757),
    [aux_sym_identity_file_token1] = ACTIONS(2757),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2757),
    [aux_sym_include_token1] = ACTIONS(2757),
    [aux_sym_ip_qos_token1] = ACTIONS(2757),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2757),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2757),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2757),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2757),
    [aux_sym_local_command_token1] = ACTIONS(2757),
    [aux_sym_local_forward_token1] = ACTIONS(2757),
    [aux_sym_log_level_token1] = ACTIONS(2757),
    [aux_sym_log_verbose_token1] = ACTIONS(2757),
    [aux_sym_macs_token1] = ACTIONS(2757),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2757),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2757),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2757),
    [aux_sym_password_authentication_token1] = ACTIONS(2757),
    [aux_sym_permit_local_command_token1] = ACTIONS(2757),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2757),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2757),
    [aux_sym_port_token1] = ACTIONS(2757),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2757),
    [aux_sym_protocol_token1] = ACTIONS(2757),
    [aux_sym_proxy_command_token1] = ACTIONS(2757),
    [aux_sym_proxy_jump_token1] = ACTIONS(2757),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2757),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2757),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2757),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2757),
    [aux_sym_rekey_limit_token1] = ACTIONS(2757),
    [aux_sym_remote_command_token1] = ACTIONS(2757),
    [aux_sym_remote_forward_token1] = ACTIONS(2757),
    [aux_sym_request_tty_token1] = ACTIONS(2757),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2757),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2757),
    [aux_sym_security_key_provider_token1] = ACTIONS(2757),
    [aux_sym_send_env_token1] = ACTIONS(2757),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2757),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2757),
    [aux_sym_session_type_token1] = ACTIONS(2757),
    [aux_sym_set_env_token1] = ACTIONS(2757),
    [aux_sym_stdin_null_token1] = ACTIONS(2757),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2757),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2757),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2757),
    [aux_sym_syslog_facility_token1] = ACTIONS(2757),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2757),
    [aux_sym_keep_alive_token1] = ACTIONS(2757),
    [aux_sym_tag_token1] = ACTIONS(2757),
    [aux_sym_tunnel_token1] = ACTIONS(2759),
    [aux_sym_tunnel_device_token1] = ACTIONS(2757),
    [aux_sym_update_host_keys_token1] = ACTIONS(2757),
    [aux_sym_use_keychain_token1] = ACTIONS(2757),
    [aux_sym_use_roaming_token1] = ACTIONS(2757),
    [aux_sym_user_token1] = ACTIONS(2759),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2757),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2757),
    [aux_sym_visual_host_key_token1] = ACTIONS(2757),
    [aux_sym_xauth_location_token1] = ACTIONS(2757),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [aux_sym_match_token1] = ACTIONS(2763),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2763),
    [aux_sym_address_family_token1] = ACTIONS(2763),
    [aux_sym_batch_mode_token1] = ACTIONS(2763),
    [aux_sym_bind_address_token1] = ACTIONS(2763),
    [aux_sym_bind_interface_token1] = ACTIONS(2763),
    [aux_sym_canonical_domains_token1] = ACTIONS(2763),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2763),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2763),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2763),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2763),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2763),
    [aux_sym_certificate_file_token1] = ACTIONS(2763),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2763),
    [aux_sym_channel_timeout_token1] = ACTIONS(2763),
    [aux_sym_check_host_ip_token1] = ACTIONS(2763),
    [aux_sym_ciphers_token1] = ACTIONS(2763),
    [aux_sym_cipher_token1] = ACTIONS(2765),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2763),
    [aux_sym_compression_token1] = ACTIONS(2763),
    [aux_sym_connection_attempts_token1] = ACTIONS(2763),
    [aux_sym_connect_timeout_token1] = ACTIONS(2763),
    [aux_sym_control_master_token1] = ACTIONS(2763),
    [aux_sym_control_path_token1] = ACTIONS(2763),
    [aux_sym_control_persist_token1] = ACTIONS(2763),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2763),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2763),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2763),
    [aux_sym_escape_char_token1] = ACTIONS(2763),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2763),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2763),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2763),
    [aux_sym_forward_agent_token1] = ACTIONS(2763),
    [aux_sym_forward_x11_token1] = ACTIONS(2765),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2763),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2763),
    [aux_sym_gateway_ports_token1] = ACTIONS(2763),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2763),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2763),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2763),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2763),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2763),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2763),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2763),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2763),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2763),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2763),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2763),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2763),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2763),
    [aux_sym_host_key_alias_token1] = ACTIONS(2763),
    [aux_sym_hostname_token1] = ACTIONS(2763),
    [aux_sym_identities_only_token1] = ACTIONS(2763),
    [aux_sym_identity_agent_token1] = ACTIONS(2763),
    [aux_sym_identity_file_token1] = ACTIONS(2763),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2763),
    [aux_sym_include_token1] = ACTIONS(2763),
    [aux_sym_ip_qos_token1] = ACTIONS(2763),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2763),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2763),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2763),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2763),
    [aux_sym_local_command_token1] = ACTIONS(2763),
    [aux_sym_local_forward_token1] = ACTIONS(2763),
    [aux_sym_log_level_token1] = ACTIONS(2763),
    [aux_sym_log_verbose_token1] = ACTIONS(2763),
    [aux_sym_macs_token1] = ACTIONS(2763),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2763),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2763),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2763),
    [aux_sym_password_authentication_token1] = ACTIONS(2763),
    [aux_sym_permit_local_command_token1] = ACTIONS(2763),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2763),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2763),
    [aux_sym_port_token1] = ACTIONS(2763),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2763),
    [aux_sym_protocol_token1] = ACTIONS(2763),
    [aux_sym_proxy_command_token1] = ACTIONS(2763),
    [aux_sym_proxy_jump_token1] = ACTIONS(2763),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2763),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2763),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2763),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2763),
    [aux_sym_rekey_limit_token1] = ACTIONS(2763),
    [aux_sym_remote_command_token1] = ACTIONS(2763),
    [aux_sym_remote_forward_token1] = ACTIONS(2763),
    [aux_sym_request_tty_token1] = ACTIONS(2763),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2763),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2763),
    [aux_sym_security_key_provider_token1] = ACTIONS(2763),
    [aux_sym_send_env_token1] = ACTIONS(2763),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2763),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2763),
    [aux_sym_session_type_token1] = ACTIONS(2763),
    [aux_sym_set_env_token1] = ACTIONS(2763),
    [aux_sym_stdin_null_token1] = ACTIONS(2763),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2763),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2763),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2763),
    [aux_sym_syslog_facility_token1] = ACTIONS(2763),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2763),
    [aux_sym_keep_alive_token1] = ACTIONS(2763),
    [aux_sym_tag_token1] = ACTIONS(2763),
    [aux_sym_tunnel_token1] = ACTIONS(2765),
    [aux_sym_tunnel_device_token1] = ACTIONS(2763),
    [aux_sym_update_host_keys_token1] = ACTIONS(2763),
    [aux_sym_use_keychain_token1] = ACTIONS(2763),
    [aux_sym_use_roaming_token1] = ACTIONS(2763),
    [aux_sym_user_token1] = ACTIONS(2765),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2763),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2763),
    [aux_sym_visual_host_key_token1] = ACTIONS(2763),
    [aux_sym_xauth_location_token1] = ACTIONS(2763),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [aux_sym_match_token1] = ACTIONS(2767),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2767),
    [aux_sym_address_family_token1] = ACTIONS(2767),
    [aux_sym_batch_mode_token1] = ACTIONS(2767),
    [aux_sym_bind_address_token1] = ACTIONS(2767),
    [aux_sym_bind_interface_token1] = ACTIONS(2767),
    [aux_sym_canonical_domains_token1] = ACTIONS(2767),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2767),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2767),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2767),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2767),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2767),
    [aux_sym_certificate_file_token1] = ACTIONS(2767),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2767),
    [aux_sym_channel_timeout_token1] = ACTIONS(2767),
    [aux_sym_check_host_ip_token1] = ACTIONS(2767),
    [aux_sym_ciphers_token1] = ACTIONS(2767),
    [aux_sym_cipher_token1] = ACTIONS(2769),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2767),
    [aux_sym_compression_token1] = ACTIONS(2767),
    [aux_sym_connection_attempts_token1] = ACTIONS(2767),
    [aux_sym_connect_timeout_token1] = ACTIONS(2767),
    [aux_sym_control_master_token1] = ACTIONS(2767),
    [aux_sym_control_path_token1] = ACTIONS(2767),
    [aux_sym_control_persist_token1] = ACTIONS(2767),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2767),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2767),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2767),
    [aux_sym_escape_char_token1] = ACTIONS(2767),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2767),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2767),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2767),
    [aux_sym_forward_agent_token1] = ACTIONS(2767),
    [aux_sym_forward_x11_token1] = ACTIONS(2769),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2767),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2767),
    [aux_sym_gateway_ports_token1] = ACTIONS(2767),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2767),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2767),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2767),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2767),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2767),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2767),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2767),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2767),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2767),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2767),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2767),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2767),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2767),
    [aux_sym_host_key_alias_token1] = ACTIONS(2767),
    [aux_sym_hostname_token1] = ACTIONS(2767),
    [aux_sym_identities_only_token1] = ACTIONS(2767),
    [aux_sym_identity_agent_token1] = ACTIONS(2767),
    [aux_sym_identity_file_token1] = ACTIONS(2767),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2767),
    [aux_sym_include_token1] = ACTIONS(2767),
    [aux_sym_ip_qos_token1] = ACTIONS(2767),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2767),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2767),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2767),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2767),
    [aux_sym_local_command_token1] = ACTIONS(2767),
    [aux_sym_local_forward_token1] = ACTIONS(2767),
    [aux_sym_log_level_token1] = ACTIONS(2767),
    [aux_sym_log_verbose_token1] = ACTIONS(2767),
    [aux_sym_macs_token1] = ACTIONS(2767),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2767),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2767),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2767),
    [aux_sym_password_authentication_token1] = ACTIONS(2767),
    [aux_sym_permit_local_command_token1] = ACTIONS(2767),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2767),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2767),
    [aux_sym_port_token1] = ACTIONS(2767),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2767),
    [aux_sym_protocol_token1] = ACTIONS(2767),
    [aux_sym_proxy_command_token1] = ACTIONS(2767),
    [aux_sym_proxy_jump_token1] = ACTIONS(2767),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2767),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2767),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2767),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2767),
    [aux_sym_rekey_limit_token1] = ACTIONS(2767),
    [aux_sym_remote_command_token1] = ACTIONS(2767),
    [aux_sym_remote_forward_token1] = ACTIONS(2767),
    [aux_sym_request_tty_token1] = ACTIONS(2767),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2767),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2767),
    [aux_sym_security_key_provider_token1] = ACTIONS(2767),
    [aux_sym_send_env_token1] = ACTIONS(2767),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2767),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2767),
    [aux_sym_session_type_token1] = ACTIONS(2767),
    [aux_sym_set_env_token1] = ACTIONS(2767),
    [aux_sym_stdin_null_token1] = ACTIONS(2767),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2767),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2767),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2767),
    [aux_sym_syslog_facility_token1] = ACTIONS(2767),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2767),
    [aux_sym_keep_alive_token1] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [aux_sym_tunnel_token1] = ACTIONS(2769),
    [aux_sym_tunnel_device_token1] = ACTIONS(2767),
    [aux_sym_update_host_keys_token1] = ACTIONS(2767),
    [aux_sym_use_keychain_token1] = ACTIONS(2767),
    [aux_sym_use_roaming_token1] = ACTIONS(2767),
    [aux_sym_user_token1] = ACTIONS(2769),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2767),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2767),
    [aux_sym_visual_host_key_token1] = ACTIONS(2767),
    [aux_sym_xauth_location_token1] = ACTIONS(2767),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [aux_sym_match_token1] = ACTIONS(2771),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2771),
    [aux_sym_address_family_token1] = ACTIONS(2771),
    [aux_sym_batch_mode_token1] = ACTIONS(2771),
    [aux_sym_bind_address_token1] = ACTIONS(2771),
    [aux_sym_bind_interface_token1] = ACTIONS(2771),
    [aux_sym_canonical_domains_token1] = ACTIONS(2771),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2771),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2771),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2771),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2771),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2771),
    [aux_sym_certificate_file_token1] = ACTIONS(2771),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2771),
    [aux_sym_channel_timeout_token1] = ACTIONS(2771),
    [aux_sym_check_host_ip_token1] = ACTIONS(2771),
    [aux_sym_ciphers_token1] = ACTIONS(2771),
    [aux_sym_cipher_token1] = ACTIONS(2773),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2771),
    [aux_sym_compression_token1] = ACTIONS(2771),
    [aux_sym_connection_attempts_token1] = ACTIONS(2771),
    [aux_sym_connect_timeout_token1] = ACTIONS(2771),
    [aux_sym_control_master_token1] = ACTIONS(2771),
    [aux_sym_control_path_token1] = ACTIONS(2771),
    [aux_sym_control_persist_token1] = ACTIONS(2771),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2771),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2771),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2771),
    [aux_sym_escape_char_token1] = ACTIONS(2771),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2771),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2771),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2771),
    [aux_sym_forward_agent_token1] = ACTIONS(2771),
    [aux_sym_forward_x11_token1] = ACTIONS(2773),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2771),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2771),
    [aux_sym_gateway_ports_token1] = ACTIONS(2771),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2771),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2771),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2771),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2771),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2771),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2771),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2771),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2771),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2771),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2771),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2771),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2771),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2771),
    [aux_sym_host_key_alias_token1] = ACTIONS(2771),
    [aux_sym_hostname_token1] = ACTIONS(2771),
    [aux_sym_identities_only_token1] = ACTIONS(2771),
    [aux_sym_identity_agent_token1] = ACTIONS(2771),
    [aux_sym_identity_file_token1] = ACTIONS(2771),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2771),
    [aux_sym_include_token1] = ACTIONS(2771),
    [aux_sym_ip_qos_token1] = ACTIONS(2771),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2771),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2771),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2771),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2771),
    [aux_sym_local_command_token1] = ACTIONS(2771),
    [aux_sym_local_forward_token1] = ACTIONS(2771),
    [aux_sym_log_level_token1] = ACTIONS(2771),
    [aux_sym_log_verbose_token1] = ACTIONS(2771),
    [aux_sym_macs_token1] = ACTIONS(2771),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2771),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2771),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2771),
    [aux_sym_password_authentication_token1] = ACTIONS(2771),
    [aux_sym_permit_local_command_token1] = ACTIONS(2771),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2771),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2771),
    [aux_sym_port_token1] = ACTIONS(2771),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2771),
    [aux_sym_protocol_token1] = ACTIONS(2771),
    [aux_sym_proxy_command_token1] = ACTIONS(2771),
    [aux_sym_proxy_jump_token1] = ACTIONS(2771),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2771),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2771),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2771),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2771),
    [aux_sym_rekey_limit_token1] = ACTIONS(2771),
    [aux_sym_remote_command_token1] = ACTIONS(2771),
    [aux_sym_remote_forward_token1] = ACTIONS(2771),
    [aux_sym_request_tty_token1] = ACTIONS(2771),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2771),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2771),
    [aux_sym_security_key_provider_token1] = ACTIONS(2771),
    [aux_sym_send_env_token1] = ACTIONS(2771),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2771),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2771),
    [aux_sym_session_type_token1] = ACTIONS(2771),
    [aux_sym_set_env_token1] = ACTIONS(2771),
    [aux_sym_stdin_null_token1] = ACTIONS(2771),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2771),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2771),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2771),
    [aux_sym_syslog_facility_token1] = ACTIONS(2771),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2771),
    [aux_sym_keep_alive_token1] = ACTIONS(2771),
    [aux_sym_tag_token1] = ACTIONS(2771),
    [aux_sym_tunnel_token1] = ACTIONS(2773),
    [aux_sym_tunnel_device_token1] = ACTIONS(2771),
    [aux_sym_update_host_keys_token1] = ACTIONS(2771),
    [aux_sym_use_keychain_token1] = ACTIONS(2771),
    [aux_sym_use_roaming_token1] = ACTIONS(2771),
    [aux_sym_user_token1] = ACTIONS(2773),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2771),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2771),
    [aux_sym_visual_host_key_token1] = ACTIONS(2771),
    [aux_sym_xauth_location_token1] = ACTIONS(2771),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [aux_sym_match_token1] = ACTIONS(2777),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2777),
    [aux_sym_address_family_token1] = ACTIONS(2777),
    [aux_sym_batch_mode_token1] = ACTIONS(2777),
    [aux_sym_bind_address_token1] = ACTIONS(2777),
    [aux_sym_bind_interface_token1] = ACTIONS(2777),
    [aux_sym_canonical_domains_token1] = ACTIONS(2777),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2777),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2777),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2777),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2777),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2777),
    [aux_sym_certificate_file_token1] = ACTIONS(2777),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2777),
    [aux_sym_channel_timeout_token1] = ACTIONS(2777),
    [aux_sym_check_host_ip_token1] = ACTIONS(2777),
    [aux_sym_ciphers_token1] = ACTIONS(2777),
    [aux_sym_cipher_token1] = ACTIONS(2779),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2777),
    [aux_sym_compression_token1] = ACTIONS(2777),
    [aux_sym_connection_attempts_token1] = ACTIONS(2777),
    [aux_sym_connect_timeout_token1] = ACTIONS(2777),
    [aux_sym_control_master_token1] = ACTIONS(2777),
    [aux_sym_control_path_token1] = ACTIONS(2777),
    [aux_sym_control_persist_token1] = ACTIONS(2777),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2777),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2777),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2777),
    [aux_sym_escape_char_token1] = ACTIONS(2777),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2777),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2777),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2777),
    [aux_sym_forward_agent_token1] = ACTIONS(2777),
    [aux_sym_forward_x11_token1] = ACTIONS(2779),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2777),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2777),
    [aux_sym_gateway_ports_token1] = ACTIONS(2777),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2777),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2777),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2777),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2777),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2777),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2777),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2777),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2777),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2777),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2777),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2777),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2777),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2777),
    [aux_sym_host_key_alias_token1] = ACTIONS(2777),
    [aux_sym_hostname_token1] = ACTIONS(2777),
    [aux_sym_identities_only_token1] = ACTIONS(2777),
    [aux_sym_identity_agent_token1] = ACTIONS(2777),
    [aux_sym_identity_file_token1] = ACTIONS(2777),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2777),
    [aux_sym_include_token1] = ACTIONS(2777),
    [aux_sym_ip_qos_token1] = ACTIONS(2777),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2777),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2777),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2777),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2777),
    [aux_sym_local_command_token1] = ACTIONS(2777),
    [aux_sym_local_forward_token1] = ACTIONS(2777),
    [aux_sym_log_level_token1] = ACTIONS(2777),
    [aux_sym_log_verbose_token1] = ACTIONS(2777),
    [aux_sym_macs_token1] = ACTIONS(2777),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2777),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2777),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2777),
    [aux_sym_password_authentication_token1] = ACTIONS(2777),
    [aux_sym_permit_local_command_token1] = ACTIONS(2777),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2777),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2777),
    [aux_sym_port_token1] = ACTIONS(2777),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2777),
    [aux_sym_protocol_token1] = ACTIONS(2777),
    [aux_sym_proxy_command_token1] = ACTIONS(2777),
    [aux_sym_proxy_jump_token1] = ACTIONS(2777),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2777),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2777),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2777),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2777),
    [aux_sym_rekey_limit_token1] = ACTIONS(2777),
    [aux_sym_remote_command_token1] = ACTIONS(2777),
    [aux_sym_remote_forward_token1] = ACTIONS(2777),
    [aux_sym_request_tty_token1] = ACTIONS(2777),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2777),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2777),
    [aux_sym_security_key_provider_token1] = ACTIONS(2777),
    [aux_sym_send_env_token1] = ACTIONS(2777),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2777),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2777),
    [aux_sym_session_type_token1] = ACTIONS(2777),
    [aux_sym_set_env_token1] = ACTIONS(2777),
    [aux_sym_stdin_null_token1] = ACTIONS(2777),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2777),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2777),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2777),
    [aux_sym_syslog_facility_token1] = ACTIONS(2777),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2777),
    [aux_sym_keep_alive_token1] = ACTIONS(2777),
    [aux_sym_tag_token1] = ACTIONS(2777),
    [aux_sym_tunnel_token1] = ACTIONS(2779),
    [aux_sym_tunnel_device_token1] = ACTIONS(2777),
    [aux_sym_update_host_keys_token1] = ACTIONS(2777),
    [aux_sym_use_keychain_token1] = ACTIONS(2777),
    [aux_sym_use_roaming_token1] = ACTIONS(2777),
    [aux_sym_user_token1] = ACTIONS(2779),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2777),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2777),
    [aux_sym_visual_host_key_token1] = ACTIONS(2777),
    [aux_sym_xauth_location_token1] = ACTIONS(2777),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [aux_sym_match_token1] = ACTIONS(2781),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2781),
    [aux_sym_address_family_token1] = ACTIONS(2781),
    [aux_sym_batch_mode_token1] = ACTIONS(2781),
    [aux_sym_bind_address_token1] = ACTIONS(2781),
    [aux_sym_bind_interface_token1] = ACTIONS(2781),
    [aux_sym_canonical_domains_token1] = ACTIONS(2781),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2781),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2781),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2781),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2781),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2781),
    [aux_sym_certificate_file_token1] = ACTIONS(2781),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2781),
    [aux_sym_channel_timeout_token1] = ACTIONS(2781),
    [aux_sym_check_host_ip_token1] = ACTIONS(2781),
    [aux_sym_ciphers_token1] = ACTIONS(2781),
    [aux_sym_cipher_token1] = ACTIONS(2783),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2781),
    [aux_sym_compression_token1] = ACTIONS(2781),
    [aux_sym_connection_attempts_token1] = ACTIONS(2781),
    [aux_sym_connect_timeout_token1] = ACTIONS(2781),
    [aux_sym_control_master_token1] = ACTIONS(2781),
    [aux_sym_control_path_token1] = ACTIONS(2781),
    [aux_sym_control_persist_token1] = ACTIONS(2781),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2781),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2781),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2781),
    [aux_sym_escape_char_token1] = ACTIONS(2781),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2781),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2781),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2781),
    [aux_sym_forward_agent_token1] = ACTIONS(2781),
    [aux_sym_forward_x11_token1] = ACTIONS(2783),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2781),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2781),
    [aux_sym_gateway_ports_token1] = ACTIONS(2781),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2781),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2781),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2781),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2781),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2781),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2781),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2781),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2781),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2781),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2781),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2781),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2781),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2781),
    [aux_sym_host_key_alias_token1] = ACTIONS(2781),
    [aux_sym_hostname_token1] = ACTIONS(2781),
    [aux_sym_identities_only_token1] = ACTIONS(2781),
    [aux_sym_identity_agent_token1] = ACTIONS(2781),
    [aux_sym_identity_file_token1] = ACTIONS(2781),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2781),
    [aux_sym_include_token1] = ACTIONS(2781),
    [aux_sym_ip_qos_token1] = ACTIONS(2781),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2781),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2781),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2781),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2781),
    [aux_sym_local_command_token1] = ACTIONS(2781),
    [aux_sym_local_forward_token1] = ACTIONS(2781),
    [aux_sym_log_level_token1] = ACTIONS(2781),
    [aux_sym_log_verbose_token1] = ACTIONS(2781),
    [aux_sym_macs_token1] = ACTIONS(2781),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2781),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2781),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2781),
    [aux_sym_password_authentication_token1] = ACTIONS(2781),
    [aux_sym_permit_local_command_token1] = ACTIONS(2781),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2781),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2781),
    [aux_sym_port_token1] = ACTIONS(2781),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2781),
    [aux_sym_protocol_token1] = ACTIONS(2781),
    [aux_sym_proxy_command_token1] = ACTIONS(2781),
    [aux_sym_proxy_jump_token1] = ACTIONS(2781),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2781),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2781),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2781),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2781),
    [aux_sym_rekey_limit_token1] = ACTIONS(2781),
    [aux_sym_remote_command_token1] = ACTIONS(2781),
    [aux_sym_remote_forward_token1] = ACTIONS(2781),
    [aux_sym_request_tty_token1] = ACTIONS(2781),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2781),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2781),
    [aux_sym_security_key_provider_token1] = ACTIONS(2781),
    [aux_sym_send_env_token1] = ACTIONS(2781),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2781),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2781),
    [aux_sym_session_type_token1] = ACTIONS(2781),
    [aux_sym_set_env_token1] = ACTIONS(2781),
    [aux_sym_stdin_null_token1] = ACTIONS(2781),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2781),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2781),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2781),
    [aux_sym_syslog_facility_token1] = ACTIONS(2781),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2781),
    [aux_sym_keep_alive_token1] = ACTIONS(2781),
    [aux_sym_tag_token1] = ACTIONS(2781),
    [aux_sym_tunnel_token1] = ACTIONS(2783),
    [aux_sym_tunnel_device_token1] = ACTIONS(2781),
    [aux_sym_update_host_keys_token1] = ACTIONS(2781),
    [aux_sym_use_keychain_token1] = ACTIONS(2781),
    [aux_sym_use_roaming_token1] = ACTIONS(2781),
    [aux_sym_user_token1] = ACTIONS(2783),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2781),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2781),
    [aux_sym_visual_host_key_token1] = ACTIONS(2781),
    [aux_sym_xauth_location_token1] = ACTIONS(2781),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [aux_sym_match_token1] = ACTIONS(2787),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2787),
    [aux_sym_address_family_token1] = ACTIONS(2787),
    [aux_sym_batch_mode_token1] = ACTIONS(2787),
    [aux_sym_bind_address_token1] = ACTIONS(2787),
    [aux_sym_bind_interface_token1] = ACTIONS(2787),
    [aux_sym_canonical_domains_token1] = ACTIONS(2787),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2787),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2787),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2787),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2787),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2787),
    [aux_sym_certificate_file_token1] = ACTIONS(2787),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2787),
    [aux_sym_channel_timeout_token1] = ACTIONS(2787),
    [aux_sym_check_host_ip_token1] = ACTIONS(2787),
    [aux_sym_ciphers_token1] = ACTIONS(2787),
    [aux_sym_cipher_token1] = ACTIONS(2789),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2787),
    [aux_sym_compression_token1] = ACTIONS(2787),
    [aux_sym_connection_attempts_token1] = ACTIONS(2787),
    [aux_sym_connect_timeout_token1] = ACTIONS(2787),
    [aux_sym_control_master_token1] = ACTIONS(2787),
    [aux_sym_control_path_token1] = ACTIONS(2787),
    [aux_sym_control_persist_token1] = ACTIONS(2787),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2787),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2787),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2787),
    [aux_sym_escape_char_token1] = ACTIONS(2787),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2787),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2787),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2787),
    [aux_sym_forward_agent_token1] = ACTIONS(2787),
    [aux_sym_forward_x11_token1] = ACTIONS(2789),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2787),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2787),
    [aux_sym_gateway_ports_token1] = ACTIONS(2787),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2787),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2787),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2787),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2787),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2787),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2787),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2787),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2787),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2787),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2787),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2787),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2787),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2787),
    [aux_sym_host_key_alias_token1] = ACTIONS(2787),
    [aux_sym_hostname_token1] = ACTIONS(2787),
    [aux_sym_identities_only_token1] = ACTIONS(2787),
    [aux_sym_identity_agent_token1] = ACTIONS(2787),
    [aux_sym_identity_file_token1] = ACTIONS(2787),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2787),
    [aux_sym_include_token1] = ACTIONS(2787),
    [aux_sym_ip_qos_token1] = ACTIONS(2787),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2787),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2787),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2787),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2787),
    [aux_sym_local_command_token1] = ACTIONS(2787),
    [aux_sym_local_forward_token1] = ACTIONS(2787),
    [aux_sym_log_level_token1] = ACTIONS(2787),
    [aux_sym_log_verbose_token1] = ACTIONS(2787),
    [aux_sym_macs_token1] = ACTIONS(2787),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2787),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2787),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2787),
    [aux_sym_password_authentication_token1] = ACTIONS(2787),
    [aux_sym_permit_local_command_token1] = ACTIONS(2787),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2787),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2787),
    [aux_sym_port_token1] = ACTIONS(2787),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2787),
    [aux_sym_protocol_token1] = ACTIONS(2787),
    [aux_sym_proxy_command_token1] = ACTIONS(2787),
    [aux_sym_proxy_jump_token1] = ACTIONS(2787),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2787),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2787),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2787),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2787),
    [aux_sym_rekey_limit_token1] = ACTIONS(2787),
    [aux_sym_remote_command_token1] = ACTIONS(2787),
    [aux_sym_remote_forward_token1] = ACTIONS(2787),
    [aux_sym_request_tty_token1] = ACTIONS(2787),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2787),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2787),
    [aux_sym_security_key_provider_token1] = ACTIONS(2787),
    [aux_sym_send_env_token1] = ACTIONS(2787),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2787),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2787),
    [aux_sym_session_type_token1] = ACTIONS(2787),
    [aux_sym_set_env_token1] = ACTIONS(2787),
    [aux_sym_stdin_null_token1] = ACTIONS(2787),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2787),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2787),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2787),
    [aux_sym_syslog_facility_token1] = ACTIONS(2787),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2787),
    [aux_sym_keep_alive_token1] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2787),
    [aux_sym_tunnel_token1] = ACTIONS(2789),
    [aux_sym_tunnel_device_token1] = ACTIONS(2787),
    [aux_sym_update_host_keys_token1] = ACTIONS(2787),
    [aux_sym_use_keychain_token1] = ACTIONS(2787),
    [aux_sym_use_roaming_token1] = ACTIONS(2787),
    [aux_sym_user_token1] = ACTIONS(2789),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2787),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2787),
    [aux_sym_visual_host_key_token1] = ACTIONS(2787),
    [aux_sym_xauth_location_token1] = ACTIONS(2787),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2793),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [aux_sym_match_token1] = ACTIONS(2791),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2791),
    [aux_sym_address_family_token1] = ACTIONS(2791),
    [aux_sym_batch_mode_token1] = ACTIONS(2791),
    [aux_sym_bind_address_token1] = ACTIONS(2791),
    [aux_sym_bind_interface_token1] = ACTIONS(2791),
    [aux_sym_canonical_domains_token1] = ACTIONS(2791),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2791),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2791),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2791),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2791),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2791),
    [aux_sym_certificate_file_token1] = ACTIONS(2791),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2791),
    [aux_sym_channel_timeout_token1] = ACTIONS(2791),
    [aux_sym_check_host_ip_token1] = ACTIONS(2791),
    [aux_sym_ciphers_token1] = ACTIONS(2791),
    [aux_sym_cipher_token1] = ACTIONS(2793),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2791),
    [aux_sym_compression_token1] = ACTIONS(2791),
    [aux_sym_connection_attempts_token1] = ACTIONS(2791),
    [aux_sym_connect_timeout_token1] = ACTIONS(2791),
    [aux_sym_control_master_token1] = ACTIONS(2791),
    [aux_sym_control_path_token1] = ACTIONS(2791),
    [aux_sym_control_persist_token1] = ACTIONS(2791),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2791),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2791),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2791),
    [aux_sym_escape_char_token1] = ACTIONS(2791),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2791),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2791),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2791),
    [aux_sym_forward_agent_token1] = ACTIONS(2791),
    [aux_sym_forward_x11_token1] = ACTIONS(2793),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2791),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2791),
    [aux_sym_gateway_ports_token1] = ACTIONS(2791),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2791),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2791),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2791),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2791),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2791),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2791),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2791),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2791),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2791),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2791),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2791),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2791),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2791),
    [aux_sym_host_key_alias_token1] = ACTIONS(2791),
    [aux_sym_hostname_token1] = ACTIONS(2791),
    [aux_sym_identities_only_token1] = ACTIONS(2791),
    [aux_sym_identity_agent_token1] = ACTIONS(2791),
    [aux_sym_identity_file_token1] = ACTIONS(2791),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2791),
    [aux_sym_include_token1] = ACTIONS(2791),
    [aux_sym_ip_qos_token1] = ACTIONS(2791),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2791),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2791),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2791),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2791),
    [aux_sym_local_command_token1] = ACTIONS(2791),
    [aux_sym_local_forward_token1] = ACTIONS(2791),
    [aux_sym_log_level_token1] = ACTIONS(2791),
    [aux_sym_log_verbose_token1] = ACTIONS(2791),
    [aux_sym_macs_token1] = ACTIONS(2791),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2791),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2791),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2791),
    [aux_sym_password_authentication_token1] = ACTIONS(2791),
    [aux_sym_permit_local_command_token1] = ACTIONS(2791),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2791),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2791),
    [aux_sym_port_token1] = ACTIONS(2791),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2791),
    [aux_sym_protocol_token1] = ACTIONS(2791),
    [aux_sym_proxy_command_token1] = ACTIONS(2791),
    [aux_sym_proxy_jump_token1] = ACTIONS(2791),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2791),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2791),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2791),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2791),
    [aux_sym_rekey_limit_token1] = ACTIONS(2791),
    [aux_sym_remote_command_token1] = ACTIONS(2791),
    [aux_sym_remote_forward_token1] = ACTIONS(2791),
    [aux_sym_request_tty_token1] = ACTIONS(2791),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2791),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2791),
    [aux_sym_security_key_provider_token1] = ACTIONS(2791),
    [aux_sym_send_env_token1] = ACTIONS(2791),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2791),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2791),
    [aux_sym_session_type_token1] = ACTIONS(2791),
    [aux_sym_set_env_token1] = ACTIONS(2791),
    [aux_sym_stdin_null_token1] = ACTIONS(2791),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2791),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2791),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2791),
    [aux_sym_syslog_facility_token1] = ACTIONS(2791),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2791),
    [aux_sym_keep_alive_token1] = ACTIONS(2791),
    [aux_sym_tag_token1] = ACTIONS(2791),
    [aux_sym_tunnel_token1] = ACTIONS(2793),
    [aux_sym_tunnel_device_token1] = ACTIONS(2791),
    [aux_sym_update_host_keys_token1] = ACTIONS(2791),
    [aux_sym_use_keychain_token1] = ACTIONS(2791),
    [aux_sym_use_roaming_token1] = ACTIONS(2791),
    [aux_sym_user_token1] = ACTIONS(2793),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2791),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2791),
    [aux_sym_visual_host_key_token1] = ACTIONS(2791),
    [aux_sym_xauth_location_token1] = ACTIONS(2791),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2801),
    [aux_sym_match_token1] = ACTIONS(2797),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2797),
    [aux_sym_address_family_token1] = ACTIONS(2797),
    [aux_sym_batch_mode_token1] = ACTIONS(2797),
    [aux_sym_bind_address_token1] = ACTIONS(2797),
    [aux_sym_bind_interface_token1] = ACTIONS(2797),
    [aux_sym_canonical_domains_token1] = ACTIONS(2797),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2797),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2797),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2797),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2797),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2797),
    [aux_sym_certificate_file_token1] = ACTIONS(2797),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2797),
    [aux_sym_channel_timeout_token1] = ACTIONS(2797),
    [aux_sym_check_host_ip_token1] = ACTIONS(2797),
    [aux_sym_ciphers_token1] = ACTIONS(2797),
    [aux_sym_cipher_token1] = ACTIONS(2799),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2797),
    [aux_sym_compression_token1] = ACTIONS(2797),
    [aux_sym_connection_attempts_token1] = ACTIONS(2797),
    [aux_sym_connect_timeout_token1] = ACTIONS(2797),
    [aux_sym_control_master_token1] = ACTIONS(2797),
    [aux_sym_control_path_token1] = ACTIONS(2797),
    [aux_sym_control_persist_token1] = ACTIONS(2797),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2797),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2797),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2797),
    [aux_sym_escape_char_token1] = ACTIONS(2797),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2797),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2797),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2797),
    [aux_sym_forward_agent_token1] = ACTIONS(2797),
    [aux_sym_forward_x11_token1] = ACTIONS(2799),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2797),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2797),
    [aux_sym_gateway_ports_token1] = ACTIONS(2797),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2797),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2797),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2797),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2797),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2797),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2797),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2797),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2797),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2797),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2797),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2797),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2797),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2797),
    [aux_sym_host_key_alias_token1] = ACTIONS(2797),
    [aux_sym_hostname_token1] = ACTIONS(2797),
    [aux_sym_identities_only_token1] = ACTIONS(2797),
    [aux_sym_identity_agent_token1] = ACTIONS(2797),
    [aux_sym_identity_file_token1] = ACTIONS(2797),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2797),
    [aux_sym_include_token1] = ACTIONS(2797),
    [aux_sym_ip_qos_token1] = ACTIONS(2797),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2797),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2797),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2797),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2797),
    [aux_sym_local_command_token1] = ACTIONS(2797),
    [aux_sym_local_forward_token1] = ACTIONS(2797),
    [aux_sym_log_level_token1] = ACTIONS(2797),
    [aux_sym_log_verbose_token1] = ACTIONS(2797),
    [aux_sym_macs_token1] = ACTIONS(2797),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2797),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2797),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2797),
    [aux_sym_password_authentication_token1] = ACTIONS(2797),
    [aux_sym_permit_local_command_token1] = ACTIONS(2797),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2797),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2797),
    [aux_sym_port_token1] = ACTIONS(2797),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2797),
    [aux_sym_protocol_token1] = ACTIONS(2797),
    [aux_sym_proxy_command_token1] = ACTIONS(2797),
    [aux_sym_proxy_jump_token1] = ACTIONS(2797),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2797),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2797),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2797),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2797),
    [aux_sym_rekey_limit_token1] = ACTIONS(2797),
    [aux_sym_remote_command_token1] = ACTIONS(2797),
    [aux_sym_remote_forward_token1] = ACTIONS(2797),
    [aux_sym_request_tty_token1] = ACTIONS(2797),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2797),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2797),
    [aux_sym_security_key_provider_token1] = ACTIONS(2797),
    [aux_sym_send_env_token1] = ACTIONS(2797),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2797),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2797),
    [aux_sym_session_type_token1] = ACTIONS(2797),
    [aux_sym_set_env_token1] = ACTIONS(2797),
    [aux_sym_stdin_null_token1] = ACTIONS(2797),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2797),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2797),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2797),
    [aux_sym_syslog_facility_token1] = ACTIONS(2797),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2797),
    [aux_sym_keep_alive_token1] = ACTIONS(2797),
    [aux_sym_tag_token1] = ACTIONS(2797),
    [aux_sym_tunnel_token1] = ACTIONS(2799),
    [aux_sym_tunnel_device_token1] = ACTIONS(2797),
    [aux_sym_update_host_keys_token1] = ACTIONS(2797),
    [aux_sym_use_keychain_token1] = ACTIONS(2797),
    [aux_sym_use_roaming_token1] = ACTIONS(2797),
    [aux_sym_user_token1] = ACTIONS(2799),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2797),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2797),
    [aux_sym_visual_host_key_token1] = ACTIONS(2797),
    [aux_sym_xauth_location_token1] = ACTIONS(2797),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [aux_sym_match_token1] = ACTIONS(2803),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2803),
    [aux_sym_address_family_token1] = ACTIONS(2803),
    [aux_sym_batch_mode_token1] = ACTIONS(2803),
    [aux_sym_bind_address_token1] = ACTIONS(2803),
    [aux_sym_bind_interface_token1] = ACTIONS(2803),
    [aux_sym_canonical_domains_token1] = ACTIONS(2803),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2803),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2803),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2803),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2803),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2803),
    [aux_sym_certificate_file_token1] = ACTIONS(2803),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2803),
    [aux_sym_channel_timeout_token1] = ACTIONS(2803),
    [aux_sym_check_host_ip_token1] = ACTIONS(2803),
    [aux_sym_ciphers_token1] = ACTIONS(2803),
    [aux_sym_cipher_token1] = ACTIONS(2805),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2803),
    [aux_sym_compression_token1] = ACTIONS(2803),
    [aux_sym_connection_attempts_token1] = ACTIONS(2803),
    [aux_sym_connect_timeout_token1] = ACTIONS(2803),
    [aux_sym_control_master_token1] = ACTIONS(2803),
    [aux_sym_control_path_token1] = ACTIONS(2803),
    [aux_sym_control_persist_token1] = ACTIONS(2803),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2803),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2803),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2803),
    [aux_sym_escape_char_token1] = ACTIONS(2803),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2803),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2803),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2803),
    [aux_sym_forward_agent_token1] = ACTIONS(2803),
    [aux_sym_forward_x11_token1] = ACTIONS(2805),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2803),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2803),
    [aux_sym_gateway_ports_token1] = ACTIONS(2803),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2803),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2803),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2803),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2803),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2803),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2803),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2803),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2803),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2803),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2803),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2803),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2803),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2803),
    [aux_sym_host_key_alias_token1] = ACTIONS(2803),
    [aux_sym_hostname_token1] = ACTIONS(2803),
    [aux_sym_identities_only_token1] = ACTIONS(2803),
    [aux_sym_identity_agent_token1] = ACTIONS(2803),
    [aux_sym_identity_file_token1] = ACTIONS(2803),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2803),
    [aux_sym_include_token1] = ACTIONS(2803),
    [aux_sym_ip_qos_token1] = ACTIONS(2803),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2803),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2803),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2803),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2803),
    [aux_sym_local_command_token1] = ACTIONS(2803),
    [aux_sym_local_forward_token1] = ACTIONS(2803),
    [aux_sym_log_level_token1] = ACTIONS(2803),
    [aux_sym_log_verbose_token1] = ACTIONS(2803),
    [aux_sym_macs_token1] = ACTIONS(2803),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2803),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2803),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2803),
    [aux_sym_password_authentication_token1] = ACTIONS(2803),
    [aux_sym_permit_local_command_token1] = ACTIONS(2803),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2803),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2803),
    [aux_sym_port_token1] = ACTIONS(2803),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2803),
    [aux_sym_protocol_token1] = ACTIONS(2803),
    [aux_sym_proxy_command_token1] = ACTIONS(2803),
    [aux_sym_proxy_jump_token1] = ACTIONS(2803),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2803),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2803),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2803),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2803),
    [aux_sym_rekey_limit_token1] = ACTIONS(2803),
    [aux_sym_remote_command_token1] = ACTIONS(2803),
    [aux_sym_remote_forward_token1] = ACTIONS(2803),
    [aux_sym_request_tty_token1] = ACTIONS(2803),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2803),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2803),
    [aux_sym_security_key_provider_token1] = ACTIONS(2803),
    [aux_sym_send_env_token1] = ACTIONS(2803),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2803),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2803),
    [aux_sym_session_type_token1] = ACTIONS(2803),
    [aux_sym_set_env_token1] = ACTIONS(2803),
    [aux_sym_stdin_null_token1] = ACTIONS(2803),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2803),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2803),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2803),
    [aux_sym_syslog_facility_token1] = ACTIONS(2803),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2803),
    [aux_sym_keep_alive_token1] = ACTIONS(2803),
    [aux_sym_tag_token1] = ACTIONS(2803),
    [aux_sym_tunnel_token1] = ACTIONS(2805),
    [aux_sym_tunnel_device_token1] = ACTIONS(2803),
    [aux_sym_update_host_keys_token1] = ACTIONS(2803),
    [aux_sym_use_keychain_token1] = ACTIONS(2803),
    [aux_sym_use_roaming_token1] = ACTIONS(2803),
    [aux_sym_user_token1] = ACTIONS(2805),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2803),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2803),
    [aux_sym_visual_host_key_token1] = ACTIONS(2803),
    [aux_sym_xauth_location_token1] = ACTIONS(2803),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [aux_sym_match_token1] = ACTIONS(2807),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2807),
    [aux_sym_address_family_token1] = ACTIONS(2807),
    [aux_sym_batch_mode_token1] = ACTIONS(2807),
    [aux_sym_bind_address_token1] = ACTIONS(2807),
    [aux_sym_bind_interface_token1] = ACTIONS(2807),
    [aux_sym_canonical_domains_token1] = ACTIONS(2807),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2807),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2807),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2807),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2807),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2807),
    [aux_sym_certificate_file_token1] = ACTIONS(2807),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2807),
    [aux_sym_channel_timeout_token1] = ACTIONS(2807),
    [aux_sym_check_host_ip_token1] = ACTIONS(2807),
    [aux_sym_ciphers_token1] = ACTIONS(2807),
    [aux_sym_cipher_token1] = ACTIONS(2809),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2807),
    [aux_sym_compression_token1] = ACTIONS(2807),
    [aux_sym_connection_attempts_token1] = ACTIONS(2807),
    [aux_sym_connect_timeout_token1] = ACTIONS(2807),
    [aux_sym_control_master_token1] = ACTIONS(2807),
    [aux_sym_control_path_token1] = ACTIONS(2807),
    [aux_sym_control_persist_token1] = ACTIONS(2807),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2807),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2807),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2807),
    [aux_sym_escape_char_token1] = ACTIONS(2807),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2807),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2807),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2807),
    [aux_sym_forward_agent_token1] = ACTIONS(2807),
    [aux_sym_forward_x11_token1] = ACTIONS(2809),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2807),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2807),
    [aux_sym_gateway_ports_token1] = ACTIONS(2807),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2807),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2807),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2807),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2807),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2807),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2807),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2807),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2807),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2807),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2807),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2807),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2807),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2807),
    [aux_sym_host_key_alias_token1] = ACTIONS(2807),
    [aux_sym_hostname_token1] = ACTIONS(2807),
    [aux_sym_identities_only_token1] = ACTIONS(2807),
    [aux_sym_identity_agent_token1] = ACTIONS(2807),
    [aux_sym_identity_file_token1] = ACTIONS(2807),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2807),
    [aux_sym_include_token1] = ACTIONS(2807),
    [aux_sym_ip_qos_token1] = ACTIONS(2807),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2807),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2807),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2807),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2807),
    [aux_sym_local_command_token1] = ACTIONS(2807),
    [aux_sym_local_forward_token1] = ACTIONS(2807),
    [aux_sym_log_level_token1] = ACTIONS(2807),
    [aux_sym_log_verbose_token1] = ACTIONS(2807),
    [aux_sym_macs_token1] = ACTIONS(2807),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2807),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2807),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2807),
    [aux_sym_password_authentication_token1] = ACTIONS(2807),
    [aux_sym_permit_local_command_token1] = ACTIONS(2807),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2807),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2807),
    [aux_sym_port_token1] = ACTIONS(2807),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2807),
    [aux_sym_protocol_token1] = ACTIONS(2807),
    [aux_sym_proxy_command_token1] = ACTIONS(2807),
    [aux_sym_proxy_jump_token1] = ACTIONS(2807),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2807),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2807),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2807),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2807),
    [aux_sym_rekey_limit_token1] = ACTIONS(2807),
    [aux_sym_remote_command_token1] = ACTIONS(2807),
    [aux_sym_remote_forward_token1] = ACTIONS(2807),
    [aux_sym_request_tty_token1] = ACTIONS(2807),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2807),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2807),
    [aux_sym_security_key_provider_token1] = ACTIONS(2807),
    [aux_sym_send_env_token1] = ACTIONS(2807),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2807),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2807),
    [aux_sym_session_type_token1] = ACTIONS(2807),
    [aux_sym_set_env_token1] = ACTIONS(2807),
    [aux_sym_stdin_null_token1] = ACTIONS(2807),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2807),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2807),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2807),
    [aux_sym_syslog_facility_token1] = ACTIONS(2807),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2807),
    [aux_sym_keep_alive_token1] = ACTIONS(2807),
    [aux_sym_tag_token1] = ACTIONS(2807),
    [aux_sym_tunnel_token1] = ACTIONS(2809),
    [aux_sym_tunnel_device_token1] = ACTIONS(2807),
    [aux_sym_update_host_keys_token1] = ACTIONS(2807),
    [aux_sym_use_keychain_token1] = ACTIONS(2807),
    [aux_sym_use_roaming_token1] = ACTIONS(2807),
    [aux_sym_user_token1] = ACTIONS(2809),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2807),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2807),
    [aux_sym_visual_host_key_token1] = ACTIONS(2807),
    [aux_sym_xauth_location_token1] = ACTIONS(2807),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2813),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [aux_sym_match_token1] = ACTIONS(2811),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2811),
    [aux_sym_address_family_token1] = ACTIONS(2811),
    [aux_sym_batch_mode_token1] = ACTIONS(2811),
    [aux_sym_bind_address_token1] = ACTIONS(2811),
    [aux_sym_bind_interface_token1] = ACTIONS(2811),
    [aux_sym_canonical_domains_token1] = ACTIONS(2811),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2811),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2811),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2811),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2811),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2811),
    [aux_sym_certificate_file_token1] = ACTIONS(2811),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2811),
    [aux_sym_channel_timeout_token1] = ACTIONS(2811),
    [aux_sym_check_host_ip_token1] = ACTIONS(2811),
    [aux_sym_ciphers_token1] = ACTIONS(2811),
    [aux_sym_cipher_token1] = ACTIONS(2813),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2811),
    [aux_sym_compression_token1] = ACTIONS(2811),
    [aux_sym_connection_attempts_token1] = ACTIONS(2811),
    [aux_sym_connect_timeout_token1] = ACTIONS(2811),
    [aux_sym_control_master_token1] = ACTIONS(2811),
    [aux_sym_control_path_token1] = ACTIONS(2811),
    [aux_sym_control_persist_token1] = ACTIONS(2811),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2811),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2811),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2811),
    [aux_sym_escape_char_token1] = ACTIONS(2811),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2811),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2811),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2811),
    [aux_sym_forward_agent_token1] = ACTIONS(2811),
    [aux_sym_forward_x11_token1] = ACTIONS(2813),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2811),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2811),
    [aux_sym_gateway_ports_token1] = ACTIONS(2811),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2811),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2811),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2811),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2811),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2811),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2811),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2811),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2811),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2811),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2811),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2811),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2811),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2811),
    [aux_sym_host_key_alias_token1] = ACTIONS(2811),
    [aux_sym_hostname_token1] = ACTIONS(2811),
    [aux_sym_identities_only_token1] = ACTIONS(2811),
    [aux_sym_identity_agent_token1] = ACTIONS(2811),
    [aux_sym_identity_file_token1] = ACTIONS(2811),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2811),
    [aux_sym_include_token1] = ACTIONS(2811),
    [aux_sym_ip_qos_token1] = ACTIONS(2811),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2811),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2811),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2811),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2811),
    [aux_sym_local_command_token1] = ACTIONS(2811),
    [aux_sym_local_forward_token1] = ACTIONS(2811),
    [aux_sym_log_level_token1] = ACTIONS(2811),
    [aux_sym_log_verbose_token1] = ACTIONS(2811),
    [aux_sym_macs_token1] = ACTIONS(2811),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2811),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2811),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2811),
    [aux_sym_password_authentication_token1] = ACTIONS(2811),
    [aux_sym_permit_local_command_token1] = ACTIONS(2811),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2811),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2811),
    [aux_sym_port_token1] = ACTIONS(2811),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2811),
    [aux_sym_protocol_token1] = ACTIONS(2811),
    [aux_sym_proxy_command_token1] = ACTIONS(2811),
    [aux_sym_proxy_jump_token1] = ACTIONS(2811),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2811),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2811),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2811),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2811),
    [aux_sym_rekey_limit_token1] = ACTIONS(2811),
    [aux_sym_remote_command_token1] = ACTIONS(2811),
    [aux_sym_remote_forward_token1] = ACTIONS(2811),
    [aux_sym_request_tty_token1] = ACTIONS(2811),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2811),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2811),
    [aux_sym_security_key_provider_token1] = ACTIONS(2811),
    [aux_sym_send_env_token1] = ACTIONS(2811),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2811),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2811),
    [aux_sym_session_type_token1] = ACTIONS(2811),
    [aux_sym_set_env_token1] = ACTIONS(2811),
    [aux_sym_stdin_null_token1] = ACTIONS(2811),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2811),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2811),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2811),
    [aux_sym_syslog_facility_token1] = ACTIONS(2811),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2811),
    [aux_sym_keep_alive_token1] = ACTIONS(2811),
    [aux_sym_tag_token1] = ACTIONS(2811),
    [aux_sym_tunnel_token1] = ACTIONS(2813),
    [aux_sym_tunnel_device_token1] = ACTIONS(2811),
    [aux_sym_update_host_keys_token1] = ACTIONS(2811),
    [aux_sym_use_keychain_token1] = ACTIONS(2811),
    [aux_sym_use_roaming_token1] = ACTIONS(2811),
    [aux_sym_user_token1] = ACTIONS(2813),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2811),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2811),
    [aux_sym_visual_host_key_token1] = ACTIONS(2811),
    [aux_sym_xauth_location_token1] = ACTIONS(2811),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [aux_sym_match_token1] = ACTIONS(2817),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2817),
    [aux_sym_address_family_token1] = ACTIONS(2817),
    [aux_sym_batch_mode_token1] = ACTIONS(2817),
    [aux_sym_bind_address_token1] = ACTIONS(2817),
    [aux_sym_bind_interface_token1] = ACTIONS(2817),
    [aux_sym_canonical_domains_token1] = ACTIONS(2817),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2817),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2817),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2817),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2817),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2817),
    [aux_sym_certificate_file_token1] = ACTIONS(2817),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2817),
    [aux_sym_channel_timeout_token1] = ACTIONS(2817),
    [aux_sym_check_host_ip_token1] = ACTIONS(2817),
    [aux_sym_ciphers_token1] = ACTIONS(2817),
    [aux_sym_cipher_token1] = ACTIONS(2819),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2817),
    [aux_sym_compression_token1] = ACTIONS(2817),
    [aux_sym_connection_attempts_token1] = ACTIONS(2817),
    [aux_sym_connect_timeout_token1] = ACTIONS(2817),
    [aux_sym_control_master_token1] = ACTIONS(2817),
    [aux_sym_control_path_token1] = ACTIONS(2817),
    [aux_sym_control_persist_token1] = ACTIONS(2817),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2817),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2817),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2817),
    [aux_sym_escape_char_token1] = ACTIONS(2817),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2817),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2817),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2817),
    [aux_sym_forward_agent_token1] = ACTIONS(2817),
    [aux_sym_forward_x11_token1] = ACTIONS(2819),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2817),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2817),
    [aux_sym_gateway_ports_token1] = ACTIONS(2817),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2817),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2817),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2817),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2817),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2817),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2817),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2817),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2817),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2817),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2817),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2817),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2817),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2817),
    [aux_sym_host_key_alias_token1] = ACTIONS(2817),
    [aux_sym_hostname_token1] = ACTIONS(2817),
    [aux_sym_identities_only_token1] = ACTIONS(2817),
    [aux_sym_identity_agent_token1] = ACTIONS(2817),
    [aux_sym_identity_file_token1] = ACTIONS(2817),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2817),
    [aux_sym_include_token1] = ACTIONS(2817),
    [aux_sym_ip_qos_token1] = ACTIONS(2817),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2817),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2817),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2817),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2817),
    [aux_sym_local_command_token1] = ACTIONS(2817),
    [aux_sym_local_forward_token1] = ACTIONS(2817),
    [aux_sym_log_level_token1] = ACTIONS(2817),
    [aux_sym_log_verbose_token1] = ACTIONS(2817),
    [aux_sym_macs_token1] = ACTIONS(2817),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2817),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2817),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2817),
    [aux_sym_password_authentication_token1] = ACTIONS(2817),
    [aux_sym_permit_local_command_token1] = ACTIONS(2817),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2817),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2817),
    [aux_sym_port_token1] = ACTIONS(2817),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2817),
    [aux_sym_protocol_token1] = ACTIONS(2817),
    [aux_sym_proxy_command_token1] = ACTIONS(2817),
    [aux_sym_proxy_jump_token1] = ACTIONS(2817),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2817),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2817),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2817),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2817),
    [aux_sym_rekey_limit_token1] = ACTIONS(2817),
    [aux_sym_remote_command_token1] = ACTIONS(2817),
    [aux_sym_remote_forward_token1] = ACTIONS(2817),
    [aux_sym_request_tty_token1] = ACTIONS(2817),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2817),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2817),
    [aux_sym_security_key_provider_token1] = ACTIONS(2817),
    [aux_sym_send_env_token1] = ACTIONS(2817),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2817),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2817),
    [aux_sym_session_type_token1] = ACTIONS(2817),
    [aux_sym_set_env_token1] = ACTIONS(2817),
    [aux_sym_stdin_null_token1] = ACTIONS(2817),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2817),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2817),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2817),
    [aux_sym_syslog_facility_token1] = ACTIONS(2817),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2817),
    [aux_sym_keep_alive_token1] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2817),
    [aux_sym_tunnel_token1] = ACTIONS(2819),
    [aux_sym_tunnel_device_token1] = ACTIONS(2817),
    [aux_sym_update_host_keys_token1] = ACTIONS(2817),
    [aux_sym_use_keychain_token1] = ACTIONS(2817),
    [aux_sym_use_roaming_token1] = ACTIONS(2817),
    [aux_sym_user_token1] = ACTIONS(2819),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2817),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2817),
    [aux_sym_visual_host_key_token1] = ACTIONS(2817),
    [aux_sym_xauth_location_token1] = ACTIONS(2817),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [aux_sym_match_token1] = ACTIONS(2823),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2823),
    [aux_sym_address_family_token1] = ACTIONS(2823),
    [aux_sym_batch_mode_token1] = ACTIONS(2823),
    [aux_sym_bind_address_token1] = ACTIONS(2823),
    [aux_sym_bind_interface_token1] = ACTIONS(2823),
    [aux_sym_canonical_domains_token1] = ACTIONS(2823),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2823),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2823),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2823),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2823),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2823),
    [aux_sym_certificate_file_token1] = ACTIONS(2823),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2823),
    [aux_sym_channel_timeout_token1] = ACTIONS(2823),
    [aux_sym_check_host_ip_token1] = ACTIONS(2823),
    [aux_sym_ciphers_token1] = ACTIONS(2823),
    [aux_sym_cipher_token1] = ACTIONS(2825),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2823),
    [aux_sym_compression_token1] = ACTIONS(2823),
    [aux_sym_connection_attempts_token1] = ACTIONS(2823),
    [aux_sym_connect_timeout_token1] = ACTIONS(2823),
    [aux_sym_control_master_token1] = ACTIONS(2823),
    [aux_sym_control_path_token1] = ACTIONS(2823),
    [aux_sym_control_persist_token1] = ACTIONS(2823),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2823),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2823),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2823),
    [aux_sym_escape_char_token1] = ACTIONS(2823),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2823),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2823),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2823),
    [aux_sym_forward_agent_token1] = ACTIONS(2823),
    [aux_sym_forward_x11_token1] = ACTIONS(2825),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2823),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2823),
    [aux_sym_gateway_ports_token1] = ACTIONS(2823),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2823),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2823),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2823),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2823),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2823),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2823),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2823),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2823),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2823),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2823),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2823),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2823),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2823),
    [aux_sym_host_key_alias_token1] = ACTIONS(2823),
    [aux_sym_hostname_token1] = ACTIONS(2823),
    [aux_sym_identities_only_token1] = ACTIONS(2823),
    [aux_sym_identity_agent_token1] = ACTIONS(2823),
    [aux_sym_identity_file_token1] = ACTIONS(2823),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2823),
    [aux_sym_include_token1] = ACTIONS(2823),
    [aux_sym_ip_qos_token1] = ACTIONS(2823),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2823),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2823),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2823),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2823),
    [aux_sym_local_command_token1] = ACTIONS(2823),
    [aux_sym_local_forward_token1] = ACTIONS(2823),
    [aux_sym_log_level_token1] = ACTIONS(2823),
    [aux_sym_log_verbose_token1] = ACTIONS(2823),
    [aux_sym_macs_token1] = ACTIONS(2823),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2823),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2823),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2823),
    [aux_sym_password_authentication_token1] = ACTIONS(2823),
    [aux_sym_permit_local_command_token1] = ACTIONS(2823),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2823),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2823),
    [aux_sym_port_token1] = ACTIONS(2823),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2823),
    [aux_sym_protocol_token1] = ACTIONS(2823),
    [aux_sym_proxy_command_token1] = ACTIONS(2823),
    [aux_sym_proxy_jump_token1] = ACTIONS(2823),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2823),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2823),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2823),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2823),
    [aux_sym_rekey_limit_token1] = ACTIONS(2823),
    [aux_sym_remote_command_token1] = ACTIONS(2823),
    [aux_sym_remote_forward_token1] = ACTIONS(2823),
    [aux_sym_request_tty_token1] = ACTIONS(2823),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2823),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2823),
    [aux_sym_security_key_provider_token1] = ACTIONS(2823),
    [aux_sym_send_env_token1] = ACTIONS(2823),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2823),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2823),
    [aux_sym_session_type_token1] = ACTIONS(2823),
    [aux_sym_set_env_token1] = ACTIONS(2823),
    [aux_sym_stdin_null_token1] = ACTIONS(2823),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2823),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2823),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2823),
    [aux_sym_syslog_facility_token1] = ACTIONS(2823),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2823),
    [aux_sym_keep_alive_token1] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2823),
    [aux_sym_tunnel_token1] = ACTIONS(2825),
    [aux_sym_tunnel_device_token1] = ACTIONS(2823),
    [aux_sym_update_host_keys_token1] = ACTIONS(2823),
    [aux_sym_use_keychain_token1] = ACTIONS(2823),
    [aux_sym_use_roaming_token1] = ACTIONS(2823),
    [aux_sym_user_token1] = ACTIONS(2825),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2823),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2823),
    [aux_sym_visual_host_key_token1] = ACTIONS(2823),
    [aux_sym_xauth_location_token1] = ACTIONS(2823),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [aux_sym_match_token1] = ACTIONS(2827),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2827),
    [aux_sym_address_family_token1] = ACTIONS(2827),
    [aux_sym_batch_mode_token1] = ACTIONS(2827),
    [aux_sym_bind_address_token1] = ACTIONS(2827),
    [aux_sym_bind_interface_token1] = ACTIONS(2827),
    [aux_sym_canonical_domains_token1] = ACTIONS(2827),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2827),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2827),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2827),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2827),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2827),
    [aux_sym_certificate_file_token1] = ACTIONS(2827),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2827),
    [aux_sym_channel_timeout_token1] = ACTIONS(2827),
    [aux_sym_check_host_ip_token1] = ACTIONS(2827),
    [aux_sym_ciphers_token1] = ACTIONS(2827),
    [aux_sym_cipher_token1] = ACTIONS(2829),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2827),
    [aux_sym_compression_token1] = ACTIONS(2827),
    [aux_sym_connection_attempts_token1] = ACTIONS(2827),
    [aux_sym_connect_timeout_token1] = ACTIONS(2827),
    [aux_sym_control_master_token1] = ACTIONS(2827),
    [aux_sym_control_path_token1] = ACTIONS(2827),
    [aux_sym_control_persist_token1] = ACTIONS(2827),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2827),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2827),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2827),
    [aux_sym_escape_char_token1] = ACTIONS(2827),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2827),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2827),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2827),
    [aux_sym_forward_agent_token1] = ACTIONS(2827),
    [aux_sym_forward_x11_token1] = ACTIONS(2829),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2827),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2827),
    [aux_sym_gateway_ports_token1] = ACTIONS(2827),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2827),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2827),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2827),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2827),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2827),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2827),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2827),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2827),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2827),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2827),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2827),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2827),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2827),
    [aux_sym_host_key_alias_token1] = ACTIONS(2827),
    [aux_sym_hostname_token1] = ACTIONS(2827),
    [aux_sym_identities_only_token1] = ACTIONS(2827),
    [aux_sym_identity_agent_token1] = ACTIONS(2827),
    [aux_sym_identity_file_token1] = ACTIONS(2827),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2827),
    [aux_sym_include_token1] = ACTIONS(2827),
    [aux_sym_ip_qos_token1] = ACTIONS(2827),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2827),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2827),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2827),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2827),
    [aux_sym_local_command_token1] = ACTIONS(2827),
    [aux_sym_local_forward_token1] = ACTIONS(2827),
    [aux_sym_log_level_token1] = ACTIONS(2827),
    [aux_sym_log_verbose_token1] = ACTIONS(2827),
    [aux_sym_macs_token1] = ACTIONS(2827),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2827),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2827),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2827),
    [aux_sym_password_authentication_token1] = ACTIONS(2827),
    [aux_sym_permit_local_command_token1] = ACTIONS(2827),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2827),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2827),
    [aux_sym_port_token1] = ACTIONS(2827),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2827),
    [aux_sym_protocol_token1] = ACTIONS(2827),
    [aux_sym_proxy_command_token1] = ACTIONS(2827),
    [aux_sym_proxy_jump_token1] = ACTIONS(2827),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2827),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2827),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2827),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2827),
    [aux_sym_rekey_limit_token1] = ACTIONS(2827),
    [aux_sym_remote_command_token1] = ACTIONS(2827),
    [aux_sym_remote_forward_token1] = ACTIONS(2827),
    [aux_sym_request_tty_token1] = ACTIONS(2827),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2827),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2827),
    [aux_sym_security_key_provider_token1] = ACTIONS(2827),
    [aux_sym_send_env_token1] = ACTIONS(2827),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2827),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2827),
    [aux_sym_session_type_token1] = ACTIONS(2827),
    [aux_sym_set_env_token1] = ACTIONS(2827),
    [aux_sym_stdin_null_token1] = ACTIONS(2827),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2827),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2827),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2827),
    [aux_sym_syslog_facility_token1] = ACTIONS(2827),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2827),
    [aux_sym_keep_alive_token1] = ACTIONS(2827),
    [aux_sym_tag_token1] = ACTIONS(2827),
    [aux_sym_tunnel_token1] = ACTIONS(2829),
    [aux_sym_tunnel_device_token1] = ACTIONS(2827),
    [aux_sym_update_host_keys_token1] = ACTIONS(2827),
    [aux_sym_use_keychain_token1] = ACTIONS(2827),
    [aux_sym_use_roaming_token1] = ACTIONS(2827),
    [aux_sym_user_token1] = ACTIONS(2829),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2827),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2827),
    [aux_sym_visual_host_key_token1] = ACTIONS(2827),
    [aux_sym_xauth_location_token1] = ACTIONS(2827),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [aux_sym_match_token1] = ACTIONS(2831),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2831),
    [aux_sym_address_family_token1] = ACTIONS(2831),
    [aux_sym_batch_mode_token1] = ACTIONS(2831),
    [aux_sym_bind_address_token1] = ACTIONS(2831),
    [aux_sym_bind_interface_token1] = ACTIONS(2831),
    [aux_sym_canonical_domains_token1] = ACTIONS(2831),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2831),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2831),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2831),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2831),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2831),
    [aux_sym_certificate_file_token1] = ACTIONS(2831),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2831),
    [aux_sym_channel_timeout_token1] = ACTIONS(2831),
    [aux_sym_check_host_ip_token1] = ACTIONS(2831),
    [aux_sym_ciphers_token1] = ACTIONS(2831),
    [aux_sym_cipher_token1] = ACTIONS(2833),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2831),
    [aux_sym_compression_token1] = ACTIONS(2831),
    [aux_sym_connection_attempts_token1] = ACTIONS(2831),
    [aux_sym_connect_timeout_token1] = ACTIONS(2831),
    [aux_sym_control_master_token1] = ACTIONS(2831),
    [aux_sym_control_path_token1] = ACTIONS(2831),
    [aux_sym_control_persist_token1] = ACTIONS(2831),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2831),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2831),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2831),
    [aux_sym_escape_char_token1] = ACTIONS(2831),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2831),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2831),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2831),
    [aux_sym_forward_agent_token1] = ACTIONS(2831),
    [aux_sym_forward_x11_token1] = ACTIONS(2833),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2831),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2831),
    [aux_sym_gateway_ports_token1] = ACTIONS(2831),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2831),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2831),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2831),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2831),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2831),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2831),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2831),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2831),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2831),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2831),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2831),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2831),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2831),
    [aux_sym_host_key_alias_token1] = ACTIONS(2831),
    [aux_sym_hostname_token1] = ACTIONS(2831),
    [aux_sym_identities_only_token1] = ACTIONS(2831),
    [aux_sym_identity_agent_token1] = ACTIONS(2831),
    [aux_sym_identity_file_token1] = ACTIONS(2831),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2831),
    [aux_sym_include_token1] = ACTIONS(2831),
    [aux_sym_ip_qos_token1] = ACTIONS(2831),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2831),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2831),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2831),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2831),
    [aux_sym_local_command_token1] = ACTIONS(2831),
    [aux_sym_local_forward_token1] = ACTIONS(2831),
    [aux_sym_log_level_token1] = ACTIONS(2831),
    [aux_sym_log_verbose_token1] = ACTIONS(2831),
    [aux_sym_macs_token1] = ACTIONS(2831),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2831),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2831),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2831),
    [aux_sym_password_authentication_token1] = ACTIONS(2831),
    [aux_sym_permit_local_command_token1] = ACTIONS(2831),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2831),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2831),
    [aux_sym_port_token1] = ACTIONS(2831),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2831),
    [aux_sym_protocol_token1] = ACTIONS(2831),
    [aux_sym_proxy_command_token1] = ACTIONS(2831),
    [aux_sym_proxy_jump_token1] = ACTIONS(2831),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2831),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2831),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2831),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2831),
    [aux_sym_rekey_limit_token1] = ACTIONS(2831),
    [aux_sym_remote_command_token1] = ACTIONS(2831),
    [aux_sym_remote_forward_token1] = ACTIONS(2831),
    [aux_sym_request_tty_token1] = ACTIONS(2831),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2831),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2831),
    [aux_sym_security_key_provider_token1] = ACTIONS(2831),
    [aux_sym_send_env_token1] = ACTIONS(2831),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2831),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2831),
    [aux_sym_session_type_token1] = ACTIONS(2831),
    [aux_sym_set_env_token1] = ACTIONS(2831),
    [aux_sym_stdin_null_token1] = ACTIONS(2831),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2831),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2831),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2831),
    [aux_sym_syslog_facility_token1] = ACTIONS(2831),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2831),
    [aux_sym_keep_alive_token1] = ACTIONS(2831),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [aux_sym_tunnel_token1] = ACTIONS(2833),
    [aux_sym_tunnel_device_token1] = ACTIONS(2831),
    [aux_sym_update_host_keys_token1] = ACTIONS(2831),
    [aux_sym_use_keychain_token1] = ACTIONS(2831),
    [aux_sym_use_roaming_token1] = ACTIONS(2831),
    [aux_sym_user_token1] = ACTIONS(2833),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2831),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2831),
    [aux_sym_visual_host_key_token1] = ACTIONS(2831),
    [aux_sym_xauth_location_token1] = ACTIONS(2831),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(2837),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [aux_sym_match_token1] = ACTIONS(2837),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2837),
    [aux_sym_address_family_token1] = ACTIONS(2837),
    [aux_sym_batch_mode_token1] = ACTIONS(2837),
    [aux_sym_bind_address_token1] = ACTIONS(2837),
    [aux_sym_bind_interface_token1] = ACTIONS(2837),
    [aux_sym_canonical_domains_token1] = ACTIONS(2837),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2837),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2837),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2837),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2837),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2837),
    [aux_sym_certificate_file_token1] = ACTIONS(2837),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2837),
    [aux_sym_channel_timeout_token1] = ACTIONS(2837),
    [aux_sym_check_host_ip_token1] = ACTIONS(2837),
    [aux_sym_ciphers_token1] = ACTIONS(2837),
    [aux_sym_cipher_token1] = ACTIONS(2839),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2837),
    [aux_sym_compression_token1] = ACTIONS(2837),
    [aux_sym_connection_attempts_token1] = ACTIONS(2837),
    [aux_sym_connect_timeout_token1] = ACTIONS(2837),
    [aux_sym_control_master_token1] = ACTIONS(2837),
    [aux_sym_control_path_token1] = ACTIONS(2837),
    [aux_sym_control_persist_token1] = ACTIONS(2837),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2837),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2837),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2837),
    [aux_sym_escape_char_token1] = ACTIONS(2837),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2837),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2837),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2837),
    [aux_sym_forward_agent_token1] = ACTIONS(2837),
    [aux_sym_forward_x11_token1] = ACTIONS(2839),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2837),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2837),
    [aux_sym_gateway_ports_token1] = ACTIONS(2837),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2837),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2837),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2837),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2837),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2837),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2837),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2837),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2837),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2837),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2837),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2837),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2837),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2837),
    [aux_sym_host_key_alias_token1] = ACTIONS(2837),
    [aux_sym_hostname_token1] = ACTIONS(2837),
    [aux_sym_identities_only_token1] = ACTIONS(2837),
    [aux_sym_identity_agent_token1] = ACTIONS(2837),
    [aux_sym_identity_file_token1] = ACTIONS(2837),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2837),
    [aux_sym_include_token1] = ACTIONS(2837),
    [aux_sym_ip_qos_token1] = ACTIONS(2837),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2837),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2837),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2837),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2837),
    [aux_sym_local_command_token1] = ACTIONS(2837),
    [aux_sym_local_forward_token1] = ACTIONS(2837),
    [aux_sym_log_level_token1] = ACTIONS(2837),
    [aux_sym_log_verbose_token1] = ACTIONS(2837),
    [aux_sym_macs_token1] = ACTIONS(2837),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2837),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2837),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2837),
    [aux_sym_password_authentication_token1] = ACTIONS(2837),
    [aux_sym_permit_local_command_token1] = ACTIONS(2837),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2837),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2837),
    [aux_sym_port_token1] = ACTIONS(2837),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2837),
    [aux_sym_protocol_token1] = ACTIONS(2837),
    [aux_sym_proxy_command_token1] = ACTIONS(2837),
    [aux_sym_proxy_jump_token1] = ACTIONS(2837),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2837),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2837),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2837),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2837),
    [aux_sym_rekey_limit_token1] = ACTIONS(2837),
    [aux_sym_remote_command_token1] = ACTIONS(2837),
    [aux_sym_remote_forward_token1] = ACTIONS(2837),
    [aux_sym_request_tty_token1] = ACTIONS(2837),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2837),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2837),
    [aux_sym_security_key_provider_token1] = ACTIONS(2837),
    [aux_sym_send_env_token1] = ACTIONS(2837),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2837),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2837),
    [aux_sym_session_type_token1] = ACTIONS(2837),
    [aux_sym_set_env_token1] = ACTIONS(2837),
    [aux_sym_stdin_null_token1] = ACTIONS(2837),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2837),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2837),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2837),
    [aux_sym_syslog_facility_token1] = ACTIONS(2837),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2837),
    [aux_sym_keep_alive_token1] = ACTIONS(2837),
    [aux_sym_tag_token1] = ACTIONS(2837),
    [aux_sym_tunnel_token1] = ACTIONS(2839),
    [aux_sym_tunnel_device_token1] = ACTIONS(2837),
    [aux_sym_update_host_keys_token1] = ACTIONS(2837),
    [aux_sym_use_keychain_token1] = ACTIONS(2837),
    [aux_sym_use_roaming_token1] = ACTIONS(2837),
    [aux_sym_user_token1] = ACTIONS(2839),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2837),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2837),
    [aux_sym_visual_host_key_token1] = ACTIONS(2837),
    [aux_sym_xauth_location_token1] = ACTIONS(2837),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [aux_sym_match_token1] = ACTIONS(2843),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2843),
    [aux_sym_address_family_token1] = ACTIONS(2843),
    [aux_sym_batch_mode_token1] = ACTIONS(2843),
    [aux_sym_bind_address_token1] = ACTIONS(2843),
    [aux_sym_bind_interface_token1] = ACTIONS(2843),
    [aux_sym_canonical_domains_token1] = ACTIONS(2843),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2843),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2843),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2843),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2843),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2843),
    [aux_sym_certificate_file_token1] = ACTIONS(2843),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2843),
    [aux_sym_channel_timeout_token1] = ACTIONS(2843),
    [aux_sym_check_host_ip_token1] = ACTIONS(2843),
    [aux_sym_ciphers_token1] = ACTIONS(2843),
    [aux_sym_cipher_token1] = ACTIONS(2845),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2843),
    [aux_sym_compression_token1] = ACTIONS(2843),
    [aux_sym_connection_attempts_token1] = ACTIONS(2843),
    [aux_sym_connect_timeout_token1] = ACTIONS(2843),
    [aux_sym_control_master_token1] = ACTIONS(2843),
    [aux_sym_control_path_token1] = ACTIONS(2843),
    [aux_sym_control_persist_token1] = ACTIONS(2843),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2843),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2843),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2843),
    [aux_sym_escape_char_token1] = ACTIONS(2843),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2843),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2843),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2843),
    [aux_sym_forward_agent_token1] = ACTIONS(2843),
    [aux_sym_forward_x11_token1] = ACTIONS(2845),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2843),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2843),
    [aux_sym_gateway_ports_token1] = ACTIONS(2843),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2843),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2843),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2843),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2843),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2843),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2843),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2843),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2843),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2843),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2843),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2843),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2843),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2843),
    [aux_sym_host_key_alias_token1] = ACTIONS(2843),
    [aux_sym_hostname_token1] = ACTIONS(2843),
    [aux_sym_identities_only_token1] = ACTIONS(2843),
    [aux_sym_identity_agent_token1] = ACTIONS(2843),
    [aux_sym_identity_file_token1] = ACTIONS(2843),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2843),
    [aux_sym_include_token1] = ACTIONS(2843),
    [aux_sym_ip_qos_token1] = ACTIONS(2843),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2843),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2843),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2843),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2843),
    [aux_sym_local_command_token1] = ACTIONS(2843),
    [aux_sym_local_forward_token1] = ACTIONS(2843),
    [aux_sym_log_level_token1] = ACTIONS(2843),
    [aux_sym_log_verbose_token1] = ACTIONS(2843),
    [aux_sym_macs_token1] = ACTIONS(2843),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2843),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2843),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2843),
    [aux_sym_password_authentication_token1] = ACTIONS(2843),
    [aux_sym_permit_local_command_token1] = ACTIONS(2843),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2843),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2843),
    [aux_sym_port_token1] = ACTIONS(2843),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2843),
    [aux_sym_protocol_token1] = ACTIONS(2843),
    [aux_sym_proxy_command_token1] = ACTIONS(2843),
    [aux_sym_proxy_jump_token1] = ACTIONS(2843),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2843),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2843),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2843),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2843),
    [aux_sym_rekey_limit_token1] = ACTIONS(2843),
    [aux_sym_remote_command_token1] = ACTIONS(2843),
    [aux_sym_remote_forward_token1] = ACTIONS(2843),
    [aux_sym_request_tty_token1] = ACTIONS(2843),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2843),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2843),
    [aux_sym_security_key_provider_token1] = ACTIONS(2843),
    [aux_sym_send_env_token1] = ACTIONS(2843),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2843),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2843),
    [aux_sym_session_type_token1] = ACTIONS(2843),
    [aux_sym_set_env_token1] = ACTIONS(2843),
    [aux_sym_stdin_null_token1] = ACTIONS(2843),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2843),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2843),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2843),
    [aux_sym_syslog_facility_token1] = ACTIONS(2843),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2843),
    [aux_sym_keep_alive_token1] = ACTIONS(2843),
    [aux_sym_tag_token1] = ACTIONS(2843),
    [aux_sym_tunnel_token1] = ACTIONS(2845),
    [aux_sym_tunnel_device_token1] = ACTIONS(2843),
    [aux_sym_update_host_keys_token1] = ACTIONS(2843),
    [aux_sym_use_keychain_token1] = ACTIONS(2843),
    [aux_sym_use_roaming_token1] = ACTIONS(2843),
    [aux_sym_user_token1] = ACTIONS(2845),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2843),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2843),
    [aux_sym_visual_host_key_token1] = ACTIONS(2843),
    [aux_sym_xauth_location_token1] = ACTIONS(2843),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [aux_sym_match_token1] = ACTIONS(2847),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2847),
    [aux_sym_address_family_token1] = ACTIONS(2847),
    [aux_sym_batch_mode_token1] = ACTIONS(2847),
    [aux_sym_bind_address_token1] = ACTIONS(2847),
    [aux_sym_bind_interface_token1] = ACTIONS(2847),
    [aux_sym_canonical_domains_token1] = ACTIONS(2847),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2847),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2847),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2847),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2847),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2847),
    [aux_sym_certificate_file_token1] = ACTIONS(2847),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2847),
    [aux_sym_channel_timeout_token1] = ACTIONS(2847),
    [aux_sym_check_host_ip_token1] = ACTIONS(2847),
    [aux_sym_ciphers_token1] = ACTIONS(2847),
    [aux_sym_cipher_token1] = ACTIONS(2849),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2847),
    [aux_sym_compression_token1] = ACTIONS(2847),
    [aux_sym_connection_attempts_token1] = ACTIONS(2847),
    [aux_sym_connect_timeout_token1] = ACTIONS(2847),
    [aux_sym_control_master_token1] = ACTIONS(2847),
    [aux_sym_control_path_token1] = ACTIONS(2847),
    [aux_sym_control_persist_token1] = ACTIONS(2847),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2847),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2847),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2847),
    [aux_sym_escape_char_token1] = ACTIONS(2847),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2847),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2847),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2847),
    [aux_sym_forward_agent_token1] = ACTIONS(2847),
    [aux_sym_forward_x11_token1] = ACTIONS(2849),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2847),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2847),
    [aux_sym_gateway_ports_token1] = ACTIONS(2847),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2847),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2847),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2847),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2847),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2847),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2847),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2847),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2847),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2847),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2847),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2847),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2847),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2847),
    [aux_sym_host_key_alias_token1] = ACTIONS(2847),
    [aux_sym_hostname_token1] = ACTIONS(2847),
    [aux_sym_identities_only_token1] = ACTIONS(2847),
    [aux_sym_identity_agent_token1] = ACTIONS(2847),
    [aux_sym_identity_file_token1] = ACTIONS(2847),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2847),
    [aux_sym_include_token1] = ACTIONS(2847),
    [aux_sym_ip_qos_token1] = ACTIONS(2847),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2847),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2847),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2847),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2847),
    [aux_sym_local_command_token1] = ACTIONS(2847),
    [aux_sym_local_forward_token1] = ACTIONS(2847),
    [aux_sym_log_level_token1] = ACTIONS(2847),
    [aux_sym_log_verbose_token1] = ACTIONS(2847),
    [aux_sym_macs_token1] = ACTIONS(2847),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2847),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2847),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2847),
    [aux_sym_password_authentication_token1] = ACTIONS(2847),
    [aux_sym_permit_local_command_token1] = ACTIONS(2847),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2847),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2847),
    [aux_sym_port_token1] = ACTIONS(2847),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2847),
    [aux_sym_protocol_token1] = ACTIONS(2847),
    [aux_sym_proxy_command_token1] = ACTIONS(2847),
    [aux_sym_proxy_jump_token1] = ACTIONS(2847),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2847),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2847),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2847),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2847),
    [aux_sym_rekey_limit_token1] = ACTIONS(2847),
    [aux_sym_remote_command_token1] = ACTIONS(2847),
    [aux_sym_remote_forward_token1] = ACTIONS(2847),
    [aux_sym_request_tty_token1] = ACTIONS(2847),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2847),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2847),
    [aux_sym_security_key_provider_token1] = ACTIONS(2847),
    [aux_sym_send_env_token1] = ACTIONS(2847),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2847),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2847),
    [aux_sym_session_type_token1] = ACTIONS(2847),
    [aux_sym_set_env_token1] = ACTIONS(2847),
    [aux_sym_stdin_null_token1] = ACTIONS(2847),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2847),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2847),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2847),
    [aux_sym_syslog_facility_token1] = ACTIONS(2847),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2847),
    [aux_sym_keep_alive_token1] = ACTIONS(2847),
    [aux_sym_tag_token1] = ACTIONS(2847),
    [aux_sym_tunnel_token1] = ACTIONS(2849),
    [aux_sym_tunnel_device_token1] = ACTIONS(2847),
    [aux_sym_update_host_keys_token1] = ACTIONS(2847),
    [aux_sym_use_keychain_token1] = ACTIONS(2847),
    [aux_sym_use_roaming_token1] = ACTIONS(2847),
    [aux_sym_user_token1] = ACTIONS(2849),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2847),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2847),
    [aux_sym_visual_host_key_token1] = ACTIONS(2847),
    [aux_sym_xauth_location_token1] = ACTIONS(2847),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2853),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [aux_sym_match_token1] = ACTIONS(2851),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2851),
    [aux_sym_address_family_token1] = ACTIONS(2851),
    [aux_sym_batch_mode_token1] = ACTIONS(2851),
    [aux_sym_bind_address_token1] = ACTIONS(2851),
    [aux_sym_bind_interface_token1] = ACTIONS(2851),
    [aux_sym_canonical_domains_token1] = ACTIONS(2851),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2851),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2851),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2851),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2851),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2851),
    [aux_sym_certificate_file_token1] = ACTIONS(2851),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2851),
    [aux_sym_channel_timeout_token1] = ACTIONS(2851),
    [aux_sym_check_host_ip_token1] = ACTIONS(2851),
    [aux_sym_ciphers_token1] = ACTIONS(2851),
    [aux_sym_cipher_token1] = ACTIONS(2853),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2851),
    [aux_sym_compression_token1] = ACTIONS(2851),
    [aux_sym_connection_attempts_token1] = ACTIONS(2851),
    [aux_sym_connect_timeout_token1] = ACTIONS(2851),
    [aux_sym_control_master_token1] = ACTIONS(2851),
    [aux_sym_control_path_token1] = ACTIONS(2851),
    [aux_sym_control_persist_token1] = ACTIONS(2851),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2851),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2851),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2851),
    [aux_sym_escape_char_token1] = ACTIONS(2851),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2851),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2851),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2851),
    [aux_sym_forward_agent_token1] = ACTIONS(2851),
    [aux_sym_forward_x11_token1] = ACTIONS(2853),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2851),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2851),
    [aux_sym_gateway_ports_token1] = ACTIONS(2851),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2851),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2851),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2851),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2851),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2851),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2851),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2851),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2851),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2851),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2851),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2851),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2851),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2851),
    [aux_sym_host_key_alias_token1] = ACTIONS(2851),
    [aux_sym_hostname_token1] = ACTIONS(2851),
    [aux_sym_identities_only_token1] = ACTIONS(2851),
    [aux_sym_identity_agent_token1] = ACTIONS(2851),
    [aux_sym_identity_file_token1] = ACTIONS(2851),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2851),
    [aux_sym_include_token1] = ACTIONS(2851),
    [aux_sym_ip_qos_token1] = ACTIONS(2851),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2851),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2851),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2851),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2851),
    [aux_sym_local_command_token1] = ACTIONS(2851),
    [aux_sym_local_forward_token1] = ACTIONS(2851),
    [aux_sym_log_level_token1] = ACTIONS(2851),
    [aux_sym_log_verbose_token1] = ACTIONS(2851),
    [aux_sym_macs_token1] = ACTIONS(2851),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2851),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2851),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2851),
    [aux_sym_password_authentication_token1] = ACTIONS(2851),
    [aux_sym_permit_local_command_token1] = ACTIONS(2851),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2851),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2851),
    [aux_sym_port_token1] = ACTIONS(2851),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2851),
    [aux_sym_protocol_token1] = ACTIONS(2851),
    [aux_sym_proxy_command_token1] = ACTIONS(2851),
    [aux_sym_proxy_jump_token1] = ACTIONS(2851),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2851),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2851),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2851),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2851),
    [aux_sym_rekey_limit_token1] = ACTIONS(2851),
    [aux_sym_remote_command_token1] = ACTIONS(2851),
    [aux_sym_remote_forward_token1] = ACTIONS(2851),
    [aux_sym_request_tty_token1] = ACTIONS(2851),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2851),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2851),
    [aux_sym_security_key_provider_token1] = ACTIONS(2851),
    [aux_sym_send_env_token1] = ACTIONS(2851),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2851),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2851),
    [aux_sym_session_type_token1] = ACTIONS(2851),
    [aux_sym_set_env_token1] = ACTIONS(2851),
    [aux_sym_stdin_null_token1] = ACTIONS(2851),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2851),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2851),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2851),
    [aux_sym_syslog_facility_token1] = ACTIONS(2851),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2851),
    [aux_sym_keep_alive_token1] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2851),
    [aux_sym_tunnel_token1] = ACTIONS(2853),
    [aux_sym_tunnel_device_token1] = ACTIONS(2851),
    [aux_sym_update_host_keys_token1] = ACTIONS(2851),
    [aux_sym_use_keychain_token1] = ACTIONS(2851),
    [aux_sym_use_roaming_token1] = ACTIONS(2851),
    [aux_sym_user_token1] = ACTIONS(2853),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2851),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2851),
    [aux_sym_visual_host_key_token1] = ACTIONS(2851),
    [aux_sym_xauth_location_token1] = ACTIONS(2851),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [aux_sym_match_token1] = ACTIONS(2857),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2857),
    [aux_sym_address_family_token1] = ACTIONS(2857),
    [aux_sym_batch_mode_token1] = ACTIONS(2857),
    [aux_sym_bind_address_token1] = ACTIONS(2857),
    [aux_sym_bind_interface_token1] = ACTIONS(2857),
    [aux_sym_canonical_domains_token1] = ACTIONS(2857),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2857),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2857),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2857),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2857),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2857),
    [aux_sym_certificate_file_token1] = ACTIONS(2857),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2857),
    [aux_sym_channel_timeout_token1] = ACTIONS(2857),
    [aux_sym_check_host_ip_token1] = ACTIONS(2857),
    [aux_sym_ciphers_token1] = ACTIONS(2857),
    [aux_sym_cipher_token1] = ACTIONS(2859),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2857),
    [aux_sym_compression_token1] = ACTIONS(2857),
    [aux_sym_connection_attempts_token1] = ACTIONS(2857),
    [aux_sym_connect_timeout_token1] = ACTIONS(2857),
    [aux_sym_control_master_token1] = ACTIONS(2857),
    [aux_sym_control_path_token1] = ACTIONS(2857),
    [aux_sym_control_persist_token1] = ACTIONS(2857),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2857),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2857),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2857),
    [aux_sym_escape_char_token1] = ACTIONS(2857),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2857),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2857),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2857),
    [aux_sym_forward_agent_token1] = ACTIONS(2857),
    [aux_sym_forward_x11_token1] = ACTIONS(2859),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2857),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2857),
    [aux_sym_gateway_ports_token1] = ACTIONS(2857),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2857),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2857),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2857),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2857),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2857),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2857),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2857),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2857),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2857),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2857),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2857),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2857),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2857),
    [aux_sym_host_key_alias_token1] = ACTIONS(2857),
    [aux_sym_hostname_token1] = ACTIONS(2857),
    [aux_sym_identities_only_token1] = ACTIONS(2857),
    [aux_sym_identity_agent_token1] = ACTIONS(2857),
    [aux_sym_identity_file_token1] = ACTIONS(2857),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2857),
    [aux_sym_include_token1] = ACTIONS(2857),
    [aux_sym_ip_qos_token1] = ACTIONS(2857),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2857),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2857),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2857),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2857),
    [aux_sym_local_command_token1] = ACTIONS(2857),
    [aux_sym_local_forward_token1] = ACTIONS(2857),
    [aux_sym_log_level_token1] = ACTIONS(2857),
    [aux_sym_log_verbose_token1] = ACTIONS(2857),
    [aux_sym_macs_token1] = ACTIONS(2857),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2857),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2857),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2857),
    [aux_sym_password_authentication_token1] = ACTIONS(2857),
    [aux_sym_permit_local_command_token1] = ACTIONS(2857),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2857),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2857),
    [aux_sym_port_token1] = ACTIONS(2857),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2857),
    [aux_sym_protocol_token1] = ACTIONS(2857),
    [aux_sym_proxy_command_token1] = ACTIONS(2857),
    [aux_sym_proxy_jump_token1] = ACTIONS(2857),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2857),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2857),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2857),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2857),
    [aux_sym_rekey_limit_token1] = ACTIONS(2857),
    [aux_sym_remote_command_token1] = ACTIONS(2857),
    [aux_sym_remote_forward_token1] = ACTIONS(2857),
    [aux_sym_request_tty_token1] = ACTIONS(2857),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2857),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2857),
    [aux_sym_security_key_provider_token1] = ACTIONS(2857),
    [aux_sym_send_env_token1] = ACTIONS(2857),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2857),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2857),
    [aux_sym_session_type_token1] = ACTIONS(2857),
    [aux_sym_set_env_token1] = ACTIONS(2857),
    [aux_sym_stdin_null_token1] = ACTIONS(2857),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2857),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2857),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2857),
    [aux_sym_syslog_facility_token1] = ACTIONS(2857),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2857),
    [aux_sym_keep_alive_token1] = ACTIONS(2857),
    [aux_sym_tag_token1] = ACTIONS(2857),
    [aux_sym_tunnel_token1] = ACTIONS(2859),
    [aux_sym_tunnel_device_token1] = ACTIONS(2857),
    [aux_sym_update_host_keys_token1] = ACTIONS(2857),
    [aux_sym_use_keychain_token1] = ACTIONS(2857),
    [aux_sym_use_roaming_token1] = ACTIONS(2857),
    [aux_sym_user_token1] = ACTIONS(2859),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2857),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2857),
    [aux_sym_visual_host_key_token1] = ACTIONS(2857),
    [aux_sym_xauth_location_token1] = ACTIONS(2857),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [aux_sym_match_token1] = ACTIONS(2861),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2861),
    [aux_sym_address_family_token1] = ACTIONS(2861),
    [aux_sym_batch_mode_token1] = ACTIONS(2861),
    [aux_sym_bind_address_token1] = ACTIONS(2861),
    [aux_sym_bind_interface_token1] = ACTIONS(2861),
    [aux_sym_canonical_domains_token1] = ACTIONS(2861),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2861),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2861),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2861),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2861),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2861),
    [aux_sym_certificate_file_token1] = ACTIONS(2861),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2861),
    [aux_sym_channel_timeout_token1] = ACTIONS(2861),
    [aux_sym_check_host_ip_token1] = ACTIONS(2861),
    [aux_sym_ciphers_token1] = ACTIONS(2861),
    [aux_sym_cipher_token1] = ACTIONS(2863),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2861),
    [aux_sym_compression_token1] = ACTIONS(2861),
    [aux_sym_connection_attempts_token1] = ACTIONS(2861),
    [aux_sym_connect_timeout_token1] = ACTIONS(2861),
    [aux_sym_control_master_token1] = ACTIONS(2861),
    [aux_sym_control_path_token1] = ACTIONS(2861),
    [aux_sym_control_persist_token1] = ACTIONS(2861),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2861),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2861),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2861),
    [aux_sym_escape_char_token1] = ACTIONS(2861),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2861),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2861),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2861),
    [aux_sym_forward_agent_token1] = ACTIONS(2861),
    [aux_sym_forward_x11_token1] = ACTIONS(2863),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2861),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2861),
    [aux_sym_gateway_ports_token1] = ACTIONS(2861),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2861),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2861),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2861),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2861),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2861),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2861),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2861),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2861),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2861),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2861),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2861),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2861),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2861),
    [aux_sym_host_key_alias_token1] = ACTIONS(2861),
    [aux_sym_hostname_token1] = ACTIONS(2861),
    [aux_sym_identities_only_token1] = ACTIONS(2861),
    [aux_sym_identity_agent_token1] = ACTIONS(2861),
    [aux_sym_identity_file_token1] = ACTIONS(2861),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2861),
    [aux_sym_include_token1] = ACTIONS(2861),
    [aux_sym_ip_qos_token1] = ACTIONS(2861),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2861),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2861),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2861),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2861),
    [aux_sym_local_command_token1] = ACTIONS(2861),
    [aux_sym_local_forward_token1] = ACTIONS(2861),
    [aux_sym_log_level_token1] = ACTIONS(2861),
    [aux_sym_log_verbose_token1] = ACTIONS(2861),
    [aux_sym_macs_token1] = ACTIONS(2861),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2861),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2861),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2861),
    [aux_sym_password_authentication_token1] = ACTIONS(2861),
    [aux_sym_permit_local_command_token1] = ACTIONS(2861),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2861),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2861),
    [aux_sym_port_token1] = ACTIONS(2861),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2861),
    [aux_sym_protocol_token1] = ACTIONS(2861),
    [aux_sym_proxy_command_token1] = ACTIONS(2861),
    [aux_sym_proxy_jump_token1] = ACTIONS(2861),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2861),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2861),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2861),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2861),
    [aux_sym_rekey_limit_token1] = ACTIONS(2861),
    [aux_sym_remote_command_token1] = ACTIONS(2861),
    [aux_sym_remote_forward_token1] = ACTIONS(2861),
    [aux_sym_request_tty_token1] = ACTIONS(2861),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2861),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2861),
    [aux_sym_security_key_provider_token1] = ACTIONS(2861),
    [aux_sym_send_env_token1] = ACTIONS(2861),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2861),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2861),
    [aux_sym_session_type_token1] = ACTIONS(2861),
    [aux_sym_set_env_token1] = ACTIONS(2861),
    [aux_sym_stdin_null_token1] = ACTIONS(2861),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2861),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2861),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2861),
    [aux_sym_syslog_facility_token1] = ACTIONS(2861),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2861),
    [aux_sym_keep_alive_token1] = ACTIONS(2861),
    [aux_sym_tag_token1] = ACTIONS(2861),
    [aux_sym_tunnel_token1] = ACTIONS(2863),
    [aux_sym_tunnel_device_token1] = ACTIONS(2861),
    [aux_sym_update_host_keys_token1] = ACTIONS(2861),
    [aux_sym_use_keychain_token1] = ACTIONS(2861),
    [aux_sym_use_roaming_token1] = ACTIONS(2861),
    [aux_sym_user_token1] = ACTIONS(2863),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2861),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2861),
    [aux_sym_visual_host_key_token1] = ACTIONS(2861),
    [aux_sym_xauth_location_token1] = ACTIONS(2861),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [aux_sym_match_token1] = ACTIONS(2867),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2867),
    [aux_sym_address_family_token1] = ACTIONS(2867),
    [aux_sym_batch_mode_token1] = ACTIONS(2867),
    [aux_sym_bind_address_token1] = ACTIONS(2867),
    [aux_sym_bind_interface_token1] = ACTIONS(2867),
    [aux_sym_canonical_domains_token1] = ACTIONS(2867),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2867),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2867),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2867),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2867),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2867),
    [aux_sym_certificate_file_token1] = ACTIONS(2867),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2867),
    [aux_sym_channel_timeout_token1] = ACTIONS(2867),
    [aux_sym_check_host_ip_token1] = ACTIONS(2867),
    [aux_sym_ciphers_token1] = ACTIONS(2867),
    [aux_sym_cipher_token1] = ACTIONS(2869),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2867),
    [aux_sym_compression_token1] = ACTIONS(2867),
    [aux_sym_connection_attempts_token1] = ACTIONS(2867),
    [aux_sym_connect_timeout_token1] = ACTIONS(2867),
    [aux_sym_control_master_token1] = ACTIONS(2867),
    [aux_sym_control_path_token1] = ACTIONS(2867),
    [aux_sym_control_persist_token1] = ACTIONS(2867),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2867),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2867),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2867),
    [aux_sym_escape_char_token1] = ACTIONS(2867),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2867),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2867),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2867),
    [aux_sym_forward_agent_token1] = ACTIONS(2867),
    [aux_sym_forward_x11_token1] = ACTIONS(2869),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2867),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2867),
    [aux_sym_gateway_ports_token1] = ACTIONS(2867),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2867),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2867),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2867),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2867),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2867),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2867),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2867),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2867),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2867),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2867),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2867),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2867),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2867),
    [aux_sym_host_key_alias_token1] = ACTIONS(2867),
    [aux_sym_hostname_token1] = ACTIONS(2867),
    [aux_sym_identities_only_token1] = ACTIONS(2867),
    [aux_sym_identity_agent_token1] = ACTIONS(2867),
    [aux_sym_identity_file_token1] = ACTIONS(2867),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2867),
    [aux_sym_include_token1] = ACTIONS(2867),
    [aux_sym_ip_qos_token1] = ACTIONS(2867),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2867),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2867),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2867),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2867),
    [aux_sym_local_command_token1] = ACTIONS(2867),
    [aux_sym_local_forward_token1] = ACTIONS(2867),
    [aux_sym_log_level_token1] = ACTIONS(2867),
    [aux_sym_log_verbose_token1] = ACTIONS(2867),
    [aux_sym_macs_token1] = ACTIONS(2867),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2867),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2867),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2867),
    [aux_sym_password_authentication_token1] = ACTIONS(2867),
    [aux_sym_permit_local_command_token1] = ACTIONS(2867),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2867),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2867),
    [aux_sym_port_token1] = ACTIONS(2867),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2867),
    [aux_sym_protocol_token1] = ACTIONS(2867),
    [aux_sym_proxy_command_token1] = ACTIONS(2867),
    [aux_sym_proxy_jump_token1] = ACTIONS(2867),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2867),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2867),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2867),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2867),
    [aux_sym_rekey_limit_token1] = ACTIONS(2867),
    [aux_sym_remote_command_token1] = ACTIONS(2867),
    [aux_sym_remote_forward_token1] = ACTIONS(2867),
    [aux_sym_request_tty_token1] = ACTIONS(2867),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2867),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2867),
    [aux_sym_security_key_provider_token1] = ACTIONS(2867),
    [aux_sym_send_env_token1] = ACTIONS(2867),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2867),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2867),
    [aux_sym_session_type_token1] = ACTIONS(2867),
    [aux_sym_set_env_token1] = ACTIONS(2867),
    [aux_sym_stdin_null_token1] = ACTIONS(2867),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2867),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2867),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2867),
    [aux_sym_syslog_facility_token1] = ACTIONS(2867),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2867),
    [aux_sym_keep_alive_token1] = ACTIONS(2867),
    [aux_sym_tag_token1] = ACTIONS(2867),
    [aux_sym_tunnel_token1] = ACTIONS(2869),
    [aux_sym_tunnel_device_token1] = ACTIONS(2867),
    [aux_sym_update_host_keys_token1] = ACTIONS(2867),
    [aux_sym_use_keychain_token1] = ACTIONS(2867),
    [aux_sym_use_roaming_token1] = ACTIONS(2867),
    [aux_sym_user_token1] = ACTIONS(2869),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2867),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2867),
    [aux_sym_visual_host_key_token1] = ACTIONS(2867),
    [aux_sym_xauth_location_token1] = ACTIONS(2867),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [aux_sym_match_token1] = ACTIONS(2871),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2871),
    [aux_sym_address_family_token1] = ACTIONS(2871),
    [aux_sym_batch_mode_token1] = ACTIONS(2871),
    [aux_sym_bind_address_token1] = ACTIONS(2871),
    [aux_sym_bind_interface_token1] = ACTIONS(2871),
    [aux_sym_canonical_domains_token1] = ACTIONS(2871),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2871),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2871),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2871),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2871),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2871),
    [aux_sym_certificate_file_token1] = ACTIONS(2871),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2871),
    [aux_sym_channel_timeout_token1] = ACTIONS(2871),
    [aux_sym_check_host_ip_token1] = ACTIONS(2871),
    [aux_sym_ciphers_token1] = ACTIONS(2871),
    [aux_sym_cipher_token1] = ACTIONS(2873),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2871),
    [aux_sym_compression_token1] = ACTIONS(2871),
    [aux_sym_connection_attempts_token1] = ACTIONS(2871),
    [aux_sym_connect_timeout_token1] = ACTIONS(2871),
    [aux_sym_control_master_token1] = ACTIONS(2871),
    [aux_sym_control_path_token1] = ACTIONS(2871),
    [aux_sym_control_persist_token1] = ACTIONS(2871),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2871),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2871),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2871),
    [aux_sym_escape_char_token1] = ACTIONS(2871),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2871),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2871),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2871),
    [aux_sym_forward_agent_token1] = ACTIONS(2871),
    [aux_sym_forward_x11_token1] = ACTIONS(2873),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2871),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2871),
    [aux_sym_gateway_ports_token1] = ACTIONS(2871),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2871),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2871),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2871),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2871),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2871),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2871),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2871),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2871),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2871),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2871),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2871),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2871),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2871),
    [aux_sym_host_key_alias_token1] = ACTIONS(2871),
    [aux_sym_hostname_token1] = ACTIONS(2871),
    [aux_sym_identities_only_token1] = ACTIONS(2871),
    [aux_sym_identity_agent_token1] = ACTIONS(2871),
    [aux_sym_identity_file_token1] = ACTIONS(2871),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2871),
    [aux_sym_include_token1] = ACTIONS(2871),
    [aux_sym_ip_qos_token1] = ACTIONS(2871),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2871),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2871),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2871),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2871),
    [aux_sym_local_command_token1] = ACTIONS(2871),
    [aux_sym_local_forward_token1] = ACTIONS(2871),
    [aux_sym_log_level_token1] = ACTIONS(2871),
    [aux_sym_log_verbose_token1] = ACTIONS(2871),
    [aux_sym_macs_token1] = ACTIONS(2871),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2871),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2871),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2871),
    [aux_sym_password_authentication_token1] = ACTIONS(2871),
    [aux_sym_permit_local_command_token1] = ACTIONS(2871),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2871),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2871),
    [aux_sym_port_token1] = ACTIONS(2871),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2871),
    [aux_sym_protocol_token1] = ACTIONS(2871),
    [aux_sym_proxy_command_token1] = ACTIONS(2871),
    [aux_sym_proxy_jump_token1] = ACTIONS(2871),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2871),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2871),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2871),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2871),
    [aux_sym_rekey_limit_token1] = ACTIONS(2871),
    [aux_sym_remote_command_token1] = ACTIONS(2871),
    [aux_sym_remote_forward_token1] = ACTIONS(2871),
    [aux_sym_request_tty_token1] = ACTIONS(2871),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2871),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2871),
    [aux_sym_security_key_provider_token1] = ACTIONS(2871),
    [aux_sym_send_env_token1] = ACTIONS(2871),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2871),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2871),
    [aux_sym_session_type_token1] = ACTIONS(2871),
    [aux_sym_set_env_token1] = ACTIONS(2871),
    [aux_sym_stdin_null_token1] = ACTIONS(2871),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2871),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2871),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2871),
    [aux_sym_syslog_facility_token1] = ACTIONS(2871),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2871),
    [aux_sym_keep_alive_token1] = ACTIONS(2871),
    [aux_sym_tag_token1] = ACTIONS(2871),
    [aux_sym_tunnel_token1] = ACTIONS(2873),
    [aux_sym_tunnel_device_token1] = ACTIONS(2871),
    [aux_sym_update_host_keys_token1] = ACTIONS(2871),
    [aux_sym_use_keychain_token1] = ACTIONS(2871),
    [aux_sym_use_roaming_token1] = ACTIONS(2871),
    [aux_sym_user_token1] = ACTIONS(2873),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2871),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2871),
    [aux_sym_visual_host_key_token1] = ACTIONS(2871),
    [aux_sym_xauth_location_token1] = ACTIONS(2871),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [aux_sym_match_token1] = ACTIONS(2877),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2877),
    [aux_sym_address_family_token1] = ACTIONS(2877),
    [aux_sym_batch_mode_token1] = ACTIONS(2877),
    [aux_sym_bind_address_token1] = ACTIONS(2877),
    [aux_sym_bind_interface_token1] = ACTIONS(2877),
    [aux_sym_canonical_domains_token1] = ACTIONS(2877),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2877),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2877),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2877),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2877),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2877),
    [aux_sym_certificate_file_token1] = ACTIONS(2877),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2877),
    [aux_sym_channel_timeout_token1] = ACTIONS(2877),
    [aux_sym_check_host_ip_token1] = ACTIONS(2877),
    [aux_sym_ciphers_token1] = ACTIONS(2877),
    [aux_sym_cipher_token1] = ACTIONS(2879),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2877),
    [aux_sym_compression_token1] = ACTIONS(2877),
    [aux_sym_connection_attempts_token1] = ACTIONS(2877),
    [aux_sym_connect_timeout_token1] = ACTIONS(2877),
    [aux_sym_control_master_token1] = ACTIONS(2877),
    [aux_sym_control_path_token1] = ACTIONS(2877),
    [aux_sym_control_persist_token1] = ACTIONS(2877),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2877),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2877),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2877),
    [aux_sym_escape_char_token1] = ACTIONS(2877),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2877),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2877),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2877),
    [aux_sym_forward_agent_token1] = ACTIONS(2877),
    [aux_sym_forward_x11_token1] = ACTIONS(2879),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2877),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2877),
    [aux_sym_gateway_ports_token1] = ACTIONS(2877),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2877),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2877),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2877),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2877),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2877),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2877),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2877),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2877),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2877),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2877),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2877),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2877),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2877),
    [aux_sym_host_key_alias_token1] = ACTIONS(2877),
    [aux_sym_hostname_token1] = ACTIONS(2877),
    [aux_sym_identities_only_token1] = ACTIONS(2877),
    [aux_sym_identity_agent_token1] = ACTIONS(2877),
    [aux_sym_identity_file_token1] = ACTIONS(2877),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2877),
    [aux_sym_include_token1] = ACTIONS(2877),
    [aux_sym_ip_qos_token1] = ACTIONS(2877),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2877),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2877),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2877),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2877),
    [aux_sym_local_command_token1] = ACTIONS(2877),
    [aux_sym_local_forward_token1] = ACTIONS(2877),
    [aux_sym_log_level_token1] = ACTIONS(2877),
    [aux_sym_log_verbose_token1] = ACTIONS(2877),
    [aux_sym_macs_token1] = ACTIONS(2877),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2877),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2877),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2877),
    [aux_sym_password_authentication_token1] = ACTIONS(2877),
    [aux_sym_permit_local_command_token1] = ACTIONS(2877),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2877),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2877),
    [aux_sym_port_token1] = ACTIONS(2877),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2877),
    [aux_sym_protocol_token1] = ACTIONS(2877),
    [aux_sym_proxy_command_token1] = ACTIONS(2877),
    [aux_sym_proxy_jump_token1] = ACTIONS(2877),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2877),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2877),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2877),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2877),
    [aux_sym_rekey_limit_token1] = ACTIONS(2877),
    [aux_sym_remote_command_token1] = ACTIONS(2877),
    [aux_sym_remote_forward_token1] = ACTIONS(2877),
    [aux_sym_request_tty_token1] = ACTIONS(2877),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2877),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2877),
    [aux_sym_security_key_provider_token1] = ACTIONS(2877),
    [aux_sym_send_env_token1] = ACTIONS(2877),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2877),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2877),
    [aux_sym_session_type_token1] = ACTIONS(2877),
    [aux_sym_set_env_token1] = ACTIONS(2877),
    [aux_sym_stdin_null_token1] = ACTIONS(2877),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2877),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2877),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2877),
    [aux_sym_syslog_facility_token1] = ACTIONS(2877),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2877),
    [aux_sym_keep_alive_token1] = ACTIONS(2877),
    [aux_sym_tag_token1] = ACTIONS(2877),
    [aux_sym_tunnel_token1] = ACTIONS(2879),
    [aux_sym_tunnel_device_token1] = ACTIONS(2877),
    [aux_sym_update_host_keys_token1] = ACTIONS(2877),
    [aux_sym_use_keychain_token1] = ACTIONS(2877),
    [aux_sym_use_roaming_token1] = ACTIONS(2877),
    [aux_sym_user_token1] = ACTIONS(2879),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2877),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2877),
    [aux_sym_visual_host_key_token1] = ACTIONS(2877),
    [aux_sym_xauth_location_token1] = ACTIONS(2877),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [aux_sym_match_token1] = ACTIONS(2883),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2883),
    [aux_sym_address_family_token1] = ACTIONS(2883),
    [aux_sym_batch_mode_token1] = ACTIONS(2883),
    [aux_sym_bind_address_token1] = ACTIONS(2883),
    [aux_sym_bind_interface_token1] = ACTIONS(2883),
    [aux_sym_canonical_domains_token1] = ACTIONS(2883),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2883),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2883),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2883),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2883),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2883),
    [aux_sym_certificate_file_token1] = ACTIONS(2883),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2883),
    [aux_sym_channel_timeout_token1] = ACTIONS(2883),
    [aux_sym_check_host_ip_token1] = ACTIONS(2883),
    [aux_sym_ciphers_token1] = ACTIONS(2883),
    [aux_sym_cipher_token1] = ACTIONS(2885),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2883),
    [aux_sym_compression_token1] = ACTIONS(2883),
    [aux_sym_connection_attempts_token1] = ACTIONS(2883),
    [aux_sym_connect_timeout_token1] = ACTIONS(2883),
    [aux_sym_control_master_token1] = ACTIONS(2883),
    [aux_sym_control_path_token1] = ACTIONS(2883),
    [aux_sym_control_persist_token1] = ACTIONS(2883),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2883),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2883),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2883),
    [aux_sym_escape_char_token1] = ACTIONS(2883),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2883),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2883),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2883),
    [aux_sym_forward_agent_token1] = ACTIONS(2883),
    [aux_sym_forward_x11_token1] = ACTIONS(2885),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2883),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2883),
    [aux_sym_gateway_ports_token1] = ACTIONS(2883),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2883),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2883),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2883),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2883),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2883),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2883),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2883),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2883),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2883),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2883),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2883),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2883),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2883),
    [aux_sym_host_key_alias_token1] = ACTIONS(2883),
    [aux_sym_hostname_token1] = ACTIONS(2883),
    [aux_sym_identities_only_token1] = ACTIONS(2883),
    [aux_sym_identity_agent_token1] = ACTIONS(2883),
    [aux_sym_identity_file_token1] = ACTIONS(2883),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2883),
    [aux_sym_include_token1] = ACTIONS(2883),
    [aux_sym_ip_qos_token1] = ACTIONS(2883),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2883),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2883),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2883),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2883),
    [aux_sym_local_command_token1] = ACTIONS(2883),
    [aux_sym_local_forward_token1] = ACTIONS(2883),
    [aux_sym_log_level_token1] = ACTIONS(2883),
    [aux_sym_log_verbose_token1] = ACTIONS(2883),
    [aux_sym_macs_token1] = ACTIONS(2883),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2883),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2883),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2883),
    [aux_sym_password_authentication_token1] = ACTIONS(2883),
    [aux_sym_permit_local_command_token1] = ACTIONS(2883),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2883),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2883),
    [aux_sym_port_token1] = ACTIONS(2883),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2883),
    [aux_sym_protocol_token1] = ACTIONS(2883),
    [aux_sym_proxy_command_token1] = ACTIONS(2883),
    [aux_sym_proxy_jump_token1] = ACTIONS(2883),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2883),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2883),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2883),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2883),
    [aux_sym_rekey_limit_token1] = ACTIONS(2883),
    [aux_sym_remote_command_token1] = ACTIONS(2883),
    [aux_sym_remote_forward_token1] = ACTIONS(2883),
    [aux_sym_request_tty_token1] = ACTIONS(2883),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2883),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2883),
    [aux_sym_security_key_provider_token1] = ACTIONS(2883),
    [aux_sym_send_env_token1] = ACTIONS(2883),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2883),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2883),
    [aux_sym_session_type_token1] = ACTIONS(2883),
    [aux_sym_set_env_token1] = ACTIONS(2883),
    [aux_sym_stdin_null_token1] = ACTIONS(2883),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2883),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2883),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2883),
    [aux_sym_syslog_facility_token1] = ACTIONS(2883),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2883),
    [aux_sym_keep_alive_token1] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [aux_sym_tunnel_token1] = ACTIONS(2885),
    [aux_sym_tunnel_device_token1] = ACTIONS(2883),
    [aux_sym_update_host_keys_token1] = ACTIONS(2883),
    [aux_sym_use_keychain_token1] = ACTIONS(2883),
    [aux_sym_use_roaming_token1] = ACTIONS(2883),
    [aux_sym_user_token1] = ACTIONS(2885),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2883),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2883),
    [aux_sym_visual_host_key_token1] = ACTIONS(2883),
    [aux_sym_xauth_location_token1] = ACTIONS(2883),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [aux_sym_match_token1] = ACTIONS(2887),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2887),
    [aux_sym_address_family_token1] = ACTIONS(2887),
    [aux_sym_batch_mode_token1] = ACTIONS(2887),
    [aux_sym_bind_address_token1] = ACTIONS(2887),
    [aux_sym_bind_interface_token1] = ACTIONS(2887),
    [aux_sym_canonical_domains_token1] = ACTIONS(2887),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2887),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2887),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2887),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2887),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2887),
    [aux_sym_certificate_file_token1] = ACTIONS(2887),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2887),
    [aux_sym_channel_timeout_token1] = ACTIONS(2887),
    [aux_sym_check_host_ip_token1] = ACTIONS(2887),
    [aux_sym_ciphers_token1] = ACTIONS(2887),
    [aux_sym_cipher_token1] = ACTIONS(2889),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2887),
    [aux_sym_compression_token1] = ACTIONS(2887),
    [aux_sym_connection_attempts_token1] = ACTIONS(2887),
    [aux_sym_connect_timeout_token1] = ACTIONS(2887),
    [aux_sym_control_master_token1] = ACTIONS(2887),
    [aux_sym_control_path_token1] = ACTIONS(2887),
    [aux_sym_control_persist_token1] = ACTIONS(2887),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2887),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2887),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2887),
    [aux_sym_escape_char_token1] = ACTIONS(2887),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2887),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2887),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2887),
    [aux_sym_forward_agent_token1] = ACTIONS(2887),
    [aux_sym_forward_x11_token1] = ACTIONS(2889),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2887),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2887),
    [aux_sym_gateway_ports_token1] = ACTIONS(2887),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2887),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2887),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2887),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2887),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2887),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2887),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2887),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2887),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2887),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2887),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2887),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2887),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2887),
    [aux_sym_host_key_alias_token1] = ACTIONS(2887),
    [aux_sym_hostname_token1] = ACTIONS(2887),
    [aux_sym_identities_only_token1] = ACTIONS(2887),
    [aux_sym_identity_agent_token1] = ACTIONS(2887),
    [aux_sym_identity_file_token1] = ACTIONS(2887),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2887),
    [aux_sym_include_token1] = ACTIONS(2887),
    [aux_sym_ip_qos_token1] = ACTIONS(2887),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2887),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2887),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2887),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2887),
    [aux_sym_local_command_token1] = ACTIONS(2887),
    [aux_sym_local_forward_token1] = ACTIONS(2887),
    [aux_sym_log_level_token1] = ACTIONS(2887),
    [aux_sym_log_verbose_token1] = ACTIONS(2887),
    [aux_sym_macs_token1] = ACTIONS(2887),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2887),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2887),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2887),
    [aux_sym_password_authentication_token1] = ACTIONS(2887),
    [aux_sym_permit_local_command_token1] = ACTIONS(2887),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2887),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2887),
    [aux_sym_port_token1] = ACTIONS(2887),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2887),
    [aux_sym_protocol_token1] = ACTIONS(2887),
    [aux_sym_proxy_command_token1] = ACTIONS(2887),
    [aux_sym_proxy_jump_token1] = ACTIONS(2887),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2887),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2887),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2887),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2887),
    [aux_sym_rekey_limit_token1] = ACTIONS(2887),
    [aux_sym_remote_command_token1] = ACTIONS(2887),
    [aux_sym_remote_forward_token1] = ACTIONS(2887),
    [aux_sym_request_tty_token1] = ACTIONS(2887),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2887),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2887),
    [aux_sym_security_key_provider_token1] = ACTIONS(2887),
    [aux_sym_send_env_token1] = ACTIONS(2887),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2887),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2887),
    [aux_sym_session_type_token1] = ACTIONS(2887),
    [aux_sym_set_env_token1] = ACTIONS(2887),
    [aux_sym_stdin_null_token1] = ACTIONS(2887),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2887),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2887),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2887),
    [aux_sym_syslog_facility_token1] = ACTIONS(2887),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2887),
    [aux_sym_keep_alive_token1] = ACTIONS(2887),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [aux_sym_tunnel_token1] = ACTIONS(2889),
    [aux_sym_tunnel_device_token1] = ACTIONS(2887),
    [aux_sym_update_host_keys_token1] = ACTIONS(2887),
    [aux_sym_use_keychain_token1] = ACTIONS(2887),
    [aux_sym_use_roaming_token1] = ACTIONS(2887),
    [aux_sym_user_token1] = ACTIONS(2889),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2887),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2887),
    [aux_sym_visual_host_key_token1] = ACTIONS(2887),
    [aux_sym_xauth_location_token1] = ACTIONS(2887),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [aux_sym_match_token1] = ACTIONS(2891),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2891),
    [aux_sym_address_family_token1] = ACTIONS(2891),
    [aux_sym_batch_mode_token1] = ACTIONS(2891),
    [aux_sym_bind_address_token1] = ACTIONS(2891),
    [aux_sym_bind_interface_token1] = ACTIONS(2891),
    [aux_sym_canonical_domains_token1] = ACTIONS(2891),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2891),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2891),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2891),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2891),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2891),
    [aux_sym_certificate_file_token1] = ACTIONS(2891),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2891),
    [aux_sym_channel_timeout_token1] = ACTIONS(2891),
    [aux_sym_check_host_ip_token1] = ACTIONS(2891),
    [aux_sym_ciphers_token1] = ACTIONS(2891),
    [aux_sym_cipher_token1] = ACTIONS(2893),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2891),
    [aux_sym_compression_token1] = ACTIONS(2891),
    [aux_sym_connection_attempts_token1] = ACTIONS(2891),
    [aux_sym_connect_timeout_token1] = ACTIONS(2891),
    [aux_sym_control_master_token1] = ACTIONS(2891),
    [aux_sym_control_path_token1] = ACTIONS(2891),
    [aux_sym_control_persist_token1] = ACTIONS(2891),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2891),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2891),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2891),
    [aux_sym_escape_char_token1] = ACTIONS(2891),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2891),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2891),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2891),
    [aux_sym_forward_agent_token1] = ACTIONS(2891),
    [aux_sym_forward_x11_token1] = ACTIONS(2893),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2891),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2891),
    [aux_sym_gateway_ports_token1] = ACTIONS(2891),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2891),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2891),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2891),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2891),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2891),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2891),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2891),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2891),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2891),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2891),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2891),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2891),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2891),
    [aux_sym_host_key_alias_token1] = ACTIONS(2891),
    [aux_sym_hostname_token1] = ACTIONS(2891),
    [aux_sym_identities_only_token1] = ACTIONS(2891),
    [aux_sym_identity_agent_token1] = ACTIONS(2891),
    [aux_sym_identity_file_token1] = ACTIONS(2891),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2891),
    [aux_sym_include_token1] = ACTIONS(2891),
    [aux_sym_ip_qos_token1] = ACTIONS(2891),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2891),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2891),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2891),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2891),
    [aux_sym_local_command_token1] = ACTIONS(2891),
    [aux_sym_local_forward_token1] = ACTIONS(2891),
    [aux_sym_log_level_token1] = ACTIONS(2891),
    [aux_sym_log_verbose_token1] = ACTIONS(2891),
    [aux_sym_macs_token1] = ACTIONS(2891),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2891),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2891),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2891),
    [aux_sym_password_authentication_token1] = ACTIONS(2891),
    [aux_sym_permit_local_command_token1] = ACTIONS(2891),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2891),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2891),
    [aux_sym_port_token1] = ACTIONS(2891),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2891),
    [aux_sym_protocol_token1] = ACTIONS(2891),
    [aux_sym_proxy_command_token1] = ACTIONS(2891),
    [aux_sym_proxy_jump_token1] = ACTIONS(2891),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2891),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2891),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2891),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2891),
    [aux_sym_rekey_limit_token1] = ACTIONS(2891),
    [aux_sym_remote_command_token1] = ACTIONS(2891),
    [aux_sym_remote_forward_token1] = ACTIONS(2891),
    [aux_sym_request_tty_token1] = ACTIONS(2891),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2891),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2891),
    [aux_sym_security_key_provider_token1] = ACTIONS(2891),
    [aux_sym_send_env_token1] = ACTIONS(2891),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2891),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2891),
    [aux_sym_session_type_token1] = ACTIONS(2891),
    [aux_sym_set_env_token1] = ACTIONS(2891),
    [aux_sym_stdin_null_token1] = ACTIONS(2891),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2891),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2891),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2891),
    [aux_sym_syslog_facility_token1] = ACTIONS(2891),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2891),
    [aux_sym_keep_alive_token1] = ACTIONS(2891),
    [aux_sym_tag_token1] = ACTIONS(2891),
    [aux_sym_tunnel_token1] = ACTIONS(2893),
    [aux_sym_tunnel_device_token1] = ACTIONS(2891),
    [aux_sym_update_host_keys_token1] = ACTIONS(2891),
    [aux_sym_use_keychain_token1] = ACTIONS(2891),
    [aux_sym_use_roaming_token1] = ACTIONS(2891),
    [aux_sym_user_token1] = ACTIONS(2893),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2891),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2891),
    [aux_sym_visual_host_key_token1] = ACTIONS(2891),
    [aux_sym_xauth_location_token1] = ACTIONS(2891),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [aux_sym_match_token1] = ACTIONS(2897),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2897),
    [aux_sym_address_family_token1] = ACTIONS(2897),
    [aux_sym_batch_mode_token1] = ACTIONS(2897),
    [aux_sym_bind_address_token1] = ACTIONS(2897),
    [aux_sym_bind_interface_token1] = ACTIONS(2897),
    [aux_sym_canonical_domains_token1] = ACTIONS(2897),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2897),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2897),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2897),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2897),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2897),
    [aux_sym_certificate_file_token1] = ACTIONS(2897),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2897),
    [aux_sym_channel_timeout_token1] = ACTIONS(2897),
    [aux_sym_check_host_ip_token1] = ACTIONS(2897),
    [aux_sym_ciphers_token1] = ACTIONS(2897),
    [aux_sym_cipher_token1] = ACTIONS(2899),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2897),
    [aux_sym_compression_token1] = ACTIONS(2897),
    [aux_sym_connection_attempts_token1] = ACTIONS(2897),
    [aux_sym_connect_timeout_token1] = ACTIONS(2897),
    [aux_sym_control_master_token1] = ACTIONS(2897),
    [aux_sym_control_path_token1] = ACTIONS(2897),
    [aux_sym_control_persist_token1] = ACTIONS(2897),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2897),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2897),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2897),
    [aux_sym_escape_char_token1] = ACTIONS(2897),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2897),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2897),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2897),
    [aux_sym_forward_agent_token1] = ACTIONS(2897),
    [aux_sym_forward_x11_token1] = ACTIONS(2899),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2897),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2897),
    [aux_sym_gateway_ports_token1] = ACTIONS(2897),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2897),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2897),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2897),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2897),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2897),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2897),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2897),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2897),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2897),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2897),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2897),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2897),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2897),
    [aux_sym_host_key_alias_token1] = ACTIONS(2897),
    [aux_sym_hostname_token1] = ACTIONS(2897),
    [aux_sym_identities_only_token1] = ACTIONS(2897),
    [aux_sym_identity_agent_token1] = ACTIONS(2897),
    [aux_sym_identity_file_token1] = ACTIONS(2897),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2897),
    [aux_sym_include_token1] = ACTIONS(2897),
    [aux_sym_ip_qos_token1] = ACTIONS(2897),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2897),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2897),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2897),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2897),
    [aux_sym_local_command_token1] = ACTIONS(2897),
    [aux_sym_local_forward_token1] = ACTIONS(2897),
    [aux_sym_log_level_token1] = ACTIONS(2897),
    [aux_sym_log_verbose_token1] = ACTIONS(2897),
    [aux_sym_macs_token1] = ACTIONS(2897),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2897),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2897),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2897),
    [aux_sym_password_authentication_token1] = ACTIONS(2897),
    [aux_sym_permit_local_command_token1] = ACTIONS(2897),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2897),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2897),
    [aux_sym_port_token1] = ACTIONS(2897),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2897),
    [aux_sym_protocol_token1] = ACTIONS(2897),
    [aux_sym_proxy_command_token1] = ACTIONS(2897),
    [aux_sym_proxy_jump_token1] = ACTIONS(2897),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2897),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2897),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2897),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2897),
    [aux_sym_rekey_limit_token1] = ACTIONS(2897),
    [aux_sym_remote_command_token1] = ACTIONS(2897),
    [aux_sym_remote_forward_token1] = ACTIONS(2897),
    [aux_sym_request_tty_token1] = ACTIONS(2897),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2897),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2897),
    [aux_sym_security_key_provider_token1] = ACTIONS(2897),
    [aux_sym_send_env_token1] = ACTIONS(2897),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2897),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2897),
    [aux_sym_session_type_token1] = ACTIONS(2897),
    [aux_sym_set_env_token1] = ACTIONS(2897),
    [aux_sym_stdin_null_token1] = ACTIONS(2897),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2897),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2897),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2897),
    [aux_sym_syslog_facility_token1] = ACTIONS(2897),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2897),
    [aux_sym_keep_alive_token1] = ACTIONS(2897),
    [aux_sym_tag_token1] = ACTIONS(2897),
    [aux_sym_tunnel_token1] = ACTIONS(2899),
    [aux_sym_tunnel_device_token1] = ACTIONS(2897),
    [aux_sym_update_host_keys_token1] = ACTIONS(2897),
    [aux_sym_use_keychain_token1] = ACTIONS(2897),
    [aux_sym_use_roaming_token1] = ACTIONS(2897),
    [aux_sym_user_token1] = ACTIONS(2899),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2897),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2897),
    [aux_sym_visual_host_key_token1] = ACTIONS(2897),
    [aux_sym_xauth_location_token1] = ACTIONS(2897),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [aux_sym_match_token1] = ACTIONS(2901),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2901),
    [aux_sym_address_family_token1] = ACTIONS(2901),
    [aux_sym_batch_mode_token1] = ACTIONS(2901),
    [aux_sym_bind_address_token1] = ACTIONS(2901),
    [aux_sym_bind_interface_token1] = ACTIONS(2901),
    [aux_sym_canonical_domains_token1] = ACTIONS(2901),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2901),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2901),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2901),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2901),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2901),
    [aux_sym_certificate_file_token1] = ACTIONS(2901),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2901),
    [aux_sym_channel_timeout_token1] = ACTIONS(2901),
    [aux_sym_check_host_ip_token1] = ACTIONS(2901),
    [aux_sym_ciphers_token1] = ACTIONS(2901),
    [aux_sym_cipher_token1] = ACTIONS(2903),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2901),
    [aux_sym_compression_token1] = ACTIONS(2901),
    [aux_sym_connection_attempts_token1] = ACTIONS(2901),
    [aux_sym_connect_timeout_token1] = ACTIONS(2901),
    [aux_sym_control_master_token1] = ACTIONS(2901),
    [aux_sym_control_path_token1] = ACTIONS(2901),
    [aux_sym_control_persist_token1] = ACTIONS(2901),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2901),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2901),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2901),
    [aux_sym_escape_char_token1] = ACTIONS(2901),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2901),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2901),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2901),
    [aux_sym_forward_agent_token1] = ACTIONS(2901),
    [aux_sym_forward_x11_token1] = ACTIONS(2903),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2901),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2901),
    [aux_sym_gateway_ports_token1] = ACTIONS(2901),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2901),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2901),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2901),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2901),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2901),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2901),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2901),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2901),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2901),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2901),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2901),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2901),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2901),
    [aux_sym_host_key_alias_token1] = ACTIONS(2901),
    [aux_sym_hostname_token1] = ACTIONS(2901),
    [aux_sym_identities_only_token1] = ACTIONS(2901),
    [aux_sym_identity_agent_token1] = ACTIONS(2901),
    [aux_sym_identity_file_token1] = ACTIONS(2901),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2901),
    [aux_sym_include_token1] = ACTIONS(2901),
    [aux_sym_ip_qos_token1] = ACTIONS(2901),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2901),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2901),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2901),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2901),
    [aux_sym_local_command_token1] = ACTIONS(2901),
    [aux_sym_local_forward_token1] = ACTIONS(2901),
    [aux_sym_log_level_token1] = ACTIONS(2901),
    [aux_sym_log_verbose_token1] = ACTIONS(2901),
    [aux_sym_macs_token1] = ACTIONS(2901),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2901),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2901),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2901),
    [aux_sym_password_authentication_token1] = ACTIONS(2901),
    [aux_sym_permit_local_command_token1] = ACTIONS(2901),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2901),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2901),
    [aux_sym_port_token1] = ACTIONS(2901),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2901),
    [aux_sym_protocol_token1] = ACTIONS(2901),
    [aux_sym_proxy_command_token1] = ACTIONS(2901),
    [aux_sym_proxy_jump_token1] = ACTIONS(2901),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2901),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2901),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2901),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2901),
    [aux_sym_rekey_limit_token1] = ACTIONS(2901),
    [aux_sym_remote_command_token1] = ACTIONS(2901),
    [aux_sym_remote_forward_token1] = ACTIONS(2901),
    [aux_sym_request_tty_token1] = ACTIONS(2901),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2901),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2901),
    [aux_sym_security_key_provider_token1] = ACTIONS(2901),
    [aux_sym_send_env_token1] = ACTIONS(2901),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2901),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2901),
    [aux_sym_session_type_token1] = ACTIONS(2901),
    [aux_sym_set_env_token1] = ACTIONS(2901),
    [aux_sym_stdin_null_token1] = ACTIONS(2901),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2901),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2901),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2901),
    [aux_sym_syslog_facility_token1] = ACTIONS(2901),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2901),
    [aux_sym_keep_alive_token1] = ACTIONS(2901),
    [aux_sym_tag_token1] = ACTIONS(2901),
    [aux_sym_tunnel_token1] = ACTIONS(2903),
    [aux_sym_tunnel_device_token1] = ACTIONS(2901),
    [aux_sym_update_host_keys_token1] = ACTIONS(2901),
    [aux_sym_use_keychain_token1] = ACTIONS(2901),
    [aux_sym_use_roaming_token1] = ACTIONS(2901),
    [aux_sym_user_token1] = ACTIONS(2903),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2901),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2901),
    [aux_sym_visual_host_key_token1] = ACTIONS(2901),
    [aux_sym_xauth_location_token1] = ACTIONS(2901),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [aux_sym_match_token1] = ACTIONS(2907),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2907),
    [aux_sym_address_family_token1] = ACTIONS(2907),
    [aux_sym_batch_mode_token1] = ACTIONS(2907),
    [aux_sym_bind_address_token1] = ACTIONS(2907),
    [aux_sym_bind_interface_token1] = ACTIONS(2907),
    [aux_sym_canonical_domains_token1] = ACTIONS(2907),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2907),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2907),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2907),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2907),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2907),
    [aux_sym_certificate_file_token1] = ACTIONS(2907),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2907),
    [aux_sym_channel_timeout_token1] = ACTIONS(2907),
    [aux_sym_check_host_ip_token1] = ACTIONS(2907),
    [aux_sym_ciphers_token1] = ACTIONS(2907),
    [aux_sym_cipher_token1] = ACTIONS(2909),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2907),
    [aux_sym_compression_token1] = ACTIONS(2907),
    [aux_sym_connection_attempts_token1] = ACTIONS(2907),
    [aux_sym_connect_timeout_token1] = ACTIONS(2907),
    [aux_sym_control_master_token1] = ACTIONS(2907),
    [aux_sym_control_path_token1] = ACTIONS(2907),
    [aux_sym_control_persist_token1] = ACTIONS(2907),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2907),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2907),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2907),
    [aux_sym_escape_char_token1] = ACTIONS(2907),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2907),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2907),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2907),
    [aux_sym_forward_agent_token1] = ACTIONS(2907),
    [aux_sym_forward_x11_token1] = ACTIONS(2909),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2907),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2907),
    [aux_sym_gateway_ports_token1] = ACTIONS(2907),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2907),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2907),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2907),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2907),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2907),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2907),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2907),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2907),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2907),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2907),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2907),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2907),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2907),
    [aux_sym_host_key_alias_token1] = ACTIONS(2907),
    [aux_sym_hostname_token1] = ACTIONS(2907),
    [aux_sym_identities_only_token1] = ACTIONS(2907),
    [aux_sym_identity_agent_token1] = ACTIONS(2907),
    [aux_sym_identity_file_token1] = ACTIONS(2907),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2907),
    [aux_sym_include_token1] = ACTIONS(2907),
    [aux_sym_ip_qos_token1] = ACTIONS(2907),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2907),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2907),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2907),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2907),
    [aux_sym_local_command_token1] = ACTIONS(2907),
    [aux_sym_local_forward_token1] = ACTIONS(2907),
    [aux_sym_log_level_token1] = ACTIONS(2907),
    [aux_sym_log_verbose_token1] = ACTIONS(2907),
    [aux_sym_macs_token1] = ACTIONS(2907),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2907),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2907),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2907),
    [aux_sym_password_authentication_token1] = ACTIONS(2907),
    [aux_sym_permit_local_command_token1] = ACTIONS(2907),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2907),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2907),
    [aux_sym_port_token1] = ACTIONS(2907),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2907),
    [aux_sym_protocol_token1] = ACTIONS(2907),
    [aux_sym_proxy_command_token1] = ACTIONS(2907),
    [aux_sym_proxy_jump_token1] = ACTIONS(2907),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2907),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2907),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2907),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2907),
    [aux_sym_rekey_limit_token1] = ACTIONS(2907),
    [aux_sym_remote_command_token1] = ACTIONS(2907),
    [aux_sym_remote_forward_token1] = ACTIONS(2907),
    [aux_sym_request_tty_token1] = ACTIONS(2907),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2907),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2907),
    [aux_sym_security_key_provider_token1] = ACTIONS(2907),
    [aux_sym_send_env_token1] = ACTIONS(2907),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2907),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2907),
    [aux_sym_session_type_token1] = ACTIONS(2907),
    [aux_sym_set_env_token1] = ACTIONS(2907),
    [aux_sym_stdin_null_token1] = ACTIONS(2907),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2907),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2907),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2907),
    [aux_sym_syslog_facility_token1] = ACTIONS(2907),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2907),
    [aux_sym_keep_alive_token1] = ACTIONS(2907),
    [aux_sym_tag_token1] = ACTIONS(2907),
    [aux_sym_tunnel_token1] = ACTIONS(2909),
    [aux_sym_tunnel_device_token1] = ACTIONS(2907),
    [aux_sym_update_host_keys_token1] = ACTIONS(2907),
    [aux_sym_use_keychain_token1] = ACTIONS(2907),
    [aux_sym_use_roaming_token1] = ACTIONS(2907),
    [aux_sym_user_token1] = ACTIONS(2909),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2907),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2907),
    [aux_sym_visual_host_key_token1] = ACTIONS(2907),
    [aux_sym_xauth_location_token1] = ACTIONS(2907),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [aux_sym_match_token1] = ACTIONS(2911),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2911),
    [aux_sym_address_family_token1] = ACTIONS(2911),
    [aux_sym_batch_mode_token1] = ACTIONS(2911),
    [aux_sym_bind_address_token1] = ACTIONS(2911),
    [aux_sym_bind_interface_token1] = ACTIONS(2911),
    [aux_sym_canonical_domains_token1] = ACTIONS(2911),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2911),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2911),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2911),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2911),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2911),
    [aux_sym_certificate_file_token1] = ACTIONS(2911),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2911),
    [aux_sym_channel_timeout_token1] = ACTIONS(2911),
    [aux_sym_check_host_ip_token1] = ACTIONS(2911),
    [aux_sym_ciphers_token1] = ACTIONS(2911),
    [aux_sym_cipher_token1] = ACTIONS(2913),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2911),
    [aux_sym_compression_token1] = ACTIONS(2911),
    [aux_sym_connection_attempts_token1] = ACTIONS(2911),
    [aux_sym_connect_timeout_token1] = ACTIONS(2911),
    [aux_sym_control_master_token1] = ACTIONS(2911),
    [aux_sym_control_path_token1] = ACTIONS(2911),
    [aux_sym_control_persist_token1] = ACTIONS(2911),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2911),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2911),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2911),
    [aux_sym_escape_char_token1] = ACTIONS(2911),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2911),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2911),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2911),
    [aux_sym_forward_agent_token1] = ACTIONS(2911),
    [aux_sym_forward_x11_token1] = ACTIONS(2913),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2911),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2911),
    [aux_sym_gateway_ports_token1] = ACTIONS(2911),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2911),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2911),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2911),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2911),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2911),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2911),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2911),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2911),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2911),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2911),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2911),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2911),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2911),
    [aux_sym_host_key_alias_token1] = ACTIONS(2911),
    [aux_sym_hostname_token1] = ACTIONS(2911),
    [aux_sym_identities_only_token1] = ACTIONS(2911),
    [aux_sym_identity_agent_token1] = ACTIONS(2911),
    [aux_sym_identity_file_token1] = ACTIONS(2911),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2911),
    [aux_sym_include_token1] = ACTIONS(2911),
    [aux_sym_ip_qos_token1] = ACTIONS(2911),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2911),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2911),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2911),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2911),
    [aux_sym_local_command_token1] = ACTIONS(2911),
    [aux_sym_local_forward_token1] = ACTIONS(2911),
    [aux_sym_log_level_token1] = ACTIONS(2911),
    [aux_sym_log_verbose_token1] = ACTIONS(2911),
    [aux_sym_macs_token1] = ACTIONS(2911),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2911),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2911),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2911),
    [aux_sym_password_authentication_token1] = ACTIONS(2911),
    [aux_sym_permit_local_command_token1] = ACTIONS(2911),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2911),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2911),
    [aux_sym_port_token1] = ACTIONS(2911),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2911),
    [aux_sym_protocol_token1] = ACTIONS(2911),
    [aux_sym_proxy_command_token1] = ACTIONS(2911),
    [aux_sym_proxy_jump_token1] = ACTIONS(2911),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2911),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2911),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2911),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2911),
    [aux_sym_rekey_limit_token1] = ACTIONS(2911),
    [aux_sym_remote_command_token1] = ACTIONS(2911),
    [aux_sym_remote_forward_token1] = ACTIONS(2911),
    [aux_sym_request_tty_token1] = ACTIONS(2911),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2911),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2911),
    [aux_sym_security_key_provider_token1] = ACTIONS(2911),
    [aux_sym_send_env_token1] = ACTIONS(2911),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2911),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2911),
    [aux_sym_session_type_token1] = ACTIONS(2911),
    [aux_sym_set_env_token1] = ACTIONS(2911),
    [aux_sym_stdin_null_token1] = ACTIONS(2911),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2911),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2911),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2911),
    [aux_sym_syslog_facility_token1] = ACTIONS(2911),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2911),
    [aux_sym_keep_alive_token1] = ACTIONS(2911),
    [aux_sym_tag_token1] = ACTIONS(2911),
    [aux_sym_tunnel_token1] = ACTIONS(2913),
    [aux_sym_tunnel_device_token1] = ACTIONS(2911),
    [aux_sym_update_host_keys_token1] = ACTIONS(2911),
    [aux_sym_use_keychain_token1] = ACTIONS(2911),
    [aux_sym_use_roaming_token1] = ACTIONS(2911),
    [aux_sym_user_token1] = ACTIONS(2913),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2911),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2911),
    [aux_sym_visual_host_key_token1] = ACTIONS(2911),
    [aux_sym_xauth_location_token1] = ACTIONS(2911),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [aux_sym_match_token1] = ACTIONS(2917),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2917),
    [aux_sym_address_family_token1] = ACTIONS(2917),
    [aux_sym_batch_mode_token1] = ACTIONS(2917),
    [aux_sym_bind_address_token1] = ACTIONS(2917),
    [aux_sym_bind_interface_token1] = ACTIONS(2917),
    [aux_sym_canonical_domains_token1] = ACTIONS(2917),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2917),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2917),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2917),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2917),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2917),
    [aux_sym_certificate_file_token1] = ACTIONS(2917),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2917),
    [aux_sym_channel_timeout_token1] = ACTIONS(2917),
    [aux_sym_check_host_ip_token1] = ACTIONS(2917),
    [aux_sym_ciphers_token1] = ACTIONS(2917),
    [aux_sym_cipher_token1] = ACTIONS(2919),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2917),
    [aux_sym_compression_token1] = ACTIONS(2917),
    [aux_sym_connection_attempts_token1] = ACTIONS(2917),
    [aux_sym_connect_timeout_token1] = ACTIONS(2917),
    [aux_sym_control_master_token1] = ACTIONS(2917),
    [aux_sym_control_path_token1] = ACTIONS(2917),
    [aux_sym_control_persist_token1] = ACTIONS(2917),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2917),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2917),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2917),
    [aux_sym_escape_char_token1] = ACTIONS(2917),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2917),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2917),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2917),
    [aux_sym_forward_agent_token1] = ACTIONS(2917),
    [aux_sym_forward_x11_token1] = ACTIONS(2919),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2917),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2917),
    [aux_sym_gateway_ports_token1] = ACTIONS(2917),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2917),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2917),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2917),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2917),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2917),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2917),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2917),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2917),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2917),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2917),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2917),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2917),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2917),
    [aux_sym_host_key_alias_token1] = ACTIONS(2917),
    [aux_sym_hostname_token1] = ACTIONS(2917),
    [aux_sym_identities_only_token1] = ACTIONS(2917),
    [aux_sym_identity_agent_token1] = ACTIONS(2917),
    [aux_sym_identity_file_token1] = ACTIONS(2917),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2917),
    [aux_sym_include_token1] = ACTIONS(2917),
    [aux_sym_ip_qos_token1] = ACTIONS(2917),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2917),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2917),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2917),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2917),
    [aux_sym_local_command_token1] = ACTIONS(2917),
    [aux_sym_local_forward_token1] = ACTIONS(2917),
    [aux_sym_log_level_token1] = ACTIONS(2917),
    [aux_sym_log_verbose_token1] = ACTIONS(2917),
    [aux_sym_macs_token1] = ACTIONS(2917),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2917),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2917),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2917),
    [aux_sym_password_authentication_token1] = ACTIONS(2917),
    [aux_sym_permit_local_command_token1] = ACTIONS(2917),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2917),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2917),
    [aux_sym_port_token1] = ACTIONS(2917),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2917),
    [aux_sym_protocol_token1] = ACTIONS(2917),
    [aux_sym_proxy_command_token1] = ACTIONS(2917),
    [aux_sym_proxy_jump_token1] = ACTIONS(2917),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2917),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2917),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2917),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2917),
    [aux_sym_rekey_limit_token1] = ACTIONS(2917),
    [aux_sym_remote_command_token1] = ACTIONS(2917),
    [aux_sym_remote_forward_token1] = ACTIONS(2917),
    [aux_sym_request_tty_token1] = ACTIONS(2917),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2917),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2917),
    [aux_sym_security_key_provider_token1] = ACTIONS(2917),
    [aux_sym_send_env_token1] = ACTIONS(2917),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2917),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2917),
    [aux_sym_session_type_token1] = ACTIONS(2917),
    [aux_sym_set_env_token1] = ACTIONS(2917),
    [aux_sym_stdin_null_token1] = ACTIONS(2917),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2917),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2917),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2917),
    [aux_sym_syslog_facility_token1] = ACTIONS(2917),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2917),
    [aux_sym_keep_alive_token1] = ACTIONS(2917),
    [aux_sym_tag_token1] = ACTIONS(2917),
    [aux_sym_tunnel_token1] = ACTIONS(2919),
    [aux_sym_tunnel_device_token1] = ACTIONS(2917),
    [aux_sym_update_host_keys_token1] = ACTIONS(2917),
    [aux_sym_use_keychain_token1] = ACTIONS(2917),
    [aux_sym_use_roaming_token1] = ACTIONS(2917),
    [aux_sym_user_token1] = ACTIONS(2919),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2917),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2917),
    [aux_sym_visual_host_key_token1] = ACTIONS(2917),
    [aux_sym_xauth_location_token1] = ACTIONS(2917),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [aux_sym_match_token1] = ACTIONS(2923),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2923),
    [aux_sym_address_family_token1] = ACTIONS(2923),
    [aux_sym_batch_mode_token1] = ACTIONS(2923),
    [aux_sym_bind_address_token1] = ACTIONS(2923),
    [aux_sym_bind_interface_token1] = ACTIONS(2923),
    [aux_sym_canonical_domains_token1] = ACTIONS(2923),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2923),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2923),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2923),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2923),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2923),
    [aux_sym_certificate_file_token1] = ACTIONS(2923),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2923),
    [aux_sym_channel_timeout_token1] = ACTIONS(2923),
    [aux_sym_check_host_ip_token1] = ACTIONS(2923),
    [aux_sym_ciphers_token1] = ACTIONS(2923),
    [aux_sym_cipher_token1] = ACTIONS(2925),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2923),
    [aux_sym_compression_token1] = ACTIONS(2923),
    [aux_sym_connection_attempts_token1] = ACTIONS(2923),
    [aux_sym_connect_timeout_token1] = ACTIONS(2923),
    [aux_sym_control_master_token1] = ACTIONS(2923),
    [aux_sym_control_path_token1] = ACTIONS(2923),
    [aux_sym_control_persist_token1] = ACTIONS(2923),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2923),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2923),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2923),
    [aux_sym_escape_char_token1] = ACTIONS(2923),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2923),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2923),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2923),
    [aux_sym_forward_agent_token1] = ACTIONS(2923),
    [aux_sym_forward_x11_token1] = ACTIONS(2925),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2923),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2923),
    [aux_sym_gateway_ports_token1] = ACTIONS(2923),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2923),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2923),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2923),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2923),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2923),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2923),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2923),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2923),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2923),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2923),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2923),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2923),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2923),
    [aux_sym_host_key_alias_token1] = ACTIONS(2923),
    [aux_sym_hostname_token1] = ACTIONS(2923),
    [aux_sym_identities_only_token1] = ACTIONS(2923),
    [aux_sym_identity_agent_token1] = ACTIONS(2923),
    [aux_sym_identity_file_token1] = ACTIONS(2923),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2923),
    [aux_sym_include_token1] = ACTIONS(2923),
    [aux_sym_ip_qos_token1] = ACTIONS(2923),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2923),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2923),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2923),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2923),
    [aux_sym_local_command_token1] = ACTIONS(2923),
    [aux_sym_local_forward_token1] = ACTIONS(2923),
    [aux_sym_log_level_token1] = ACTIONS(2923),
    [aux_sym_log_verbose_token1] = ACTIONS(2923),
    [aux_sym_macs_token1] = ACTIONS(2923),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2923),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2923),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2923),
    [aux_sym_password_authentication_token1] = ACTIONS(2923),
    [aux_sym_permit_local_command_token1] = ACTIONS(2923),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2923),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2923),
    [aux_sym_port_token1] = ACTIONS(2923),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2923),
    [aux_sym_protocol_token1] = ACTIONS(2923),
    [aux_sym_proxy_command_token1] = ACTIONS(2923),
    [aux_sym_proxy_jump_token1] = ACTIONS(2923),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2923),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2923),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2923),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2923),
    [aux_sym_rekey_limit_token1] = ACTIONS(2923),
    [aux_sym_remote_command_token1] = ACTIONS(2923),
    [aux_sym_remote_forward_token1] = ACTIONS(2923),
    [aux_sym_request_tty_token1] = ACTIONS(2923),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2923),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2923),
    [aux_sym_security_key_provider_token1] = ACTIONS(2923),
    [aux_sym_send_env_token1] = ACTIONS(2923),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2923),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2923),
    [aux_sym_session_type_token1] = ACTIONS(2923),
    [aux_sym_set_env_token1] = ACTIONS(2923),
    [aux_sym_stdin_null_token1] = ACTIONS(2923),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2923),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2923),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2923),
    [aux_sym_syslog_facility_token1] = ACTIONS(2923),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2923),
    [aux_sym_keep_alive_token1] = ACTIONS(2923),
    [aux_sym_tag_token1] = ACTIONS(2923),
    [aux_sym_tunnel_token1] = ACTIONS(2925),
    [aux_sym_tunnel_device_token1] = ACTIONS(2923),
    [aux_sym_update_host_keys_token1] = ACTIONS(2923),
    [aux_sym_use_keychain_token1] = ACTIONS(2923),
    [aux_sym_use_roaming_token1] = ACTIONS(2923),
    [aux_sym_user_token1] = ACTIONS(2925),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2923),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2923),
    [aux_sym_visual_host_key_token1] = ACTIONS(2923),
    [aux_sym_xauth_location_token1] = ACTIONS(2923),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [aux_sym_match_token1] = ACTIONS(2927),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2927),
    [aux_sym_address_family_token1] = ACTIONS(2927),
    [aux_sym_batch_mode_token1] = ACTIONS(2927),
    [aux_sym_bind_address_token1] = ACTIONS(2927),
    [aux_sym_bind_interface_token1] = ACTIONS(2927),
    [aux_sym_canonical_domains_token1] = ACTIONS(2927),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2927),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2927),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2927),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2927),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2927),
    [aux_sym_certificate_file_token1] = ACTIONS(2927),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2927),
    [aux_sym_channel_timeout_token1] = ACTIONS(2927),
    [aux_sym_check_host_ip_token1] = ACTIONS(2927),
    [aux_sym_ciphers_token1] = ACTIONS(2927),
    [aux_sym_cipher_token1] = ACTIONS(2929),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2927),
    [aux_sym_compression_token1] = ACTIONS(2927),
    [aux_sym_connection_attempts_token1] = ACTIONS(2927),
    [aux_sym_connect_timeout_token1] = ACTIONS(2927),
    [aux_sym_control_master_token1] = ACTIONS(2927),
    [aux_sym_control_path_token1] = ACTIONS(2927),
    [aux_sym_control_persist_token1] = ACTIONS(2927),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2927),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2927),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2927),
    [aux_sym_escape_char_token1] = ACTIONS(2927),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2927),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2927),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2927),
    [aux_sym_forward_agent_token1] = ACTIONS(2927),
    [aux_sym_forward_x11_token1] = ACTIONS(2929),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2927),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2927),
    [aux_sym_gateway_ports_token1] = ACTIONS(2927),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2927),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2927),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2927),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2927),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2927),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2927),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2927),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2927),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2927),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2927),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2927),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2927),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2927),
    [aux_sym_host_key_alias_token1] = ACTIONS(2927),
    [aux_sym_hostname_token1] = ACTIONS(2927),
    [aux_sym_identities_only_token1] = ACTIONS(2927),
    [aux_sym_identity_agent_token1] = ACTIONS(2927),
    [aux_sym_identity_file_token1] = ACTIONS(2927),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2927),
    [aux_sym_include_token1] = ACTIONS(2927),
    [aux_sym_ip_qos_token1] = ACTIONS(2927),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2927),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2927),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2927),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2927),
    [aux_sym_local_command_token1] = ACTIONS(2927),
    [aux_sym_local_forward_token1] = ACTIONS(2927),
    [aux_sym_log_level_token1] = ACTIONS(2927),
    [aux_sym_log_verbose_token1] = ACTIONS(2927),
    [aux_sym_macs_token1] = ACTIONS(2927),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2927),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2927),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2927),
    [aux_sym_password_authentication_token1] = ACTIONS(2927),
    [aux_sym_permit_local_command_token1] = ACTIONS(2927),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2927),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2927),
    [aux_sym_port_token1] = ACTIONS(2927),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2927),
    [aux_sym_protocol_token1] = ACTIONS(2927),
    [aux_sym_proxy_command_token1] = ACTIONS(2927),
    [aux_sym_proxy_jump_token1] = ACTIONS(2927),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2927),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2927),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2927),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2927),
    [aux_sym_rekey_limit_token1] = ACTIONS(2927),
    [aux_sym_remote_command_token1] = ACTIONS(2927),
    [aux_sym_remote_forward_token1] = ACTIONS(2927),
    [aux_sym_request_tty_token1] = ACTIONS(2927),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2927),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2927),
    [aux_sym_security_key_provider_token1] = ACTIONS(2927),
    [aux_sym_send_env_token1] = ACTIONS(2927),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2927),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2927),
    [aux_sym_session_type_token1] = ACTIONS(2927),
    [aux_sym_set_env_token1] = ACTIONS(2927),
    [aux_sym_stdin_null_token1] = ACTIONS(2927),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2927),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2927),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2927),
    [aux_sym_syslog_facility_token1] = ACTIONS(2927),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2927),
    [aux_sym_keep_alive_token1] = ACTIONS(2927),
    [aux_sym_tag_token1] = ACTIONS(2927),
    [aux_sym_tunnel_token1] = ACTIONS(2929),
    [aux_sym_tunnel_device_token1] = ACTIONS(2927),
    [aux_sym_update_host_keys_token1] = ACTIONS(2927),
    [aux_sym_use_keychain_token1] = ACTIONS(2927),
    [aux_sym_use_roaming_token1] = ACTIONS(2927),
    [aux_sym_user_token1] = ACTIONS(2929),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2927),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2927),
    [aux_sym_visual_host_key_token1] = ACTIONS(2927),
    [aux_sym_xauth_location_token1] = ACTIONS(2927),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [aux_sym_match_token1] = ACTIONS(2931),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2931),
    [aux_sym_address_family_token1] = ACTIONS(2931),
    [aux_sym_batch_mode_token1] = ACTIONS(2931),
    [aux_sym_bind_address_token1] = ACTIONS(2931),
    [aux_sym_bind_interface_token1] = ACTIONS(2931),
    [aux_sym_canonical_domains_token1] = ACTIONS(2931),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2931),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2931),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2931),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2931),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2931),
    [aux_sym_certificate_file_token1] = ACTIONS(2931),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2931),
    [aux_sym_channel_timeout_token1] = ACTIONS(2931),
    [aux_sym_check_host_ip_token1] = ACTIONS(2931),
    [aux_sym_ciphers_token1] = ACTIONS(2931),
    [aux_sym_cipher_token1] = ACTIONS(2933),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2931),
    [aux_sym_compression_token1] = ACTIONS(2931),
    [aux_sym_connection_attempts_token1] = ACTIONS(2931),
    [aux_sym_connect_timeout_token1] = ACTIONS(2931),
    [aux_sym_control_master_token1] = ACTIONS(2931),
    [aux_sym_control_path_token1] = ACTIONS(2931),
    [aux_sym_control_persist_token1] = ACTIONS(2931),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2931),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2931),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2931),
    [aux_sym_escape_char_token1] = ACTIONS(2931),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2931),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2931),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2931),
    [aux_sym_forward_agent_token1] = ACTIONS(2931),
    [aux_sym_forward_x11_token1] = ACTIONS(2933),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2931),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2931),
    [aux_sym_gateway_ports_token1] = ACTIONS(2931),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2931),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2931),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2931),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2931),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2931),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2931),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2931),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2931),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2931),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2931),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2931),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2931),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2931),
    [aux_sym_host_key_alias_token1] = ACTIONS(2931),
    [aux_sym_hostname_token1] = ACTIONS(2931),
    [aux_sym_identities_only_token1] = ACTIONS(2931),
    [aux_sym_identity_agent_token1] = ACTIONS(2931),
    [aux_sym_identity_file_token1] = ACTIONS(2931),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2931),
    [aux_sym_include_token1] = ACTIONS(2931),
    [aux_sym_ip_qos_token1] = ACTIONS(2931),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2931),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2931),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2931),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2931),
    [aux_sym_local_command_token1] = ACTIONS(2931),
    [aux_sym_local_forward_token1] = ACTIONS(2931),
    [aux_sym_log_level_token1] = ACTIONS(2931),
    [aux_sym_log_verbose_token1] = ACTIONS(2931),
    [aux_sym_macs_token1] = ACTIONS(2931),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2931),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2931),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2931),
    [aux_sym_password_authentication_token1] = ACTIONS(2931),
    [aux_sym_permit_local_command_token1] = ACTIONS(2931),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2931),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2931),
    [aux_sym_port_token1] = ACTIONS(2931),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2931),
    [aux_sym_protocol_token1] = ACTIONS(2931),
    [aux_sym_proxy_command_token1] = ACTIONS(2931),
    [aux_sym_proxy_jump_token1] = ACTIONS(2931),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2931),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2931),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2931),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2931),
    [aux_sym_rekey_limit_token1] = ACTIONS(2931),
    [aux_sym_remote_command_token1] = ACTIONS(2931),
    [aux_sym_remote_forward_token1] = ACTIONS(2931),
    [aux_sym_request_tty_token1] = ACTIONS(2931),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2931),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2931),
    [aux_sym_security_key_provider_token1] = ACTIONS(2931),
    [aux_sym_send_env_token1] = ACTIONS(2931),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2931),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2931),
    [aux_sym_session_type_token1] = ACTIONS(2931),
    [aux_sym_set_env_token1] = ACTIONS(2931),
    [aux_sym_stdin_null_token1] = ACTIONS(2931),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2931),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2931),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2931),
    [aux_sym_syslog_facility_token1] = ACTIONS(2931),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2931),
    [aux_sym_keep_alive_token1] = ACTIONS(2931),
    [aux_sym_tag_token1] = ACTIONS(2931),
    [aux_sym_tunnel_token1] = ACTIONS(2933),
    [aux_sym_tunnel_device_token1] = ACTIONS(2931),
    [aux_sym_update_host_keys_token1] = ACTIONS(2931),
    [aux_sym_use_keychain_token1] = ACTIONS(2931),
    [aux_sym_use_roaming_token1] = ACTIONS(2931),
    [aux_sym_user_token1] = ACTIONS(2933),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2931),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2931),
    [aux_sym_visual_host_key_token1] = ACTIONS(2931),
    [aux_sym_xauth_location_token1] = ACTIONS(2931),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [aux_sym_match_token1] = ACTIONS(2937),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2937),
    [aux_sym_address_family_token1] = ACTIONS(2937),
    [aux_sym_batch_mode_token1] = ACTIONS(2937),
    [aux_sym_bind_address_token1] = ACTIONS(2937),
    [aux_sym_bind_interface_token1] = ACTIONS(2937),
    [aux_sym_canonical_domains_token1] = ACTIONS(2937),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2937),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2937),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2937),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2937),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2937),
    [aux_sym_certificate_file_token1] = ACTIONS(2937),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2937),
    [aux_sym_channel_timeout_token1] = ACTIONS(2937),
    [aux_sym_check_host_ip_token1] = ACTIONS(2937),
    [aux_sym_ciphers_token1] = ACTIONS(2937),
    [aux_sym_cipher_token1] = ACTIONS(2939),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2937),
    [aux_sym_compression_token1] = ACTIONS(2937),
    [aux_sym_connection_attempts_token1] = ACTIONS(2937),
    [aux_sym_connect_timeout_token1] = ACTIONS(2937),
    [aux_sym_control_master_token1] = ACTIONS(2937),
    [aux_sym_control_path_token1] = ACTIONS(2937),
    [aux_sym_control_persist_token1] = ACTIONS(2937),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2937),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2937),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2937),
    [aux_sym_escape_char_token1] = ACTIONS(2937),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2937),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2937),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2937),
    [aux_sym_forward_agent_token1] = ACTIONS(2937),
    [aux_sym_forward_x11_token1] = ACTIONS(2939),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2937),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2937),
    [aux_sym_gateway_ports_token1] = ACTIONS(2937),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2937),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2937),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2937),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2937),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2937),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2937),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2937),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2937),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2937),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2937),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2937),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2937),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2937),
    [aux_sym_host_key_alias_token1] = ACTIONS(2937),
    [aux_sym_hostname_token1] = ACTIONS(2937),
    [aux_sym_identities_only_token1] = ACTIONS(2937),
    [aux_sym_identity_agent_token1] = ACTIONS(2937),
    [aux_sym_identity_file_token1] = ACTIONS(2937),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2937),
    [aux_sym_include_token1] = ACTIONS(2937),
    [aux_sym_ip_qos_token1] = ACTIONS(2937),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2937),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2937),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2937),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2937),
    [aux_sym_local_command_token1] = ACTIONS(2937),
    [aux_sym_local_forward_token1] = ACTIONS(2937),
    [aux_sym_log_level_token1] = ACTIONS(2937),
    [aux_sym_log_verbose_token1] = ACTIONS(2937),
    [aux_sym_macs_token1] = ACTIONS(2937),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2937),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2937),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2937),
    [aux_sym_password_authentication_token1] = ACTIONS(2937),
    [aux_sym_permit_local_command_token1] = ACTIONS(2937),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2937),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2937),
    [aux_sym_port_token1] = ACTIONS(2937),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2937),
    [aux_sym_protocol_token1] = ACTIONS(2937),
    [aux_sym_proxy_command_token1] = ACTIONS(2937),
    [aux_sym_proxy_jump_token1] = ACTIONS(2937),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2937),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2937),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2937),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2937),
    [aux_sym_rekey_limit_token1] = ACTIONS(2937),
    [aux_sym_remote_command_token1] = ACTIONS(2937),
    [aux_sym_remote_forward_token1] = ACTIONS(2937),
    [aux_sym_request_tty_token1] = ACTIONS(2937),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2937),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2937),
    [aux_sym_security_key_provider_token1] = ACTIONS(2937),
    [aux_sym_send_env_token1] = ACTIONS(2937),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2937),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2937),
    [aux_sym_session_type_token1] = ACTIONS(2937),
    [aux_sym_set_env_token1] = ACTIONS(2937),
    [aux_sym_stdin_null_token1] = ACTIONS(2937),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2937),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2937),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2937),
    [aux_sym_syslog_facility_token1] = ACTIONS(2937),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2937),
    [aux_sym_keep_alive_token1] = ACTIONS(2937),
    [aux_sym_tag_token1] = ACTIONS(2937),
    [aux_sym_tunnel_token1] = ACTIONS(2939),
    [aux_sym_tunnel_device_token1] = ACTIONS(2937),
    [aux_sym_update_host_keys_token1] = ACTIONS(2937),
    [aux_sym_use_keychain_token1] = ACTIONS(2937),
    [aux_sym_use_roaming_token1] = ACTIONS(2937),
    [aux_sym_user_token1] = ACTIONS(2939),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2937),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2937),
    [aux_sym_visual_host_key_token1] = ACTIONS(2937),
    [aux_sym_xauth_location_token1] = ACTIONS(2937),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [aux_sym_match_token1] = ACTIONS(2941),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2941),
    [aux_sym_address_family_token1] = ACTIONS(2941),
    [aux_sym_batch_mode_token1] = ACTIONS(2941),
    [aux_sym_bind_address_token1] = ACTIONS(2941),
    [aux_sym_bind_interface_token1] = ACTIONS(2941),
    [aux_sym_canonical_domains_token1] = ACTIONS(2941),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2941),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2941),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2941),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2941),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2941),
    [aux_sym_certificate_file_token1] = ACTIONS(2941),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2941),
    [aux_sym_channel_timeout_token1] = ACTIONS(2941),
    [aux_sym_check_host_ip_token1] = ACTIONS(2941),
    [aux_sym_ciphers_token1] = ACTIONS(2941),
    [aux_sym_cipher_token1] = ACTIONS(2943),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2941),
    [aux_sym_compression_token1] = ACTIONS(2941),
    [aux_sym_connection_attempts_token1] = ACTIONS(2941),
    [aux_sym_connect_timeout_token1] = ACTIONS(2941),
    [aux_sym_control_master_token1] = ACTIONS(2941),
    [aux_sym_control_path_token1] = ACTIONS(2941),
    [aux_sym_control_persist_token1] = ACTIONS(2941),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2941),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2941),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2941),
    [aux_sym_escape_char_token1] = ACTIONS(2941),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2941),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2941),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2941),
    [aux_sym_forward_agent_token1] = ACTIONS(2941),
    [aux_sym_forward_x11_token1] = ACTIONS(2943),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2941),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2941),
    [aux_sym_gateway_ports_token1] = ACTIONS(2941),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2941),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2941),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2941),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2941),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2941),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2941),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2941),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2941),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2941),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2941),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2941),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2941),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2941),
    [aux_sym_host_key_alias_token1] = ACTIONS(2941),
    [aux_sym_hostname_token1] = ACTIONS(2941),
    [aux_sym_identities_only_token1] = ACTIONS(2941),
    [aux_sym_identity_agent_token1] = ACTIONS(2941),
    [aux_sym_identity_file_token1] = ACTIONS(2941),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2941),
    [aux_sym_include_token1] = ACTIONS(2941),
    [aux_sym_ip_qos_token1] = ACTIONS(2941),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2941),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2941),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2941),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2941),
    [aux_sym_local_command_token1] = ACTIONS(2941),
    [aux_sym_local_forward_token1] = ACTIONS(2941),
    [aux_sym_log_level_token1] = ACTIONS(2941),
    [aux_sym_log_verbose_token1] = ACTIONS(2941),
    [aux_sym_macs_token1] = ACTIONS(2941),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2941),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2941),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2941),
    [aux_sym_password_authentication_token1] = ACTIONS(2941),
    [aux_sym_permit_local_command_token1] = ACTIONS(2941),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2941),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2941),
    [aux_sym_port_token1] = ACTIONS(2941),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2941),
    [aux_sym_protocol_token1] = ACTIONS(2941),
    [aux_sym_proxy_command_token1] = ACTIONS(2941),
    [aux_sym_proxy_jump_token1] = ACTIONS(2941),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2941),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2941),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2941),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2941),
    [aux_sym_rekey_limit_token1] = ACTIONS(2941),
    [aux_sym_remote_command_token1] = ACTIONS(2941),
    [aux_sym_remote_forward_token1] = ACTIONS(2941),
    [aux_sym_request_tty_token1] = ACTIONS(2941),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2941),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2941),
    [aux_sym_security_key_provider_token1] = ACTIONS(2941),
    [aux_sym_send_env_token1] = ACTIONS(2941),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2941),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2941),
    [aux_sym_session_type_token1] = ACTIONS(2941),
    [aux_sym_set_env_token1] = ACTIONS(2941),
    [aux_sym_stdin_null_token1] = ACTIONS(2941),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2941),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2941),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2941),
    [aux_sym_syslog_facility_token1] = ACTIONS(2941),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2941),
    [aux_sym_keep_alive_token1] = ACTIONS(2941),
    [aux_sym_tag_token1] = ACTIONS(2941),
    [aux_sym_tunnel_token1] = ACTIONS(2943),
    [aux_sym_tunnel_device_token1] = ACTIONS(2941),
    [aux_sym_update_host_keys_token1] = ACTIONS(2941),
    [aux_sym_use_keychain_token1] = ACTIONS(2941),
    [aux_sym_use_roaming_token1] = ACTIONS(2941),
    [aux_sym_user_token1] = ACTIONS(2943),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2941),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2941),
    [aux_sym_visual_host_key_token1] = ACTIONS(2941),
    [aux_sym_xauth_location_token1] = ACTIONS(2941),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [aux_sym_match_token1] = ACTIONS(2947),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2947),
    [aux_sym_address_family_token1] = ACTIONS(2947),
    [aux_sym_batch_mode_token1] = ACTIONS(2947),
    [aux_sym_bind_address_token1] = ACTIONS(2947),
    [aux_sym_bind_interface_token1] = ACTIONS(2947),
    [aux_sym_canonical_domains_token1] = ACTIONS(2947),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2947),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2947),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2947),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2947),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2947),
    [aux_sym_certificate_file_token1] = ACTIONS(2947),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2947),
    [aux_sym_channel_timeout_token1] = ACTIONS(2947),
    [aux_sym_check_host_ip_token1] = ACTIONS(2947),
    [aux_sym_ciphers_token1] = ACTIONS(2947),
    [aux_sym_cipher_token1] = ACTIONS(2949),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2947),
    [aux_sym_compression_token1] = ACTIONS(2947),
    [aux_sym_connection_attempts_token1] = ACTIONS(2947),
    [aux_sym_connect_timeout_token1] = ACTIONS(2947),
    [aux_sym_control_master_token1] = ACTIONS(2947),
    [aux_sym_control_path_token1] = ACTIONS(2947),
    [aux_sym_control_persist_token1] = ACTIONS(2947),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2947),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2947),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2947),
    [aux_sym_escape_char_token1] = ACTIONS(2947),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2947),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2947),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2947),
    [aux_sym_forward_agent_token1] = ACTIONS(2947),
    [aux_sym_forward_x11_token1] = ACTIONS(2949),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2947),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2947),
    [aux_sym_gateway_ports_token1] = ACTIONS(2947),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2947),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2947),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2947),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2947),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2947),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2947),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2947),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2947),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2947),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2947),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2947),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2947),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2947),
    [aux_sym_host_key_alias_token1] = ACTIONS(2947),
    [aux_sym_hostname_token1] = ACTIONS(2947),
    [aux_sym_identities_only_token1] = ACTIONS(2947),
    [aux_sym_identity_agent_token1] = ACTIONS(2947),
    [aux_sym_identity_file_token1] = ACTIONS(2947),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2947),
    [aux_sym_include_token1] = ACTIONS(2947),
    [aux_sym_ip_qos_token1] = ACTIONS(2947),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2947),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2947),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2947),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2947),
    [aux_sym_local_command_token1] = ACTIONS(2947),
    [aux_sym_local_forward_token1] = ACTIONS(2947),
    [aux_sym_log_level_token1] = ACTIONS(2947),
    [aux_sym_log_verbose_token1] = ACTIONS(2947),
    [aux_sym_macs_token1] = ACTIONS(2947),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2947),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2947),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2947),
    [aux_sym_password_authentication_token1] = ACTIONS(2947),
    [aux_sym_permit_local_command_token1] = ACTIONS(2947),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2947),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2947),
    [aux_sym_port_token1] = ACTIONS(2947),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2947),
    [aux_sym_protocol_token1] = ACTIONS(2947),
    [aux_sym_proxy_command_token1] = ACTIONS(2947),
    [aux_sym_proxy_jump_token1] = ACTIONS(2947),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2947),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2947),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2947),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2947),
    [aux_sym_rekey_limit_token1] = ACTIONS(2947),
    [aux_sym_remote_command_token1] = ACTIONS(2947),
    [aux_sym_remote_forward_token1] = ACTIONS(2947),
    [aux_sym_request_tty_token1] = ACTIONS(2947),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2947),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2947),
    [aux_sym_security_key_provider_token1] = ACTIONS(2947),
    [aux_sym_send_env_token1] = ACTIONS(2947),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2947),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2947),
    [aux_sym_session_type_token1] = ACTIONS(2947),
    [aux_sym_set_env_token1] = ACTIONS(2947),
    [aux_sym_stdin_null_token1] = ACTIONS(2947),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2947),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2947),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2947),
    [aux_sym_syslog_facility_token1] = ACTIONS(2947),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2947),
    [aux_sym_keep_alive_token1] = ACTIONS(2947),
    [aux_sym_tag_token1] = ACTIONS(2947),
    [aux_sym_tunnel_token1] = ACTIONS(2949),
    [aux_sym_tunnel_device_token1] = ACTIONS(2947),
    [aux_sym_update_host_keys_token1] = ACTIONS(2947),
    [aux_sym_use_keychain_token1] = ACTIONS(2947),
    [aux_sym_use_roaming_token1] = ACTIONS(2947),
    [aux_sym_user_token1] = ACTIONS(2949),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2947),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2947),
    [aux_sym_visual_host_key_token1] = ACTIONS(2947),
    [aux_sym_xauth_location_token1] = ACTIONS(2947),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [aux_sym_match_token1] = ACTIONS(2951),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2951),
    [aux_sym_address_family_token1] = ACTIONS(2951),
    [aux_sym_batch_mode_token1] = ACTIONS(2951),
    [aux_sym_bind_address_token1] = ACTIONS(2951),
    [aux_sym_bind_interface_token1] = ACTIONS(2951),
    [aux_sym_canonical_domains_token1] = ACTIONS(2951),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2951),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2951),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2951),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2951),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2951),
    [aux_sym_certificate_file_token1] = ACTIONS(2951),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2951),
    [aux_sym_channel_timeout_token1] = ACTIONS(2951),
    [aux_sym_check_host_ip_token1] = ACTIONS(2951),
    [aux_sym_ciphers_token1] = ACTIONS(2951),
    [aux_sym_cipher_token1] = ACTIONS(2953),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2951),
    [aux_sym_compression_token1] = ACTIONS(2951),
    [aux_sym_connection_attempts_token1] = ACTIONS(2951),
    [aux_sym_connect_timeout_token1] = ACTIONS(2951),
    [aux_sym_control_master_token1] = ACTIONS(2951),
    [aux_sym_control_path_token1] = ACTIONS(2951),
    [aux_sym_control_persist_token1] = ACTIONS(2951),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2951),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2951),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2951),
    [aux_sym_escape_char_token1] = ACTIONS(2951),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2951),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2951),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2951),
    [aux_sym_forward_agent_token1] = ACTIONS(2951),
    [aux_sym_forward_x11_token1] = ACTIONS(2953),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2951),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2951),
    [aux_sym_gateway_ports_token1] = ACTIONS(2951),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2951),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2951),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2951),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2951),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2951),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2951),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2951),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2951),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2951),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2951),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2951),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2951),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2951),
    [aux_sym_host_key_alias_token1] = ACTIONS(2951),
    [aux_sym_hostname_token1] = ACTIONS(2951),
    [aux_sym_identities_only_token1] = ACTIONS(2951),
    [aux_sym_identity_agent_token1] = ACTIONS(2951),
    [aux_sym_identity_file_token1] = ACTIONS(2951),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2951),
    [aux_sym_include_token1] = ACTIONS(2951),
    [aux_sym_ip_qos_token1] = ACTIONS(2951),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2951),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2951),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2951),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2951),
    [aux_sym_local_command_token1] = ACTIONS(2951),
    [aux_sym_local_forward_token1] = ACTIONS(2951),
    [aux_sym_log_level_token1] = ACTIONS(2951),
    [aux_sym_log_verbose_token1] = ACTIONS(2951),
    [aux_sym_macs_token1] = ACTIONS(2951),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2951),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2951),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2951),
    [aux_sym_password_authentication_token1] = ACTIONS(2951),
    [aux_sym_permit_local_command_token1] = ACTIONS(2951),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2951),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2951),
    [aux_sym_port_token1] = ACTIONS(2951),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2951),
    [aux_sym_protocol_token1] = ACTIONS(2951),
    [aux_sym_proxy_command_token1] = ACTIONS(2951),
    [aux_sym_proxy_jump_token1] = ACTIONS(2951),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2951),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2951),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2951),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2951),
    [aux_sym_rekey_limit_token1] = ACTIONS(2951),
    [aux_sym_remote_command_token1] = ACTIONS(2951),
    [aux_sym_remote_forward_token1] = ACTIONS(2951),
    [aux_sym_request_tty_token1] = ACTIONS(2951),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2951),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2951),
    [aux_sym_security_key_provider_token1] = ACTIONS(2951),
    [aux_sym_send_env_token1] = ACTIONS(2951),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2951),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2951),
    [aux_sym_session_type_token1] = ACTIONS(2951),
    [aux_sym_set_env_token1] = ACTIONS(2951),
    [aux_sym_stdin_null_token1] = ACTIONS(2951),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2951),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2951),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2951),
    [aux_sym_syslog_facility_token1] = ACTIONS(2951),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2951),
    [aux_sym_keep_alive_token1] = ACTIONS(2951),
    [aux_sym_tag_token1] = ACTIONS(2951),
    [aux_sym_tunnel_token1] = ACTIONS(2953),
    [aux_sym_tunnel_device_token1] = ACTIONS(2951),
    [aux_sym_update_host_keys_token1] = ACTIONS(2951),
    [aux_sym_use_keychain_token1] = ACTIONS(2951),
    [aux_sym_use_roaming_token1] = ACTIONS(2951),
    [aux_sym_user_token1] = ACTIONS(2953),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2951),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2951),
    [aux_sym_visual_host_key_token1] = ACTIONS(2951),
    [aux_sym_xauth_location_token1] = ACTIONS(2951),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [aux_sym_match_token1] = ACTIONS(2957),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2957),
    [aux_sym_address_family_token1] = ACTIONS(2957),
    [aux_sym_batch_mode_token1] = ACTIONS(2957),
    [aux_sym_bind_address_token1] = ACTIONS(2957),
    [aux_sym_bind_interface_token1] = ACTIONS(2957),
    [aux_sym_canonical_domains_token1] = ACTIONS(2957),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2957),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2957),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2957),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2957),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2957),
    [aux_sym_certificate_file_token1] = ACTIONS(2957),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2957),
    [aux_sym_channel_timeout_token1] = ACTIONS(2957),
    [aux_sym_check_host_ip_token1] = ACTIONS(2957),
    [aux_sym_ciphers_token1] = ACTIONS(2957),
    [aux_sym_cipher_token1] = ACTIONS(2959),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2957),
    [aux_sym_compression_token1] = ACTIONS(2957),
    [aux_sym_connection_attempts_token1] = ACTIONS(2957),
    [aux_sym_connect_timeout_token1] = ACTIONS(2957),
    [aux_sym_control_master_token1] = ACTIONS(2957),
    [aux_sym_control_path_token1] = ACTIONS(2957),
    [aux_sym_control_persist_token1] = ACTIONS(2957),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2957),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2957),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2957),
    [aux_sym_escape_char_token1] = ACTIONS(2957),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2957),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2957),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2957),
    [aux_sym_forward_agent_token1] = ACTIONS(2957),
    [aux_sym_forward_x11_token1] = ACTIONS(2959),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2957),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2957),
    [aux_sym_gateway_ports_token1] = ACTIONS(2957),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2957),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2957),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2957),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2957),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2957),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2957),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2957),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2957),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2957),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2957),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2957),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2957),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2957),
    [aux_sym_host_key_alias_token1] = ACTIONS(2957),
    [aux_sym_hostname_token1] = ACTIONS(2957),
    [aux_sym_identities_only_token1] = ACTIONS(2957),
    [aux_sym_identity_agent_token1] = ACTIONS(2957),
    [aux_sym_identity_file_token1] = ACTIONS(2957),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2957),
    [aux_sym_include_token1] = ACTIONS(2957),
    [aux_sym_ip_qos_token1] = ACTIONS(2957),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2957),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2957),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2957),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2957),
    [aux_sym_local_command_token1] = ACTIONS(2957),
    [aux_sym_local_forward_token1] = ACTIONS(2957),
    [aux_sym_log_level_token1] = ACTIONS(2957),
    [aux_sym_log_verbose_token1] = ACTIONS(2957),
    [aux_sym_macs_token1] = ACTIONS(2957),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2957),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2957),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2957),
    [aux_sym_password_authentication_token1] = ACTIONS(2957),
    [aux_sym_permit_local_command_token1] = ACTIONS(2957),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2957),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2957),
    [aux_sym_port_token1] = ACTIONS(2957),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2957),
    [aux_sym_protocol_token1] = ACTIONS(2957),
    [aux_sym_proxy_command_token1] = ACTIONS(2957),
    [aux_sym_proxy_jump_token1] = ACTIONS(2957),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2957),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2957),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2957),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2957),
    [aux_sym_rekey_limit_token1] = ACTIONS(2957),
    [aux_sym_remote_command_token1] = ACTIONS(2957),
    [aux_sym_remote_forward_token1] = ACTIONS(2957),
    [aux_sym_request_tty_token1] = ACTIONS(2957),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2957),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2957),
    [aux_sym_security_key_provider_token1] = ACTIONS(2957),
    [aux_sym_send_env_token1] = ACTIONS(2957),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2957),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2957),
    [aux_sym_session_type_token1] = ACTIONS(2957),
    [aux_sym_set_env_token1] = ACTIONS(2957),
    [aux_sym_stdin_null_token1] = ACTIONS(2957),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2957),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2957),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2957),
    [aux_sym_syslog_facility_token1] = ACTIONS(2957),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2957),
    [aux_sym_keep_alive_token1] = ACTIONS(2957),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [aux_sym_tunnel_token1] = ACTIONS(2959),
    [aux_sym_tunnel_device_token1] = ACTIONS(2957),
    [aux_sym_update_host_keys_token1] = ACTIONS(2957),
    [aux_sym_use_keychain_token1] = ACTIONS(2957),
    [aux_sym_use_roaming_token1] = ACTIONS(2957),
    [aux_sym_user_token1] = ACTIONS(2959),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2957),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2957),
    [aux_sym_visual_host_key_token1] = ACTIONS(2957),
    [aux_sym_xauth_location_token1] = ACTIONS(2957),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [aux_sym_match_token1] = ACTIONS(2961),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2961),
    [aux_sym_address_family_token1] = ACTIONS(2961),
    [aux_sym_batch_mode_token1] = ACTIONS(2961),
    [aux_sym_bind_address_token1] = ACTIONS(2961),
    [aux_sym_bind_interface_token1] = ACTIONS(2961),
    [aux_sym_canonical_domains_token1] = ACTIONS(2961),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2961),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2961),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2961),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2961),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2961),
    [aux_sym_certificate_file_token1] = ACTIONS(2961),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2961),
    [aux_sym_channel_timeout_token1] = ACTIONS(2961),
    [aux_sym_check_host_ip_token1] = ACTIONS(2961),
    [aux_sym_ciphers_token1] = ACTIONS(2961),
    [aux_sym_cipher_token1] = ACTIONS(2963),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2961),
    [aux_sym_compression_token1] = ACTIONS(2961),
    [aux_sym_connection_attempts_token1] = ACTIONS(2961),
    [aux_sym_connect_timeout_token1] = ACTIONS(2961),
    [aux_sym_control_master_token1] = ACTIONS(2961),
    [aux_sym_control_path_token1] = ACTIONS(2961),
    [aux_sym_control_persist_token1] = ACTIONS(2961),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2961),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2961),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2961),
    [aux_sym_escape_char_token1] = ACTIONS(2961),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2961),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2961),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2961),
    [aux_sym_forward_agent_token1] = ACTIONS(2961),
    [aux_sym_forward_x11_token1] = ACTIONS(2963),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2961),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2961),
    [aux_sym_gateway_ports_token1] = ACTIONS(2961),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2961),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2961),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2961),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2961),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2961),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2961),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2961),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2961),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2961),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2961),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2961),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2961),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2961),
    [aux_sym_host_key_alias_token1] = ACTIONS(2961),
    [aux_sym_hostname_token1] = ACTIONS(2961),
    [aux_sym_identities_only_token1] = ACTIONS(2961),
    [aux_sym_identity_agent_token1] = ACTIONS(2961),
    [aux_sym_identity_file_token1] = ACTIONS(2961),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2961),
    [aux_sym_include_token1] = ACTIONS(2961),
    [aux_sym_ip_qos_token1] = ACTIONS(2961),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2961),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2961),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2961),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2961),
    [aux_sym_local_command_token1] = ACTIONS(2961),
    [aux_sym_local_forward_token1] = ACTIONS(2961),
    [aux_sym_log_level_token1] = ACTIONS(2961),
    [aux_sym_log_verbose_token1] = ACTIONS(2961),
    [aux_sym_macs_token1] = ACTIONS(2961),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2961),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2961),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2961),
    [aux_sym_password_authentication_token1] = ACTIONS(2961),
    [aux_sym_permit_local_command_token1] = ACTIONS(2961),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2961),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2961),
    [aux_sym_port_token1] = ACTIONS(2961),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2961),
    [aux_sym_protocol_token1] = ACTIONS(2961),
    [aux_sym_proxy_command_token1] = ACTIONS(2961),
    [aux_sym_proxy_jump_token1] = ACTIONS(2961),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2961),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2961),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2961),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2961),
    [aux_sym_rekey_limit_token1] = ACTIONS(2961),
    [aux_sym_remote_command_token1] = ACTIONS(2961),
    [aux_sym_remote_forward_token1] = ACTIONS(2961),
    [aux_sym_request_tty_token1] = ACTIONS(2961),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2961),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2961),
    [aux_sym_security_key_provider_token1] = ACTIONS(2961),
    [aux_sym_send_env_token1] = ACTIONS(2961),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2961),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2961),
    [aux_sym_session_type_token1] = ACTIONS(2961),
    [aux_sym_set_env_token1] = ACTIONS(2961),
    [aux_sym_stdin_null_token1] = ACTIONS(2961),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2961),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2961),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2961),
    [aux_sym_syslog_facility_token1] = ACTIONS(2961),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2961),
    [aux_sym_keep_alive_token1] = ACTIONS(2961),
    [aux_sym_tag_token1] = ACTIONS(2961),
    [aux_sym_tunnel_token1] = ACTIONS(2963),
    [aux_sym_tunnel_device_token1] = ACTIONS(2961),
    [aux_sym_update_host_keys_token1] = ACTIONS(2961),
    [aux_sym_use_keychain_token1] = ACTIONS(2961),
    [aux_sym_use_roaming_token1] = ACTIONS(2961),
    [aux_sym_user_token1] = ACTIONS(2963),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2961),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2961),
    [aux_sym_visual_host_key_token1] = ACTIONS(2961),
    [aux_sym_xauth_location_token1] = ACTIONS(2961),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [aux_sym_match_token1] = ACTIONS(2965),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2965),
    [aux_sym_address_family_token1] = ACTIONS(2965),
    [aux_sym_batch_mode_token1] = ACTIONS(2965),
    [aux_sym_bind_address_token1] = ACTIONS(2965),
    [aux_sym_bind_interface_token1] = ACTIONS(2965),
    [aux_sym_canonical_domains_token1] = ACTIONS(2965),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2965),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2965),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2965),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2965),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2965),
    [aux_sym_certificate_file_token1] = ACTIONS(2965),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2965),
    [aux_sym_channel_timeout_token1] = ACTIONS(2965),
    [aux_sym_check_host_ip_token1] = ACTIONS(2965),
    [aux_sym_ciphers_token1] = ACTIONS(2965),
    [aux_sym_cipher_token1] = ACTIONS(2967),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2965),
    [aux_sym_compression_token1] = ACTIONS(2965),
    [aux_sym_connection_attempts_token1] = ACTIONS(2965),
    [aux_sym_connect_timeout_token1] = ACTIONS(2965),
    [aux_sym_control_master_token1] = ACTIONS(2965),
    [aux_sym_control_path_token1] = ACTIONS(2965),
    [aux_sym_control_persist_token1] = ACTIONS(2965),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2965),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2965),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2965),
    [aux_sym_escape_char_token1] = ACTIONS(2965),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2965),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2965),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2965),
    [aux_sym_forward_agent_token1] = ACTIONS(2965),
    [aux_sym_forward_x11_token1] = ACTIONS(2967),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2965),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2965),
    [aux_sym_gateway_ports_token1] = ACTIONS(2965),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2965),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2965),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2965),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2965),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2965),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2965),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2965),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2965),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2965),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2965),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2965),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2965),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2965),
    [aux_sym_host_key_alias_token1] = ACTIONS(2965),
    [aux_sym_hostname_token1] = ACTIONS(2965),
    [aux_sym_identities_only_token1] = ACTIONS(2965),
    [aux_sym_identity_agent_token1] = ACTIONS(2965),
    [aux_sym_identity_file_token1] = ACTIONS(2965),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2965),
    [aux_sym_include_token1] = ACTIONS(2965),
    [aux_sym_ip_qos_token1] = ACTIONS(2965),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2965),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2965),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2965),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2965),
    [aux_sym_local_command_token1] = ACTIONS(2965),
    [aux_sym_local_forward_token1] = ACTIONS(2965),
    [aux_sym_log_level_token1] = ACTIONS(2965),
    [aux_sym_log_verbose_token1] = ACTIONS(2965),
    [aux_sym_macs_token1] = ACTIONS(2965),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2965),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2965),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2965),
    [aux_sym_password_authentication_token1] = ACTIONS(2965),
    [aux_sym_permit_local_command_token1] = ACTIONS(2965),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2965),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2965),
    [aux_sym_port_token1] = ACTIONS(2965),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2965),
    [aux_sym_protocol_token1] = ACTIONS(2965),
    [aux_sym_proxy_command_token1] = ACTIONS(2965),
    [aux_sym_proxy_jump_token1] = ACTIONS(2965),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2965),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2965),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2965),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2965),
    [aux_sym_rekey_limit_token1] = ACTIONS(2965),
    [aux_sym_remote_command_token1] = ACTIONS(2965),
    [aux_sym_remote_forward_token1] = ACTIONS(2965),
    [aux_sym_request_tty_token1] = ACTIONS(2965),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2965),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2965),
    [aux_sym_security_key_provider_token1] = ACTIONS(2965),
    [aux_sym_send_env_token1] = ACTIONS(2965),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2965),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2965),
    [aux_sym_session_type_token1] = ACTIONS(2965),
    [aux_sym_set_env_token1] = ACTIONS(2965),
    [aux_sym_stdin_null_token1] = ACTIONS(2965),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2965),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2965),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2965),
    [aux_sym_syslog_facility_token1] = ACTIONS(2965),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2965),
    [aux_sym_keep_alive_token1] = ACTIONS(2965),
    [aux_sym_tag_token1] = ACTIONS(2965),
    [aux_sym_tunnel_token1] = ACTIONS(2967),
    [aux_sym_tunnel_device_token1] = ACTIONS(2965),
    [aux_sym_update_host_keys_token1] = ACTIONS(2965),
    [aux_sym_use_keychain_token1] = ACTIONS(2965),
    [aux_sym_use_roaming_token1] = ACTIONS(2965),
    [aux_sym_user_token1] = ACTIONS(2967),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2965),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2965),
    [aux_sym_visual_host_key_token1] = ACTIONS(2965),
    [aux_sym_xauth_location_token1] = ACTIONS(2965),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [aux_sym_match_token1] = ACTIONS(2969),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2969),
    [aux_sym_address_family_token1] = ACTIONS(2969),
    [aux_sym_batch_mode_token1] = ACTIONS(2969),
    [aux_sym_bind_address_token1] = ACTIONS(2969),
    [aux_sym_bind_interface_token1] = ACTIONS(2969),
    [aux_sym_canonical_domains_token1] = ACTIONS(2969),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2969),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2969),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2969),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2969),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2969),
    [aux_sym_certificate_file_token1] = ACTIONS(2969),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2969),
    [aux_sym_channel_timeout_token1] = ACTIONS(2969),
    [aux_sym_check_host_ip_token1] = ACTIONS(2969),
    [aux_sym_ciphers_token1] = ACTIONS(2969),
    [aux_sym_cipher_token1] = ACTIONS(2971),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2969),
    [aux_sym_compression_token1] = ACTIONS(2969),
    [aux_sym_connection_attempts_token1] = ACTIONS(2969),
    [aux_sym_connect_timeout_token1] = ACTIONS(2969),
    [aux_sym_control_master_token1] = ACTIONS(2969),
    [aux_sym_control_path_token1] = ACTIONS(2969),
    [aux_sym_control_persist_token1] = ACTIONS(2969),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2969),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2969),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2969),
    [aux_sym_escape_char_token1] = ACTIONS(2969),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2969),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2969),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2969),
    [aux_sym_forward_agent_token1] = ACTIONS(2969),
    [aux_sym_forward_x11_token1] = ACTIONS(2971),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2969),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2969),
    [aux_sym_gateway_ports_token1] = ACTIONS(2969),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2969),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2969),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2969),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2969),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2969),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2969),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2969),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2969),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2969),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2969),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2969),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2969),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2969),
    [aux_sym_host_key_alias_token1] = ACTIONS(2969),
    [aux_sym_hostname_token1] = ACTIONS(2969),
    [aux_sym_identities_only_token1] = ACTIONS(2969),
    [aux_sym_identity_agent_token1] = ACTIONS(2969),
    [aux_sym_identity_file_token1] = ACTIONS(2969),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2969),
    [aux_sym_include_token1] = ACTIONS(2969),
    [aux_sym_ip_qos_token1] = ACTIONS(2969),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2969),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2969),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2969),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2969),
    [aux_sym_local_command_token1] = ACTIONS(2969),
    [aux_sym_local_forward_token1] = ACTIONS(2969),
    [aux_sym_log_level_token1] = ACTIONS(2969),
    [aux_sym_log_verbose_token1] = ACTIONS(2969),
    [aux_sym_macs_token1] = ACTIONS(2969),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2969),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2969),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2969),
    [aux_sym_password_authentication_token1] = ACTIONS(2969),
    [aux_sym_permit_local_command_token1] = ACTIONS(2969),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2969),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2969),
    [aux_sym_port_token1] = ACTIONS(2969),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2969),
    [aux_sym_protocol_token1] = ACTIONS(2969),
    [aux_sym_proxy_command_token1] = ACTIONS(2969),
    [aux_sym_proxy_jump_token1] = ACTIONS(2969),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2969),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2969),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2969),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2969),
    [aux_sym_rekey_limit_token1] = ACTIONS(2969),
    [aux_sym_remote_command_token1] = ACTIONS(2969),
    [aux_sym_remote_forward_token1] = ACTIONS(2969),
    [aux_sym_request_tty_token1] = ACTIONS(2969),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2969),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2969),
    [aux_sym_security_key_provider_token1] = ACTIONS(2969),
    [aux_sym_send_env_token1] = ACTIONS(2969),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2969),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2969),
    [aux_sym_session_type_token1] = ACTIONS(2969),
    [aux_sym_set_env_token1] = ACTIONS(2969),
    [aux_sym_stdin_null_token1] = ACTIONS(2969),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2969),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2969),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2969),
    [aux_sym_syslog_facility_token1] = ACTIONS(2969),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2969),
    [aux_sym_keep_alive_token1] = ACTIONS(2969),
    [aux_sym_tag_token1] = ACTIONS(2969),
    [aux_sym_tunnel_token1] = ACTIONS(2971),
    [aux_sym_tunnel_device_token1] = ACTIONS(2969),
    [aux_sym_update_host_keys_token1] = ACTIONS(2969),
    [aux_sym_use_keychain_token1] = ACTIONS(2969),
    [aux_sym_use_roaming_token1] = ACTIONS(2969),
    [aux_sym_user_token1] = ACTIONS(2971),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2969),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2969),
    [aux_sym_visual_host_key_token1] = ACTIONS(2969),
    [aux_sym_xauth_location_token1] = ACTIONS(2969),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [aux_sym_match_token1] = ACTIONS(2975),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2975),
    [aux_sym_address_family_token1] = ACTIONS(2975),
    [aux_sym_batch_mode_token1] = ACTIONS(2975),
    [aux_sym_bind_address_token1] = ACTIONS(2975),
    [aux_sym_bind_interface_token1] = ACTIONS(2975),
    [aux_sym_canonical_domains_token1] = ACTIONS(2975),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2975),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2975),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2975),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2975),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2975),
    [aux_sym_certificate_file_token1] = ACTIONS(2975),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2975),
    [aux_sym_channel_timeout_token1] = ACTIONS(2975),
    [aux_sym_check_host_ip_token1] = ACTIONS(2975),
    [aux_sym_ciphers_token1] = ACTIONS(2975),
    [aux_sym_cipher_token1] = ACTIONS(2977),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2975),
    [aux_sym_compression_token1] = ACTIONS(2975),
    [aux_sym_connection_attempts_token1] = ACTIONS(2975),
    [aux_sym_connect_timeout_token1] = ACTIONS(2975),
    [aux_sym_control_master_token1] = ACTIONS(2975),
    [aux_sym_control_path_token1] = ACTIONS(2975),
    [aux_sym_control_persist_token1] = ACTIONS(2975),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2975),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2975),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2975),
    [aux_sym_escape_char_token1] = ACTIONS(2975),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2975),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2975),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2975),
    [aux_sym_forward_agent_token1] = ACTIONS(2975),
    [aux_sym_forward_x11_token1] = ACTIONS(2977),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2975),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2975),
    [aux_sym_gateway_ports_token1] = ACTIONS(2975),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2975),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2975),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2975),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2975),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2975),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2975),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2975),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2975),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2975),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2975),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2975),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2975),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2975),
    [aux_sym_host_key_alias_token1] = ACTIONS(2975),
    [aux_sym_hostname_token1] = ACTIONS(2975),
    [aux_sym_identities_only_token1] = ACTIONS(2975),
    [aux_sym_identity_agent_token1] = ACTIONS(2975),
    [aux_sym_identity_file_token1] = ACTIONS(2975),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2975),
    [aux_sym_include_token1] = ACTIONS(2975),
    [aux_sym_ip_qos_token1] = ACTIONS(2975),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2975),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2975),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2975),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2975),
    [aux_sym_local_command_token1] = ACTIONS(2975),
    [aux_sym_local_forward_token1] = ACTIONS(2975),
    [aux_sym_log_level_token1] = ACTIONS(2975),
    [aux_sym_log_verbose_token1] = ACTIONS(2975),
    [aux_sym_macs_token1] = ACTIONS(2975),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2975),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2975),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2975),
    [aux_sym_password_authentication_token1] = ACTIONS(2975),
    [aux_sym_permit_local_command_token1] = ACTIONS(2975),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2975),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2975),
    [aux_sym_port_token1] = ACTIONS(2975),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2975),
    [aux_sym_protocol_token1] = ACTIONS(2975),
    [aux_sym_proxy_command_token1] = ACTIONS(2975),
    [aux_sym_proxy_jump_token1] = ACTIONS(2975),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2975),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2975),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2975),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2975),
    [aux_sym_rekey_limit_token1] = ACTIONS(2975),
    [aux_sym_remote_command_token1] = ACTIONS(2975),
    [aux_sym_remote_forward_token1] = ACTIONS(2975),
    [aux_sym_request_tty_token1] = ACTIONS(2975),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2975),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2975),
    [aux_sym_security_key_provider_token1] = ACTIONS(2975),
    [aux_sym_send_env_token1] = ACTIONS(2975),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2975),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2975),
    [aux_sym_session_type_token1] = ACTIONS(2975),
    [aux_sym_set_env_token1] = ACTIONS(2975),
    [aux_sym_stdin_null_token1] = ACTIONS(2975),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2975),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2975),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2975),
    [aux_sym_syslog_facility_token1] = ACTIONS(2975),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2975),
    [aux_sym_keep_alive_token1] = ACTIONS(2975),
    [aux_sym_tag_token1] = ACTIONS(2975),
    [aux_sym_tunnel_token1] = ACTIONS(2977),
    [aux_sym_tunnel_device_token1] = ACTIONS(2975),
    [aux_sym_update_host_keys_token1] = ACTIONS(2975),
    [aux_sym_use_keychain_token1] = ACTIONS(2975),
    [aux_sym_use_roaming_token1] = ACTIONS(2975),
    [aux_sym_user_token1] = ACTIONS(2977),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2975),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2975),
    [aux_sym_visual_host_key_token1] = ACTIONS(2975),
    [aux_sym_xauth_location_token1] = ACTIONS(2975),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [aux_sym_match_token1] = ACTIONS(2979),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2979),
    [aux_sym_address_family_token1] = ACTIONS(2979),
    [aux_sym_batch_mode_token1] = ACTIONS(2979),
    [aux_sym_bind_address_token1] = ACTIONS(2979),
    [aux_sym_bind_interface_token1] = ACTIONS(2979),
    [aux_sym_canonical_domains_token1] = ACTIONS(2979),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2979),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2979),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2979),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2979),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2979),
    [aux_sym_certificate_file_token1] = ACTIONS(2979),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2979),
    [aux_sym_channel_timeout_token1] = ACTIONS(2979),
    [aux_sym_check_host_ip_token1] = ACTIONS(2979),
    [aux_sym_ciphers_token1] = ACTIONS(2979),
    [aux_sym_cipher_token1] = ACTIONS(2981),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2979),
    [aux_sym_compression_token1] = ACTIONS(2979),
    [aux_sym_connection_attempts_token1] = ACTIONS(2979),
    [aux_sym_connect_timeout_token1] = ACTIONS(2979),
    [aux_sym_control_master_token1] = ACTIONS(2979),
    [aux_sym_control_path_token1] = ACTIONS(2979),
    [aux_sym_control_persist_token1] = ACTIONS(2979),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2979),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2979),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2979),
    [aux_sym_escape_char_token1] = ACTIONS(2979),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2979),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2979),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2979),
    [aux_sym_forward_agent_token1] = ACTIONS(2979),
    [aux_sym_forward_x11_token1] = ACTIONS(2981),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2979),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2979),
    [aux_sym_gateway_ports_token1] = ACTIONS(2979),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2979),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2979),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2979),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2979),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2979),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2979),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2979),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2979),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2979),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2979),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2979),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2979),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2979),
    [aux_sym_host_key_alias_token1] = ACTIONS(2979),
    [aux_sym_hostname_token1] = ACTIONS(2979),
    [aux_sym_identities_only_token1] = ACTIONS(2979),
    [aux_sym_identity_agent_token1] = ACTIONS(2979),
    [aux_sym_identity_file_token1] = ACTIONS(2979),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2979),
    [aux_sym_include_token1] = ACTIONS(2979),
    [aux_sym_ip_qos_token1] = ACTIONS(2979),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2979),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2979),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2979),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2979),
    [aux_sym_local_command_token1] = ACTIONS(2979),
    [aux_sym_local_forward_token1] = ACTIONS(2979),
    [aux_sym_log_level_token1] = ACTIONS(2979),
    [aux_sym_log_verbose_token1] = ACTIONS(2979),
    [aux_sym_macs_token1] = ACTIONS(2979),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2979),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2979),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2979),
    [aux_sym_password_authentication_token1] = ACTIONS(2979),
    [aux_sym_permit_local_command_token1] = ACTIONS(2979),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2979),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2979),
    [aux_sym_port_token1] = ACTIONS(2979),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2979),
    [aux_sym_protocol_token1] = ACTIONS(2979),
    [aux_sym_proxy_command_token1] = ACTIONS(2979),
    [aux_sym_proxy_jump_token1] = ACTIONS(2979),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2979),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2979),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2979),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2979),
    [aux_sym_rekey_limit_token1] = ACTIONS(2979),
    [aux_sym_remote_command_token1] = ACTIONS(2979),
    [aux_sym_remote_forward_token1] = ACTIONS(2979),
    [aux_sym_request_tty_token1] = ACTIONS(2979),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2979),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2979),
    [aux_sym_security_key_provider_token1] = ACTIONS(2979),
    [aux_sym_send_env_token1] = ACTIONS(2979),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2979),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2979),
    [aux_sym_session_type_token1] = ACTIONS(2979),
    [aux_sym_set_env_token1] = ACTIONS(2979),
    [aux_sym_stdin_null_token1] = ACTIONS(2979),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2979),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2979),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2979),
    [aux_sym_syslog_facility_token1] = ACTIONS(2979),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2979),
    [aux_sym_keep_alive_token1] = ACTIONS(2979),
    [aux_sym_tag_token1] = ACTIONS(2979),
    [aux_sym_tunnel_token1] = ACTIONS(2981),
    [aux_sym_tunnel_device_token1] = ACTIONS(2979),
    [aux_sym_update_host_keys_token1] = ACTIONS(2979),
    [aux_sym_use_keychain_token1] = ACTIONS(2979),
    [aux_sym_use_roaming_token1] = ACTIONS(2979),
    [aux_sym_user_token1] = ACTIONS(2981),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2979),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2979),
    [aux_sym_visual_host_key_token1] = ACTIONS(2979),
    [aux_sym_xauth_location_token1] = ACTIONS(2979),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [aux_sym_match_token1] = ACTIONS(2983),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2983),
    [aux_sym_address_family_token1] = ACTIONS(2983),
    [aux_sym_batch_mode_token1] = ACTIONS(2983),
    [aux_sym_bind_address_token1] = ACTIONS(2983),
    [aux_sym_bind_interface_token1] = ACTIONS(2983),
    [aux_sym_canonical_domains_token1] = ACTIONS(2983),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2983),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2983),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2983),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2983),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2983),
    [aux_sym_certificate_file_token1] = ACTIONS(2983),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2983),
    [aux_sym_channel_timeout_token1] = ACTIONS(2983),
    [aux_sym_check_host_ip_token1] = ACTIONS(2983),
    [aux_sym_ciphers_token1] = ACTIONS(2983),
    [aux_sym_cipher_token1] = ACTIONS(2985),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2983),
    [aux_sym_compression_token1] = ACTIONS(2983),
    [aux_sym_connection_attempts_token1] = ACTIONS(2983),
    [aux_sym_connect_timeout_token1] = ACTIONS(2983),
    [aux_sym_control_master_token1] = ACTIONS(2983),
    [aux_sym_control_path_token1] = ACTIONS(2983),
    [aux_sym_control_persist_token1] = ACTIONS(2983),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2983),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2983),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2983),
    [aux_sym_escape_char_token1] = ACTIONS(2983),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2983),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2983),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2983),
    [aux_sym_forward_agent_token1] = ACTIONS(2983),
    [aux_sym_forward_x11_token1] = ACTIONS(2985),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2983),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2983),
    [aux_sym_gateway_ports_token1] = ACTIONS(2983),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2983),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2983),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2983),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2983),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2983),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2983),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2983),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2983),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2983),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2983),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2983),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2983),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2983),
    [aux_sym_host_key_alias_token1] = ACTIONS(2983),
    [aux_sym_hostname_token1] = ACTIONS(2983),
    [aux_sym_identities_only_token1] = ACTIONS(2983),
    [aux_sym_identity_agent_token1] = ACTIONS(2983),
    [aux_sym_identity_file_token1] = ACTIONS(2983),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2983),
    [aux_sym_include_token1] = ACTIONS(2983),
    [aux_sym_ip_qos_token1] = ACTIONS(2983),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2983),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2983),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2983),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2983),
    [aux_sym_local_command_token1] = ACTIONS(2983),
    [aux_sym_local_forward_token1] = ACTIONS(2983),
    [aux_sym_log_level_token1] = ACTIONS(2983),
    [aux_sym_log_verbose_token1] = ACTIONS(2983),
    [aux_sym_macs_token1] = ACTIONS(2983),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2983),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2983),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2983),
    [aux_sym_password_authentication_token1] = ACTIONS(2983),
    [aux_sym_permit_local_command_token1] = ACTIONS(2983),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2983),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2983),
    [aux_sym_port_token1] = ACTIONS(2983),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2983),
    [aux_sym_protocol_token1] = ACTIONS(2983),
    [aux_sym_proxy_command_token1] = ACTIONS(2983),
    [aux_sym_proxy_jump_token1] = ACTIONS(2983),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2983),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2983),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2983),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2983),
    [aux_sym_rekey_limit_token1] = ACTIONS(2983),
    [aux_sym_remote_command_token1] = ACTIONS(2983),
    [aux_sym_remote_forward_token1] = ACTIONS(2983),
    [aux_sym_request_tty_token1] = ACTIONS(2983),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2983),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2983),
    [aux_sym_security_key_provider_token1] = ACTIONS(2983),
    [aux_sym_send_env_token1] = ACTIONS(2983),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2983),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2983),
    [aux_sym_session_type_token1] = ACTIONS(2983),
    [aux_sym_set_env_token1] = ACTIONS(2983),
    [aux_sym_stdin_null_token1] = ACTIONS(2983),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2983),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2983),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2983),
    [aux_sym_syslog_facility_token1] = ACTIONS(2983),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2983),
    [aux_sym_keep_alive_token1] = ACTIONS(2983),
    [aux_sym_tag_token1] = ACTIONS(2983),
    [aux_sym_tunnel_token1] = ACTIONS(2985),
    [aux_sym_tunnel_device_token1] = ACTIONS(2983),
    [aux_sym_update_host_keys_token1] = ACTIONS(2983),
    [aux_sym_use_keychain_token1] = ACTIONS(2983),
    [aux_sym_use_roaming_token1] = ACTIONS(2983),
    [aux_sym_user_token1] = ACTIONS(2985),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2983),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2983),
    [aux_sym_visual_host_key_token1] = ACTIONS(2983),
    [aux_sym_xauth_location_token1] = ACTIONS(2983),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [aux_sym_match_token1] = ACTIONS(2989),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2989),
    [aux_sym_address_family_token1] = ACTIONS(2989),
    [aux_sym_batch_mode_token1] = ACTIONS(2989),
    [aux_sym_bind_address_token1] = ACTIONS(2989),
    [aux_sym_bind_interface_token1] = ACTIONS(2989),
    [aux_sym_canonical_domains_token1] = ACTIONS(2989),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2989),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2989),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2989),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2989),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2989),
    [aux_sym_certificate_file_token1] = ACTIONS(2989),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2989),
    [aux_sym_channel_timeout_token1] = ACTIONS(2989),
    [aux_sym_check_host_ip_token1] = ACTIONS(2989),
    [aux_sym_ciphers_token1] = ACTIONS(2989),
    [aux_sym_cipher_token1] = ACTIONS(2991),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2989),
    [aux_sym_compression_token1] = ACTIONS(2989),
    [aux_sym_connection_attempts_token1] = ACTIONS(2989),
    [aux_sym_connect_timeout_token1] = ACTIONS(2989),
    [aux_sym_control_master_token1] = ACTIONS(2989),
    [aux_sym_control_path_token1] = ACTIONS(2989),
    [aux_sym_control_persist_token1] = ACTIONS(2989),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2989),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2989),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2989),
    [aux_sym_escape_char_token1] = ACTIONS(2989),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2989),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2989),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2989),
    [aux_sym_forward_agent_token1] = ACTIONS(2989),
    [aux_sym_forward_x11_token1] = ACTIONS(2991),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2989),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2989),
    [aux_sym_gateway_ports_token1] = ACTIONS(2989),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2989),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2989),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2989),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2989),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2989),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2989),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2989),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2989),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2989),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2989),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2989),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2989),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2989),
    [aux_sym_host_key_alias_token1] = ACTIONS(2989),
    [aux_sym_hostname_token1] = ACTIONS(2989),
    [aux_sym_identities_only_token1] = ACTIONS(2989),
    [aux_sym_identity_agent_token1] = ACTIONS(2989),
    [aux_sym_identity_file_token1] = ACTIONS(2989),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2989),
    [aux_sym_include_token1] = ACTIONS(2989),
    [aux_sym_ip_qos_token1] = ACTIONS(2989),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2989),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2989),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2989),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2989),
    [aux_sym_local_command_token1] = ACTIONS(2989),
    [aux_sym_local_forward_token1] = ACTIONS(2989),
    [aux_sym_log_level_token1] = ACTIONS(2989),
    [aux_sym_log_verbose_token1] = ACTIONS(2989),
    [aux_sym_macs_token1] = ACTIONS(2989),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2989),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2989),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2989),
    [aux_sym_password_authentication_token1] = ACTIONS(2989),
    [aux_sym_permit_local_command_token1] = ACTIONS(2989),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2989),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2989),
    [aux_sym_port_token1] = ACTIONS(2989),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2989),
    [aux_sym_protocol_token1] = ACTIONS(2989),
    [aux_sym_proxy_command_token1] = ACTIONS(2989),
    [aux_sym_proxy_jump_token1] = ACTIONS(2989),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2989),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2989),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2989),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2989),
    [aux_sym_rekey_limit_token1] = ACTIONS(2989),
    [aux_sym_remote_command_token1] = ACTIONS(2989),
    [aux_sym_remote_forward_token1] = ACTIONS(2989),
    [aux_sym_request_tty_token1] = ACTIONS(2989),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2989),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2989),
    [aux_sym_security_key_provider_token1] = ACTIONS(2989),
    [aux_sym_send_env_token1] = ACTIONS(2989),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2989),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2989),
    [aux_sym_session_type_token1] = ACTIONS(2989),
    [aux_sym_set_env_token1] = ACTIONS(2989),
    [aux_sym_stdin_null_token1] = ACTIONS(2989),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2989),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2989),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2989),
    [aux_sym_syslog_facility_token1] = ACTIONS(2989),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2989),
    [aux_sym_keep_alive_token1] = ACTIONS(2989),
    [aux_sym_tag_token1] = ACTIONS(2989),
    [aux_sym_tunnel_token1] = ACTIONS(2991),
    [aux_sym_tunnel_device_token1] = ACTIONS(2989),
    [aux_sym_update_host_keys_token1] = ACTIONS(2989),
    [aux_sym_use_keychain_token1] = ACTIONS(2989),
    [aux_sym_use_roaming_token1] = ACTIONS(2989),
    [aux_sym_user_token1] = ACTIONS(2991),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2989),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2989),
    [aux_sym_visual_host_key_token1] = ACTIONS(2989),
    [aux_sym_xauth_location_token1] = ACTIONS(2989),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [aux_sym_match_token1] = ACTIONS(2995),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2995),
    [aux_sym_address_family_token1] = ACTIONS(2995),
    [aux_sym_batch_mode_token1] = ACTIONS(2995),
    [aux_sym_bind_address_token1] = ACTIONS(2995),
    [aux_sym_bind_interface_token1] = ACTIONS(2995),
    [aux_sym_canonical_domains_token1] = ACTIONS(2995),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2995),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2995),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2995),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2995),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2995),
    [aux_sym_certificate_file_token1] = ACTIONS(2995),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2995),
    [aux_sym_channel_timeout_token1] = ACTIONS(2995),
    [aux_sym_check_host_ip_token1] = ACTIONS(2995),
    [aux_sym_ciphers_token1] = ACTIONS(2995),
    [aux_sym_cipher_token1] = ACTIONS(2997),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2995),
    [aux_sym_compression_token1] = ACTIONS(2995),
    [aux_sym_connection_attempts_token1] = ACTIONS(2995),
    [aux_sym_connect_timeout_token1] = ACTIONS(2995),
    [aux_sym_control_master_token1] = ACTIONS(2995),
    [aux_sym_control_path_token1] = ACTIONS(2995),
    [aux_sym_control_persist_token1] = ACTIONS(2995),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2995),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2995),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2995),
    [aux_sym_escape_char_token1] = ACTIONS(2995),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2995),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2995),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2995),
    [aux_sym_forward_agent_token1] = ACTIONS(2995),
    [aux_sym_forward_x11_token1] = ACTIONS(2997),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2995),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2995),
    [aux_sym_gateway_ports_token1] = ACTIONS(2995),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2995),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2995),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2995),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2995),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2995),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2995),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2995),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2995),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2995),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2995),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2995),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2995),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2995),
    [aux_sym_host_key_alias_token1] = ACTIONS(2995),
    [aux_sym_hostname_token1] = ACTIONS(2995),
    [aux_sym_identities_only_token1] = ACTIONS(2995),
    [aux_sym_identity_agent_token1] = ACTIONS(2995),
    [aux_sym_identity_file_token1] = ACTIONS(2995),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2995),
    [aux_sym_include_token1] = ACTIONS(2995),
    [aux_sym_ip_qos_token1] = ACTIONS(2995),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2995),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2995),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2995),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2995),
    [aux_sym_local_command_token1] = ACTIONS(2995),
    [aux_sym_local_forward_token1] = ACTIONS(2995),
    [aux_sym_log_level_token1] = ACTIONS(2995),
    [aux_sym_log_verbose_token1] = ACTIONS(2995),
    [aux_sym_macs_token1] = ACTIONS(2995),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2995),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2995),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2995),
    [aux_sym_password_authentication_token1] = ACTIONS(2995),
    [aux_sym_permit_local_command_token1] = ACTIONS(2995),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2995),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2995),
    [aux_sym_port_token1] = ACTIONS(2995),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2995),
    [aux_sym_protocol_token1] = ACTIONS(2995),
    [aux_sym_proxy_command_token1] = ACTIONS(2995),
    [aux_sym_proxy_jump_token1] = ACTIONS(2995),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2995),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2995),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2995),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2995),
    [aux_sym_rekey_limit_token1] = ACTIONS(2995),
    [aux_sym_remote_command_token1] = ACTIONS(2995),
    [aux_sym_remote_forward_token1] = ACTIONS(2995),
    [aux_sym_request_tty_token1] = ACTIONS(2995),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2995),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2995),
    [aux_sym_security_key_provider_token1] = ACTIONS(2995),
    [aux_sym_send_env_token1] = ACTIONS(2995),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2995),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2995),
    [aux_sym_session_type_token1] = ACTIONS(2995),
    [aux_sym_set_env_token1] = ACTIONS(2995),
    [aux_sym_stdin_null_token1] = ACTIONS(2995),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2995),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2995),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2995),
    [aux_sym_syslog_facility_token1] = ACTIONS(2995),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2995),
    [aux_sym_keep_alive_token1] = ACTIONS(2995),
    [aux_sym_tag_token1] = ACTIONS(2995),
    [aux_sym_tunnel_token1] = ACTIONS(2997),
    [aux_sym_tunnel_device_token1] = ACTIONS(2995),
    [aux_sym_update_host_keys_token1] = ACTIONS(2995),
    [aux_sym_use_keychain_token1] = ACTIONS(2995),
    [aux_sym_use_roaming_token1] = ACTIONS(2995),
    [aux_sym_user_token1] = ACTIONS(2997),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2995),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2995),
    [aux_sym_visual_host_key_token1] = ACTIONS(2995),
    [aux_sym_xauth_location_token1] = ACTIONS(2995),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [aux_sym_match_token1] = ACTIONS(2999),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2999),
    [aux_sym_address_family_token1] = ACTIONS(2999),
    [aux_sym_batch_mode_token1] = ACTIONS(2999),
    [aux_sym_bind_address_token1] = ACTIONS(2999),
    [aux_sym_bind_interface_token1] = ACTIONS(2999),
    [aux_sym_canonical_domains_token1] = ACTIONS(2999),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2999),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2999),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2999),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2999),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2999),
    [aux_sym_certificate_file_token1] = ACTIONS(2999),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2999),
    [aux_sym_channel_timeout_token1] = ACTIONS(2999),
    [aux_sym_check_host_ip_token1] = ACTIONS(2999),
    [aux_sym_ciphers_token1] = ACTIONS(2999),
    [aux_sym_cipher_token1] = ACTIONS(3001),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2999),
    [aux_sym_compression_token1] = ACTIONS(2999),
    [aux_sym_connection_attempts_token1] = ACTIONS(2999),
    [aux_sym_connect_timeout_token1] = ACTIONS(2999),
    [aux_sym_control_master_token1] = ACTIONS(2999),
    [aux_sym_control_path_token1] = ACTIONS(2999),
    [aux_sym_control_persist_token1] = ACTIONS(2999),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2999),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2999),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2999),
    [aux_sym_escape_char_token1] = ACTIONS(2999),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2999),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2999),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2999),
    [aux_sym_forward_agent_token1] = ACTIONS(2999),
    [aux_sym_forward_x11_token1] = ACTIONS(3001),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2999),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2999),
    [aux_sym_gateway_ports_token1] = ACTIONS(2999),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2999),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2999),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2999),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2999),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2999),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2999),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2999),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2999),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2999),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2999),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2999),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2999),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2999),
    [aux_sym_host_key_alias_token1] = ACTIONS(2999),
    [aux_sym_hostname_token1] = ACTIONS(2999),
    [aux_sym_identities_only_token1] = ACTIONS(2999),
    [aux_sym_identity_agent_token1] = ACTIONS(2999),
    [aux_sym_identity_file_token1] = ACTIONS(2999),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2999),
    [aux_sym_include_token1] = ACTIONS(2999),
    [aux_sym_ip_qos_token1] = ACTIONS(2999),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2999),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2999),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2999),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2999),
    [aux_sym_local_command_token1] = ACTIONS(2999),
    [aux_sym_local_forward_token1] = ACTIONS(2999),
    [aux_sym_log_level_token1] = ACTIONS(2999),
    [aux_sym_log_verbose_token1] = ACTIONS(2999),
    [aux_sym_macs_token1] = ACTIONS(2999),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2999),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2999),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2999),
    [aux_sym_password_authentication_token1] = ACTIONS(2999),
    [aux_sym_permit_local_command_token1] = ACTIONS(2999),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2999),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2999),
    [aux_sym_port_token1] = ACTIONS(2999),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2999),
    [aux_sym_protocol_token1] = ACTIONS(2999),
    [aux_sym_proxy_command_token1] = ACTIONS(2999),
    [aux_sym_proxy_jump_token1] = ACTIONS(2999),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2999),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2999),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2999),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2999),
    [aux_sym_rekey_limit_token1] = ACTIONS(2999),
    [aux_sym_remote_command_token1] = ACTIONS(2999),
    [aux_sym_remote_forward_token1] = ACTIONS(2999),
    [aux_sym_request_tty_token1] = ACTIONS(2999),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2999),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2999),
    [aux_sym_security_key_provider_token1] = ACTIONS(2999),
    [aux_sym_send_env_token1] = ACTIONS(2999),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2999),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2999),
    [aux_sym_session_type_token1] = ACTIONS(2999),
    [aux_sym_set_env_token1] = ACTIONS(2999),
    [aux_sym_stdin_null_token1] = ACTIONS(2999),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2999),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2999),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2999),
    [aux_sym_syslog_facility_token1] = ACTIONS(2999),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2999),
    [aux_sym_keep_alive_token1] = ACTIONS(2999),
    [aux_sym_tag_token1] = ACTIONS(2999),
    [aux_sym_tunnel_token1] = ACTIONS(3001),
    [aux_sym_tunnel_device_token1] = ACTIONS(2999),
    [aux_sym_update_host_keys_token1] = ACTIONS(2999),
    [aux_sym_use_keychain_token1] = ACTIONS(2999),
    [aux_sym_use_roaming_token1] = ACTIONS(2999),
    [aux_sym_user_token1] = ACTIONS(3001),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2999),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2999),
    [aux_sym_visual_host_key_token1] = ACTIONS(2999),
    [aux_sym_xauth_location_token1] = ACTIONS(2999),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [aux_sym_match_token1] = ACTIONS(3003),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3003),
    [aux_sym_address_family_token1] = ACTIONS(3003),
    [aux_sym_batch_mode_token1] = ACTIONS(3003),
    [aux_sym_bind_address_token1] = ACTIONS(3003),
    [aux_sym_bind_interface_token1] = ACTIONS(3003),
    [aux_sym_canonical_domains_token1] = ACTIONS(3003),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3003),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3003),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3003),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3003),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3003),
    [aux_sym_certificate_file_token1] = ACTIONS(3003),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3003),
    [aux_sym_channel_timeout_token1] = ACTIONS(3003),
    [aux_sym_check_host_ip_token1] = ACTIONS(3003),
    [aux_sym_ciphers_token1] = ACTIONS(3003),
    [aux_sym_cipher_token1] = ACTIONS(3005),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3003),
    [aux_sym_compression_token1] = ACTIONS(3003),
    [aux_sym_connection_attempts_token1] = ACTIONS(3003),
    [aux_sym_connect_timeout_token1] = ACTIONS(3003),
    [aux_sym_control_master_token1] = ACTIONS(3003),
    [aux_sym_control_path_token1] = ACTIONS(3003),
    [aux_sym_control_persist_token1] = ACTIONS(3003),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3003),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3003),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3003),
    [aux_sym_escape_char_token1] = ACTIONS(3003),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3003),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3003),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3003),
    [aux_sym_forward_agent_token1] = ACTIONS(3003),
    [aux_sym_forward_x11_token1] = ACTIONS(3005),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3003),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3003),
    [aux_sym_gateway_ports_token1] = ACTIONS(3003),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3003),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3003),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3003),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3003),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3003),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3003),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3003),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3003),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3003),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3003),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3003),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3003),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3003),
    [aux_sym_host_key_alias_token1] = ACTIONS(3003),
    [aux_sym_hostname_token1] = ACTIONS(3003),
    [aux_sym_identities_only_token1] = ACTIONS(3003),
    [aux_sym_identity_agent_token1] = ACTIONS(3003),
    [aux_sym_identity_file_token1] = ACTIONS(3003),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3003),
    [aux_sym_include_token1] = ACTIONS(3003),
    [aux_sym_ip_qos_token1] = ACTIONS(3003),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3003),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3003),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3003),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3003),
    [aux_sym_local_command_token1] = ACTIONS(3003),
    [aux_sym_local_forward_token1] = ACTIONS(3003),
    [aux_sym_log_level_token1] = ACTIONS(3003),
    [aux_sym_log_verbose_token1] = ACTIONS(3003),
    [aux_sym_macs_token1] = ACTIONS(3003),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3003),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3003),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3003),
    [aux_sym_password_authentication_token1] = ACTIONS(3003),
    [aux_sym_permit_local_command_token1] = ACTIONS(3003),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3003),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3003),
    [aux_sym_port_token1] = ACTIONS(3003),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3003),
    [aux_sym_protocol_token1] = ACTIONS(3003),
    [aux_sym_proxy_command_token1] = ACTIONS(3003),
    [aux_sym_proxy_jump_token1] = ACTIONS(3003),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3003),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3003),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3003),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3003),
    [aux_sym_rekey_limit_token1] = ACTIONS(3003),
    [aux_sym_remote_command_token1] = ACTIONS(3003),
    [aux_sym_remote_forward_token1] = ACTIONS(3003),
    [aux_sym_request_tty_token1] = ACTIONS(3003),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3003),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3003),
    [aux_sym_security_key_provider_token1] = ACTIONS(3003),
    [aux_sym_send_env_token1] = ACTIONS(3003),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3003),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3003),
    [aux_sym_session_type_token1] = ACTIONS(3003),
    [aux_sym_set_env_token1] = ACTIONS(3003),
    [aux_sym_stdin_null_token1] = ACTIONS(3003),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3003),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3003),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3003),
    [aux_sym_syslog_facility_token1] = ACTIONS(3003),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3003),
    [aux_sym_keep_alive_token1] = ACTIONS(3003),
    [aux_sym_tag_token1] = ACTIONS(3003),
    [aux_sym_tunnel_token1] = ACTIONS(3005),
    [aux_sym_tunnel_device_token1] = ACTIONS(3003),
    [aux_sym_update_host_keys_token1] = ACTIONS(3003),
    [aux_sym_use_keychain_token1] = ACTIONS(3003),
    [aux_sym_use_roaming_token1] = ACTIONS(3003),
    [aux_sym_user_token1] = ACTIONS(3005),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3003),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3003),
    [aux_sym_visual_host_key_token1] = ACTIONS(3003),
    [aux_sym_xauth_location_token1] = ACTIONS(3003),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [aux_sym_match_token1] = ACTIONS(3007),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3007),
    [aux_sym_address_family_token1] = ACTIONS(3007),
    [aux_sym_batch_mode_token1] = ACTIONS(3007),
    [aux_sym_bind_address_token1] = ACTIONS(3007),
    [aux_sym_bind_interface_token1] = ACTIONS(3007),
    [aux_sym_canonical_domains_token1] = ACTIONS(3007),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3007),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3007),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3007),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3007),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3007),
    [aux_sym_certificate_file_token1] = ACTIONS(3007),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3007),
    [aux_sym_channel_timeout_token1] = ACTIONS(3007),
    [aux_sym_check_host_ip_token1] = ACTIONS(3007),
    [aux_sym_ciphers_token1] = ACTIONS(3007),
    [aux_sym_cipher_token1] = ACTIONS(3009),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3007),
    [aux_sym_compression_token1] = ACTIONS(3007),
    [aux_sym_connection_attempts_token1] = ACTIONS(3007),
    [aux_sym_connect_timeout_token1] = ACTIONS(3007),
    [aux_sym_control_master_token1] = ACTIONS(3007),
    [aux_sym_control_path_token1] = ACTIONS(3007),
    [aux_sym_control_persist_token1] = ACTIONS(3007),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3007),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3007),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3007),
    [aux_sym_escape_char_token1] = ACTIONS(3007),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3007),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3007),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3007),
    [aux_sym_forward_agent_token1] = ACTIONS(3007),
    [aux_sym_forward_x11_token1] = ACTIONS(3009),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3007),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3007),
    [aux_sym_gateway_ports_token1] = ACTIONS(3007),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3007),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3007),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3007),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3007),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3007),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3007),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3007),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3007),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3007),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3007),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3007),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3007),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3007),
    [aux_sym_host_key_alias_token1] = ACTIONS(3007),
    [aux_sym_hostname_token1] = ACTIONS(3007),
    [aux_sym_identities_only_token1] = ACTIONS(3007),
    [aux_sym_identity_agent_token1] = ACTIONS(3007),
    [aux_sym_identity_file_token1] = ACTIONS(3007),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3007),
    [aux_sym_include_token1] = ACTIONS(3007),
    [aux_sym_ip_qos_token1] = ACTIONS(3007),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3007),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3007),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3007),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3007),
    [aux_sym_local_command_token1] = ACTIONS(3007),
    [aux_sym_local_forward_token1] = ACTIONS(3007),
    [aux_sym_log_level_token1] = ACTIONS(3007),
    [aux_sym_log_verbose_token1] = ACTIONS(3007),
    [aux_sym_macs_token1] = ACTIONS(3007),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3007),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3007),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3007),
    [aux_sym_password_authentication_token1] = ACTIONS(3007),
    [aux_sym_permit_local_command_token1] = ACTIONS(3007),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3007),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3007),
    [aux_sym_port_token1] = ACTIONS(3007),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3007),
    [aux_sym_protocol_token1] = ACTIONS(3007),
    [aux_sym_proxy_command_token1] = ACTIONS(3007),
    [aux_sym_proxy_jump_token1] = ACTIONS(3007),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3007),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3007),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3007),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3007),
    [aux_sym_rekey_limit_token1] = ACTIONS(3007),
    [aux_sym_remote_command_token1] = ACTIONS(3007),
    [aux_sym_remote_forward_token1] = ACTIONS(3007),
    [aux_sym_request_tty_token1] = ACTIONS(3007),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3007),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3007),
    [aux_sym_security_key_provider_token1] = ACTIONS(3007),
    [aux_sym_send_env_token1] = ACTIONS(3007),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3007),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3007),
    [aux_sym_session_type_token1] = ACTIONS(3007),
    [aux_sym_set_env_token1] = ACTIONS(3007),
    [aux_sym_stdin_null_token1] = ACTIONS(3007),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3007),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3007),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3007),
    [aux_sym_syslog_facility_token1] = ACTIONS(3007),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3007),
    [aux_sym_keep_alive_token1] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3007),
    [aux_sym_tunnel_token1] = ACTIONS(3009),
    [aux_sym_tunnel_device_token1] = ACTIONS(3007),
    [aux_sym_update_host_keys_token1] = ACTIONS(3007),
    [aux_sym_use_keychain_token1] = ACTIONS(3007),
    [aux_sym_use_roaming_token1] = ACTIONS(3007),
    [aux_sym_user_token1] = ACTIONS(3009),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3007),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3007),
    [aux_sym_visual_host_key_token1] = ACTIONS(3007),
    [aux_sym_xauth_location_token1] = ACTIONS(3007),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [aux_sym_match_token1] = ACTIONS(3013),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3013),
    [aux_sym_address_family_token1] = ACTIONS(3013),
    [aux_sym_batch_mode_token1] = ACTIONS(3013),
    [aux_sym_bind_address_token1] = ACTIONS(3013),
    [aux_sym_bind_interface_token1] = ACTIONS(3013),
    [aux_sym_canonical_domains_token1] = ACTIONS(3013),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3013),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3013),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3013),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3013),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3013),
    [aux_sym_certificate_file_token1] = ACTIONS(3013),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3013),
    [aux_sym_channel_timeout_token1] = ACTIONS(3013),
    [aux_sym_check_host_ip_token1] = ACTIONS(3013),
    [aux_sym_ciphers_token1] = ACTIONS(3013),
    [aux_sym_cipher_token1] = ACTIONS(3015),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3013),
    [aux_sym_compression_token1] = ACTIONS(3013),
    [aux_sym_connection_attempts_token1] = ACTIONS(3013),
    [aux_sym_connect_timeout_token1] = ACTIONS(3013),
    [aux_sym_control_master_token1] = ACTIONS(3013),
    [aux_sym_control_path_token1] = ACTIONS(3013),
    [aux_sym_control_persist_token1] = ACTIONS(3013),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3013),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3013),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3013),
    [aux_sym_escape_char_token1] = ACTIONS(3013),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3013),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3013),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3013),
    [aux_sym_forward_agent_token1] = ACTIONS(3013),
    [aux_sym_forward_x11_token1] = ACTIONS(3015),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3013),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3013),
    [aux_sym_gateway_ports_token1] = ACTIONS(3013),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3013),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3013),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3013),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3013),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3013),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3013),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3013),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3013),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3013),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3013),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3013),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3013),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3013),
    [aux_sym_host_key_alias_token1] = ACTIONS(3013),
    [aux_sym_hostname_token1] = ACTIONS(3013),
    [aux_sym_identities_only_token1] = ACTIONS(3013),
    [aux_sym_identity_agent_token1] = ACTIONS(3013),
    [aux_sym_identity_file_token1] = ACTIONS(3013),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3013),
    [aux_sym_include_token1] = ACTIONS(3013),
    [aux_sym_ip_qos_token1] = ACTIONS(3013),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3013),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3013),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3013),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3013),
    [aux_sym_local_command_token1] = ACTIONS(3013),
    [aux_sym_local_forward_token1] = ACTIONS(3013),
    [aux_sym_log_level_token1] = ACTIONS(3013),
    [aux_sym_log_verbose_token1] = ACTIONS(3013),
    [aux_sym_macs_token1] = ACTIONS(3013),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3013),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3013),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3013),
    [aux_sym_password_authentication_token1] = ACTIONS(3013),
    [aux_sym_permit_local_command_token1] = ACTIONS(3013),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3013),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3013),
    [aux_sym_port_token1] = ACTIONS(3013),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3013),
    [aux_sym_protocol_token1] = ACTIONS(3013),
    [aux_sym_proxy_command_token1] = ACTIONS(3013),
    [aux_sym_proxy_jump_token1] = ACTIONS(3013),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3013),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3013),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3013),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3013),
    [aux_sym_rekey_limit_token1] = ACTIONS(3013),
    [aux_sym_remote_command_token1] = ACTIONS(3013),
    [aux_sym_remote_forward_token1] = ACTIONS(3013),
    [aux_sym_request_tty_token1] = ACTIONS(3013),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3013),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3013),
    [aux_sym_security_key_provider_token1] = ACTIONS(3013),
    [aux_sym_send_env_token1] = ACTIONS(3013),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3013),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3013),
    [aux_sym_session_type_token1] = ACTIONS(3013),
    [aux_sym_set_env_token1] = ACTIONS(3013),
    [aux_sym_stdin_null_token1] = ACTIONS(3013),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3013),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3013),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3013),
    [aux_sym_syslog_facility_token1] = ACTIONS(3013),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3013),
    [aux_sym_keep_alive_token1] = ACTIONS(3013),
    [aux_sym_tag_token1] = ACTIONS(3013),
    [aux_sym_tunnel_token1] = ACTIONS(3015),
    [aux_sym_tunnel_device_token1] = ACTIONS(3013),
    [aux_sym_update_host_keys_token1] = ACTIONS(3013),
    [aux_sym_use_keychain_token1] = ACTIONS(3013),
    [aux_sym_use_roaming_token1] = ACTIONS(3013),
    [aux_sym_user_token1] = ACTIONS(3015),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3013),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3013),
    [aux_sym_visual_host_key_token1] = ACTIONS(3013),
    [aux_sym_xauth_location_token1] = ACTIONS(3013),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [aux_sym_match_token1] = ACTIONS(3017),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3017),
    [aux_sym_address_family_token1] = ACTIONS(3017),
    [aux_sym_batch_mode_token1] = ACTIONS(3017),
    [aux_sym_bind_address_token1] = ACTIONS(3017),
    [aux_sym_bind_interface_token1] = ACTIONS(3017),
    [aux_sym_canonical_domains_token1] = ACTIONS(3017),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3017),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3017),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3017),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3017),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3017),
    [aux_sym_certificate_file_token1] = ACTIONS(3017),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3017),
    [aux_sym_channel_timeout_token1] = ACTIONS(3017),
    [aux_sym_check_host_ip_token1] = ACTIONS(3017),
    [aux_sym_ciphers_token1] = ACTIONS(3017),
    [aux_sym_cipher_token1] = ACTIONS(3019),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3017),
    [aux_sym_compression_token1] = ACTIONS(3017),
    [aux_sym_connection_attempts_token1] = ACTIONS(3017),
    [aux_sym_connect_timeout_token1] = ACTIONS(3017),
    [aux_sym_control_master_token1] = ACTIONS(3017),
    [aux_sym_control_path_token1] = ACTIONS(3017),
    [aux_sym_control_persist_token1] = ACTIONS(3017),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3017),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3017),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3017),
    [aux_sym_escape_char_token1] = ACTIONS(3017),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3017),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3017),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3017),
    [aux_sym_forward_agent_token1] = ACTIONS(3017),
    [aux_sym_forward_x11_token1] = ACTIONS(3019),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3017),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3017),
    [aux_sym_gateway_ports_token1] = ACTIONS(3017),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3017),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3017),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3017),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3017),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3017),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3017),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3017),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3017),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3017),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3017),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3017),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3017),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3017),
    [aux_sym_host_key_alias_token1] = ACTIONS(3017),
    [aux_sym_hostname_token1] = ACTIONS(3017),
    [aux_sym_identities_only_token1] = ACTIONS(3017),
    [aux_sym_identity_agent_token1] = ACTIONS(3017),
    [aux_sym_identity_file_token1] = ACTIONS(3017),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3017),
    [aux_sym_include_token1] = ACTIONS(3017),
    [aux_sym_ip_qos_token1] = ACTIONS(3017),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3017),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3017),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3017),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3017),
    [aux_sym_local_command_token1] = ACTIONS(3017),
    [aux_sym_local_forward_token1] = ACTIONS(3017),
    [aux_sym_log_level_token1] = ACTIONS(3017),
    [aux_sym_log_verbose_token1] = ACTIONS(3017),
    [aux_sym_macs_token1] = ACTIONS(3017),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3017),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3017),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3017),
    [aux_sym_password_authentication_token1] = ACTIONS(3017),
    [aux_sym_permit_local_command_token1] = ACTIONS(3017),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3017),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3017),
    [aux_sym_port_token1] = ACTIONS(3017),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3017),
    [aux_sym_protocol_token1] = ACTIONS(3017),
    [aux_sym_proxy_command_token1] = ACTIONS(3017),
    [aux_sym_proxy_jump_token1] = ACTIONS(3017),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3017),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3017),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3017),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3017),
    [aux_sym_rekey_limit_token1] = ACTIONS(3017),
    [aux_sym_remote_command_token1] = ACTIONS(3017),
    [aux_sym_remote_forward_token1] = ACTIONS(3017),
    [aux_sym_request_tty_token1] = ACTIONS(3017),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3017),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3017),
    [aux_sym_security_key_provider_token1] = ACTIONS(3017),
    [aux_sym_send_env_token1] = ACTIONS(3017),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3017),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3017),
    [aux_sym_session_type_token1] = ACTIONS(3017),
    [aux_sym_set_env_token1] = ACTIONS(3017),
    [aux_sym_stdin_null_token1] = ACTIONS(3017),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3017),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3017),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3017),
    [aux_sym_syslog_facility_token1] = ACTIONS(3017),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3017),
    [aux_sym_keep_alive_token1] = ACTIONS(3017),
    [aux_sym_tag_token1] = ACTIONS(3017),
    [aux_sym_tunnel_token1] = ACTIONS(3019),
    [aux_sym_tunnel_device_token1] = ACTIONS(3017),
    [aux_sym_update_host_keys_token1] = ACTIONS(3017),
    [aux_sym_use_keychain_token1] = ACTIONS(3017),
    [aux_sym_use_roaming_token1] = ACTIONS(3017),
    [aux_sym_user_token1] = ACTIONS(3019),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3017),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3017),
    [aux_sym_visual_host_key_token1] = ACTIONS(3017),
    [aux_sym_xauth_location_token1] = ACTIONS(3017),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3025),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [aux_sym_match_token1] = ACTIONS(3023),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3023),
    [aux_sym_address_family_token1] = ACTIONS(3023),
    [aux_sym_batch_mode_token1] = ACTIONS(3023),
    [aux_sym_bind_address_token1] = ACTIONS(3023),
    [aux_sym_bind_interface_token1] = ACTIONS(3023),
    [aux_sym_canonical_domains_token1] = ACTIONS(3023),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3023),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3023),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3023),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3023),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3023),
    [aux_sym_certificate_file_token1] = ACTIONS(3023),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3023),
    [aux_sym_channel_timeout_token1] = ACTIONS(3023),
    [aux_sym_check_host_ip_token1] = ACTIONS(3023),
    [aux_sym_ciphers_token1] = ACTIONS(3023),
    [aux_sym_cipher_token1] = ACTIONS(3025),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3023),
    [aux_sym_compression_token1] = ACTIONS(3023),
    [aux_sym_connection_attempts_token1] = ACTIONS(3023),
    [aux_sym_connect_timeout_token1] = ACTIONS(3023),
    [aux_sym_control_master_token1] = ACTIONS(3023),
    [aux_sym_control_path_token1] = ACTIONS(3023),
    [aux_sym_control_persist_token1] = ACTIONS(3023),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3023),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3023),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3023),
    [aux_sym_escape_char_token1] = ACTIONS(3023),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3023),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3023),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3023),
    [aux_sym_forward_agent_token1] = ACTIONS(3023),
    [aux_sym_forward_x11_token1] = ACTIONS(3025),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3023),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3023),
    [aux_sym_gateway_ports_token1] = ACTIONS(3023),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3023),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3023),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3023),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3023),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3023),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3023),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3023),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3023),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3023),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3023),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3023),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3023),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3023),
    [aux_sym_host_key_alias_token1] = ACTIONS(3023),
    [aux_sym_hostname_token1] = ACTIONS(3023),
    [aux_sym_identities_only_token1] = ACTIONS(3023),
    [aux_sym_identity_agent_token1] = ACTIONS(3023),
    [aux_sym_identity_file_token1] = ACTIONS(3023),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3023),
    [aux_sym_include_token1] = ACTIONS(3023),
    [aux_sym_ip_qos_token1] = ACTIONS(3023),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3023),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3023),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3023),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3023),
    [aux_sym_local_command_token1] = ACTIONS(3023),
    [aux_sym_local_forward_token1] = ACTIONS(3023),
    [aux_sym_log_level_token1] = ACTIONS(3023),
    [aux_sym_log_verbose_token1] = ACTIONS(3023),
    [aux_sym_macs_token1] = ACTIONS(3023),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3023),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3023),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3023),
    [aux_sym_password_authentication_token1] = ACTIONS(3023),
    [aux_sym_permit_local_command_token1] = ACTIONS(3023),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3023),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3023),
    [aux_sym_port_token1] = ACTIONS(3023),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3023),
    [aux_sym_protocol_token1] = ACTIONS(3023),
    [aux_sym_proxy_command_token1] = ACTIONS(3023),
    [aux_sym_proxy_jump_token1] = ACTIONS(3023),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3023),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3023),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3023),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3023),
    [aux_sym_rekey_limit_token1] = ACTIONS(3023),
    [aux_sym_remote_command_token1] = ACTIONS(3023),
    [aux_sym_remote_forward_token1] = ACTIONS(3023),
    [aux_sym_request_tty_token1] = ACTIONS(3023),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3023),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3023),
    [aux_sym_security_key_provider_token1] = ACTIONS(3023),
    [aux_sym_send_env_token1] = ACTIONS(3023),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3023),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3023),
    [aux_sym_session_type_token1] = ACTIONS(3023),
    [aux_sym_set_env_token1] = ACTIONS(3023),
    [aux_sym_stdin_null_token1] = ACTIONS(3023),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3023),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3023),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3023),
    [aux_sym_syslog_facility_token1] = ACTIONS(3023),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3023),
    [aux_sym_keep_alive_token1] = ACTIONS(3023),
    [aux_sym_tag_token1] = ACTIONS(3023),
    [aux_sym_tunnel_token1] = ACTIONS(3025),
    [aux_sym_tunnel_device_token1] = ACTIONS(3023),
    [aux_sym_update_host_keys_token1] = ACTIONS(3023),
    [aux_sym_use_keychain_token1] = ACTIONS(3023),
    [aux_sym_use_roaming_token1] = ACTIONS(3023),
    [aux_sym_user_token1] = ACTIONS(3025),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3023),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3023),
    [aux_sym_visual_host_key_token1] = ACTIONS(3023),
    [aux_sym_xauth_location_token1] = ACTIONS(3023),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [aux_sym_match_token1] = ACTIONS(3029),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3029),
    [aux_sym_address_family_token1] = ACTIONS(3029),
    [aux_sym_batch_mode_token1] = ACTIONS(3029),
    [aux_sym_bind_address_token1] = ACTIONS(3029),
    [aux_sym_bind_interface_token1] = ACTIONS(3029),
    [aux_sym_canonical_domains_token1] = ACTIONS(3029),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3029),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3029),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3029),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3029),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3029),
    [aux_sym_certificate_file_token1] = ACTIONS(3029),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3029),
    [aux_sym_channel_timeout_token1] = ACTIONS(3029),
    [aux_sym_check_host_ip_token1] = ACTIONS(3029),
    [aux_sym_ciphers_token1] = ACTIONS(3029),
    [aux_sym_cipher_token1] = ACTIONS(3031),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3029),
    [aux_sym_compression_token1] = ACTIONS(3029),
    [aux_sym_connection_attempts_token1] = ACTIONS(3029),
    [aux_sym_connect_timeout_token1] = ACTIONS(3029),
    [aux_sym_control_master_token1] = ACTIONS(3029),
    [aux_sym_control_path_token1] = ACTIONS(3029),
    [aux_sym_control_persist_token1] = ACTIONS(3029),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3029),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3029),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3029),
    [aux_sym_escape_char_token1] = ACTIONS(3029),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3029),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3029),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3029),
    [aux_sym_forward_agent_token1] = ACTIONS(3029),
    [aux_sym_forward_x11_token1] = ACTIONS(3031),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3029),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3029),
    [aux_sym_gateway_ports_token1] = ACTIONS(3029),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3029),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3029),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3029),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3029),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3029),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3029),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3029),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3029),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3029),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3029),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3029),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3029),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3029),
    [aux_sym_host_key_alias_token1] = ACTIONS(3029),
    [aux_sym_hostname_token1] = ACTIONS(3029),
    [aux_sym_identities_only_token1] = ACTIONS(3029),
    [aux_sym_identity_agent_token1] = ACTIONS(3029),
    [aux_sym_identity_file_token1] = ACTIONS(3029),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3029),
    [aux_sym_include_token1] = ACTIONS(3029),
    [aux_sym_ip_qos_token1] = ACTIONS(3029),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3029),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3029),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3029),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3029),
    [aux_sym_local_command_token1] = ACTIONS(3029),
    [aux_sym_local_forward_token1] = ACTIONS(3029),
    [aux_sym_log_level_token1] = ACTIONS(3029),
    [aux_sym_log_verbose_token1] = ACTIONS(3029),
    [aux_sym_macs_token1] = ACTIONS(3029),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3029),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3029),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3029),
    [aux_sym_password_authentication_token1] = ACTIONS(3029),
    [aux_sym_permit_local_command_token1] = ACTIONS(3029),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3029),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3029),
    [aux_sym_port_token1] = ACTIONS(3029),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3029),
    [aux_sym_protocol_token1] = ACTIONS(3029),
    [aux_sym_proxy_command_token1] = ACTIONS(3029),
    [aux_sym_proxy_jump_token1] = ACTIONS(3029),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3029),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3029),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3029),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3029),
    [aux_sym_rekey_limit_token1] = ACTIONS(3029),
    [aux_sym_remote_command_token1] = ACTIONS(3029),
    [aux_sym_remote_forward_token1] = ACTIONS(3029),
    [aux_sym_request_tty_token1] = ACTIONS(3029),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3029),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3029),
    [aux_sym_security_key_provider_token1] = ACTIONS(3029),
    [aux_sym_send_env_token1] = ACTIONS(3029),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3029),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3029),
    [aux_sym_session_type_token1] = ACTIONS(3029),
    [aux_sym_set_env_token1] = ACTIONS(3029),
    [aux_sym_stdin_null_token1] = ACTIONS(3029),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3029),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3029),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3029),
    [aux_sym_syslog_facility_token1] = ACTIONS(3029),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3029),
    [aux_sym_keep_alive_token1] = ACTIONS(3029),
    [aux_sym_tag_token1] = ACTIONS(3029),
    [aux_sym_tunnel_token1] = ACTIONS(3031),
    [aux_sym_tunnel_device_token1] = ACTIONS(3029),
    [aux_sym_update_host_keys_token1] = ACTIONS(3029),
    [aux_sym_use_keychain_token1] = ACTIONS(3029),
    [aux_sym_use_roaming_token1] = ACTIONS(3029),
    [aux_sym_user_token1] = ACTIONS(3031),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3029),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3029),
    [aux_sym_visual_host_key_token1] = ACTIONS(3029),
    [aux_sym_xauth_location_token1] = ACTIONS(3029),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(3035),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [aux_sym_match_token1] = ACTIONS(3035),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3035),
    [aux_sym_address_family_token1] = ACTIONS(3035),
    [aux_sym_batch_mode_token1] = ACTIONS(3035),
    [aux_sym_bind_address_token1] = ACTIONS(3035),
    [aux_sym_bind_interface_token1] = ACTIONS(3035),
    [aux_sym_canonical_domains_token1] = ACTIONS(3035),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3035),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3035),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3035),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3035),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3035),
    [aux_sym_certificate_file_token1] = ACTIONS(3035),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3035),
    [aux_sym_channel_timeout_token1] = ACTIONS(3035),
    [aux_sym_check_host_ip_token1] = ACTIONS(3035),
    [aux_sym_ciphers_token1] = ACTIONS(3035),
    [aux_sym_cipher_token1] = ACTIONS(3037),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3035),
    [aux_sym_compression_token1] = ACTIONS(3035),
    [aux_sym_connection_attempts_token1] = ACTIONS(3035),
    [aux_sym_connect_timeout_token1] = ACTIONS(3035),
    [aux_sym_control_master_token1] = ACTIONS(3035),
    [aux_sym_control_path_token1] = ACTIONS(3035),
    [aux_sym_control_persist_token1] = ACTIONS(3035),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3035),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3035),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3035),
    [aux_sym_escape_char_token1] = ACTIONS(3035),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3035),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3035),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3035),
    [aux_sym_forward_agent_token1] = ACTIONS(3035),
    [aux_sym_forward_x11_token1] = ACTIONS(3037),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3035),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3035),
    [aux_sym_gateway_ports_token1] = ACTIONS(3035),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3035),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3035),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3035),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3035),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3035),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3035),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3035),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3035),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3035),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3035),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3035),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3035),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3035),
    [aux_sym_host_key_alias_token1] = ACTIONS(3035),
    [aux_sym_hostname_token1] = ACTIONS(3035),
    [aux_sym_identities_only_token1] = ACTIONS(3035),
    [aux_sym_identity_agent_token1] = ACTIONS(3035),
    [aux_sym_identity_file_token1] = ACTIONS(3035),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3035),
    [aux_sym_include_token1] = ACTIONS(3035),
    [aux_sym_ip_qos_token1] = ACTIONS(3035),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3035),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3035),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3035),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3035),
    [aux_sym_local_command_token1] = ACTIONS(3035),
    [aux_sym_local_forward_token1] = ACTIONS(3035),
    [aux_sym_log_level_token1] = ACTIONS(3035),
    [aux_sym_log_verbose_token1] = ACTIONS(3035),
    [aux_sym_macs_token1] = ACTIONS(3035),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3035),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3035),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3035),
    [aux_sym_password_authentication_token1] = ACTIONS(3035),
    [aux_sym_permit_local_command_token1] = ACTIONS(3035),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3035),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3035),
    [aux_sym_port_token1] = ACTIONS(3035),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3035),
    [aux_sym_protocol_token1] = ACTIONS(3035),
    [aux_sym_proxy_command_token1] = ACTIONS(3035),
    [aux_sym_proxy_jump_token1] = ACTIONS(3035),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3035),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3035),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3035),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3035),
    [aux_sym_rekey_limit_token1] = ACTIONS(3035),
    [aux_sym_remote_command_token1] = ACTIONS(3035),
    [aux_sym_remote_forward_token1] = ACTIONS(3035),
    [aux_sym_request_tty_token1] = ACTIONS(3035),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3035),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3035),
    [aux_sym_security_key_provider_token1] = ACTIONS(3035),
    [aux_sym_send_env_token1] = ACTIONS(3035),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3035),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3035),
    [aux_sym_session_type_token1] = ACTIONS(3035),
    [aux_sym_set_env_token1] = ACTIONS(3035),
    [aux_sym_stdin_null_token1] = ACTIONS(3035),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3035),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3035),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3035),
    [aux_sym_syslog_facility_token1] = ACTIONS(3035),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3035),
    [aux_sym_keep_alive_token1] = ACTIONS(3035),
    [aux_sym_tag_token1] = ACTIONS(3035),
    [aux_sym_tunnel_token1] = ACTIONS(3037),
    [aux_sym_tunnel_device_token1] = ACTIONS(3035),
    [aux_sym_update_host_keys_token1] = ACTIONS(3035),
    [aux_sym_use_keychain_token1] = ACTIONS(3035),
    [aux_sym_use_roaming_token1] = ACTIONS(3035),
    [aux_sym_user_token1] = ACTIONS(3037),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3035),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3035),
    [aux_sym_visual_host_key_token1] = ACTIONS(3035),
    [aux_sym_xauth_location_token1] = ACTIONS(3035),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3041),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [aux_sym_match_token1] = ACTIONS(3039),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3039),
    [aux_sym_address_family_token1] = ACTIONS(3039),
    [aux_sym_batch_mode_token1] = ACTIONS(3039),
    [aux_sym_bind_address_token1] = ACTIONS(3039),
    [aux_sym_bind_interface_token1] = ACTIONS(3039),
    [aux_sym_canonical_domains_token1] = ACTIONS(3039),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3039),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3039),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3039),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3039),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3039),
    [aux_sym_certificate_file_token1] = ACTIONS(3039),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3039),
    [aux_sym_channel_timeout_token1] = ACTIONS(3039),
    [aux_sym_check_host_ip_token1] = ACTIONS(3039),
    [aux_sym_ciphers_token1] = ACTIONS(3039),
    [aux_sym_cipher_token1] = ACTIONS(3041),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3039),
    [aux_sym_compression_token1] = ACTIONS(3039),
    [aux_sym_connection_attempts_token1] = ACTIONS(3039),
    [aux_sym_connect_timeout_token1] = ACTIONS(3039),
    [aux_sym_control_master_token1] = ACTIONS(3039),
    [aux_sym_control_path_token1] = ACTIONS(3039),
    [aux_sym_control_persist_token1] = ACTIONS(3039),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3039),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3039),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3039),
    [aux_sym_escape_char_token1] = ACTIONS(3039),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3039),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3039),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3039),
    [aux_sym_forward_agent_token1] = ACTIONS(3039),
    [aux_sym_forward_x11_token1] = ACTIONS(3041),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3039),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3039),
    [aux_sym_gateway_ports_token1] = ACTIONS(3039),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3039),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3039),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3039),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3039),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3039),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3039),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3039),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3039),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3039),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3039),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3039),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3039),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3039),
    [aux_sym_host_key_alias_token1] = ACTIONS(3039),
    [aux_sym_hostname_token1] = ACTIONS(3039),
    [aux_sym_identities_only_token1] = ACTIONS(3039),
    [aux_sym_identity_agent_token1] = ACTIONS(3039),
    [aux_sym_identity_file_token1] = ACTIONS(3039),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3039),
    [aux_sym_include_token1] = ACTIONS(3039),
    [aux_sym_ip_qos_token1] = ACTIONS(3039),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3039),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3039),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3039),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3039),
    [aux_sym_local_command_token1] = ACTIONS(3039),
    [aux_sym_local_forward_token1] = ACTIONS(3039),
    [aux_sym_log_level_token1] = ACTIONS(3039),
    [aux_sym_log_verbose_token1] = ACTIONS(3039),
    [aux_sym_macs_token1] = ACTIONS(3039),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3039),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3039),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3039),
    [aux_sym_password_authentication_token1] = ACTIONS(3039),
    [aux_sym_permit_local_command_token1] = ACTIONS(3039),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3039),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3039),
    [aux_sym_port_token1] = ACTIONS(3039),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3039),
    [aux_sym_protocol_token1] = ACTIONS(3039),
    [aux_sym_proxy_command_token1] = ACTIONS(3039),
    [aux_sym_proxy_jump_token1] = ACTIONS(3039),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3039),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3039),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3039),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3039),
    [aux_sym_rekey_limit_token1] = ACTIONS(3039),
    [aux_sym_remote_command_token1] = ACTIONS(3039),
    [aux_sym_remote_forward_token1] = ACTIONS(3039),
    [aux_sym_request_tty_token1] = ACTIONS(3039),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3039),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3039),
    [aux_sym_security_key_provider_token1] = ACTIONS(3039),
    [aux_sym_send_env_token1] = ACTIONS(3039),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3039),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3039),
    [aux_sym_session_type_token1] = ACTIONS(3039),
    [aux_sym_set_env_token1] = ACTIONS(3039),
    [aux_sym_stdin_null_token1] = ACTIONS(3039),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3039),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3039),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3039),
    [aux_sym_syslog_facility_token1] = ACTIONS(3039),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3039),
    [aux_sym_keep_alive_token1] = ACTIONS(3039),
    [aux_sym_tag_token1] = ACTIONS(3039),
    [aux_sym_tunnel_token1] = ACTIONS(3041),
    [aux_sym_tunnel_device_token1] = ACTIONS(3039),
    [aux_sym_update_host_keys_token1] = ACTIONS(3039),
    [aux_sym_use_keychain_token1] = ACTIONS(3039),
    [aux_sym_use_roaming_token1] = ACTIONS(3039),
    [aux_sym_user_token1] = ACTIONS(3041),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3039),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3039),
    [aux_sym_visual_host_key_token1] = ACTIONS(3039),
    [aux_sym_xauth_location_token1] = ACTIONS(3039),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3045),
    [aux_sym_match_token1] = ACTIONS(3045),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3045),
    [aux_sym_address_family_token1] = ACTIONS(3045),
    [aux_sym_batch_mode_token1] = ACTIONS(3045),
    [aux_sym_bind_address_token1] = ACTIONS(3045),
    [aux_sym_bind_interface_token1] = ACTIONS(3045),
    [aux_sym_canonical_domains_token1] = ACTIONS(3045),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3045),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3045),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3045),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3045),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3045),
    [aux_sym_certificate_file_token1] = ACTIONS(3045),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3045),
    [aux_sym_channel_timeout_token1] = ACTIONS(3045),
    [aux_sym_check_host_ip_token1] = ACTIONS(3045),
    [aux_sym_ciphers_token1] = ACTIONS(3045),
    [aux_sym_cipher_token1] = ACTIONS(3047),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3045),
    [aux_sym_compression_token1] = ACTIONS(3045),
    [aux_sym_connection_attempts_token1] = ACTIONS(3045),
    [aux_sym_connect_timeout_token1] = ACTIONS(3045),
    [aux_sym_control_master_token1] = ACTIONS(3045),
    [aux_sym_control_path_token1] = ACTIONS(3045),
    [aux_sym_control_persist_token1] = ACTIONS(3045),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3045),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3045),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3045),
    [aux_sym_escape_char_token1] = ACTIONS(3045),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3045),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3045),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3045),
    [aux_sym_forward_agent_token1] = ACTIONS(3045),
    [aux_sym_forward_x11_token1] = ACTIONS(3047),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3045),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3045),
    [aux_sym_gateway_ports_token1] = ACTIONS(3045),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3045),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3045),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3045),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3045),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3045),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3045),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3045),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3045),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3045),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3045),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3045),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3045),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3045),
    [aux_sym_host_key_alias_token1] = ACTIONS(3045),
    [aux_sym_hostname_token1] = ACTIONS(3045),
    [aux_sym_identities_only_token1] = ACTIONS(3045),
    [aux_sym_identity_agent_token1] = ACTIONS(3045),
    [aux_sym_identity_file_token1] = ACTIONS(3045),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3045),
    [aux_sym_include_token1] = ACTIONS(3045),
    [aux_sym_ip_qos_token1] = ACTIONS(3045),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3045),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3045),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3045),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3045),
    [aux_sym_local_command_token1] = ACTIONS(3045),
    [aux_sym_local_forward_token1] = ACTIONS(3045),
    [aux_sym_log_level_token1] = ACTIONS(3045),
    [aux_sym_log_verbose_token1] = ACTIONS(3045),
    [aux_sym_macs_token1] = ACTIONS(3045),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3045),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3045),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3045),
    [aux_sym_password_authentication_token1] = ACTIONS(3045),
    [aux_sym_permit_local_command_token1] = ACTIONS(3045),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3045),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3045),
    [aux_sym_port_token1] = ACTIONS(3045),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3045),
    [aux_sym_protocol_token1] = ACTIONS(3045),
    [aux_sym_proxy_command_token1] = ACTIONS(3045),
    [aux_sym_proxy_jump_token1] = ACTIONS(3045),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3045),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3045),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3045),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3045),
    [aux_sym_rekey_limit_token1] = ACTIONS(3045),
    [aux_sym_remote_command_token1] = ACTIONS(3045),
    [aux_sym_remote_forward_token1] = ACTIONS(3045),
    [aux_sym_request_tty_token1] = ACTIONS(3045),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3045),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3045),
    [aux_sym_security_key_provider_token1] = ACTIONS(3045),
    [aux_sym_send_env_token1] = ACTIONS(3045),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3045),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3045),
    [aux_sym_session_type_token1] = ACTIONS(3045),
    [aux_sym_set_env_token1] = ACTIONS(3045),
    [aux_sym_stdin_null_token1] = ACTIONS(3045),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3045),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3045),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3045),
    [aux_sym_syslog_facility_token1] = ACTIONS(3045),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3045),
    [aux_sym_keep_alive_token1] = ACTIONS(3045),
    [aux_sym_tag_token1] = ACTIONS(3045),
    [aux_sym_tunnel_token1] = ACTIONS(3047),
    [aux_sym_tunnel_device_token1] = ACTIONS(3045),
    [aux_sym_update_host_keys_token1] = ACTIONS(3045),
    [aux_sym_use_keychain_token1] = ACTIONS(3045),
    [aux_sym_use_roaming_token1] = ACTIONS(3045),
    [aux_sym_user_token1] = ACTIONS(3047),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3045),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3045),
    [aux_sym_visual_host_key_token1] = ACTIONS(3045),
    [aux_sym_xauth_location_token1] = ACTIONS(3045),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3051),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [aux_sym_match_token1] = ACTIONS(3049),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3049),
    [aux_sym_address_family_token1] = ACTIONS(3049),
    [aux_sym_batch_mode_token1] = ACTIONS(3049),
    [aux_sym_bind_address_token1] = ACTIONS(3049),
    [aux_sym_bind_interface_token1] = ACTIONS(3049),
    [aux_sym_canonical_domains_token1] = ACTIONS(3049),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3049),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3049),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3049),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3049),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3049),
    [aux_sym_certificate_file_token1] = ACTIONS(3049),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3049),
    [aux_sym_channel_timeout_token1] = ACTIONS(3049),
    [aux_sym_check_host_ip_token1] = ACTIONS(3049),
    [aux_sym_ciphers_token1] = ACTIONS(3049),
    [aux_sym_cipher_token1] = ACTIONS(3051),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3049),
    [aux_sym_compression_token1] = ACTIONS(3049),
    [aux_sym_connection_attempts_token1] = ACTIONS(3049),
    [aux_sym_connect_timeout_token1] = ACTIONS(3049),
    [aux_sym_control_master_token1] = ACTIONS(3049),
    [aux_sym_control_path_token1] = ACTIONS(3049),
    [aux_sym_control_persist_token1] = ACTIONS(3049),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3049),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3049),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3049),
    [aux_sym_escape_char_token1] = ACTIONS(3049),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3049),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3049),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3049),
    [aux_sym_forward_agent_token1] = ACTIONS(3049),
    [aux_sym_forward_x11_token1] = ACTIONS(3051),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3049),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3049),
    [aux_sym_gateway_ports_token1] = ACTIONS(3049),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3049),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3049),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3049),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3049),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3049),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3049),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3049),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3049),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3049),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3049),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3049),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3049),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3049),
    [aux_sym_host_key_alias_token1] = ACTIONS(3049),
    [aux_sym_hostname_token1] = ACTIONS(3049),
    [aux_sym_identities_only_token1] = ACTIONS(3049),
    [aux_sym_identity_agent_token1] = ACTIONS(3049),
    [aux_sym_identity_file_token1] = ACTIONS(3049),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3049),
    [aux_sym_include_token1] = ACTIONS(3049),
    [aux_sym_ip_qos_token1] = ACTIONS(3049),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3049),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3049),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3049),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3049),
    [aux_sym_local_command_token1] = ACTIONS(3049),
    [aux_sym_local_forward_token1] = ACTIONS(3049),
    [aux_sym_log_level_token1] = ACTIONS(3049),
    [aux_sym_log_verbose_token1] = ACTIONS(3049),
    [aux_sym_macs_token1] = ACTIONS(3049),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3049),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3049),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3049),
    [aux_sym_password_authentication_token1] = ACTIONS(3049),
    [aux_sym_permit_local_command_token1] = ACTIONS(3049),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3049),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3049),
    [aux_sym_port_token1] = ACTIONS(3049),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3049),
    [aux_sym_protocol_token1] = ACTIONS(3049),
    [aux_sym_proxy_command_token1] = ACTIONS(3049),
    [aux_sym_proxy_jump_token1] = ACTIONS(3049),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3049),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3049),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3049),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3049),
    [aux_sym_rekey_limit_token1] = ACTIONS(3049),
    [aux_sym_remote_command_token1] = ACTIONS(3049),
    [aux_sym_remote_forward_token1] = ACTIONS(3049),
    [aux_sym_request_tty_token1] = ACTIONS(3049),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3049),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3049),
    [aux_sym_security_key_provider_token1] = ACTIONS(3049),
    [aux_sym_send_env_token1] = ACTIONS(3049),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3049),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3049),
    [aux_sym_session_type_token1] = ACTIONS(3049),
    [aux_sym_set_env_token1] = ACTIONS(3049),
    [aux_sym_stdin_null_token1] = ACTIONS(3049),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3049),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3049),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3049),
    [aux_sym_syslog_facility_token1] = ACTIONS(3049),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3049),
    [aux_sym_keep_alive_token1] = ACTIONS(3049),
    [aux_sym_tag_token1] = ACTIONS(3049),
    [aux_sym_tunnel_token1] = ACTIONS(3051),
    [aux_sym_tunnel_device_token1] = ACTIONS(3049),
    [aux_sym_update_host_keys_token1] = ACTIONS(3049),
    [aux_sym_use_keychain_token1] = ACTIONS(3049),
    [aux_sym_use_roaming_token1] = ACTIONS(3049),
    [aux_sym_user_token1] = ACTIONS(3051),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3049),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3049),
    [aux_sym_visual_host_key_token1] = ACTIONS(3049),
    [aux_sym_xauth_location_token1] = ACTIONS(3049),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3055),
    [aux_sym_match_token1] = ACTIONS(3055),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3055),
    [aux_sym_address_family_token1] = ACTIONS(3055),
    [aux_sym_batch_mode_token1] = ACTIONS(3055),
    [aux_sym_bind_address_token1] = ACTIONS(3055),
    [aux_sym_bind_interface_token1] = ACTIONS(3055),
    [aux_sym_canonical_domains_token1] = ACTIONS(3055),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3055),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3055),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3055),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3055),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3055),
    [aux_sym_certificate_file_token1] = ACTIONS(3055),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3055),
    [aux_sym_channel_timeout_token1] = ACTIONS(3055),
    [aux_sym_check_host_ip_token1] = ACTIONS(3055),
    [aux_sym_ciphers_token1] = ACTIONS(3055),
    [aux_sym_cipher_token1] = ACTIONS(3057),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3055),
    [aux_sym_compression_token1] = ACTIONS(3055),
    [aux_sym_connection_attempts_token1] = ACTIONS(3055),
    [aux_sym_connect_timeout_token1] = ACTIONS(3055),
    [aux_sym_control_master_token1] = ACTIONS(3055),
    [aux_sym_control_path_token1] = ACTIONS(3055),
    [aux_sym_control_persist_token1] = ACTIONS(3055),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3055),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3055),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3055),
    [aux_sym_escape_char_token1] = ACTIONS(3055),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3055),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3055),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3055),
    [aux_sym_forward_agent_token1] = ACTIONS(3055),
    [aux_sym_forward_x11_token1] = ACTIONS(3057),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3055),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3055),
    [aux_sym_gateway_ports_token1] = ACTIONS(3055),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3055),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3055),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3055),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3055),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3055),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3055),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3055),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3055),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3055),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3055),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3055),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3055),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3055),
    [aux_sym_host_key_alias_token1] = ACTIONS(3055),
    [aux_sym_hostname_token1] = ACTIONS(3055),
    [aux_sym_identities_only_token1] = ACTIONS(3055),
    [aux_sym_identity_agent_token1] = ACTIONS(3055),
    [aux_sym_identity_file_token1] = ACTIONS(3055),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3055),
    [aux_sym_include_token1] = ACTIONS(3055),
    [aux_sym_ip_qos_token1] = ACTIONS(3055),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3055),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3055),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3055),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3055),
    [aux_sym_local_command_token1] = ACTIONS(3055),
    [aux_sym_local_forward_token1] = ACTIONS(3055),
    [aux_sym_log_level_token1] = ACTIONS(3055),
    [aux_sym_log_verbose_token1] = ACTIONS(3055),
    [aux_sym_macs_token1] = ACTIONS(3055),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3055),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3055),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3055),
    [aux_sym_password_authentication_token1] = ACTIONS(3055),
    [aux_sym_permit_local_command_token1] = ACTIONS(3055),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3055),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3055),
    [aux_sym_port_token1] = ACTIONS(3055),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3055),
    [aux_sym_protocol_token1] = ACTIONS(3055),
    [aux_sym_proxy_command_token1] = ACTIONS(3055),
    [aux_sym_proxy_jump_token1] = ACTIONS(3055),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3055),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3055),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3055),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3055),
    [aux_sym_rekey_limit_token1] = ACTIONS(3055),
    [aux_sym_remote_command_token1] = ACTIONS(3055),
    [aux_sym_remote_forward_token1] = ACTIONS(3055),
    [aux_sym_request_tty_token1] = ACTIONS(3055),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3055),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3055),
    [aux_sym_security_key_provider_token1] = ACTIONS(3055),
    [aux_sym_send_env_token1] = ACTIONS(3055),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3055),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3055),
    [aux_sym_session_type_token1] = ACTIONS(3055),
    [aux_sym_set_env_token1] = ACTIONS(3055),
    [aux_sym_stdin_null_token1] = ACTIONS(3055),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3055),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3055),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3055),
    [aux_sym_syslog_facility_token1] = ACTIONS(3055),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3055),
    [aux_sym_keep_alive_token1] = ACTIONS(3055),
    [aux_sym_tag_token1] = ACTIONS(3055),
    [aux_sym_tunnel_token1] = ACTIONS(3057),
    [aux_sym_tunnel_device_token1] = ACTIONS(3055),
    [aux_sym_update_host_keys_token1] = ACTIONS(3055),
    [aux_sym_use_keychain_token1] = ACTIONS(3055),
    [aux_sym_use_roaming_token1] = ACTIONS(3055),
    [aux_sym_user_token1] = ACTIONS(3057),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3055),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3055),
    [aux_sym_visual_host_key_token1] = ACTIONS(3055),
    [aux_sym_xauth_location_token1] = ACTIONS(3055),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3059),
    [aux_sym_match_token1] = ACTIONS(3059),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3059),
    [aux_sym_address_family_token1] = ACTIONS(3059),
    [aux_sym_batch_mode_token1] = ACTIONS(3059),
    [aux_sym_bind_address_token1] = ACTIONS(3059),
    [aux_sym_bind_interface_token1] = ACTIONS(3059),
    [aux_sym_canonical_domains_token1] = ACTIONS(3059),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3059),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3059),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3059),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3059),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3059),
    [aux_sym_certificate_file_token1] = ACTIONS(3059),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3059),
    [aux_sym_channel_timeout_token1] = ACTIONS(3059),
    [aux_sym_check_host_ip_token1] = ACTIONS(3059),
    [aux_sym_ciphers_token1] = ACTIONS(3059),
    [aux_sym_cipher_token1] = ACTIONS(3061),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3059),
    [aux_sym_compression_token1] = ACTIONS(3059),
    [aux_sym_connection_attempts_token1] = ACTIONS(3059),
    [aux_sym_connect_timeout_token1] = ACTIONS(3059),
    [aux_sym_control_master_token1] = ACTIONS(3059),
    [aux_sym_control_path_token1] = ACTIONS(3059),
    [aux_sym_control_persist_token1] = ACTIONS(3059),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3059),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3059),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3059),
    [aux_sym_escape_char_token1] = ACTIONS(3059),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3059),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3059),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3059),
    [aux_sym_forward_agent_token1] = ACTIONS(3059),
    [aux_sym_forward_x11_token1] = ACTIONS(3061),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3059),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3059),
    [aux_sym_gateway_ports_token1] = ACTIONS(3059),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3059),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3059),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3059),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3059),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3059),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3059),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3059),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3059),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3059),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3059),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3059),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3059),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3059),
    [aux_sym_host_key_alias_token1] = ACTIONS(3059),
    [aux_sym_hostname_token1] = ACTIONS(3059),
    [aux_sym_identities_only_token1] = ACTIONS(3059),
    [aux_sym_identity_agent_token1] = ACTIONS(3059),
    [aux_sym_identity_file_token1] = ACTIONS(3059),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3059),
    [aux_sym_include_token1] = ACTIONS(3059),
    [aux_sym_ip_qos_token1] = ACTIONS(3059),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3059),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3059),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3059),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3059),
    [aux_sym_local_command_token1] = ACTIONS(3059),
    [aux_sym_local_forward_token1] = ACTIONS(3059),
    [aux_sym_log_level_token1] = ACTIONS(3059),
    [aux_sym_log_verbose_token1] = ACTIONS(3059),
    [aux_sym_macs_token1] = ACTIONS(3059),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3059),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3059),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3059),
    [aux_sym_password_authentication_token1] = ACTIONS(3059),
    [aux_sym_permit_local_command_token1] = ACTIONS(3059),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3059),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3059),
    [aux_sym_port_token1] = ACTIONS(3059),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3059),
    [aux_sym_protocol_token1] = ACTIONS(3059),
    [aux_sym_proxy_command_token1] = ACTIONS(3059),
    [aux_sym_proxy_jump_token1] = ACTIONS(3059),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3059),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3059),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3059),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3059),
    [aux_sym_rekey_limit_token1] = ACTIONS(3059),
    [aux_sym_remote_command_token1] = ACTIONS(3059),
    [aux_sym_remote_forward_token1] = ACTIONS(3059),
    [aux_sym_request_tty_token1] = ACTIONS(3059),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3059),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3059),
    [aux_sym_security_key_provider_token1] = ACTIONS(3059),
    [aux_sym_send_env_token1] = ACTIONS(3059),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3059),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3059),
    [aux_sym_session_type_token1] = ACTIONS(3059),
    [aux_sym_set_env_token1] = ACTIONS(3059),
    [aux_sym_stdin_null_token1] = ACTIONS(3059),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3059),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3059),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3059),
    [aux_sym_syslog_facility_token1] = ACTIONS(3059),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3059),
    [aux_sym_keep_alive_token1] = ACTIONS(3059),
    [aux_sym_tag_token1] = ACTIONS(3059),
    [aux_sym_tunnel_token1] = ACTIONS(3061),
    [aux_sym_tunnel_device_token1] = ACTIONS(3059),
    [aux_sym_update_host_keys_token1] = ACTIONS(3059),
    [aux_sym_use_keychain_token1] = ACTIONS(3059),
    [aux_sym_use_roaming_token1] = ACTIONS(3059),
    [aux_sym_user_token1] = ACTIONS(3061),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3059),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3059),
    [aux_sym_visual_host_key_token1] = ACTIONS(3059),
    [aux_sym_xauth_location_token1] = ACTIONS(3059),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [aux_sym_match_token1] = ACTIONS(3063),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3063),
    [aux_sym_address_family_token1] = ACTIONS(3063),
    [aux_sym_batch_mode_token1] = ACTIONS(3063),
    [aux_sym_bind_address_token1] = ACTIONS(3063),
    [aux_sym_bind_interface_token1] = ACTIONS(3063),
    [aux_sym_canonical_domains_token1] = ACTIONS(3063),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3063),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3063),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3063),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3063),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3063),
    [aux_sym_certificate_file_token1] = ACTIONS(3063),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3063),
    [aux_sym_channel_timeout_token1] = ACTIONS(3063),
    [aux_sym_check_host_ip_token1] = ACTIONS(3063),
    [aux_sym_ciphers_token1] = ACTIONS(3063),
    [aux_sym_cipher_token1] = ACTIONS(3065),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3063),
    [aux_sym_compression_token1] = ACTIONS(3063),
    [aux_sym_connection_attempts_token1] = ACTIONS(3063),
    [aux_sym_connect_timeout_token1] = ACTIONS(3063),
    [aux_sym_control_master_token1] = ACTIONS(3063),
    [aux_sym_control_path_token1] = ACTIONS(3063),
    [aux_sym_control_persist_token1] = ACTIONS(3063),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3063),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3063),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3063),
    [aux_sym_escape_char_token1] = ACTIONS(3063),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3063),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3063),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3063),
    [aux_sym_forward_agent_token1] = ACTIONS(3063),
    [aux_sym_forward_x11_token1] = ACTIONS(3065),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3063),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3063),
    [aux_sym_gateway_ports_token1] = ACTIONS(3063),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3063),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3063),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3063),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3063),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3063),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3063),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3063),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3063),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3063),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3063),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3063),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3063),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3063),
    [aux_sym_host_key_alias_token1] = ACTIONS(3063),
    [aux_sym_hostname_token1] = ACTIONS(3063),
    [aux_sym_identities_only_token1] = ACTIONS(3063),
    [aux_sym_identity_agent_token1] = ACTIONS(3063),
    [aux_sym_identity_file_token1] = ACTIONS(3063),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3063),
    [aux_sym_include_token1] = ACTIONS(3063),
    [aux_sym_ip_qos_token1] = ACTIONS(3063),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3063),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3063),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3063),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3063),
    [aux_sym_local_command_token1] = ACTIONS(3063),
    [aux_sym_local_forward_token1] = ACTIONS(3063),
    [aux_sym_log_level_token1] = ACTIONS(3063),
    [aux_sym_log_verbose_token1] = ACTIONS(3063),
    [aux_sym_macs_token1] = ACTIONS(3063),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3063),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3063),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3063),
    [aux_sym_password_authentication_token1] = ACTIONS(3063),
    [aux_sym_permit_local_command_token1] = ACTIONS(3063),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3063),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3063),
    [aux_sym_port_token1] = ACTIONS(3063),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3063),
    [aux_sym_protocol_token1] = ACTIONS(3063),
    [aux_sym_proxy_command_token1] = ACTIONS(3063),
    [aux_sym_proxy_jump_token1] = ACTIONS(3063),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3063),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3063),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3063),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3063),
    [aux_sym_rekey_limit_token1] = ACTIONS(3063),
    [aux_sym_remote_command_token1] = ACTIONS(3063),
    [aux_sym_remote_forward_token1] = ACTIONS(3063),
    [aux_sym_request_tty_token1] = ACTIONS(3063),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3063),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3063),
    [aux_sym_security_key_provider_token1] = ACTIONS(3063),
    [aux_sym_send_env_token1] = ACTIONS(3063),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3063),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3063),
    [aux_sym_session_type_token1] = ACTIONS(3063),
    [aux_sym_set_env_token1] = ACTIONS(3063),
    [aux_sym_stdin_null_token1] = ACTIONS(3063),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3063),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3063),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3063),
    [aux_sym_syslog_facility_token1] = ACTIONS(3063),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3063),
    [aux_sym_keep_alive_token1] = ACTIONS(3063),
    [aux_sym_tag_token1] = ACTIONS(3063),
    [aux_sym_tunnel_token1] = ACTIONS(3065),
    [aux_sym_tunnel_device_token1] = ACTIONS(3063),
    [aux_sym_update_host_keys_token1] = ACTIONS(3063),
    [aux_sym_use_keychain_token1] = ACTIONS(3063),
    [aux_sym_use_roaming_token1] = ACTIONS(3063),
    [aux_sym_user_token1] = ACTIONS(3065),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3063),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3063),
    [aux_sym_visual_host_key_token1] = ACTIONS(3063),
    [aux_sym_xauth_location_token1] = ACTIONS(3063),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3071),
    [anon_sym_DQUOTE] = ACTIONS(3073),
    [aux_sym_match_token1] = ACTIONS(3069),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3069),
    [aux_sym_address_family_token1] = ACTIONS(3069),
    [aux_sym_batch_mode_token1] = ACTIONS(3069),
    [aux_sym_bind_address_token1] = ACTIONS(3069),
    [aux_sym_bind_interface_token1] = ACTIONS(3069),
    [aux_sym_canonical_domains_token1] = ACTIONS(3069),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3069),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3069),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3069),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3069),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3069),
    [aux_sym_certificate_file_token1] = ACTIONS(3069),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3069),
    [aux_sym_channel_timeout_token1] = ACTIONS(3069),
    [aux_sym_check_host_ip_token1] = ACTIONS(3069),
    [aux_sym_ciphers_token1] = ACTIONS(3069),
    [aux_sym_cipher_token1] = ACTIONS(3071),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3069),
    [aux_sym_compression_token1] = ACTIONS(3069),
    [aux_sym_connection_attempts_token1] = ACTIONS(3069),
    [aux_sym_connect_timeout_token1] = ACTIONS(3069),
    [aux_sym_control_master_token1] = ACTIONS(3069),
    [aux_sym_control_path_token1] = ACTIONS(3069),
    [aux_sym_control_persist_token1] = ACTIONS(3069),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3069),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3069),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3069),
    [aux_sym_escape_char_token1] = ACTIONS(3069),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3069),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3069),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3069),
    [aux_sym_forward_agent_token1] = ACTIONS(3069),
    [aux_sym_forward_x11_token1] = ACTIONS(3071),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3069),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3069),
    [aux_sym_gateway_ports_token1] = ACTIONS(3069),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3069),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3069),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3069),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3069),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3069),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3069),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3069),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3069),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3069),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3069),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3069),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3069),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3069),
    [aux_sym_host_key_alias_token1] = ACTIONS(3069),
    [aux_sym_hostname_token1] = ACTIONS(3069),
    [aux_sym_identities_only_token1] = ACTIONS(3069),
    [aux_sym_identity_agent_token1] = ACTIONS(3069),
    [aux_sym_identity_file_token1] = ACTIONS(3069),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3069),
    [aux_sym_include_token1] = ACTIONS(3069),
    [aux_sym_ip_qos_token1] = ACTIONS(3069),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3069),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3069),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3069),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3069),
    [aux_sym_local_command_token1] = ACTIONS(3069),
    [aux_sym_local_forward_token1] = ACTIONS(3069),
    [aux_sym_log_level_token1] = ACTIONS(3069),
    [aux_sym_log_verbose_token1] = ACTIONS(3069),
    [aux_sym_macs_token1] = ACTIONS(3069),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3069),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3069),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3069),
    [aux_sym_password_authentication_token1] = ACTIONS(3069),
    [aux_sym_permit_local_command_token1] = ACTIONS(3069),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3069),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3069),
    [aux_sym_port_token1] = ACTIONS(3069),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3069),
    [aux_sym_protocol_token1] = ACTIONS(3069),
    [aux_sym_proxy_command_token1] = ACTIONS(3069),
    [aux_sym_proxy_jump_token1] = ACTIONS(3069),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3069),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3069),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3069),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3069),
    [aux_sym_rekey_limit_token1] = ACTIONS(3069),
    [aux_sym_remote_command_token1] = ACTIONS(3069),
    [aux_sym_remote_forward_token1] = ACTIONS(3069),
    [aux_sym_request_tty_token1] = ACTIONS(3069),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3069),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3069),
    [aux_sym_security_key_provider_token1] = ACTIONS(3069),
    [aux_sym_send_env_token1] = ACTIONS(3069),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3069),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3069),
    [aux_sym_session_type_token1] = ACTIONS(3069),
    [aux_sym_set_env_token1] = ACTIONS(3069),
    [aux_sym_stdin_null_token1] = ACTIONS(3069),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3069),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3069),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3069),
    [aux_sym_syslog_facility_token1] = ACTIONS(3069),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3069),
    [aux_sym_keep_alive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(3069),
    [aux_sym_tunnel_token1] = ACTIONS(3071),
    [aux_sym_tunnel_device_token1] = ACTIONS(3069),
    [aux_sym_update_host_keys_token1] = ACTIONS(3069),
    [aux_sym_use_keychain_token1] = ACTIONS(3069),
    [aux_sym_use_roaming_token1] = ACTIONS(3069),
    [aux_sym_user_token1] = ACTIONS(3071),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3069),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3069),
    [aux_sym_visual_host_key_token1] = ACTIONS(3069),
    [aux_sym_xauth_location_token1] = ACTIONS(3069),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3077),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [aux_sym_match_token1] = ACTIONS(3075),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3075),
    [aux_sym_address_family_token1] = ACTIONS(3075),
    [aux_sym_batch_mode_token1] = ACTIONS(3075),
    [aux_sym_bind_address_token1] = ACTIONS(3075),
    [aux_sym_bind_interface_token1] = ACTIONS(3075),
    [aux_sym_canonical_domains_token1] = ACTIONS(3075),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3075),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3075),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3075),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3075),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3075),
    [aux_sym_certificate_file_token1] = ACTIONS(3075),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3075),
    [aux_sym_channel_timeout_token1] = ACTIONS(3075),
    [aux_sym_check_host_ip_token1] = ACTIONS(3075),
    [aux_sym_ciphers_token1] = ACTIONS(3075),
    [aux_sym_cipher_token1] = ACTIONS(3077),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3075),
    [aux_sym_compression_token1] = ACTIONS(3075),
    [aux_sym_connection_attempts_token1] = ACTIONS(3075),
    [aux_sym_connect_timeout_token1] = ACTIONS(3075),
    [aux_sym_control_master_token1] = ACTIONS(3075),
    [aux_sym_control_path_token1] = ACTIONS(3075),
    [aux_sym_control_persist_token1] = ACTIONS(3075),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3075),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3075),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3075),
    [aux_sym_escape_char_token1] = ACTIONS(3075),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3075),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3075),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3075),
    [aux_sym_forward_agent_token1] = ACTIONS(3075),
    [aux_sym_forward_x11_token1] = ACTIONS(3077),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3075),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3075),
    [aux_sym_gateway_ports_token1] = ACTIONS(3075),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3075),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3075),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3075),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3075),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3075),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3075),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3075),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3075),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3075),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3075),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3075),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3075),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3075),
    [aux_sym_host_key_alias_token1] = ACTIONS(3075),
    [aux_sym_hostname_token1] = ACTIONS(3075),
    [aux_sym_identities_only_token1] = ACTIONS(3075),
    [aux_sym_identity_agent_token1] = ACTIONS(3075),
    [aux_sym_identity_file_token1] = ACTIONS(3075),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3075),
    [aux_sym_include_token1] = ACTIONS(3075),
    [aux_sym_ip_qos_token1] = ACTIONS(3075),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3075),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3075),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3075),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3075),
    [aux_sym_local_command_token1] = ACTIONS(3075),
    [aux_sym_local_forward_token1] = ACTIONS(3075),
    [aux_sym_log_level_token1] = ACTIONS(3075),
    [aux_sym_log_verbose_token1] = ACTIONS(3075),
    [aux_sym_macs_token1] = ACTIONS(3075),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3075),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3075),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3075),
    [aux_sym_password_authentication_token1] = ACTIONS(3075),
    [aux_sym_permit_local_command_token1] = ACTIONS(3075),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3075),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3075),
    [aux_sym_port_token1] = ACTIONS(3075),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3075),
    [aux_sym_protocol_token1] = ACTIONS(3075),
    [aux_sym_proxy_command_token1] = ACTIONS(3075),
    [aux_sym_proxy_jump_token1] = ACTIONS(3075),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3075),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3075),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3075),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3075),
    [aux_sym_rekey_limit_token1] = ACTIONS(3075),
    [aux_sym_remote_command_token1] = ACTIONS(3075),
    [aux_sym_remote_forward_token1] = ACTIONS(3075),
    [aux_sym_request_tty_token1] = ACTIONS(3075),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3075),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3075),
    [aux_sym_security_key_provider_token1] = ACTIONS(3075),
    [aux_sym_send_env_token1] = ACTIONS(3075),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3075),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3075),
    [aux_sym_session_type_token1] = ACTIONS(3075),
    [aux_sym_set_env_token1] = ACTIONS(3075),
    [aux_sym_stdin_null_token1] = ACTIONS(3075),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3075),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3075),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3075),
    [aux_sym_syslog_facility_token1] = ACTIONS(3075),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3075),
    [aux_sym_keep_alive_token1] = ACTIONS(3075),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [aux_sym_tunnel_token1] = ACTIONS(3077),
    [aux_sym_tunnel_device_token1] = ACTIONS(3075),
    [aux_sym_update_host_keys_token1] = ACTIONS(3075),
    [aux_sym_use_keychain_token1] = ACTIONS(3075),
    [aux_sym_use_roaming_token1] = ACTIONS(3075),
    [aux_sym_user_token1] = ACTIONS(3077),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3075),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3075),
    [aux_sym_visual_host_key_token1] = ACTIONS(3075),
    [aux_sym_xauth_location_token1] = ACTIONS(3075),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(3079),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3081),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [aux_sym_match_token1] = ACTIONS(3079),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3079),
    [aux_sym_address_family_token1] = ACTIONS(3079),
    [aux_sym_batch_mode_token1] = ACTIONS(3079),
    [aux_sym_bind_address_token1] = ACTIONS(3079),
    [aux_sym_bind_interface_token1] = ACTIONS(3079),
    [aux_sym_canonical_domains_token1] = ACTIONS(3079),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3079),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3079),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3079),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3079),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3079),
    [aux_sym_certificate_file_token1] = ACTIONS(3079),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3079),
    [aux_sym_channel_timeout_token1] = ACTIONS(3079),
    [aux_sym_check_host_ip_token1] = ACTIONS(3079),
    [aux_sym_ciphers_token1] = ACTIONS(3079),
    [aux_sym_cipher_token1] = ACTIONS(3081),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3079),
    [aux_sym_compression_token1] = ACTIONS(3079),
    [aux_sym_connection_attempts_token1] = ACTIONS(3079),
    [aux_sym_connect_timeout_token1] = ACTIONS(3079),
    [aux_sym_control_master_token1] = ACTIONS(3079),
    [aux_sym_control_path_token1] = ACTIONS(3079),
    [aux_sym_control_persist_token1] = ACTIONS(3079),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3079),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3079),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3079),
    [aux_sym_escape_char_token1] = ACTIONS(3079),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3079),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3079),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3079),
    [aux_sym_forward_agent_token1] = ACTIONS(3079),
    [aux_sym_forward_x11_token1] = ACTIONS(3081),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3079),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3079),
    [aux_sym_gateway_ports_token1] = ACTIONS(3079),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3079),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3079),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3079),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3079),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3079),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3079),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3079),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3079),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3079),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3079),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3079),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3079),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3079),
    [aux_sym_host_key_alias_token1] = ACTIONS(3079),
    [aux_sym_hostname_token1] = ACTIONS(3079),
    [aux_sym_identities_only_token1] = ACTIONS(3079),
    [aux_sym_identity_agent_token1] = ACTIONS(3079),
    [aux_sym_identity_file_token1] = ACTIONS(3079),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3079),
    [aux_sym_include_token1] = ACTIONS(3079),
    [aux_sym_ip_qos_token1] = ACTIONS(3079),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3079),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3079),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3079),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3079),
    [aux_sym_local_command_token1] = ACTIONS(3079),
    [aux_sym_local_forward_token1] = ACTIONS(3079),
    [aux_sym_log_level_token1] = ACTIONS(3079),
    [aux_sym_log_verbose_token1] = ACTIONS(3079),
    [aux_sym_macs_token1] = ACTIONS(3079),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3079),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3079),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3079),
    [aux_sym_password_authentication_token1] = ACTIONS(3079),
    [aux_sym_permit_local_command_token1] = ACTIONS(3079),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3079),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3079),
    [aux_sym_port_token1] = ACTIONS(3079),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3079),
    [aux_sym_protocol_token1] = ACTIONS(3079),
    [aux_sym_proxy_command_token1] = ACTIONS(3079),
    [aux_sym_proxy_jump_token1] = ACTIONS(3079),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3079),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3079),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3079),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3079),
    [aux_sym_rekey_limit_token1] = ACTIONS(3079),
    [aux_sym_remote_command_token1] = ACTIONS(3079),
    [aux_sym_remote_forward_token1] = ACTIONS(3079),
    [aux_sym_request_tty_token1] = ACTIONS(3079),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3079),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3079),
    [aux_sym_security_key_provider_token1] = ACTIONS(3079),
    [aux_sym_send_env_token1] = ACTIONS(3079),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3079),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3079),
    [aux_sym_session_type_token1] = ACTIONS(3079),
    [aux_sym_set_env_token1] = ACTIONS(3079),
    [aux_sym_stdin_null_token1] = ACTIONS(3079),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3079),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3079),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3079),
    [aux_sym_syslog_facility_token1] = ACTIONS(3079),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3079),
    [aux_sym_keep_alive_token1] = ACTIONS(3079),
    [aux_sym_tag_token1] = ACTIONS(3079),
    [aux_sym_tunnel_token1] = ACTIONS(3081),
    [aux_sym_tunnel_device_token1] = ACTIONS(3079),
    [aux_sym_update_host_keys_token1] = ACTIONS(3079),
    [aux_sym_use_keychain_token1] = ACTIONS(3079),
    [aux_sym_use_roaming_token1] = ACTIONS(3079),
    [aux_sym_user_token1] = ACTIONS(3081),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3079),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3079),
    [aux_sym_visual_host_key_token1] = ACTIONS(3079),
    [aux_sym_xauth_location_token1] = ACTIONS(3079),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3085),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [aux_sym_match_token1] = ACTIONS(3083),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3083),
    [aux_sym_address_family_token1] = ACTIONS(3083),
    [aux_sym_batch_mode_token1] = ACTIONS(3083),
    [aux_sym_bind_address_token1] = ACTIONS(3083),
    [aux_sym_bind_interface_token1] = ACTIONS(3083),
    [aux_sym_canonical_domains_token1] = ACTIONS(3083),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3083),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3083),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3083),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3083),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3083),
    [aux_sym_certificate_file_token1] = ACTIONS(3083),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3083),
    [aux_sym_channel_timeout_token1] = ACTIONS(3083),
    [aux_sym_check_host_ip_token1] = ACTIONS(3083),
    [aux_sym_ciphers_token1] = ACTIONS(3083),
    [aux_sym_cipher_token1] = ACTIONS(3085),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3083),
    [aux_sym_compression_token1] = ACTIONS(3083),
    [aux_sym_connection_attempts_token1] = ACTIONS(3083),
    [aux_sym_connect_timeout_token1] = ACTIONS(3083),
    [aux_sym_control_master_token1] = ACTIONS(3083),
    [aux_sym_control_path_token1] = ACTIONS(3083),
    [aux_sym_control_persist_token1] = ACTIONS(3083),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3083),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3083),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3083),
    [aux_sym_escape_char_token1] = ACTIONS(3083),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3083),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3083),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3083),
    [aux_sym_forward_agent_token1] = ACTIONS(3083),
    [aux_sym_forward_x11_token1] = ACTIONS(3085),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3083),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3083),
    [aux_sym_gateway_ports_token1] = ACTIONS(3083),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3083),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3083),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3083),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3083),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3083),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3083),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3083),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3083),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3083),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3083),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3083),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3083),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3083),
    [aux_sym_host_key_alias_token1] = ACTIONS(3083),
    [aux_sym_hostname_token1] = ACTIONS(3083),
    [aux_sym_identities_only_token1] = ACTIONS(3083),
    [aux_sym_identity_agent_token1] = ACTIONS(3083),
    [aux_sym_identity_file_token1] = ACTIONS(3083),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3083),
    [aux_sym_include_token1] = ACTIONS(3083),
    [aux_sym_ip_qos_token1] = ACTIONS(3083),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3083),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3083),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3083),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3083),
    [aux_sym_local_command_token1] = ACTIONS(3083),
    [aux_sym_local_forward_token1] = ACTIONS(3083),
    [aux_sym_log_level_token1] = ACTIONS(3083),
    [aux_sym_log_verbose_token1] = ACTIONS(3083),
    [aux_sym_macs_token1] = ACTIONS(3083),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3083),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3083),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3083),
    [aux_sym_password_authentication_token1] = ACTIONS(3083),
    [aux_sym_permit_local_command_token1] = ACTIONS(3083),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3083),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3083),
    [aux_sym_port_token1] = ACTIONS(3083),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3083),
    [aux_sym_protocol_token1] = ACTIONS(3083),
    [aux_sym_proxy_command_token1] = ACTIONS(3083),
    [aux_sym_proxy_jump_token1] = ACTIONS(3083),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3083),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3083),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3083),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3083),
    [aux_sym_rekey_limit_token1] = ACTIONS(3083),
    [aux_sym_remote_command_token1] = ACTIONS(3083),
    [aux_sym_remote_forward_token1] = ACTIONS(3083),
    [aux_sym_request_tty_token1] = ACTIONS(3083),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3083),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3083),
    [aux_sym_security_key_provider_token1] = ACTIONS(3083),
    [aux_sym_send_env_token1] = ACTIONS(3083),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3083),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3083),
    [aux_sym_session_type_token1] = ACTIONS(3083),
    [aux_sym_set_env_token1] = ACTIONS(3083),
    [aux_sym_stdin_null_token1] = ACTIONS(3083),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3083),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3083),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3083),
    [aux_sym_syslog_facility_token1] = ACTIONS(3083),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3083),
    [aux_sym_keep_alive_token1] = ACTIONS(3083),
    [aux_sym_tag_token1] = ACTIONS(3083),
    [aux_sym_tunnel_token1] = ACTIONS(3085),
    [aux_sym_tunnel_device_token1] = ACTIONS(3083),
    [aux_sym_update_host_keys_token1] = ACTIONS(3083),
    [aux_sym_use_keychain_token1] = ACTIONS(3083),
    [aux_sym_use_roaming_token1] = ACTIONS(3083),
    [aux_sym_user_token1] = ACTIONS(3085),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3083),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3083),
    [aux_sym_visual_host_key_token1] = ACTIONS(3083),
    [aux_sym_xauth_location_token1] = ACTIONS(3083),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3093),
    [aux_sym_match_token1] = ACTIONS(3089),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3089),
    [aux_sym_address_family_token1] = ACTIONS(3089),
    [aux_sym_batch_mode_token1] = ACTIONS(3089),
    [aux_sym_bind_address_token1] = ACTIONS(3089),
    [aux_sym_bind_interface_token1] = ACTIONS(3089),
    [aux_sym_canonical_domains_token1] = ACTIONS(3089),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3089),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3089),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3089),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3089),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3089),
    [aux_sym_certificate_file_token1] = ACTIONS(3089),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3089),
    [aux_sym_channel_timeout_token1] = ACTIONS(3089),
    [aux_sym_check_host_ip_token1] = ACTIONS(3089),
    [aux_sym_ciphers_token1] = ACTIONS(3089),
    [aux_sym_cipher_token1] = ACTIONS(3091),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3089),
    [aux_sym_compression_token1] = ACTIONS(3089),
    [aux_sym_connection_attempts_token1] = ACTIONS(3089),
    [aux_sym_connect_timeout_token1] = ACTIONS(3089),
    [aux_sym_control_master_token1] = ACTIONS(3089),
    [aux_sym_control_path_token1] = ACTIONS(3089),
    [aux_sym_control_persist_token1] = ACTIONS(3089),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3089),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3089),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3089),
    [aux_sym_escape_char_token1] = ACTIONS(3089),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3089),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3089),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3089),
    [aux_sym_forward_agent_token1] = ACTIONS(3089),
    [aux_sym_forward_x11_token1] = ACTIONS(3091),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3089),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3089),
    [aux_sym_gateway_ports_token1] = ACTIONS(3089),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3089),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3089),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3089),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3089),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3089),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3089),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3089),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3089),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3089),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3089),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3089),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3089),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3089),
    [aux_sym_host_key_alias_token1] = ACTIONS(3089),
    [aux_sym_hostname_token1] = ACTIONS(3089),
    [aux_sym_identities_only_token1] = ACTIONS(3089),
    [aux_sym_identity_agent_token1] = ACTIONS(3089),
    [aux_sym_identity_file_token1] = ACTIONS(3089),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3089),
    [aux_sym_include_token1] = ACTIONS(3089),
    [aux_sym_ip_qos_token1] = ACTIONS(3089),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3089),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3089),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3089),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3089),
    [aux_sym_local_command_token1] = ACTIONS(3089),
    [aux_sym_local_forward_token1] = ACTIONS(3089),
    [aux_sym_log_level_token1] = ACTIONS(3089),
    [aux_sym_log_verbose_token1] = ACTIONS(3089),
    [aux_sym_macs_token1] = ACTIONS(3089),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3089),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3089),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3089),
    [aux_sym_password_authentication_token1] = ACTIONS(3089),
    [aux_sym_permit_local_command_token1] = ACTIONS(3089),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3089),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3089),
    [aux_sym_port_token1] = ACTIONS(3089),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3089),
    [aux_sym_protocol_token1] = ACTIONS(3089),
    [aux_sym_proxy_command_token1] = ACTIONS(3089),
    [aux_sym_proxy_jump_token1] = ACTIONS(3089),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3089),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3089),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3089),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3089),
    [aux_sym_rekey_limit_token1] = ACTIONS(3089),
    [aux_sym_remote_command_token1] = ACTIONS(3089),
    [aux_sym_remote_forward_token1] = ACTIONS(3089),
    [aux_sym_request_tty_token1] = ACTIONS(3089),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3089),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3089),
    [aux_sym_security_key_provider_token1] = ACTIONS(3089),
    [aux_sym_send_env_token1] = ACTIONS(3089),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3089),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3089),
    [aux_sym_session_type_token1] = ACTIONS(3089),
    [aux_sym_set_env_token1] = ACTIONS(3089),
    [aux_sym_stdin_null_token1] = ACTIONS(3089),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3089),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3089),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3089),
    [aux_sym_syslog_facility_token1] = ACTIONS(3089),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3089),
    [aux_sym_keep_alive_token1] = ACTIONS(3089),
    [aux_sym_tag_token1] = ACTIONS(3089),
    [aux_sym_tunnel_token1] = ACTIONS(3091),
    [aux_sym_tunnel_device_token1] = ACTIONS(3089),
    [aux_sym_update_host_keys_token1] = ACTIONS(3089),
    [aux_sym_use_keychain_token1] = ACTIONS(3089),
    [aux_sym_use_roaming_token1] = ACTIONS(3089),
    [aux_sym_user_token1] = ACTIONS(3091),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3089),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3089),
    [aux_sym_visual_host_key_token1] = ACTIONS(3089),
    [aux_sym_xauth_location_token1] = ACTIONS(3089),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3095),
    [aux_sym_match_token1] = ACTIONS(3095),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3095),
    [aux_sym_address_family_token1] = ACTIONS(3095),
    [aux_sym_batch_mode_token1] = ACTIONS(3095),
    [aux_sym_bind_address_token1] = ACTIONS(3095),
    [aux_sym_bind_interface_token1] = ACTIONS(3095),
    [aux_sym_canonical_domains_token1] = ACTIONS(3095),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3095),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3095),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3095),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3095),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3095),
    [aux_sym_certificate_file_token1] = ACTIONS(3095),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3095),
    [aux_sym_channel_timeout_token1] = ACTIONS(3095),
    [aux_sym_check_host_ip_token1] = ACTIONS(3095),
    [aux_sym_ciphers_token1] = ACTIONS(3095),
    [aux_sym_cipher_token1] = ACTIONS(3097),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3095),
    [aux_sym_compression_token1] = ACTIONS(3095),
    [aux_sym_connection_attempts_token1] = ACTIONS(3095),
    [aux_sym_connect_timeout_token1] = ACTIONS(3095),
    [aux_sym_control_master_token1] = ACTIONS(3095),
    [aux_sym_control_path_token1] = ACTIONS(3095),
    [aux_sym_control_persist_token1] = ACTIONS(3095),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3095),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3095),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3095),
    [aux_sym_escape_char_token1] = ACTIONS(3095),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3095),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3095),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3095),
    [aux_sym_forward_agent_token1] = ACTIONS(3095),
    [aux_sym_forward_x11_token1] = ACTIONS(3097),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3095),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3095),
    [aux_sym_gateway_ports_token1] = ACTIONS(3095),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3095),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3095),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3095),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3095),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3095),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3095),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3095),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3095),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3095),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3095),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3095),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3095),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3095),
    [aux_sym_host_key_alias_token1] = ACTIONS(3095),
    [aux_sym_hostname_token1] = ACTIONS(3095),
    [aux_sym_identities_only_token1] = ACTIONS(3095),
    [aux_sym_identity_agent_token1] = ACTIONS(3095),
    [aux_sym_identity_file_token1] = ACTIONS(3095),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3095),
    [aux_sym_include_token1] = ACTIONS(3095),
    [aux_sym_ip_qos_token1] = ACTIONS(3095),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3095),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3095),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3095),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3095),
    [aux_sym_local_command_token1] = ACTIONS(3095),
    [aux_sym_local_forward_token1] = ACTIONS(3095),
    [aux_sym_log_level_token1] = ACTIONS(3095),
    [aux_sym_log_verbose_token1] = ACTIONS(3095),
    [aux_sym_macs_token1] = ACTIONS(3095),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3095),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3095),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3095),
    [aux_sym_password_authentication_token1] = ACTIONS(3095),
    [aux_sym_permit_local_command_token1] = ACTIONS(3095),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3095),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3095),
    [aux_sym_port_token1] = ACTIONS(3095),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3095),
    [aux_sym_protocol_token1] = ACTIONS(3095),
    [aux_sym_proxy_command_token1] = ACTIONS(3095),
    [aux_sym_proxy_jump_token1] = ACTIONS(3095),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3095),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3095),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3095),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3095),
    [aux_sym_rekey_limit_token1] = ACTIONS(3095),
    [aux_sym_remote_command_token1] = ACTIONS(3095),
    [aux_sym_remote_forward_token1] = ACTIONS(3095),
    [aux_sym_request_tty_token1] = ACTIONS(3095),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3095),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3095),
    [aux_sym_security_key_provider_token1] = ACTIONS(3095),
    [aux_sym_send_env_token1] = ACTIONS(3095),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3095),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3095),
    [aux_sym_session_type_token1] = ACTIONS(3095),
    [aux_sym_set_env_token1] = ACTIONS(3095),
    [aux_sym_stdin_null_token1] = ACTIONS(3095),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3095),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3095),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3095),
    [aux_sym_syslog_facility_token1] = ACTIONS(3095),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3095),
    [aux_sym_keep_alive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(3095),
    [aux_sym_tunnel_token1] = ACTIONS(3097),
    [aux_sym_tunnel_device_token1] = ACTIONS(3095),
    [aux_sym_update_host_keys_token1] = ACTIONS(3095),
    [aux_sym_use_keychain_token1] = ACTIONS(3095),
    [aux_sym_use_roaming_token1] = ACTIONS(3095),
    [aux_sym_user_token1] = ACTIONS(3097),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3095),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3095),
    [aux_sym_visual_host_key_token1] = ACTIONS(3095),
    [aux_sym_xauth_location_token1] = ACTIONS(3095),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3103),
    [aux_sym_match_token1] = ACTIONS(3099),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3099),
    [aux_sym_address_family_token1] = ACTIONS(3099),
    [aux_sym_batch_mode_token1] = ACTIONS(3099),
    [aux_sym_bind_address_token1] = ACTIONS(3099),
    [aux_sym_bind_interface_token1] = ACTIONS(3099),
    [aux_sym_canonical_domains_token1] = ACTIONS(3099),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3099),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3099),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3099),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3099),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3099),
    [aux_sym_certificate_file_token1] = ACTIONS(3099),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3099),
    [aux_sym_channel_timeout_token1] = ACTIONS(3099),
    [aux_sym_check_host_ip_token1] = ACTIONS(3099),
    [aux_sym_ciphers_token1] = ACTIONS(3099),
    [aux_sym_cipher_token1] = ACTIONS(3101),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3099),
    [aux_sym_compression_token1] = ACTIONS(3099),
    [aux_sym_connection_attempts_token1] = ACTIONS(3099),
    [aux_sym_connect_timeout_token1] = ACTIONS(3099),
    [aux_sym_control_master_token1] = ACTIONS(3099),
    [aux_sym_control_path_token1] = ACTIONS(3099),
    [aux_sym_control_persist_token1] = ACTIONS(3099),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3099),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3099),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3099),
    [aux_sym_escape_char_token1] = ACTIONS(3099),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3099),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3099),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3099),
    [aux_sym_forward_agent_token1] = ACTIONS(3099),
    [aux_sym_forward_x11_token1] = ACTIONS(3101),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3099),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3099),
    [aux_sym_gateway_ports_token1] = ACTIONS(3099),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3099),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3099),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3099),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3099),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3099),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3099),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3099),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3099),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3099),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3099),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3099),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3099),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3099),
    [aux_sym_host_key_alias_token1] = ACTIONS(3099),
    [aux_sym_hostname_token1] = ACTIONS(3099),
    [aux_sym_identities_only_token1] = ACTIONS(3099),
    [aux_sym_identity_agent_token1] = ACTIONS(3099),
    [aux_sym_identity_file_token1] = ACTIONS(3099),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3099),
    [aux_sym_include_token1] = ACTIONS(3099),
    [aux_sym_ip_qos_token1] = ACTIONS(3099),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3099),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3099),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3099),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3099),
    [aux_sym_local_command_token1] = ACTIONS(3099),
    [aux_sym_local_forward_token1] = ACTIONS(3099),
    [aux_sym_log_level_token1] = ACTIONS(3099),
    [aux_sym_log_verbose_token1] = ACTIONS(3099),
    [aux_sym_macs_token1] = ACTIONS(3099),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3099),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3099),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3099),
    [aux_sym_password_authentication_token1] = ACTIONS(3099),
    [aux_sym_permit_local_command_token1] = ACTIONS(3099),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3099),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3099),
    [aux_sym_port_token1] = ACTIONS(3099),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3099),
    [aux_sym_protocol_token1] = ACTIONS(3099),
    [aux_sym_proxy_command_token1] = ACTIONS(3099),
    [aux_sym_proxy_jump_token1] = ACTIONS(3099),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3099),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3099),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3099),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3099),
    [aux_sym_rekey_limit_token1] = ACTIONS(3099),
    [aux_sym_remote_command_token1] = ACTIONS(3099),
    [aux_sym_remote_forward_token1] = ACTIONS(3099),
    [aux_sym_request_tty_token1] = ACTIONS(3099),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3099),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3099),
    [aux_sym_security_key_provider_token1] = ACTIONS(3099),
    [aux_sym_send_env_token1] = ACTIONS(3099),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3099),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3099),
    [aux_sym_session_type_token1] = ACTIONS(3099),
    [aux_sym_set_env_token1] = ACTIONS(3099),
    [aux_sym_stdin_null_token1] = ACTIONS(3099),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3099),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3099),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3099),
    [aux_sym_syslog_facility_token1] = ACTIONS(3099),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3099),
    [aux_sym_keep_alive_token1] = ACTIONS(3099),
    [aux_sym_tag_token1] = ACTIONS(3099),
    [aux_sym_tunnel_token1] = ACTIONS(3101),
    [aux_sym_tunnel_device_token1] = ACTIONS(3099),
    [aux_sym_update_host_keys_token1] = ACTIONS(3099),
    [aux_sym_use_keychain_token1] = ACTIONS(3099),
    [aux_sym_use_roaming_token1] = ACTIONS(3099),
    [aux_sym_user_token1] = ACTIONS(3101),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3099),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3099),
    [aux_sym_visual_host_key_token1] = ACTIONS(3099),
    [aux_sym_xauth_location_token1] = ACTIONS(3099),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [aux_sym_match_token1] = ACTIONS(3105),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3105),
    [aux_sym_address_family_token1] = ACTIONS(3105),
    [aux_sym_batch_mode_token1] = ACTIONS(3105),
    [aux_sym_bind_address_token1] = ACTIONS(3105),
    [aux_sym_bind_interface_token1] = ACTIONS(3105),
    [aux_sym_canonical_domains_token1] = ACTIONS(3105),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3105),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3105),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3105),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3105),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3105),
    [aux_sym_certificate_file_token1] = ACTIONS(3105),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3105),
    [aux_sym_channel_timeout_token1] = ACTIONS(3105),
    [aux_sym_check_host_ip_token1] = ACTIONS(3105),
    [aux_sym_ciphers_token1] = ACTIONS(3105),
    [aux_sym_cipher_token1] = ACTIONS(3107),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3105),
    [aux_sym_compression_token1] = ACTIONS(3105),
    [aux_sym_connection_attempts_token1] = ACTIONS(3105),
    [aux_sym_connect_timeout_token1] = ACTIONS(3105),
    [aux_sym_control_master_token1] = ACTIONS(3105),
    [aux_sym_control_path_token1] = ACTIONS(3105),
    [aux_sym_control_persist_token1] = ACTIONS(3105),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3105),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3105),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3105),
    [aux_sym_escape_char_token1] = ACTIONS(3105),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3105),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3105),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3105),
    [aux_sym_forward_agent_token1] = ACTIONS(3105),
    [aux_sym_forward_x11_token1] = ACTIONS(3107),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3105),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3105),
    [aux_sym_gateway_ports_token1] = ACTIONS(3105),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3105),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3105),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3105),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3105),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3105),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3105),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3105),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3105),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3105),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3105),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3105),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3105),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3105),
    [aux_sym_host_key_alias_token1] = ACTIONS(3105),
    [aux_sym_hostname_token1] = ACTIONS(3105),
    [aux_sym_identities_only_token1] = ACTIONS(3105),
    [aux_sym_identity_agent_token1] = ACTIONS(3105),
    [aux_sym_identity_file_token1] = ACTIONS(3105),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3105),
    [aux_sym_include_token1] = ACTIONS(3105),
    [aux_sym_ip_qos_token1] = ACTIONS(3105),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3105),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3105),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3105),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3105),
    [aux_sym_local_command_token1] = ACTIONS(3105),
    [aux_sym_local_forward_token1] = ACTIONS(3105),
    [aux_sym_log_level_token1] = ACTIONS(3105),
    [aux_sym_log_verbose_token1] = ACTIONS(3105),
    [aux_sym_macs_token1] = ACTIONS(3105),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3105),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3105),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3105),
    [aux_sym_password_authentication_token1] = ACTIONS(3105),
    [aux_sym_permit_local_command_token1] = ACTIONS(3105),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3105),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3105),
    [aux_sym_port_token1] = ACTIONS(3105),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3105),
    [aux_sym_protocol_token1] = ACTIONS(3105),
    [aux_sym_proxy_command_token1] = ACTIONS(3105),
    [aux_sym_proxy_jump_token1] = ACTIONS(3105),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3105),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3105),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3105),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3105),
    [aux_sym_rekey_limit_token1] = ACTIONS(3105),
    [aux_sym_remote_command_token1] = ACTIONS(3105),
    [aux_sym_remote_forward_token1] = ACTIONS(3105),
    [aux_sym_request_tty_token1] = ACTIONS(3105),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3105),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3105),
    [aux_sym_security_key_provider_token1] = ACTIONS(3105),
    [aux_sym_send_env_token1] = ACTIONS(3105),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3105),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3105),
    [aux_sym_session_type_token1] = ACTIONS(3105),
    [aux_sym_set_env_token1] = ACTIONS(3105),
    [aux_sym_stdin_null_token1] = ACTIONS(3105),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3105),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3105),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3105),
    [aux_sym_syslog_facility_token1] = ACTIONS(3105),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3105),
    [aux_sym_keep_alive_token1] = ACTIONS(3105),
    [aux_sym_tag_token1] = ACTIONS(3105),
    [aux_sym_tunnel_token1] = ACTIONS(3107),
    [aux_sym_tunnel_device_token1] = ACTIONS(3105),
    [aux_sym_update_host_keys_token1] = ACTIONS(3105),
    [aux_sym_use_keychain_token1] = ACTIONS(3105),
    [aux_sym_use_roaming_token1] = ACTIONS(3105),
    [aux_sym_user_token1] = ACTIONS(3107),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3105),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3105),
    [aux_sym_visual_host_key_token1] = ACTIONS(3105),
    [aux_sym_xauth_location_token1] = ACTIONS(3105),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1285),
    [aux_sym_match_token1] = ACTIONS(1283),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1283),
    [aux_sym_address_family_token1] = ACTIONS(1283),
    [aux_sym_batch_mode_token1] = ACTIONS(1283),
    [aux_sym_bind_address_token1] = ACTIONS(1283),
    [aux_sym_bind_interface_token1] = ACTIONS(1283),
    [aux_sym_canonical_domains_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1283),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1283),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1283),
    [aux_sym_certificate_file_token1] = ACTIONS(1283),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1283),
    [aux_sym_channel_timeout_token1] = ACTIONS(1283),
    [aux_sym_check_host_ip_token1] = ACTIONS(1283),
    [aux_sym_ciphers_token1] = ACTIONS(1283),
    [aux_sym_cipher_token1] = ACTIONS(1285),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1283),
    [aux_sym_compression_token1] = ACTIONS(1283),
    [aux_sym_connection_attempts_token1] = ACTIONS(1283),
    [aux_sym_connect_timeout_token1] = ACTIONS(1283),
    [aux_sym_control_master_token1] = ACTIONS(1283),
    [aux_sym_control_path_token1] = ACTIONS(1283),
    [aux_sym_control_persist_token1] = ACTIONS(1283),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1283),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1283),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1283),
    [aux_sym_escape_char_token1] = ACTIONS(1283),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1283),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1283),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1283),
    [aux_sym_forward_agent_token1] = ACTIONS(1283),
    [aux_sym_forward_x11_token1] = ACTIONS(1285),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1283),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1283),
    [aux_sym_gateway_ports_token1] = ACTIONS(1283),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1283),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1283),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1283),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1283),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1283),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1283),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1283),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1283),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1283),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1283),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1283),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1283),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1283),
    [aux_sym_host_key_alias_token1] = ACTIONS(1283),
    [aux_sym_hostname_token1] = ACTIONS(1283),
    [aux_sym_identities_only_token1] = ACTIONS(1283),
    [aux_sym_identity_agent_token1] = ACTIONS(1283),
    [aux_sym_identity_file_token1] = ACTIONS(1283),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1283),
    [aux_sym_include_token1] = ACTIONS(1283),
    [aux_sym_ip_qos_token1] = ACTIONS(1283),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1283),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1283),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1283),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1283),
    [aux_sym_local_command_token1] = ACTIONS(1283),
    [aux_sym_local_forward_token1] = ACTIONS(1283),
    [aux_sym_log_level_token1] = ACTIONS(1283),
    [aux_sym_log_verbose_token1] = ACTIONS(1283),
    [aux_sym_macs_token1] = ACTIONS(1283),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1283),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1283),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1283),
    [aux_sym_password_authentication_token1] = ACTIONS(1283),
    [aux_sym_permit_local_command_token1] = ACTIONS(1283),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1283),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1283),
    [aux_sym_port_token1] = ACTIONS(1283),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1283),
    [aux_sym_protocol_token1] = ACTIONS(1283),
    [aux_sym_proxy_command_token1] = ACTIONS(1283),
    [aux_sym_proxy_jump_token1] = ACTIONS(1283),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1283),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1283),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1283),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1283),
    [aux_sym_rekey_limit_token1] = ACTIONS(1283),
    [aux_sym_remote_command_token1] = ACTIONS(1283),
    [aux_sym_remote_forward_token1] = ACTIONS(1283),
    [aux_sym_request_tty_token1] = ACTIONS(1283),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1283),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1283),
    [aux_sym_security_key_provider_token1] = ACTIONS(1283),
    [aux_sym_send_env_token1] = ACTIONS(1283),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1283),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1283),
    [aux_sym_session_type_token1] = ACTIONS(1283),
    [aux_sym_set_env_token1] = ACTIONS(1283),
    [aux_sym_stdin_null_token1] = ACTIONS(1283),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1283),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1283),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1283),
    [aux_sym_syslog_facility_token1] = ACTIONS(1283),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1283),
    [aux_sym_keep_alive_token1] = ACTIONS(1283),
    [aux_sym_tag_token1] = ACTIONS(1283),
    [aux_sym_tunnel_token1] = ACTIONS(1285),
    [aux_sym_tunnel_device_token1] = ACTIONS(1283),
    [aux_sym_update_host_keys_token1] = ACTIONS(1283),
    [aux_sym_use_keychain_token1] = ACTIONS(1283),
    [aux_sym_use_roaming_token1] = ACTIONS(1283),
    [aux_sym_user_token1] = ACTIONS(1285),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1283),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1283),
    [aux_sym_visual_host_key_token1] = ACTIONS(1283),
    [aux_sym_xauth_location_token1] = ACTIONS(1283),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1009),
    [aux_sym_match_token1] = ACTIONS(1007),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1007),
    [aux_sym_address_family_token1] = ACTIONS(1007),
    [aux_sym_batch_mode_token1] = ACTIONS(1007),
    [aux_sym_bind_address_token1] = ACTIONS(1007),
    [aux_sym_bind_interface_token1] = ACTIONS(1007),
    [aux_sym_canonical_domains_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1007),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1007),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1007),
    [aux_sym_certificate_file_token1] = ACTIONS(1007),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1007),
    [aux_sym_channel_timeout_token1] = ACTIONS(1007),
    [aux_sym_check_host_ip_token1] = ACTIONS(1007),
    [aux_sym_ciphers_token1] = ACTIONS(1007),
    [aux_sym_cipher_token1] = ACTIONS(1009),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1007),
    [aux_sym_compression_token1] = ACTIONS(1007),
    [aux_sym_connection_attempts_token1] = ACTIONS(1007),
    [aux_sym_connect_timeout_token1] = ACTIONS(1007),
    [aux_sym_control_master_token1] = ACTIONS(1007),
    [aux_sym_control_path_token1] = ACTIONS(1007),
    [aux_sym_control_persist_token1] = ACTIONS(1007),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1007),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1007),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1007),
    [aux_sym_escape_char_token1] = ACTIONS(1007),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1007),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1007),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1007),
    [aux_sym_forward_agent_token1] = ACTIONS(1007),
    [aux_sym_forward_x11_token1] = ACTIONS(1009),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1007),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1007),
    [aux_sym_gateway_ports_token1] = ACTIONS(1007),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1007),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1007),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1007),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1007),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1007),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1007),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1007),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1007),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1007),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1007),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1007),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1007),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1007),
    [aux_sym_host_key_alias_token1] = ACTIONS(1007),
    [aux_sym_hostname_token1] = ACTIONS(1007),
    [aux_sym_identities_only_token1] = ACTIONS(1007),
    [aux_sym_identity_agent_token1] = ACTIONS(1007),
    [aux_sym_identity_file_token1] = ACTIONS(1007),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1007),
    [aux_sym_include_token1] = ACTIONS(1007),
    [aux_sym_ip_qos_token1] = ACTIONS(1007),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1007),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1007),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1007),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1007),
    [aux_sym_local_command_token1] = ACTIONS(1007),
    [aux_sym_local_forward_token1] = ACTIONS(1007),
    [aux_sym_log_level_token1] = ACTIONS(1007),
    [aux_sym_log_verbose_token1] = ACTIONS(1007),
    [aux_sym_macs_token1] = ACTIONS(1007),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1007),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1007),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1007),
    [aux_sym_password_authentication_token1] = ACTIONS(1007),
    [aux_sym_permit_local_command_token1] = ACTIONS(1007),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1007),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1007),
    [aux_sym_port_token1] = ACTIONS(1007),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1007),
    [aux_sym_protocol_token1] = ACTIONS(1007),
    [aux_sym_proxy_command_token1] = ACTIONS(1007),
    [aux_sym_proxy_jump_token1] = ACTIONS(1007),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1007),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1007),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1007),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1007),
    [aux_sym_rekey_limit_token1] = ACTIONS(1007),
    [aux_sym_remote_command_token1] = ACTIONS(1007),
    [aux_sym_remote_forward_token1] = ACTIONS(1007),
    [aux_sym_request_tty_token1] = ACTIONS(1007),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1007),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1007),
    [aux_sym_security_key_provider_token1] = ACTIONS(1007),
    [aux_sym_send_env_token1] = ACTIONS(1007),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1007),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1007),
    [aux_sym_session_type_token1] = ACTIONS(1007),
    [aux_sym_set_env_token1] = ACTIONS(1007),
    [aux_sym_stdin_null_token1] = ACTIONS(1007),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1007),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1007),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1007),
    [aux_sym_syslog_facility_token1] = ACTIONS(1007),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1007),
    [aux_sym_keep_alive_token1] = ACTIONS(1007),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [aux_sym_tunnel_token1] = ACTIONS(1009),
    [aux_sym_tunnel_device_token1] = ACTIONS(1007),
    [aux_sym_update_host_keys_token1] = ACTIONS(1007),
    [aux_sym_use_keychain_token1] = ACTIONS(1007),
    [aux_sym_use_roaming_token1] = ACTIONS(1007),
    [aux_sym_user_token1] = ACTIONS(1009),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1007),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1007),
    [aux_sym_visual_host_key_token1] = ACTIONS(1007),
    [aux_sym_xauth_location_token1] = ACTIONS(1007),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1081),
    [aux_sym_match_token1] = ACTIONS(1079),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1079),
    [aux_sym_address_family_token1] = ACTIONS(1079),
    [aux_sym_batch_mode_token1] = ACTIONS(1079),
    [aux_sym_bind_address_token1] = ACTIONS(1079),
    [aux_sym_bind_interface_token1] = ACTIONS(1079),
    [aux_sym_canonical_domains_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1079),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1079),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1079),
    [aux_sym_certificate_file_token1] = ACTIONS(1079),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1079),
    [aux_sym_channel_timeout_token1] = ACTIONS(1079),
    [aux_sym_check_host_ip_token1] = ACTIONS(1079),
    [aux_sym_ciphers_token1] = ACTIONS(1079),
    [aux_sym_cipher_token1] = ACTIONS(1081),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1079),
    [aux_sym_compression_token1] = ACTIONS(1079),
    [aux_sym_connection_attempts_token1] = ACTIONS(1079),
    [aux_sym_connect_timeout_token1] = ACTIONS(1079),
    [aux_sym_control_master_token1] = ACTIONS(1079),
    [aux_sym_control_path_token1] = ACTIONS(1079),
    [aux_sym_control_persist_token1] = ACTIONS(1079),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1079),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1079),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1079),
    [aux_sym_escape_char_token1] = ACTIONS(1079),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1079),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1079),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1079),
    [aux_sym_forward_agent_token1] = ACTIONS(1079),
    [aux_sym_forward_x11_token1] = ACTIONS(1081),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1079),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1079),
    [aux_sym_gateway_ports_token1] = ACTIONS(1079),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1079),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1079),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1079),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1079),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1079),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1079),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1079),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1079),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1079),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1079),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1079),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1079),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1079),
    [aux_sym_host_key_alias_token1] = ACTIONS(1079),
    [aux_sym_hostname_token1] = ACTIONS(1079),
    [aux_sym_identities_only_token1] = ACTIONS(1079),
    [aux_sym_identity_agent_token1] = ACTIONS(1079),
    [aux_sym_identity_file_token1] = ACTIONS(1079),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1079),
    [aux_sym_include_token1] = ACTIONS(1079),
    [aux_sym_ip_qos_token1] = ACTIONS(1079),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1079),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1079),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1079),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1079),
    [aux_sym_local_command_token1] = ACTIONS(1079),
    [aux_sym_local_forward_token1] = ACTIONS(1079),
    [aux_sym_log_level_token1] = ACTIONS(1079),
    [aux_sym_log_verbose_token1] = ACTIONS(1079),
    [aux_sym_macs_token1] = ACTIONS(1079),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1079),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1079),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1079),
    [aux_sym_password_authentication_token1] = ACTIONS(1079),
    [aux_sym_permit_local_command_token1] = ACTIONS(1079),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1079),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1079),
    [aux_sym_port_token1] = ACTIONS(1079),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1079),
    [aux_sym_protocol_token1] = ACTIONS(1079),
    [aux_sym_proxy_command_token1] = ACTIONS(1079),
    [aux_sym_proxy_jump_token1] = ACTIONS(1079),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1079),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1079),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1079),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1079),
    [aux_sym_rekey_limit_token1] = ACTIONS(1079),
    [aux_sym_remote_command_token1] = ACTIONS(1079),
    [aux_sym_remote_forward_token1] = ACTIONS(1079),
    [aux_sym_request_tty_token1] = ACTIONS(1079),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1079),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1079),
    [aux_sym_security_key_provider_token1] = ACTIONS(1079),
    [aux_sym_send_env_token1] = ACTIONS(1079),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1079),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1079),
    [aux_sym_session_type_token1] = ACTIONS(1079),
    [aux_sym_set_env_token1] = ACTIONS(1079),
    [aux_sym_stdin_null_token1] = ACTIONS(1079),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1079),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1079),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1079),
    [aux_sym_syslog_facility_token1] = ACTIONS(1079),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1079),
    [aux_sym_keep_alive_token1] = ACTIONS(1079),
    [aux_sym_tag_token1] = ACTIONS(1079),
    [aux_sym_tunnel_token1] = ACTIONS(1081),
    [aux_sym_tunnel_device_token1] = ACTIONS(1079),
    [aux_sym_update_host_keys_token1] = ACTIONS(1079),
    [aux_sym_use_keychain_token1] = ACTIONS(1079),
    [aux_sym_use_roaming_token1] = ACTIONS(1079),
    [aux_sym_user_token1] = ACTIONS(1081),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1079),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1079),
    [aux_sym_visual_host_key_token1] = ACTIONS(1079),
    [aux_sym_xauth_location_token1] = ACTIONS(1079),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3113),
    [aux_sym_match_token1] = ACTIONS(3111),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3111),
    [aux_sym_address_family_token1] = ACTIONS(3111),
    [aux_sym_batch_mode_token1] = ACTIONS(3111),
    [aux_sym_bind_address_token1] = ACTIONS(3111),
    [aux_sym_bind_interface_token1] = ACTIONS(3111),
    [aux_sym_canonical_domains_token1] = ACTIONS(3111),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3111),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3111),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3111),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3111),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3111),
    [aux_sym_certificate_file_token1] = ACTIONS(3111),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3111),
    [aux_sym_channel_timeout_token1] = ACTIONS(3111),
    [aux_sym_check_host_ip_token1] = ACTIONS(3111),
    [aux_sym_ciphers_token1] = ACTIONS(3111),
    [aux_sym_cipher_token1] = ACTIONS(3113),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3111),
    [aux_sym_compression_token1] = ACTIONS(3111),
    [aux_sym_connection_attempts_token1] = ACTIONS(3111),
    [aux_sym_connect_timeout_token1] = ACTIONS(3111),
    [aux_sym_control_master_token1] = ACTIONS(3111),
    [aux_sym_control_path_token1] = ACTIONS(3111),
    [aux_sym_control_persist_token1] = ACTIONS(3111),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3111),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3111),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3111),
    [aux_sym_escape_char_token1] = ACTIONS(3111),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3111),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3111),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3111),
    [aux_sym_forward_agent_token1] = ACTIONS(3111),
    [aux_sym_forward_x11_token1] = ACTIONS(3113),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3111),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3111),
    [aux_sym_gateway_ports_token1] = ACTIONS(3111),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3111),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3111),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3111),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3111),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3111),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3111),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3111),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3111),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3111),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3111),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3111),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3111),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3111),
    [aux_sym_host_key_alias_token1] = ACTIONS(3111),
    [aux_sym_hostname_token1] = ACTIONS(3111),
    [aux_sym_identities_only_token1] = ACTIONS(3111),
    [aux_sym_identity_agent_token1] = ACTIONS(3111),
    [aux_sym_identity_file_token1] = ACTIONS(3111),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3111),
    [aux_sym_include_token1] = ACTIONS(3111),
    [aux_sym_ip_qos_token1] = ACTIONS(3111),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3111),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3111),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3111),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3111),
    [aux_sym_local_command_token1] = ACTIONS(3111),
    [aux_sym_local_forward_token1] = ACTIONS(3111),
    [aux_sym_log_level_token1] = ACTIONS(3111),
    [aux_sym_log_verbose_token1] = ACTIONS(3111),
    [aux_sym_macs_token1] = ACTIONS(3111),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3111),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3111),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3111),
    [aux_sym_password_authentication_token1] = ACTIONS(3111),
    [aux_sym_permit_local_command_token1] = ACTIONS(3111),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3111),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3111),
    [aux_sym_port_token1] = ACTIONS(3111),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3111),
    [aux_sym_protocol_token1] = ACTIONS(3111),
    [aux_sym_proxy_command_token1] = ACTIONS(3111),
    [aux_sym_proxy_jump_token1] = ACTIONS(3111),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3111),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3111),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3111),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3111),
    [aux_sym_rekey_limit_token1] = ACTIONS(3111),
    [aux_sym_remote_command_token1] = ACTIONS(3111),
    [aux_sym_remote_forward_token1] = ACTIONS(3111),
    [aux_sym_request_tty_token1] = ACTIONS(3111),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3111),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3111),
    [aux_sym_security_key_provider_token1] = ACTIONS(3111),
    [aux_sym_send_env_token1] = ACTIONS(3111),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3111),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3111),
    [aux_sym_session_type_token1] = ACTIONS(3111),
    [aux_sym_set_env_token1] = ACTIONS(3111),
    [aux_sym_stdin_null_token1] = ACTIONS(3111),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3111),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3111),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3111),
    [aux_sym_syslog_facility_token1] = ACTIONS(3111),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3111),
    [aux_sym_keep_alive_token1] = ACTIONS(3111),
    [aux_sym_tag_token1] = ACTIONS(3111),
    [aux_sym_tunnel_token1] = ACTIONS(3113),
    [aux_sym_tunnel_device_token1] = ACTIONS(3111),
    [aux_sym_update_host_keys_token1] = ACTIONS(3111),
    [aux_sym_use_keychain_token1] = ACTIONS(3111),
    [aux_sym_use_roaming_token1] = ACTIONS(3111),
    [aux_sym_user_token1] = ACTIONS(3113),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3111),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3111),
    [aux_sym_visual_host_key_token1] = ACTIONS(3111),
    [aux_sym_xauth_location_token1] = ACTIONS(3111),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3117),
    [aux_sym_match_token1] = ACTIONS(3115),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3115),
    [aux_sym_address_family_token1] = ACTIONS(3115),
    [aux_sym_batch_mode_token1] = ACTIONS(3115),
    [aux_sym_bind_address_token1] = ACTIONS(3115),
    [aux_sym_bind_interface_token1] = ACTIONS(3115),
    [aux_sym_canonical_domains_token1] = ACTIONS(3115),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3115),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3115),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3115),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3115),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3115),
    [aux_sym_certificate_file_token1] = ACTIONS(3115),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3115),
    [aux_sym_channel_timeout_token1] = ACTIONS(3115),
    [aux_sym_check_host_ip_token1] = ACTIONS(3115),
    [aux_sym_ciphers_token1] = ACTIONS(3115),
    [aux_sym_cipher_token1] = ACTIONS(3117),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3115),
    [aux_sym_compression_token1] = ACTIONS(3115),
    [aux_sym_connection_attempts_token1] = ACTIONS(3115),
    [aux_sym_connect_timeout_token1] = ACTIONS(3115),
    [aux_sym_control_master_token1] = ACTIONS(3115),
    [aux_sym_control_path_token1] = ACTIONS(3115),
    [aux_sym_control_persist_token1] = ACTIONS(3115),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3115),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3115),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3115),
    [aux_sym_escape_char_token1] = ACTIONS(3115),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3115),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3115),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3115),
    [aux_sym_forward_agent_token1] = ACTIONS(3115),
    [aux_sym_forward_x11_token1] = ACTIONS(3117),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3115),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3115),
    [aux_sym_gateway_ports_token1] = ACTIONS(3115),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3115),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3115),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3115),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3115),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3115),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3115),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3115),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3115),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3115),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3115),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3115),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3115),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3115),
    [aux_sym_host_key_alias_token1] = ACTIONS(3115),
    [aux_sym_hostname_token1] = ACTIONS(3115),
    [aux_sym_identities_only_token1] = ACTIONS(3115),
    [aux_sym_identity_agent_token1] = ACTIONS(3115),
    [aux_sym_identity_file_token1] = ACTIONS(3115),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3115),
    [aux_sym_include_token1] = ACTIONS(3115),
    [aux_sym_ip_qos_token1] = ACTIONS(3115),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3115),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3115),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3115),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3115),
    [aux_sym_local_command_token1] = ACTIONS(3115),
    [aux_sym_local_forward_token1] = ACTIONS(3115),
    [aux_sym_log_level_token1] = ACTIONS(3115),
    [aux_sym_log_verbose_token1] = ACTIONS(3115),
    [aux_sym_macs_token1] = ACTIONS(3115),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3115),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3115),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3115),
    [aux_sym_password_authentication_token1] = ACTIONS(3115),
    [aux_sym_permit_local_command_token1] = ACTIONS(3115),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3115),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3115),
    [aux_sym_port_token1] = ACTIONS(3115),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3115),
    [aux_sym_protocol_token1] = ACTIONS(3115),
    [aux_sym_proxy_command_token1] = ACTIONS(3115),
    [aux_sym_proxy_jump_token1] = ACTIONS(3115),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3115),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3115),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3115),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3115),
    [aux_sym_rekey_limit_token1] = ACTIONS(3115),
    [aux_sym_remote_command_token1] = ACTIONS(3115),
    [aux_sym_remote_forward_token1] = ACTIONS(3115),
    [aux_sym_request_tty_token1] = ACTIONS(3115),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3115),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3115),
    [aux_sym_security_key_provider_token1] = ACTIONS(3115),
    [aux_sym_send_env_token1] = ACTIONS(3115),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3115),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3115),
    [aux_sym_session_type_token1] = ACTIONS(3115),
    [aux_sym_set_env_token1] = ACTIONS(3115),
    [aux_sym_stdin_null_token1] = ACTIONS(3115),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3115),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3115),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3115),
    [aux_sym_syslog_facility_token1] = ACTIONS(3115),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3115),
    [aux_sym_keep_alive_token1] = ACTIONS(3115),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [aux_sym_tunnel_token1] = ACTIONS(3117),
    [aux_sym_tunnel_device_token1] = ACTIONS(3115),
    [aux_sym_update_host_keys_token1] = ACTIONS(3115),
    [aux_sym_use_keychain_token1] = ACTIONS(3115),
    [aux_sym_use_roaming_token1] = ACTIONS(3115),
    [aux_sym_user_token1] = ACTIONS(3117),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3115),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3115),
    [aux_sym_visual_host_key_token1] = ACTIONS(3115),
    [aux_sym_xauth_location_token1] = ACTIONS(3115),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3121),
    [aux_sym_match_token1] = ACTIONS(3119),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3119),
    [aux_sym_address_family_token1] = ACTIONS(3119),
    [aux_sym_batch_mode_token1] = ACTIONS(3119),
    [aux_sym_bind_address_token1] = ACTIONS(3119),
    [aux_sym_bind_interface_token1] = ACTIONS(3119),
    [aux_sym_canonical_domains_token1] = ACTIONS(3119),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3119),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3119),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3119),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3119),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3119),
    [aux_sym_certificate_file_token1] = ACTIONS(3119),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3119),
    [aux_sym_channel_timeout_token1] = ACTIONS(3119),
    [aux_sym_check_host_ip_token1] = ACTIONS(3119),
    [aux_sym_ciphers_token1] = ACTIONS(3119),
    [aux_sym_cipher_token1] = ACTIONS(3121),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3119),
    [aux_sym_compression_token1] = ACTIONS(3119),
    [aux_sym_connection_attempts_token1] = ACTIONS(3119),
    [aux_sym_connect_timeout_token1] = ACTIONS(3119),
    [aux_sym_control_master_token1] = ACTIONS(3119),
    [aux_sym_control_path_token1] = ACTIONS(3119),
    [aux_sym_control_persist_token1] = ACTIONS(3119),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3119),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3119),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3119),
    [aux_sym_escape_char_token1] = ACTIONS(3119),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3119),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3119),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3119),
    [aux_sym_forward_agent_token1] = ACTIONS(3119),
    [aux_sym_forward_x11_token1] = ACTIONS(3121),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3119),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3119),
    [aux_sym_gateway_ports_token1] = ACTIONS(3119),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3119),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3119),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3119),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3119),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3119),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3119),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3119),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3119),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3119),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3119),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3119),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3119),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3119),
    [aux_sym_host_key_alias_token1] = ACTIONS(3119),
    [aux_sym_hostname_token1] = ACTIONS(3119),
    [aux_sym_identities_only_token1] = ACTIONS(3119),
    [aux_sym_identity_agent_token1] = ACTIONS(3119),
    [aux_sym_identity_file_token1] = ACTIONS(3119),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3119),
    [aux_sym_include_token1] = ACTIONS(3119),
    [aux_sym_ip_qos_token1] = ACTIONS(3119),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3119),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3119),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3119),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3119),
    [aux_sym_local_command_token1] = ACTIONS(3119),
    [aux_sym_local_forward_token1] = ACTIONS(3119),
    [aux_sym_log_level_token1] = ACTIONS(3119),
    [aux_sym_log_verbose_token1] = ACTIONS(3119),
    [aux_sym_macs_token1] = ACTIONS(3119),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3119),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3119),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3119),
    [aux_sym_password_authentication_token1] = ACTIONS(3119),
    [aux_sym_permit_local_command_token1] = ACTIONS(3119),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3119),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3119),
    [aux_sym_port_token1] = ACTIONS(3119),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3119),
    [aux_sym_protocol_token1] = ACTIONS(3119),
    [aux_sym_proxy_command_token1] = ACTIONS(3119),
    [aux_sym_proxy_jump_token1] = ACTIONS(3119),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3119),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3119),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3119),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3119),
    [aux_sym_rekey_limit_token1] = ACTIONS(3119),
    [aux_sym_remote_command_token1] = ACTIONS(3119),
    [aux_sym_remote_forward_token1] = ACTIONS(3119),
    [aux_sym_request_tty_token1] = ACTIONS(3119),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3119),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3119),
    [aux_sym_security_key_provider_token1] = ACTIONS(3119),
    [aux_sym_send_env_token1] = ACTIONS(3119),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3119),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3119),
    [aux_sym_session_type_token1] = ACTIONS(3119),
    [aux_sym_set_env_token1] = ACTIONS(3119),
    [aux_sym_stdin_null_token1] = ACTIONS(3119),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3119),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3119),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3119),
    [aux_sym_syslog_facility_token1] = ACTIONS(3119),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3119),
    [aux_sym_keep_alive_token1] = ACTIONS(3119),
    [aux_sym_tag_token1] = ACTIONS(3119),
    [aux_sym_tunnel_token1] = ACTIONS(3121),
    [aux_sym_tunnel_device_token1] = ACTIONS(3119),
    [aux_sym_update_host_keys_token1] = ACTIONS(3119),
    [aux_sym_use_keychain_token1] = ACTIONS(3119),
    [aux_sym_use_roaming_token1] = ACTIONS(3119),
    [aux_sym_user_token1] = ACTIONS(3121),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3119),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3119),
    [aux_sym_visual_host_key_token1] = ACTIONS(3119),
    [aux_sym_xauth_location_token1] = ACTIONS(3119),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3125),
    [aux_sym_match_token1] = ACTIONS(3123),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3123),
    [aux_sym_address_family_token1] = ACTIONS(3123),
    [aux_sym_batch_mode_token1] = ACTIONS(3123),
    [aux_sym_bind_address_token1] = ACTIONS(3123),
    [aux_sym_bind_interface_token1] = ACTIONS(3123),
    [aux_sym_canonical_domains_token1] = ACTIONS(3123),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3123),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3123),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3123),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3123),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3123),
    [aux_sym_certificate_file_token1] = ACTIONS(3123),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3123),
    [aux_sym_channel_timeout_token1] = ACTIONS(3123),
    [aux_sym_check_host_ip_token1] = ACTIONS(3123),
    [aux_sym_ciphers_token1] = ACTIONS(3123),
    [aux_sym_cipher_token1] = ACTIONS(3125),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3123),
    [aux_sym_compression_token1] = ACTIONS(3123),
    [aux_sym_connection_attempts_token1] = ACTIONS(3123),
    [aux_sym_connect_timeout_token1] = ACTIONS(3123),
    [aux_sym_control_master_token1] = ACTIONS(3123),
    [aux_sym_control_path_token1] = ACTIONS(3123),
    [aux_sym_control_persist_token1] = ACTIONS(3123),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3123),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3123),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3123),
    [aux_sym_escape_char_token1] = ACTIONS(3123),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3123),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3123),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3123),
    [aux_sym_forward_agent_token1] = ACTIONS(3123),
    [aux_sym_forward_x11_token1] = ACTIONS(3125),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3123),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3123),
    [aux_sym_gateway_ports_token1] = ACTIONS(3123),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3123),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3123),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3123),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3123),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3123),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3123),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3123),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3123),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3123),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3123),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3123),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3123),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3123),
    [aux_sym_host_key_alias_token1] = ACTIONS(3123),
    [aux_sym_hostname_token1] = ACTIONS(3123),
    [aux_sym_identities_only_token1] = ACTIONS(3123),
    [aux_sym_identity_agent_token1] = ACTIONS(3123),
    [aux_sym_identity_file_token1] = ACTIONS(3123),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3123),
    [aux_sym_include_token1] = ACTIONS(3123),
    [aux_sym_ip_qos_token1] = ACTIONS(3123),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3123),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3123),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3123),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3123),
    [aux_sym_local_command_token1] = ACTIONS(3123),
    [aux_sym_local_forward_token1] = ACTIONS(3123),
    [aux_sym_log_level_token1] = ACTIONS(3123),
    [aux_sym_log_verbose_token1] = ACTIONS(3123),
    [aux_sym_macs_token1] = ACTIONS(3123),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3123),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3123),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3123),
    [aux_sym_password_authentication_token1] = ACTIONS(3123),
    [aux_sym_permit_local_command_token1] = ACTIONS(3123),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3123),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3123),
    [aux_sym_port_token1] = ACTIONS(3123),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3123),
    [aux_sym_protocol_token1] = ACTIONS(3123),
    [aux_sym_proxy_command_token1] = ACTIONS(3123),
    [aux_sym_proxy_jump_token1] = ACTIONS(3123),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3123),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3123),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3123),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3123),
    [aux_sym_rekey_limit_token1] = ACTIONS(3123),
    [aux_sym_remote_command_token1] = ACTIONS(3123),
    [aux_sym_remote_forward_token1] = ACTIONS(3123),
    [aux_sym_request_tty_token1] = ACTIONS(3123),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3123),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3123),
    [aux_sym_security_key_provider_token1] = ACTIONS(3123),
    [aux_sym_send_env_token1] = ACTIONS(3123),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3123),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3123),
    [aux_sym_session_type_token1] = ACTIONS(3123),
    [aux_sym_set_env_token1] = ACTIONS(3123),
    [aux_sym_stdin_null_token1] = ACTIONS(3123),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3123),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3123),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3123),
    [aux_sym_syslog_facility_token1] = ACTIONS(3123),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3123),
    [aux_sym_keep_alive_token1] = ACTIONS(3123),
    [aux_sym_tag_token1] = ACTIONS(3123),
    [aux_sym_tunnel_token1] = ACTIONS(3125),
    [aux_sym_tunnel_device_token1] = ACTIONS(3123),
    [aux_sym_update_host_keys_token1] = ACTIONS(3123),
    [aux_sym_use_keychain_token1] = ACTIONS(3123),
    [aux_sym_use_roaming_token1] = ACTIONS(3123),
    [aux_sym_user_token1] = ACTIONS(3125),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3123),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3123),
    [aux_sym_visual_host_key_token1] = ACTIONS(3123),
    [aux_sym_xauth_location_token1] = ACTIONS(3123),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3129),
    [aux_sym_match_token1] = ACTIONS(3127),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3127),
    [aux_sym_address_family_token1] = ACTIONS(3127),
    [aux_sym_batch_mode_token1] = ACTIONS(3127),
    [aux_sym_bind_address_token1] = ACTIONS(3127),
    [aux_sym_bind_interface_token1] = ACTIONS(3127),
    [aux_sym_canonical_domains_token1] = ACTIONS(3127),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3127),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3127),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3127),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3127),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3127),
    [aux_sym_certificate_file_token1] = ACTIONS(3127),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3127),
    [aux_sym_channel_timeout_token1] = ACTIONS(3127),
    [aux_sym_check_host_ip_token1] = ACTIONS(3127),
    [aux_sym_ciphers_token1] = ACTIONS(3127),
    [aux_sym_cipher_token1] = ACTIONS(3129),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3127),
    [aux_sym_compression_token1] = ACTIONS(3127),
    [aux_sym_connection_attempts_token1] = ACTIONS(3127),
    [aux_sym_connect_timeout_token1] = ACTIONS(3127),
    [aux_sym_control_master_token1] = ACTIONS(3127),
    [aux_sym_control_path_token1] = ACTIONS(3127),
    [aux_sym_control_persist_token1] = ACTIONS(3127),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3127),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3127),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3127),
    [aux_sym_escape_char_token1] = ACTIONS(3127),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3127),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3127),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3127),
    [aux_sym_forward_agent_token1] = ACTIONS(3127),
    [aux_sym_forward_x11_token1] = ACTIONS(3129),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3127),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3127),
    [aux_sym_gateway_ports_token1] = ACTIONS(3127),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3127),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3127),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3127),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3127),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3127),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3127),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3127),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3127),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3127),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3127),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3127),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3127),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3127),
    [aux_sym_host_key_alias_token1] = ACTIONS(3127),
    [aux_sym_hostname_token1] = ACTIONS(3127),
    [aux_sym_identities_only_token1] = ACTIONS(3127),
    [aux_sym_identity_agent_token1] = ACTIONS(3127),
    [aux_sym_identity_file_token1] = ACTIONS(3127),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3127),
    [aux_sym_include_token1] = ACTIONS(3127),
    [aux_sym_ip_qos_token1] = ACTIONS(3127),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3127),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3127),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3127),
    [aux_sym_local_command_token1] = ACTIONS(3127),
    [aux_sym_local_forward_token1] = ACTIONS(3127),
    [aux_sym_log_level_token1] = ACTIONS(3127),
    [aux_sym_log_verbose_token1] = ACTIONS(3127),
    [aux_sym_macs_token1] = ACTIONS(3127),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3127),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3127),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3127),
    [aux_sym_password_authentication_token1] = ACTIONS(3127),
    [aux_sym_permit_local_command_token1] = ACTIONS(3127),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3127),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3127),
    [aux_sym_port_token1] = ACTIONS(3127),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3127),
    [aux_sym_protocol_token1] = ACTIONS(3127),
    [aux_sym_proxy_command_token1] = ACTIONS(3127),
    [aux_sym_proxy_jump_token1] = ACTIONS(3127),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3127),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3127),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3127),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3127),
    [aux_sym_rekey_limit_token1] = ACTIONS(3127),
    [aux_sym_remote_command_token1] = ACTIONS(3127),
    [aux_sym_remote_forward_token1] = ACTIONS(3127),
    [aux_sym_request_tty_token1] = ACTIONS(3127),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3127),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3127),
    [aux_sym_security_key_provider_token1] = ACTIONS(3127),
    [aux_sym_send_env_token1] = ACTIONS(3127),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3127),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3127),
    [aux_sym_session_type_token1] = ACTIONS(3127),
    [aux_sym_set_env_token1] = ACTIONS(3127),
    [aux_sym_stdin_null_token1] = ACTIONS(3127),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3127),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3127),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3127),
    [aux_sym_syslog_facility_token1] = ACTIONS(3127),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3127),
    [aux_sym_keep_alive_token1] = ACTIONS(3127),
    [aux_sym_tag_token1] = ACTIONS(3127),
    [aux_sym_tunnel_token1] = ACTIONS(3129),
    [aux_sym_tunnel_device_token1] = ACTIONS(3127),
    [aux_sym_update_host_keys_token1] = ACTIONS(3127),
    [aux_sym_use_keychain_token1] = ACTIONS(3127),
    [aux_sym_use_roaming_token1] = ACTIONS(3127),
    [aux_sym_user_token1] = ACTIONS(3129),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3127),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3127),
    [aux_sym_visual_host_key_token1] = ACTIONS(3127),
    [aux_sym_xauth_location_token1] = ACTIONS(3127),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3133),
    [aux_sym_match_token1] = ACTIONS(3131),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3131),
    [aux_sym_address_family_token1] = ACTIONS(3131),
    [aux_sym_batch_mode_token1] = ACTIONS(3131),
    [aux_sym_bind_address_token1] = ACTIONS(3131),
    [aux_sym_bind_interface_token1] = ACTIONS(3131),
    [aux_sym_canonical_domains_token1] = ACTIONS(3131),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3131),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3131),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3131),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3131),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3131),
    [aux_sym_certificate_file_token1] = ACTIONS(3131),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3131),
    [aux_sym_channel_timeout_token1] = ACTIONS(3131),
    [aux_sym_check_host_ip_token1] = ACTIONS(3131),
    [aux_sym_ciphers_token1] = ACTIONS(3131),
    [aux_sym_cipher_token1] = ACTIONS(3133),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3131),
    [aux_sym_compression_token1] = ACTIONS(3131),
    [aux_sym_connection_attempts_token1] = ACTIONS(3131),
    [aux_sym_connect_timeout_token1] = ACTIONS(3131),
    [aux_sym_control_master_token1] = ACTIONS(3131),
    [aux_sym_control_path_token1] = ACTIONS(3131),
    [aux_sym_control_persist_token1] = ACTIONS(3131),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3131),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3131),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3131),
    [aux_sym_escape_char_token1] = ACTIONS(3131),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3131),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3131),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3131),
    [aux_sym_forward_agent_token1] = ACTIONS(3131),
    [aux_sym_forward_x11_token1] = ACTIONS(3133),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3131),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3131),
    [aux_sym_gateway_ports_token1] = ACTIONS(3131),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3131),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3131),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3131),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3131),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3131),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3131),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3131),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3131),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3131),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3131),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3131),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3131),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3131),
    [aux_sym_host_key_alias_token1] = ACTIONS(3131),
    [aux_sym_hostname_token1] = ACTIONS(3131),
    [aux_sym_identities_only_token1] = ACTIONS(3131),
    [aux_sym_identity_agent_token1] = ACTIONS(3131),
    [aux_sym_identity_file_token1] = ACTIONS(3131),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3131),
    [aux_sym_include_token1] = ACTIONS(3131),
    [aux_sym_ip_qos_token1] = ACTIONS(3131),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3131),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3131),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3131),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3131),
    [aux_sym_local_command_token1] = ACTIONS(3131),
    [aux_sym_local_forward_token1] = ACTIONS(3131),
    [aux_sym_log_level_token1] = ACTIONS(3131),
    [aux_sym_log_verbose_token1] = ACTIONS(3131),
    [aux_sym_macs_token1] = ACTIONS(3131),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3131),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3131),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3131),
    [aux_sym_password_authentication_token1] = ACTIONS(3131),
    [aux_sym_permit_local_command_token1] = ACTIONS(3131),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3131),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3131),
    [aux_sym_port_token1] = ACTIONS(3131),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3131),
    [aux_sym_protocol_token1] = ACTIONS(3131),
    [aux_sym_proxy_command_token1] = ACTIONS(3131),
    [aux_sym_proxy_jump_token1] = ACTIONS(3131),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3131),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3131),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3131),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3131),
    [aux_sym_rekey_limit_token1] = ACTIONS(3131),
    [aux_sym_remote_command_token1] = ACTIONS(3131),
    [aux_sym_remote_forward_token1] = ACTIONS(3131),
    [aux_sym_request_tty_token1] = ACTIONS(3131),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3131),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3131),
    [aux_sym_security_key_provider_token1] = ACTIONS(3131),
    [aux_sym_send_env_token1] = ACTIONS(3131),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3131),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3131),
    [aux_sym_session_type_token1] = ACTIONS(3131),
    [aux_sym_set_env_token1] = ACTIONS(3131),
    [aux_sym_stdin_null_token1] = ACTIONS(3131),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3131),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3131),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3131),
    [aux_sym_syslog_facility_token1] = ACTIONS(3131),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3131),
    [aux_sym_keep_alive_token1] = ACTIONS(3131),
    [aux_sym_tag_token1] = ACTIONS(3131),
    [aux_sym_tunnel_token1] = ACTIONS(3133),
    [aux_sym_tunnel_device_token1] = ACTIONS(3131),
    [aux_sym_update_host_keys_token1] = ACTIONS(3131),
    [aux_sym_use_keychain_token1] = ACTIONS(3131),
    [aux_sym_use_roaming_token1] = ACTIONS(3131),
    [aux_sym_user_token1] = ACTIONS(3133),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3131),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3131),
    [aux_sym_visual_host_key_token1] = ACTIONS(3131),
    [aux_sym_xauth_location_token1] = ACTIONS(3131),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1177),
    [aux_sym_match_token1] = ACTIONS(1175),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1175),
    [aux_sym_address_family_token1] = ACTIONS(1175),
    [aux_sym_batch_mode_token1] = ACTIONS(1175),
    [aux_sym_bind_address_token1] = ACTIONS(1175),
    [aux_sym_bind_interface_token1] = ACTIONS(1175),
    [aux_sym_canonical_domains_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1175),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1175),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1175),
    [aux_sym_certificate_file_token1] = ACTIONS(1175),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1175),
    [aux_sym_channel_timeout_token1] = ACTIONS(1175),
    [aux_sym_check_host_ip_token1] = ACTIONS(1175),
    [aux_sym_ciphers_token1] = ACTIONS(1175),
    [aux_sym_cipher_token1] = ACTIONS(1177),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1175),
    [aux_sym_compression_token1] = ACTIONS(1175),
    [aux_sym_connection_attempts_token1] = ACTIONS(1175),
    [aux_sym_connect_timeout_token1] = ACTIONS(1175),
    [aux_sym_control_master_token1] = ACTIONS(1175),
    [aux_sym_control_path_token1] = ACTIONS(1175),
    [aux_sym_control_persist_token1] = ACTIONS(1175),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1175),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1175),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1175),
    [aux_sym_escape_char_token1] = ACTIONS(1175),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1175),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1175),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1175),
    [aux_sym_forward_agent_token1] = ACTIONS(1175),
    [aux_sym_forward_x11_token1] = ACTIONS(1177),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1175),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1175),
    [aux_sym_gateway_ports_token1] = ACTIONS(1175),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1175),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1175),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1175),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1175),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1175),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1175),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1175),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1175),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1175),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1175),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1175),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1175),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1175),
    [aux_sym_host_key_alias_token1] = ACTIONS(1175),
    [aux_sym_hostname_token1] = ACTIONS(1175),
    [aux_sym_identities_only_token1] = ACTIONS(1175),
    [aux_sym_identity_agent_token1] = ACTIONS(1175),
    [aux_sym_identity_file_token1] = ACTIONS(1175),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1175),
    [aux_sym_include_token1] = ACTIONS(1175),
    [aux_sym_ip_qos_token1] = ACTIONS(1175),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1175),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1175),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1175),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1175),
    [aux_sym_local_command_token1] = ACTIONS(1175),
    [aux_sym_local_forward_token1] = ACTIONS(1175),
    [aux_sym_log_level_token1] = ACTIONS(1175),
    [aux_sym_log_verbose_token1] = ACTIONS(1175),
    [aux_sym_macs_token1] = ACTIONS(1175),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1175),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1175),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1175),
    [aux_sym_password_authentication_token1] = ACTIONS(1175),
    [aux_sym_permit_local_command_token1] = ACTIONS(1175),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1175),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1175),
    [aux_sym_port_token1] = ACTIONS(1175),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1175),
    [aux_sym_protocol_token1] = ACTIONS(1175),
    [aux_sym_proxy_command_token1] = ACTIONS(1175),
    [aux_sym_proxy_jump_token1] = ACTIONS(1175),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1175),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1175),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1175),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1175),
    [aux_sym_rekey_limit_token1] = ACTIONS(1175),
    [aux_sym_remote_command_token1] = ACTIONS(1175),
    [aux_sym_remote_forward_token1] = ACTIONS(1175),
    [aux_sym_request_tty_token1] = ACTIONS(1175),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1175),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1175),
    [aux_sym_security_key_provider_token1] = ACTIONS(1175),
    [aux_sym_send_env_token1] = ACTIONS(1175),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1175),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1175),
    [aux_sym_session_type_token1] = ACTIONS(1175),
    [aux_sym_set_env_token1] = ACTIONS(1175),
    [aux_sym_stdin_null_token1] = ACTIONS(1175),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1175),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1175),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1175),
    [aux_sym_syslog_facility_token1] = ACTIONS(1175),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1175),
    [aux_sym_keep_alive_token1] = ACTIONS(1175),
    [aux_sym_tag_token1] = ACTIONS(1175),
    [aux_sym_tunnel_token1] = ACTIONS(1177),
    [aux_sym_tunnel_device_token1] = ACTIONS(1175),
    [aux_sym_update_host_keys_token1] = ACTIONS(1175),
    [aux_sym_use_keychain_token1] = ACTIONS(1175),
    [aux_sym_use_roaming_token1] = ACTIONS(1175),
    [aux_sym_user_token1] = ACTIONS(1177),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1175),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1175),
    [aux_sym_visual_host_key_token1] = ACTIONS(1175),
    [aux_sym_xauth_location_token1] = ACTIONS(1175),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1129),
    [aux_sym_match_token1] = ACTIONS(1127),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1127),
    [aux_sym_address_family_token1] = ACTIONS(1127),
    [aux_sym_batch_mode_token1] = ACTIONS(1127),
    [aux_sym_bind_address_token1] = ACTIONS(1127),
    [aux_sym_bind_interface_token1] = ACTIONS(1127),
    [aux_sym_canonical_domains_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1127),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1127),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1127),
    [aux_sym_certificate_file_token1] = ACTIONS(1127),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1127),
    [aux_sym_channel_timeout_token1] = ACTIONS(1127),
    [aux_sym_check_host_ip_token1] = ACTIONS(1127),
    [aux_sym_ciphers_token1] = ACTIONS(1127),
    [aux_sym_cipher_token1] = ACTIONS(1129),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1127),
    [aux_sym_compression_token1] = ACTIONS(1127),
    [aux_sym_connection_attempts_token1] = ACTIONS(1127),
    [aux_sym_connect_timeout_token1] = ACTIONS(1127),
    [aux_sym_control_master_token1] = ACTIONS(1127),
    [aux_sym_control_path_token1] = ACTIONS(1127),
    [aux_sym_control_persist_token1] = ACTIONS(1127),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1127),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1127),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1127),
    [aux_sym_escape_char_token1] = ACTIONS(1127),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1127),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1127),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1127),
    [aux_sym_forward_agent_token1] = ACTIONS(1127),
    [aux_sym_forward_x11_token1] = ACTIONS(1129),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1127),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1127),
    [aux_sym_gateway_ports_token1] = ACTIONS(1127),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1127),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1127),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1127),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1127),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1127),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1127),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1127),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1127),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1127),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1127),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1127),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1127),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1127),
    [aux_sym_host_key_alias_token1] = ACTIONS(1127),
    [aux_sym_hostname_token1] = ACTIONS(1127),
    [aux_sym_identities_only_token1] = ACTIONS(1127),
    [aux_sym_identity_agent_token1] = ACTIONS(1127),
    [aux_sym_identity_file_token1] = ACTIONS(1127),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1127),
    [aux_sym_include_token1] = ACTIONS(1127),
    [aux_sym_ip_qos_token1] = ACTIONS(1127),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1127),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1127),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1127),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1127),
    [aux_sym_local_command_token1] = ACTIONS(1127),
    [aux_sym_local_forward_token1] = ACTIONS(1127),
    [aux_sym_log_level_token1] = ACTIONS(1127),
    [aux_sym_log_verbose_token1] = ACTIONS(1127),
    [aux_sym_macs_token1] = ACTIONS(1127),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1127),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1127),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1127),
    [aux_sym_password_authentication_token1] = ACTIONS(1127),
    [aux_sym_permit_local_command_token1] = ACTIONS(1127),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1127),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1127),
    [aux_sym_port_token1] = ACTIONS(1127),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1127),
    [aux_sym_protocol_token1] = ACTIONS(1127),
    [aux_sym_proxy_command_token1] = ACTIONS(1127),
    [aux_sym_proxy_jump_token1] = ACTIONS(1127),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1127),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1127),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1127),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1127),
    [aux_sym_rekey_limit_token1] = ACTIONS(1127),
    [aux_sym_remote_command_token1] = ACTIONS(1127),
    [aux_sym_remote_forward_token1] = ACTIONS(1127),
    [aux_sym_request_tty_token1] = ACTIONS(1127),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1127),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1127),
    [aux_sym_security_key_provider_token1] = ACTIONS(1127),
    [aux_sym_send_env_token1] = ACTIONS(1127),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1127),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1127),
    [aux_sym_session_type_token1] = ACTIONS(1127),
    [aux_sym_set_env_token1] = ACTIONS(1127),
    [aux_sym_stdin_null_token1] = ACTIONS(1127),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1127),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1127),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1127),
    [aux_sym_syslog_facility_token1] = ACTIONS(1127),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1127),
    [aux_sym_keep_alive_token1] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [aux_sym_tunnel_token1] = ACTIONS(1129),
    [aux_sym_tunnel_device_token1] = ACTIONS(1127),
    [aux_sym_update_host_keys_token1] = ACTIONS(1127),
    [aux_sym_use_keychain_token1] = ACTIONS(1127),
    [aux_sym_use_roaming_token1] = ACTIONS(1127),
    [aux_sym_user_token1] = ACTIONS(1129),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1127),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1127),
    [aux_sym_visual_host_key_token1] = ACTIONS(1127),
    [aux_sym_xauth_location_token1] = ACTIONS(1127),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3137),
    [aux_sym_match_token1] = ACTIONS(3135),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3135),
    [aux_sym_address_family_token1] = ACTIONS(3135),
    [aux_sym_batch_mode_token1] = ACTIONS(3135),
    [aux_sym_bind_address_token1] = ACTIONS(3135),
    [aux_sym_bind_interface_token1] = ACTIONS(3135),
    [aux_sym_canonical_domains_token1] = ACTIONS(3135),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3135),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3135),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3135),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3135),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3135),
    [aux_sym_certificate_file_token1] = ACTIONS(3135),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3135),
    [aux_sym_channel_timeout_token1] = ACTIONS(3135),
    [aux_sym_check_host_ip_token1] = ACTIONS(3135),
    [aux_sym_ciphers_token1] = ACTIONS(3135),
    [aux_sym_cipher_token1] = ACTIONS(3137),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3135),
    [aux_sym_compression_token1] = ACTIONS(3135),
    [aux_sym_connection_attempts_token1] = ACTIONS(3135),
    [aux_sym_connect_timeout_token1] = ACTIONS(3135),
    [aux_sym_control_master_token1] = ACTIONS(3135),
    [aux_sym_control_path_token1] = ACTIONS(3135),
    [aux_sym_control_persist_token1] = ACTIONS(3135),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3135),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3135),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3135),
    [aux_sym_escape_char_token1] = ACTIONS(3135),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3135),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3135),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3135),
    [aux_sym_forward_agent_token1] = ACTIONS(3135),
    [aux_sym_forward_x11_token1] = ACTIONS(3137),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3135),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3135),
    [aux_sym_gateway_ports_token1] = ACTIONS(3135),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3135),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3135),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3135),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3135),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3135),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3135),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3135),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3135),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3135),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3135),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3135),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3135),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3135),
    [aux_sym_host_key_alias_token1] = ACTIONS(3135),
    [aux_sym_hostname_token1] = ACTIONS(3135),
    [aux_sym_identities_only_token1] = ACTIONS(3135),
    [aux_sym_identity_agent_token1] = ACTIONS(3135),
    [aux_sym_identity_file_token1] = ACTIONS(3135),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3135),
    [aux_sym_include_token1] = ACTIONS(3135),
    [aux_sym_ip_qos_token1] = ACTIONS(3135),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3135),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3135),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3135),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3135),
    [aux_sym_local_command_token1] = ACTIONS(3135),
    [aux_sym_local_forward_token1] = ACTIONS(3135),
    [aux_sym_log_level_token1] = ACTIONS(3135),
    [aux_sym_log_verbose_token1] = ACTIONS(3135),
    [aux_sym_macs_token1] = ACTIONS(3135),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3135),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3135),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3135),
    [aux_sym_password_authentication_token1] = ACTIONS(3135),
    [aux_sym_permit_local_command_token1] = ACTIONS(3135),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3135),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3135),
    [aux_sym_port_token1] = ACTIONS(3135),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3135),
    [aux_sym_protocol_token1] = ACTIONS(3135),
    [aux_sym_proxy_command_token1] = ACTIONS(3135),
    [aux_sym_proxy_jump_token1] = ACTIONS(3135),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3135),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3135),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3135),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3135),
    [aux_sym_rekey_limit_token1] = ACTIONS(3135),
    [aux_sym_remote_command_token1] = ACTIONS(3135),
    [aux_sym_remote_forward_token1] = ACTIONS(3135),
    [aux_sym_request_tty_token1] = ACTIONS(3135),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3135),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3135),
    [aux_sym_security_key_provider_token1] = ACTIONS(3135),
    [aux_sym_send_env_token1] = ACTIONS(3135),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3135),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3135),
    [aux_sym_session_type_token1] = ACTIONS(3135),
    [aux_sym_set_env_token1] = ACTIONS(3135),
    [aux_sym_stdin_null_token1] = ACTIONS(3135),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3135),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3135),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3135),
    [aux_sym_syslog_facility_token1] = ACTIONS(3135),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3135),
    [aux_sym_keep_alive_token1] = ACTIONS(3135),
    [aux_sym_tag_token1] = ACTIONS(3135),
    [aux_sym_tunnel_token1] = ACTIONS(3137),
    [aux_sym_tunnel_device_token1] = ACTIONS(3135),
    [aux_sym_update_host_keys_token1] = ACTIONS(3135),
    [aux_sym_use_keychain_token1] = ACTIONS(3135),
    [aux_sym_use_roaming_token1] = ACTIONS(3135),
    [aux_sym_user_token1] = ACTIONS(3137),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3135),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3135),
    [aux_sym_visual_host_key_token1] = ACTIONS(3135),
    [aux_sym_xauth_location_token1] = ACTIONS(3135),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3141),
    [aux_sym_match_token1] = ACTIONS(3139),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3139),
    [aux_sym_address_family_token1] = ACTIONS(3139),
    [aux_sym_batch_mode_token1] = ACTIONS(3139),
    [aux_sym_bind_address_token1] = ACTIONS(3139),
    [aux_sym_bind_interface_token1] = ACTIONS(3139),
    [aux_sym_canonical_domains_token1] = ACTIONS(3139),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3139),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3139),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3139),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3139),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3139),
    [aux_sym_certificate_file_token1] = ACTIONS(3139),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3139),
    [aux_sym_channel_timeout_token1] = ACTIONS(3139),
    [aux_sym_check_host_ip_token1] = ACTIONS(3139),
    [aux_sym_ciphers_token1] = ACTIONS(3139),
    [aux_sym_cipher_token1] = ACTIONS(3141),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3139),
    [aux_sym_compression_token1] = ACTIONS(3139),
    [aux_sym_connection_attempts_token1] = ACTIONS(3139),
    [aux_sym_connect_timeout_token1] = ACTIONS(3139),
    [aux_sym_control_master_token1] = ACTIONS(3139),
    [aux_sym_control_path_token1] = ACTIONS(3139),
    [aux_sym_control_persist_token1] = ACTIONS(3139),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3139),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3139),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3139),
    [aux_sym_escape_char_token1] = ACTIONS(3139),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3139),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3139),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3139),
    [aux_sym_forward_agent_token1] = ACTIONS(3139),
    [aux_sym_forward_x11_token1] = ACTIONS(3141),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3139),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3139),
    [aux_sym_gateway_ports_token1] = ACTIONS(3139),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3139),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3139),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3139),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3139),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3139),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3139),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3139),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3139),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3139),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3139),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3139),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3139),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3139),
    [aux_sym_host_key_alias_token1] = ACTIONS(3139),
    [aux_sym_hostname_token1] = ACTIONS(3139),
    [aux_sym_identities_only_token1] = ACTIONS(3139),
    [aux_sym_identity_agent_token1] = ACTIONS(3139),
    [aux_sym_identity_file_token1] = ACTIONS(3139),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3139),
    [aux_sym_include_token1] = ACTIONS(3139),
    [aux_sym_ip_qos_token1] = ACTIONS(3139),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3139),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3139),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3139),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3139),
    [aux_sym_local_command_token1] = ACTIONS(3139),
    [aux_sym_local_forward_token1] = ACTIONS(3139),
    [aux_sym_log_level_token1] = ACTIONS(3139),
    [aux_sym_log_verbose_token1] = ACTIONS(3139),
    [aux_sym_macs_token1] = ACTIONS(3139),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3139),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3139),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3139),
    [aux_sym_password_authentication_token1] = ACTIONS(3139),
    [aux_sym_permit_local_command_token1] = ACTIONS(3139),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3139),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3139),
    [aux_sym_port_token1] = ACTIONS(3139),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3139),
    [aux_sym_protocol_token1] = ACTIONS(3139),
    [aux_sym_proxy_command_token1] = ACTIONS(3139),
    [aux_sym_proxy_jump_token1] = ACTIONS(3139),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3139),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3139),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3139),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3139),
    [aux_sym_rekey_limit_token1] = ACTIONS(3139),
    [aux_sym_remote_command_token1] = ACTIONS(3139),
    [aux_sym_remote_forward_token1] = ACTIONS(3139),
    [aux_sym_request_tty_token1] = ACTIONS(3139),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3139),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3139),
    [aux_sym_security_key_provider_token1] = ACTIONS(3139),
    [aux_sym_send_env_token1] = ACTIONS(3139),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3139),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3139),
    [aux_sym_session_type_token1] = ACTIONS(3139),
    [aux_sym_set_env_token1] = ACTIONS(3139),
    [aux_sym_stdin_null_token1] = ACTIONS(3139),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3139),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3139),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3139),
    [aux_sym_syslog_facility_token1] = ACTIONS(3139),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3139),
    [aux_sym_keep_alive_token1] = ACTIONS(3139),
    [aux_sym_tag_token1] = ACTIONS(3139),
    [aux_sym_tunnel_token1] = ACTIONS(3141),
    [aux_sym_tunnel_device_token1] = ACTIONS(3139),
    [aux_sym_update_host_keys_token1] = ACTIONS(3139),
    [aux_sym_use_keychain_token1] = ACTIONS(3139),
    [aux_sym_use_roaming_token1] = ACTIONS(3139),
    [aux_sym_user_token1] = ACTIONS(3141),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3139),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3139),
    [aux_sym_visual_host_key_token1] = ACTIONS(3139),
    [aux_sym_xauth_location_token1] = ACTIONS(3139),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3145),
    [aux_sym_match_token1] = ACTIONS(3143),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3143),
    [aux_sym_address_family_token1] = ACTIONS(3143),
    [aux_sym_batch_mode_token1] = ACTIONS(3143),
    [aux_sym_bind_address_token1] = ACTIONS(3143),
    [aux_sym_bind_interface_token1] = ACTIONS(3143),
    [aux_sym_canonical_domains_token1] = ACTIONS(3143),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3143),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3143),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3143),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3143),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3143),
    [aux_sym_certificate_file_token1] = ACTIONS(3143),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3143),
    [aux_sym_channel_timeout_token1] = ACTIONS(3143),
    [aux_sym_check_host_ip_token1] = ACTIONS(3143),
    [aux_sym_ciphers_token1] = ACTIONS(3143),
    [aux_sym_cipher_token1] = ACTIONS(3145),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3143),
    [aux_sym_compression_token1] = ACTIONS(3143),
    [aux_sym_connection_attempts_token1] = ACTIONS(3143),
    [aux_sym_connect_timeout_token1] = ACTIONS(3143),
    [aux_sym_control_master_token1] = ACTIONS(3143),
    [aux_sym_control_path_token1] = ACTIONS(3143),
    [aux_sym_control_persist_token1] = ACTIONS(3143),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3143),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3143),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3143),
    [aux_sym_escape_char_token1] = ACTIONS(3143),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3143),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3143),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3143),
    [aux_sym_forward_agent_token1] = ACTIONS(3143),
    [aux_sym_forward_x11_token1] = ACTIONS(3145),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3143),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3143),
    [aux_sym_gateway_ports_token1] = ACTIONS(3143),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3143),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3143),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3143),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3143),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3143),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3143),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3143),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3143),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3143),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3143),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3143),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3143),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3143),
    [aux_sym_host_key_alias_token1] = ACTIONS(3143),
    [aux_sym_hostname_token1] = ACTIONS(3143),
    [aux_sym_identities_only_token1] = ACTIONS(3143),
    [aux_sym_identity_agent_token1] = ACTIONS(3143),
    [aux_sym_identity_file_token1] = ACTIONS(3143),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3143),
    [aux_sym_include_token1] = ACTIONS(3143),
    [aux_sym_ip_qos_token1] = ACTIONS(3143),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3143),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3143),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3143),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3143),
    [aux_sym_local_command_token1] = ACTIONS(3143),
    [aux_sym_local_forward_token1] = ACTIONS(3143),
    [aux_sym_log_level_token1] = ACTIONS(3143),
    [aux_sym_log_verbose_token1] = ACTIONS(3143),
    [aux_sym_macs_token1] = ACTIONS(3143),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3143),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3143),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3143),
    [aux_sym_password_authentication_token1] = ACTIONS(3143),
    [aux_sym_permit_local_command_token1] = ACTIONS(3143),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3143),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3143),
    [aux_sym_port_token1] = ACTIONS(3143),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3143),
    [aux_sym_protocol_token1] = ACTIONS(3143),
    [aux_sym_proxy_command_token1] = ACTIONS(3143),
    [aux_sym_proxy_jump_token1] = ACTIONS(3143),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3143),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3143),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3143),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3143),
    [aux_sym_rekey_limit_token1] = ACTIONS(3143),
    [aux_sym_remote_command_token1] = ACTIONS(3143),
    [aux_sym_remote_forward_token1] = ACTIONS(3143),
    [aux_sym_request_tty_token1] = ACTIONS(3143),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3143),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3143),
    [aux_sym_security_key_provider_token1] = ACTIONS(3143),
    [aux_sym_send_env_token1] = ACTIONS(3143),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3143),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3143),
    [aux_sym_session_type_token1] = ACTIONS(3143),
    [aux_sym_set_env_token1] = ACTIONS(3143),
    [aux_sym_stdin_null_token1] = ACTIONS(3143),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3143),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3143),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3143),
    [aux_sym_syslog_facility_token1] = ACTIONS(3143),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3143),
    [aux_sym_keep_alive_token1] = ACTIONS(3143),
    [aux_sym_tag_token1] = ACTIONS(3143),
    [aux_sym_tunnel_token1] = ACTIONS(3145),
    [aux_sym_tunnel_device_token1] = ACTIONS(3143),
    [aux_sym_update_host_keys_token1] = ACTIONS(3143),
    [aux_sym_use_keychain_token1] = ACTIONS(3143),
    [aux_sym_use_roaming_token1] = ACTIONS(3143),
    [aux_sym_user_token1] = ACTIONS(3145),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3143),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3143),
    [aux_sym_visual_host_key_token1] = ACTIONS(3143),
    [aux_sym_xauth_location_token1] = ACTIONS(3143),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3149),
    [aux_sym_match_token1] = ACTIONS(3147),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3147),
    [aux_sym_address_family_token1] = ACTIONS(3147),
    [aux_sym_batch_mode_token1] = ACTIONS(3147),
    [aux_sym_bind_address_token1] = ACTIONS(3147),
    [aux_sym_bind_interface_token1] = ACTIONS(3147),
    [aux_sym_canonical_domains_token1] = ACTIONS(3147),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3147),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3147),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3147),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3147),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3147),
    [aux_sym_certificate_file_token1] = ACTIONS(3147),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3147),
    [aux_sym_channel_timeout_token1] = ACTIONS(3147),
    [aux_sym_check_host_ip_token1] = ACTIONS(3147),
    [aux_sym_ciphers_token1] = ACTIONS(3147),
    [aux_sym_cipher_token1] = ACTIONS(3149),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3147),
    [aux_sym_compression_token1] = ACTIONS(3147),
    [aux_sym_connection_attempts_token1] = ACTIONS(3147),
    [aux_sym_connect_timeout_token1] = ACTIONS(3147),
    [aux_sym_control_master_token1] = ACTIONS(3147),
    [aux_sym_control_path_token1] = ACTIONS(3147),
    [aux_sym_control_persist_token1] = ACTIONS(3147),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3147),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3147),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3147),
    [aux_sym_escape_char_token1] = ACTIONS(3147),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3147),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3147),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3147),
    [aux_sym_forward_agent_token1] = ACTIONS(3147),
    [aux_sym_forward_x11_token1] = ACTIONS(3149),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3147),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3147),
    [aux_sym_gateway_ports_token1] = ACTIONS(3147),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3147),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3147),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3147),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3147),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3147),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3147),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3147),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3147),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3147),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3147),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3147),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3147),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3147),
    [aux_sym_host_key_alias_token1] = ACTIONS(3147),
    [aux_sym_hostname_token1] = ACTIONS(3147),
    [aux_sym_identities_only_token1] = ACTIONS(3147),
    [aux_sym_identity_agent_token1] = ACTIONS(3147),
    [aux_sym_identity_file_token1] = ACTIONS(3147),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3147),
    [aux_sym_include_token1] = ACTIONS(3147),
    [aux_sym_ip_qos_token1] = ACTIONS(3147),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3147),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3147),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3147),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3147),
    [aux_sym_local_command_token1] = ACTIONS(3147),
    [aux_sym_local_forward_token1] = ACTIONS(3147),
    [aux_sym_log_level_token1] = ACTIONS(3147),
    [aux_sym_log_verbose_token1] = ACTIONS(3147),
    [aux_sym_macs_token1] = ACTIONS(3147),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3147),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3147),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3147),
    [aux_sym_password_authentication_token1] = ACTIONS(3147),
    [aux_sym_permit_local_command_token1] = ACTIONS(3147),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3147),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3147),
    [aux_sym_port_token1] = ACTIONS(3147),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3147),
    [aux_sym_protocol_token1] = ACTIONS(3147),
    [aux_sym_proxy_command_token1] = ACTIONS(3147),
    [aux_sym_proxy_jump_token1] = ACTIONS(3147),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3147),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3147),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3147),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3147),
    [aux_sym_rekey_limit_token1] = ACTIONS(3147),
    [aux_sym_remote_command_token1] = ACTIONS(3147),
    [aux_sym_remote_forward_token1] = ACTIONS(3147),
    [aux_sym_request_tty_token1] = ACTIONS(3147),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3147),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3147),
    [aux_sym_security_key_provider_token1] = ACTIONS(3147),
    [aux_sym_send_env_token1] = ACTIONS(3147),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3147),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3147),
    [aux_sym_session_type_token1] = ACTIONS(3147),
    [aux_sym_set_env_token1] = ACTIONS(3147),
    [aux_sym_stdin_null_token1] = ACTIONS(3147),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3147),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3147),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3147),
    [aux_sym_syslog_facility_token1] = ACTIONS(3147),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3147),
    [aux_sym_keep_alive_token1] = ACTIONS(3147),
    [aux_sym_tag_token1] = ACTIONS(3147),
    [aux_sym_tunnel_token1] = ACTIONS(3149),
    [aux_sym_tunnel_device_token1] = ACTIONS(3147),
    [aux_sym_update_host_keys_token1] = ACTIONS(3147),
    [aux_sym_use_keychain_token1] = ACTIONS(3147),
    [aux_sym_use_roaming_token1] = ACTIONS(3147),
    [aux_sym_user_token1] = ACTIONS(3149),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3147),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3147),
    [aux_sym_visual_host_key_token1] = ACTIONS(3147),
    [aux_sym_xauth_location_token1] = ACTIONS(3147),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3153),
    [aux_sym_match_token1] = ACTIONS(3151),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3151),
    [aux_sym_address_family_token1] = ACTIONS(3151),
    [aux_sym_batch_mode_token1] = ACTIONS(3151),
    [aux_sym_bind_address_token1] = ACTIONS(3151),
    [aux_sym_bind_interface_token1] = ACTIONS(3151),
    [aux_sym_canonical_domains_token1] = ACTIONS(3151),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3151),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3151),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3151),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3151),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3151),
    [aux_sym_certificate_file_token1] = ACTIONS(3151),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3151),
    [aux_sym_channel_timeout_token1] = ACTIONS(3151),
    [aux_sym_check_host_ip_token1] = ACTIONS(3151),
    [aux_sym_ciphers_token1] = ACTIONS(3151),
    [aux_sym_cipher_token1] = ACTIONS(3153),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3151),
    [aux_sym_compression_token1] = ACTIONS(3151),
    [aux_sym_connection_attempts_token1] = ACTIONS(3151),
    [aux_sym_connect_timeout_token1] = ACTIONS(3151),
    [aux_sym_control_master_token1] = ACTIONS(3151),
    [aux_sym_control_path_token1] = ACTIONS(3151),
    [aux_sym_control_persist_token1] = ACTIONS(3151),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3151),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3151),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3151),
    [aux_sym_escape_char_token1] = ACTIONS(3151),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3151),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3151),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3151),
    [aux_sym_forward_agent_token1] = ACTIONS(3151),
    [aux_sym_forward_x11_token1] = ACTIONS(3153),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3151),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3151),
    [aux_sym_gateway_ports_token1] = ACTIONS(3151),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3151),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3151),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3151),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3151),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3151),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3151),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3151),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3151),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3151),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3151),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3151),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3151),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3151),
    [aux_sym_host_key_alias_token1] = ACTIONS(3151),
    [aux_sym_hostname_token1] = ACTIONS(3151),
    [aux_sym_identities_only_token1] = ACTIONS(3151),
    [aux_sym_identity_agent_token1] = ACTIONS(3151),
    [aux_sym_identity_file_token1] = ACTIONS(3151),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3151),
    [aux_sym_include_token1] = ACTIONS(3151),
    [aux_sym_ip_qos_token1] = ACTIONS(3151),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3151),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3151),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3151),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3151),
    [aux_sym_local_command_token1] = ACTIONS(3151),
    [aux_sym_local_forward_token1] = ACTIONS(3151),
    [aux_sym_log_level_token1] = ACTIONS(3151),
    [aux_sym_log_verbose_token1] = ACTIONS(3151),
    [aux_sym_macs_token1] = ACTIONS(3151),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3151),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3151),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3151),
    [aux_sym_password_authentication_token1] = ACTIONS(3151),
    [aux_sym_permit_local_command_token1] = ACTIONS(3151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3151),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3151),
    [aux_sym_port_token1] = ACTIONS(3151),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3151),
    [aux_sym_protocol_token1] = ACTIONS(3151),
    [aux_sym_proxy_command_token1] = ACTIONS(3151),
    [aux_sym_proxy_jump_token1] = ACTIONS(3151),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3151),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3151),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3151),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3151),
    [aux_sym_rekey_limit_token1] = ACTIONS(3151),
    [aux_sym_remote_command_token1] = ACTIONS(3151),
    [aux_sym_remote_forward_token1] = ACTIONS(3151),
    [aux_sym_request_tty_token1] = ACTIONS(3151),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3151),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3151),
    [aux_sym_security_key_provider_token1] = ACTIONS(3151),
    [aux_sym_send_env_token1] = ACTIONS(3151),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3151),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3151),
    [aux_sym_session_type_token1] = ACTIONS(3151),
    [aux_sym_set_env_token1] = ACTIONS(3151),
    [aux_sym_stdin_null_token1] = ACTIONS(3151),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3151),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3151),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3151),
    [aux_sym_syslog_facility_token1] = ACTIONS(3151),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3151),
    [aux_sym_keep_alive_token1] = ACTIONS(3151),
    [aux_sym_tag_token1] = ACTIONS(3151),
    [aux_sym_tunnel_token1] = ACTIONS(3153),
    [aux_sym_tunnel_device_token1] = ACTIONS(3151),
    [aux_sym_update_host_keys_token1] = ACTIONS(3151),
    [aux_sym_use_keychain_token1] = ACTIONS(3151),
    [aux_sym_use_roaming_token1] = ACTIONS(3151),
    [aux_sym_user_token1] = ACTIONS(3153),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3151),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3151),
    [aux_sym_visual_host_key_token1] = ACTIONS(3151),
    [aux_sym_xauth_location_token1] = ACTIONS(3151),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3157),
    [aux_sym_match_token1] = ACTIONS(3155),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3155),
    [aux_sym_address_family_token1] = ACTIONS(3155),
    [aux_sym_batch_mode_token1] = ACTIONS(3155),
    [aux_sym_bind_address_token1] = ACTIONS(3155),
    [aux_sym_bind_interface_token1] = ACTIONS(3155),
    [aux_sym_canonical_domains_token1] = ACTIONS(3155),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3155),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3155),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3155),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3155),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3155),
    [aux_sym_certificate_file_token1] = ACTIONS(3155),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3155),
    [aux_sym_channel_timeout_token1] = ACTIONS(3155),
    [aux_sym_check_host_ip_token1] = ACTIONS(3155),
    [aux_sym_ciphers_token1] = ACTIONS(3155),
    [aux_sym_cipher_token1] = ACTIONS(3157),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3155),
    [aux_sym_compression_token1] = ACTIONS(3155),
    [aux_sym_connection_attempts_token1] = ACTIONS(3155),
    [aux_sym_connect_timeout_token1] = ACTIONS(3155),
    [aux_sym_control_master_token1] = ACTIONS(3155),
    [aux_sym_control_path_token1] = ACTIONS(3155),
    [aux_sym_control_persist_token1] = ACTIONS(3155),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3155),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3155),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3155),
    [aux_sym_escape_char_token1] = ACTIONS(3155),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3155),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3155),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3155),
    [aux_sym_forward_agent_token1] = ACTIONS(3155),
    [aux_sym_forward_x11_token1] = ACTIONS(3157),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3155),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3155),
    [aux_sym_gateway_ports_token1] = ACTIONS(3155),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3155),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3155),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3155),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3155),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3155),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3155),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3155),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3155),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3155),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3155),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3155),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3155),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3155),
    [aux_sym_host_key_alias_token1] = ACTIONS(3155),
    [aux_sym_hostname_token1] = ACTIONS(3155),
    [aux_sym_identities_only_token1] = ACTIONS(3155),
    [aux_sym_identity_agent_token1] = ACTIONS(3155),
    [aux_sym_identity_file_token1] = ACTIONS(3155),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3155),
    [aux_sym_include_token1] = ACTIONS(3155),
    [aux_sym_ip_qos_token1] = ACTIONS(3155),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3155),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3155),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3155),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3155),
    [aux_sym_local_command_token1] = ACTIONS(3155),
    [aux_sym_local_forward_token1] = ACTIONS(3155),
    [aux_sym_log_level_token1] = ACTIONS(3155),
    [aux_sym_log_verbose_token1] = ACTIONS(3155),
    [aux_sym_macs_token1] = ACTIONS(3155),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3155),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3155),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3155),
    [aux_sym_password_authentication_token1] = ACTIONS(3155),
    [aux_sym_permit_local_command_token1] = ACTIONS(3155),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3155),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3155),
    [aux_sym_port_token1] = ACTIONS(3155),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3155),
    [aux_sym_protocol_token1] = ACTIONS(3155),
    [aux_sym_proxy_command_token1] = ACTIONS(3155),
    [aux_sym_proxy_jump_token1] = ACTIONS(3155),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3155),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3155),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3155),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3155),
    [aux_sym_rekey_limit_token1] = ACTIONS(3155),
    [aux_sym_remote_command_token1] = ACTIONS(3155),
    [aux_sym_remote_forward_token1] = ACTIONS(3155),
    [aux_sym_request_tty_token1] = ACTIONS(3155),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3155),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3155),
    [aux_sym_security_key_provider_token1] = ACTIONS(3155),
    [aux_sym_send_env_token1] = ACTIONS(3155),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3155),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3155),
    [aux_sym_session_type_token1] = ACTIONS(3155),
    [aux_sym_set_env_token1] = ACTIONS(3155),
    [aux_sym_stdin_null_token1] = ACTIONS(3155),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3155),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3155),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3155),
    [aux_sym_syslog_facility_token1] = ACTIONS(3155),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3155),
    [aux_sym_keep_alive_token1] = ACTIONS(3155),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [aux_sym_tunnel_token1] = ACTIONS(3157),
    [aux_sym_tunnel_device_token1] = ACTIONS(3155),
    [aux_sym_update_host_keys_token1] = ACTIONS(3155),
    [aux_sym_use_keychain_token1] = ACTIONS(3155),
    [aux_sym_use_roaming_token1] = ACTIONS(3155),
    [aux_sym_user_token1] = ACTIONS(3157),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3155),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3155),
    [aux_sym_visual_host_key_token1] = ACTIONS(3155),
    [aux_sym_xauth_location_token1] = ACTIONS(3155),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3161),
    [aux_sym_match_token1] = ACTIONS(3159),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3159),
    [aux_sym_address_family_token1] = ACTIONS(3159),
    [aux_sym_batch_mode_token1] = ACTIONS(3159),
    [aux_sym_bind_address_token1] = ACTIONS(3159),
    [aux_sym_bind_interface_token1] = ACTIONS(3159),
    [aux_sym_canonical_domains_token1] = ACTIONS(3159),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3159),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3159),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3159),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3159),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3159),
    [aux_sym_certificate_file_token1] = ACTIONS(3159),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3159),
    [aux_sym_channel_timeout_token1] = ACTIONS(3159),
    [aux_sym_check_host_ip_token1] = ACTIONS(3159),
    [aux_sym_ciphers_token1] = ACTIONS(3159),
    [aux_sym_cipher_token1] = ACTIONS(3161),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3159),
    [aux_sym_compression_token1] = ACTIONS(3159),
    [aux_sym_connection_attempts_token1] = ACTIONS(3159),
    [aux_sym_connect_timeout_token1] = ACTIONS(3159),
    [aux_sym_control_master_token1] = ACTIONS(3159),
    [aux_sym_control_path_token1] = ACTIONS(3159),
    [aux_sym_control_persist_token1] = ACTIONS(3159),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3159),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3159),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3159),
    [aux_sym_escape_char_token1] = ACTIONS(3159),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3159),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3159),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3159),
    [aux_sym_forward_agent_token1] = ACTIONS(3159),
    [aux_sym_forward_x11_token1] = ACTIONS(3161),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3159),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3159),
    [aux_sym_gateway_ports_token1] = ACTIONS(3159),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3159),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3159),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3159),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3159),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3159),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3159),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3159),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3159),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3159),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3159),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3159),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3159),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3159),
    [aux_sym_host_key_alias_token1] = ACTIONS(3159),
    [aux_sym_hostname_token1] = ACTIONS(3159),
    [aux_sym_identities_only_token1] = ACTIONS(3159),
    [aux_sym_identity_agent_token1] = ACTIONS(3159),
    [aux_sym_identity_file_token1] = ACTIONS(3159),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3159),
    [aux_sym_include_token1] = ACTIONS(3159),
    [aux_sym_ip_qos_token1] = ACTIONS(3159),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3159),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3159),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3159),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3159),
    [aux_sym_local_command_token1] = ACTIONS(3159),
    [aux_sym_local_forward_token1] = ACTIONS(3159),
    [aux_sym_log_level_token1] = ACTIONS(3159),
    [aux_sym_log_verbose_token1] = ACTIONS(3159),
    [aux_sym_macs_token1] = ACTIONS(3159),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3159),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3159),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3159),
    [aux_sym_password_authentication_token1] = ACTIONS(3159),
    [aux_sym_permit_local_command_token1] = ACTIONS(3159),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3159),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3159),
    [aux_sym_port_token1] = ACTIONS(3159),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3159),
    [aux_sym_protocol_token1] = ACTIONS(3159),
    [aux_sym_proxy_command_token1] = ACTIONS(3159),
    [aux_sym_proxy_jump_token1] = ACTIONS(3159),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3159),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3159),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3159),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3159),
    [aux_sym_rekey_limit_token1] = ACTIONS(3159),
    [aux_sym_remote_command_token1] = ACTIONS(3159),
    [aux_sym_remote_forward_token1] = ACTIONS(3159),
    [aux_sym_request_tty_token1] = ACTIONS(3159),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3159),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3159),
    [aux_sym_security_key_provider_token1] = ACTIONS(3159),
    [aux_sym_send_env_token1] = ACTIONS(3159),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3159),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3159),
    [aux_sym_session_type_token1] = ACTIONS(3159),
    [aux_sym_set_env_token1] = ACTIONS(3159),
    [aux_sym_stdin_null_token1] = ACTIONS(3159),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3159),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3159),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3159),
    [aux_sym_syslog_facility_token1] = ACTIONS(3159),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3159),
    [aux_sym_keep_alive_token1] = ACTIONS(3159),
    [aux_sym_tag_token1] = ACTIONS(3159),
    [aux_sym_tunnel_token1] = ACTIONS(3161),
    [aux_sym_tunnel_device_token1] = ACTIONS(3159),
    [aux_sym_update_host_keys_token1] = ACTIONS(3159),
    [aux_sym_use_keychain_token1] = ACTIONS(3159),
    [aux_sym_use_roaming_token1] = ACTIONS(3159),
    [aux_sym_user_token1] = ACTIONS(3161),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3159),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3159),
    [aux_sym_visual_host_key_token1] = ACTIONS(3159),
    [aux_sym_xauth_location_token1] = ACTIONS(3159),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3165),
    [aux_sym_match_token1] = ACTIONS(3163),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3163),
    [aux_sym_address_family_token1] = ACTIONS(3163),
    [aux_sym_batch_mode_token1] = ACTIONS(3163),
    [aux_sym_bind_address_token1] = ACTIONS(3163),
    [aux_sym_bind_interface_token1] = ACTIONS(3163),
    [aux_sym_canonical_domains_token1] = ACTIONS(3163),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3163),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3163),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3163),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3163),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3163),
    [aux_sym_certificate_file_token1] = ACTIONS(3163),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3163),
    [aux_sym_channel_timeout_token1] = ACTIONS(3163),
    [aux_sym_check_host_ip_token1] = ACTIONS(3163),
    [aux_sym_ciphers_token1] = ACTIONS(3163),
    [aux_sym_cipher_token1] = ACTIONS(3165),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3163),
    [aux_sym_compression_token1] = ACTIONS(3163),
    [aux_sym_connection_attempts_token1] = ACTIONS(3163),
    [aux_sym_connect_timeout_token1] = ACTIONS(3163),
    [aux_sym_control_master_token1] = ACTIONS(3163),
    [aux_sym_control_path_token1] = ACTIONS(3163),
    [aux_sym_control_persist_token1] = ACTIONS(3163),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3163),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3163),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3163),
    [aux_sym_escape_char_token1] = ACTIONS(3163),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3163),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3163),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3163),
    [aux_sym_forward_agent_token1] = ACTIONS(3163),
    [aux_sym_forward_x11_token1] = ACTIONS(3165),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3163),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3163),
    [aux_sym_gateway_ports_token1] = ACTIONS(3163),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3163),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3163),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3163),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3163),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3163),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3163),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3163),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3163),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3163),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3163),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3163),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3163),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3163),
    [aux_sym_host_key_alias_token1] = ACTIONS(3163),
    [aux_sym_hostname_token1] = ACTIONS(3163),
    [aux_sym_identities_only_token1] = ACTIONS(3163),
    [aux_sym_identity_agent_token1] = ACTIONS(3163),
    [aux_sym_identity_file_token1] = ACTIONS(3163),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3163),
    [aux_sym_include_token1] = ACTIONS(3163),
    [aux_sym_ip_qos_token1] = ACTIONS(3163),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3163),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3163),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3163),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3163),
    [aux_sym_local_command_token1] = ACTIONS(3163),
    [aux_sym_local_forward_token1] = ACTIONS(3163),
    [aux_sym_log_level_token1] = ACTIONS(3163),
    [aux_sym_log_verbose_token1] = ACTIONS(3163),
    [aux_sym_macs_token1] = ACTIONS(3163),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3163),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3163),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3163),
    [aux_sym_password_authentication_token1] = ACTIONS(3163),
    [aux_sym_permit_local_command_token1] = ACTIONS(3163),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3163),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3163),
    [aux_sym_port_token1] = ACTIONS(3163),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3163),
    [aux_sym_protocol_token1] = ACTIONS(3163),
    [aux_sym_proxy_command_token1] = ACTIONS(3163),
    [aux_sym_proxy_jump_token1] = ACTIONS(3163),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3163),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3163),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3163),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3163),
    [aux_sym_rekey_limit_token1] = ACTIONS(3163),
    [aux_sym_remote_command_token1] = ACTIONS(3163),
    [aux_sym_remote_forward_token1] = ACTIONS(3163),
    [aux_sym_request_tty_token1] = ACTIONS(3163),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3163),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3163),
    [aux_sym_security_key_provider_token1] = ACTIONS(3163),
    [aux_sym_send_env_token1] = ACTIONS(3163),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3163),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3163),
    [aux_sym_session_type_token1] = ACTIONS(3163),
    [aux_sym_set_env_token1] = ACTIONS(3163),
    [aux_sym_stdin_null_token1] = ACTIONS(3163),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3163),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3163),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3163),
    [aux_sym_syslog_facility_token1] = ACTIONS(3163),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3163),
    [aux_sym_keep_alive_token1] = ACTIONS(3163),
    [aux_sym_tag_token1] = ACTIONS(3163),
    [aux_sym_tunnel_token1] = ACTIONS(3165),
    [aux_sym_tunnel_device_token1] = ACTIONS(3163),
    [aux_sym_update_host_keys_token1] = ACTIONS(3163),
    [aux_sym_use_keychain_token1] = ACTIONS(3163),
    [aux_sym_use_roaming_token1] = ACTIONS(3163),
    [aux_sym_user_token1] = ACTIONS(3165),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3163),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3163),
    [aux_sym_visual_host_key_token1] = ACTIONS(3163),
    [aux_sym_xauth_location_token1] = ACTIONS(3163),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(871),
    [aux_sym_match_token1] = ACTIONS(869),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(869),
    [aux_sym_address_family_token1] = ACTIONS(869),
    [aux_sym_batch_mode_token1] = ACTIONS(869),
    [aux_sym_bind_address_token1] = ACTIONS(869),
    [aux_sym_bind_interface_token1] = ACTIONS(869),
    [aux_sym_canonical_domains_token1] = ACTIONS(869),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(869),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(869),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(869),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(869),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(869),
    [aux_sym_certificate_file_token1] = ACTIONS(869),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(869),
    [aux_sym_channel_timeout_token1] = ACTIONS(869),
    [aux_sym_check_host_ip_token1] = ACTIONS(869),
    [aux_sym_ciphers_token1] = ACTIONS(869),
    [aux_sym_cipher_token1] = ACTIONS(871),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(869),
    [aux_sym_compression_token1] = ACTIONS(869),
    [aux_sym_connection_attempts_token1] = ACTIONS(869),
    [aux_sym_connect_timeout_token1] = ACTIONS(869),
    [aux_sym_control_master_token1] = ACTIONS(869),
    [aux_sym_control_path_token1] = ACTIONS(869),
    [aux_sym_control_persist_token1] = ACTIONS(869),
    [aux_sym_dynamic_forward_token1] = ACTIONS(869),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(869),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(869),
    [aux_sym_escape_char_token1] = ACTIONS(869),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(869),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(869),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(869),
    [aux_sym_forward_agent_token1] = ACTIONS(869),
    [aux_sym_forward_x11_token1] = ACTIONS(871),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(869),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(869),
    [aux_sym_gateway_ports_token1] = ACTIONS(869),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(869),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(869),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(869),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(869),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(869),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(869),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(869),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(869),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(869),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(869),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(869),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(869),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(869),
    [aux_sym_host_key_alias_token1] = ACTIONS(869),
    [aux_sym_hostname_token1] = ACTIONS(869),
    [aux_sym_identities_only_token1] = ACTIONS(869),
    [aux_sym_identity_agent_token1] = ACTIONS(869),
    [aux_sym_identity_file_token1] = ACTIONS(869),
    [aux_sym_ignore_unknown_token1] = ACTIONS(869),
    [aux_sym_include_token1] = ACTIONS(869),
    [aux_sym_ip_qos_token1] = ACTIONS(869),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(869),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(869),
    [aux_sym_kex_algorithms_token1] = ACTIONS(869),
    [aux_sym_known_hosts_command_token1] = ACTIONS(869),
    [aux_sym_local_command_token1] = ACTIONS(869),
    [aux_sym_local_forward_token1] = ACTIONS(869),
    [aux_sym_log_level_token1] = ACTIONS(869),
    [aux_sym_log_verbose_token1] = ACTIONS(869),
    [aux_sym_macs_token1] = ACTIONS(869),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(869),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(869),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(869),
    [aux_sym_password_authentication_token1] = ACTIONS(869),
    [aux_sym_permit_local_command_token1] = ACTIONS(869),
    [aux_sym_permit_remote_open_token1] = ACTIONS(869),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(869),
    [aux_sym_port_token1] = ACTIONS(869),
    [aux_sym_preferred_authentications_token1] = ACTIONS(869),
    [aux_sym_protocol_token1] = ACTIONS(869),
    [aux_sym_proxy_command_token1] = ACTIONS(869),
    [aux_sym_proxy_jump_token1] = ACTIONS(869),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(869),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(869),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(869),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(869),
    [aux_sym_rekey_limit_token1] = ACTIONS(869),
    [aux_sym_remote_command_token1] = ACTIONS(869),
    [aux_sym_remote_forward_token1] = ACTIONS(869),
    [aux_sym_request_tty_token1] = ACTIONS(869),
    [aux_sym_required_rsa_size_token1] = ACTIONS(869),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(869),
    [aux_sym_security_key_provider_token1] = ACTIONS(869),
    [aux_sym_send_env_token1] = ACTIONS(869),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(869),
    [aux_sym_server_alive_interval_token1] = ACTIONS(869),
    [aux_sym_session_type_token1] = ACTIONS(869),
    [aux_sym_set_env_token1] = ACTIONS(869),
    [aux_sym_stdin_null_token1] = ACTIONS(869),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(869),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(869),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(869),
    [aux_sym_syslog_facility_token1] = ACTIONS(869),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(869),
    [aux_sym_keep_alive_token1] = ACTIONS(869),
    [aux_sym_tag_token1] = ACTIONS(869),
    [aux_sym_tunnel_token1] = ACTIONS(871),
    [aux_sym_tunnel_device_token1] = ACTIONS(869),
    [aux_sym_update_host_keys_token1] = ACTIONS(869),
    [aux_sym_use_keychain_token1] = ACTIONS(869),
    [aux_sym_use_roaming_token1] = ACTIONS(869),
    [aux_sym_user_token1] = ACTIONS(871),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(869),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(869),
    [aux_sym_visual_host_key_token1] = ACTIONS(869),
    [aux_sym_xauth_location_token1] = ACTIONS(869),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1585),
    [aux_sym_match_token1] = ACTIONS(1583),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1583),
    [aux_sym_address_family_token1] = ACTIONS(1583),
    [aux_sym_batch_mode_token1] = ACTIONS(1583),
    [aux_sym_bind_address_token1] = ACTIONS(1583),
    [aux_sym_bind_interface_token1] = ACTIONS(1583),
    [aux_sym_canonical_domains_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1583),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1583),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1583),
    [aux_sym_certificate_file_token1] = ACTIONS(1583),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1583),
    [aux_sym_channel_timeout_token1] = ACTIONS(1583),
    [aux_sym_check_host_ip_token1] = ACTIONS(1583),
    [aux_sym_ciphers_token1] = ACTIONS(1583),
    [aux_sym_cipher_token1] = ACTIONS(1585),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1583),
    [aux_sym_compression_token1] = ACTIONS(1583),
    [aux_sym_connection_attempts_token1] = ACTIONS(1583),
    [aux_sym_connect_timeout_token1] = ACTIONS(1583),
    [aux_sym_control_master_token1] = ACTIONS(1583),
    [aux_sym_control_path_token1] = ACTIONS(1583),
    [aux_sym_control_persist_token1] = ACTIONS(1583),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1583),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1583),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1583),
    [aux_sym_escape_char_token1] = ACTIONS(1583),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1583),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1583),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1583),
    [aux_sym_forward_agent_token1] = ACTIONS(1583),
    [aux_sym_forward_x11_token1] = ACTIONS(1585),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1583),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1583),
    [aux_sym_gateway_ports_token1] = ACTIONS(1583),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1583),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1583),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1583),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1583),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1583),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1583),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1583),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1583),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1583),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1583),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1583),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1583),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1583),
    [aux_sym_host_key_alias_token1] = ACTIONS(1583),
    [aux_sym_hostname_token1] = ACTIONS(1583),
    [aux_sym_identities_only_token1] = ACTIONS(1583),
    [aux_sym_identity_agent_token1] = ACTIONS(1583),
    [aux_sym_identity_file_token1] = ACTIONS(1583),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1583),
    [aux_sym_include_token1] = ACTIONS(1583),
    [aux_sym_ip_qos_token1] = ACTIONS(1583),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1583),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1583),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1583),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1583),
    [aux_sym_local_command_token1] = ACTIONS(1583),
    [aux_sym_local_forward_token1] = ACTIONS(1583),
    [aux_sym_log_level_token1] = ACTIONS(1583),
    [aux_sym_log_verbose_token1] = ACTIONS(1583),
    [aux_sym_macs_token1] = ACTIONS(1583),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1583),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1583),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1583),
    [aux_sym_password_authentication_token1] = ACTIONS(1583),
    [aux_sym_permit_local_command_token1] = ACTIONS(1583),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1583),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1583),
    [aux_sym_port_token1] = ACTIONS(1583),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1583),
    [aux_sym_protocol_token1] = ACTIONS(1583),
    [aux_sym_proxy_command_token1] = ACTIONS(1583),
    [aux_sym_proxy_jump_token1] = ACTIONS(1583),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1583),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1583),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1583),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1583),
    [aux_sym_rekey_limit_token1] = ACTIONS(1583),
    [aux_sym_remote_command_token1] = ACTIONS(1583),
    [aux_sym_remote_forward_token1] = ACTIONS(1583),
    [aux_sym_request_tty_token1] = ACTIONS(1583),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1583),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1583),
    [aux_sym_security_key_provider_token1] = ACTIONS(1583),
    [aux_sym_send_env_token1] = ACTIONS(1583),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1583),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1583),
    [aux_sym_session_type_token1] = ACTIONS(1583),
    [aux_sym_set_env_token1] = ACTIONS(1583),
    [aux_sym_stdin_null_token1] = ACTIONS(1583),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1583),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1583),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1583),
    [aux_sym_syslog_facility_token1] = ACTIONS(1583),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1583),
    [aux_sym_keep_alive_token1] = ACTIONS(1583),
    [aux_sym_tag_token1] = ACTIONS(1583),
    [aux_sym_tunnel_token1] = ACTIONS(1585),
    [aux_sym_tunnel_device_token1] = ACTIONS(1583),
    [aux_sym_update_host_keys_token1] = ACTIONS(1583),
    [aux_sym_use_keychain_token1] = ACTIONS(1583),
    [aux_sym_use_roaming_token1] = ACTIONS(1583),
    [aux_sym_user_token1] = ACTIONS(1585),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1583),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1583),
    [aux_sym_visual_host_key_token1] = ACTIONS(1583),
    [aux_sym_xauth_location_token1] = ACTIONS(1583),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1183),
    [aux_sym_match_token1] = ACTIONS(1181),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1181),
    [aux_sym_address_family_token1] = ACTIONS(1181),
    [aux_sym_batch_mode_token1] = ACTIONS(1181),
    [aux_sym_bind_address_token1] = ACTIONS(1181),
    [aux_sym_bind_interface_token1] = ACTIONS(1181),
    [aux_sym_canonical_domains_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1181),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1181),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1181),
    [aux_sym_certificate_file_token1] = ACTIONS(1181),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1181),
    [aux_sym_channel_timeout_token1] = ACTIONS(1181),
    [aux_sym_check_host_ip_token1] = ACTIONS(1181),
    [aux_sym_ciphers_token1] = ACTIONS(1181),
    [aux_sym_cipher_token1] = ACTIONS(1183),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1181),
    [aux_sym_compression_token1] = ACTIONS(1181),
    [aux_sym_connection_attempts_token1] = ACTIONS(1181),
    [aux_sym_connect_timeout_token1] = ACTIONS(1181),
    [aux_sym_control_master_token1] = ACTIONS(1181),
    [aux_sym_control_path_token1] = ACTIONS(1181),
    [aux_sym_control_persist_token1] = ACTIONS(1181),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1181),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1181),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1181),
    [aux_sym_escape_char_token1] = ACTIONS(1181),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1181),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1181),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1181),
    [aux_sym_forward_agent_token1] = ACTIONS(1181),
    [aux_sym_forward_x11_token1] = ACTIONS(1183),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1181),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1181),
    [aux_sym_gateway_ports_token1] = ACTIONS(1181),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1181),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1181),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1181),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1181),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1181),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1181),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1181),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1181),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1181),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1181),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1181),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1181),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1181),
    [aux_sym_host_key_alias_token1] = ACTIONS(1181),
    [aux_sym_hostname_token1] = ACTIONS(1181),
    [aux_sym_identities_only_token1] = ACTIONS(1181),
    [aux_sym_identity_agent_token1] = ACTIONS(1181),
    [aux_sym_identity_file_token1] = ACTIONS(1181),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1181),
    [aux_sym_include_token1] = ACTIONS(1181),
    [aux_sym_ip_qos_token1] = ACTIONS(1181),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1181),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1181),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1181),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1181),
    [aux_sym_local_command_token1] = ACTIONS(1181),
    [aux_sym_local_forward_token1] = ACTIONS(1181),
    [aux_sym_log_level_token1] = ACTIONS(1181),
    [aux_sym_log_verbose_token1] = ACTIONS(1181),
    [aux_sym_macs_token1] = ACTIONS(1181),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1181),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1181),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1181),
    [aux_sym_password_authentication_token1] = ACTIONS(1181),
    [aux_sym_permit_local_command_token1] = ACTIONS(1181),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1181),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1181),
    [aux_sym_port_token1] = ACTIONS(1181),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1181),
    [aux_sym_protocol_token1] = ACTIONS(1181),
    [aux_sym_proxy_command_token1] = ACTIONS(1181),
    [aux_sym_proxy_jump_token1] = ACTIONS(1181),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1181),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1181),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1181),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1181),
    [aux_sym_rekey_limit_token1] = ACTIONS(1181),
    [aux_sym_remote_command_token1] = ACTIONS(1181),
    [aux_sym_remote_forward_token1] = ACTIONS(1181),
    [aux_sym_request_tty_token1] = ACTIONS(1181),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1181),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1181),
    [aux_sym_security_key_provider_token1] = ACTIONS(1181),
    [aux_sym_send_env_token1] = ACTIONS(1181),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1181),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1181),
    [aux_sym_session_type_token1] = ACTIONS(1181),
    [aux_sym_set_env_token1] = ACTIONS(1181),
    [aux_sym_stdin_null_token1] = ACTIONS(1181),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1181),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1181),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1181),
    [aux_sym_syslog_facility_token1] = ACTIONS(1181),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1181),
    [aux_sym_keep_alive_token1] = ACTIONS(1181),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [aux_sym_tunnel_token1] = ACTIONS(1183),
    [aux_sym_tunnel_device_token1] = ACTIONS(1181),
    [aux_sym_update_host_keys_token1] = ACTIONS(1181),
    [aux_sym_use_keychain_token1] = ACTIONS(1181),
    [aux_sym_use_roaming_token1] = ACTIONS(1181),
    [aux_sym_user_token1] = ACTIONS(1183),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1181),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1181),
    [aux_sym_visual_host_key_token1] = ACTIONS(1181),
    [aux_sym_xauth_location_token1] = ACTIONS(1181),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1105),
    [aux_sym_match_token1] = ACTIONS(1103),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1103),
    [aux_sym_address_family_token1] = ACTIONS(1103),
    [aux_sym_batch_mode_token1] = ACTIONS(1103),
    [aux_sym_bind_address_token1] = ACTIONS(1103),
    [aux_sym_bind_interface_token1] = ACTIONS(1103),
    [aux_sym_canonical_domains_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1103),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1103),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1103),
    [aux_sym_certificate_file_token1] = ACTIONS(1103),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1103),
    [aux_sym_channel_timeout_token1] = ACTIONS(1103),
    [aux_sym_check_host_ip_token1] = ACTIONS(1103),
    [aux_sym_ciphers_token1] = ACTIONS(1103),
    [aux_sym_cipher_token1] = ACTIONS(1105),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1103),
    [aux_sym_compression_token1] = ACTIONS(1103),
    [aux_sym_connection_attempts_token1] = ACTIONS(1103),
    [aux_sym_connect_timeout_token1] = ACTIONS(1103),
    [aux_sym_control_master_token1] = ACTIONS(1103),
    [aux_sym_control_path_token1] = ACTIONS(1103),
    [aux_sym_control_persist_token1] = ACTIONS(1103),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1103),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1103),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1103),
    [aux_sym_escape_char_token1] = ACTIONS(1103),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1103),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1103),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1103),
    [aux_sym_forward_agent_token1] = ACTIONS(1103),
    [aux_sym_forward_x11_token1] = ACTIONS(1105),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1103),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1103),
    [aux_sym_gateway_ports_token1] = ACTIONS(1103),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1103),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1103),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1103),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1103),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1103),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1103),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1103),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1103),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1103),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1103),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1103),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1103),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1103),
    [aux_sym_host_key_alias_token1] = ACTIONS(1103),
    [aux_sym_hostname_token1] = ACTIONS(1103),
    [aux_sym_identities_only_token1] = ACTIONS(1103),
    [aux_sym_identity_agent_token1] = ACTIONS(1103),
    [aux_sym_identity_file_token1] = ACTIONS(1103),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1103),
    [aux_sym_include_token1] = ACTIONS(1103),
    [aux_sym_ip_qos_token1] = ACTIONS(1103),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1103),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1103),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1103),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1103),
    [aux_sym_local_command_token1] = ACTIONS(1103),
    [aux_sym_local_forward_token1] = ACTIONS(1103),
    [aux_sym_log_level_token1] = ACTIONS(1103),
    [aux_sym_log_verbose_token1] = ACTIONS(1103),
    [aux_sym_macs_token1] = ACTIONS(1103),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1103),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1103),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1103),
    [aux_sym_password_authentication_token1] = ACTIONS(1103),
    [aux_sym_permit_local_command_token1] = ACTIONS(1103),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1103),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1103),
    [aux_sym_port_token1] = ACTIONS(1103),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1103),
    [aux_sym_protocol_token1] = ACTIONS(1103),
    [aux_sym_proxy_command_token1] = ACTIONS(1103),
    [aux_sym_proxy_jump_token1] = ACTIONS(1103),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1103),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1103),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1103),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1103),
    [aux_sym_rekey_limit_token1] = ACTIONS(1103),
    [aux_sym_remote_command_token1] = ACTIONS(1103),
    [aux_sym_remote_forward_token1] = ACTIONS(1103),
    [aux_sym_request_tty_token1] = ACTIONS(1103),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1103),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1103),
    [aux_sym_security_key_provider_token1] = ACTIONS(1103),
    [aux_sym_send_env_token1] = ACTIONS(1103),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1103),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1103),
    [aux_sym_session_type_token1] = ACTIONS(1103),
    [aux_sym_set_env_token1] = ACTIONS(1103),
    [aux_sym_stdin_null_token1] = ACTIONS(1103),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1103),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1103),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1103),
    [aux_sym_syslog_facility_token1] = ACTIONS(1103),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1103),
    [aux_sym_keep_alive_token1] = ACTIONS(1103),
    [aux_sym_tag_token1] = ACTIONS(1103),
    [aux_sym_tunnel_token1] = ACTIONS(1105),
    [aux_sym_tunnel_device_token1] = ACTIONS(1103),
    [aux_sym_update_host_keys_token1] = ACTIONS(1103),
    [aux_sym_use_keychain_token1] = ACTIONS(1103),
    [aux_sym_use_roaming_token1] = ACTIONS(1103),
    [aux_sym_user_token1] = ACTIONS(1105),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1103),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1103),
    [aux_sym_visual_host_key_token1] = ACTIONS(1103),
    [aux_sym_xauth_location_token1] = ACTIONS(1103),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3169),
    [aux_sym_match_token1] = ACTIONS(3167),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3167),
    [aux_sym_address_family_token1] = ACTIONS(3167),
    [aux_sym_batch_mode_token1] = ACTIONS(3167),
    [aux_sym_bind_address_token1] = ACTIONS(3167),
    [aux_sym_bind_interface_token1] = ACTIONS(3167),
    [aux_sym_canonical_domains_token1] = ACTIONS(3167),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3167),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3167),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3167),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3167),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3167),
    [aux_sym_certificate_file_token1] = ACTIONS(3167),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3167),
    [aux_sym_channel_timeout_token1] = ACTIONS(3167),
    [aux_sym_check_host_ip_token1] = ACTIONS(3167),
    [aux_sym_ciphers_token1] = ACTIONS(3167),
    [aux_sym_cipher_token1] = ACTIONS(3169),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3167),
    [aux_sym_compression_token1] = ACTIONS(3167),
    [aux_sym_connection_attempts_token1] = ACTIONS(3167),
    [aux_sym_connect_timeout_token1] = ACTIONS(3167),
    [aux_sym_control_master_token1] = ACTIONS(3167),
    [aux_sym_control_path_token1] = ACTIONS(3167),
    [aux_sym_control_persist_token1] = ACTIONS(3167),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3167),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3167),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3167),
    [aux_sym_escape_char_token1] = ACTIONS(3167),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3167),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3167),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3167),
    [aux_sym_forward_agent_token1] = ACTIONS(3167),
    [aux_sym_forward_x11_token1] = ACTIONS(3169),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3167),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3167),
    [aux_sym_gateway_ports_token1] = ACTIONS(3167),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3167),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3167),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3167),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3167),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3167),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3167),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3167),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3167),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3167),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3167),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3167),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3167),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3167),
    [aux_sym_host_key_alias_token1] = ACTIONS(3167),
    [aux_sym_hostname_token1] = ACTIONS(3167),
    [aux_sym_identities_only_token1] = ACTIONS(3167),
    [aux_sym_identity_agent_token1] = ACTIONS(3167),
    [aux_sym_identity_file_token1] = ACTIONS(3167),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3167),
    [aux_sym_include_token1] = ACTIONS(3167),
    [aux_sym_ip_qos_token1] = ACTIONS(3167),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3167),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3167),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3167),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3167),
    [aux_sym_local_command_token1] = ACTIONS(3167),
    [aux_sym_local_forward_token1] = ACTIONS(3167),
    [aux_sym_log_level_token1] = ACTIONS(3167),
    [aux_sym_log_verbose_token1] = ACTIONS(3167),
    [aux_sym_macs_token1] = ACTIONS(3167),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3167),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3167),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3167),
    [aux_sym_password_authentication_token1] = ACTIONS(3167),
    [aux_sym_permit_local_command_token1] = ACTIONS(3167),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3167),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3167),
    [aux_sym_port_token1] = ACTIONS(3167),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3167),
    [aux_sym_protocol_token1] = ACTIONS(3167),
    [aux_sym_proxy_command_token1] = ACTIONS(3167),
    [aux_sym_proxy_jump_token1] = ACTIONS(3167),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3167),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3167),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3167),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3167),
    [aux_sym_rekey_limit_token1] = ACTIONS(3167),
    [aux_sym_remote_command_token1] = ACTIONS(3167),
    [aux_sym_remote_forward_token1] = ACTIONS(3167),
    [aux_sym_request_tty_token1] = ACTIONS(3167),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3167),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3167),
    [aux_sym_security_key_provider_token1] = ACTIONS(3167),
    [aux_sym_send_env_token1] = ACTIONS(3167),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3167),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3167),
    [aux_sym_session_type_token1] = ACTIONS(3167),
    [aux_sym_set_env_token1] = ACTIONS(3167),
    [aux_sym_stdin_null_token1] = ACTIONS(3167),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3167),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3167),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3167),
    [aux_sym_syslog_facility_token1] = ACTIONS(3167),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3167),
    [aux_sym_keep_alive_token1] = ACTIONS(3167),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [aux_sym_tunnel_token1] = ACTIONS(3169),
    [aux_sym_tunnel_device_token1] = ACTIONS(3167),
    [aux_sym_update_host_keys_token1] = ACTIONS(3167),
    [aux_sym_use_keychain_token1] = ACTIONS(3167),
    [aux_sym_use_roaming_token1] = ACTIONS(3167),
    [aux_sym_user_token1] = ACTIONS(3169),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3167),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3167),
    [aux_sym_visual_host_key_token1] = ACTIONS(3167),
    [aux_sym_xauth_location_token1] = ACTIONS(3167),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3173),
    [aux_sym_match_token1] = ACTIONS(3171),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3171),
    [aux_sym_address_family_token1] = ACTIONS(3171),
    [aux_sym_batch_mode_token1] = ACTIONS(3171),
    [aux_sym_bind_address_token1] = ACTIONS(3171),
    [aux_sym_bind_interface_token1] = ACTIONS(3171),
    [aux_sym_canonical_domains_token1] = ACTIONS(3171),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3171),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3171),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3171),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3171),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3171),
    [aux_sym_certificate_file_token1] = ACTIONS(3171),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3171),
    [aux_sym_channel_timeout_token1] = ACTIONS(3171),
    [aux_sym_check_host_ip_token1] = ACTIONS(3171),
    [aux_sym_ciphers_token1] = ACTIONS(3171),
    [aux_sym_cipher_token1] = ACTIONS(3173),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3171),
    [aux_sym_compression_token1] = ACTIONS(3171),
    [aux_sym_connection_attempts_token1] = ACTIONS(3171),
    [aux_sym_connect_timeout_token1] = ACTIONS(3171),
    [aux_sym_control_master_token1] = ACTIONS(3171),
    [aux_sym_control_path_token1] = ACTIONS(3171),
    [aux_sym_control_persist_token1] = ACTIONS(3171),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3171),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3171),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3171),
    [aux_sym_escape_char_token1] = ACTIONS(3171),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3171),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3171),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3171),
    [aux_sym_forward_agent_token1] = ACTIONS(3171),
    [aux_sym_forward_x11_token1] = ACTIONS(3173),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3171),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3171),
    [aux_sym_gateway_ports_token1] = ACTIONS(3171),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3171),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3171),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3171),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3171),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3171),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3171),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3171),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3171),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3171),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3171),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3171),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3171),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3171),
    [aux_sym_host_key_alias_token1] = ACTIONS(3171),
    [aux_sym_hostname_token1] = ACTIONS(3171),
    [aux_sym_identities_only_token1] = ACTIONS(3171),
    [aux_sym_identity_agent_token1] = ACTIONS(3171),
    [aux_sym_identity_file_token1] = ACTIONS(3171),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3171),
    [aux_sym_include_token1] = ACTIONS(3171),
    [aux_sym_ip_qos_token1] = ACTIONS(3171),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3171),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3171),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3171),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3171),
    [aux_sym_local_command_token1] = ACTIONS(3171),
    [aux_sym_local_forward_token1] = ACTIONS(3171),
    [aux_sym_log_level_token1] = ACTIONS(3171),
    [aux_sym_log_verbose_token1] = ACTIONS(3171),
    [aux_sym_macs_token1] = ACTIONS(3171),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3171),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3171),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3171),
    [aux_sym_password_authentication_token1] = ACTIONS(3171),
    [aux_sym_permit_local_command_token1] = ACTIONS(3171),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3171),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3171),
    [aux_sym_port_token1] = ACTIONS(3171),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3171),
    [aux_sym_protocol_token1] = ACTIONS(3171),
    [aux_sym_proxy_command_token1] = ACTIONS(3171),
    [aux_sym_proxy_jump_token1] = ACTIONS(3171),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3171),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3171),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3171),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3171),
    [aux_sym_rekey_limit_token1] = ACTIONS(3171),
    [aux_sym_remote_command_token1] = ACTIONS(3171),
    [aux_sym_remote_forward_token1] = ACTIONS(3171),
    [aux_sym_request_tty_token1] = ACTIONS(3171),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3171),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3171),
    [aux_sym_security_key_provider_token1] = ACTIONS(3171),
    [aux_sym_send_env_token1] = ACTIONS(3171),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3171),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3171),
    [aux_sym_session_type_token1] = ACTIONS(3171),
    [aux_sym_set_env_token1] = ACTIONS(3171),
    [aux_sym_stdin_null_token1] = ACTIONS(3171),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3171),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3171),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3171),
    [aux_sym_syslog_facility_token1] = ACTIONS(3171),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3171),
    [aux_sym_keep_alive_token1] = ACTIONS(3171),
    [aux_sym_tag_token1] = ACTIONS(3171),
    [aux_sym_tunnel_token1] = ACTIONS(3173),
    [aux_sym_tunnel_device_token1] = ACTIONS(3171),
    [aux_sym_update_host_keys_token1] = ACTIONS(3171),
    [aux_sym_use_keychain_token1] = ACTIONS(3171),
    [aux_sym_use_roaming_token1] = ACTIONS(3171),
    [aux_sym_user_token1] = ACTIONS(3173),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3171),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3171),
    [aux_sym_visual_host_key_token1] = ACTIONS(3171),
    [aux_sym_xauth_location_token1] = ACTIONS(3171),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3177),
    [aux_sym_match_token1] = ACTIONS(3175),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3175),
    [aux_sym_address_family_token1] = ACTIONS(3175),
    [aux_sym_batch_mode_token1] = ACTIONS(3175),
    [aux_sym_bind_address_token1] = ACTIONS(3175),
    [aux_sym_bind_interface_token1] = ACTIONS(3175),
    [aux_sym_canonical_domains_token1] = ACTIONS(3175),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3175),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3175),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3175),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3175),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3175),
    [aux_sym_certificate_file_token1] = ACTIONS(3175),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3175),
    [aux_sym_channel_timeout_token1] = ACTIONS(3175),
    [aux_sym_check_host_ip_token1] = ACTIONS(3175),
    [aux_sym_ciphers_token1] = ACTIONS(3175),
    [aux_sym_cipher_token1] = ACTIONS(3177),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3175),
    [aux_sym_compression_token1] = ACTIONS(3175),
    [aux_sym_connection_attempts_token1] = ACTIONS(3175),
    [aux_sym_connect_timeout_token1] = ACTIONS(3175),
    [aux_sym_control_master_token1] = ACTIONS(3175),
    [aux_sym_control_path_token1] = ACTIONS(3175),
    [aux_sym_control_persist_token1] = ACTIONS(3175),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3175),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3175),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3175),
    [aux_sym_escape_char_token1] = ACTIONS(3175),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3175),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3175),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3175),
    [aux_sym_forward_agent_token1] = ACTIONS(3175),
    [aux_sym_forward_x11_token1] = ACTIONS(3177),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3175),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3175),
    [aux_sym_gateway_ports_token1] = ACTIONS(3175),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3175),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3175),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3175),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3175),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3175),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3175),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3175),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3175),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3175),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3175),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3175),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3175),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3175),
    [aux_sym_host_key_alias_token1] = ACTIONS(3175),
    [aux_sym_hostname_token1] = ACTIONS(3175),
    [aux_sym_identities_only_token1] = ACTIONS(3175),
    [aux_sym_identity_agent_token1] = ACTIONS(3175),
    [aux_sym_identity_file_token1] = ACTIONS(3175),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3175),
    [aux_sym_include_token1] = ACTIONS(3175),
    [aux_sym_ip_qos_token1] = ACTIONS(3175),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3175),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3175),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3175),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3175),
    [aux_sym_local_command_token1] = ACTIONS(3175),
    [aux_sym_local_forward_token1] = ACTIONS(3175),
    [aux_sym_log_level_token1] = ACTIONS(3175),
    [aux_sym_log_verbose_token1] = ACTIONS(3175),
    [aux_sym_macs_token1] = ACTIONS(3175),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3175),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3175),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3175),
    [aux_sym_password_authentication_token1] = ACTIONS(3175),
    [aux_sym_permit_local_command_token1] = ACTIONS(3175),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3175),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3175),
    [aux_sym_port_token1] = ACTIONS(3175),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3175),
    [aux_sym_protocol_token1] = ACTIONS(3175),
    [aux_sym_proxy_command_token1] = ACTIONS(3175),
    [aux_sym_proxy_jump_token1] = ACTIONS(3175),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3175),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3175),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3175),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3175),
    [aux_sym_rekey_limit_token1] = ACTIONS(3175),
    [aux_sym_remote_command_token1] = ACTIONS(3175),
    [aux_sym_remote_forward_token1] = ACTIONS(3175),
    [aux_sym_request_tty_token1] = ACTIONS(3175),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3175),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3175),
    [aux_sym_security_key_provider_token1] = ACTIONS(3175),
    [aux_sym_send_env_token1] = ACTIONS(3175),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3175),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3175),
    [aux_sym_session_type_token1] = ACTIONS(3175),
    [aux_sym_set_env_token1] = ACTIONS(3175),
    [aux_sym_stdin_null_token1] = ACTIONS(3175),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3175),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3175),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3175),
    [aux_sym_syslog_facility_token1] = ACTIONS(3175),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3175),
    [aux_sym_keep_alive_token1] = ACTIONS(3175),
    [aux_sym_tag_token1] = ACTIONS(3175),
    [aux_sym_tunnel_token1] = ACTIONS(3177),
    [aux_sym_tunnel_device_token1] = ACTIONS(3175),
    [aux_sym_update_host_keys_token1] = ACTIONS(3175),
    [aux_sym_use_keychain_token1] = ACTIONS(3175),
    [aux_sym_use_roaming_token1] = ACTIONS(3175),
    [aux_sym_user_token1] = ACTIONS(3177),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3175),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3175),
    [aux_sym_visual_host_key_token1] = ACTIONS(3175),
    [aux_sym_xauth_location_token1] = ACTIONS(3175),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3181),
    [aux_sym_match_token1] = ACTIONS(3179),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3179),
    [aux_sym_address_family_token1] = ACTIONS(3179),
    [aux_sym_batch_mode_token1] = ACTIONS(3179),
    [aux_sym_bind_address_token1] = ACTIONS(3179),
    [aux_sym_bind_interface_token1] = ACTIONS(3179),
    [aux_sym_canonical_domains_token1] = ACTIONS(3179),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3179),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3179),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3179),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3179),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3179),
    [aux_sym_certificate_file_token1] = ACTIONS(3179),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3179),
    [aux_sym_channel_timeout_token1] = ACTIONS(3179),
    [aux_sym_check_host_ip_token1] = ACTIONS(3179),
    [aux_sym_ciphers_token1] = ACTIONS(3179),
    [aux_sym_cipher_token1] = ACTIONS(3181),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3179),
    [aux_sym_compression_token1] = ACTIONS(3179),
    [aux_sym_connection_attempts_token1] = ACTIONS(3179),
    [aux_sym_connect_timeout_token1] = ACTIONS(3179),
    [aux_sym_control_master_token1] = ACTIONS(3179),
    [aux_sym_control_path_token1] = ACTIONS(3179),
    [aux_sym_control_persist_token1] = ACTIONS(3179),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3179),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3179),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3179),
    [aux_sym_escape_char_token1] = ACTIONS(3179),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3179),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3179),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3179),
    [aux_sym_forward_agent_token1] = ACTIONS(3179),
    [aux_sym_forward_x11_token1] = ACTIONS(3181),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3179),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3179),
    [aux_sym_gateway_ports_token1] = ACTIONS(3179),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3179),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3179),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3179),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3179),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3179),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3179),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3179),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3179),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3179),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3179),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3179),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3179),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3179),
    [aux_sym_host_key_alias_token1] = ACTIONS(3179),
    [aux_sym_hostname_token1] = ACTIONS(3179),
    [aux_sym_identities_only_token1] = ACTIONS(3179),
    [aux_sym_identity_agent_token1] = ACTIONS(3179),
    [aux_sym_identity_file_token1] = ACTIONS(3179),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3179),
    [aux_sym_include_token1] = ACTIONS(3179),
    [aux_sym_ip_qos_token1] = ACTIONS(3179),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3179),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3179),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3179),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3179),
    [aux_sym_local_command_token1] = ACTIONS(3179),
    [aux_sym_local_forward_token1] = ACTIONS(3179),
    [aux_sym_log_level_token1] = ACTIONS(3179),
    [aux_sym_log_verbose_token1] = ACTIONS(3179),
    [aux_sym_macs_token1] = ACTIONS(3179),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3179),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3179),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3179),
    [aux_sym_password_authentication_token1] = ACTIONS(3179),
    [aux_sym_permit_local_command_token1] = ACTIONS(3179),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3179),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3179),
    [aux_sym_port_token1] = ACTIONS(3179),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3179),
    [aux_sym_protocol_token1] = ACTIONS(3179),
    [aux_sym_proxy_command_token1] = ACTIONS(3179),
    [aux_sym_proxy_jump_token1] = ACTIONS(3179),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3179),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3179),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3179),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3179),
    [aux_sym_rekey_limit_token1] = ACTIONS(3179),
    [aux_sym_remote_command_token1] = ACTIONS(3179),
    [aux_sym_remote_forward_token1] = ACTIONS(3179),
    [aux_sym_request_tty_token1] = ACTIONS(3179),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3179),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3179),
    [aux_sym_security_key_provider_token1] = ACTIONS(3179),
    [aux_sym_send_env_token1] = ACTIONS(3179),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3179),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3179),
    [aux_sym_session_type_token1] = ACTIONS(3179),
    [aux_sym_set_env_token1] = ACTIONS(3179),
    [aux_sym_stdin_null_token1] = ACTIONS(3179),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3179),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3179),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3179),
    [aux_sym_syslog_facility_token1] = ACTIONS(3179),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3179),
    [aux_sym_keep_alive_token1] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3179),
    [aux_sym_tunnel_token1] = ACTIONS(3181),
    [aux_sym_tunnel_device_token1] = ACTIONS(3179),
    [aux_sym_update_host_keys_token1] = ACTIONS(3179),
    [aux_sym_use_keychain_token1] = ACTIONS(3179),
    [aux_sym_use_roaming_token1] = ACTIONS(3179),
    [aux_sym_user_token1] = ACTIONS(3181),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3179),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3179),
    [aux_sym_visual_host_key_token1] = ACTIONS(3179),
    [aux_sym_xauth_location_token1] = ACTIONS(3179),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3185),
    [aux_sym_match_token1] = ACTIONS(3183),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3183),
    [aux_sym_address_family_token1] = ACTIONS(3183),
    [aux_sym_batch_mode_token1] = ACTIONS(3183),
    [aux_sym_bind_address_token1] = ACTIONS(3183),
    [aux_sym_bind_interface_token1] = ACTIONS(3183),
    [aux_sym_canonical_domains_token1] = ACTIONS(3183),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3183),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3183),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3183),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3183),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3183),
    [aux_sym_certificate_file_token1] = ACTIONS(3183),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3183),
    [aux_sym_channel_timeout_token1] = ACTIONS(3183),
    [aux_sym_check_host_ip_token1] = ACTIONS(3183),
    [aux_sym_ciphers_token1] = ACTIONS(3183),
    [aux_sym_cipher_token1] = ACTIONS(3185),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3183),
    [aux_sym_compression_token1] = ACTIONS(3183),
    [aux_sym_connection_attempts_token1] = ACTIONS(3183),
    [aux_sym_connect_timeout_token1] = ACTIONS(3183),
    [aux_sym_control_master_token1] = ACTIONS(3183),
    [aux_sym_control_path_token1] = ACTIONS(3183),
    [aux_sym_control_persist_token1] = ACTIONS(3183),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3183),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3183),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3183),
    [aux_sym_escape_char_token1] = ACTIONS(3183),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3183),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3183),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3183),
    [aux_sym_forward_agent_token1] = ACTIONS(3183),
    [aux_sym_forward_x11_token1] = ACTIONS(3185),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3183),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3183),
    [aux_sym_gateway_ports_token1] = ACTIONS(3183),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3183),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3183),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3183),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3183),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3183),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3183),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3183),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3183),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3183),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3183),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3183),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3183),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3183),
    [aux_sym_host_key_alias_token1] = ACTIONS(3183),
    [aux_sym_hostname_token1] = ACTIONS(3183),
    [aux_sym_identities_only_token1] = ACTIONS(3183),
    [aux_sym_identity_agent_token1] = ACTIONS(3183),
    [aux_sym_identity_file_token1] = ACTIONS(3183),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3183),
    [aux_sym_include_token1] = ACTIONS(3183),
    [aux_sym_ip_qos_token1] = ACTIONS(3183),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3183),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3183),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3183),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3183),
    [aux_sym_local_command_token1] = ACTIONS(3183),
    [aux_sym_local_forward_token1] = ACTIONS(3183),
    [aux_sym_log_level_token1] = ACTIONS(3183),
    [aux_sym_log_verbose_token1] = ACTIONS(3183),
    [aux_sym_macs_token1] = ACTIONS(3183),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3183),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3183),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3183),
    [aux_sym_password_authentication_token1] = ACTIONS(3183),
    [aux_sym_permit_local_command_token1] = ACTIONS(3183),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3183),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3183),
    [aux_sym_port_token1] = ACTIONS(3183),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3183),
    [aux_sym_protocol_token1] = ACTIONS(3183),
    [aux_sym_proxy_command_token1] = ACTIONS(3183),
    [aux_sym_proxy_jump_token1] = ACTIONS(3183),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3183),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3183),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3183),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3183),
    [aux_sym_rekey_limit_token1] = ACTIONS(3183),
    [aux_sym_remote_command_token1] = ACTIONS(3183),
    [aux_sym_remote_forward_token1] = ACTIONS(3183),
    [aux_sym_request_tty_token1] = ACTIONS(3183),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3183),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3183),
    [aux_sym_security_key_provider_token1] = ACTIONS(3183),
    [aux_sym_send_env_token1] = ACTIONS(3183),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3183),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3183),
    [aux_sym_session_type_token1] = ACTIONS(3183),
    [aux_sym_set_env_token1] = ACTIONS(3183),
    [aux_sym_stdin_null_token1] = ACTIONS(3183),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3183),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3183),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3183),
    [aux_sym_syslog_facility_token1] = ACTIONS(3183),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3183),
    [aux_sym_keep_alive_token1] = ACTIONS(3183),
    [aux_sym_tag_token1] = ACTIONS(3183),
    [aux_sym_tunnel_token1] = ACTIONS(3185),
    [aux_sym_tunnel_device_token1] = ACTIONS(3183),
    [aux_sym_update_host_keys_token1] = ACTIONS(3183),
    [aux_sym_use_keychain_token1] = ACTIONS(3183),
    [aux_sym_use_roaming_token1] = ACTIONS(3183),
    [aux_sym_user_token1] = ACTIONS(3185),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3183),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3183),
    [aux_sym_visual_host_key_token1] = ACTIONS(3183),
    [aux_sym_xauth_location_token1] = ACTIONS(3183),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3189),
    [aux_sym_match_token1] = ACTIONS(3187),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3187),
    [aux_sym_address_family_token1] = ACTIONS(3187),
    [aux_sym_batch_mode_token1] = ACTIONS(3187),
    [aux_sym_bind_address_token1] = ACTIONS(3187),
    [aux_sym_bind_interface_token1] = ACTIONS(3187),
    [aux_sym_canonical_domains_token1] = ACTIONS(3187),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3187),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3187),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3187),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3187),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3187),
    [aux_sym_certificate_file_token1] = ACTIONS(3187),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3187),
    [aux_sym_channel_timeout_token1] = ACTIONS(3187),
    [aux_sym_check_host_ip_token1] = ACTIONS(3187),
    [aux_sym_ciphers_token1] = ACTIONS(3187),
    [aux_sym_cipher_token1] = ACTIONS(3189),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3187),
    [aux_sym_compression_token1] = ACTIONS(3187),
    [aux_sym_connection_attempts_token1] = ACTIONS(3187),
    [aux_sym_connect_timeout_token1] = ACTIONS(3187),
    [aux_sym_control_master_token1] = ACTIONS(3187),
    [aux_sym_control_path_token1] = ACTIONS(3187),
    [aux_sym_control_persist_token1] = ACTIONS(3187),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3187),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3187),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3187),
    [aux_sym_escape_char_token1] = ACTIONS(3187),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3187),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3187),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3187),
    [aux_sym_forward_agent_token1] = ACTIONS(3187),
    [aux_sym_forward_x11_token1] = ACTIONS(3189),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3187),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3187),
    [aux_sym_gateway_ports_token1] = ACTIONS(3187),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3187),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3187),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3187),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3187),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3187),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3187),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3187),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3187),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3187),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3187),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3187),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3187),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3187),
    [aux_sym_host_key_alias_token1] = ACTIONS(3187),
    [aux_sym_hostname_token1] = ACTIONS(3187),
    [aux_sym_identities_only_token1] = ACTIONS(3187),
    [aux_sym_identity_agent_token1] = ACTIONS(3187),
    [aux_sym_identity_file_token1] = ACTIONS(3187),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3187),
    [aux_sym_include_token1] = ACTIONS(3187),
    [aux_sym_ip_qos_token1] = ACTIONS(3187),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3187),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3187),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3187),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3187),
    [aux_sym_local_command_token1] = ACTIONS(3187),
    [aux_sym_local_forward_token1] = ACTIONS(3187),
    [aux_sym_log_level_token1] = ACTIONS(3187),
    [aux_sym_log_verbose_token1] = ACTIONS(3187),
    [aux_sym_macs_token1] = ACTIONS(3187),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3187),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3187),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3187),
    [aux_sym_password_authentication_token1] = ACTIONS(3187),
    [aux_sym_permit_local_command_token1] = ACTIONS(3187),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3187),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3187),
    [aux_sym_port_token1] = ACTIONS(3187),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3187),
    [aux_sym_protocol_token1] = ACTIONS(3187),
    [aux_sym_proxy_command_token1] = ACTIONS(3187),
    [aux_sym_proxy_jump_token1] = ACTIONS(3187),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3187),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3187),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3187),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3187),
    [aux_sym_rekey_limit_token1] = ACTIONS(3187),
    [aux_sym_remote_command_token1] = ACTIONS(3187),
    [aux_sym_remote_forward_token1] = ACTIONS(3187),
    [aux_sym_request_tty_token1] = ACTIONS(3187),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3187),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3187),
    [aux_sym_security_key_provider_token1] = ACTIONS(3187),
    [aux_sym_send_env_token1] = ACTIONS(3187),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3187),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3187),
    [aux_sym_session_type_token1] = ACTIONS(3187),
    [aux_sym_set_env_token1] = ACTIONS(3187),
    [aux_sym_stdin_null_token1] = ACTIONS(3187),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3187),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3187),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3187),
    [aux_sym_syslog_facility_token1] = ACTIONS(3187),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3187),
    [aux_sym_keep_alive_token1] = ACTIONS(3187),
    [aux_sym_tag_token1] = ACTIONS(3187),
    [aux_sym_tunnel_token1] = ACTIONS(3189),
    [aux_sym_tunnel_device_token1] = ACTIONS(3187),
    [aux_sym_update_host_keys_token1] = ACTIONS(3187),
    [aux_sym_use_keychain_token1] = ACTIONS(3187),
    [aux_sym_use_roaming_token1] = ACTIONS(3187),
    [aux_sym_user_token1] = ACTIONS(3189),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3187),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3187),
    [aux_sym_visual_host_key_token1] = ACTIONS(3187),
    [aux_sym_xauth_location_token1] = ACTIONS(3187),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3193),
    [aux_sym_match_token1] = ACTIONS(3191),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3191),
    [aux_sym_address_family_token1] = ACTIONS(3191),
    [aux_sym_batch_mode_token1] = ACTIONS(3191),
    [aux_sym_bind_address_token1] = ACTIONS(3191),
    [aux_sym_bind_interface_token1] = ACTIONS(3191),
    [aux_sym_canonical_domains_token1] = ACTIONS(3191),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3191),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3191),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3191),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3191),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3191),
    [aux_sym_certificate_file_token1] = ACTIONS(3191),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3191),
    [aux_sym_channel_timeout_token1] = ACTIONS(3191),
    [aux_sym_check_host_ip_token1] = ACTIONS(3191),
    [aux_sym_ciphers_token1] = ACTIONS(3191),
    [aux_sym_cipher_token1] = ACTIONS(3193),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3191),
    [aux_sym_compression_token1] = ACTIONS(3191),
    [aux_sym_connection_attempts_token1] = ACTIONS(3191),
    [aux_sym_connect_timeout_token1] = ACTIONS(3191),
    [aux_sym_control_master_token1] = ACTIONS(3191),
    [aux_sym_control_path_token1] = ACTIONS(3191),
    [aux_sym_control_persist_token1] = ACTIONS(3191),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3191),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3191),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3191),
    [aux_sym_escape_char_token1] = ACTIONS(3191),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3191),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3191),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3191),
    [aux_sym_forward_agent_token1] = ACTIONS(3191),
    [aux_sym_forward_x11_token1] = ACTIONS(3193),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3191),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3191),
    [aux_sym_gateway_ports_token1] = ACTIONS(3191),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3191),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3191),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3191),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3191),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3191),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3191),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3191),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3191),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3191),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3191),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3191),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3191),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3191),
    [aux_sym_host_key_alias_token1] = ACTIONS(3191),
    [aux_sym_hostname_token1] = ACTIONS(3191),
    [aux_sym_identities_only_token1] = ACTIONS(3191),
    [aux_sym_identity_agent_token1] = ACTIONS(3191),
    [aux_sym_identity_file_token1] = ACTIONS(3191),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3191),
    [aux_sym_include_token1] = ACTIONS(3191),
    [aux_sym_ip_qos_token1] = ACTIONS(3191),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3191),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3191),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3191),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3191),
    [aux_sym_local_command_token1] = ACTIONS(3191),
    [aux_sym_local_forward_token1] = ACTIONS(3191),
    [aux_sym_log_level_token1] = ACTIONS(3191),
    [aux_sym_log_verbose_token1] = ACTIONS(3191),
    [aux_sym_macs_token1] = ACTIONS(3191),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3191),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3191),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3191),
    [aux_sym_password_authentication_token1] = ACTIONS(3191),
    [aux_sym_permit_local_command_token1] = ACTIONS(3191),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3191),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3191),
    [aux_sym_port_token1] = ACTIONS(3191),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3191),
    [aux_sym_protocol_token1] = ACTIONS(3191),
    [aux_sym_proxy_command_token1] = ACTIONS(3191),
    [aux_sym_proxy_jump_token1] = ACTIONS(3191),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3191),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3191),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3191),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3191),
    [aux_sym_rekey_limit_token1] = ACTIONS(3191),
    [aux_sym_remote_command_token1] = ACTIONS(3191),
    [aux_sym_remote_forward_token1] = ACTIONS(3191),
    [aux_sym_request_tty_token1] = ACTIONS(3191),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3191),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3191),
    [aux_sym_security_key_provider_token1] = ACTIONS(3191),
    [aux_sym_send_env_token1] = ACTIONS(3191),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3191),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3191),
    [aux_sym_session_type_token1] = ACTIONS(3191),
    [aux_sym_set_env_token1] = ACTIONS(3191),
    [aux_sym_stdin_null_token1] = ACTIONS(3191),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3191),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3191),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3191),
    [aux_sym_syslog_facility_token1] = ACTIONS(3191),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3191),
    [aux_sym_keep_alive_token1] = ACTIONS(3191),
    [aux_sym_tag_token1] = ACTIONS(3191),
    [aux_sym_tunnel_token1] = ACTIONS(3193),
    [aux_sym_tunnel_device_token1] = ACTIONS(3191),
    [aux_sym_update_host_keys_token1] = ACTIONS(3191),
    [aux_sym_use_keychain_token1] = ACTIONS(3191),
    [aux_sym_use_roaming_token1] = ACTIONS(3191),
    [aux_sym_user_token1] = ACTIONS(3193),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3191),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3191),
    [aux_sym_visual_host_key_token1] = ACTIONS(3191),
    [aux_sym_xauth_location_token1] = ACTIONS(3191),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3197),
    [aux_sym_match_token1] = ACTIONS(3195),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3195),
    [aux_sym_address_family_token1] = ACTIONS(3195),
    [aux_sym_batch_mode_token1] = ACTIONS(3195),
    [aux_sym_bind_address_token1] = ACTIONS(3195),
    [aux_sym_bind_interface_token1] = ACTIONS(3195),
    [aux_sym_canonical_domains_token1] = ACTIONS(3195),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3195),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3195),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3195),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3195),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3195),
    [aux_sym_certificate_file_token1] = ACTIONS(3195),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3195),
    [aux_sym_channel_timeout_token1] = ACTIONS(3195),
    [aux_sym_check_host_ip_token1] = ACTIONS(3195),
    [aux_sym_ciphers_token1] = ACTIONS(3195),
    [aux_sym_cipher_token1] = ACTIONS(3197),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3195),
    [aux_sym_compression_token1] = ACTIONS(3195),
    [aux_sym_connection_attempts_token1] = ACTIONS(3195),
    [aux_sym_connect_timeout_token1] = ACTIONS(3195),
    [aux_sym_control_master_token1] = ACTIONS(3195),
    [aux_sym_control_path_token1] = ACTIONS(3195),
    [aux_sym_control_persist_token1] = ACTIONS(3195),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3195),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3195),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3195),
    [aux_sym_escape_char_token1] = ACTIONS(3195),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3195),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3195),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3195),
    [aux_sym_forward_agent_token1] = ACTIONS(3195),
    [aux_sym_forward_x11_token1] = ACTIONS(3197),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3195),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3195),
    [aux_sym_gateway_ports_token1] = ACTIONS(3195),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3195),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3195),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3195),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3195),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3195),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3195),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3195),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3195),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3195),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3195),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3195),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3195),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3195),
    [aux_sym_host_key_alias_token1] = ACTIONS(3195),
    [aux_sym_hostname_token1] = ACTIONS(3195),
    [aux_sym_identities_only_token1] = ACTIONS(3195),
    [aux_sym_identity_agent_token1] = ACTIONS(3195),
    [aux_sym_identity_file_token1] = ACTIONS(3195),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3195),
    [aux_sym_include_token1] = ACTIONS(3195),
    [aux_sym_ip_qos_token1] = ACTIONS(3195),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3195),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3195),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3195),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3195),
    [aux_sym_local_command_token1] = ACTIONS(3195),
    [aux_sym_local_forward_token1] = ACTIONS(3195),
    [aux_sym_log_level_token1] = ACTIONS(3195),
    [aux_sym_log_verbose_token1] = ACTIONS(3195),
    [aux_sym_macs_token1] = ACTIONS(3195),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3195),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3195),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3195),
    [aux_sym_password_authentication_token1] = ACTIONS(3195),
    [aux_sym_permit_local_command_token1] = ACTIONS(3195),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3195),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3195),
    [aux_sym_port_token1] = ACTIONS(3195),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3195),
    [aux_sym_protocol_token1] = ACTIONS(3195),
    [aux_sym_proxy_command_token1] = ACTIONS(3195),
    [aux_sym_proxy_jump_token1] = ACTIONS(3195),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3195),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3195),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3195),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3195),
    [aux_sym_rekey_limit_token1] = ACTIONS(3195),
    [aux_sym_remote_command_token1] = ACTIONS(3195),
    [aux_sym_remote_forward_token1] = ACTIONS(3195),
    [aux_sym_request_tty_token1] = ACTIONS(3195),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3195),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3195),
    [aux_sym_security_key_provider_token1] = ACTIONS(3195),
    [aux_sym_send_env_token1] = ACTIONS(3195),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3195),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3195),
    [aux_sym_session_type_token1] = ACTIONS(3195),
    [aux_sym_set_env_token1] = ACTIONS(3195),
    [aux_sym_stdin_null_token1] = ACTIONS(3195),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3195),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3195),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3195),
    [aux_sym_syslog_facility_token1] = ACTIONS(3195),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3195),
    [aux_sym_keep_alive_token1] = ACTIONS(3195),
    [aux_sym_tag_token1] = ACTIONS(3195),
    [aux_sym_tunnel_token1] = ACTIONS(3197),
    [aux_sym_tunnel_device_token1] = ACTIONS(3195),
    [aux_sym_update_host_keys_token1] = ACTIONS(3195),
    [aux_sym_use_keychain_token1] = ACTIONS(3195),
    [aux_sym_use_roaming_token1] = ACTIONS(3195),
    [aux_sym_user_token1] = ACTIONS(3197),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3195),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3195),
    [aux_sym_visual_host_key_token1] = ACTIONS(3195),
    [aux_sym_xauth_location_token1] = ACTIONS(3195),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3201),
    [aux_sym_match_token1] = ACTIONS(3199),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3199),
    [aux_sym_address_family_token1] = ACTIONS(3199),
    [aux_sym_batch_mode_token1] = ACTIONS(3199),
    [aux_sym_bind_address_token1] = ACTIONS(3199),
    [aux_sym_bind_interface_token1] = ACTIONS(3199),
    [aux_sym_canonical_domains_token1] = ACTIONS(3199),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3199),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3199),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3199),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3199),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3199),
    [aux_sym_certificate_file_token1] = ACTIONS(3199),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3199),
    [aux_sym_channel_timeout_token1] = ACTIONS(3199),
    [aux_sym_check_host_ip_token1] = ACTIONS(3199),
    [aux_sym_ciphers_token1] = ACTIONS(3199),
    [aux_sym_cipher_token1] = ACTIONS(3201),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3199),
    [aux_sym_compression_token1] = ACTIONS(3199),
    [aux_sym_connection_attempts_token1] = ACTIONS(3199),
    [aux_sym_connect_timeout_token1] = ACTIONS(3199),
    [aux_sym_control_master_token1] = ACTIONS(3199),
    [aux_sym_control_path_token1] = ACTIONS(3199),
    [aux_sym_control_persist_token1] = ACTIONS(3199),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3199),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3199),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3199),
    [aux_sym_escape_char_token1] = ACTIONS(3199),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3199),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3199),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3199),
    [aux_sym_forward_agent_token1] = ACTIONS(3199),
    [aux_sym_forward_x11_token1] = ACTIONS(3201),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3199),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3199),
    [aux_sym_gateway_ports_token1] = ACTIONS(3199),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3199),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3199),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3199),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3199),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3199),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3199),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3199),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3199),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3199),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3199),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3199),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3199),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3199),
    [aux_sym_host_key_alias_token1] = ACTIONS(3199),
    [aux_sym_hostname_token1] = ACTIONS(3199),
    [aux_sym_identities_only_token1] = ACTIONS(3199),
    [aux_sym_identity_agent_token1] = ACTIONS(3199),
    [aux_sym_identity_file_token1] = ACTIONS(3199),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3199),
    [aux_sym_include_token1] = ACTIONS(3199),
    [aux_sym_ip_qos_token1] = ACTIONS(3199),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3199),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3199),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3199),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3199),
    [aux_sym_local_command_token1] = ACTIONS(3199),
    [aux_sym_local_forward_token1] = ACTIONS(3199),
    [aux_sym_log_level_token1] = ACTIONS(3199),
    [aux_sym_log_verbose_token1] = ACTIONS(3199),
    [aux_sym_macs_token1] = ACTIONS(3199),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3199),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3199),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3199),
    [aux_sym_password_authentication_token1] = ACTIONS(3199),
    [aux_sym_permit_local_command_token1] = ACTIONS(3199),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3199),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3199),
    [aux_sym_port_token1] = ACTIONS(3199),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3199),
    [aux_sym_protocol_token1] = ACTIONS(3199),
    [aux_sym_proxy_command_token1] = ACTIONS(3199),
    [aux_sym_proxy_jump_token1] = ACTIONS(3199),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3199),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3199),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3199),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3199),
    [aux_sym_rekey_limit_token1] = ACTIONS(3199),
    [aux_sym_remote_command_token1] = ACTIONS(3199),
    [aux_sym_remote_forward_token1] = ACTIONS(3199),
    [aux_sym_request_tty_token1] = ACTIONS(3199),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3199),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3199),
    [aux_sym_security_key_provider_token1] = ACTIONS(3199),
    [aux_sym_send_env_token1] = ACTIONS(3199),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3199),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3199),
    [aux_sym_session_type_token1] = ACTIONS(3199),
    [aux_sym_set_env_token1] = ACTIONS(3199),
    [aux_sym_stdin_null_token1] = ACTIONS(3199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3199),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3199),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3199),
    [aux_sym_syslog_facility_token1] = ACTIONS(3199),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3199),
    [aux_sym_keep_alive_token1] = ACTIONS(3199),
    [aux_sym_tag_token1] = ACTIONS(3199),
    [aux_sym_tunnel_token1] = ACTIONS(3201),
    [aux_sym_tunnel_device_token1] = ACTIONS(3199),
    [aux_sym_update_host_keys_token1] = ACTIONS(3199),
    [aux_sym_use_keychain_token1] = ACTIONS(3199),
    [aux_sym_use_roaming_token1] = ACTIONS(3199),
    [aux_sym_user_token1] = ACTIONS(3201),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3199),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3199),
    [aux_sym_visual_host_key_token1] = ACTIONS(3199),
    [aux_sym_xauth_location_token1] = ACTIONS(3199),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3205),
    [aux_sym_match_token1] = ACTIONS(3203),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3203),
    [aux_sym_address_family_token1] = ACTIONS(3203),
    [aux_sym_batch_mode_token1] = ACTIONS(3203),
    [aux_sym_bind_address_token1] = ACTIONS(3203),
    [aux_sym_bind_interface_token1] = ACTIONS(3203),
    [aux_sym_canonical_domains_token1] = ACTIONS(3203),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3203),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3203),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3203),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3203),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3203),
    [aux_sym_certificate_file_token1] = ACTIONS(3203),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3203),
    [aux_sym_channel_timeout_token1] = ACTIONS(3203),
    [aux_sym_check_host_ip_token1] = ACTIONS(3203),
    [aux_sym_ciphers_token1] = ACTIONS(3203),
    [aux_sym_cipher_token1] = ACTIONS(3205),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3203),
    [aux_sym_compression_token1] = ACTIONS(3203),
    [aux_sym_connection_attempts_token1] = ACTIONS(3203),
    [aux_sym_connect_timeout_token1] = ACTIONS(3203),
    [aux_sym_control_master_token1] = ACTIONS(3203),
    [aux_sym_control_path_token1] = ACTIONS(3203),
    [aux_sym_control_persist_token1] = ACTIONS(3203),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3203),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3203),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3203),
    [aux_sym_escape_char_token1] = ACTIONS(3203),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3203),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3203),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3203),
    [aux_sym_forward_agent_token1] = ACTIONS(3203),
    [aux_sym_forward_x11_token1] = ACTIONS(3205),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3203),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3203),
    [aux_sym_gateway_ports_token1] = ACTIONS(3203),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3203),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3203),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3203),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3203),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3203),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3203),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3203),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3203),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3203),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3203),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3203),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3203),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3203),
    [aux_sym_host_key_alias_token1] = ACTIONS(3203),
    [aux_sym_hostname_token1] = ACTIONS(3203),
    [aux_sym_identities_only_token1] = ACTIONS(3203),
    [aux_sym_identity_agent_token1] = ACTIONS(3203),
    [aux_sym_identity_file_token1] = ACTIONS(3203),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3203),
    [aux_sym_include_token1] = ACTIONS(3203),
    [aux_sym_ip_qos_token1] = ACTIONS(3203),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3203),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3203),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3203),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3203),
    [aux_sym_local_command_token1] = ACTIONS(3203),
    [aux_sym_local_forward_token1] = ACTIONS(3203),
    [aux_sym_log_level_token1] = ACTIONS(3203),
    [aux_sym_log_verbose_token1] = ACTIONS(3203),
    [aux_sym_macs_token1] = ACTIONS(3203),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3203),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3203),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3203),
    [aux_sym_password_authentication_token1] = ACTIONS(3203),
    [aux_sym_permit_local_command_token1] = ACTIONS(3203),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3203),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3203),
    [aux_sym_port_token1] = ACTIONS(3203),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3203),
    [aux_sym_protocol_token1] = ACTIONS(3203),
    [aux_sym_proxy_command_token1] = ACTIONS(3203),
    [aux_sym_proxy_jump_token1] = ACTIONS(3203),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3203),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3203),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3203),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3203),
    [aux_sym_rekey_limit_token1] = ACTIONS(3203),
    [aux_sym_remote_command_token1] = ACTIONS(3203),
    [aux_sym_remote_forward_token1] = ACTIONS(3203),
    [aux_sym_request_tty_token1] = ACTIONS(3203),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3203),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3203),
    [aux_sym_security_key_provider_token1] = ACTIONS(3203),
    [aux_sym_send_env_token1] = ACTIONS(3203),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3203),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3203),
    [aux_sym_session_type_token1] = ACTIONS(3203),
    [aux_sym_set_env_token1] = ACTIONS(3203),
    [aux_sym_stdin_null_token1] = ACTIONS(3203),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3203),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3203),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3203),
    [aux_sym_syslog_facility_token1] = ACTIONS(3203),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3203),
    [aux_sym_keep_alive_token1] = ACTIONS(3203),
    [aux_sym_tag_token1] = ACTIONS(3203),
    [aux_sym_tunnel_token1] = ACTIONS(3205),
    [aux_sym_tunnel_device_token1] = ACTIONS(3203),
    [aux_sym_update_host_keys_token1] = ACTIONS(3203),
    [aux_sym_use_keychain_token1] = ACTIONS(3203),
    [aux_sym_use_roaming_token1] = ACTIONS(3203),
    [aux_sym_user_token1] = ACTIONS(3205),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3203),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3203),
    [aux_sym_visual_host_key_token1] = ACTIONS(3203),
    [aux_sym_xauth_location_token1] = ACTIONS(3203),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(865),
    [aux_sym_match_token1] = ACTIONS(863),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(863),
    [aux_sym_address_family_token1] = ACTIONS(863),
    [aux_sym_batch_mode_token1] = ACTIONS(863),
    [aux_sym_bind_address_token1] = ACTIONS(863),
    [aux_sym_bind_interface_token1] = ACTIONS(863),
    [aux_sym_canonical_domains_token1] = ACTIONS(863),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(863),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(863),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(863),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(863),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(863),
    [aux_sym_certificate_file_token1] = ACTIONS(863),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(863),
    [aux_sym_channel_timeout_token1] = ACTIONS(863),
    [aux_sym_check_host_ip_token1] = ACTIONS(863),
    [aux_sym_ciphers_token1] = ACTIONS(863),
    [aux_sym_cipher_token1] = ACTIONS(865),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(863),
    [aux_sym_compression_token1] = ACTIONS(863),
    [aux_sym_connection_attempts_token1] = ACTIONS(863),
    [aux_sym_connect_timeout_token1] = ACTIONS(863),
    [aux_sym_control_master_token1] = ACTIONS(863),
    [aux_sym_control_path_token1] = ACTIONS(863),
    [aux_sym_control_persist_token1] = ACTIONS(863),
    [aux_sym_dynamic_forward_token1] = ACTIONS(863),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(863),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(863),
    [aux_sym_escape_char_token1] = ACTIONS(863),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(863),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(863),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(863),
    [aux_sym_forward_agent_token1] = ACTIONS(863),
    [aux_sym_forward_x11_token1] = ACTIONS(865),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(863),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(863),
    [aux_sym_gateway_ports_token1] = ACTIONS(863),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(863),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(863),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(863),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(863),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(863),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(863),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(863),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(863),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(863),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(863),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(863),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(863),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(863),
    [aux_sym_host_key_alias_token1] = ACTIONS(863),
    [aux_sym_hostname_token1] = ACTIONS(863),
    [aux_sym_identities_only_token1] = ACTIONS(863),
    [aux_sym_identity_agent_token1] = ACTIONS(863),
    [aux_sym_identity_file_token1] = ACTIONS(863),
    [aux_sym_ignore_unknown_token1] = ACTIONS(863),
    [aux_sym_include_token1] = ACTIONS(863),
    [aux_sym_ip_qos_token1] = ACTIONS(863),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(863),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(863),
    [aux_sym_kex_algorithms_token1] = ACTIONS(863),
    [aux_sym_known_hosts_command_token1] = ACTIONS(863),
    [aux_sym_local_command_token1] = ACTIONS(863),
    [aux_sym_local_forward_token1] = ACTIONS(863),
    [aux_sym_log_level_token1] = ACTIONS(863),
    [aux_sym_log_verbose_token1] = ACTIONS(863),
    [aux_sym_macs_token1] = ACTIONS(863),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(863),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(863),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(863),
    [aux_sym_password_authentication_token1] = ACTIONS(863),
    [aux_sym_permit_local_command_token1] = ACTIONS(863),
    [aux_sym_permit_remote_open_token1] = ACTIONS(863),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(863),
    [aux_sym_port_token1] = ACTIONS(863),
    [aux_sym_preferred_authentications_token1] = ACTIONS(863),
    [aux_sym_protocol_token1] = ACTIONS(863),
    [aux_sym_proxy_command_token1] = ACTIONS(863),
    [aux_sym_proxy_jump_token1] = ACTIONS(863),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(863),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(863),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(863),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(863),
    [aux_sym_rekey_limit_token1] = ACTIONS(863),
    [aux_sym_remote_command_token1] = ACTIONS(863),
    [aux_sym_remote_forward_token1] = ACTIONS(863),
    [aux_sym_request_tty_token1] = ACTIONS(863),
    [aux_sym_required_rsa_size_token1] = ACTIONS(863),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(863),
    [aux_sym_security_key_provider_token1] = ACTIONS(863),
    [aux_sym_send_env_token1] = ACTIONS(863),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(863),
    [aux_sym_server_alive_interval_token1] = ACTIONS(863),
    [aux_sym_session_type_token1] = ACTIONS(863),
    [aux_sym_set_env_token1] = ACTIONS(863),
    [aux_sym_stdin_null_token1] = ACTIONS(863),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(863),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(863),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(863),
    [aux_sym_syslog_facility_token1] = ACTIONS(863),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(863),
    [aux_sym_keep_alive_token1] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(863),
    [aux_sym_tunnel_token1] = ACTIONS(865),
    [aux_sym_tunnel_device_token1] = ACTIONS(863),
    [aux_sym_update_host_keys_token1] = ACTIONS(863),
    [aux_sym_use_keychain_token1] = ACTIONS(863),
    [aux_sym_use_roaming_token1] = ACTIONS(863),
    [aux_sym_user_token1] = ACTIONS(865),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(863),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(863),
    [aux_sym_visual_host_key_token1] = ACTIONS(863),
    [aux_sym_xauth_location_token1] = ACTIONS(863),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1591),
    [aux_sym_match_token1] = ACTIONS(1589),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1589),
    [aux_sym_address_family_token1] = ACTIONS(1589),
    [aux_sym_batch_mode_token1] = ACTIONS(1589),
    [aux_sym_bind_address_token1] = ACTIONS(1589),
    [aux_sym_bind_interface_token1] = ACTIONS(1589),
    [aux_sym_canonical_domains_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1589),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1589),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1589),
    [aux_sym_certificate_file_token1] = ACTIONS(1589),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1589),
    [aux_sym_channel_timeout_token1] = ACTIONS(1589),
    [aux_sym_check_host_ip_token1] = ACTIONS(1589),
    [aux_sym_ciphers_token1] = ACTIONS(1589),
    [aux_sym_cipher_token1] = ACTIONS(1591),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1589),
    [aux_sym_compression_token1] = ACTIONS(1589),
    [aux_sym_connection_attempts_token1] = ACTIONS(1589),
    [aux_sym_connect_timeout_token1] = ACTIONS(1589),
    [aux_sym_control_master_token1] = ACTIONS(1589),
    [aux_sym_control_path_token1] = ACTIONS(1589),
    [aux_sym_control_persist_token1] = ACTIONS(1589),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1589),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1589),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1589),
    [aux_sym_escape_char_token1] = ACTIONS(1589),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1589),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1589),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1589),
    [aux_sym_forward_agent_token1] = ACTIONS(1589),
    [aux_sym_forward_x11_token1] = ACTIONS(1591),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1589),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1589),
    [aux_sym_gateway_ports_token1] = ACTIONS(1589),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1589),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1589),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1589),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1589),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1589),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1589),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1589),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1589),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1589),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1589),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1589),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1589),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1589),
    [aux_sym_host_key_alias_token1] = ACTIONS(1589),
    [aux_sym_hostname_token1] = ACTIONS(1589),
    [aux_sym_identities_only_token1] = ACTIONS(1589),
    [aux_sym_identity_agent_token1] = ACTIONS(1589),
    [aux_sym_identity_file_token1] = ACTIONS(1589),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1589),
    [aux_sym_include_token1] = ACTIONS(1589),
    [aux_sym_ip_qos_token1] = ACTIONS(1589),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1589),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1589),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1589),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1589),
    [aux_sym_local_command_token1] = ACTIONS(1589),
    [aux_sym_local_forward_token1] = ACTIONS(1589),
    [aux_sym_log_level_token1] = ACTIONS(1589),
    [aux_sym_log_verbose_token1] = ACTIONS(1589),
    [aux_sym_macs_token1] = ACTIONS(1589),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1589),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1589),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1589),
    [aux_sym_password_authentication_token1] = ACTIONS(1589),
    [aux_sym_permit_local_command_token1] = ACTIONS(1589),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1589),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1589),
    [aux_sym_port_token1] = ACTIONS(1589),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1589),
    [aux_sym_protocol_token1] = ACTIONS(1589),
    [aux_sym_proxy_command_token1] = ACTIONS(1589),
    [aux_sym_proxy_jump_token1] = ACTIONS(1589),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1589),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1589),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1589),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1589),
    [aux_sym_rekey_limit_token1] = ACTIONS(1589),
    [aux_sym_remote_command_token1] = ACTIONS(1589),
    [aux_sym_remote_forward_token1] = ACTIONS(1589),
    [aux_sym_request_tty_token1] = ACTIONS(1589),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1589),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1589),
    [aux_sym_security_key_provider_token1] = ACTIONS(1589),
    [aux_sym_send_env_token1] = ACTIONS(1589),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1589),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1589),
    [aux_sym_session_type_token1] = ACTIONS(1589),
    [aux_sym_set_env_token1] = ACTIONS(1589),
    [aux_sym_stdin_null_token1] = ACTIONS(1589),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1589),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1589),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1589),
    [aux_sym_syslog_facility_token1] = ACTIONS(1589),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1589),
    [aux_sym_keep_alive_token1] = ACTIONS(1589),
    [aux_sym_tag_token1] = ACTIONS(1589),
    [aux_sym_tunnel_token1] = ACTIONS(1591),
    [aux_sym_tunnel_device_token1] = ACTIONS(1589),
    [aux_sym_update_host_keys_token1] = ACTIONS(1589),
    [aux_sym_use_keychain_token1] = ACTIONS(1589),
    [aux_sym_use_roaming_token1] = ACTIONS(1589),
    [aux_sym_user_token1] = ACTIONS(1591),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1589),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1589),
    [aux_sym_visual_host_key_token1] = ACTIONS(1589),
    [aux_sym_xauth_location_token1] = ACTIONS(1589),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3209),
    [aux_sym_match_token1] = ACTIONS(3207),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3207),
    [aux_sym_address_family_token1] = ACTIONS(3207),
    [aux_sym_batch_mode_token1] = ACTIONS(3207),
    [aux_sym_bind_address_token1] = ACTIONS(3207),
    [aux_sym_bind_interface_token1] = ACTIONS(3207),
    [aux_sym_canonical_domains_token1] = ACTIONS(3207),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3207),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3207),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3207),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3207),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3207),
    [aux_sym_certificate_file_token1] = ACTIONS(3207),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3207),
    [aux_sym_channel_timeout_token1] = ACTIONS(3207),
    [aux_sym_check_host_ip_token1] = ACTIONS(3207),
    [aux_sym_ciphers_token1] = ACTIONS(3207),
    [aux_sym_cipher_token1] = ACTIONS(3209),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3207),
    [aux_sym_compression_token1] = ACTIONS(3207),
    [aux_sym_connection_attempts_token1] = ACTIONS(3207),
    [aux_sym_connect_timeout_token1] = ACTIONS(3207),
    [aux_sym_control_master_token1] = ACTIONS(3207),
    [aux_sym_control_path_token1] = ACTIONS(3207),
    [aux_sym_control_persist_token1] = ACTIONS(3207),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3207),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3207),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3207),
    [aux_sym_escape_char_token1] = ACTIONS(3207),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3207),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3207),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3207),
    [aux_sym_forward_agent_token1] = ACTIONS(3207),
    [aux_sym_forward_x11_token1] = ACTIONS(3209),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3207),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3207),
    [aux_sym_gateway_ports_token1] = ACTIONS(3207),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3207),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3207),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3207),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3207),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3207),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3207),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3207),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3207),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3207),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3207),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3207),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3207),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3207),
    [aux_sym_host_key_alias_token1] = ACTIONS(3207),
    [aux_sym_hostname_token1] = ACTIONS(3207),
    [aux_sym_identities_only_token1] = ACTIONS(3207),
    [aux_sym_identity_agent_token1] = ACTIONS(3207),
    [aux_sym_identity_file_token1] = ACTIONS(3207),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3207),
    [aux_sym_include_token1] = ACTIONS(3207),
    [aux_sym_ip_qos_token1] = ACTIONS(3207),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3207),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3207),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3207),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3207),
    [aux_sym_local_command_token1] = ACTIONS(3207),
    [aux_sym_local_forward_token1] = ACTIONS(3207),
    [aux_sym_log_level_token1] = ACTIONS(3207),
    [aux_sym_log_verbose_token1] = ACTIONS(3207),
    [aux_sym_macs_token1] = ACTIONS(3207),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3207),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3207),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3207),
    [aux_sym_password_authentication_token1] = ACTIONS(3207),
    [aux_sym_permit_local_command_token1] = ACTIONS(3207),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3207),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3207),
    [aux_sym_port_token1] = ACTIONS(3207),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3207),
    [aux_sym_protocol_token1] = ACTIONS(3207),
    [aux_sym_proxy_command_token1] = ACTIONS(3207),
    [aux_sym_proxy_jump_token1] = ACTIONS(3207),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3207),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3207),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3207),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3207),
    [aux_sym_rekey_limit_token1] = ACTIONS(3207),
    [aux_sym_remote_command_token1] = ACTIONS(3207),
    [aux_sym_remote_forward_token1] = ACTIONS(3207),
    [aux_sym_request_tty_token1] = ACTIONS(3207),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3207),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3207),
    [aux_sym_security_key_provider_token1] = ACTIONS(3207),
    [aux_sym_send_env_token1] = ACTIONS(3207),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3207),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3207),
    [aux_sym_session_type_token1] = ACTIONS(3207),
    [aux_sym_set_env_token1] = ACTIONS(3207),
    [aux_sym_stdin_null_token1] = ACTIONS(3207),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3207),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3207),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3207),
    [aux_sym_syslog_facility_token1] = ACTIONS(3207),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3207),
    [aux_sym_keep_alive_token1] = ACTIONS(3207),
    [aux_sym_tag_token1] = ACTIONS(3207),
    [aux_sym_tunnel_token1] = ACTIONS(3209),
    [aux_sym_tunnel_device_token1] = ACTIONS(3207),
    [aux_sym_update_host_keys_token1] = ACTIONS(3207),
    [aux_sym_use_keychain_token1] = ACTIONS(3207),
    [aux_sym_use_roaming_token1] = ACTIONS(3207),
    [aux_sym_user_token1] = ACTIONS(3209),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3207),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3207),
    [aux_sym_visual_host_key_token1] = ACTIONS(3207),
    [aux_sym_xauth_location_token1] = ACTIONS(3207),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3213),
    [aux_sym_match_token1] = ACTIONS(3211),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3211),
    [aux_sym_address_family_token1] = ACTIONS(3211),
    [aux_sym_batch_mode_token1] = ACTIONS(3211),
    [aux_sym_bind_address_token1] = ACTIONS(3211),
    [aux_sym_bind_interface_token1] = ACTIONS(3211),
    [aux_sym_canonical_domains_token1] = ACTIONS(3211),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3211),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3211),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3211),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3211),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3211),
    [aux_sym_certificate_file_token1] = ACTIONS(3211),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3211),
    [aux_sym_channel_timeout_token1] = ACTIONS(3211),
    [aux_sym_check_host_ip_token1] = ACTIONS(3211),
    [aux_sym_ciphers_token1] = ACTIONS(3211),
    [aux_sym_cipher_token1] = ACTIONS(3213),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3211),
    [aux_sym_compression_token1] = ACTIONS(3211),
    [aux_sym_connection_attempts_token1] = ACTIONS(3211),
    [aux_sym_connect_timeout_token1] = ACTIONS(3211),
    [aux_sym_control_master_token1] = ACTIONS(3211),
    [aux_sym_control_path_token1] = ACTIONS(3211),
    [aux_sym_control_persist_token1] = ACTIONS(3211),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3211),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3211),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3211),
    [aux_sym_escape_char_token1] = ACTIONS(3211),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3211),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3211),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3211),
    [aux_sym_forward_agent_token1] = ACTIONS(3211),
    [aux_sym_forward_x11_token1] = ACTIONS(3213),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3211),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3211),
    [aux_sym_gateway_ports_token1] = ACTIONS(3211),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3211),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3211),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3211),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3211),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3211),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3211),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3211),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3211),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3211),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3211),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3211),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3211),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3211),
    [aux_sym_host_key_alias_token1] = ACTIONS(3211),
    [aux_sym_hostname_token1] = ACTIONS(3211),
    [aux_sym_identities_only_token1] = ACTIONS(3211),
    [aux_sym_identity_agent_token1] = ACTIONS(3211),
    [aux_sym_identity_file_token1] = ACTIONS(3211),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3211),
    [aux_sym_include_token1] = ACTIONS(3211),
    [aux_sym_ip_qos_token1] = ACTIONS(3211),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3211),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3211),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3211),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3211),
    [aux_sym_local_command_token1] = ACTIONS(3211),
    [aux_sym_local_forward_token1] = ACTIONS(3211),
    [aux_sym_log_level_token1] = ACTIONS(3211),
    [aux_sym_log_verbose_token1] = ACTIONS(3211),
    [aux_sym_macs_token1] = ACTIONS(3211),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3211),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3211),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3211),
    [aux_sym_password_authentication_token1] = ACTIONS(3211),
    [aux_sym_permit_local_command_token1] = ACTIONS(3211),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3211),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3211),
    [aux_sym_port_token1] = ACTIONS(3211),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3211),
    [aux_sym_protocol_token1] = ACTIONS(3211),
    [aux_sym_proxy_command_token1] = ACTIONS(3211),
    [aux_sym_proxy_jump_token1] = ACTIONS(3211),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3211),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3211),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3211),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3211),
    [aux_sym_rekey_limit_token1] = ACTIONS(3211),
    [aux_sym_remote_command_token1] = ACTIONS(3211),
    [aux_sym_remote_forward_token1] = ACTIONS(3211),
    [aux_sym_request_tty_token1] = ACTIONS(3211),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3211),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3211),
    [aux_sym_security_key_provider_token1] = ACTIONS(3211),
    [aux_sym_send_env_token1] = ACTIONS(3211),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3211),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3211),
    [aux_sym_session_type_token1] = ACTIONS(3211),
    [aux_sym_set_env_token1] = ACTIONS(3211),
    [aux_sym_stdin_null_token1] = ACTIONS(3211),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3211),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3211),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3211),
    [aux_sym_syslog_facility_token1] = ACTIONS(3211),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3211),
    [aux_sym_keep_alive_token1] = ACTIONS(3211),
    [aux_sym_tag_token1] = ACTIONS(3211),
    [aux_sym_tunnel_token1] = ACTIONS(3213),
    [aux_sym_tunnel_device_token1] = ACTIONS(3211),
    [aux_sym_update_host_keys_token1] = ACTIONS(3211),
    [aux_sym_use_keychain_token1] = ACTIONS(3211),
    [aux_sym_use_roaming_token1] = ACTIONS(3211),
    [aux_sym_user_token1] = ACTIONS(3213),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3211),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3211),
    [aux_sym_visual_host_key_token1] = ACTIONS(3211),
    [aux_sym_xauth_location_token1] = ACTIONS(3211),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3217),
    [aux_sym_match_token1] = ACTIONS(3215),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3215),
    [aux_sym_address_family_token1] = ACTIONS(3215),
    [aux_sym_batch_mode_token1] = ACTIONS(3215),
    [aux_sym_bind_address_token1] = ACTIONS(3215),
    [aux_sym_bind_interface_token1] = ACTIONS(3215),
    [aux_sym_canonical_domains_token1] = ACTIONS(3215),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3215),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3215),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3215),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3215),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3215),
    [aux_sym_certificate_file_token1] = ACTIONS(3215),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3215),
    [aux_sym_channel_timeout_token1] = ACTIONS(3215),
    [aux_sym_check_host_ip_token1] = ACTIONS(3215),
    [aux_sym_ciphers_token1] = ACTIONS(3215),
    [aux_sym_cipher_token1] = ACTIONS(3217),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3215),
    [aux_sym_compression_token1] = ACTIONS(3215),
    [aux_sym_connection_attempts_token1] = ACTIONS(3215),
    [aux_sym_connect_timeout_token1] = ACTIONS(3215),
    [aux_sym_control_master_token1] = ACTIONS(3215),
    [aux_sym_control_path_token1] = ACTIONS(3215),
    [aux_sym_control_persist_token1] = ACTIONS(3215),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3215),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3215),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3215),
    [aux_sym_escape_char_token1] = ACTIONS(3215),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3215),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3215),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3215),
    [aux_sym_forward_agent_token1] = ACTIONS(3215),
    [aux_sym_forward_x11_token1] = ACTIONS(3217),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3215),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3215),
    [aux_sym_gateway_ports_token1] = ACTIONS(3215),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3215),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3215),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3215),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3215),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3215),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3215),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3215),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3215),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3215),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3215),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3215),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3215),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3215),
    [aux_sym_host_key_alias_token1] = ACTIONS(3215),
    [aux_sym_hostname_token1] = ACTIONS(3215),
    [aux_sym_identities_only_token1] = ACTIONS(3215),
    [aux_sym_identity_agent_token1] = ACTIONS(3215),
    [aux_sym_identity_file_token1] = ACTIONS(3215),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3215),
    [aux_sym_include_token1] = ACTIONS(3215),
    [aux_sym_ip_qos_token1] = ACTIONS(3215),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3215),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3215),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3215),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3215),
    [aux_sym_local_command_token1] = ACTIONS(3215),
    [aux_sym_local_forward_token1] = ACTIONS(3215),
    [aux_sym_log_level_token1] = ACTIONS(3215),
    [aux_sym_log_verbose_token1] = ACTIONS(3215),
    [aux_sym_macs_token1] = ACTIONS(3215),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3215),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3215),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3215),
    [aux_sym_password_authentication_token1] = ACTIONS(3215),
    [aux_sym_permit_local_command_token1] = ACTIONS(3215),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3215),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3215),
    [aux_sym_port_token1] = ACTIONS(3215),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3215),
    [aux_sym_protocol_token1] = ACTIONS(3215),
    [aux_sym_proxy_command_token1] = ACTIONS(3215),
    [aux_sym_proxy_jump_token1] = ACTIONS(3215),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3215),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3215),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3215),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3215),
    [aux_sym_rekey_limit_token1] = ACTIONS(3215),
    [aux_sym_remote_command_token1] = ACTIONS(3215),
    [aux_sym_remote_forward_token1] = ACTIONS(3215),
    [aux_sym_request_tty_token1] = ACTIONS(3215),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3215),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3215),
    [aux_sym_security_key_provider_token1] = ACTIONS(3215),
    [aux_sym_send_env_token1] = ACTIONS(3215),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3215),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3215),
    [aux_sym_session_type_token1] = ACTIONS(3215),
    [aux_sym_set_env_token1] = ACTIONS(3215),
    [aux_sym_stdin_null_token1] = ACTIONS(3215),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3215),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3215),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3215),
    [aux_sym_syslog_facility_token1] = ACTIONS(3215),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3215),
    [aux_sym_keep_alive_token1] = ACTIONS(3215),
    [aux_sym_tag_token1] = ACTIONS(3215),
    [aux_sym_tunnel_token1] = ACTIONS(3217),
    [aux_sym_tunnel_device_token1] = ACTIONS(3215),
    [aux_sym_update_host_keys_token1] = ACTIONS(3215),
    [aux_sym_use_keychain_token1] = ACTIONS(3215),
    [aux_sym_use_roaming_token1] = ACTIONS(3215),
    [aux_sym_user_token1] = ACTIONS(3217),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3215),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3215),
    [aux_sym_visual_host_key_token1] = ACTIONS(3215),
    [aux_sym_xauth_location_token1] = ACTIONS(3215),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3221),
    [aux_sym_match_token1] = ACTIONS(3219),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3219),
    [aux_sym_address_family_token1] = ACTIONS(3219),
    [aux_sym_batch_mode_token1] = ACTIONS(3219),
    [aux_sym_bind_address_token1] = ACTIONS(3219),
    [aux_sym_bind_interface_token1] = ACTIONS(3219),
    [aux_sym_canonical_domains_token1] = ACTIONS(3219),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3219),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3219),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3219),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3219),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3219),
    [aux_sym_certificate_file_token1] = ACTIONS(3219),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3219),
    [aux_sym_channel_timeout_token1] = ACTIONS(3219),
    [aux_sym_check_host_ip_token1] = ACTIONS(3219),
    [aux_sym_ciphers_token1] = ACTIONS(3219),
    [aux_sym_cipher_token1] = ACTIONS(3221),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3219),
    [aux_sym_compression_token1] = ACTIONS(3219),
    [aux_sym_connection_attempts_token1] = ACTIONS(3219),
    [aux_sym_connect_timeout_token1] = ACTIONS(3219),
    [aux_sym_control_master_token1] = ACTIONS(3219),
    [aux_sym_control_path_token1] = ACTIONS(3219),
    [aux_sym_control_persist_token1] = ACTIONS(3219),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3219),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3219),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3219),
    [aux_sym_escape_char_token1] = ACTIONS(3219),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3219),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3219),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3219),
    [aux_sym_forward_agent_token1] = ACTIONS(3219),
    [aux_sym_forward_x11_token1] = ACTIONS(3221),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3219),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3219),
    [aux_sym_gateway_ports_token1] = ACTIONS(3219),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3219),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3219),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3219),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3219),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3219),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3219),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3219),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3219),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3219),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3219),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3219),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3219),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3219),
    [aux_sym_host_key_alias_token1] = ACTIONS(3219),
    [aux_sym_hostname_token1] = ACTIONS(3219),
    [aux_sym_identities_only_token1] = ACTIONS(3219),
    [aux_sym_identity_agent_token1] = ACTIONS(3219),
    [aux_sym_identity_file_token1] = ACTIONS(3219),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3219),
    [aux_sym_include_token1] = ACTIONS(3219),
    [aux_sym_ip_qos_token1] = ACTIONS(3219),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3219),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3219),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3219),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3219),
    [aux_sym_local_command_token1] = ACTIONS(3219),
    [aux_sym_local_forward_token1] = ACTIONS(3219),
    [aux_sym_log_level_token1] = ACTIONS(3219),
    [aux_sym_log_verbose_token1] = ACTIONS(3219),
    [aux_sym_macs_token1] = ACTIONS(3219),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3219),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3219),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3219),
    [aux_sym_password_authentication_token1] = ACTIONS(3219),
    [aux_sym_permit_local_command_token1] = ACTIONS(3219),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3219),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3219),
    [aux_sym_port_token1] = ACTIONS(3219),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3219),
    [aux_sym_protocol_token1] = ACTIONS(3219),
    [aux_sym_proxy_command_token1] = ACTIONS(3219),
    [aux_sym_proxy_jump_token1] = ACTIONS(3219),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3219),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3219),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3219),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3219),
    [aux_sym_rekey_limit_token1] = ACTIONS(3219),
    [aux_sym_remote_command_token1] = ACTIONS(3219),
    [aux_sym_remote_forward_token1] = ACTIONS(3219),
    [aux_sym_request_tty_token1] = ACTIONS(3219),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3219),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3219),
    [aux_sym_security_key_provider_token1] = ACTIONS(3219),
    [aux_sym_send_env_token1] = ACTIONS(3219),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3219),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3219),
    [aux_sym_session_type_token1] = ACTIONS(3219),
    [aux_sym_set_env_token1] = ACTIONS(3219),
    [aux_sym_stdin_null_token1] = ACTIONS(3219),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3219),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3219),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3219),
    [aux_sym_syslog_facility_token1] = ACTIONS(3219),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3219),
    [aux_sym_keep_alive_token1] = ACTIONS(3219),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [aux_sym_tunnel_token1] = ACTIONS(3221),
    [aux_sym_tunnel_device_token1] = ACTIONS(3219),
    [aux_sym_update_host_keys_token1] = ACTIONS(3219),
    [aux_sym_use_keychain_token1] = ACTIONS(3219),
    [aux_sym_use_roaming_token1] = ACTIONS(3219),
    [aux_sym_user_token1] = ACTIONS(3221),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3219),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3219),
    [aux_sym_visual_host_key_token1] = ACTIONS(3219),
    [aux_sym_xauth_location_token1] = ACTIONS(3219),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3225),
    [aux_sym_match_token1] = ACTIONS(3223),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3223),
    [aux_sym_address_family_token1] = ACTIONS(3223),
    [aux_sym_batch_mode_token1] = ACTIONS(3223),
    [aux_sym_bind_address_token1] = ACTIONS(3223),
    [aux_sym_bind_interface_token1] = ACTIONS(3223),
    [aux_sym_canonical_domains_token1] = ACTIONS(3223),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3223),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3223),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3223),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3223),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3223),
    [aux_sym_certificate_file_token1] = ACTIONS(3223),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3223),
    [aux_sym_channel_timeout_token1] = ACTIONS(3223),
    [aux_sym_check_host_ip_token1] = ACTIONS(3223),
    [aux_sym_ciphers_token1] = ACTIONS(3223),
    [aux_sym_cipher_token1] = ACTIONS(3225),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3223),
    [aux_sym_compression_token1] = ACTIONS(3223),
    [aux_sym_connection_attempts_token1] = ACTIONS(3223),
    [aux_sym_connect_timeout_token1] = ACTIONS(3223),
    [aux_sym_control_master_token1] = ACTIONS(3223),
    [aux_sym_control_path_token1] = ACTIONS(3223),
    [aux_sym_control_persist_token1] = ACTIONS(3223),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3223),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3223),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3223),
    [aux_sym_escape_char_token1] = ACTIONS(3223),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3223),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3223),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3223),
    [aux_sym_forward_agent_token1] = ACTIONS(3223),
    [aux_sym_forward_x11_token1] = ACTIONS(3225),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3223),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3223),
    [aux_sym_gateway_ports_token1] = ACTIONS(3223),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3223),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3223),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3223),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3223),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3223),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3223),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3223),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3223),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3223),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3223),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3223),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3223),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3223),
    [aux_sym_host_key_alias_token1] = ACTIONS(3223),
    [aux_sym_hostname_token1] = ACTIONS(3223),
    [aux_sym_identities_only_token1] = ACTIONS(3223),
    [aux_sym_identity_agent_token1] = ACTIONS(3223),
    [aux_sym_identity_file_token1] = ACTIONS(3223),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3223),
    [aux_sym_include_token1] = ACTIONS(3223),
    [aux_sym_ip_qos_token1] = ACTIONS(3223),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3223),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3223),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3223),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3223),
    [aux_sym_local_command_token1] = ACTIONS(3223),
    [aux_sym_local_forward_token1] = ACTIONS(3223),
    [aux_sym_log_level_token1] = ACTIONS(3223),
    [aux_sym_log_verbose_token1] = ACTIONS(3223),
    [aux_sym_macs_token1] = ACTIONS(3223),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3223),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3223),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3223),
    [aux_sym_password_authentication_token1] = ACTIONS(3223),
    [aux_sym_permit_local_command_token1] = ACTIONS(3223),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3223),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3223),
    [aux_sym_port_token1] = ACTIONS(3223),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3223),
    [aux_sym_protocol_token1] = ACTIONS(3223),
    [aux_sym_proxy_command_token1] = ACTIONS(3223),
    [aux_sym_proxy_jump_token1] = ACTIONS(3223),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3223),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3223),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3223),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3223),
    [aux_sym_rekey_limit_token1] = ACTIONS(3223),
    [aux_sym_remote_command_token1] = ACTIONS(3223),
    [aux_sym_remote_forward_token1] = ACTIONS(3223),
    [aux_sym_request_tty_token1] = ACTIONS(3223),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3223),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3223),
    [aux_sym_security_key_provider_token1] = ACTIONS(3223),
    [aux_sym_send_env_token1] = ACTIONS(3223),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3223),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3223),
    [aux_sym_session_type_token1] = ACTIONS(3223),
    [aux_sym_set_env_token1] = ACTIONS(3223),
    [aux_sym_stdin_null_token1] = ACTIONS(3223),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3223),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3223),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3223),
    [aux_sym_syslog_facility_token1] = ACTIONS(3223),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3223),
    [aux_sym_keep_alive_token1] = ACTIONS(3223),
    [aux_sym_tag_token1] = ACTIONS(3223),
    [aux_sym_tunnel_token1] = ACTIONS(3225),
    [aux_sym_tunnel_device_token1] = ACTIONS(3223),
    [aux_sym_update_host_keys_token1] = ACTIONS(3223),
    [aux_sym_use_keychain_token1] = ACTIONS(3223),
    [aux_sym_use_roaming_token1] = ACTIONS(3223),
    [aux_sym_user_token1] = ACTIONS(3225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3223),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3223),
    [aux_sym_visual_host_key_token1] = ACTIONS(3223),
    [aux_sym_xauth_location_token1] = ACTIONS(3223),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1135),
    [aux_sym_match_token1] = ACTIONS(1133),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1133),
    [aux_sym_address_family_token1] = ACTIONS(1133),
    [aux_sym_batch_mode_token1] = ACTIONS(1133),
    [aux_sym_bind_address_token1] = ACTIONS(1133),
    [aux_sym_bind_interface_token1] = ACTIONS(1133),
    [aux_sym_canonical_domains_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1133),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1133),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1133),
    [aux_sym_certificate_file_token1] = ACTIONS(1133),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1133),
    [aux_sym_channel_timeout_token1] = ACTIONS(1133),
    [aux_sym_check_host_ip_token1] = ACTIONS(1133),
    [aux_sym_ciphers_token1] = ACTIONS(1133),
    [aux_sym_cipher_token1] = ACTIONS(1135),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1133),
    [aux_sym_compression_token1] = ACTIONS(1133),
    [aux_sym_connection_attempts_token1] = ACTIONS(1133),
    [aux_sym_connect_timeout_token1] = ACTIONS(1133),
    [aux_sym_control_master_token1] = ACTIONS(1133),
    [aux_sym_control_path_token1] = ACTIONS(1133),
    [aux_sym_control_persist_token1] = ACTIONS(1133),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1133),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1133),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1133),
    [aux_sym_escape_char_token1] = ACTIONS(1133),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1133),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1133),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1133),
    [aux_sym_forward_agent_token1] = ACTIONS(1133),
    [aux_sym_forward_x11_token1] = ACTIONS(1135),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1133),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1133),
    [aux_sym_gateway_ports_token1] = ACTIONS(1133),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1133),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1133),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1133),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1133),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1133),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1133),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1133),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1133),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1133),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1133),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1133),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1133),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1133),
    [aux_sym_host_key_alias_token1] = ACTIONS(1133),
    [aux_sym_hostname_token1] = ACTIONS(1133),
    [aux_sym_identities_only_token1] = ACTIONS(1133),
    [aux_sym_identity_agent_token1] = ACTIONS(1133),
    [aux_sym_identity_file_token1] = ACTIONS(1133),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1133),
    [aux_sym_include_token1] = ACTIONS(1133),
    [aux_sym_ip_qos_token1] = ACTIONS(1133),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1133),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1133),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1133),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1133),
    [aux_sym_local_command_token1] = ACTIONS(1133),
    [aux_sym_local_forward_token1] = ACTIONS(1133),
    [aux_sym_log_level_token1] = ACTIONS(1133),
    [aux_sym_log_verbose_token1] = ACTIONS(1133),
    [aux_sym_macs_token1] = ACTIONS(1133),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1133),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1133),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1133),
    [aux_sym_password_authentication_token1] = ACTIONS(1133),
    [aux_sym_permit_local_command_token1] = ACTIONS(1133),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1133),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1133),
    [aux_sym_port_token1] = ACTIONS(1133),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1133),
    [aux_sym_protocol_token1] = ACTIONS(1133),
    [aux_sym_proxy_command_token1] = ACTIONS(1133),
    [aux_sym_proxy_jump_token1] = ACTIONS(1133),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1133),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1133),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1133),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1133),
    [aux_sym_rekey_limit_token1] = ACTIONS(1133),
    [aux_sym_remote_command_token1] = ACTIONS(1133),
    [aux_sym_remote_forward_token1] = ACTIONS(1133),
    [aux_sym_request_tty_token1] = ACTIONS(1133),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1133),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1133),
    [aux_sym_security_key_provider_token1] = ACTIONS(1133),
    [aux_sym_send_env_token1] = ACTIONS(1133),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1133),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1133),
    [aux_sym_session_type_token1] = ACTIONS(1133),
    [aux_sym_set_env_token1] = ACTIONS(1133),
    [aux_sym_stdin_null_token1] = ACTIONS(1133),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1133),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1133),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1133),
    [aux_sym_syslog_facility_token1] = ACTIONS(1133),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1133),
    [aux_sym_keep_alive_token1] = ACTIONS(1133),
    [aux_sym_tag_token1] = ACTIONS(1133),
    [aux_sym_tunnel_token1] = ACTIONS(1135),
    [aux_sym_tunnel_device_token1] = ACTIONS(1133),
    [aux_sym_update_host_keys_token1] = ACTIONS(1133),
    [aux_sym_use_keychain_token1] = ACTIONS(1133),
    [aux_sym_use_roaming_token1] = ACTIONS(1133),
    [aux_sym_user_token1] = ACTIONS(1135),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1133),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1133),
    [aux_sym_visual_host_key_token1] = ACTIONS(1133),
    [aux_sym_xauth_location_token1] = ACTIONS(1133),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(593),
    [aux_sym_match_token1] = ACTIONS(591),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(591),
    [aux_sym_address_family_token1] = ACTIONS(591),
    [aux_sym_batch_mode_token1] = ACTIONS(591),
    [aux_sym_bind_address_token1] = ACTIONS(591),
    [aux_sym_bind_interface_token1] = ACTIONS(591),
    [aux_sym_canonical_domains_token1] = ACTIONS(591),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(591),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(591),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(591),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(591),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(591),
    [aux_sym_certificate_file_token1] = ACTIONS(591),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(591),
    [aux_sym_channel_timeout_token1] = ACTIONS(591),
    [aux_sym_check_host_ip_token1] = ACTIONS(591),
    [aux_sym_ciphers_token1] = ACTIONS(591),
    [aux_sym_cipher_token1] = ACTIONS(593),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(591),
    [aux_sym_compression_token1] = ACTIONS(591),
    [aux_sym_connection_attempts_token1] = ACTIONS(591),
    [aux_sym_connect_timeout_token1] = ACTIONS(591),
    [aux_sym_control_master_token1] = ACTIONS(591),
    [aux_sym_control_path_token1] = ACTIONS(591),
    [aux_sym_control_persist_token1] = ACTIONS(591),
    [aux_sym_dynamic_forward_token1] = ACTIONS(591),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(591),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(591),
    [aux_sym_escape_char_token1] = ACTIONS(591),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(591),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(591),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(591),
    [aux_sym_forward_agent_token1] = ACTIONS(591),
    [aux_sym_forward_x11_token1] = ACTIONS(593),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(591),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(591),
    [aux_sym_gateway_ports_token1] = ACTIONS(591),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(591),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(591),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(591),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(591),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(591),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(591),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(591),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(591),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(591),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(591),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(591),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(591),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(591),
    [aux_sym_host_key_alias_token1] = ACTIONS(591),
    [aux_sym_hostname_token1] = ACTIONS(591),
    [aux_sym_identities_only_token1] = ACTIONS(591),
    [aux_sym_identity_agent_token1] = ACTIONS(591),
    [aux_sym_identity_file_token1] = ACTIONS(591),
    [aux_sym_ignore_unknown_token1] = ACTIONS(591),
    [aux_sym_include_token1] = ACTIONS(591),
    [aux_sym_ip_qos_token1] = ACTIONS(591),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(591),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(591),
    [aux_sym_kex_algorithms_token1] = ACTIONS(591),
    [aux_sym_known_hosts_command_token1] = ACTIONS(591),
    [aux_sym_local_command_token1] = ACTIONS(591),
    [aux_sym_local_forward_token1] = ACTIONS(591),
    [aux_sym_log_level_token1] = ACTIONS(591),
    [aux_sym_log_verbose_token1] = ACTIONS(591),
    [aux_sym_macs_token1] = ACTIONS(591),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(591),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(591),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(591),
    [aux_sym_password_authentication_token1] = ACTIONS(591),
    [aux_sym_permit_local_command_token1] = ACTIONS(591),
    [aux_sym_permit_remote_open_token1] = ACTIONS(591),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(591),
    [aux_sym_port_token1] = ACTIONS(591),
    [aux_sym_preferred_authentications_token1] = ACTIONS(591),
    [aux_sym_protocol_token1] = ACTIONS(591),
    [aux_sym_proxy_command_token1] = ACTIONS(591),
    [aux_sym_proxy_jump_token1] = ACTIONS(591),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(591),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(591),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(591),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(591),
    [aux_sym_rekey_limit_token1] = ACTIONS(591),
    [aux_sym_remote_command_token1] = ACTIONS(591),
    [aux_sym_remote_forward_token1] = ACTIONS(591),
    [aux_sym_request_tty_token1] = ACTIONS(591),
    [aux_sym_required_rsa_size_token1] = ACTIONS(591),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(591),
    [aux_sym_security_key_provider_token1] = ACTIONS(591),
    [aux_sym_send_env_token1] = ACTIONS(591),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(591),
    [aux_sym_server_alive_interval_token1] = ACTIONS(591),
    [aux_sym_session_type_token1] = ACTIONS(591),
    [aux_sym_set_env_token1] = ACTIONS(591),
    [aux_sym_stdin_null_token1] = ACTIONS(591),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(591),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(591),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(591),
    [aux_sym_syslog_facility_token1] = ACTIONS(591),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(591),
    [aux_sym_keep_alive_token1] = ACTIONS(591),
    [aux_sym_tag_token1] = ACTIONS(591),
    [aux_sym_tunnel_token1] = ACTIONS(593),
    [aux_sym_tunnel_device_token1] = ACTIONS(591),
    [aux_sym_update_host_keys_token1] = ACTIONS(591),
    [aux_sym_use_keychain_token1] = ACTIONS(591),
    [aux_sym_use_roaming_token1] = ACTIONS(591),
    [aux_sym_user_token1] = ACTIONS(593),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(591),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(591),
    [aux_sym_visual_host_key_token1] = ACTIONS(591),
    [aux_sym_xauth_location_token1] = ACTIONS(591),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3229),
    [aux_sym_match_token1] = ACTIONS(3227),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3227),
    [aux_sym_address_family_token1] = ACTIONS(3227),
    [aux_sym_batch_mode_token1] = ACTIONS(3227),
    [aux_sym_bind_address_token1] = ACTIONS(3227),
    [aux_sym_bind_interface_token1] = ACTIONS(3227),
    [aux_sym_canonical_domains_token1] = ACTIONS(3227),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3227),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3227),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3227),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3227),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3227),
    [aux_sym_certificate_file_token1] = ACTIONS(3227),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3227),
    [aux_sym_channel_timeout_token1] = ACTIONS(3227),
    [aux_sym_check_host_ip_token1] = ACTIONS(3227),
    [aux_sym_ciphers_token1] = ACTIONS(3227),
    [aux_sym_cipher_token1] = ACTIONS(3229),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3227),
    [aux_sym_compression_token1] = ACTIONS(3227),
    [aux_sym_connection_attempts_token1] = ACTIONS(3227),
    [aux_sym_connect_timeout_token1] = ACTIONS(3227),
    [aux_sym_control_master_token1] = ACTIONS(3227),
    [aux_sym_control_path_token1] = ACTIONS(3227),
    [aux_sym_control_persist_token1] = ACTIONS(3227),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3227),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3227),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3227),
    [aux_sym_escape_char_token1] = ACTIONS(3227),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3227),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3227),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3227),
    [aux_sym_forward_agent_token1] = ACTIONS(3227),
    [aux_sym_forward_x11_token1] = ACTIONS(3229),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3227),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3227),
    [aux_sym_gateway_ports_token1] = ACTIONS(3227),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3227),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3227),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3227),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3227),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3227),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3227),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3227),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3227),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3227),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3227),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3227),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3227),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3227),
    [aux_sym_host_key_alias_token1] = ACTIONS(3227),
    [aux_sym_hostname_token1] = ACTIONS(3227),
    [aux_sym_identities_only_token1] = ACTIONS(3227),
    [aux_sym_identity_agent_token1] = ACTIONS(3227),
    [aux_sym_identity_file_token1] = ACTIONS(3227),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3227),
    [aux_sym_include_token1] = ACTIONS(3227),
    [aux_sym_ip_qos_token1] = ACTIONS(3227),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3227),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3227),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3227),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3227),
    [aux_sym_local_command_token1] = ACTIONS(3227),
    [aux_sym_local_forward_token1] = ACTIONS(3227),
    [aux_sym_log_level_token1] = ACTIONS(3227),
    [aux_sym_log_verbose_token1] = ACTIONS(3227),
    [aux_sym_macs_token1] = ACTIONS(3227),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3227),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3227),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3227),
    [aux_sym_password_authentication_token1] = ACTIONS(3227),
    [aux_sym_permit_local_command_token1] = ACTIONS(3227),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3227),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3227),
    [aux_sym_port_token1] = ACTIONS(3227),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3227),
    [aux_sym_protocol_token1] = ACTIONS(3227),
    [aux_sym_proxy_command_token1] = ACTIONS(3227),
    [aux_sym_proxy_jump_token1] = ACTIONS(3227),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3227),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3227),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3227),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3227),
    [aux_sym_rekey_limit_token1] = ACTIONS(3227),
    [aux_sym_remote_command_token1] = ACTIONS(3227),
    [aux_sym_remote_forward_token1] = ACTIONS(3227),
    [aux_sym_request_tty_token1] = ACTIONS(3227),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3227),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3227),
    [aux_sym_security_key_provider_token1] = ACTIONS(3227),
    [aux_sym_send_env_token1] = ACTIONS(3227),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3227),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3227),
    [aux_sym_session_type_token1] = ACTIONS(3227),
    [aux_sym_set_env_token1] = ACTIONS(3227),
    [aux_sym_stdin_null_token1] = ACTIONS(3227),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3227),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3227),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3227),
    [aux_sym_syslog_facility_token1] = ACTIONS(3227),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3227),
    [aux_sym_keep_alive_token1] = ACTIONS(3227),
    [aux_sym_tag_token1] = ACTIONS(3227),
    [aux_sym_tunnel_token1] = ACTIONS(3229),
    [aux_sym_tunnel_device_token1] = ACTIONS(3227),
    [aux_sym_update_host_keys_token1] = ACTIONS(3227),
    [aux_sym_use_keychain_token1] = ACTIONS(3227),
    [aux_sym_use_roaming_token1] = ACTIONS(3227),
    [aux_sym_user_token1] = ACTIONS(3229),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3227),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3227),
    [aux_sym_visual_host_key_token1] = ACTIONS(3227),
    [aux_sym_xauth_location_token1] = ACTIONS(3227),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3233),
    [aux_sym_match_token1] = ACTIONS(3231),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3231),
    [aux_sym_address_family_token1] = ACTIONS(3231),
    [aux_sym_batch_mode_token1] = ACTIONS(3231),
    [aux_sym_bind_address_token1] = ACTIONS(3231),
    [aux_sym_bind_interface_token1] = ACTIONS(3231),
    [aux_sym_canonical_domains_token1] = ACTIONS(3231),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3231),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3231),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3231),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3231),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3231),
    [aux_sym_certificate_file_token1] = ACTIONS(3231),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3231),
    [aux_sym_channel_timeout_token1] = ACTIONS(3231),
    [aux_sym_check_host_ip_token1] = ACTIONS(3231),
    [aux_sym_ciphers_token1] = ACTIONS(3231),
    [aux_sym_cipher_token1] = ACTIONS(3233),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3231),
    [aux_sym_compression_token1] = ACTIONS(3231),
    [aux_sym_connection_attempts_token1] = ACTIONS(3231),
    [aux_sym_connect_timeout_token1] = ACTIONS(3231),
    [aux_sym_control_master_token1] = ACTIONS(3231),
    [aux_sym_control_path_token1] = ACTIONS(3231),
    [aux_sym_control_persist_token1] = ACTIONS(3231),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3231),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3231),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3231),
    [aux_sym_escape_char_token1] = ACTIONS(3231),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3231),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3231),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3231),
    [aux_sym_forward_agent_token1] = ACTIONS(3231),
    [aux_sym_forward_x11_token1] = ACTIONS(3233),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3231),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3231),
    [aux_sym_gateway_ports_token1] = ACTIONS(3231),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3231),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3231),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3231),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3231),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3231),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3231),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3231),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3231),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3231),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3231),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3231),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3231),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3231),
    [aux_sym_host_key_alias_token1] = ACTIONS(3231),
    [aux_sym_hostname_token1] = ACTIONS(3231),
    [aux_sym_identities_only_token1] = ACTIONS(3231),
    [aux_sym_identity_agent_token1] = ACTIONS(3231),
    [aux_sym_identity_file_token1] = ACTIONS(3231),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3231),
    [aux_sym_include_token1] = ACTIONS(3231),
    [aux_sym_ip_qos_token1] = ACTIONS(3231),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3231),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3231),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3231),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3231),
    [aux_sym_local_command_token1] = ACTIONS(3231),
    [aux_sym_local_forward_token1] = ACTIONS(3231),
    [aux_sym_log_level_token1] = ACTIONS(3231),
    [aux_sym_log_verbose_token1] = ACTIONS(3231),
    [aux_sym_macs_token1] = ACTIONS(3231),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3231),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3231),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3231),
    [aux_sym_password_authentication_token1] = ACTIONS(3231),
    [aux_sym_permit_local_command_token1] = ACTIONS(3231),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3231),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3231),
    [aux_sym_port_token1] = ACTIONS(3231),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3231),
    [aux_sym_protocol_token1] = ACTIONS(3231),
    [aux_sym_proxy_command_token1] = ACTIONS(3231),
    [aux_sym_proxy_jump_token1] = ACTIONS(3231),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3231),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3231),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3231),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3231),
    [aux_sym_rekey_limit_token1] = ACTIONS(3231),
    [aux_sym_remote_command_token1] = ACTIONS(3231),
    [aux_sym_remote_forward_token1] = ACTIONS(3231),
    [aux_sym_request_tty_token1] = ACTIONS(3231),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3231),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3231),
    [aux_sym_security_key_provider_token1] = ACTIONS(3231),
    [aux_sym_send_env_token1] = ACTIONS(3231),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3231),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3231),
    [aux_sym_session_type_token1] = ACTIONS(3231),
    [aux_sym_set_env_token1] = ACTIONS(3231),
    [aux_sym_stdin_null_token1] = ACTIONS(3231),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3231),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3231),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3231),
    [aux_sym_syslog_facility_token1] = ACTIONS(3231),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3231),
    [aux_sym_keep_alive_token1] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3231),
    [aux_sym_tunnel_token1] = ACTIONS(3233),
    [aux_sym_tunnel_device_token1] = ACTIONS(3231),
    [aux_sym_update_host_keys_token1] = ACTIONS(3231),
    [aux_sym_use_keychain_token1] = ACTIONS(3231),
    [aux_sym_use_roaming_token1] = ACTIONS(3231),
    [aux_sym_user_token1] = ACTIONS(3233),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3231),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3231),
    [aux_sym_visual_host_key_token1] = ACTIONS(3231),
    [aux_sym_xauth_location_token1] = ACTIONS(3231),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(3235),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3237),
    [aux_sym_match_token1] = ACTIONS(3235),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3235),
    [aux_sym_address_family_token1] = ACTIONS(3235),
    [aux_sym_batch_mode_token1] = ACTIONS(3235),
    [aux_sym_bind_address_token1] = ACTIONS(3235),
    [aux_sym_bind_interface_token1] = ACTIONS(3235),
    [aux_sym_canonical_domains_token1] = ACTIONS(3235),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3235),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3235),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3235),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3235),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3235),
    [aux_sym_certificate_file_token1] = ACTIONS(3235),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3235),
    [aux_sym_channel_timeout_token1] = ACTIONS(3235),
    [aux_sym_check_host_ip_token1] = ACTIONS(3235),
    [aux_sym_ciphers_token1] = ACTIONS(3235),
    [aux_sym_cipher_token1] = ACTIONS(3237),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3235),
    [aux_sym_compression_token1] = ACTIONS(3235),
    [aux_sym_connection_attempts_token1] = ACTIONS(3235),
    [aux_sym_connect_timeout_token1] = ACTIONS(3235),
    [aux_sym_control_master_token1] = ACTIONS(3235),
    [aux_sym_control_path_token1] = ACTIONS(3235),
    [aux_sym_control_persist_token1] = ACTIONS(3235),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3235),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3235),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3235),
    [aux_sym_escape_char_token1] = ACTIONS(3235),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3235),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3235),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3235),
    [aux_sym_forward_agent_token1] = ACTIONS(3235),
    [aux_sym_forward_x11_token1] = ACTIONS(3237),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3235),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3235),
    [aux_sym_gateway_ports_token1] = ACTIONS(3235),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3235),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3235),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3235),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3235),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3235),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3235),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3235),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3235),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3235),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3235),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3235),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3235),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3235),
    [aux_sym_host_key_alias_token1] = ACTIONS(3235),
    [aux_sym_hostname_token1] = ACTIONS(3235),
    [aux_sym_identities_only_token1] = ACTIONS(3235),
    [aux_sym_identity_agent_token1] = ACTIONS(3235),
    [aux_sym_identity_file_token1] = ACTIONS(3235),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3235),
    [aux_sym_include_token1] = ACTIONS(3235),
    [aux_sym_ip_qos_token1] = ACTIONS(3235),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3235),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3235),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3235),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3235),
    [aux_sym_local_command_token1] = ACTIONS(3235),
    [aux_sym_local_forward_token1] = ACTIONS(3235),
    [aux_sym_log_level_token1] = ACTIONS(3235),
    [aux_sym_log_verbose_token1] = ACTIONS(3235),
    [aux_sym_macs_token1] = ACTIONS(3235),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3235),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3235),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3235),
    [aux_sym_password_authentication_token1] = ACTIONS(3235),
    [aux_sym_permit_local_command_token1] = ACTIONS(3235),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3235),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3235),
    [aux_sym_port_token1] = ACTIONS(3235),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3235),
    [aux_sym_protocol_token1] = ACTIONS(3235),
    [aux_sym_proxy_command_token1] = ACTIONS(3235),
    [aux_sym_proxy_jump_token1] = ACTIONS(3235),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3235),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3235),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3235),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3235),
    [aux_sym_rekey_limit_token1] = ACTIONS(3235),
    [aux_sym_remote_command_token1] = ACTIONS(3235),
    [aux_sym_remote_forward_token1] = ACTIONS(3235),
    [aux_sym_request_tty_token1] = ACTIONS(3235),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3235),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3235),
    [aux_sym_security_key_provider_token1] = ACTIONS(3235),
    [aux_sym_send_env_token1] = ACTIONS(3235),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3235),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3235),
    [aux_sym_session_type_token1] = ACTIONS(3235),
    [aux_sym_set_env_token1] = ACTIONS(3235),
    [aux_sym_stdin_null_token1] = ACTIONS(3235),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3235),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3235),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3235),
    [aux_sym_syslog_facility_token1] = ACTIONS(3235),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3235),
    [aux_sym_keep_alive_token1] = ACTIONS(3235),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [aux_sym_tunnel_token1] = ACTIONS(3237),
    [aux_sym_tunnel_device_token1] = ACTIONS(3235),
    [aux_sym_update_host_keys_token1] = ACTIONS(3235),
    [aux_sym_use_keychain_token1] = ACTIONS(3235),
    [aux_sym_use_roaming_token1] = ACTIONS(3235),
    [aux_sym_user_token1] = ACTIONS(3237),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3235),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3235),
    [aux_sym_visual_host_key_token1] = ACTIONS(3235),
    [aux_sym_xauth_location_token1] = ACTIONS(3235),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1093),
    [aux_sym_match_token1] = ACTIONS(1091),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1091),
    [aux_sym_address_family_token1] = ACTIONS(1091),
    [aux_sym_batch_mode_token1] = ACTIONS(1091),
    [aux_sym_bind_address_token1] = ACTIONS(1091),
    [aux_sym_bind_interface_token1] = ACTIONS(1091),
    [aux_sym_canonical_domains_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1091),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1091),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1091),
    [aux_sym_certificate_file_token1] = ACTIONS(1091),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1091),
    [aux_sym_channel_timeout_token1] = ACTIONS(1091),
    [aux_sym_check_host_ip_token1] = ACTIONS(1091),
    [aux_sym_ciphers_token1] = ACTIONS(1091),
    [aux_sym_cipher_token1] = ACTIONS(1093),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1091),
    [aux_sym_compression_token1] = ACTIONS(1091),
    [aux_sym_connection_attempts_token1] = ACTIONS(1091),
    [aux_sym_connect_timeout_token1] = ACTIONS(1091),
    [aux_sym_control_master_token1] = ACTIONS(1091),
    [aux_sym_control_path_token1] = ACTIONS(1091),
    [aux_sym_control_persist_token1] = ACTIONS(1091),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1091),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1091),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1091),
    [aux_sym_escape_char_token1] = ACTIONS(1091),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1091),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1091),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1091),
    [aux_sym_forward_agent_token1] = ACTIONS(1091),
    [aux_sym_forward_x11_token1] = ACTIONS(1093),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1091),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1091),
    [aux_sym_gateway_ports_token1] = ACTIONS(1091),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1091),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1091),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1091),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1091),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1091),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1091),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1091),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1091),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1091),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1091),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1091),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1091),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1091),
    [aux_sym_host_key_alias_token1] = ACTIONS(1091),
    [aux_sym_hostname_token1] = ACTIONS(1091),
    [aux_sym_identities_only_token1] = ACTIONS(1091),
    [aux_sym_identity_agent_token1] = ACTIONS(1091),
    [aux_sym_identity_file_token1] = ACTIONS(1091),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1091),
    [aux_sym_include_token1] = ACTIONS(1091),
    [aux_sym_ip_qos_token1] = ACTIONS(1091),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1091),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1091),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1091),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1091),
    [aux_sym_local_command_token1] = ACTIONS(1091),
    [aux_sym_local_forward_token1] = ACTIONS(1091),
    [aux_sym_log_level_token1] = ACTIONS(1091),
    [aux_sym_log_verbose_token1] = ACTIONS(1091),
    [aux_sym_macs_token1] = ACTIONS(1091),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1091),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1091),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1091),
    [aux_sym_password_authentication_token1] = ACTIONS(1091),
    [aux_sym_permit_local_command_token1] = ACTIONS(1091),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1091),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1091),
    [aux_sym_port_token1] = ACTIONS(1091),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1091),
    [aux_sym_protocol_token1] = ACTIONS(1091),
    [aux_sym_proxy_command_token1] = ACTIONS(1091),
    [aux_sym_proxy_jump_token1] = ACTIONS(1091),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1091),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1091),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1091),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1091),
    [aux_sym_rekey_limit_token1] = ACTIONS(1091),
    [aux_sym_remote_command_token1] = ACTIONS(1091),
    [aux_sym_remote_forward_token1] = ACTIONS(1091),
    [aux_sym_request_tty_token1] = ACTIONS(1091),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1091),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1091),
    [aux_sym_security_key_provider_token1] = ACTIONS(1091),
    [aux_sym_send_env_token1] = ACTIONS(1091),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1091),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1091),
    [aux_sym_session_type_token1] = ACTIONS(1091),
    [aux_sym_set_env_token1] = ACTIONS(1091),
    [aux_sym_stdin_null_token1] = ACTIONS(1091),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1091),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1091),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1091),
    [aux_sym_syslog_facility_token1] = ACTIONS(1091),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1091),
    [aux_sym_keep_alive_token1] = ACTIONS(1091),
    [aux_sym_tag_token1] = ACTIONS(1091),
    [aux_sym_tunnel_token1] = ACTIONS(1093),
    [aux_sym_tunnel_device_token1] = ACTIONS(1091),
    [aux_sym_update_host_keys_token1] = ACTIONS(1091),
    [aux_sym_use_keychain_token1] = ACTIONS(1091),
    [aux_sym_use_roaming_token1] = ACTIONS(1091),
    [aux_sym_user_token1] = ACTIONS(1093),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1091),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1091),
    [aux_sym_visual_host_key_token1] = ACTIONS(1091),
    [aux_sym_xauth_location_token1] = ACTIONS(1091),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1189),
    [aux_sym_match_token1] = ACTIONS(1187),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1187),
    [aux_sym_address_family_token1] = ACTIONS(1187),
    [aux_sym_batch_mode_token1] = ACTIONS(1187),
    [aux_sym_bind_address_token1] = ACTIONS(1187),
    [aux_sym_bind_interface_token1] = ACTIONS(1187),
    [aux_sym_canonical_domains_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1187),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1187),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1187),
    [aux_sym_certificate_file_token1] = ACTIONS(1187),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1187),
    [aux_sym_channel_timeout_token1] = ACTIONS(1187),
    [aux_sym_check_host_ip_token1] = ACTIONS(1187),
    [aux_sym_ciphers_token1] = ACTIONS(1187),
    [aux_sym_cipher_token1] = ACTIONS(1189),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1187),
    [aux_sym_compression_token1] = ACTIONS(1187),
    [aux_sym_connection_attempts_token1] = ACTIONS(1187),
    [aux_sym_connect_timeout_token1] = ACTIONS(1187),
    [aux_sym_control_master_token1] = ACTIONS(1187),
    [aux_sym_control_path_token1] = ACTIONS(1187),
    [aux_sym_control_persist_token1] = ACTIONS(1187),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1187),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1187),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1187),
    [aux_sym_escape_char_token1] = ACTIONS(1187),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1187),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1187),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1187),
    [aux_sym_forward_agent_token1] = ACTIONS(1187),
    [aux_sym_forward_x11_token1] = ACTIONS(1189),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1187),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1187),
    [aux_sym_gateway_ports_token1] = ACTIONS(1187),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1187),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1187),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1187),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1187),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1187),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1187),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1187),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1187),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1187),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1187),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1187),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1187),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1187),
    [aux_sym_host_key_alias_token1] = ACTIONS(1187),
    [aux_sym_hostname_token1] = ACTIONS(1187),
    [aux_sym_identities_only_token1] = ACTIONS(1187),
    [aux_sym_identity_agent_token1] = ACTIONS(1187),
    [aux_sym_identity_file_token1] = ACTIONS(1187),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1187),
    [aux_sym_include_token1] = ACTIONS(1187),
    [aux_sym_ip_qos_token1] = ACTIONS(1187),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1187),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1187),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1187),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1187),
    [aux_sym_local_command_token1] = ACTIONS(1187),
    [aux_sym_local_forward_token1] = ACTIONS(1187),
    [aux_sym_log_level_token1] = ACTIONS(1187),
    [aux_sym_log_verbose_token1] = ACTIONS(1187),
    [aux_sym_macs_token1] = ACTIONS(1187),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1187),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1187),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1187),
    [aux_sym_password_authentication_token1] = ACTIONS(1187),
    [aux_sym_permit_local_command_token1] = ACTIONS(1187),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1187),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1187),
    [aux_sym_port_token1] = ACTIONS(1187),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1187),
    [aux_sym_protocol_token1] = ACTIONS(1187),
    [aux_sym_proxy_command_token1] = ACTIONS(1187),
    [aux_sym_proxy_jump_token1] = ACTIONS(1187),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1187),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1187),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1187),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1187),
    [aux_sym_rekey_limit_token1] = ACTIONS(1187),
    [aux_sym_remote_command_token1] = ACTIONS(1187),
    [aux_sym_remote_forward_token1] = ACTIONS(1187),
    [aux_sym_request_tty_token1] = ACTIONS(1187),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1187),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1187),
    [aux_sym_security_key_provider_token1] = ACTIONS(1187),
    [aux_sym_send_env_token1] = ACTIONS(1187),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1187),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1187),
    [aux_sym_session_type_token1] = ACTIONS(1187),
    [aux_sym_set_env_token1] = ACTIONS(1187),
    [aux_sym_stdin_null_token1] = ACTIONS(1187),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1187),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1187),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1187),
    [aux_sym_syslog_facility_token1] = ACTIONS(1187),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1187),
    [aux_sym_keep_alive_token1] = ACTIONS(1187),
    [aux_sym_tag_token1] = ACTIONS(1187),
    [aux_sym_tunnel_token1] = ACTIONS(1189),
    [aux_sym_tunnel_device_token1] = ACTIONS(1187),
    [aux_sym_update_host_keys_token1] = ACTIONS(1187),
    [aux_sym_use_keychain_token1] = ACTIONS(1187),
    [aux_sym_use_roaming_token1] = ACTIONS(1187),
    [aux_sym_user_token1] = ACTIONS(1189),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1187),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1187),
    [aux_sym_visual_host_key_token1] = ACTIONS(1187),
    [aux_sym_xauth_location_token1] = ACTIONS(1187),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3241),
    [aux_sym_match_token1] = ACTIONS(3239),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3239),
    [aux_sym_address_family_token1] = ACTIONS(3239),
    [aux_sym_batch_mode_token1] = ACTIONS(3239),
    [aux_sym_bind_address_token1] = ACTIONS(3239),
    [aux_sym_bind_interface_token1] = ACTIONS(3239),
    [aux_sym_canonical_domains_token1] = ACTIONS(3239),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3239),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3239),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3239),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3239),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3239),
    [aux_sym_certificate_file_token1] = ACTIONS(3239),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3239),
    [aux_sym_channel_timeout_token1] = ACTIONS(3239),
    [aux_sym_check_host_ip_token1] = ACTIONS(3239),
    [aux_sym_ciphers_token1] = ACTIONS(3239),
    [aux_sym_cipher_token1] = ACTIONS(3241),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3239),
    [aux_sym_compression_token1] = ACTIONS(3239),
    [aux_sym_connection_attempts_token1] = ACTIONS(3239),
    [aux_sym_connect_timeout_token1] = ACTIONS(3239),
    [aux_sym_control_master_token1] = ACTIONS(3239),
    [aux_sym_control_path_token1] = ACTIONS(3239),
    [aux_sym_control_persist_token1] = ACTIONS(3239),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3239),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3239),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3239),
    [aux_sym_escape_char_token1] = ACTIONS(3239),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3239),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3239),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3239),
    [aux_sym_forward_agent_token1] = ACTIONS(3239),
    [aux_sym_forward_x11_token1] = ACTIONS(3241),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3239),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3239),
    [aux_sym_gateway_ports_token1] = ACTIONS(3239),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3239),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3239),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3239),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3239),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3239),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3239),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3239),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3239),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3239),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3239),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3239),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3239),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3239),
    [aux_sym_host_key_alias_token1] = ACTIONS(3239),
    [aux_sym_hostname_token1] = ACTIONS(3239),
    [aux_sym_identities_only_token1] = ACTIONS(3239),
    [aux_sym_identity_agent_token1] = ACTIONS(3239),
    [aux_sym_identity_file_token1] = ACTIONS(3239),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3239),
    [aux_sym_include_token1] = ACTIONS(3239),
    [aux_sym_ip_qos_token1] = ACTIONS(3239),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3239),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3239),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3239),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3239),
    [aux_sym_local_command_token1] = ACTIONS(3239),
    [aux_sym_local_forward_token1] = ACTIONS(3239),
    [aux_sym_log_level_token1] = ACTIONS(3239),
    [aux_sym_log_verbose_token1] = ACTIONS(3239),
    [aux_sym_macs_token1] = ACTIONS(3239),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3239),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3239),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3239),
    [aux_sym_password_authentication_token1] = ACTIONS(3239),
    [aux_sym_permit_local_command_token1] = ACTIONS(3239),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3239),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3239),
    [aux_sym_port_token1] = ACTIONS(3239),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3239),
    [aux_sym_protocol_token1] = ACTIONS(3239),
    [aux_sym_proxy_command_token1] = ACTIONS(3239),
    [aux_sym_proxy_jump_token1] = ACTIONS(3239),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3239),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3239),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3239),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3239),
    [aux_sym_rekey_limit_token1] = ACTIONS(3239),
    [aux_sym_remote_command_token1] = ACTIONS(3239),
    [aux_sym_remote_forward_token1] = ACTIONS(3239),
    [aux_sym_request_tty_token1] = ACTIONS(3239),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3239),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3239),
    [aux_sym_security_key_provider_token1] = ACTIONS(3239),
    [aux_sym_send_env_token1] = ACTIONS(3239),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3239),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3239),
    [aux_sym_session_type_token1] = ACTIONS(3239),
    [aux_sym_set_env_token1] = ACTIONS(3239),
    [aux_sym_stdin_null_token1] = ACTIONS(3239),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3239),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3239),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3239),
    [aux_sym_syslog_facility_token1] = ACTIONS(3239),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3239),
    [aux_sym_keep_alive_token1] = ACTIONS(3239),
    [aux_sym_tag_token1] = ACTIONS(3239),
    [aux_sym_tunnel_token1] = ACTIONS(3241),
    [aux_sym_tunnel_device_token1] = ACTIONS(3239),
    [aux_sym_update_host_keys_token1] = ACTIONS(3239),
    [aux_sym_use_keychain_token1] = ACTIONS(3239),
    [aux_sym_use_roaming_token1] = ACTIONS(3239),
    [aux_sym_user_token1] = ACTIONS(3241),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3239),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3239),
    [aux_sym_visual_host_key_token1] = ACTIONS(3239),
    [aux_sym_xauth_location_token1] = ACTIONS(3239),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1141),
    [aux_sym_match_token1] = ACTIONS(1139),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1139),
    [aux_sym_address_family_token1] = ACTIONS(1139),
    [aux_sym_batch_mode_token1] = ACTIONS(1139),
    [aux_sym_bind_address_token1] = ACTIONS(1139),
    [aux_sym_bind_interface_token1] = ACTIONS(1139),
    [aux_sym_canonical_domains_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1139),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1139),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1139),
    [aux_sym_certificate_file_token1] = ACTIONS(1139),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1139),
    [aux_sym_channel_timeout_token1] = ACTIONS(1139),
    [aux_sym_check_host_ip_token1] = ACTIONS(1139),
    [aux_sym_ciphers_token1] = ACTIONS(1139),
    [aux_sym_cipher_token1] = ACTIONS(1141),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1139),
    [aux_sym_compression_token1] = ACTIONS(1139),
    [aux_sym_connection_attempts_token1] = ACTIONS(1139),
    [aux_sym_connect_timeout_token1] = ACTIONS(1139),
    [aux_sym_control_master_token1] = ACTIONS(1139),
    [aux_sym_control_path_token1] = ACTIONS(1139),
    [aux_sym_control_persist_token1] = ACTIONS(1139),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1139),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1139),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1139),
    [aux_sym_escape_char_token1] = ACTIONS(1139),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1139),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1139),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1139),
    [aux_sym_forward_agent_token1] = ACTIONS(1139),
    [aux_sym_forward_x11_token1] = ACTIONS(1141),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1139),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1139),
    [aux_sym_gateway_ports_token1] = ACTIONS(1139),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1139),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1139),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1139),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1139),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1139),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1139),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1139),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1139),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1139),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1139),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1139),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1139),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1139),
    [aux_sym_host_key_alias_token1] = ACTIONS(1139),
    [aux_sym_hostname_token1] = ACTIONS(1139),
    [aux_sym_identities_only_token1] = ACTIONS(1139),
    [aux_sym_identity_agent_token1] = ACTIONS(1139),
    [aux_sym_identity_file_token1] = ACTIONS(1139),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1139),
    [aux_sym_include_token1] = ACTIONS(1139),
    [aux_sym_ip_qos_token1] = ACTIONS(1139),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1139),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1139),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1139),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1139),
    [aux_sym_local_command_token1] = ACTIONS(1139),
    [aux_sym_local_forward_token1] = ACTIONS(1139),
    [aux_sym_log_level_token1] = ACTIONS(1139),
    [aux_sym_log_verbose_token1] = ACTIONS(1139),
    [aux_sym_macs_token1] = ACTIONS(1139),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1139),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1139),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1139),
    [aux_sym_password_authentication_token1] = ACTIONS(1139),
    [aux_sym_permit_local_command_token1] = ACTIONS(1139),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1139),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1139),
    [aux_sym_port_token1] = ACTIONS(1139),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1139),
    [aux_sym_protocol_token1] = ACTIONS(1139),
    [aux_sym_proxy_command_token1] = ACTIONS(1139),
    [aux_sym_proxy_jump_token1] = ACTIONS(1139),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1139),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1139),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1139),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1139),
    [aux_sym_rekey_limit_token1] = ACTIONS(1139),
    [aux_sym_remote_command_token1] = ACTIONS(1139),
    [aux_sym_remote_forward_token1] = ACTIONS(1139),
    [aux_sym_request_tty_token1] = ACTIONS(1139),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1139),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1139),
    [aux_sym_security_key_provider_token1] = ACTIONS(1139),
    [aux_sym_send_env_token1] = ACTIONS(1139),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1139),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1139),
    [aux_sym_session_type_token1] = ACTIONS(1139),
    [aux_sym_set_env_token1] = ACTIONS(1139),
    [aux_sym_stdin_null_token1] = ACTIONS(1139),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1139),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1139),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1139),
    [aux_sym_syslog_facility_token1] = ACTIONS(1139),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1139),
    [aux_sym_keep_alive_token1] = ACTIONS(1139),
    [aux_sym_tag_token1] = ACTIONS(1139),
    [aux_sym_tunnel_token1] = ACTIONS(1141),
    [aux_sym_tunnel_device_token1] = ACTIONS(1139),
    [aux_sym_update_host_keys_token1] = ACTIONS(1139),
    [aux_sym_use_keychain_token1] = ACTIONS(1139),
    [aux_sym_use_roaming_token1] = ACTIONS(1139),
    [aux_sym_user_token1] = ACTIONS(1141),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1139),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1139),
    [aux_sym_visual_host_key_token1] = ACTIONS(1139),
    [aux_sym_xauth_location_token1] = ACTIONS(1139),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1195),
    [aux_sym_match_token1] = ACTIONS(1193),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1193),
    [aux_sym_address_family_token1] = ACTIONS(1193),
    [aux_sym_batch_mode_token1] = ACTIONS(1193),
    [aux_sym_bind_address_token1] = ACTIONS(1193),
    [aux_sym_bind_interface_token1] = ACTIONS(1193),
    [aux_sym_canonical_domains_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1193),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1193),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1193),
    [aux_sym_certificate_file_token1] = ACTIONS(1193),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1193),
    [aux_sym_channel_timeout_token1] = ACTIONS(1193),
    [aux_sym_check_host_ip_token1] = ACTIONS(1193),
    [aux_sym_ciphers_token1] = ACTIONS(1193),
    [aux_sym_cipher_token1] = ACTIONS(1195),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1193),
    [aux_sym_compression_token1] = ACTIONS(1193),
    [aux_sym_connection_attempts_token1] = ACTIONS(1193),
    [aux_sym_connect_timeout_token1] = ACTIONS(1193),
    [aux_sym_control_master_token1] = ACTIONS(1193),
    [aux_sym_control_path_token1] = ACTIONS(1193),
    [aux_sym_control_persist_token1] = ACTIONS(1193),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1193),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1193),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1193),
    [aux_sym_escape_char_token1] = ACTIONS(1193),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1193),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1193),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1193),
    [aux_sym_forward_agent_token1] = ACTIONS(1193),
    [aux_sym_forward_x11_token1] = ACTIONS(1195),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1193),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1193),
    [aux_sym_gateway_ports_token1] = ACTIONS(1193),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1193),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1193),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1193),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1193),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1193),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1193),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1193),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1193),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1193),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1193),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1193),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1193),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1193),
    [aux_sym_host_key_alias_token1] = ACTIONS(1193),
    [aux_sym_hostname_token1] = ACTIONS(1193),
    [aux_sym_identities_only_token1] = ACTIONS(1193),
    [aux_sym_identity_agent_token1] = ACTIONS(1193),
    [aux_sym_identity_file_token1] = ACTIONS(1193),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1193),
    [aux_sym_include_token1] = ACTIONS(1193),
    [aux_sym_ip_qos_token1] = ACTIONS(1193),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1193),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1193),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1193),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1193),
    [aux_sym_local_command_token1] = ACTIONS(1193),
    [aux_sym_local_forward_token1] = ACTIONS(1193),
    [aux_sym_log_level_token1] = ACTIONS(1193),
    [aux_sym_log_verbose_token1] = ACTIONS(1193),
    [aux_sym_macs_token1] = ACTIONS(1193),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1193),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1193),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1193),
    [aux_sym_password_authentication_token1] = ACTIONS(1193),
    [aux_sym_permit_local_command_token1] = ACTIONS(1193),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1193),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1193),
    [aux_sym_port_token1] = ACTIONS(1193),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1193),
    [aux_sym_protocol_token1] = ACTIONS(1193),
    [aux_sym_proxy_command_token1] = ACTIONS(1193),
    [aux_sym_proxy_jump_token1] = ACTIONS(1193),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1193),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1193),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1193),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1193),
    [aux_sym_rekey_limit_token1] = ACTIONS(1193),
    [aux_sym_remote_command_token1] = ACTIONS(1193),
    [aux_sym_remote_forward_token1] = ACTIONS(1193),
    [aux_sym_request_tty_token1] = ACTIONS(1193),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1193),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1193),
    [aux_sym_security_key_provider_token1] = ACTIONS(1193),
    [aux_sym_send_env_token1] = ACTIONS(1193),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1193),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1193),
    [aux_sym_session_type_token1] = ACTIONS(1193),
    [aux_sym_set_env_token1] = ACTIONS(1193),
    [aux_sym_stdin_null_token1] = ACTIONS(1193),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1193),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1193),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1193),
    [aux_sym_syslog_facility_token1] = ACTIONS(1193),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1193),
    [aux_sym_keep_alive_token1] = ACTIONS(1193),
    [aux_sym_tag_token1] = ACTIONS(1193),
    [aux_sym_tunnel_token1] = ACTIONS(1195),
    [aux_sym_tunnel_device_token1] = ACTIONS(1193),
    [aux_sym_update_host_keys_token1] = ACTIONS(1193),
    [aux_sym_use_keychain_token1] = ACTIONS(1193),
    [aux_sym_use_roaming_token1] = ACTIONS(1193),
    [aux_sym_user_token1] = ACTIONS(1195),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1193),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1193),
    [aux_sym_visual_host_key_token1] = ACTIONS(1193),
    [aux_sym_xauth_location_token1] = ACTIONS(1193),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3245),
    [aux_sym_match_token1] = ACTIONS(3243),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3243),
    [aux_sym_address_family_token1] = ACTIONS(3243),
    [aux_sym_batch_mode_token1] = ACTIONS(3243),
    [aux_sym_bind_address_token1] = ACTIONS(3243),
    [aux_sym_bind_interface_token1] = ACTIONS(3243),
    [aux_sym_canonical_domains_token1] = ACTIONS(3243),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3243),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3243),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3243),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3243),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3243),
    [aux_sym_certificate_file_token1] = ACTIONS(3243),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3243),
    [aux_sym_channel_timeout_token1] = ACTIONS(3243),
    [aux_sym_check_host_ip_token1] = ACTIONS(3243),
    [aux_sym_ciphers_token1] = ACTIONS(3243),
    [aux_sym_cipher_token1] = ACTIONS(3245),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3243),
    [aux_sym_compression_token1] = ACTIONS(3243),
    [aux_sym_connection_attempts_token1] = ACTIONS(3243),
    [aux_sym_connect_timeout_token1] = ACTIONS(3243),
    [aux_sym_control_master_token1] = ACTIONS(3243),
    [aux_sym_control_path_token1] = ACTIONS(3243),
    [aux_sym_control_persist_token1] = ACTIONS(3243),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3243),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3243),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3243),
    [aux_sym_escape_char_token1] = ACTIONS(3243),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3243),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3243),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3243),
    [aux_sym_forward_agent_token1] = ACTIONS(3243),
    [aux_sym_forward_x11_token1] = ACTIONS(3245),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3243),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3243),
    [aux_sym_gateway_ports_token1] = ACTIONS(3243),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3243),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3243),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3243),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3243),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3243),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3243),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3243),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3243),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3243),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3243),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3243),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3243),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3243),
    [aux_sym_host_key_alias_token1] = ACTIONS(3243),
    [aux_sym_hostname_token1] = ACTIONS(3243),
    [aux_sym_identities_only_token1] = ACTIONS(3243),
    [aux_sym_identity_agent_token1] = ACTIONS(3243),
    [aux_sym_identity_file_token1] = ACTIONS(3243),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3243),
    [aux_sym_include_token1] = ACTIONS(3243),
    [aux_sym_ip_qos_token1] = ACTIONS(3243),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3243),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3243),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3243),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3243),
    [aux_sym_local_command_token1] = ACTIONS(3243),
    [aux_sym_local_forward_token1] = ACTIONS(3243),
    [aux_sym_log_level_token1] = ACTIONS(3243),
    [aux_sym_log_verbose_token1] = ACTIONS(3243),
    [aux_sym_macs_token1] = ACTIONS(3243),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3243),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3243),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3243),
    [aux_sym_password_authentication_token1] = ACTIONS(3243),
    [aux_sym_permit_local_command_token1] = ACTIONS(3243),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3243),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3243),
    [aux_sym_port_token1] = ACTIONS(3243),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3243),
    [aux_sym_protocol_token1] = ACTIONS(3243),
    [aux_sym_proxy_command_token1] = ACTIONS(3243),
    [aux_sym_proxy_jump_token1] = ACTIONS(3243),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3243),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3243),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3243),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3243),
    [aux_sym_rekey_limit_token1] = ACTIONS(3243),
    [aux_sym_remote_command_token1] = ACTIONS(3243),
    [aux_sym_remote_forward_token1] = ACTIONS(3243),
    [aux_sym_request_tty_token1] = ACTIONS(3243),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3243),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3243),
    [aux_sym_security_key_provider_token1] = ACTIONS(3243),
    [aux_sym_send_env_token1] = ACTIONS(3243),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3243),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3243),
    [aux_sym_session_type_token1] = ACTIONS(3243),
    [aux_sym_set_env_token1] = ACTIONS(3243),
    [aux_sym_stdin_null_token1] = ACTIONS(3243),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3243),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3243),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3243),
    [aux_sym_syslog_facility_token1] = ACTIONS(3243),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3243),
    [aux_sym_keep_alive_token1] = ACTIONS(3243),
    [aux_sym_tag_token1] = ACTIONS(3243),
    [aux_sym_tunnel_token1] = ACTIONS(3245),
    [aux_sym_tunnel_device_token1] = ACTIONS(3243),
    [aux_sym_update_host_keys_token1] = ACTIONS(3243),
    [aux_sym_use_keychain_token1] = ACTIONS(3243),
    [aux_sym_use_roaming_token1] = ACTIONS(3243),
    [aux_sym_user_token1] = ACTIONS(3245),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3243),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3243),
    [aux_sym_visual_host_key_token1] = ACTIONS(3243),
    [aux_sym_xauth_location_token1] = ACTIONS(3243),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3249),
    [aux_sym_match_token1] = ACTIONS(3247),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3247),
    [aux_sym_address_family_token1] = ACTIONS(3247),
    [aux_sym_batch_mode_token1] = ACTIONS(3247),
    [aux_sym_bind_address_token1] = ACTIONS(3247),
    [aux_sym_bind_interface_token1] = ACTIONS(3247),
    [aux_sym_canonical_domains_token1] = ACTIONS(3247),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3247),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3247),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3247),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3247),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3247),
    [aux_sym_certificate_file_token1] = ACTIONS(3247),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3247),
    [aux_sym_channel_timeout_token1] = ACTIONS(3247),
    [aux_sym_check_host_ip_token1] = ACTIONS(3247),
    [aux_sym_ciphers_token1] = ACTIONS(3247),
    [aux_sym_cipher_token1] = ACTIONS(3249),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3247),
    [aux_sym_compression_token1] = ACTIONS(3247),
    [aux_sym_connection_attempts_token1] = ACTIONS(3247),
    [aux_sym_connect_timeout_token1] = ACTIONS(3247),
    [aux_sym_control_master_token1] = ACTIONS(3247),
    [aux_sym_control_path_token1] = ACTIONS(3247),
    [aux_sym_control_persist_token1] = ACTIONS(3247),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3247),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3247),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3247),
    [aux_sym_escape_char_token1] = ACTIONS(3247),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3247),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3247),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3247),
    [aux_sym_forward_agent_token1] = ACTIONS(3247),
    [aux_sym_forward_x11_token1] = ACTIONS(3249),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3247),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3247),
    [aux_sym_gateway_ports_token1] = ACTIONS(3247),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3247),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3247),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3247),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3247),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3247),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3247),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3247),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3247),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3247),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3247),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3247),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3247),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3247),
    [aux_sym_host_key_alias_token1] = ACTIONS(3247),
    [aux_sym_hostname_token1] = ACTIONS(3247),
    [aux_sym_identities_only_token1] = ACTIONS(3247),
    [aux_sym_identity_agent_token1] = ACTIONS(3247),
    [aux_sym_identity_file_token1] = ACTIONS(3247),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3247),
    [aux_sym_include_token1] = ACTIONS(3247),
    [aux_sym_ip_qos_token1] = ACTIONS(3247),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3247),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3247),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3247),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3247),
    [aux_sym_local_command_token1] = ACTIONS(3247),
    [aux_sym_local_forward_token1] = ACTIONS(3247),
    [aux_sym_log_level_token1] = ACTIONS(3247),
    [aux_sym_log_verbose_token1] = ACTIONS(3247),
    [aux_sym_macs_token1] = ACTIONS(3247),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3247),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3247),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3247),
    [aux_sym_password_authentication_token1] = ACTIONS(3247),
    [aux_sym_permit_local_command_token1] = ACTIONS(3247),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3247),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3247),
    [aux_sym_port_token1] = ACTIONS(3247),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3247),
    [aux_sym_protocol_token1] = ACTIONS(3247),
    [aux_sym_proxy_command_token1] = ACTIONS(3247),
    [aux_sym_proxy_jump_token1] = ACTIONS(3247),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3247),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3247),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3247),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3247),
    [aux_sym_rekey_limit_token1] = ACTIONS(3247),
    [aux_sym_remote_command_token1] = ACTIONS(3247),
    [aux_sym_remote_forward_token1] = ACTIONS(3247),
    [aux_sym_request_tty_token1] = ACTIONS(3247),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3247),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3247),
    [aux_sym_security_key_provider_token1] = ACTIONS(3247),
    [aux_sym_send_env_token1] = ACTIONS(3247),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3247),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3247),
    [aux_sym_session_type_token1] = ACTIONS(3247),
    [aux_sym_set_env_token1] = ACTIONS(3247),
    [aux_sym_stdin_null_token1] = ACTIONS(3247),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3247),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3247),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3247),
    [aux_sym_syslog_facility_token1] = ACTIONS(3247),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3247),
    [aux_sym_keep_alive_token1] = ACTIONS(3247),
    [aux_sym_tag_token1] = ACTIONS(3247),
    [aux_sym_tunnel_token1] = ACTIONS(3249),
    [aux_sym_tunnel_device_token1] = ACTIONS(3247),
    [aux_sym_update_host_keys_token1] = ACTIONS(3247),
    [aux_sym_use_keychain_token1] = ACTIONS(3247),
    [aux_sym_use_roaming_token1] = ACTIONS(3247),
    [aux_sym_user_token1] = ACTIONS(3249),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3247),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3247),
    [aux_sym_visual_host_key_token1] = ACTIONS(3247),
    [aux_sym_xauth_location_token1] = ACTIONS(3247),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(3251),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3253),
    [aux_sym_match_token1] = ACTIONS(3251),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3251),
    [aux_sym_address_family_token1] = ACTIONS(3251),
    [aux_sym_batch_mode_token1] = ACTIONS(3251),
    [aux_sym_bind_address_token1] = ACTIONS(3251),
    [aux_sym_bind_interface_token1] = ACTIONS(3251),
    [aux_sym_canonical_domains_token1] = ACTIONS(3251),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3251),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3251),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3251),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3251),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3251),
    [aux_sym_certificate_file_token1] = ACTIONS(3251),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3251),
    [aux_sym_channel_timeout_token1] = ACTIONS(3251),
    [aux_sym_check_host_ip_token1] = ACTIONS(3251),
    [aux_sym_ciphers_token1] = ACTIONS(3251),
    [aux_sym_cipher_token1] = ACTIONS(3253),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3251),
    [aux_sym_compression_token1] = ACTIONS(3251),
    [aux_sym_connection_attempts_token1] = ACTIONS(3251),
    [aux_sym_connect_timeout_token1] = ACTIONS(3251),
    [aux_sym_control_master_token1] = ACTIONS(3251),
    [aux_sym_control_path_token1] = ACTIONS(3251),
    [aux_sym_control_persist_token1] = ACTIONS(3251),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3251),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3251),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3251),
    [aux_sym_escape_char_token1] = ACTIONS(3251),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3251),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3251),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3251),
    [aux_sym_forward_agent_token1] = ACTIONS(3251),
    [aux_sym_forward_x11_token1] = ACTIONS(3253),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3251),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3251),
    [aux_sym_gateway_ports_token1] = ACTIONS(3251),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3251),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3251),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3251),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3251),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3251),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3251),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3251),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3251),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3251),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3251),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3251),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3251),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3251),
    [aux_sym_host_key_alias_token1] = ACTIONS(3251),
    [aux_sym_hostname_token1] = ACTIONS(3251),
    [aux_sym_identities_only_token1] = ACTIONS(3251),
    [aux_sym_identity_agent_token1] = ACTIONS(3251),
    [aux_sym_identity_file_token1] = ACTIONS(3251),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3251),
    [aux_sym_include_token1] = ACTIONS(3251),
    [aux_sym_ip_qos_token1] = ACTIONS(3251),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3251),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3251),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3251),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3251),
    [aux_sym_local_command_token1] = ACTIONS(3251),
    [aux_sym_local_forward_token1] = ACTIONS(3251),
    [aux_sym_log_level_token1] = ACTIONS(3251),
    [aux_sym_log_verbose_token1] = ACTIONS(3251),
    [aux_sym_macs_token1] = ACTIONS(3251),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3251),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3251),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3251),
    [aux_sym_password_authentication_token1] = ACTIONS(3251),
    [aux_sym_permit_local_command_token1] = ACTIONS(3251),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3251),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3251),
    [aux_sym_port_token1] = ACTIONS(3251),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3251),
    [aux_sym_protocol_token1] = ACTIONS(3251),
    [aux_sym_proxy_command_token1] = ACTIONS(3251),
    [aux_sym_proxy_jump_token1] = ACTIONS(3251),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3251),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3251),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3251),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3251),
    [aux_sym_rekey_limit_token1] = ACTIONS(3251),
    [aux_sym_remote_command_token1] = ACTIONS(3251),
    [aux_sym_remote_forward_token1] = ACTIONS(3251),
    [aux_sym_request_tty_token1] = ACTIONS(3251),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3251),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3251),
    [aux_sym_security_key_provider_token1] = ACTIONS(3251),
    [aux_sym_send_env_token1] = ACTIONS(3251),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3251),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3251),
    [aux_sym_session_type_token1] = ACTIONS(3251),
    [aux_sym_set_env_token1] = ACTIONS(3251),
    [aux_sym_stdin_null_token1] = ACTIONS(3251),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3251),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3251),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3251),
    [aux_sym_syslog_facility_token1] = ACTIONS(3251),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3251),
    [aux_sym_keep_alive_token1] = ACTIONS(3251),
    [aux_sym_tag_token1] = ACTIONS(3251),
    [aux_sym_tunnel_token1] = ACTIONS(3253),
    [aux_sym_tunnel_device_token1] = ACTIONS(3251),
    [aux_sym_update_host_keys_token1] = ACTIONS(3251),
    [aux_sym_use_keychain_token1] = ACTIONS(3251),
    [aux_sym_use_roaming_token1] = ACTIONS(3251),
    [aux_sym_user_token1] = ACTIONS(3253),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3251),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3251),
    [aux_sym_visual_host_key_token1] = ACTIONS(3251),
    [aux_sym_xauth_location_token1] = ACTIONS(3251),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3257),
    [aux_sym_match_token1] = ACTIONS(3255),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3255),
    [aux_sym_address_family_token1] = ACTIONS(3255),
    [aux_sym_batch_mode_token1] = ACTIONS(3255),
    [aux_sym_bind_address_token1] = ACTIONS(3255),
    [aux_sym_bind_interface_token1] = ACTIONS(3255),
    [aux_sym_canonical_domains_token1] = ACTIONS(3255),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3255),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3255),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3255),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3255),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3255),
    [aux_sym_certificate_file_token1] = ACTIONS(3255),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3255),
    [aux_sym_channel_timeout_token1] = ACTIONS(3255),
    [aux_sym_check_host_ip_token1] = ACTIONS(3255),
    [aux_sym_ciphers_token1] = ACTIONS(3255),
    [aux_sym_cipher_token1] = ACTIONS(3257),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3255),
    [aux_sym_compression_token1] = ACTIONS(3255),
    [aux_sym_connection_attempts_token1] = ACTIONS(3255),
    [aux_sym_connect_timeout_token1] = ACTIONS(3255),
    [aux_sym_control_master_token1] = ACTIONS(3255),
    [aux_sym_control_path_token1] = ACTIONS(3255),
    [aux_sym_control_persist_token1] = ACTIONS(3255),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3255),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3255),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3255),
    [aux_sym_escape_char_token1] = ACTIONS(3255),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3255),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3255),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3255),
    [aux_sym_forward_agent_token1] = ACTIONS(3255),
    [aux_sym_forward_x11_token1] = ACTIONS(3257),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3255),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3255),
    [aux_sym_gateway_ports_token1] = ACTIONS(3255),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3255),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3255),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3255),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3255),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3255),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3255),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3255),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3255),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3255),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3255),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3255),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3255),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3255),
    [aux_sym_host_key_alias_token1] = ACTIONS(3255),
    [aux_sym_hostname_token1] = ACTIONS(3255),
    [aux_sym_identities_only_token1] = ACTIONS(3255),
    [aux_sym_identity_agent_token1] = ACTIONS(3255),
    [aux_sym_identity_file_token1] = ACTIONS(3255),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3255),
    [aux_sym_include_token1] = ACTIONS(3255),
    [aux_sym_ip_qos_token1] = ACTIONS(3255),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3255),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3255),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3255),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3255),
    [aux_sym_local_command_token1] = ACTIONS(3255),
    [aux_sym_local_forward_token1] = ACTIONS(3255),
    [aux_sym_log_level_token1] = ACTIONS(3255),
    [aux_sym_log_verbose_token1] = ACTIONS(3255),
    [aux_sym_macs_token1] = ACTIONS(3255),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3255),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3255),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3255),
    [aux_sym_password_authentication_token1] = ACTIONS(3255),
    [aux_sym_permit_local_command_token1] = ACTIONS(3255),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3255),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3255),
    [aux_sym_port_token1] = ACTIONS(3255),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3255),
    [aux_sym_protocol_token1] = ACTIONS(3255),
    [aux_sym_proxy_command_token1] = ACTIONS(3255),
    [aux_sym_proxy_jump_token1] = ACTIONS(3255),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3255),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3255),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3255),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3255),
    [aux_sym_rekey_limit_token1] = ACTIONS(3255),
    [aux_sym_remote_command_token1] = ACTIONS(3255),
    [aux_sym_remote_forward_token1] = ACTIONS(3255),
    [aux_sym_request_tty_token1] = ACTIONS(3255),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3255),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3255),
    [aux_sym_security_key_provider_token1] = ACTIONS(3255),
    [aux_sym_send_env_token1] = ACTIONS(3255),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3255),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3255),
    [aux_sym_session_type_token1] = ACTIONS(3255),
    [aux_sym_set_env_token1] = ACTIONS(3255),
    [aux_sym_stdin_null_token1] = ACTIONS(3255),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3255),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3255),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3255),
    [aux_sym_syslog_facility_token1] = ACTIONS(3255),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3255),
    [aux_sym_keep_alive_token1] = ACTIONS(3255),
    [aux_sym_tag_token1] = ACTIONS(3255),
    [aux_sym_tunnel_token1] = ACTIONS(3257),
    [aux_sym_tunnel_device_token1] = ACTIONS(3255),
    [aux_sym_update_host_keys_token1] = ACTIONS(3255),
    [aux_sym_use_keychain_token1] = ACTIONS(3255),
    [aux_sym_use_roaming_token1] = ACTIONS(3255),
    [aux_sym_user_token1] = ACTIONS(3257),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3255),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3255),
    [aux_sym_visual_host_key_token1] = ACTIONS(3255),
    [aux_sym_xauth_location_token1] = ACTIONS(3255),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1111),
    [aux_sym_match_token1] = ACTIONS(1109),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1109),
    [aux_sym_address_family_token1] = ACTIONS(1109),
    [aux_sym_batch_mode_token1] = ACTIONS(1109),
    [aux_sym_bind_address_token1] = ACTIONS(1109),
    [aux_sym_bind_interface_token1] = ACTIONS(1109),
    [aux_sym_canonical_domains_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1109),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1109),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1109),
    [aux_sym_certificate_file_token1] = ACTIONS(1109),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1109),
    [aux_sym_channel_timeout_token1] = ACTIONS(1109),
    [aux_sym_check_host_ip_token1] = ACTIONS(1109),
    [aux_sym_ciphers_token1] = ACTIONS(1109),
    [aux_sym_cipher_token1] = ACTIONS(1111),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1109),
    [aux_sym_compression_token1] = ACTIONS(1109),
    [aux_sym_connection_attempts_token1] = ACTIONS(1109),
    [aux_sym_connect_timeout_token1] = ACTIONS(1109),
    [aux_sym_control_master_token1] = ACTIONS(1109),
    [aux_sym_control_path_token1] = ACTIONS(1109),
    [aux_sym_control_persist_token1] = ACTIONS(1109),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1109),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1109),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1109),
    [aux_sym_escape_char_token1] = ACTIONS(1109),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1109),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1109),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1109),
    [aux_sym_forward_agent_token1] = ACTIONS(1109),
    [aux_sym_forward_x11_token1] = ACTIONS(1111),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1109),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1109),
    [aux_sym_gateway_ports_token1] = ACTIONS(1109),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1109),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1109),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1109),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1109),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1109),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1109),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1109),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1109),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1109),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1109),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1109),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1109),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1109),
    [aux_sym_host_key_alias_token1] = ACTIONS(1109),
    [aux_sym_hostname_token1] = ACTIONS(1109),
    [aux_sym_identities_only_token1] = ACTIONS(1109),
    [aux_sym_identity_agent_token1] = ACTIONS(1109),
    [aux_sym_identity_file_token1] = ACTIONS(1109),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1109),
    [aux_sym_include_token1] = ACTIONS(1109),
    [aux_sym_ip_qos_token1] = ACTIONS(1109),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1109),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1109),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1109),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1109),
    [aux_sym_local_command_token1] = ACTIONS(1109),
    [aux_sym_local_forward_token1] = ACTIONS(1109),
    [aux_sym_log_level_token1] = ACTIONS(1109),
    [aux_sym_log_verbose_token1] = ACTIONS(1109),
    [aux_sym_macs_token1] = ACTIONS(1109),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1109),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1109),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1109),
    [aux_sym_password_authentication_token1] = ACTIONS(1109),
    [aux_sym_permit_local_command_token1] = ACTIONS(1109),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1109),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1109),
    [aux_sym_port_token1] = ACTIONS(1109),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1109),
    [aux_sym_protocol_token1] = ACTIONS(1109),
    [aux_sym_proxy_command_token1] = ACTIONS(1109),
    [aux_sym_proxy_jump_token1] = ACTIONS(1109),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1109),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1109),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1109),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1109),
    [aux_sym_rekey_limit_token1] = ACTIONS(1109),
    [aux_sym_remote_command_token1] = ACTIONS(1109),
    [aux_sym_remote_forward_token1] = ACTIONS(1109),
    [aux_sym_request_tty_token1] = ACTIONS(1109),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1109),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1109),
    [aux_sym_security_key_provider_token1] = ACTIONS(1109),
    [aux_sym_send_env_token1] = ACTIONS(1109),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1109),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1109),
    [aux_sym_session_type_token1] = ACTIONS(1109),
    [aux_sym_set_env_token1] = ACTIONS(1109),
    [aux_sym_stdin_null_token1] = ACTIONS(1109),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1109),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1109),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1109),
    [aux_sym_syslog_facility_token1] = ACTIONS(1109),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1109),
    [aux_sym_keep_alive_token1] = ACTIONS(1109),
    [aux_sym_tag_token1] = ACTIONS(1109),
    [aux_sym_tunnel_token1] = ACTIONS(1111),
    [aux_sym_tunnel_device_token1] = ACTIONS(1109),
    [aux_sym_update_host_keys_token1] = ACTIONS(1109),
    [aux_sym_use_keychain_token1] = ACTIONS(1109),
    [aux_sym_use_roaming_token1] = ACTIONS(1109),
    [aux_sym_user_token1] = ACTIONS(1111),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1109),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1109),
    [aux_sym_visual_host_key_token1] = ACTIONS(1109),
    [aux_sym_xauth_location_token1] = ACTIONS(1109),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1201),
    [aux_sym_match_token1] = ACTIONS(1199),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1199),
    [aux_sym_address_family_token1] = ACTIONS(1199),
    [aux_sym_batch_mode_token1] = ACTIONS(1199),
    [aux_sym_bind_address_token1] = ACTIONS(1199),
    [aux_sym_bind_interface_token1] = ACTIONS(1199),
    [aux_sym_canonical_domains_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1199),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1199),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1199),
    [aux_sym_certificate_file_token1] = ACTIONS(1199),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1199),
    [aux_sym_channel_timeout_token1] = ACTIONS(1199),
    [aux_sym_check_host_ip_token1] = ACTIONS(1199),
    [aux_sym_ciphers_token1] = ACTIONS(1199),
    [aux_sym_cipher_token1] = ACTIONS(1201),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1199),
    [aux_sym_compression_token1] = ACTIONS(1199),
    [aux_sym_connection_attempts_token1] = ACTIONS(1199),
    [aux_sym_connect_timeout_token1] = ACTIONS(1199),
    [aux_sym_control_master_token1] = ACTIONS(1199),
    [aux_sym_control_path_token1] = ACTIONS(1199),
    [aux_sym_control_persist_token1] = ACTIONS(1199),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1199),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1199),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1199),
    [aux_sym_escape_char_token1] = ACTIONS(1199),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1199),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1199),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1199),
    [aux_sym_forward_agent_token1] = ACTIONS(1199),
    [aux_sym_forward_x11_token1] = ACTIONS(1201),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1199),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1199),
    [aux_sym_gateway_ports_token1] = ACTIONS(1199),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1199),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1199),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1199),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1199),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1199),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1199),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1199),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1199),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1199),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1199),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1199),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1199),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1199),
    [aux_sym_host_key_alias_token1] = ACTIONS(1199),
    [aux_sym_hostname_token1] = ACTIONS(1199),
    [aux_sym_identities_only_token1] = ACTIONS(1199),
    [aux_sym_identity_agent_token1] = ACTIONS(1199),
    [aux_sym_identity_file_token1] = ACTIONS(1199),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1199),
    [aux_sym_include_token1] = ACTIONS(1199),
    [aux_sym_ip_qos_token1] = ACTIONS(1199),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1199),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1199),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1199),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1199),
    [aux_sym_local_command_token1] = ACTIONS(1199),
    [aux_sym_local_forward_token1] = ACTIONS(1199),
    [aux_sym_log_level_token1] = ACTIONS(1199),
    [aux_sym_log_verbose_token1] = ACTIONS(1199),
    [aux_sym_macs_token1] = ACTIONS(1199),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1199),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1199),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1199),
    [aux_sym_password_authentication_token1] = ACTIONS(1199),
    [aux_sym_permit_local_command_token1] = ACTIONS(1199),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1199),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1199),
    [aux_sym_port_token1] = ACTIONS(1199),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1199),
    [aux_sym_protocol_token1] = ACTIONS(1199),
    [aux_sym_proxy_command_token1] = ACTIONS(1199),
    [aux_sym_proxy_jump_token1] = ACTIONS(1199),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1199),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1199),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1199),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1199),
    [aux_sym_rekey_limit_token1] = ACTIONS(1199),
    [aux_sym_remote_command_token1] = ACTIONS(1199),
    [aux_sym_remote_forward_token1] = ACTIONS(1199),
    [aux_sym_request_tty_token1] = ACTIONS(1199),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1199),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1199),
    [aux_sym_security_key_provider_token1] = ACTIONS(1199),
    [aux_sym_send_env_token1] = ACTIONS(1199),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1199),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1199),
    [aux_sym_session_type_token1] = ACTIONS(1199),
    [aux_sym_set_env_token1] = ACTIONS(1199),
    [aux_sym_stdin_null_token1] = ACTIONS(1199),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1199),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1199),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1199),
    [aux_sym_syslog_facility_token1] = ACTIONS(1199),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1199),
    [aux_sym_keep_alive_token1] = ACTIONS(1199),
    [aux_sym_tag_token1] = ACTIONS(1199),
    [aux_sym_tunnel_token1] = ACTIONS(1201),
    [aux_sym_tunnel_device_token1] = ACTIONS(1199),
    [aux_sym_update_host_keys_token1] = ACTIONS(1199),
    [aux_sym_use_keychain_token1] = ACTIONS(1199),
    [aux_sym_use_roaming_token1] = ACTIONS(1199),
    [aux_sym_user_token1] = ACTIONS(1201),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1199),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1199),
    [aux_sym_visual_host_key_token1] = ACTIONS(1199),
    [aux_sym_xauth_location_token1] = ACTIONS(1199),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1147),
    [aux_sym_match_token1] = ACTIONS(1145),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1145),
    [aux_sym_address_family_token1] = ACTIONS(1145),
    [aux_sym_batch_mode_token1] = ACTIONS(1145),
    [aux_sym_bind_address_token1] = ACTIONS(1145),
    [aux_sym_bind_interface_token1] = ACTIONS(1145),
    [aux_sym_canonical_domains_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1145),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1145),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1145),
    [aux_sym_certificate_file_token1] = ACTIONS(1145),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1145),
    [aux_sym_channel_timeout_token1] = ACTIONS(1145),
    [aux_sym_check_host_ip_token1] = ACTIONS(1145),
    [aux_sym_ciphers_token1] = ACTIONS(1145),
    [aux_sym_cipher_token1] = ACTIONS(1147),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1145),
    [aux_sym_compression_token1] = ACTIONS(1145),
    [aux_sym_connection_attempts_token1] = ACTIONS(1145),
    [aux_sym_connect_timeout_token1] = ACTIONS(1145),
    [aux_sym_control_master_token1] = ACTIONS(1145),
    [aux_sym_control_path_token1] = ACTIONS(1145),
    [aux_sym_control_persist_token1] = ACTIONS(1145),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1145),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1145),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1145),
    [aux_sym_escape_char_token1] = ACTIONS(1145),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1145),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1145),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1145),
    [aux_sym_forward_agent_token1] = ACTIONS(1145),
    [aux_sym_forward_x11_token1] = ACTIONS(1147),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1145),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1145),
    [aux_sym_gateway_ports_token1] = ACTIONS(1145),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1145),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1145),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1145),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1145),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1145),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1145),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1145),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1145),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1145),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1145),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1145),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1145),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1145),
    [aux_sym_host_key_alias_token1] = ACTIONS(1145),
    [aux_sym_hostname_token1] = ACTIONS(1145),
    [aux_sym_identities_only_token1] = ACTIONS(1145),
    [aux_sym_identity_agent_token1] = ACTIONS(1145),
    [aux_sym_identity_file_token1] = ACTIONS(1145),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1145),
    [aux_sym_include_token1] = ACTIONS(1145),
    [aux_sym_ip_qos_token1] = ACTIONS(1145),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1145),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1145),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1145),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1145),
    [aux_sym_local_command_token1] = ACTIONS(1145),
    [aux_sym_local_forward_token1] = ACTIONS(1145),
    [aux_sym_log_level_token1] = ACTIONS(1145),
    [aux_sym_log_verbose_token1] = ACTIONS(1145),
    [aux_sym_macs_token1] = ACTIONS(1145),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1145),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1145),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1145),
    [aux_sym_password_authentication_token1] = ACTIONS(1145),
    [aux_sym_permit_local_command_token1] = ACTIONS(1145),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1145),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1145),
    [aux_sym_port_token1] = ACTIONS(1145),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1145),
    [aux_sym_protocol_token1] = ACTIONS(1145),
    [aux_sym_proxy_command_token1] = ACTIONS(1145),
    [aux_sym_proxy_jump_token1] = ACTIONS(1145),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1145),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1145),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1145),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1145),
    [aux_sym_rekey_limit_token1] = ACTIONS(1145),
    [aux_sym_remote_command_token1] = ACTIONS(1145),
    [aux_sym_remote_forward_token1] = ACTIONS(1145),
    [aux_sym_request_tty_token1] = ACTIONS(1145),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1145),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1145),
    [aux_sym_security_key_provider_token1] = ACTIONS(1145),
    [aux_sym_send_env_token1] = ACTIONS(1145),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1145),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1145),
    [aux_sym_session_type_token1] = ACTIONS(1145),
    [aux_sym_set_env_token1] = ACTIONS(1145),
    [aux_sym_stdin_null_token1] = ACTIONS(1145),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1145),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1145),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1145),
    [aux_sym_syslog_facility_token1] = ACTIONS(1145),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1145),
    [aux_sym_keep_alive_token1] = ACTIONS(1145),
    [aux_sym_tag_token1] = ACTIONS(1145),
    [aux_sym_tunnel_token1] = ACTIONS(1147),
    [aux_sym_tunnel_device_token1] = ACTIONS(1145),
    [aux_sym_update_host_keys_token1] = ACTIONS(1145),
    [aux_sym_use_keychain_token1] = ACTIONS(1145),
    [aux_sym_use_roaming_token1] = ACTIONS(1145),
    [aux_sym_user_token1] = ACTIONS(1147),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1145),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1145),
    [aux_sym_visual_host_key_token1] = ACTIONS(1145),
    [aux_sym_xauth_location_token1] = ACTIONS(1145),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1207),
    [aux_sym_match_token1] = ACTIONS(1205),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1205),
    [aux_sym_address_family_token1] = ACTIONS(1205),
    [aux_sym_batch_mode_token1] = ACTIONS(1205),
    [aux_sym_bind_address_token1] = ACTIONS(1205),
    [aux_sym_bind_interface_token1] = ACTIONS(1205),
    [aux_sym_canonical_domains_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1205),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1205),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1205),
    [aux_sym_certificate_file_token1] = ACTIONS(1205),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1205),
    [aux_sym_channel_timeout_token1] = ACTIONS(1205),
    [aux_sym_check_host_ip_token1] = ACTIONS(1205),
    [aux_sym_ciphers_token1] = ACTIONS(1205),
    [aux_sym_cipher_token1] = ACTIONS(1207),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1205),
    [aux_sym_compression_token1] = ACTIONS(1205),
    [aux_sym_connection_attempts_token1] = ACTIONS(1205),
    [aux_sym_connect_timeout_token1] = ACTIONS(1205),
    [aux_sym_control_master_token1] = ACTIONS(1205),
    [aux_sym_control_path_token1] = ACTIONS(1205),
    [aux_sym_control_persist_token1] = ACTIONS(1205),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1205),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1205),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1205),
    [aux_sym_escape_char_token1] = ACTIONS(1205),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1205),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1205),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1205),
    [aux_sym_forward_agent_token1] = ACTIONS(1205),
    [aux_sym_forward_x11_token1] = ACTIONS(1207),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1205),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1205),
    [aux_sym_gateway_ports_token1] = ACTIONS(1205),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1205),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1205),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1205),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1205),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1205),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1205),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1205),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1205),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1205),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1205),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1205),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1205),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1205),
    [aux_sym_host_key_alias_token1] = ACTIONS(1205),
    [aux_sym_hostname_token1] = ACTIONS(1205),
    [aux_sym_identities_only_token1] = ACTIONS(1205),
    [aux_sym_identity_agent_token1] = ACTIONS(1205),
    [aux_sym_identity_file_token1] = ACTIONS(1205),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1205),
    [aux_sym_include_token1] = ACTIONS(1205),
    [aux_sym_ip_qos_token1] = ACTIONS(1205),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1205),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1205),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1205),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1205),
    [aux_sym_local_command_token1] = ACTIONS(1205),
    [aux_sym_local_forward_token1] = ACTIONS(1205),
    [aux_sym_log_level_token1] = ACTIONS(1205),
    [aux_sym_log_verbose_token1] = ACTIONS(1205),
    [aux_sym_macs_token1] = ACTIONS(1205),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1205),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1205),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1205),
    [aux_sym_password_authentication_token1] = ACTIONS(1205),
    [aux_sym_permit_local_command_token1] = ACTIONS(1205),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1205),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1205),
    [aux_sym_port_token1] = ACTIONS(1205),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1205),
    [aux_sym_protocol_token1] = ACTIONS(1205),
    [aux_sym_proxy_command_token1] = ACTIONS(1205),
    [aux_sym_proxy_jump_token1] = ACTIONS(1205),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1205),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1205),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1205),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1205),
    [aux_sym_rekey_limit_token1] = ACTIONS(1205),
    [aux_sym_remote_command_token1] = ACTIONS(1205),
    [aux_sym_remote_forward_token1] = ACTIONS(1205),
    [aux_sym_request_tty_token1] = ACTIONS(1205),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1205),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1205),
    [aux_sym_security_key_provider_token1] = ACTIONS(1205),
    [aux_sym_send_env_token1] = ACTIONS(1205),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1205),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1205),
    [aux_sym_session_type_token1] = ACTIONS(1205),
    [aux_sym_set_env_token1] = ACTIONS(1205),
    [aux_sym_stdin_null_token1] = ACTIONS(1205),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1205),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1205),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1205),
    [aux_sym_syslog_facility_token1] = ACTIONS(1205),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1205),
    [aux_sym_keep_alive_token1] = ACTIONS(1205),
    [aux_sym_tag_token1] = ACTIONS(1205),
    [aux_sym_tunnel_token1] = ACTIONS(1207),
    [aux_sym_tunnel_device_token1] = ACTIONS(1205),
    [aux_sym_update_host_keys_token1] = ACTIONS(1205),
    [aux_sym_use_keychain_token1] = ACTIONS(1205),
    [aux_sym_use_roaming_token1] = ACTIONS(1205),
    [aux_sym_user_token1] = ACTIONS(1207),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1205),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1205),
    [aux_sym_visual_host_key_token1] = ACTIONS(1205),
    [aux_sym_xauth_location_token1] = ACTIONS(1205),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1087),
    [aux_sym_match_token1] = ACTIONS(1085),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1085),
    [aux_sym_address_family_token1] = ACTIONS(1085),
    [aux_sym_batch_mode_token1] = ACTIONS(1085),
    [aux_sym_bind_address_token1] = ACTIONS(1085),
    [aux_sym_bind_interface_token1] = ACTIONS(1085),
    [aux_sym_canonical_domains_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1085),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1085),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1085),
    [aux_sym_certificate_file_token1] = ACTIONS(1085),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1085),
    [aux_sym_channel_timeout_token1] = ACTIONS(1085),
    [aux_sym_check_host_ip_token1] = ACTIONS(1085),
    [aux_sym_ciphers_token1] = ACTIONS(1085),
    [aux_sym_cipher_token1] = ACTIONS(1087),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1085),
    [aux_sym_compression_token1] = ACTIONS(1085),
    [aux_sym_connection_attempts_token1] = ACTIONS(1085),
    [aux_sym_connect_timeout_token1] = ACTIONS(1085),
    [aux_sym_control_master_token1] = ACTIONS(1085),
    [aux_sym_control_path_token1] = ACTIONS(1085),
    [aux_sym_control_persist_token1] = ACTIONS(1085),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1085),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1085),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1085),
    [aux_sym_escape_char_token1] = ACTIONS(1085),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1085),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1085),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1085),
    [aux_sym_forward_agent_token1] = ACTIONS(1085),
    [aux_sym_forward_x11_token1] = ACTIONS(1087),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1085),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1085),
    [aux_sym_gateway_ports_token1] = ACTIONS(1085),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1085),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1085),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1085),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1085),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1085),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1085),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1085),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1085),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1085),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1085),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1085),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1085),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1085),
    [aux_sym_host_key_alias_token1] = ACTIONS(1085),
    [aux_sym_hostname_token1] = ACTIONS(1085),
    [aux_sym_identities_only_token1] = ACTIONS(1085),
    [aux_sym_identity_agent_token1] = ACTIONS(1085),
    [aux_sym_identity_file_token1] = ACTIONS(1085),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1085),
    [aux_sym_include_token1] = ACTIONS(1085),
    [aux_sym_ip_qos_token1] = ACTIONS(1085),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1085),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1085),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1085),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1085),
    [aux_sym_local_command_token1] = ACTIONS(1085),
    [aux_sym_local_forward_token1] = ACTIONS(1085),
    [aux_sym_log_level_token1] = ACTIONS(1085),
    [aux_sym_log_verbose_token1] = ACTIONS(1085),
    [aux_sym_macs_token1] = ACTIONS(1085),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1085),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1085),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1085),
    [aux_sym_password_authentication_token1] = ACTIONS(1085),
    [aux_sym_permit_local_command_token1] = ACTIONS(1085),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1085),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1085),
    [aux_sym_port_token1] = ACTIONS(1085),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1085),
    [aux_sym_protocol_token1] = ACTIONS(1085),
    [aux_sym_proxy_command_token1] = ACTIONS(1085),
    [aux_sym_proxy_jump_token1] = ACTIONS(1085),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1085),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1085),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1085),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1085),
    [aux_sym_rekey_limit_token1] = ACTIONS(1085),
    [aux_sym_remote_command_token1] = ACTIONS(1085),
    [aux_sym_remote_forward_token1] = ACTIONS(1085),
    [aux_sym_request_tty_token1] = ACTIONS(1085),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1085),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1085),
    [aux_sym_security_key_provider_token1] = ACTIONS(1085),
    [aux_sym_send_env_token1] = ACTIONS(1085),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1085),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1085),
    [aux_sym_session_type_token1] = ACTIONS(1085),
    [aux_sym_set_env_token1] = ACTIONS(1085),
    [aux_sym_stdin_null_token1] = ACTIONS(1085),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1085),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1085),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1085),
    [aux_sym_syslog_facility_token1] = ACTIONS(1085),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1085),
    [aux_sym_keep_alive_token1] = ACTIONS(1085),
    [aux_sym_tag_token1] = ACTIONS(1085),
    [aux_sym_tunnel_token1] = ACTIONS(1087),
    [aux_sym_tunnel_device_token1] = ACTIONS(1085),
    [aux_sym_update_host_keys_token1] = ACTIONS(1085),
    [aux_sym_use_keychain_token1] = ACTIONS(1085),
    [aux_sym_use_roaming_token1] = ACTIONS(1085),
    [aux_sym_user_token1] = ACTIONS(1087),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1085),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1085),
    [aux_sym_visual_host_key_token1] = ACTIONS(1085),
    [aux_sym_xauth_location_token1] = ACTIONS(1085),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1213),
    [aux_sym_match_token1] = ACTIONS(1211),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1211),
    [aux_sym_address_family_token1] = ACTIONS(1211),
    [aux_sym_batch_mode_token1] = ACTIONS(1211),
    [aux_sym_bind_address_token1] = ACTIONS(1211),
    [aux_sym_bind_interface_token1] = ACTIONS(1211),
    [aux_sym_canonical_domains_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1211),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1211),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1211),
    [aux_sym_certificate_file_token1] = ACTIONS(1211),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1211),
    [aux_sym_channel_timeout_token1] = ACTIONS(1211),
    [aux_sym_check_host_ip_token1] = ACTIONS(1211),
    [aux_sym_ciphers_token1] = ACTIONS(1211),
    [aux_sym_cipher_token1] = ACTIONS(1213),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1211),
    [aux_sym_compression_token1] = ACTIONS(1211),
    [aux_sym_connection_attempts_token1] = ACTIONS(1211),
    [aux_sym_connect_timeout_token1] = ACTIONS(1211),
    [aux_sym_control_master_token1] = ACTIONS(1211),
    [aux_sym_control_path_token1] = ACTIONS(1211),
    [aux_sym_control_persist_token1] = ACTIONS(1211),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1211),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1211),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1211),
    [aux_sym_escape_char_token1] = ACTIONS(1211),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1211),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1211),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1211),
    [aux_sym_forward_agent_token1] = ACTIONS(1211),
    [aux_sym_forward_x11_token1] = ACTIONS(1213),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1211),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1211),
    [aux_sym_gateway_ports_token1] = ACTIONS(1211),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1211),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1211),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1211),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1211),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1211),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1211),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1211),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1211),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1211),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1211),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1211),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1211),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1211),
    [aux_sym_host_key_alias_token1] = ACTIONS(1211),
    [aux_sym_hostname_token1] = ACTIONS(1211),
    [aux_sym_identities_only_token1] = ACTIONS(1211),
    [aux_sym_identity_agent_token1] = ACTIONS(1211),
    [aux_sym_identity_file_token1] = ACTIONS(1211),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1211),
    [aux_sym_include_token1] = ACTIONS(1211),
    [aux_sym_ip_qos_token1] = ACTIONS(1211),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1211),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1211),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1211),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1211),
    [aux_sym_local_command_token1] = ACTIONS(1211),
    [aux_sym_local_forward_token1] = ACTIONS(1211),
    [aux_sym_log_level_token1] = ACTIONS(1211),
    [aux_sym_log_verbose_token1] = ACTIONS(1211),
    [aux_sym_macs_token1] = ACTIONS(1211),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1211),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1211),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1211),
    [aux_sym_password_authentication_token1] = ACTIONS(1211),
    [aux_sym_permit_local_command_token1] = ACTIONS(1211),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1211),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1211),
    [aux_sym_port_token1] = ACTIONS(1211),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1211),
    [aux_sym_protocol_token1] = ACTIONS(1211),
    [aux_sym_proxy_command_token1] = ACTIONS(1211),
    [aux_sym_proxy_jump_token1] = ACTIONS(1211),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1211),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1211),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1211),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1211),
    [aux_sym_rekey_limit_token1] = ACTIONS(1211),
    [aux_sym_remote_command_token1] = ACTIONS(1211),
    [aux_sym_remote_forward_token1] = ACTIONS(1211),
    [aux_sym_request_tty_token1] = ACTIONS(1211),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1211),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1211),
    [aux_sym_security_key_provider_token1] = ACTIONS(1211),
    [aux_sym_send_env_token1] = ACTIONS(1211),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1211),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1211),
    [aux_sym_session_type_token1] = ACTIONS(1211),
    [aux_sym_set_env_token1] = ACTIONS(1211),
    [aux_sym_stdin_null_token1] = ACTIONS(1211),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1211),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1211),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1211),
    [aux_sym_syslog_facility_token1] = ACTIONS(1211),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1211),
    [aux_sym_keep_alive_token1] = ACTIONS(1211),
    [aux_sym_tag_token1] = ACTIONS(1211),
    [aux_sym_tunnel_token1] = ACTIONS(1213),
    [aux_sym_tunnel_device_token1] = ACTIONS(1211),
    [aux_sym_update_host_keys_token1] = ACTIONS(1211),
    [aux_sym_use_keychain_token1] = ACTIONS(1211),
    [aux_sym_use_roaming_token1] = ACTIONS(1211),
    [aux_sym_user_token1] = ACTIONS(1213),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1211),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1211),
    [aux_sym_visual_host_key_token1] = ACTIONS(1211),
    [aux_sym_xauth_location_token1] = ACTIONS(1211),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1153),
    [aux_sym_match_token1] = ACTIONS(1151),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1151),
    [aux_sym_address_family_token1] = ACTIONS(1151),
    [aux_sym_batch_mode_token1] = ACTIONS(1151),
    [aux_sym_bind_address_token1] = ACTIONS(1151),
    [aux_sym_bind_interface_token1] = ACTIONS(1151),
    [aux_sym_canonical_domains_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1151),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1151),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1151),
    [aux_sym_certificate_file_token1] = ACTIONS(1151),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1151),
    [aux_sym_channel_timeout_token1] = ACTIONS(1151),
    [aux_sym_check_host_ip_token1] = ACTIONS(1151),
    [aux_sym_ciphers_token1] = ACTIONS(1151),
    [aux_sym_cipher_token1] = ACTIONS(1153),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1151),
    [aux_sym_compression_token1] = ACTIONS(1151),
    [aux_sym_connection_attempts_token1] = ACTIONS(1151),
    [aux_sym_connect_timeout_token1] = ACTIONS(1151),
    [aux_sym_control_master_token1] = ACTIONS(1151),
    [aux_sym_control_path_token1] = ACTIONS(1151),
    [aux_sym_control_persist_token1] = ACTIONS(1151),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1151),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1151),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1151),
    [aux_sym_escape_char_token1] = ACTIONS(1151),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1151),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1151),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1151),
    [aux_sym_forward_agent_token1] = ACTIONS(1151),
    [aux_sym_forward_x11_token1] = ACTIONS(1153),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1151),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1151),
    [aux_sym_gateway_ports_token1] = ACTIONS(1151),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1151),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1151),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1151),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1151),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1151),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1151),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1151),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1151),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1151),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1151),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1151),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1151),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1151),
    [aux_sym_host_key_alias_token1] = ACTIONS(1151),
    [aux_sym_hostname_token1] = ACTIONS(1151),
    [aux_sym_identities_only_token1] = ACTIONS(1151),
    [aux_sym_identity_agent_token1] = ACTIONS(1151),
    [aux_sym_identity_file_token1] = ACTIONS(1151),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1151),
    [aux_sym_include_token1] = ACTIONS(1151),
    [aux_sym_ip_qos_token1] = ACTIONS(1151),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1151),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1151),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1151),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1151),
    [aux_sym_local_command_token1] = ACTIONS(1151),
    [aux_sym_local_forward_token1] = ACTIONS(1151),
    [aux_sym_log_level_token1] = ACTIONS(1151),
    [aux_sym_log_verbose_token1] = ACTIONS(1151),
    [aux_sym_macs_token1] = ACTIONS(1151),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1151),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1151),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1151),
    [aux_sym_password_authentication_token1] = ACTIONS(1151),
    [aux_sym_permit_local_command_token1] = ACTIONS(1151),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1151),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1151),
    [aux_sym_port_token1] = ACTIONS(1151),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1151),
    [aux_sym_protocol_token1] = ACTIONS(1151),
    [aux_sym_proxy_command_token1] = ACTIONS(1151),
    [aux_sym_proxy_jump_token1] = ACTIONS(1151),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1151),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1151),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1151),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1151),
    [aux_sym_rekey_limit_token1] = ACTIONS(1151),
    [aux_sym_remote_command_token1] = ACTIONS(1151),
    [aux_sym_remote_forward_token1] = ACTIONS(1151),
    [aux_sym_request_tty_token1] = ACTIONS(1151),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1151),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1151),
    [aux_sym_security_key_provider_token1] = ACTIONS(1151),
    [aux_sym_send_env_token1] = ACTIONS(1151),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1151),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1151),
    [aux_sym_session_type_token1] = ACTIONS(1151),
    [aux_sym_set_env_token1] = ACTIONS(1151),
    [aux_sym_stdin_null_token1] = ACTIONS(1151),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1151),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1151),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1151),
    [aux_sym_syslog_facility_token1] = ACTIONS(1151),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1151),
    [aux_sym_keep_alive_token1] = ACTIONS(1151),
    [aux_sym_tag_token1] = ACTIONS(1151),
    [aux_sym_tunnel_token1] = ACTIONS(1153),
    [aux_sym_tunnel_device_token1] = ACTIONS(1151),
    [aux_sym_update_host_keys_token1] = ACTIONS(1151),
    [aux_sym_use_keychain_token1] = ACTIONS(1151),
    [aux_sym_use_roaming_token1] = ACTIONS(1151),
    [aux_sym_user_token1] = ACTIONS(1153),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1151),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1151),
    [aux_sym_visual_host_key_token1] = ACTIONS(1151),
    [aux_sym_xauth_location_token1] = ACTIONS(1151),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1219),
    [aux_sym_match_token1] = ACTIONS(1217),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1217),
    [aux_sym_address_family_token1] = ACTIONS(1217),
    [aux_sym_batch_mode_token1] = ACTIONS(1217),
    [aux_sym_bind_address_token1] = ACTIONS(1217),
    [aux_sym_bind_interface_token1] = ACTIONS(1217),
    [aux_sym_canonical_domains_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1217),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1217),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1217),
    [aux_sym_certificate_file_token1] = ACTIONS(1217),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1217),
    [aux_sym_channel_timeout_token1] = ACTIONS(1217),
    [aux_sym_check_host_ip_token1] = ACTIONS(1217),
    [aux_sym_ciphers_token1] = ACTIONS(1217),
    [aux_sym_cipher_token1] = ACTIONS(1219),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1217),
    [aux_sym_compression_token1] = ACTIONS(1217),
    [aux_sym_connection_attempts_token1] = ACTIONS(1217),
    [aux_sym_connect_timeout_token1] = ACTIONS(1217),
    [aux_sym_control_master_token1] = ACTIONS(1217),
    [aux_sym_control_path_token1] = ACTIONS(1217),
    [aux_sym_control_persist_token1] = ACTIONS(1217),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1217),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1217),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1217),
    [aux_sym_escape_char_token1] = ACTIONS(1217),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1217),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1217),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1217),
    [aux_sym_forward_agent_token1] = ACTIONS(1217),
    [aux_sym_forward_x11_token1] = ACTIONS(1219),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1217),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1217),
    [aux_sym_gateway_ports_token1] = ACTIONS(1217),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1217),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1217),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1217),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1217),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1217),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1217),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1217),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1217),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1217),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1217),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1217),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1217),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1217),
    [aux_sym_host_key_alias_token1] = ACTIONS(1217),
    [aux_sym_hostname_token1] = ACTIONS(1217),
    [aux_sym_identities_only_token1] = ACTIONS(1217),
    [aux_sym_identity_agent_token1] = ACTIONS(1217),
    [aux_sym_identity_file_token1] = ACTIONS(1217),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1217),
    [aux_sym_include_token1] = ACTIONS(1217),
    [aux_sym_ip_qos_token1] = ACTIONS(1217),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1217),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1217),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1217),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1217),
    [aux_sym_local_command_token1] = ACTIONS(1217),
    [aux_sym_local_forward_token1] = ACTIONS(1217),
    [aux_sym_log_level_token1] = ACTIONS(1217),
    [aux_sym_log_verbose_token1] = ACTIONS(1217),
    [aux_sym_macs_token1] = ACTIONS(1217),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1217),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1217),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1217),
    [aux_sym_password_authentication_token1] = ACTIONS(1217),
    [aux_sym_permit_local_command_token1] = ACTIONS(1217),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1217),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1217),
    [aux_sym_port_token1] = ACTIONS(1217),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1217),
    [aux_sym_protocol_token1] = ACTIONS(1217),
    [aux_sym_proxy_command_token1] = ACTIONS(1217),
    [aux_sym_proxy_jump_token1] = ACTIONS(1217),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1217),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1217),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1217),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1217),
    [aux_sym_rekey_limit_token1] = ACTIONS(1217),
    [aux_sym_remote_command_token1] = ACTIONS(1217),
    [aux_sym_remote_forward_token1] = ACTIONS(1217),
    [aux_sym_request_tty_token1] = ACTIONS(1217),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1217),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1217),
    [aux_sym_security_key_provider_token1] = ACTIONS(1217),
    [aux_sym_send_env_token1] = ACTIONS(1217),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1217),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1217),
    [aux_sym_session_type_token1] = ACTIONS(1217),
    [aux_sym_set_env_token1] = ACTIONS(1217),
    [aux_sym_stdin_null_token1] = ACTIONS(1217),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1217),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1217),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1217),
    [aux_sym_syslog_facility_token1] = ACTIONS(1217),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1217),
    [aux_sym_keep_alive_token1] = ACTIONS(1217),
    [aux_sym_tag_token1] = ACTIONS(1217),
    [aux_sym_tunnel_token1] = ACTIONS(1219),
    [aux_sym_tunnel_device_token1] = ACTIONS(1217),
    [aux_sym_update_host_keys_token1] = ACTIONS(1217),
    [aux_sym_use_keychain_token1] = ACTIONS(1217),
    [aux_sym_use_roaming_token1] = ACTIONS(1217),
    [aux_sym_user_token1] = ACTIONS(1219),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1217),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1217),
    [aux_sym_visual_host_key_token1] = ACTIONS(1217),
    [aux_sym_xauth_location_token1] = ACTIONS(1217),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1117),
    [aux_sym_match_token1] = ACTIONS(1115),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1115),
    [aux_sym_address_family_token1] = ACTIONS(1115),
    [aux_sym_batch_mode_token1] = ACTIONS(1115),
    [aux_sym_bind_address_token1] = ACTIONS(1115),
    [aux_sym_bind_interface_token1] = ACTIONS(1115),
    [aux_sym_canonical_domains_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1115),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1115),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1115),
    [aux_sym_certificate_file_token1] = ACTIONS(1115),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1115),
    [aux_sym_channel_timeout_token1] = ACTIONS(1115),
    [aux_sym_check_host_ip_token1] = ACTIONS(1115),
    [aux_sym_ciphers_token1] = ACTIONS(1115),
    [aux_sym_cipher_token1] = ACTIONS(1117),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1115),
    [aux_sym_compression_token1] = ACTIONS(1115),
    [aux_sym_connection_attempts_token1] = ACTIONS(1115),
    [aux_sym_connect_timeout_token1] = ACTIONS(1115),
    [aux_sym_control_master_token1] = ACTIONS(1115),
    [aux_sym_control_path_token1] = ACTIONS(1115),
    [aux_sym_control_persist_token1] = ACTIONS(1115),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1115),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1115),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1115),
    [aux_sym_escape_char_token1] = ACTIONS(1115),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1115),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1115),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1115),
    [aux_sym_forward_agent_token1] = ACTIONS(1115),
    [aux_sym_forward_x11_token1] = ACTIONS(1117),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1115),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1115),
    [aux_sym_gateway_ports_token1] = ACTIONS(1115),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1115),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1115),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1115),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1115),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1115),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1115),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1115),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1115),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1115),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1115),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1115),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1115),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1115),
    [aux_sym_host_key_alias_token1] = ACTIONS(1115),
    [aux_sym_hostname_token1] = ACTIONS(1115),
    [aux_sym_identities_only_token1] = ACTIONS(1115),
    [aux_sym_identity_agent_token1] = ACTIONS(1115),
    [aux_sym_identity_file_token1] = ACTIONS(1115),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1115),
    [aux_sym_include_token1] = ACTIONS(1115),
    [aux_sym_ip_qos_token1] = ACTIONS(1115),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1115),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1115),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1115),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1115),
    [aux_sym_local_command_token1] = ACTIONS(1115),
    [aux_sym_local_forward_token1] = ACTIONS(1115),
    [aux_sym_log_level_token1] = ACTIONS(1115),
    [aux_sym_log_verbose_token1] = ACTIONS(1115),
    [aux_sym_macs_token1] = ACTIONS(1115),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1115),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1115),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1115),
    [aux_sym_password_authentication_token1] = ACTIONS(1115),
    [aux_sym_permit_local_command_token1] = ACTIONS(1115),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1115),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1115),
    [aux_sym_port_token1] = ACTIONS(1115),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1115),
    [aux_sym_protocol_token1] = ACTIONS(1115),
    [aux_sym_proxy_command_token1] = ACTIONS(1115),
    [aux_sym_proxy_jump_token1] = ACTIONS(1115),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1115),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1115),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1115),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1115),
    [aux_sym_rekey_limit_token1] = ACTIONS(1115),
    [aux_sym_remote_command_token1] = ACTIONS(1115),
    [aux_sym_remote_forward_token1] = ACTIONS(1115),
    [aux_sym_request_tty_token1] = ACTIONS(1115),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1115),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1115),
    [aux_sym_security_key_provider_token1] = ACTIONS(1115),
    [aux_sym_send_env_token1] = ACTIONS(1115),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1115),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1115),
    [aux_sym_session_type_token1] = ACTIONS(1115),
    [aux_sym_set_env_token1] = ACTIONS(1115),
    [aux_sym_stdin_null_token1] = ACTIONS(1115),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1115),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1115),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1115),
    [aux_sym_syslog_facility_token1] = ACTIONS(1115),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1115),
    [aux_sym_keep_alive_token1] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1115),
    [aux_sym_tunnel_token1] = ACTIONS(1117),
    [aux_sym_tunnel_device_token1] = ACTIONS(1115),
    [aux_sym_update_host_keys_token1] = ACTIONS(1115),
    [aux_sym_use_keychain_token1] = ACTIONS(1115),
    [aux_sym_use_roaming_token1] = ACTIONS(1115),
    [aux_sym_user_token1] = ACTIONS(1117),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1115),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1115),
    [aux_sym_visual_host_key_token1] = ACTIONS(1115),
    [aux_sym_xauth_location_token1] = ACTIONS(1115),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1225),
    [aux_sym_match_token1] = ACTIONS(1223),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1223),
    [aux_sym_address_family_token1] = ACTIONS(1223),
    [aux_sym_batch_mode_token1] = ACTIONS(1223),
    [aux_sym_bind_address_token1] = ACTIONS(1223),
    [aux_sym_bind_interface_token1] = ACTIONS(1223),
    [aux_sym_canonical_domains_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1223),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1223),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1223),
    [aux_sym_certificate_file_token1] = ACTIONS(1223),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1223),
    [aux_sym_channel_timeout_token1] = ACTIONS(1223),
    [aux_sym_check_host_ip_token1] = ACTIONS(1223),
    [aux_sym_ciphers_token1] = ACTIONS(1223),
    [aux_sym_cipher_token1] = ACTIONS(1225),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1223),
    [aux_sym_compression_token1] = ACTIONS(1223),
    [aux_sym_connection_attempts_token1] = ACTIONS(1223),
    [aux_sym_connect_timeout_token1] = ACTIONS(1223),
    [aux_sym_control_master_token1] = ACTIONS(1223),
    [aux_sym_control_path_token1] = ACTIONS(1223),
    [aux_sym_control_persist_token1] = ACTIONS(1223),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1223),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1223),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1223),
    [aux_sym_escape_char_token1] = ACTIONS(1223),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1223),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1223),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1223),
    [aux_sym_forward_agent_token1] = ACTIONS(1223),
    [aux_sym_forward_x11_token1] = ACTIONS(1225),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1223),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1223),
    [aux_sym_gateway_ports_token1] = ACTIONS(1223),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1223),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1223),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1223),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1223),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1223),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1223),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1223),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1223),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1223),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1223),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1223),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1223),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1223),
    [aux_sym_host_key_alias_token1] = ACTIONS(1223),
    [aux_sym_hostname_token1] = ACTIONS(1223),
    [aux_sym_identities_only_token1] = ACTIONS(1223),
    [aux_sym_identity_agent_token1] = ACTIONS(1223),
    [aux_sym_identity_file_token1] = ACTIONS(1223),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1223),
    [aux_sym_include_token1] = ACTIONS(1223),
    [aux_sym_ip_qos_token1] = ACTIONS(1223),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1223),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1223),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1223),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1223),
    [aux_sym_local_command_token1] = ACTIONS(1223),
    [aux_sym_local_forward_token1] = ACTIONS(1223),
    [aux_sym_log_level_token1] = ACTIONS(1223),
    [aux_sym_log_verbose_token1] = ACTIONS(1223),
    [aux_sym_macs_token1] = ACTIONS(1223),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1223),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1223),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1223),
    [aux_sym_password_authentication_token1] = ACTIONS(1223),
    [aux_sym_permit_local_command_token1] = ACTIONS(1223),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1223),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1223),
    [aux_sym_port_token1] = ACTIONS(1223),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1223),
    [aux_sym_protocol_token1] = ACTIONS(1223),
    [aux_sym_proxy_command_token1] = ACTIONS(1223),
    [aux_sym_proxy_jump_token1] = ACTIONS(1223),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1223),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1223),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1223),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1223),
    [aux_sym_rekey_limit_token1] = ACTIONS(1223),
    [aux_sym_remote_command_token1] = ACTIONS(1223),
    [aux_sym_remote_forward_token1] = ACTIONS(1223),
    [aux_sym_request_tty_token1] = ACTIONS(1223),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1223),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1223),
    [aux_sym_security_key_provider_token1] = ACTIONS(1223),
    [aux_sym_send_env_token1] = ACTIONS(1223),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1223),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1223),
    [aux_sym_session_type_token1] = ACTIONS(1223),
    [aux_sym_set_env_token1] = ACTIONS(1223),
    [aux_sym_stdin_null_token1] = ACTIONS(1223),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1223),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1223),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1223),
    [aux_sym_syslog_facility_token1] = ACTIONS(1223),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1223),
    [aux_sym_keep_alive_token1] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [aux_sym_tunnel_token1] = ACTIONS(1225),
    [aux_sym_tunnel_device_token1] = ACTIONS(1223),
    [aux_sym_update_host_keys_token1] = ACTIONS(1223),
    [aux_sym_use_keychain_token1] = ACTIONS(1223),
    [aux_sym_use_roaming_token1] = ACTIONS(1223),
    [aux_sym_user_token1] = ACTIONS(1225),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1223),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1223),
    [aux_sym_visual_host_key_token1] = ACTIONS(1223),
    [aux_sym_xauth_location_token1] = ACTIONS(1223),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1159),
    [aux_sym_match_token1] = ACTIONS(1157),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1157),
    [aux_sym_address_family_token1] = ACTIONS(1157),
    [aux_sym_batch_mode_token1] = ACTIONS(1157),
    [aux_sym_bind_address_token1] = ACTIONS(1157),
    [aux_sym_bind_interface_token1] = ACTIONS(1157),
    [aux_sym_canonical_domains_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1157),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1157),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1157),
    [aux_sym_certificate_file_token1] = ACTIONS(1157),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1157),
    [aux_sym_channel_timeout_token1] = ACTIONS(1157),
    [aux_sym_check_host_ip_token1] = ACTIONS(1157),
    [aux_sym_ciphers_token1] = ACTIONS(1157),
    [aux_sym_cipher_token1] = ACTIONS(1159),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1157),
    [aux_sym_compression_token1] = ACTIONS(1157),
    [aux_sym_connection_attempts_token1] = ACTIONS(1157),
    [aux_sym_connect_timeout_token1] = ACTIONS(1157),
    [aux_sym_control_master_token1] = ACTIONS(1157),
    [aux_sym_control_path_token1] = ACTIONS(1157),
    [aux_sym_control_persist_token1] = ACTIONS(1157),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1157),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1157),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1157),
    [aux_sym_escape_char_token1] = ACTIONS(1157),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1157),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1157),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1157),
    [aux_sym_forward_agent_token1] = ACTIONS(1157),
    [aux_sym_forward_x11_token1] = ACTIONS(1159),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1157),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1157),
    [aux_sym_gateway_ports_token1] = ACTIONS(1157),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1157),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1157),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1157),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1157),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1157),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1157),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1157),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1157),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1157),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1157),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1157),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1157),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1157),
    [aux_sym_host_key_alias_token1] = ACTIONS(1157),
    [aux_sym_hostname_token1] = ACTIONS(1157),
    [aux_sym_identities_only_token1] = ACTIONS(1157),
    [aux_sym_identity_agent_token1] = ACTIONS(1157),
    [aux_sym_identity_file_token1] = ACTIONS(1157),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1157),
    [aux_sym_include_token1] = ACTIONS(1157),
    [aux_sym_ip_qos_token1] = ACTIONS(1157),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1157),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1157),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1157),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1157),
    [aux_sym_local_command_token1] = ACTIONS(1157),
    [aux_sym_local_forward_token1] = ACTIONS(1157),
    [aux_sym_log_level_token1] = ACTIONS(1157),
    [aux_sym_log_verbose_token1] = ACTIONS(1157),
    [aux_sym_macs_token1] = ACTIONS(1157),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1157),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1157),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1157),
    [aux_sym_password_authentication_token1] = ACTIONS(1157),
    [aux_sym_permit_local_command_token1] = ACTIONS(1157),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1157),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1157),
    [aux_sym_port_token1] = ACTIONS(1157),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1157),
    [aux_sym_protocol_token1] = ACTIONS(1157),
    [aux_sym_proxy_command_token1] = ACTIONS(1157),
    [aux_sym_proxy_jump_token1] = ACTIONS(1157),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1157),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1157),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1157),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1157),
    [aux_sym_rekey_limit_token1] = ACTIONS(1157),
    [aux_sym_remote_command_token1] = ACTIONS(1157),
    [aux_sym_remote_forward_token1] = ACTIONS(1157),
    [aux_sym_request_tty_token1] = ACTIONS(1157),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1157),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1157),
    [aux_sym_security_key_provider_token1] = ACTIONS(1157),
    [aux_sym_send_env_token1] = ACTIONS(1157),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1157),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1157),
    [aux_sym_session_type_token1] = ACTIONS(1157),
    [aux_sym_set_env_token1] = ACTIONS(1157),
    [aux_sym_stdin_null_token1] = ACTIONS(1157),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1157),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1157),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1157),
    [aux_sym_syslog_facility_token1] = ACTIONS(1157),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1157),
    [aux_sym_keep_alive_token1] = ACTIONS(1157),
    [aux_sym_tag_token1] = ACTIONS(1157),
    [aux_sym_tunnel_token1] = ACTIONS(1159),
    [aux_sym_tunnel_device_token1] = ACTIONS(1157),
    [aux_sym_update_host_keys_token1] = ACTIONS(1157),
    [aux_sym_use_keychain_token1] = ACTIONS(1157),
    [aux_sym_use_roaming_token1] = ACTIONS(1157),
    [aux_sym_user_token1] = ACTIONS(1159),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1157),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1157),
    [aux_sym_visual_host_key_token1] = ACTIONS(1157),
    [aux_sym_xauth_location_token1] = ACTIONS(1157),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1231),
    [aux_sym_match_token1] = ACTIONS(1229),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1229),
    [aux_sym_address_family_token1] = ACTIONS(1229),
    [aux_sym_batch_mode_token1] = ACTIONS(1229),
    [aux_sym_bind_address_token1] = ACTIONS(1229),
    [aux_sym_bind_interface_token1] = ACTIONS(1229),
    [aux_sym_canonical_domains_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1229),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1229),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1229),
    [aux_sym_certificate_file_token1] = ACTIONS(1229),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1229),
    [aux_sym_channel_timeout_token1] = ACTIONS(1229),
    [aux_sym_check_host_ip_token1] = ACTIONS(1229),
    [aux_sym_ciphers_token1] = ACTIONS(1229),
    [aux_sym_cipher_token1] = ACTIONS(1231),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1229),
    [aux_sym_compression_token1] = ACTIONS(1229),
    [aux_sym_connection_attempts_token1] = ACTIONS(1229),
    [aux_sym_connect_timeout_token1] = ACTIONS(1229),
    [aux_sym_control_master_token1] = ACTIONS(1229),
    [aux_sym_control_path_token1] = ACTIONS(1229),
    [aux_sym_control_persist_token1] = ACTIONS(1229),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1229),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1229),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1229),
    [aux_sym_escape_char_token1] = ACTIONS(1229),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1229),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1229),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1229),
    [aux_sym_forward_agent_token1] = ACTIONS(1229),
    [aux_sym_forward_x11_token1] = ACTIONS(1231),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1229),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1229),
    [aux_sym_gateway_ports_token1] = ACTIONS(1229),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1229),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1229),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1229),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1229),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1229),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1229),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1229),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1229),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1229),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1229),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1229),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1229),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1229),
    [aux_sym_host_key_alias_token1] = ACTIONS(1229),
    [aux_sym_hostname_token1] = ACTIONS(1229),
    [aux_sym_identities_only_token1] = ACTIONS(1229),
    [aux_sym_identity_agent_token1] = ACTIONS(1229),
    [aux_sym_identity_file_token1] = ACTIONS(1229),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1229),
    [aux_sym_include_token1] = ACTIONS(1229),
    [aux_sym_ip_qos_token1] = ACTIONS(1229),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1229),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1229),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1229),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1229),
    [aux_sym_local_command_token1] = ACTIONS(1229),
    [aux_sym_local_forward_token1] = ACTIONS(1229),
    [aux_sym_log_level_token1] = ACTIONS(1229),
    [aux_sym_log_verbose_token1] = ACTIONS(1229),
    [aux_sym_macs_token1] = ACTIONS(1229),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1229),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1229),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1229),
    [aux_sym_password_authentication_token1] = ACTIONS(1229),
    [aux_sym_permit_local_command_token1] = ACTIONS(1229),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1229),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1229),
    [aux_sym_port_token1] = ACTIONS(1229),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1229),
    [aux_sym_protocol_token1] = ACTIONS(1229),
    [aux_sym_proxy_command_token1] = ACTIONS(1229),
    [aux_sym_proxy_jump_token1] = ACTIONS(1229),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1229),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1229),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1229),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1229),
    [aux_sym_rekey_limit_token1] = ACTIONS(1229),
    [aux_sym_remote_command_token1] = ACTIONS(1229),
    [aux_sym_remote_forward_token1] = ACTIONS(1229),
    [aux_sym_request_tty_token1] = ACTIONS(1229),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1229),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1229),
    [aux_sym_security_key_provider_token1] = ACTIONS(1229),
    [aux_sym_send_env_token1] = ACTIONS(1229),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1229),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1229),
    [aux_sym_session_type_token1] = ACTIONS(1229),
    [aux_sym_set_env_token1] = ACTIONS(1229),
    [aux_sym_stdin_null_token1] = ACTIONS(1229),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1229),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1229),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1229),
    [aux_sym_syslog_facility_token1] = ACTIONS(1229),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1229),
    [aux_sym_keep_alive_token1] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1229),
    [aux_sym_tunnel_token1] = ACTIONS(1231),
    [aux_sym_tunnel_device_token1] = ACTIONS(1229),
    [aux_sym_update_host_keys_token1] = ACTIONS(1229),
    [aux_sym_use_keychain_token1] = ACTIONS(1229),
    [aux_sym_use_roaming_token1] = ACTIONS(1229),
    [aux_sym_user_token1] = ACTIONS(1231),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1229),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1229),
    [aux_sym_visual_host_key_token1] = ACTIONS(1229),
    [aux_sym_xauth_location_token1] = ACTIONS(1229),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3261),
    [aux_sym_match_token1] = ACTIONS(3259),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3259),
    [aux_sym_address_family_token1] = ACTIONS(3259),
    [aux_sym_batch_mode_token1] = ACTIONS(3259),
    [aux_sym_bind_address_token1] = ACTIONS(3259),
    [aux_sym_bind_interface_token1] = ACTIONS(3259),
    [aux_sym_canonical_domains_token1] = ACTIONS(3259),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3259),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3259),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3259),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3259),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3259),
    [aux_sym_certificate_file_token1] = ACTIONS(3259),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3259),
    [aux_sym_channel_timeout_token1] = ACTIONS(3259),
    [aux_sym_check_host_ip_token1] = ACTIONS(3259),
    [aux_sym_ciphers_token1] = ACTIONS(3259),
    [aux_sym_cipher_token1] = ACTIONS(3261),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3259),
    [aux_sym_compression_token1] = ACTIONS(3259),
    [aux_sym_connection_attempts_token1] = ACTIONS(3259),
    [aux_sym_connect_timeout_token1] = ACTIONS(3259),
    [aux_sym_control_master_token1] = ACTIONS(3259),
    [aux_sym_control_path_token1] = ACTIONS(3259),
    [aux_sym_control_persist_token1] = ACTIONS(3259),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3259),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3259),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3259),
    [aux_sym_escape_char_token1] = ACTIONS(3259),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3259),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3259),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3259),
    [aux_sym_forward_agent_token1] = ACTIONS(3259),
    [aux_sym_forward_x11_token1] = ACTIONS(3261),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3259),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3259),
    [aux_sym_gateway_ports_token1] = ACTIONS(3259),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3259),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3259),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3259),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3259),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3259),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3259),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3259),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3259),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3259),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3259),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3259),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3259),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3259),
    [aux_sym_host_key_alias_token1] = ACTIONS(3259),
    [aux_sym_hostname_token1] = ACTIONS(3259),
    [aux_sym_identities_only_token1] = ACTIONS(3259),
    [aux_sym_identity_agent_token1] = ACTIONS(3259),
    [aux_sym_identity_file_token1] = ACTIONS(3259),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3259),
    [aux_sym_include_token1] = ACTIONS(3259),
    [aux_sym_ip_qos_token1] = ACTIONS(3259),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3259),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3259),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3259),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3259),
    [aux_sym_local_command_token1] = ACTIONS(3259),
    [aux_sym_local_forward_token1] = ACTIONS(3259),
    [aux_sym_log_level_token1] = ACTIONS(3259),
    [aux_sym_log_verbose_token1] = ACTIONS(3259),
    [aux_sym_macs_token1] = ACTIONS(3259),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3259),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3259),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3259),
    [aux_sym_password_authentication_token1] = ACTIONS(3259),
    [aux_sym_permit_local_command_token1] = ACTIONS(3259),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3259),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3259),
    [aux_sym_port_token1] = ACTIONS(3259),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3259),
    [aux_sym_protocol_token1] = ACTIONS(3259),
    [aux_sym_proxy_command_token1] = ACTIONS(3259),
    [aux_sym_proxy_jump_token1] = ACTIONS(3259),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3259),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3259),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3259),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3259),
    [aux_sym_rekey_limit_token1] = ACTIONS(3259),
    [aux_sym_remote_command_token1] = ACTIONS(3259),
    [aux_sym_remote_forward_token1] = ACTIONS(3259),
    [aux_sym_request_tty_token1] = ACTIONS(3259),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3259),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3259),
    [aux_sym_security_key_provider_token1] = ACTIONS(3259),
    [aux_sym_send_env_token1] = ACTIONS(3259),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3259),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3259),
    [aux_sym_session_type_token1] = ACTIONS(3259),
    [aux_sym_set_env_token1] = ACTIONS(3259),
    [aux_sym_stdin_null_token1] = ACTIONS(3259),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3259),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3259),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3259),
    [aux_sym_syslog_facility_token1] = ACTIONS(3259),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3259),
    [aux_sym_keep_alive_token1] = ACTIONS(3259),
    [aux_sym_tag_token1] = ACTIONS(3259),
    [aux_sym_tunnel_token1] = ACTIONS(3261),
    [aux_sym_tunnel_device_token1] = ACTIONS(3259),
    [aux_sym_update_host_keys_token1] = ACTIONS(3259),
    [aux_sym_use_keychain_token1] = ACTIONS(3259),
    [aux_sym_use_roaming_token1] = ACTIONS(3259),
    [aux_sym_user_token1] = ACTIONS(3261),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3259),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3259),
    [aux_sym_visual_host_key_token1] = ACTIONS(3259),
    [aux_sym_xauth_location_token1] = ACTIONS(3259),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3265),
    [aux_sym_match_token1] = ACTIONS(3263),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3263),
    [aux_sym_address_family_token1] = ACTIONS(3263),
    [aux_sym_batch_mode_token1] = ACTIONS(3263),
    [aux_sym_bind_address_token1] = ACTIONS(3263),
    [aux_sym_bind_interface_token1] = ACTIONS(3263),
    [aux_sym_canonical_domains_token1] = ACTIONS(3263),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3263),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3263),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3263),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3263),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3263),
    [aux_sym_certificate_file_token1] = ACTIONS(3263),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3263),
    [aux_sym_channel_timeout_token1] = ACTIONS(3263),
    [aux_sym_check_host_ip_token1] = ACTIONS(3263),
    [aux_sym_ciphers_token1] = ACTIONS(3263),
    [aux_sym_cipher_token1] = ACTIONS(3265),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3263),
    [aux_sym_compression_token1] = ACTIONS(3263),
    [aux_sym_connection_attempts_token1] = ACTIONS(3263),
    [aux_sym_connect_timeout_token1] = ACTIONS(3263),
    [aux_sym_control_master_token1] = ACTIONS(3263),
    [aux_sym_control_path_token1] = ACTIONS(3263),
    [aux_sym_control_persist_token1] = ACTIONS(3263),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3263),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3263),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3263),
    [aux_sym_escape_char_token1] = ACTIONS(3263),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3263),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3263),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3263),
    [aux_sym_forward_agent_token1] = ACTIONS(3263),
    [aux_sym_forward_x11_token1] = ACTIONS(3265),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3263),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3263),
    [aux_sym_gateway_ports_token1] = ACTIONS(3263),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3263),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3263),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3263),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3263),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3263),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3263),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3263),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3263),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3263),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3263),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3263),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3263),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3263),
    [aux_sym_host_key_alias_token1] = ACTIONS(3263),
    [aux_sym_hostname_token1] = ACTIONS(3263),
    [aux_sym_identities_only_token1] = ACTIONS(3263),
    [aux_sym_identity_agent_token1] = ACTIONS(3263),
    [aux_sym_identity_file_token1] = ACTIONS(3263),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3263),
    [aux_sym_include_token1] = ACTIONS(3263),
    [aux_sym_ip_qos_token1] = ACTIONS(3263),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3263),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3263),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3263),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3263),
    [aux_sym_local_command_token1] = ACTIONS(3263),
    [aux_sym_local_forward_token1] = ACTIONS(3263),
    [aux_sym_log_level_token1] = ACTIONS(3263),
    [aux_sym_log_verbose_token1] = ACTIONS(3263),
    [aux_sym_macs_token1] = ACTIONS(3263),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3263),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3263),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3263),
    [aux_sym_password_authentication_token1] = ACTIONS(3263),
    [aux_sym_permit_local_command_token1] = ACTIONS(3263),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3263),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3263),
    [aux_sym_port_token1] = ACTIONS(3263),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3263),
    [aux_sym_protocol_token1] = ACTIONS(3263),
    [aux_sym_proxy_command_token1] = ACTIONS(3263),
    [aux_sym_proxy_jump_token1] = ACTIONS(3263),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3263),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3263),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3263),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3263),
    [aux_sym_rekey_limit_token1] = ACTIONS(3263),
    [aux_sym_remote_command_token1] = ACTIONS(3263),
    [aux_sym_remote_forward_token1] = ACTIONS(3263),
    [aux_sym_request_tty_token1] = ACTIONS(3263),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3263),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3263),
    [aux_sym_security_key_provider_token1] = ACTIONS(3263),
    [aux_sym_send_env_token1] = ACTIONS(3263),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3263),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3263),
    [aux_sym_session_type_token1] = ACTIONS(3263),
    [aux_sym_set_env_token1] = ACTIONS(3263),
    [aux_sym_stdin_null_token1] = ACTIONS(3263),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3263),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3263),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3263),
    [aux_sym_syslog_facility_token1] = ACTIONS(3263),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3263),
    [aux_sym_keep_alive_token1] = ACTIONS(3263),
    [aux_sym_tag_token1] = ACTIONS(3263),
    [aux_sym_tunnel_token1] = ACTIONS(3265),
    [aux_sym_tunnel_device_token1] = ACTIONS(3263),
    [aux_sym_update_host_keys_token1] = ACTIONS(3263),
    [aux_sym_use_keychain_token1] = ACTIONS(3263),
    [aux_sym_use_roaming_token1] = ACTIONS(3263),
    [aux_sym_user_token1] = ACTIONS(3265),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3263),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3263),
    [aux_sym_visual_host_key_token1] = ACTIONS(3263),
    [aux_sym_xauth_location_token1] = ACTIONS(3263),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3269),
    [aux_sym_match_token1] = ACTIONS(3267),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3267),
    [aux_sym_address_family_token1] = ACTIONS(3267),
    [aux_sym_batch_mode_token1] = ACTIONS(3267),
    [aux_sym_bind_address_token1] = ACTIONS(3267),
    [aux_sym_bind_interface_token1] = ACTIONS(3267),
    [aux_sym_canonical_domains_token1] = ACTIONS(3267),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3267),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3267),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3267),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3267),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3267),
    [aux_sym_certificate_file_token1] = ACTIONS(3267),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3267),
    [aux_sym_channel_timeout_token1] = ACTIONS(3267),
    [aux_sym_check_host_ip_token1] = ACTIONS(3267),
    [aux_sym_ciphers_token1] = ACTIONS(3267),
    [aux_sym_cipher_token1] = ACTIONS(3269),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3267),
    [aux_sym_compression_token1] = ACTIONS(3267),
    [aux_sym_connection_attempts_token1] = ACTIONS(3267),
    [aux_sym_connect_timeout_token1] = ACTIONS(3267),
    [aux_sym_control_master_token1] = ACTIONS(3267),
    [aux_sym_control_path_token1] = ACTIONS(3267),
    [aux_sym_control_persist_token1] = ACTIONS(3267),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3267),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3267),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3267),
    [aux_sym_escape_char_token1] = ACTIONS(3267),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3267),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3267),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3267),
    [aux_sym_forward_agent_token1] = ACTIONS(3267),
    [aux_sym_forward_x11_token1] = ACTIONS(3269),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3267),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3267),
    [aux_sym_gateway_ports_token1] = ACTIONS(3267),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3267),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3267),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3267),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3267),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3267),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3267),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3267),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3267),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3267),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3267),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3267),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3267),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3267),
    [aux_sym_host_key_alias_token1] = ACTIONS(3267),
    [aux_sym_hostname_token1] = ACTIONS(3267),
    [aux_sym_identities_only_token1] = ACTIONS(3267),
    [aux_sym_identity_agent_token1] = ACTIONS(3267),
    [aux_sym_identity_file_token1] = ACTIONS(3267),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3267),
    [aux_sym_include_token1] = ACTIONS(3267),
    [aux_sym_ip_qos_token1] = ACTIONS(3267),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3267),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3267),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3267),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3267),
    [aux_sym_local_command_token1] = ACTIONS(3267),
    [aux_sym_local_forward_token1] = ACTIONS(3267),
    [aux_sym_log_level_token1] = ACTIONS(3267),
    [aux_sym_log_verbose_token1] = ACTIONS(3267),
    [aux_sym_macs_token1] = ACTIONS(3267),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3267),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3267),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3267),
    [aux_sym_password_authentication_token1] = ACTIONS(3267),
    [aux_sym_permit_local_command_token1] = ACTIONS(3267),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3267),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3267),
    [aux_sym_port_token1] = ACTIONS(3267),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3267),
    [aux_sym_protocol_token1] = ACTIONS(3267),
    [aux_sym_proxy_command_token1] = ACTIONS(3267),
    [aux_sym_proxy_jump_token1] = ACTIONS(3267),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3267),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3267),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3267),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3267),
    [aux_sym_rekey_limit_token1] = ACTIONS(3267),
    [aux_sym_remote_command_token1] = ACTIONS(3267),
    [aux_sym_remote_forward_token1] = ACTIONS(3267),
    [aux_sym_request_tty_token1] = ACTIONS(3267),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3267),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3267),
    [aux_sym_security_key_provider_token1] = ACTIONS(3267),
    [aux_sym_send_env_token1] = ACTIONS(3267),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3267),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3267),
    [aux_sym_session_type_token1] = ACTIONS(3267),
    [aux_sym_set_env_token1] = ACTIONS(3267),
    [aux_sym_stdin_null_token1] = ACTIONS(3267),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3267),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3267),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3267),
    [aux_sym_syslog_facility_token1] = ACTIONS(3267),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3267),
    [aux_sym_keep_alive_token1] = ACTIONS(3267),
    [aux_sym_tag_token1] = ACTIONS(3267),
    [aux_sym_tunnel_token1] = ACTIONS(3269),
    [aux_sym_tunnel_device_token1] = ACTIONS(3267),
    [aux_sym_update_host_keys_token1] = ACTIONS(3267),
    [aux_sym_use_keychain_token1] = ACTIONS(3267),
    [aux_sym_use_roaming_token1] = ACTIONS(3267),
    [aux_sym_user_token1] = ACTIONS(3269),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3267),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3267),
    [aux_sym_visual_host_key_token1] = ACTIONS(3267),
    [aux_sym_xauth_location_token1] = ACTIONS(3267),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3273),
    [aux_sym_match_token1] = ACTIONS(3271),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3271),
    [aux_sym_address_family_token1] = ACTIONS(3271),
    [aux_sym_batch_mode_token1] = ACTIONS(3271),
    [aux_sym_bind_address_token1] = ACTIONS(3271),
    [aux_sym_bind_interface_token1] = ACTIONS(3271),
    [aux_sym_canonical_domains_token1] = ACTIONS(3271),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3271),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3271),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3271),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3271),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3271),
    [aux_sym_certificate_file_token1] = ACTIONS(3271),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3271),
    [aux_sym_channel_timeout_token1] = ACTIONS(3271),
    [aux_sym_check_host_ip_token1] = ACTIONS(3271),
    [aux_sym_ciphers_token1] = ACTIONS(3271),
    [aux_sym_cipher_token1] = ACTIONS(3273),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3271),
    [aux_sym_compression_token1] = ACTIONS(3271),
    [aux_sym_connection_attempts_token1] = ACTIONS(3271),
    [aux_sym_connect_timeout_token1] = ACTIONS(3271),
    [aux_sym_control_master_token1] = ACTIONS(3271),
    [aux_sym_control_path_token1] = ACTIONS(3271),
    [aux_sym_control_persist_token1] = ACTIONS(3271),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3271),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3271),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3271),
    [aux_sym_escape_char_token1] = ACTIONS(3271),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3271),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3271),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3271),
    [aux_sym_forward_agent_token1] = ACTIONS(3271),
    [aux_sym_forward_x11_token1] = ACTIONS(3273),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3271),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3271),
    [aux_sym_gateway_ports_token1] = ACTIONS(3271),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3271),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3271),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3271),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3271),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3271),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3271),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3271),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3271),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3271),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3271),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3271),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3271),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3271),
    [aux_sym_host_key_alias_token1] = ACTIONS(3271),
    [aux_sym_hostname_token1] = ACTIONS(3271),
    [aux_sym_identities_only_token1] = ACTIONS(3271),
    [aux_sym_identity_agent_token1] = ACTIONS(3271),
    [aux_sym_identity_file_token1] = ACTIONS(3271),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3271),
    [aux_sym_include_token1] = ACTIONS(3271),
    [aux_sym_ip_qos_token1] = ACTIONS(3271),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3271),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3271),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3271),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3271),
    [aux_sym_local_command_token1] = ACTIONS(3271),
    [aux_sym_local_forward_token1] = ACTIONS(3271),
    [aux_sym_log_level_token1] = ACTIONS(3271),
    [aux_sym_log_verbose_token1] = ACTIONS(3271),
    [aux_sym_macs_token1] = ACTIONS(3271),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3271),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3271),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3271),
    [aux_sym_password_authentication_token1] = ACTIONS(3271),
    [aux_sym_permit_local_command_token1] = ACTIONS(3271),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3271),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3271),
    [aux_sym_port_token1] = ACTIONS(3271),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3271),
    [aux_sym_protocol_token1] = ACTIONS(3271),
    [aux_sym_proxy_command_token1] = ACTIONS(3271),
    [aux_sym_proxy_jump_token1] = ACTIONS(3271),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3271),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3271),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3271),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3271),
    [aux_sym_rekey_limit_token1] = ACTIONS(3271),
    [aux_sym_remote_command_token1] = ACTIONS(3271),
    [aux_sym_remote_forward_token1] = ACTIONS(3271),
    [aux_sym_request_tty_token1] = ACTIONS(3271),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3271),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3271),
    [aux_sym_security_key_provider_token1] = ACTIONS(3271),
    [aux_sym_send_env_token1] = ACTIONS(3271),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3271),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3271),
    [aux_sym_session_type_token1] = ACTIONS(3271),
    [aux_sym_set_env_token1] = ACTIONS(3271),
    [aux_sym_stdin_null_token1] = ACTIONS(3271),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3271),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3271),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3271),
    [aux_sym_syslog_facility_token1] = ACTIONS(3271),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3271),
    [aux_sym_keep_alive_token1] = ACTIONS(3271),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [aux_sym_tunnel_token1] = ACTIONS(3273),
    [aux_sym_tunnel_device_token1] = ACTIONS(3271),
    [aux_sym_update_host_keys_token1] = ACTIONS(3271),
    [aux_sym_use_keychain_token1] = ACTIONS(3271),
    [aux_sym_use_roaming_token1] = ACTIONS(3271),
    [aux_sym_user_token1] = ACTIONS(3273),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3271),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3271),
    [aux_sym_visual_host_key_token1] = ACTIONS(3271),
    [aux_sym_xauth_location_token1] = ACTIONS(3271),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3277),
    [aux_sym_match_token1] = ACTIONS(3275),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3275),
    [aux_sym_address_family_token1] = ACTIONS(3275),
    [aux_sym_batch_mode_token1] = ACTIONS(3275),
    [aux_sym_bind_address_token1] = ACTIONS(3275),
    [aux_sym_bind_interface_token1] = ACTIONS(3275),
    [aux_sym_canonical_domains_token1] = ACTIONS(3275),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3275),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3275),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3275),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3275),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3275),
    [aux_sym_certificate_file_token1] = ACTIONS(3275),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3275),
    [aux_sym_channel_timeout_token1] = ACTIONS(3275),
    [aux_sym_check_host_ip_token1] = ACTIONS(3275),
    [aux_sym_ciphers_token1] = ACTIONS(3275),
    [aux_sym_cipher_token1] = ACTIONS(3277),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3275),
    [aux_sym_compression_token1] = ACTIONS(3275),
    [aux_sym_connection_attempts_token1] = ACTIONS(3275),
    [aux_sym_connect_timeout_token1] = ACTIONS(3275),
    [aux_sym_control_master_token1] = ACTIONS(3275),
    [aux_sym_control_path_token1] = ACTIONS(3275),
    [aux_sym_control_persist_token1] = ACTIONS(3275),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3275),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3275),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3275),
    [aux_sym_escape_char_token1] = ACTIONS(3275),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3275),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3275),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3275),
    [aux_sym_forward_agent_token1] = ACTIONS(3275),
    [aux_sym_forward_x11_token1] = ACTIONS(3277),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3275),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3275),
    [aux_sym_gateway_ports_token1] = ACTIONS(3275),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3275),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3275),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3275),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3275),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3275),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3275),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3275),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3275),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3275),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3275),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3275),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3275),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3275),
    [aux_sym_host_key_alias_token1] = ACTIONS(3275),
    [aux_sym_hostname_token1] = ACTIONS(3275),
    [aux_sym_identities_only_token1] = ACTIONS(3275),
    [aux_sym_identity_agent_token1] = ACTIONS(3275),
    [aux_sym_identity_file_token1] = ACTIONS(3275),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3275),
    [aux_sym_include_token1] = ACTIONS(3275),
    [aux_sym_ip_qos_token1] = ACTIONS(3275),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3275),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3275),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3275),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3275),
    [aux_sym_local_command_token1] = ACTIONS(3275),
    [aux_sym_local_forward_token1] = ACTIONS(3275),
    [aux_sym_log_level_token1] = ACTIONS(3275),
    [aux_sym_log_verbose_token1] = ACTIONS(3275),
    [aux_sym_macs_token1] = ACTIONS(3275),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3275),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3275),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3275),
    [aux_sym_password_authentication_token1] = ACTIONS(3275),
    [aux_sym_permit_local_command_token1] = ACTIONS(3275),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3275),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3275),
    [aux_sym_port_token1] = ACTIONS(3275),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3275),
    [aux_sym_protocol_token1] = ACTIONS(3275),
    [aux_sym_proxy_command_token1] = ACTIONS(3275),
    [aux_sym_proxy_jump_token1] = ACTIONS(3275),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3275),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3275),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3275),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3275),
    [aux_sym_rekey_limit_token1] = ACTIONS(3275),
    [aux_sym_remote_command_token1] = ACTIONS(3275),
    [aux_sym_remote_forward_token1] = ACTIONS(3275),
    [aux_sym_request_tty_token1] = ACTIONS(3275),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3275),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3275),
    [aux_sym_security_key_provider_token1] = ACTIONS(3275),
    [aux_sym_send_env_token1] = ACTIONS(3275),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3275),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3275),
    [aux_sym_session_type_token1] = ACTIONS(3275),
    [aux_sym_set_env_token1] = ACTIONS(3275),
    [aux_sym_stdin_null_token1] = ACTIONS(3275),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3275),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3275),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3275),
    [aux_sym_syslog_facility_token1] = ACTIONS(3275),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3275),
    [aux_sym_keep_alive_token1] = ACTIONS(3275),
    [aux_sym_tag_token1] = ACTIONS(3275),
    [aux_sym_tunnel_token1] = ACTIONS(3277),
    [aux_sym_tunnel_device_token1] = ACTIONS(3275),
    [aux_sym_update_host_keys_token1] = ACTIONS(3275),
    [aux_sym_use_keychain_token1] = ACTIONS(3275),
    [aux_sym_use_roaming_token1] = ACTIONS(3275),
    [aux_sym_user_token1] = ACTIONS(3277),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3275),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3275),
    [aux_sym_visual_host_key_token1] = ACTIONS(3275),
    [aux_sym_xauth_location_token1] = ACTIONS(3275),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3281),
    [aux_sym_match_token1] = ACTIONS(3279),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3279),
    [aux_sym_address_family_token1] = ACTIONS(3279),
    [aux_sym_batch_mode_token1] = ACTIONS(3279),
    [aux_sym_bind_address_token1] = ACTIONS(3279),
    [aux_sym_bind_interface_token1] = ACTIONS(3279),
    [aux_sym_canonical_domains_token1] = ACTIONS(3279),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3279),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3279),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3279),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3279),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3279),
    [aux_sym_certificate_file_token1] = ACTIONS(3279),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3279),
    [aux_sym_channel_timeout_token1] = ACTIONS(3279),
    [aux_sym_check_host_ip_token1] = ACTIONS(3279),
    [aux_sym_ciphers_token1] = ACTIONS(3279),
    [aux_sym_cipher_token1] = ACTIONS(3281),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3279),
    [aux_sym_compression_token1] = ACTIONS(3279),
    [aux_sym_connection_attempts_token1] = ACTIONS(3279),
    [aux_sym_connect_timeout_token1] = ACTIONS(3279),
    [aux_sym_control_master_token1] = ACTIONS(3279),
    [aux_sym_control_path_token1] = ACTIONS(3279),
    [aux_sym_control_persist_token1] = ACTIONS(3279),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3279),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3279),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3279),
    [aux_sym_escape_char_token1] = ACTIONS(3279),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3279),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3279),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3279),
    [aux_sym_forward_agent_token1] = ACTIONS(3279),
    [aux_sym_forward_x11_token1] = ACTIONS(3281),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3279),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3279),
    [aux_sym_gateway_ports_token1] = ACTIONS(3279),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3279),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3279),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3279),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3279),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3279),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3279),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3279),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3279),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3279),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3279),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3279),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3279),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3279),
    [aux_sym_host_key_alias_token1] = ACTIONS(3279),
    [aux_sym_hostname_token1] = ACTIONS(3279),
    [aux_sym_identities_only_token1] = ACTIONS(3279),
    [aux_sym_identity_agent_token1] = ACTIONS(3279),
    [aux_sym_identity_file_token1] = ACTIONS(3279),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3279),
    [aux_sym_include_token1] = ACTIONS(3279),
    [aux_sym_ip_qos_token1] = ACTIONS(3279),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3279),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3279),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3279),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3279),
    [aux_sym_local_command_token1] = ACTIONS(3279),
    [aux_sym_local_forward_token1] = ACTIONS(3279),
    [aux_sym_log_level_token1] = ACTIONS(3279),
    [aux_sym_log_verbose_token1] = ACTIONS(3279),
    [aux_sym_macs_token1] = ACTIONS(3279),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3279),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3279),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3279),
    [aux_sym_password_authentication_token1] = ACTIONS(3279),
    [aux_sym_permit_local_command_token1] = ACTIONS(3279),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3279),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3279),
    [aux_sym_port_token1] = ACTIONS(3279),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3279),
    [aux_sym_protocol_token1] = ACTIONS(3279),
    [aux_sym_proxy_command_token1] = ACTIONS(3279),
    [aux_sym_proxy_jump_token1] = ACTIONS(3279),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3279),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3279),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3279),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3279),
    [aux_sym_rekey_limit_token1] = ACTIONS(3279),
    [aux_sym_remote_command_token1] = ACTIONS(3279),
    [aux_sym_remote_forward_token1] = ACTIONS(3279),
    [aux_sym_request_tty_token1] = ACTIONS(3279),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3279),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3279),
    [aux_sym_security_key_provider_token1] = ACTIONS(3279),
    [aux_sym_send_env_token1] = ACTIONS(3279),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3279),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3279),
    [aux_sym_session_type_token1] = ACTIONS(3279),
    [aux_sym_set_env_token1] = ACTIONS(3279),
    [aux_sym_stdin_null_token1] = ACTIONS(3279),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3279),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3279),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3279),
    [aux_sym_syslog_facility_token1] = ACTIONS(3279),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3279),
    [aux_sym_keep_alive_token1] = ACTIONS(3279),
    [aux_sym_tag_token1] = ACTIONS(3279),
    [aux_sym_tunnel_token1] = ACTIONS(3281),
    [aux_sym_tunnel_device_token1] = ACTIONS(3279),
    [aux_sym_update_host_keys_token1] = ACTIONS(3279),
    [aux_sym_use_keychain_token1] = ACTIONS(3279),
    [aux_sym_use_roaming_token1] = ACTIONS(3279),
    [aux_sym_user_token1] = ACTIONS(3281),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3279),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3279),
    [aux_sym_visual_host_key_token1] = ACTIONS(3279),
    [aux_sym_xauth_location_token1] = ACTIONS(3279),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1099),
    [aux_sym_match_token1] = ACTIONS(1097),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1097),
    [aux_sym_address_family_token1] = ACTIONS(1097),
    [aux_sym_batch_mode_token1] = ACTIONS(1097),
    [aux_sym_bind_address_token1] = ACTIONS(1097),
    [aux_sym_bind_interface_token1] = ACTIONS(1097),
    [aux_sym_canonical_domains_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1097),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1097),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1097),
    [aux_sym_certificate_file_token1] = ACTIONS(1097),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1097),
    [aux_sym_channel_timeout_token1] = ACTIONS(1097),
    [aux_sym_check_host_ip_token1] = ACTIONS(1097),
    [aux_sym_ciphers_token1] = ACTIONS(1097),
    [aux_sym_cipher_token1] = ACTIONS(1099),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1097),
    [aux_sym_compression_token1] = ACTIONS(1097),
    [aux_sym_connection_attempts_token1] = ACTIONS(1097),
    [aux_sym_connect_timeout_token1] = ACTIONS(1097),
    [aux_sym_control_master_token1] = ACTIONS(1097),
    [aux_sym_control_path_token1] = ACTIONS(1097),
    [aux_sym_control_persist_token1] = ACTIONS(1097),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1097),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1097),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1097),
    [aux_sym_escape_char_token1] = ACTIONS(1097),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1097),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1097),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1097),
    [aux_sym_forward_agent_token1] = ACTIONS(1097),
    [aux_sym_forward_x11_token1] = ACTIONS(1099),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1097),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1097),
    [aux_sym_gateway_ports_token1] = ACTIONS(1097),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1097),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1097),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1097),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1097),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1097),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1097),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1097),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1097),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1097),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1097),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1097),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1097),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1097),
    [aux_sym_host_key_alias_token1] = ACTIONS(1097),
    [aux_sym_hostname_token1] = ACTIONS(1097),
    [aux_sym_identities_only_token1] = ACTIONS(1097),
    [aux_sym_identity_agent_token1] = ACTIONS(1097),
    [aux_sym_identity_file_token1] = ACTIONS(1097),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1097),
    [aux_sym_include_token1] = ACTIONS(1097),
    [aux_sym_ip_qos_token1] = ACTIONS(1097),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1097),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1097),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1097),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1097),
    [aux_sym_local_command_token1] = ACTIONS(1097),
    [aux_sym_local_forward_token1] = ACTIONS(1097),
    [aux_sym_log_level_token1] = ACTIONS(1097),
    [aux_sym_log_verbose_token1] = ACTIONS(1097),
    [aux_sym_macs_token1] = ACTIONS(1097),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1097),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1097),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1097),
    [aux_sym_password_authentication_token1] = ACTIONS(1097),
    [aux_sym_permit_local_command_token1] = ACTIONS(1097),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1097),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1097),
    [aux_sym_port_token1] = ACTIONS(1097),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1097),
    [aux_sym_protocol_token1] = ACTIONS(1097),
    [aux_sym_proxy_command_token1] = ACTIONS(1097),
    [aux_sym_proxy_jump_token1] = ACTIONS(1097),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1097),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1097),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1097),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1097),
    [aux_sym_rekey_limit_token1] = ACTIONS(1097),
    [aux_sym_remote_command_token1] = ACTIONS(1097),
    [aux_sym_remote_forward_token1] = ACTIONS(1097),
    [aux_sym_request_tty_token1] = ACTIONS(1097),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1097),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1097),
    [aux_sym_security_key_provider_token1] = ACTIONS(1097),
    [aux_sym_send_env_token1] = ACTIONS(1097),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1097),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1097),
    [aux_sym_session_type_token1] = ACTIONS(1097),
    [aux_sym_set_env_token1] = ACTIONS(1097),
    [aux_sym_stdin_null_token1] = ACTIONS(1097),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1097),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1097),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1097),
    [aux_sym_syslog_facility_token1] = ACTIONS(1097),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1097),
    [aux_sym_keep_alive_token1] = ACTIONS(1097),
    [aux_sym_tag_token1] = ACTIONS(1097),
    [aux_sym_tunnel_token1] = ACTIONS(1099),
    [aux_sym_tunnel_device_token1] = ACTIONS(1097),
    [aux_sym_update_host_keys_token1] = ACTIONS(1097),
    [aux_sym_use_keychain_token1] = ACTIONS(1097),
    [aux_sym_use_roaming_token1] = ACTIONS(1097),
    [aux_sym_user_token1] = ACTIONS(1099),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1097),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1097),
    [aux_sym_visual_host_key_token1] = ACTIONS(1097),
    [aux_sym_xauth_location_token1] = ACTIONS(1097),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1237),
    [aux_sym_match_token1] = ACTIONS(1235),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1235),
    [aux_sym_address_family_token1] = ACTIONS(1235),
    [aux_sym_batch_mode_token1] = ACTIONS(1235),
    [aux_sym_bind_address_token1] = ACTIONS(1235),
    [aux_sym_bind_interface_token1] = ACTIONS(1235),
    [aux_sym_canonical_domains_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1235),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1235),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1235),
    [aux_sym_certificate_file_token1] = ACTIONS(1235),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1235),
    [aux_sym_channel_timeout_token1] = ACTIONS(1235),
    [aux_sym_check_host_ip_token1] = ACTIONS(1235),
    [aux_sym_ciphers_token1] = ACTIONS(1235),
    [aux_sym_cipher_token1] = ACTIONS(1237),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1235),
    [aux_sym_compression_token1] = ACTIONS(1235),
    [aux_sym_connection_attempts_token1] = ACTIONS(1235),
    [aux_sym_connect_timeout_token1] = ACTIONS(1235),
    [aux_sym_control_master_token1] = ACTIONS(1235),
    [aux_sym_control_path_token1] = ACTIONS(1235),
    [aux_sym_control_persist_token1] = ACTIONS(1235),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1235),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1235),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1235),
    [aux_sym_escape_char_token1] = ACTIONS(1235),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1235),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1235),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1235),
    [aux_sym_forward_agent_token1] = ACTIONS(1235),
    [aux_sym_forward_x11_token1] = ACTIONS(1237),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1235),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1235),
    [aux_sym_gateway_ports_token1] = ACTIONS(1235),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1235),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1235),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1235),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1235),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1235),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1235),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1235),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1235),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1235),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1235),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1235),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1235),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1235),
    [aux_sym_host_key_alias_token1] = ACTIONS(1235),
    [aux_sym_hostname_token1] = ACTIONS(1235),
    [aux_sym_identities_only_token1] = ACTIONS(1235),
    [aux_sym_identity_agent_token1] = ACTIONS(1235),
    [aux_sym_identity_file_token1] = ACTIONS(1235),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1235),
    [aux_sym_include_token1] = ACTIONS(1235),
    [aux_sym_ip_qos_token1] = ACTIONS(1235),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1235),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1235),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1235),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1235),
    [aux_sym_local_command_token1] = ACTIONS(1235),
    [aux_sym_local_forward_token1] = ACTIONS(1235),
    [aux_sym_log_level_token1] = ACTIONS(1235),
    [aux_sym_log_verbose_token1] = ACTIONS(1235),
    [aux_sym_macs_token1] = ACTIONS(1235),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1235),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1235),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1235),
    [aux_sym_password_authentication_token1] = ACTIONS(1235),
    [aux_sym_permit_local_command_token1] = ACTIONS(1235),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1235),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1235),
    [aux_sym_port_token1] = ACTIONS(1235),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1235),
    [aux_sym_protocol_token1] = ACTIONS(1235),
    [aux_sym_proxy_command_token1] = ACTIONS(1235),
    [aux_sym_proxy_jump_token1] = ACTIONS(1235),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1235),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1235),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1235),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1235),
    [aux_sym_rekey_limit_token1] = ACTIONS(1235),
    [aux_sym_remote_command_token1] = ACTIONS(1235),
    [aux_sym_remote_forward_token1] = ACTIONS(1235),
    [aux_sym_request_tty_token1] = ACTIONS(1235),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1235),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1235),
    [aux_sym_security_key_provider_token1] = ACTIONS(1235),
    [aux_sym_send_env_token1] = ACTIONS(1235),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1235),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1235),
    [aux_sym_session_type_token1] = ACTIONS(1235),
    [aux_sym_set_env_token1] = ACTIONS(1235),
    [aux_sym_stdin_null_token1] = ACTIONS(1235),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1235),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1235),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1235),
    [aux_sym_syslog_facility_token1] = ACTIONS(1235),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1235),
    [aux_sym_keep_alive_token1] = ACTIONS(1235),
    [aux_sym_tag_token1] = ACTIONS(1235),
    [aux_sym_tunnel_token1] = ACTIONS(1237),
    [aux_sym_tunnel_device_token1] = ACTIONS(1235),
    [aux_sym_update_host_keys_token1] = ACTIONS(1235),
    [aux_sym_use_keychain_token1] = ACTIONS(1235),
    [aux_sym_use_roaming_token1] = ACTIONS(1235),
    [aux_sym_user_token1] = ACTIONS(1237),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1235),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1235),
    [aux_sym_visual_host_key_token1] = ACTIONS(1235),
    [aux_sym_xauth_location_token1] = ACTIONS(1235),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3285),
    [aux_sym_match_token1] = ACTIONS(3283),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3283),
    [aux_sym_address_family_token1] = ACTIONS(3283),
    [aux_sym_batch_mode_token1] = ACTIONS(3283),
    [aux_sym_bind_address_token1] = ACTIONS(3283),
    [aux_sym_bind_interface_token1] = ACTIONS(3283),
    [aux_sym_canonical_domains_token1] = ACTIONS(3283),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3283),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3283),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3283),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3283),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3283),
    [aux_sym_certificate_file_token1] = ACTIONS(3283),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3283),
    [aux_sym_channel_timeout_token1] = ACTIONS(3283),
    [aux_sym_check_host_ip_token1] = ACTIONS(3283),
    [aux_sym_ciphers_token1] = ACTIONS(3283),
    [aux_sym_cipher_token1] = ACTIONS(3285),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3283),
    [aux_sym_compression_token1] = ACTIONS(3283),
    [aux_sym_connection_attempts_token1] = ACTIONS(3283),
    [aux_sym_connect_timeout_token1] = ACTIONS(3283),
    [aux_sym_control_master_token1] = ACTIONS(3283),
    [aux_sym_control_path_token1] = ACTIONS(3283),
    [aux_sym_control_persist_token1] = ACTIONS(3283),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3283),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3283),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3283),
    [aux_sym_escape_char_token1] = ACTIONS(3283),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3283),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3283),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3283),
    [aux_sym_forward_agent_token1] = ACTIONS(3283),
    [aux_sym_forward_x11_token1] = ACTIONS(3285),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3283),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3283),
    [aux_sym_gateway_ports_token1] = ACTIONS(3283),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3283),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3283),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3283),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3283),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3283),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3283),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3283),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3283),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3283),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3283),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3283),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3283),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3283),
    [aux_sym_host_key_alias_token1] = ACTIONS(3283),
    [aux_sym_hostname_token1] = ACTIONS(3283),
    [aux_sym_identities_only_token1] = ACTIONS(3283),
    [aux_sym_identity_agent_token1] = ACTIONS(3283),
    [aux_sym_identity_file_token1] = ACTIONS(3283),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3283),
    [aux_sym_include_token1] = ACTIONS(3283),
    [aux_sym_ip_qos_token1] = ACTIONS(3283),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3283),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3283),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3283),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3283),
    [aux_sym_local_command_token1] = ACTIONS(3283),
    [aux_sym_local_forward_token1] = ACTIONS(3283),
    [aux_sym_log_level_token1] = ACTIONS(3283),
    [aux_sym_log_verbose_token1] = ACTIONS(3283),
    [aux_sym_macs_token1] = ACTIONS(3283),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3283),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3283),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3283),
    [aux_sym_password_authentication_token1] = ACTIONS(3283),
    [aux_sym_permit_local_command_token1] = ACTIONS(3283),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3283),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3283),
    [aux_sym_port_token1] = ACTIONS(3283),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3283),
    [aux_sym_protocol_token1] = ACTIONS(3283),
    [aux_sym_proxy_command_token1] = ACTIONS(3283),
    [aux_sym_proxy_jump_token1] = ACTIONS(3283),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3283),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3283),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3283),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3283),
    [aux_sym_rekey_limit_token1] = ACTIONS(3283),
    [aux_sym_remote_command_token1] = ACTIONS(3283),
    [aux_sym_remote_forward_token1] = ACTIONS(3283),
    [aux_sym_request_tty_token1] = ACTIONS(3283),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3283),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3283),
    [aux_sym_security_key_provider_token1] = ACTIONS(3283),
    [aux_sym_send_env_token1] = ACTIONS(3283),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3283),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3283),
    [aux_sym_session_type_token1] = ACTIONS(3283),
    [aux_sym_set_env_token1] = ACTIONS(3283),
    [aux_sym_stdin_null_token1] = ACTIONS(3283),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3283),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3283),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3283),
    [aux_sym_syslog_facility_token1] = ACTIONS(3283),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3283),
    [aux_sym_keep_alive_token1] = ACTIONS(3283),
    [aux_sym_tag_token1] = ACTIONS(3283),
    [aux_sym_tunnel_token1] = ACTIONS(3285),
    [aux_sym_tunnel_device_token1] = ACTIONS(3283),
    [aux_sym_update_host_keys_token1] = ACTIONS(3283),
    [aux_sym_use_keychain_token1] = ACTIONS(3283),
    [aux_sym_use_roaming_token1] = ACTIONS(3283),
    [aux_sym_user_token1] = ACTIONS(3285),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3283),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3283),
    [aux_sym_visual_host_key_token1] = ACTIONS(3283),
    [aux_sym_xauth_location_token1] = ACTIONS(3283),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3289),
    [aux_sym_match_token1] = ACTIONS(3287),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3287),
    [aux_sym_address_family_token1] = ACTIONS(3287),
    [aux_sym_batch_mode_token1] = ACTIONS(3287),
    [aux_sym_bind_address_token1] = ACTIONS(3287),
    [aux_sym_bind_interface_token1] = ACTIONS(3287),
    [aux_sym_canonical_domains_token1] = ACTIONS(3287),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3287),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3287),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3287),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3287),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3287),
    [aux_sym_certificate_file_token1] = ACTIONS(3287),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3287),
    [aux_sym_channel_timeout_token1] = ACTIONS(3287),
    [aux_sym_check_host_ip_token1] = ACTIONS(3287),
    [aux_sym_ciphers_token1] = ACTIONS(3287),
    [aux_sym_cipher_token1] = ACTIONS(3289),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3287),
    [aux_sym_compression_token1] = ACTIONS(3287),
    [aux_sym_connection_attempts_token1] = ACTIONS(3287),
    [aux_sym_connect_timeout_token1] = ACTIONS(3287),
    [aux_sym_control_master_token1] = ACTIONS(3287),
    [aux_sym_control_path_token1] = ACTIONS(3287),
    [aux_sym_control_persist_token1] = ACTIONS(3287),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3287),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3287),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3287),
    [aux_sym_escape_char_token1] = ACTIONS(3287),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3287),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3287),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3287),
    [aux_sym_forward_agent_token1] = ACTIONS(3287),
    [aux_sym_forward_x11_token1] = ACTIONS(3289),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3287),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3287),
    [aux_sym_gateway_ports_token1] = ACTIONS(3287),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3287),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3287),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3287),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3287),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3287),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3287),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3287),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3287),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3287),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3287),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3287),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3287),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3287),
    [aux_sym_host_key_alias_token1] = ACTIONS(3287),
    [aux_sym_hostname_token1] = ACTIONS(3287),
    [aux_sym_identities_only_token1] = ACTIONS(3287),
    [aux_sym_identity_agent_token1] = ACTIONS(3287),
    [aux_sym_identity_file_token1] = ACTIONS(3287),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3287),
    [aux_sym_include_token1] = ACTIONS(3287),
    [aux_sym_ip_qos_token1] = ACTIONS(3287),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3287),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3287),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3287),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3287),
    [aux_sym_local_command_token1] = ACTIONS(3287),
    [aux_sym_local_forward_token1] = ACTIONS(3287),
    [aux_sym_log_level_token1] = ACTIONS(3287),
    [aux_sym_log_verbose_token1] = ACTIONS(3287),
    [aux_sym_macs_token1] = ACTIONS(3287),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3287),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3287),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3287),
    [aux_sym_password_authentication_token1] = ACTIONS(3287),
    [aux_sym_permit_local_command_token1] = ACTIONS(3287),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3287),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3287),
    [aux_sym_port_token1] = ACTIONS(3287),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3287),
    [aux_sym_protocol_token1] = ACTIONS(3287),
    [aux_sym_proxy_command_token1] = ACTIONS(3287),
    [aux_sym_proxy_jump_token1] = ACTIONS(3287),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3287),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3287),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3287),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3287),
    [aux_sym_rekey_limit_token1] = ACTIONS(3287),
    [aux_sym_remote_command_token1] = ACTIONS(3287),
    [aux_sym_remote_forward_token1] = ACTIONS(3287),
    [aux_sym_request_tty_token1] = ACTIONS(3287),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3287),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3287),
    [aux_sym_security_key_provider_token1] = ACTIONS(3287),
    [aux_sym_send_env_token1] = ACTIONS(3287),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3287),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3287),
    [aux_sym_session_type_token1] = ACTIONS(3287),
    [aux_sym_set_env_token1] = ACTIONS(3287),
    [aux_sym_stdin_null_token1] = ACTIONS(3287),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3287),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3287),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3287),
    [aux_sym_syslog_facility_token1] = ACTIONS(3287),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3287),
    [aux_sym_keep_alive_token1] = ACTIONS(3287),
    [aux_sym_tag_token1] = ACTIONS(3287),
    [aux_sym_tunnel_token1] = ACTIONS(3289),
    [aux_sym_tunnel_device_token1] = ACTIONS(3287),
    [aux_sym_update_host_keys_token1] = ACTIONS(3287),
    [aux_sym_use_keychain_token1] = ACTIONS(3287),
    [aux_sym_use_roaming_token1] = ACTIONS(3287),
    [aux_sym_user_token1] = ACTIONS(3289),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3287),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3287),
    [aux_sym_visual_host_key_token1] = ACTIONS(3287),
    [aux_sym_xauth_location_token1] = ACTIONS(3287),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3293),
    [aux_sym_match_token1] = ACTIONS(3291),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3291),
    [aux_sym_address_family_token1] = ACTIONS(3291),
    [aux_sym_batch_mode_token1] = ACTIONS(3291),
    [aux_sym_bind_address_token1] = ACTIONS(3291),
    [aux_sym_bind_interface_token1] = ACTIONS(3291),
    [aux_sym_canonical_domains_token1] = ACTIONS(3291),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3291),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3291),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3291),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3291),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3291),
    [aux_sym_certificate_file_token1] = ACTIONS(3291),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3291),
    [aux_sym_channel_timeout_token1] = ACTIONS(3291),
    [aux_sym_check_host_ip_token1] = ACTIONS(3291),
    [aux_sym_ciphers_token1] = ACTIONS(3291),
    [aux_sym_cipher_token1] = ACTIONS(3293),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3291),
    [aux_sym_compression_token1] = ACTIONS(3291),
    [aux_sym_connection_attempts_token1] = ACTIONS(3291),
    [aux_sym_connect_timeout_token1] = ACTIONS(3291),
    [aux_sym_control_master_token1] = ACTIONS(3291),
    [aux_sym_control_path_token1] = ACTIONS(3291),
    [aux_sym_control_persist_token1] = ACTIONS(3291),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3291),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3291),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3291),
    [aux_sym_escape_char_token1] = ACTIONS(3291),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3291),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3291),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3291),
    [aux_sym_forward_agent_token1] = ACTIONS(3291),
    [aux_sym_forward_x11_token1] = ACTIONS(3293),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3291),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3291),
    [aux_sym_gateway_ports_token1] = ACTIONS(3291),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3291),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3291),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3291),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3291),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3291),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3291),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3291),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3291),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3291),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3291),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3291),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3291),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3291),
    [aux_sym_host_key_alias_token1] = ACTIONS(3291),
    [aux_sym_hostname_token1] = ACTIONS(3291),
    [aux_sym_identities_only_token1] = ACTIONS(3291),
    [aux_sym_identity_agent_token1] = ACTIONS(3291),
    [aux_sym_identity_file_token1] = ACTIONS(3291),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3291),
    [aux_sym_include_token1] = ACTIONS(3291),
    [aux_sym_ip_qos_token1] = ACTIONS(3291),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3291),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3291),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3291),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3291),
    [aux_sym_local_command_token1] = ACTIONS(3291),
    [aux_sym_local_forward_token1] = ACTIONS(3291),
    [aux_sym_log_level_token1] = ACTIONS(3291),
    [aux_sym_log_verbose_token1] = ACTIONS(3291),
    [aux_sym_macs_token1] = ACTIONS(3291),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3291),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3291),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3291),
    [aux_sym_password_authentication_token1] = ACTIONS(3291),
    [aux_sym_permit_local_command_token1] = ACTIONS(3291),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3291),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3291),
    [aux_sym_port_token1] = ACTIONS(3291),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3291),
    [aux_sym_protocol_token1] = ACTIONS(3291),
    [aux_sym_proxy_command_token1] = ACTIONS(3291),
    [aux_sym_proxy_jump_token1] = ACTIONS(3291),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3291),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3291),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3291),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3291),
    [aux_sym_rekey_limit_token1] = ACTIONS(3291),
    [aux_sym_remote_command_token1] = ACTIONS(3291),
    [aux_sym_remote_forward_token1] = ACTIONS(3291),
    [aux_sym_request_tty_token1] = ACTIONS(3291),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3291),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3291),
    [aux_sym_security_key_provider_token1] = ACTIONS(3291),
    [aux_sym_send_env_token1] = ACTIONS(3291),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3291),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3291),
    [aux_sym_session_type_token1] = ACTIONS(3291),
    [aux_sym_set_env_token1] = ACTIONS(3291),
    [aux_sym_stdin_null_token1] = ACTIONS(3291),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3291),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3291),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3291),
    [aux_sym_syslog_facility_token1] = ACTIONS(3291),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3291),
    [aux_sym_keep_alive_token1] = ACTIONS(3291),
    [aux_sym_tag_token1] = ACTIONS(3291),
    [aux_sym_tunnel_token1] = ACTIONS(3293),
    [aux_sym_tunnel_device_token1] = ACTIONS(3291),
    [aux_sym_update_host_keys_token1] = ACTIONS(3291),
    [aux_sym_use_keychain_token1] = ACTIONS(3291),
    [aux_sym_use_roaming_token1] = ACTIONS(3291),
    [aux_sym_user_token1] = ACTIONS(3293),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3291),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3291),
    [aux_sym_visual_host_key_token1] = ACTIONS(3291),
    [aux_sym_xauth_location_token1] = ACTIONS(3291),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3297),
    [aux_sym_match_token1] = ACTIONS(3295),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3295),
    [aux_sym_address_family_token1] = ACTIONS(3295),
    [aux_sym_batch_mode_token1] = ACTIONS(3295),
    [aux_sym_bind_address_token1] = ACTIONS(3295),
    [aux_sym_bind_interface_token1] = ACTIONS(3295),
    [aux_sym_canonical_domains_token1] = ACTIONS(3295),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3295),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3295),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3295),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3295),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3295),
    [aux_sym_certificate_file_token1] = ACTIONS(3295),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3295),
    [aux_sym_channel_timeout_token1] = ACTIONS(3295),
    [aux_sym_check_host_ip_token1] = ACTIONS(3295),
    [aux_sym_ciphers_token1] = ACTIONS(3295),
    [aux_sym_cipher_token1] = ACTIONS(3297),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3295),
    [aux_sym_compression_token1] = ACTIONS(3295),
    [aux_sym_connection_attempts_token1] = ACTIONS(3295),
    [aux_sym_connect_timeout_token1] = ACTIONS(3295),
    [aux_sym_control_master_token1] = ACTIONS(3295),
    [aux_sym_control_path_token1] = ACTIONS(3295),
    [aux_sym_control_persist_token1] = ACTIONS(3295),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3295),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3295),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3295),
    [aux_sym_escape_char_token1] = ACTIONS(3295),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3295),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3295),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3295),
    [aux_sym_forward_agent_token1] = ACTIONS(3295),
    [aux_sym_forward_x11_token1] = ACTIONS(3297),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3295),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3295),
    [aux_sym_gateway_ports_token1] = ACTIONS(3295),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3295),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3295),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3295),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3295),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3295),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3295),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3295),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3295),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3295),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3295),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3295),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3295),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3295),
    [aux_sym_host_key_alias_token1] = ACTIONS(3295),
    [aux_sym_hostname_token1] = ACTIONS(3295),
    [aux_sym_identities_only_token1] = ACTIONS(3295),
    [aux_sym_identity_agent_token1] = ACTIONS(3295),
    [aux_sym_identity_file_token1] = ACTIONS(3295),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3295),
    [aux_sym_include_token1] = ACTIONS(3295),
    [aux_sym_ip_qos_token1] = ACTIONS(3295),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3295),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3295),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3295),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3295),
    [aux_sym_local_command_token1] = ACTIONS(3295),
    [aux_sym_local_forward_token1] = ACTIONS(3295),
    [aux_sym_log_level_token1] = ACTIONS(3295),
    [aux_sym_log_verbose_token1] = ACTIONS(3295),
    [aux_sym_macs_token1] = ACTIONS(3295),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3295),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3295),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3295),
    [aux_sym_password_authentication_token1] = ACTIONS(3295),
    [aux_sym_permit_local_command_token1] = ACTIONS(3295),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3295),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3295),
    [aux_sym_port_token1] = ACTIONS(3295),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3295),
    [aux_sym_protocol_token1] = ACTIONS(3295),
    [aux_sym_proxy_command_token1] = ACTIONS(3295),
    [aux_sym_proxy_jump_token1] = ACTIONS(3295),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3295),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3295),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3295),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3295),
    [aux_sym_rekey_limit_token1] = ACTIONS(3295),
    [aux_sym_remote_command_token1] = ACTIONS(3295),
    [aux_sym_remote_forward_token1] = ACTIONS(3295),
    [aux_sym_request_tty_token1] = ACTIONS(3295),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3295),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3295),
    [aux_sym_security_key_provider_token1] = ACTIONS(3295),
    [aux_sym_send_env_token1] = ACTIONS(3295),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3295),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3295),
    [aux_sym_session_type_token1] = ACTIONS(3295),
    [aux_sym_set_env_token1] = ACTIONS(3295),
    [aux_sym_stdin_null_token1] = ACTIONS(3295),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3295),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3295),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3295),
    [aux_sym_syslog_facility_token1] = ACTIONS(3295),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3295),
    [aux_sym_keep_alive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(3295),
    [aux_sym_tunnel_token1] = ACTIONS(3297),
    [aux_sym_tunnel_device_token1] = ACTIONS(3295),
    [aux_sym_update_host_keys_token1] = ACTIONS(3295),
    [aux_sym_use_keychain_token1] = ACTIONS(3295),
    [aux_sym_use_roaming_token1] = ACTIONS(3295),
    [aux_sym_user_token1] = ACTIONS(3297),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3295),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3295),
    [aux_sym_visual_host_key_token1] = ACTIONS(3295),
    [aux_sym_xauth_location_token1] = ACTIONS(3295),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3301),
    [aux_sym_match_token1] = ACTIONS(3299),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3299),
    [aux_sym_address_family_token1] = ACTIONS(3299),
    [aux_sym_batch_mode_token1] = ACTIONS(3299),
    [aux_sym_bind_address_token1] = ACTIONS(3299),
    [aux_sym_bind_interface_token1] = ACTIONS(3299),
    [aux_sym_canonical_domains_token1] = ACTIONS(3299),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3299),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3299),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3299),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3299),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3299),
    [aux_sym_certificate_file_token1] = ACTIONS(3299),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3299),
    [aux_sym_channel_timeout_token1] = ACTIONS(3299),
    [aux_sym_check_host_ip_token1] = ACTIONS(3299),
    [aux_sym_ciphers_token1] = ACTIONS(3299),
    [aux_sym_cipher_token1] = ACTIONS(3301),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3299),
    [aux_sym_compression_token1] = ACTIONS(3299),
    [aux_sym_connection_attempts_token1] = ACTIONS(3299),
    [aux_sym_connect_timeout_token1] = ACTIONS(3299),
    [aux_sym_control_master_token1] = ACTIONS(3299),
    [aux_sym_control_path_token1] = ACTIONS(3299),
    [aux_sym_control_persist_token1] = ACTIONS(3299),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3299),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3299),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3299),
    [aux_sym_escape_char_token1] = ACTIONS(3299),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3299),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3299),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3299),
    [aux_sym_forward_agent_token1] = ACTIONS(3299),
    [aux_sym_forward_x11_token1] = ACTIONS(3301),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3299),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3299),
    [aux_sym_gateway_ports_token1] = ACTIONS(3299),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3299),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3299),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3299),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3299),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3299),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3299),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3299),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3299),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3299),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3299),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3299),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3299),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3299),
    [aux_sym_host_key_alias_token1] = ACTIONS(3299),
    [aux_sym_hostname_token1] = ACTIONS(3299),
    [aux_sym_identities_only_token1] = ACTIONS(3299),
    [aux_sym_identity_agent_token1] = ACTIONS(3299),
    [aux_sym_identity_file_token1] = ACTIONS(3299),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3299),
    [aux_sym_include_token1] = ACTIONS(3299),
    [aux_sym_ip_qos_token1] = ACTIONS(3299),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3299),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3299),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3299),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3299),
    [aux_sym_local_command_token1] = ACTIONS(3299),
    [aux_sym_local_forward_token1] = ACTIONS(3299),
    [aux_sym_log_level_token1] = ACTIONS(3299),
    [aux_sym_log_verbose_token1] = ACTIONS(3299),
    [aux_sym_macs_token1] = ACTIONS(3299),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3299),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3299),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3299),
    [aux_sym_password_authentication_token1] = ACTIONS(3299),
    [aux_sym_permit_local_command_token1] = ACTIONS(3299),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3299),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3299),
    [aux_sym_port_token1] = ACTIONS(3299),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3299),
    [aux_sym_protocol_token1] = ACTIONS(3299),
    [aux_sym_proxy_command_token1] = ACTIONS(3299),
    [aux_sym_proxy_jump_token1] = ACTIONS(3299),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3299),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3299),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3299),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3299),
    [aux_sym_rekey_limit_token1] = ACTIONS(3299),
    [aux_sym_remote_command_token1] = ACTIONS(3299),
    [aux_sym_remote_forward_token1] = ACTIONS(3299),
    [aux_sym_request_tty_token1] = ACTIONS(3299),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3299),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3299),
    [aux_sym_security_key_provider_token1] = ACTIONS(3299),
    [aux_sym_send_env_token1] = ACTIONS(3299),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3299),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3299),
    [aux_sym_session_type_token1] = ACTIONS(3299),
    [aux_sym_set_env_token1] = ACTIONS(3299),
    [aux_sym_stdin_null_token1] = ACTIONS(3299),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3299),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3299),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3299),
    [aux_sym_syslog_facility_token1] = ACTIONS(3299),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3299),
    [aux_sym_keep_alive_token1] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [aux_sym_tunnel_token1] = ACTIONS(3301),
    [aux_sym_tunnel_device_token1] = ACTIONS(3299),
    [aux_sym_update_host_keys_token1] = ACTIONS(3299),
    [aux_sym_use_keychain_token1] = ACTIONS(3299),
    [aux_sym_use_roaming_token1] = ACTIONS(3299),
    [aux_sym_user_token1] = ACTIONS(3301),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3299),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3299),
    [aux_sym_visual_host_key_token1] = ACTIONS(3299),
    [aux_sym_xauth_location_token1] = ACTIONS(3299),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3305),
    [aux_sym_match_token1] = ACTIONS(3303),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3303),
    [aux_sym_address_family_token1] = ACTIONS(3303),
    [aux_sym_batch_mode_token1] = ACTIONS(3303),
    [aux_sym_bind_address_token1] = ACTIONS(3303),
    [aux_sym_bind_interface_token1] = ACTIONS(3303),
    [aux_sym_canonical_domains_token1] = ACTIONS(3303),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3303),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3303),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3303),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3303),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3303),
    [aux_sym_certificate_file_token1] = ACTIONS(3303),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3303),
    [aux_sym_channel_timeout_token1] = ACTIONS(3303),
    [aux_sym_check_host_ip_token1] = ACTIONS(3303),
    [aux_sym_ciphers_token1] = ACTIONS(3303),
    [aux_sym_cipher_token1] = ACTIONS(3305),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3303),
    [aux_sym_compression_token1] = ACTIONS(3303),
    [aux_sym_connection_attempts_token1] = ACTIONS(3303),
    [aux_sym_connect_timeout_token1] = ACTIONS(3303),
    [aux_sym_control_master_token1] = ACTIONS(3303),
    [aux_sym_control_path_token1] = ACTIONS(3303),
    [aux_sym_control_persist_token1] = ACTIONS(3303),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3303),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3303),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3303),
    [aux_sym_escape_char_token1] = ACTIONS(3303),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3303),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3303),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3303),
    [aux_sym_forward_agent_token1] = ACTIONS(3303),
    [aux_sym_forward_x11_token1] = ACTIONS(3305),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3303),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3303),
    [aux_sym_gateway_ports_token1] = ACTIONS(3303),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3303),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3303),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3303),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3303),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3303),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3303),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3303),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3303),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3303),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3303),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3303),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3303),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3303),
    [aux_sym_host_key_alias_token1] = ACTIONS(3303),
    [aux_sym_hostname_token1] = ACTIONS(3303),
    [aux_sym_identities_only_token1] = ACTIONS(3303),
    [aux_sym_identity_agent_token1] = ACTIONS(3303),
    [aux_sym_identity_file_token1] = ACTIONS(3303),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3303),
    [aux_sym_include_token1] = ACTIONS(3303),
    [aux_sym_ip_qos_token1] = ACTIONS(3303),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3303),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3303),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3303),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3303),
    [aux_sym_local_command_token1] = ACTIONS(3303),
    [aux_sym_local_forward_token1] = ACTIONS(3303),
    [aux_sym_log_level_token1] = ACTIONS(3303),
    [aux_sym_log_verbose_token1] = ACTIONS(3303),
    [aux_sym_macs_token1] = ACTIONS(3303),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3303),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3303),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3303),
    [aux_sym_password_authentication_token1] = ACTIONS(3303),
    [aux_sym_permit_local_command_token1] = ACTIONS(3303),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3303),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3303),
    [aux_sym_port_token1] = ACTIONS(3303),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3303),
    [aux_sym_protocol_token1] = ACTIONS(3303),
    [aux_sym_proxy_command_token1] = ACTIONS(3303),
    [aux_sym_proxy_jump_token1] = ACTIONS(3303),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3303),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3303),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3303),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3303),
    [aux_sym_rekey_limit_token1] = ACTIONS(3303),
    [aux_sym_remote_command_token1] = ACTIONS(3303),
    [aux_sym_remote_forward_token1] = ACTIONS(3303),
    [aux_sym_request_tty_token1] = ACTIONS(3303),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3303),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3303),
    [aux_sym_security_key_provider_token1] = ACTIONS(3303),
    [aux_sym_send_env_token1] = ACTIONS(3303),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3303),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3303),
    [aux_sym_session_type_token1] = ACTIONS(3303),
    [aux_sym_set_env_token1] = ACTIONS(3303),
    [aux_sym_stdin_null_token1] = ACTIONS(3303),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3303),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3303),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3303),
    [aux_sym_syslog_facility_token1] = ACTIONS(3303),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3303),
    [aux_sym_keep_alive_token1] = ACTIONS(3303),
    [aux_sym_tag_token1] = ACTIONS(3303),
    [aux_sym_tunnel_token1] = ACTIONS(3305),
    [aux_sym_tunnel_device_token1] = ACTIONS(3303),
    [aux_sym_update_host_keys_token1] = ACTIONS(3303),
    [aux_sym_use_keychain_token1] = ACTIONS(3303),
    [aux_sym_use_roaming_token1] = ACTIONS(3303),
    [aux_sym_user_token1] = ACTIONS(3305),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3303),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3303),
    [aux_sym_visual_host_key_token1] = ACTIONS(3303),
    [aux_sym_xauth_location_token1] = ACTIONS(3303),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1165),
    [aux_sym_match_token1] = ACTIONS(1163),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1163),
    [aux_sym_address_family_token1] = ACTIONS(1163),
    [aux_sym_batch_mode_token1] = ACTIONS(1163),
    [aux_sym_bind_address_token1] = ACTIONS(1163),
    [aux_sym_bind_interface_token1] = ACTIONS(1163),
    [aux_sym_canonical_domains_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1163),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1163),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1163),
    [aux_sym_certificate_file_token1] = ACTIONS(1163),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1163),
    [aux_sym_channel_timeout_token1] = ACTIONS(1163),
    [aux_sym_check_host_ip_token1] = ACTIONS(1163),
    [aux_sym_ciphers_token1] = ACTIONS(1163),
    [aux_sym_cipher_token1] = ACTIONS(1165),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1163),
    [aux_sym_compression_token1] = ACTIONS(1163),
    [aux_sym_connection_attempts_token1] = ACTIONS(1163),
    [aux_sym_connect_timeout_token1] = ACTIONS(1163),
    [aux_sym_control_master_token1] = ACTIONS(1163),
    [aux_sym_control_path_token1] = ACTIONS(1163),
    [aux_sym_control_persist_token1] = ACTIONS(1163),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1163),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1163),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1163),
    [aux_sym_escape_char_token1] = ACTIONS(1163),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1163),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1163),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1163),
    [aux_sym_forward_agent_token1] = ACTIONS(1163),
    [aux_sym_forward_x11_token1] = ACTIONS(1165),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1163),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1163),
    [aux_sym_gateway_ports_token1] = ACTIONS(1163),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1163),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1163),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1163),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1163),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1163),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1163),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1163),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1163),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1163),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1163),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1163),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1163),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1163),
    [aux_sym_host_key_alias_token1] = ACTIONS(1163),
    [aux_sym_hostname_token1] = ACTIONS(1163),
    [aux_sym_identities_only_token1] = ACTIONS(1163),
    [aux_sym_identity_agent_token1] = ACTIONS(1163),
    [aux_sym_identity_file_token1] = ACTIONS(1163),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1163),
    [aux_sym_include_token1] = ACTIONS(1163),
    [aux_sym_ip_qos_token1] = ACTIONS(1163),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1163),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1163),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1163),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1163),
    [aux_sym_local_command_token1] = ACTIONS(1163),
    [aux_sym_local_forward_token1] = ACTIONS(1163),
    [aux_sym_log_level_token1] = ACTIONS(1163),
    [aux_sym_log_verbose_token1] = ACTIONS(1163),
    [aux_sym_macs_token1] = ACTIONS(1163),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1163),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1163),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1163),
    [aux_sym_password_authentication_token1] = ACTIONS(1163),
    [aux_sym_permit_local_command_token1] = ACTIONS(1163),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1163),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1163),
    [aux_sym_port_token1] = ACTIONS(1163),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1163),
    [aux_sym_protocol_token1] = ACTIONS(1163),
    [aux_sym_proxy_command_token1] = ACTIONS(1163),
    [aux_sym_proxy_jump_token1] = ACTIONS(1163),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1163),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1163),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1163),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1163),
    [aux_sym_rekey_limit_token1] = ACTIONS(1163),
    [aux_sym_remote_command_token1] = ACTIONS(1163),
    [aux_sym_remote_forward_token1] = ACTIONS(1163),
    [aux_sym_request_tty_token1] = ACTIONS(1163),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1163),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1163),
    [aux_sym_security_key_provider_token1] = ACTIONS(1163),
    [aux_sym_send_env_token1] = ACTIONS(1163),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1163),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1163),
    [aux_sym_session_type_token1] = ACTIONS(1163),
    [aux_sym_set_env_token1] = ACTIONS(1163),
    [aux_sym_stdin_null_token1] = ACTIONS(1163),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1163),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1163),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1163),
    [aux_sym_syslog_facility_token1] = ACTIONS(1163),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1163),
    [aux_sym_keep_alive_token1] = ACTIONS(1163),
    [aux_sym_tag_token1] = ACTIONS(1163),
    [aux_sym_tunnel_token1] = ACTIONS(1165),
    [aux_sym_tunnel_device_token1] = ACTIONS(1163),
    [aux_sym_update_host_keys_token1] = ACTIONS(1163),
    [aux_sym_use_keychain_token1] = ACTIONS(1163),
    [aux_sym_use_roaming_token1] = ACTIONS(1163),
    [aux_sym_user_token1] = ACTIONS(1165),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1163),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1163),
    [aux_sym_visual_host_key_token1] = ACTIONS(1163),
    [aux_sym_xauth_location_token1] = ACTIONS(1163),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1243),
    [aux_sym_match_token1] = ACTIONS(1241),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1241),
    [aux_sym_address_family_token1] = ACTIONS(1241),
    [aux_sym_batch_mode_token1] = ACTIONS(1241),
    [aux_sym_bind_address_token1] = ACTIONS(1241),
    [aux_sym_bind_interface_token1] = ACTIONS(1241),
    [aux_sym_canonical_domains_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1241),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1241),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1241),
    [aux_sym_certificate_file_token1] = ACTIONS(1241),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1241),
    [aux_sym_channel_timeout_token1] = ACTIONS(1241),
    [aux_sym_check_host_ip_token1] = ACTIONS(1241),
    [aux_sym_ciphers_token1] = ACTIONS(1241),
    [aux_sym_cipher_token1] = ACTIONS(1243),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1241),
    [aux_sym_compression_token1] = ACTIONS(1241),
    [aux_sym_connection_attempts_token1] = ACTIONS(1241),
    [aux_sym_connect_timeout_token1] = ACTIONS(1241),
    [aux_sym_control_master_token1] = ACTIONS(1241),
    [aux_sym_control_path_token1] = ACTIONS(1241),
    [aux_sym_control_persist_token1] = ACTIONS(1241),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1241),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1241),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1241),
    [aux_sym_escape_char_token1] = ACTIONS(1241),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1241),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1241),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1241),
    [aux_sym_forward_agent_token1] = ACTIONS(1241),
    [aux_sym_forward_x11_token1] = ACTIONS(1243),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1241),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1241),
    [aux_sym_gateway_ports_token1] = ACTIONS(1241),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1241),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1241),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1241),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1241),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1241),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1241),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1241),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1241),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1241),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1241),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1241),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1241),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1241),
    [aux_sym_host_key_alias_token1] = ACTIONS(1241),
    [aux_sym_hostname_token1] = ACTIONS(1241),
    [aux_sym_identities_only_token1] = ACTIONS(1241),
    [aux_sym_identity_agent_token1] = ACTIONS(1241),
    [aux_sym_identity_file_token1] = ACTIONS(1241),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1241),
    [aux_sym_include_token1] = ACTIONS(1241),
    [aux_sym_ip_qos_token1] = ACTIONS(1241),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1241),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1241),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1241),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1241),
    [aux_sym_local_command_token1] = ACTIONS(1241),
    [aux_sym_local_forward_token1] = ACTIONS(1241),
    [aux_sym_log_level_token1] = ACTIONS(1241),
    [aux_sym_log_verbose_token1] = ACTIONS(1241),
    [aux_sym_macs_token1] = ACTIONS(1241),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1241),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1241),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1241),
    [aux_sym_password_authentication_token1] = ACTIONS(1241),
    [aux_sym_permit_local_command_token1] = ACTIONS(1241),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1241),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1241),
    [aux_sym_port_token1] = ACTIONS(1241),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1241),
    [aux_sym_protocol_token1] = ACTIONS(1241),
    [aux_sym_proxy_command_token1] = ACTIONS(1241),
    [aux_sym_proxy_jump_token1] = ACTIONS(1241),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1241),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1241),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1241),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1241),
    [aux_sym_rekey_limit_token1] = ACTIONS(1241),
    [aux_sym_remote_command_token1] = ACTIONS(1241),
    [aux_sym_remote_forward_token1] = ACTIONS(1241),
    [aux_sym_request_tty_token1] = ACTIONS(1241),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1241),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1241),
    [aux_sym_security_key_provider_token1] = ACTIONS(1241),
    [aux_sym_send_env_token1] = ACTIONS(1241),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1241),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1241),
    [aux_sym_session_type_token1] = ACTIONS(1241),
    [aux_sym_set_env_token1] = ACTIONS(1241),
    [aux_sym_stdin_null_token1] = ACTIONS(1241),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1241),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1241),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1241),
    [aux_sym_syslog_facility_token1] = ACTIONS(1241),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1241),
    [aux_sym_keep_alive_token1] = ACTIONS(1241),
    [aux_sym_tag_token1] = ACTIONS(1241),
    [aux_sym_tunnel_token1] = ACTIONS(1243),
    [aux_sym_tunnel_device_token1] = ACTIONS(1241),
    [aux_sym_update_host_keys_token1] = ACTIONS(1241),
    [aux_sym_use_keychain_token1] = ACTIONS(1241),
    [aux_sym_use_roaming_token1] = ACTIONS(1241),
    [aux_sym_user_token1] = ACTIONS(1243),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1241),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1241),
    [aux_sym_visual_host_key_token1] = ACTIONS(1241),
    [aux_sym_xauth_location_token1] = ACTIONS(1241),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(3307),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3309),
    [aux_sym_match_token1] = ACTIONS(3307),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3307),
    [aux_sym_address_family_token1] = ACTIONS(3307),
    [aux_sym_batch_mode_token1] = ACTIONS(3307),
    [aux_sym_bind_address_token1] = ACTIONS(3307),
    [aux_sym_bind_interface_token1] = ACTIONS(3307),
    [aux_sym_canonical_domains_token1] = ACTIONS(3307),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3307),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3307),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3307),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3307),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3307),
    [aux_sym_certificate_file_token1] = ACTIONS(3307),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3307),
    [aux_sym_channel_timeout_token1] = ACTIONS(3307),
    [aux_sym_check_host_ip_token1] = ACTIONS(3307),
    [aux_sym_ciphers_token1] = ACTIONS(3307),
    [aux_sym_cipher_token1] = ACTIONS(3309),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3307),
    [aux_sym_compression_token1] = ACTIONS(3307),
    [aux_sym_connection_attempts_token1] = ACTIONS(3307),
    [aux_sym_connect_timeout_token1] = ACTIONS(3307),
    [aux_sym_control_master_token1] = ACTIONS(3307),
    [aux_sym_control_path_token1] = ACTIONS(3307),
    [aux_sym_control_persist_token1] = ACTIONS(3307),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3307),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3307),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3307),
    [aux_sym_escape_char_token1] = ACTIONS(3307),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3307),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3307),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3307),
    [aux_sym_forward_agent_token1] = ACTIONS(3307),
    [aux_sym_forward_x11_token1] = ACTIONS(3309),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3307),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3307),
    [aux_sym_gateway_ports_token1] = ACTIONS(3307),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3307),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3307),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3307),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3307),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3307),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3307),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3307),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3307),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3307),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3307),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3307),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3307),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3307),
    [aux_sym_host_key_alias_token1] = ACTIONS(3307),
    [aux_sym_hostname_token1] = ACTIONS(3307),
    [aux_sym_identities_only_token1] = ACTIONS(3307),
    [aux_sym_identity_agent_token1] = ACTIONS(3307),
    [aux_sym_identity_file_token1] = ACTIONS(3307),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3307),
    [aux_sym_include_token1] = ACTIONS(3307),
    [aux_sym_ip_qos_token1] = ACTIONS(3307),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3307),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3307),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3307),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3307),
    [aux_sym_local_command_token1] = ACTIONS(3307),
    [aux_sym_local_forward_token1] = ACTIONS(3307),
    [aux_sym_log_level_token1] = ACTIONS(3307),
    [aux_sym_log_verbose_token1] = ACTIONS(3307),
    [aux_sym_macs_token1] = ACTIONS(3307),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3307),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3307),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3307),
    [aux_sym_password_authentication_token1] = ACTIONS(3307),
    [aux_sym_permit_local_command_token1] = ACTIONS(3307),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3307),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3307),
    [aux_sym_port_token1] = ACTIONS(3307),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3307),
    [aux_sym_protocol_token1] = ACTIONS(3307),
    [aux_sym_proxy_command_token1] = ACTIONS(3307),
    [aux_sym_proxy_jump_token1] = ACTIONS(3307),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3307),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3307),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3307),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3307),
    [aux_sym_rekey_limit_token1] = ACTIONS(3307),
    [aux_sym_remote_command_token1] = ACTIONS(3307),
    [aux_sym_remote_forward_token1] = ACTIONS(3307),
    [aux_sym_request_tty_token1] = ACTIONS(3307),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3307),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3307),
    [aux_sym_security_key_provider_token1] = ACTIONS(3307),
    [aux_sym_send_env_token1] = ACTIONS(3307),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3307),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3307),
    [aux_sym_session_type_token1] = ACTIONS(3307),
    [aux_sym_set_env_token1] = ACTIONS(3307),
    [aux_sym_stdin_null_token1] = ACTIONS(3307),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3307),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3307),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3307),
    [aux_sym_syslog_facility_token1] = ACTIONS(3307),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3307),
    [aux_sym_keep_alive_token1] = ACTIONS(3307),
    [aux_sym_tag_token1] = ACTIONS(3307),
    [aux_sym_tunnel_token1] = ACTIONS(3309),
    [aux_sym_tunnel_device_token1] = ACTIONS(3307),
    [aux_sym_update_host_keys_token1] = ACTIONS(3307),
    [aux_sym_use_keychain_token1] = ACTIONS(3307),
    [aux_sym_use_roaming_token1] = ACTIONS(3307),
    [aux_sym_user_token1] = ACTIONS(3309),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3307),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3307),
    [aux_sym_visual_host_key_token1] = ACTIONS(3307),
    [aux_sym_xauth_location_token1] = ACTIONS(3307),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1121),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1123),
    [aux_sym_match_token1] = ACTIONS(1121),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1121),
    [aux_sym_address_family_token1] = ACTIONS(1121),
    [aux_sym_batch_mode_token1] = ACTIONS(1121),
    [aux_sym_bind_address_token1] = ACTIONS(1121),
    [aux_sym_bind_interface_token1] = ACTIONS(1121),
    [aux_sym_canonical_domains_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1121),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1121),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1121),
    [aux_sym_certificate_file_token1] = ACTIONS(1121),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1121),
    [aux_sym_channel_timeout_token1] = ACTIONS(1121),
    [aux_sym_check_host_ip_token1] = ACTIONS(1121),
    [aux_sym_ciphers_token1] = ACTIONS(1121),
    [aux_sym_cipher_token1] = ACTIONS(1123),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1121),
    [aux_sym_compression_token1] = ACTIONS(1121),
    [aux_sym_connection_attempts_token1] = ACTIONS(1121),
    [aux_sym_connect_timeout_token1] = ACTIONS(1121),
    [aux_sym_control_master_token1] = ACTIONS(1121),
    [aux_sym_control_path_token1] = ACTIONS(1121),
    [aux_sym_control_persist_token1] = ACTIONS(1121),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1121),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1121),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1121),
    [aux_sym_escape_char_token1] = ACTIONS(1121),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1121),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1121),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1121),
    [aux_sym_forward_agent_token1] = ACTIONS(1121),
    [aux_sym_forward_x11_token1] = ACTIONS(1123),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1121),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1121),
    [aux_sym_gateway_ports_token1] = ACTIONS(1121),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1121),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1121),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1121),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1121),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1121),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1121),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1121),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1121),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1121),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1121),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1121),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1121),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1121),
    [aux_sym_host_key_alias_token1] = ACTIONS(1121),
    [aux_sym_hostname_token1] = ACTIONS(1121),
    [aux_sym_identities_only_token1] = ACTIONS(1121),
    [aux_sym_identity_agent_token1] = ACTIONS(1121),
    [aux_sym_identity_file_token1] = ACTIONS(1121),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1121),
    [aux_sym_include_token1] = ACTIONS(1121),
    [aux_sym_ip_qos_token1] = ACTIONS(1121),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1121),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1121),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1121),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1121),
    [aux_sym_local_command_token1] = ACTIONS(1121),
    [aux_sym_local_forward_token1] = ACTIONS(1121),
    [aux_sym_log_level_token1] = ACTIONS(1121),
    [aux_sym_log_verbose_token1] = ACTIONS(1121),
    [aux_sym_macs_token1] = ACTIONS(1121),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1121),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1121),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1121),
    [aux_sym_password_authentication_token1] = ACTIONS(1121),
    [aux_sym_permit_local_command_token1] = ACTIONS(1121),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1121),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1121),
    [aux_sym_port_token1] = ACTIONS(1121),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1121),
    [aux_sym_protocol_token1] = ACTIONS(1121),
    [aux_sym_proxy_command_token1] = ACTIONS(1121),
    [aux_sym_proxy_jump_token1] = ACTIONS(1121),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1121),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1121),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1121),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1121),
    [aux_sym_rekey_limit_token1] = ACTIONS(1121),
    [aux_sym_remote_command_token1] = ACTIONS(1121),
    [aux_sym_remote_forward_token1] = ACTIONS(1121),
    [aux_sym_request_tty_token1] = ACTIONS(1121),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1121),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1121),
    [aux_sym_security_key_provider_token1] = ACTIONS(1121),
    [aux_sym_send_env_token1] = ACTIONS(1121),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1121),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1121),
    [aux_sym_session_type_token1] = ACTIONS(1121),
    [aux_sym_set_env_token1] = ACTIONS(1121),
    [aux_sym_stdin_null_token1] = ACTIONS(1121),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1121),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1121),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1121),
    [aux_sym_syslog_facility_token1] = ACTIONS(1121),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1121),
    [aux_sym_keep_alive_token1] = ACTIONS(1121),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [aux_sym_tunnel_token1] = ACTIONS(1123),
    [aux_sym_tunnel_device_token1] = ACTIONS(1121),
    [aux_sym_update_host_keys_token1] = ACTIONS(1121),
    [aux_sym_use_keychain_token1] = ACTIONS(1121),
    [aux_sym_use_roaming_token1] = ACTIONS(1121),
    [aux_sym_user_token1] = ACTIONS(1123),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1121),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1121),
    [aux_sym_visual_host_key_token1] = ACTIONS(1121),
    [aux_sym_xauth_location_token1] = ACTIONS(1121),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1249),
    [aux_sym_match_token1] = ACTIONS(1247),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1247),
    [aux_sym_address_family_token1] = ACTIONS(1247),
    [aux_sym_batch_mode_token1] = ACTIONS(1247),
    [aux_sym_bind_address_token1] = ACTIONS(1247),
    [aux_sym_bind_interface_token1] = ACTIONS(1247),
    [aux_sym_canonical_domains_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1247),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1247),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1247),
    [aux_sym_certificate_file_token1] = ACTIONS(1247),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1247),
    [aux_sym_channel_timeout_token1] = ACTIONS(1247),
    [aux_sym_check_host_ip_token1] = ACTIONS(1247),
    [aux_sym_ciphers_token1] = ACTIONS(1247),
    [aux_sym_cipher_token1] = ACTIONS(1249),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1247),
    [aux_sym_compression_token1] = ACTIONS(1247),
    [aux_sym_connection_attempts_token1] = ACTIONS(1247),
    [aux_sym_connect_timeout_token1] = ACTIONS(1247),
    [aux_sym_control_master_token1] = ACTIONS(1247),
    [aux_sym_control_path_token1] = ACTIONS(1247),
    [aux_sym_control_persist_token1] = ACTIONS(1247),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1247),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1247),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1247),
    [aux_sym_escape_char_token1] = ACTIONS(1247),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1247),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1247),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1247),
    [aux_sym_forward_agent_token1] = ACTIONS(1247),
    [aux_sym_forward_x11_token1] = ACTIONS(1249),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1247),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1247),
    [aux_sym_gateway_ports_token1] = ACTIONS(1247),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1247),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1247),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1247),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1247),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1247),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1247),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1247),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1247),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1247),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1247),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1247),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1247),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1247),
    [aux_sym_host_key_alias_token1] = ACTIONS(1247),
    [aux_sym_hostname_token1] = ACTIONS(1247),
    [aux_sym_identities_only_token1] = ACTIONS(1247),
    [aux_sym_identity_agent_token1] = ACTIONS(1247),
    [aux_sym_identity_file_token1] = ACTIONS(1247),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1247),
    [aux_sym_include_token1] = ACTIONS(1247),
    [aux_sym_ip_qos_token1] = ACTIONS(1247),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1247),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1247),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1247),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1247),
    [aux_sym_local_command_token1] = ACTIONS(1247),
    [aux_sym_local_forward_token1] = ACTIONS(1247),
    [aux_sym_log_level_token1] = ACTIONS(1247),
    [aux_sym_log_verbose_token1] = ACTIONS(1247),
    [aux_sym_macs_token1] = ACTIONS(1247),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1247),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1247),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1247),
    [aux_sym_password_authentication_token1] = ACTIONS(1247),
    [aux_sym_permit_local_command_token1] = ACTIONS(1247),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1247),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1247),
    [aux_sym_port_token1] = ACTIONS(1247),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1247),
    [aux_sym_protocol_token1] = ACTIONS(1247),
    [aux_sym_proxy_command_token1] = ACTIONS(1247),
    [aux_sym_proxy_jump_token1] = ACTIONS(1247),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1247),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1247),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1247),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1247),
    [aux_sym_rekey_limit_token1] = ACTIONS(1247),
    [aux_sym_remote_command_token1] = ACTIONS(1247),
    [aux_sym_remote_forward_token1] = ACTIONS(1247),
    [aux_sym_request_tty_token1] = ACTIONS(1247),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1247),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1247),
    [aux_sym_security_key_provider_token1] = ACTIONS(1247),
    [aux_sym_send_env_token1] = ACTIONS(1247),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1247),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1247),
    [aux_sym_session_type_token1] = ACTIONS(1247),
    [aux_sym_set_env_token1] = ACTIONS(1247),
    [aux_sym_stdin_null_token1] = ACTIONS(1247),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1247),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1247),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1247),
    [aux_sym_syslog_facility_token1] = ACTIONS(1247),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1247),
    [aux_sym_keep_alive_token1] = ACTIONS(1247),
    [aux_sym_tag_token1] = ACTIONS(1247),
    [aux_sym_tunnel_token1] = ACTIONS(1249),
    [aux_sym_tunnel_device_token1] = ACTIONS(1247),
    [aux_sym_update_host_keys_token1] = ACTIONS(1247),
    [aux_sym_use_keychain_token1] = ACTIONS(1247),
    [aux_sym_use_roaming_token1] = ACTIONS(1247),
    [aux_sym_user_token1] = ACTIONS(1249),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1247),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1247),
    [aux_sym_visual_host_key_token1] = ACTIONS(1247),
    [aux_sym_xauth_location_token1] = ACTIONS(1247),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1075),
    [aux_sym_match_token1] = ACTIONS(1073),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1073),
    [aux_sym_address_family_token1] = ACTIONS(1073),
    [aux_sym_batch_mode_token1] = ACTIONS(1073),
    [aux_sym_bind_address_token1] = ACTIONS(1073),
    [aux_sym_bind_interface_token1] = ACTIONS(1073),
    [aux_sym_canonical_domains_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1073),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1073),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1073),
    [aux_sym_certificate_file_token1] = ACTIONS(1073),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1073),
    [aux_sym_channel_timeout_token1] = ACTIONS(1073),
    [aux_sym_check_host_ip_token1] = ACTIONS(1073),
    [aux_sym_ciphers_token1] = ACTIONS(1073),
    [aux_sym_cipher_token1] = ACTIONS(1075),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1073),
    [aux_sym_compression_token1] = ACTIONS(1073),
    [aux_sym_connection_attempts_token1] = ACTIONS(1073),
    [aux_sym_connect_timeout_token1] = ACTIONS(1073),
    [aux_sym_control_master_token1] = ACTIONS(1073),
    [aux_sym_control_path_token1] = ACTIONS(1073),
    [aux_sym_control_persist_token1] = ACTIONS(1073),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1073),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1073),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1073),
    [aux_sym_escape_char_token1] = ACTIONS(1073),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1073),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1073),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1073),
    [aux_sym_forward_agent_token1] = ACTIONS(1073),
    [aux_sym_forward_x11_token1] = ACTIONS(1075),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1073),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1073),
    [aux_sym_gateway_ports_token1] = ACTIONS(1073),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1073),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1073),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1073),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1073),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1073),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1073),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1073),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1073),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1073),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1073),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1073),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1073),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1073),
    [aux_sym_host_key_alias_token1] = ACTIONS(1073),
    [aux_sym_hostname_token1] = ACTIONS(1073),
    [aux_sym_identities_only_token1] = ACTIONS(1073),
    [aux_sym_identity_agent_token1] = ACTIONS(1073),
    [aux_sym_identity_file_token1] = ACTIONS(1073),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1073),
    [aux_sym_include_token1] = ACTIONS(1073),
    [aux_sym_ip_qos_token1] = ACTIONS(1073),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1073),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1073),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1073),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1073),
    [aux_sym_local_command_token1] = ACTIONS(1073),
    [aux_sym_local_forward_token1] = ACTIONS(1073),
    [aux_sym_log_level_token1] = ACTIONS(1073),
    [aux_sym_log_verbose_token1] = ACTIONS(1073),
    [aux_sym_macs_token1] = ACTIONS(1073),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1073),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1073),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1073),
    [aux_sym_password_authentication_token1] = ACTIONS(1073),
    [aux_sym_permit_local_command_token1] = ACTIONS(1073),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1073),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1073),
    [aux_sym_port_token1] = ACTIONS(1073),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1073),
    [aux_sym_protocol_token1] = ACTIONS(1073),
    [aux_sym_proxy_command_token1] = ACTIONS(1073),
    [aux_sym_proxy_jump_token1] = ACTIONS(1073),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1073),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1073),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1073),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1073),
    [aux_sym_rekey_limit_token1] = ACTIONS(1073),
    [aux_sym_remote_command_token1] = ACTIONS(1073),
    [aux_sym_remote_forward_token1] = ACTIONS(1073),
    [aux_sym_request_tty_token1] = ACTIONS(1073),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1073),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1073),
    [aux_sym_security_key_provider_token1] = ACTIONS(1073),
    [aux_sym_send_env_token1] = ACTIONS(1073),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1073),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1073),
    [aux_sym_session_type_token1] = ACTIONS(1073),
    [aux_sym_set_env_token1] = ACTIONS(1073),
    [aux_sym_stdin_null_token1] = ACTIONS(1073),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1073),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1073),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1073),
    [aux_sym_syslog_facility_token1] = ACTIONS(1073),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1073),
    [aux_sym_keep_alive_token1] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1073),
    [aux_sym_tunnel_token1] = ACTIONS(1075),
    [aux_sym_tunnel_device_token1] = ACTIONS(1073),
    [aux_sym_update_host_keys_token1] = ACTIONS(1073),
    [aux_sym_use_keychain_token1] = ACTIONS(1073),
    [aux_sym_use_roaming_token1] = ACTIONS(1073),
    [aux_sym_user_token1] = ACTIONS(1075),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1073),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1073),
    [aux_sym_visual_host_key_token1] = ACTIONS(1073),
    [aux_sym_xauth_location_token1] = ACTIONS(1073),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(3311),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3313),
    [aux_sym_match_token1] = ACTIONS(3311),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3311),
    [aux_sym_address_family_token1] = ACTIONS(3311),
    [aux_sym_batch_mode_token1] = ACTIONS(3311),
    [aux_sym_bind_address_token1] = ACTIONS(3311),
    [aux_sym_bind_interface_token1] = ACTIONS(3311),
    [aux_sym_canonical_domains_token1] = ACTIONS(3311),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3311),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3311),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3311),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3311),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3311),
    [aux_sym_certificate_file_token1] = ACTIONS(3311),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3311),
    [aux_sym_channel_timeout_token1] = ACTIONS(3311),
    [aux_sym_check_host_ip_token1] = ACTIONS(3311),
    [aux_sym_ciphers_token1] = ACTIONS(3311),
    [aux_sym_cipher_token1] = ACTIONS(3313),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3311),
    [aux_sym_compression_token1] = ACTIONS(3311),
    [aux_sym_connection_attempts_token1] = ACTIONS(3311),
    [aux_sym_connect_timeout_token1] = ACTIONS(3311),
    [aux_sym_control_master_token1] = ACTIONS(3311),
    [aux_sym_control_path_token1] = ACTIONS(3311),
    [aux_sym_control_persist_token1] = ACTIONS(3311),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3311),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3311),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3311),
    [aux_sym_escape_char_token1] = ACTIONS(3311),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3311),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3311),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3311),
    [aux_sym_forward_agent_token1] = ACTIONS(3311),
    [aux_sym_forward_x11_token1] = ACTIONS(3313),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3311),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3311),
    [aux_sym_gateway_ports_token1] = ACTIONS(3311),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3311),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3311),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3311),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3311),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3311),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3311),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3311),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3311),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3311),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3311),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3311),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3311),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3311),
    [aux_sym_host_key_alias_token1] = ACTIONS(3311),
    [aux_sym_hostname_token1] = ACTIONS(3311),
    [aux_sym_identities_only_token1] = ACTIONS(3311),
    [aux_sym_identity_agent_token1] = ACTIONS(3311),
    [aux_sym_identity_file_token1] = ACTIONS(3311),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3311),
    [aux_sym_include_token1] = ACTIONS(3311),
    [aux_sym_ip_qos_token1] = ACTIONS(3311),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3311),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3311),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3311),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3311),
    [aux_sym_local_command_token1] = ACTIONS(3311),
    [aux_sym_local_forward_token1] = ACTIONS(3311),
    [aux_sym_log_level_token1] = ACTIONS(3311),
    [aux_sym_log_verbose_token1] = ACTIONS(3311),
    [aux_sym_macs_token1] = ACTIONS(3311),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3311),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3311),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3311),
    [aux_sym_password_authentication_token1] = ACTIONS(3311),
    [aux_sym_permit_local_command_token1] = ACTIONS(3311),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3311),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3311),
    [aux_sym_port_token1] = ACTIONS(3311),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3311),
    [aux_sym_protocol_token1] = ACTIONS(3311),
    [aux_sym_proxy_command_token1] = ACTIONS(3311),
    [aux_sym_proxy_jump_token1] = ACTIONS(3311),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3311),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3311),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3311),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3311),
    [aux_sym_rekey_limit_token1] = ACTIONS(3311),
    [aux_sym_remote_command_token1] = ACTIONS(3311),
    [aux_sym_remote_forward_token1] = ACTIONS(3311),
    [aux_sym_request_tty_token1] = ACTIONS(3311),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3311),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3311),
    [aux_sym_security_key_provider_token1] = ACTIONS(3311),
    [aux_sym_send_env_token1] = ACTIONS(3311),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3311),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3311),
    [aux_sym_session_type_token1] = ACTIONS(3311),
    [aux_sym_set_env_token1] = ACTIONS(3311),
    [aux_sym_stdin_null_token1] = ACTIONS(3311),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3311),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3311),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3311),
    [aux_sym_syslog_facility_token1] = ACTIONS(3311),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3311),
    [aux_sym_keep_alive_token1] = ACTIONS(3311),
    [aux_sym_tag_token1] = ACTIONS(3311),
    [aux_sym_tunnel_token1] = ACTIONS(3313),
    [aux_sym_tunnel_device_token1] = ACTIONS(3311),
    [aux_sym_update_host_keys_token1] = ACTIONS(3311),
    [aux_sym_use_keychain_token1] = ACTIONS(3311),
    [aux_sym_use_roaming_token1] = ACTIONS(3311),
    [aux_sym_user_token1] = ACTIONS(3313),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3311),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3311),
    [aux_sym_visual_host_key_token1] = ACTIONS(3311),
    [aux_sym_xauth_location_token1] = ACTIONS(3311),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(3315),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3317),
    [aux_sym_match_token1] = ACTIONS(3315),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3315),
    [aux_sym_address_family_token1] = ACTIONS(3315),
    [aux_sym_batch_mode_token1] = ACTIONS(3315),
    [aux_sym_bind_address_token1] = ACTIONS(3315),
    [aux_sym_bind_interface_token1] = ACTIONS(3315),
    [aux_sym_canonical_domains_token1] = ACTIONS(3315),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3315),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3315),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3315),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3315),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3315),
    [aux_sym_certificate_file_token1] = ACTIONS(3315),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3315),
    [aux_sym_channel_timeout_token1] = ACTIONS(3315),
    [aux_sym_check_host_ip_token1] = ACTIONS(3315),
    [aux_sym_ciphers_token1] = ACTIONS(3315),
    [aux_sym_cipher_token1] = ACTIONS(3317),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3315),
    [aux_sym_compression_token1] = ACTIONS(3315),
    [aux_sym_connection_attempts_token1] = ACTIONS(3315),
    [aux_sym_connect_timeout_token1] = ACTIONS(3315),
    [aux_sym_control_master_token1] = ACTIONS(3315),
    [aux_sym_control_path_token1] = ACTIONS(3315),
    [aux_sym_control_persist_token1] = ACTIONS(3315),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3315),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3315),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3315),
    [aux_sym_escape_char_token1] = ACTIONS(3315),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3315),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3315),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3315),
    [aux_sym_forward_agent_token1] = ACTIONS(3315),
    [aux_sym_forward_x11_token1] = ACTIONS(3317),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3315),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3315),
    [aux_sym_gateway_ports_token1] = ACTIONS(3315),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3315),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3315),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3315),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3315),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3315),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3315),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3315),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3315),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3315),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3315),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3315),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3315),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3315),
    [aux_sym_host_key_alias_token1] = ACTIONS(3315),
    [aux_sym_hostname_token1] = ACTIONS(3315),
    [aux_sym_identities_only_token1] = ACTIONS(3315),
    [aux_sym_identity_agent_token1] = ACTIONS(3315),
    [aux_sym_identity_file_token1] = ACTIONS(3315),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3315),
    [aux_sym_include_token1] = ACTIONS(3315),
    [aux_sym_ip_qos_token1] = ACTIONS(3315),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3315),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3315),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3315),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3315),
    [aux_sym_local_command_token1] = ACTIONS(3315),
    [aux_sym_local_forward_token1] = ACTIONS(3315),
    [aux_sym_log_level_token1] = ACTIONS(3315),
    [aux_sym_log_verbose_token1] = ACTIONS(3315),
    [aux_sym_macs_token1] = ACTIONS(3315),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3315),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3315),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3315),
    [aux_sym_password_authentication_token1] = ACTIONS(3315),
    [aux_sym_permit_local_command_token1] = ACTIONS(3315),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3315),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3315),
    [aux_sym_port_token1] = ACTIONS(3315),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3315),
    [aux_sym_protocol_token1] = ACTIONS(3315),
    [aux_sym_proxy_command_token1] = ACTIONS(3315),
    [aux_sym_proxy_jump_token1] = ACTIONS(3315),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3315),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3315),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3315),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3315),
    [aux_sym_rekey_limit_token1] = ACTIONS(3315),
    [aux_sym_remote_command_token1] = ACTIONS(3315),
    [aux_sym_remote_forward_token1] = ACTIONS(3315),
    [aux_sym_request_tty_token1] = ACTIONS(3315),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3315),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3315),
    [aux_sym_security_key_provider_token1] = ACTIONS(3315),
    [aux_sym_send_env_token1] = ACTIONS(3315),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3315),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3315),
    [aux_sym_session_type_token1] = ACTIONS(3315),
    [aux_sym_set_env_token1] = ACTIONS(3315),
    [aux_sym_stdin_null_token1] = ACTIONS(3315),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3315),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3315),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3315),
    [aux_sym_syslog_facility_token1] = ACTIONS(3315),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3315),
    [aux_sym_keep_alive_token1] = ACTIONS(3315),
    [aux_sym_tag_token1] = ACTIONS(3315),
    [aux_sym_tunnel_token1] = ACTIONS(3317),
    [aux_sym_tunnel_device_token1] = ACTIONS(3315),
    [aux_sym_update_host_keys_token1] = ACTIONS(3315),
    [aux_sym_use_keychain_token1] = ACTIONS(3315),
    [aux_sym_use_roaming_token1] = ACTIONS(3315),
    [aux_sym_user_token1] = ACTIONS(3317),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3315),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3315),
    [aux_sym_visual_host_key_token1] = ACTIONS(3315),
    [aux_sym_xauth_location_token1] = ACTIONS(3315),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(3319),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3321),
    [aux_sym_match_token1] = ACTIONS(3319),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3319),
    [aux_sym_address_family_token1] = ACTIONS(3319),
    [aux_sym_batch_mode_token1] = ACTIONS(3319),
    [aux_sym_bind_address_token1] = ACTIONS(3319),
    [aux_sym_bind_interface_token1] = ACTIONS(3319),
    [aux_sym_canonical_domains_token1] = ACTIONS(3319),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3319),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3319),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3319),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3319),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3319),
    [aux_sym_certificate_file_token1] = ACTIONS(3319),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3319),
    [aux_sym_channel_timeout_token1] = ACTIONS(3319),
    [aux_sym_check_host_ip_token1] = ACTIONS(3319),
    [aux_sym_ciphers_token1] = ACTIONS(3319),
    [aux_sym_cipher_token1] = ACTIONS(3321),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3319),
    [aux_sym_compression_token1] = ACTIONS(3319),
    [aux_sym_connection_attempts_token1] = ACTIONS(3319),
    [aux_sym_connect_timeout_token1] = ACTIONS(3319),
    [aux_sym_control_master_token1] = ACTIONS(3319),
    [aux_sym_control_path_token1] = ACTIONS(3319),
    [aux_sym_control_persist_token1] = ACTIONS(3319),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3319),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3319),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3319),
    [aux_sym_escape_char_token1] = ACTIONS(3319),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3319),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3319),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3319),
    [aux_sym_forward_agent_token1] = ACTIONS(3319),
    [aux_sym_forward_x11_token1] = ACTIONS(3321),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3319),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3319),
    [aux_sym_gateway_ports_token1] = ACTIONS(3319),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3319),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3319),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3319),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3319),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3319),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3319),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3319),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3319),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3319),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3319),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3319),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3319),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3319),
    [aux_sym_host_key_alias_token1] = ACTIONS(3319),
    [aux_sym_hostname_token1] = ACTIONS(3319),
    [aux_sym_identities_only_token1] = ACTIONS(3319),
    [aux_sym_identity_agent_token1] = ACTIONS(3319),
    [aux_sym_identity_file_token1] = ACTIONS(3319),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3319),
    [aux_sym_include_token1] = ACTIONS(3319),
    [aux_sym_ip_qos_token1] = ACTIONS(3319),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3319),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3319),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3319),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3319),
    [aux_sym_local_command_token1] = ACTIONS(3319),
    [aux_sym_local_forward_token1] = ACTIONS(3319),
    [aux_sym_log_level_token1] = ACTIONS(3319),
    [aux_sym_log_verbose_token1] = ACTIONS(3319),
    [aux_sym_macs_token1] = ACTIONS(3319),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3319),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3319),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3319),
    [aux_sym_password_authentication_token1] = ACTIONS(3319),
    [aux_sym_permit_local_command_token1] = ACTIONS(3319),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3319),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3319),
    [aux_sym_port_token1] = ACTIONS(3319),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3319),
    [aux_sym_protocol_token1] = ACTIONS(3319),
    [aux_sym_proxy_command_token1] = ACTIONS(3319),
    [aux_sym_proxy_jump_token1] = ACTIONS(3319),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3319),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3319),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3319),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3319),
    [aux_sym_rekey_limit_token1] = ACTIONS(3319),
    [aux_sym_remote_command_token1] = ACTIONS(3319),
    [aux_sym_remote_forward_token1] = ACTIONS(3319),
    [aux_sym_request_tty_token1] = ACTIONS(3319),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3319),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3319),
    [aux_sym_security_key_provider_token1] = ACTIONS(3319),
    [aux_sym_send_env_token1] = ACTIONS(3319),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3319),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3319),
    [aux_sym_session_type_token1] = ACTIONS(3319),
    [aux_sym_set_env_token1] = ACTIONS(3319),
    [aux_sym_stdin_null_token1] = ACTIONS(3319),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3319),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3319),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3319),
    [aux_sym_syslog_facility_token1] = ACTIONS(3319),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3319),
    [aux_sym_keep_alive_token1] = ACTIONS(3319),
    [aux_sym_tag_token1] = ACTIONS(3319),
    [aux_sym_tunnel_token1] = ACTIONS(3321),
    [aux_sym_tunnel_device_token1] = ACTIONS(3319),
    [aux_sym_update_host_keys_token1] = ACTIONS(3319),
    [aux_sym_use_keychain_token1] = ACTIONS(3319),
    [aux_sym_use_roaming_token1] = ACTIONS(3319),
    [aux_sym_user_token1] = ACTIONS(3321),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3319),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3319),
    [aux_sym_visual_host_key_token1] = ACTIONS(3319),
    [aux_sym_xauth_location_token1] = ACTIONS(3319),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3325),
    [aux_sym_match_token1] = ACTIONS(3323),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3323),
    [aux_sym_address_family_token1] = ACTIONS(3323),
    [aux_sym_batch_mode_token1] = ACTIONS(3323),
    [aux_sym_bind_address_token1] = ACTIONS(3323),
    [aux_sym_bind_interface_token1] = ACTIONS(3323),
    [aux_sym_canonical_domains_token1] = ACTIONS(3323),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3323),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3323),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3323),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3323),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3323),
    [aux_sym_certificate_file_token1] = ACTIONS(3323),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3323),
    [aux_sym_channel_timeout_token1] = ACTIONS(3323),
    [aux_sym_check_host_ip_token1] = ACTIONS(3323),
    [aux_sym_ciphers_token1] = ACTIONS(3323),
    [aux_sym_cipher_token1] = ACTIONS(3325),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3323),
    [aux_sym_compression_token1] = ACTIONS(3323),
    [aux_sym_connection_attempts_token1] = ACTIONS(3323),
    [aux_sym_connect_timeout_token1] = ACTIONS(3323),
    [aux_sym_control_master_token1] = ACTIONS(3323),
    [aux_sym_control_path_token1] = ACTIONS(3323),
    [aux_sym_control_persist_token1] = ACTIONS(3323),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3323),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3323),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3323),
    [aux_sym_escape_char_token1] = ACTIONS(3323),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3323),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3323),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3323),
    [aux_sym_forward_agent_token1] = ACTIONS(3323),
    [aux_sym_forward_x11_token1] = ACTIONS(3325),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3323),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3323),
    [aux_sym_gateway_ports_token1] = ACTIONS(3323),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3323),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3323),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3323),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3323),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3323),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3323),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3323),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3323),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3323),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3323),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3323),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3323),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3323),
    [aux_sym_host_key_alias_token1] = ACTIONS(3323),
    [aux_sym_hostname_token1] = ACTIONS(3323),
    [aux_sym_identities_only_token1] = ACTIONS(3323),
    [aux_sym_identity_agent_token1] = ACTIONS(3323),
    [aux_sym_identity_file_token1] = ACTIONS(3323),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3323),
    [aux_sym_include_token1] = ACTIONS(3323),
    [aux_sym_ip_qos_token1] = ACTIONS(3323),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3323),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3323),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3323),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3323),
    [aux_sym_local_command_token1] = ACTIONS(3323),
    [aux_sym_local_forward_token1] = ACTIONS(3323),
    [aux_sym_log_level_token1] = ACTIONS(3323),
    [aux_sym_log_verbose_token1] = ACTIONS(3323),
    [aux_sym_macs_token1] = ACTIONS(3323),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3323),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3323),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3323),
    [aux_sym_password_authentication_token1] = ACTIONS(3323),
    [aux_sym_permit_local_command_token1] = ACTIONS(3323),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3323),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3323),
    [aux_sym_port_token1] = ACTIONS(3323),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3323),
    [aux_sym_protocol_token1] = ACTIONS(3323),
    [aux_sym_proxy_command_token1] = ACTIONS(3323),
    [aux_sym_proxy_jump_token1] = ACTIONS(3323),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3323),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3323),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3323),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3323),
    [aux_sym_rekey_limit_token1] = ACTIONS(3323),
    [aux_sym_remote_command_token1] = ACTIONS(3323),
    [aux_sym_remote_forward_token1] = ACTIONS(3323),
    [aux_sym_request_tty_token1] = ACTIONS(3323),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3323),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3323),
    [aux_sym_security_key_provider_token1] = ACTIONS(3323),
    [aux_sym_send_env_token1] = ACTIONS(3323),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3323),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3323),
    [aux_sym_session_type_token1] = ACTIONS(3323),
    [aux_sym_set_env_token1] = ACTIONS(3323),
    [aux_sym_stdin_null_token1] = ACTIONS(3323),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3323),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3323),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3323),
    [aux_sym_syslog_facility_token1] = ACTIONS(3323),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3323),
    [aux_sym_keep_alive_token1] = ACTIONS(3323),
    [aux_sym_tag_token1] = ACTIONS(3323),
    [aux_sym_tunnel_token1] = ACTIONS(3325),
    [aux_sym_tunnel_device_token1] = ACTIONS(3323),
    [aux_sym_update_host_keys_token1] = ACTIONS(3323),
    [aux_sym_use_keychain_token1] = ACTIONS(3323),
    [aux_sym_use_roaming_token1] = ACTIONS(3323),
    [aux_sym_user_token1] = ACTIONS(3325),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3323),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3323),
    [aux_sym_visual_host_key_token1] = ACTIONS(3323),
    [aux_sym_xauth_location_token1] = ACTIONS(3323),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3329),
    [aux_sym_match_token1] = ACTIONS(3327),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3327),
    [aux_sym_address_family_token1] = ACTIONS(3327),
    [aux_sym_batch_mode_token1] = ACTIONS(3327),
    [aux_sym_bind_address_token1] = ACTIONS(3327),
    [aux_sym_bind_interface_token1] = ACTIONS(3327),
    [aux_sym_canonical_domains_token1] = ACTIONS(3327),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3327),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3327),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3327),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3327),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3327),
    [aux_sym_certificate_file_token1] = ACTIONS(3327),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3327),
    [aux_sym_channel_timeout_token1] = ACTIONS(3327),
    [aux_sym_check_host_ip_token1] = ACTIONS(3327),
    [aux_sym_ciphers_token1] = ACTIONS(3327),
    [aux_sym_cipher_token1] = ACTIONS(3329),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3327),
    [aux_sym_compression_token1] = ACTIONS(3327),
    [aux_sym_connection_attempts_token1] = ACTIONS(3327),
    [aux_sym_connect_timeout_token1] = ACTIONS(3327),
    [aux_sym_control_master_token1] = ACTIONS(3327),
    [aux_sym_control_path_token1] = ACTIONS(3327),
    [aux_sym_control_persist_token1] = ACTIONS(3327),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3327),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3327),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3327),
    [aux_sym_escape_char_token1] = ACTIONS(3327),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3327),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3327),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3327),
    [aux_sym_forward_agent_token1] = ACTIONS(3327),
    [aux_sym_forward_x11_token1] = ACTIONS(3329),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3327),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3327),
    [aux_sym_gateway_ports_token1] = ACTIONS(3327),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3327),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3327),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3327),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3327),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3327),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3327),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3327),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3327),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3327),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3327),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3327),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3327),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3327),
    [aux_sym_host_key_alias_token1] = ACTIONS(3327),
    [aux_sym_hostname_token1] = ACTIONS(3327),
    [aux_sym_identities_only_token1] = ACTIONS(3327),
    [aux_sym_identity_agent_token1] = ACTIONS(3327),
    [aux_sym_identity_file_token1] = ACTIONS(3327),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3327),
    [aux_sym_include_token1] = ACTIONS(3327),
    [aux_sym_ip_qos_token1] = ACTIONS(3327),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3327),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3327),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3327),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3327),
    [aux_sym_local_command_token1] = ACTIONS(3327),
    [aux_sym_local_forward_token1] = ACTIONS(3327),
    [aux_sym_log_level_token1] = ACTIONS(3327),
    [aux_sym_log_verbose_token1] = ACTIONS(3327),
    [aux_sym_macs_token1] = ACTIONS(3327),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3327),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3327),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3327),
    [aux_sym_password_authentication_token1] = ACTIONS(3327),
    [aux_sym_permit_local_command_token1] = ACTIONS(3327),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3327),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3327),
    [aux_sym_port_token1] = ACTIONS(3327),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3327),
    [aux_sym_protocol_token1] = ACTIONS(3327),
    [aux_sym_proxy_command_token1] = ACTIONS(3327),
    [aux_sym_proxy_jump_token1] = ACTIONS(3327),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3327),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3327),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3327),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3327),
    [aux_sym_rekey_limit_token1] = ACTIONS(3327),
    [aux_sym_remote_command_token1] = ACTIONS(3327),
    [aux_sym_remote_forward_token1] = ACTIONS(3327),
    [aux_sym_request_tty_token1] = ACTIONS(3327),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3327),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3327),
    [aux_sym_security_key_provider_token1] = ACTIONS(3327),
    [aux_sym_send_env_token1] = ACTIONS(3327),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3327),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3327),
    [aux_sym_session_type_token1] = ACTIONS(3327),
    [aux_sym_set_env_token1] = ACTIONS(3327),
    [aux_sym_stdin_null_token1] = ACTIONS(3327),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3327),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3327),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3327),
    [aux_sym_syslog_facility_token1] = ACTIONS(3327),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3327),
    [aux_sym_keep_alive_token1] = ACTIONS(3327),
    [aux_sym_tag_token1] = ACTIONS(3327),
    [aux_sym_tunnel_token1] = ACTIONS(3329),
    [aux_sym_tunnel_device_token1] = ACTIONS(3327),
    [aux_sym_update_host_keys_token1] = ACTIONS(3327),
    [aux_sym_use_keychain_token1] = ACTIONS(3327),
    [aux_sym_use_roaming_token1] = ACTIONS(3327),
    [aux_sym_user_token1] = ACTIONS(3329),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3327),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3327),
    [aux_sym_visual_host_key_token1] = ACTIONS(3327),
    [aux_sym_xauth_location_token1] = ACTIONS(3327),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3333),
    [aux_sym_match_token1] = ACTIONS(3331),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3331),
    [aux_sym_address_family_token1] = ACTIONS(3331),
    [aux_sym_batch_mode_token1] = ACTIONS(3331),
    [aux_sym_bind_address_token1] = ACTIONS(3331),
    [aux_sym_bind_interface_token1] = ACTIONS(3331),
    [aux_sym_canonical_domains_token1] = ACTIONS(3331),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3331),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3331),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3331),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3331),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3331),
    [aux_sym_certificate_file_token1] = ACTIONS(3331),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3331),
    [aux_sym_channel_timeout_token1] = ACTIONS(3331),
    [aux_sym_check_host_ip_token1] = ACTIONS(3331),
    [aux_sym_ciphers_token1] = ACTIONS(3331),
    [aux_sym_cipher_token1] = ACTIONS(3333),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3331),
    [aux_sym_compression_token1] = ACTIONS(3331),
    [aux_sym_connection_attempts_token1] = ACTIONS(3331),
    [aux_sym_connect_timeout_token1] = ACTIONS(3331),
    [aux_sym_control_master_token1] = ACTIONS(3331),
    [aux_sym_control_path_token1] = ACTIONS(3331),
    [aux_sym_control_persist_token1] = ACTIONS(3331),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3331),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3331),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3331),
    [aux_sym_escape_char_token1] = ACTIONS(3331),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3331),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3331),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3331),
    [aux_sym_forward_agent_token1] = ACTIONS(3331),
    [aux_sym_forward_x11_token1] = ACTIONS(3333),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3331),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3331),
    [aux_sym_gateway_ports_token1] = ACTIONS(3331),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3331),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3331),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3331),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3331),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3331),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3331),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3331),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3331),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3331),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3331),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3331),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3331),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3331),
    [aux_sym_host_key_alias_token1] = ACTIONS(3331),
    [aux_sym_hostname_token1] = ACTIONS(3331),
    [aux_sym_identities_only_token1] = ACTIONS(3331),
    [aux_sym_identity_agent_token1] = ACTIONS(3331),
    [aux_sym_identity_file_token1] = ACTIONS(3331),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3331),
    [aux_sym_include_token1] = ACTIONS(3331),
    [aux_sym_ip_qos_token1] = ACTIONS(3331),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3331),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3331),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3331),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3331),
    [aux_sym_local_command_token1] = ACTIONS(3331),
    [aux_sym_local_forward_token1] = ACTIONS(3331),
    [aux_sym_log_level_token1] = ACTIONS(3331),
    [aux_sym_log_verbose_token1] = ACTIONS(3331),
    [aux_sym_macs_token1] = ACTIONS(3331),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3331),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3331),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3331),
    [aux_sym_password_authentication_token1] = ACTIONS(3331),
    [aux_sym_permit_local_command_token1] = ACTIONS(3331),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3331),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3331),
    [aux_sym_port_token1] = ACTIONS(3331),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3331),
    [aux_sym_protocol_token1] = ACTIONS(3331),
    [aux_sym_proxy_command_token1] = ACTIONS(3331),
    [aux_sym_proxy_jump_token1] = ACTIONS(3331),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3331),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3331),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3331),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3331),
    [aux_sym_rekey_limit_token1] = ACTIONS(3331),
    [aux_sym_remote_command_token1] = ACTIONS(3331),
    [aux_sym_remote_forward_token1] = ACTIONS(3331),
    [aux_sym_request_tty_token1] = ACTIONS(3331),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3331),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3331),
    [aux_sym_security_key_provider_token1] = ACTIONS(3331),
    [aux_sym_send_env_token1] = ACTIONS(3331),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3331),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3331),
    [aux_sym_session_type_token1] = ACTIONS(3331),
    [aux_sym_set_env_token1] = ACTIONS(3331),
    [aux_sym_stdin_null_token1] = ACTIONS(3331),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3331),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3331),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3331),
    [aux_sym_syslog_facility_token1] = ACTIONS(3331),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3331),
    [aux_sym_keep_alive_token1] = ACTIONS(3331),
    [aux_sym_tag_token1] = ACTIONS(3331),
    [aux_sym_tunnel_token1] = ACTIONS(3333),
    [aux_sym_tunnel_device_token1] = ACTIONS(3331),
    [aux_sym_update_host_keys_token1] = ACTIONS(3331),
    [aux_sym_use_keychain_token1] = ACTIONS(3331),
    [aux_sym_use_roaming_token1] = ACTIONS(3331),
    [aux_sym_user_token1] = ACTIONS(3333),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3331),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3331),
    [aux_sym_visual_host_key_token1] = ACTIONS(3331),
    [aux_sym_xauth_location_token1] = ACTIONS(3331),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1255),
    [aux_sym_match_token1] = ACTIONS(1253),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1253),
    [aux_sym_address_family_token1] = ACTIONS(1253),
    [aux_sym_batch_mode_token1] = ACTIONS(1253),
    [aux_sym_bind_address_token1] = ACTIONS(1253),
    [aux_sym_bind_interface_token1] = ACTIONS(1253),
    [aux_sym_canonical_domains_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1253),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1253),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1253),
    [aux_sym_certificate_file_token1] = ACTIONS(1253),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1253),
    [aux_sym_channel_timeout_token1] = ACTIONS(1253),
    [aux_sym_check_host_ip_token1] = ACTIONS(1253),
    [aux_sym_ciphers_token1] = ACTIONS(1253),
    [aux_sym_cipher_token1] = ACTIONS(1255),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1253),
    [aux_sym_compression_token1] = ACTIONS(1253),
    [aux_sym_connection_attempts_token1] = ACTIONS(1253),
    [aux_sym_connect_timeout_token1] = ACTIONS(1253),
    [aux_sym_control_master_token1] = ACTIONS(1253),
    [aux_sym_control_path_token1] = ACTIONS(1253),
    [aux_sym_control_persist_token1] = ACTIONS(1253),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1253),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1253),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1253),
    [aux_sym_escape_char_token1] = ACTIONS(1253),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1253),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1253),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1253),
    [aux_sym_forward_agent_token1] = ACTIONS(1253),
    [aux_sym_forward_x11_token1] = ACTIONS(1255),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1253),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1253),
    [aux_sym_gateway_ports_token1] = ACTIONS(1253),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1253),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1253),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1253),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1253),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1253),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1253),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1253),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1253),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1253),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1253),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1253),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1253),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1253),
    [aux_sym_host_key_alias_token1] = ACTIONS(1253),
    [aux_sym_hostname_token1] = ACTIONS(1253),
    [aux_sym_identities_only_token1] = ACTIONS(1253),
    [aux_sym_identity_agent_token1] = ACTIONS(1253),
    [aux_sym_identity_file_token1] = ACTIONS(1253),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1253),
    [aux_sym_include_token1] = ACTIONS(1253),
    [aux_sym_ip_qos_token1] = ACTIONS(1253),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1253),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1253),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1253),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1253),
    [aux_sym_local_command_token1] = ACTIONS(1253),
    [aux_sym_local_forward_token1] = ACTIONS(1253),
    [aux_sym_log_level_token1] = ACTIONS(1253),
    [aux_sym_log_verbose_token1] = ACTIONS(1253),
    [aux_sym_macs_token1] = ACTIONS(1253),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1253),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1253),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1253),
    [aux_sym_password_authentication_token1] = ACTIONS(1253),
    [aux_sym_permit_local_command_token1] = ACTIONS(1253),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1253),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1253),
    [aux_sym_port_token1] = ACTIONS(1253),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1253),
    [aux_sym_protocol_token1] = ACTIONS(1253),
    [aux_sym_proxy_command_token1] = ACTIONS(1253),
    [aux_sym_proxy_jump_token1] = ACTIONS(1253),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1253),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1253),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1253),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1253),
    [aux_sym_rekey_limit_token1] = ACTIONS(1253),
    [aux_sym_remote_command_token1] = ACTIONS(1253),
    [aux_sym_remote_forward_token1] = ACTIONS(1253),
    [aux_sym_request_tty_token1] = ACTIONS(1253),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1253),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1253),
    [aux_sym_security_key_provider_token1] = ACTIONS(1253),
    [aux_sym_send_env_token1] = ACTIONS(1253),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1253),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1253),
    [aux_sym_session_type_token1] = ACTIONS(1253),
    [aux_sym_set_env_token1] = ACTIONS(1253),
    [aux_sym_stdin_null_token1] = ACTIONS(1253),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1253),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1253),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1253),
    [aux_sym_syslog_facility_token1] = ACTIONS(1253),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1253),
    [aux_sym_keep_alive_token1] = ACTIONS(1253),
    [aux_sym_tag_token1] = ACTIONS(1253),
    [aux_sym_tunnel_token1] = ACTIONS(1255),
    [aux_sym_tunnel_device_token1] = ACTIONS(1253),
    [aux_sym_update_host_keys_token1] = ACTIONS(1253),
    [aux_sym_use_keychain_token1] = ACTIONS(1253),
    [aux_sym_use_roaming_token1] = ACTIONS(1253),
    [aux_sym_user_token1] = ACTIONS(1255),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1253),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1253),
    [aux_sym_visual_host_key_token1] = ACTIONS(1253),
    [aux_sym_xauth_location_token1] = ACTIONS(1253),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1069),
    [aux_sym_match_token1] = ACTIONS(1067),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1067),
    [aux_sym_address_family_token1] = ACTIONS(1067),
    [aux_sym_batch_mode_token1] = ACTIONS(1067),
    [aux_sym_bind_address_token1] = ACTIONS(1067),
    [aux_sym_bind_interface_token1] = ACTIONS(1067),
    [aux_sym_canonical_domains_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1067),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1067),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1067),
    [aux_sym_certificate_file_token1] = ACTIONS(1067),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1067),
    [aux_sym_channel_timeout_token1] = ACTIONS(1067),
    [aux_sym_check_host_ip_token1] = ACTIONS(1067),
    [aux_sym_ciphers_token1] = ACTIONS(1067),
    [aux_sym_cipher_token1] = ACTIONS(1069),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1067),
    [aux_sym_compression_token1] = ACTIONS(1067),
    [aux_sym_connection_attempts_token1] = ACTIONS(1067),
    [aux_sym_connect_timeout_token1] = ACTIONS(1067),
    [aux_sym_control_master_token1] = ACTIONS(1067),
    [aux_sym_control_path_token1] = ACTIONS(1067),
    [aux_sym_control_persist_token1] = ACTIONS(1067),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1067),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1067),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1067),
    [aux_sym_escape_char_token1] = ACTIONS(1067),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1067),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1067),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1067),
    [aux_sym_forward_agent_token1] = ACTIONS(1067),
    [aux_sym_forward_x11_token1] = ACTIONS(1069),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1067),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1067),
    [aux_sym_gateway_ports_token1] = ACTIONS(1067),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1067),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1067),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1067),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1067),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1067),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1067),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1067),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1067),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1067),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1067),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1067),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1067),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1067),
    [aux_sym_host_key_alias_token1] = ACTIONS(1067),
    [aux_sym_hostname_token1] = ACTIONS(1067),
    [aux_sym_identities_only_token1] = ACTIONS(1067),
    [aux_sym_identity_agent_token1] = ACTIONS(1067),
    [aux_sym_identity_file_token1] = ACTIONS(1067),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1067),
    [aux_sym_include_token1] = ACTIONS(1067),
    [aux_sym_ip_qos_token1] = ACTIONS(1067),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1067),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1067),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1067),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1067),
    [aux_sym_local_command_token1] = ACTIONS(1067),
    [aux_sym_local_forward_token1] = ACTIONS(1067),
    [aux_sym_log_level_token1] = ACTIONS(1067),
    [aux_sym_log_verbose_token1] = ACTIONS(1067),
    [aux_sym_macs_token1] = ACTIONS(1067),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1067),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1067),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1067),
    [aux_sym_password_authentication_token1] = ACTIONS(1067),
    [aux_sym_permit_local_command_token1] = ACTIONS(1067),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1067),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1067),
    [aux_sym_port_token1] = ACTIONS(1067),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1067),
    [aux_sym_protocol_token1] = ACTIONS(1067),
    [aux_sym_proxy_command_token1] = ACTIONS(1067),
    [aux_sym_proxy_jump_token1] = ACTIONS(1067),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1067),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1067),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1067),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1067),
    [aux_sym_rekey_limit_token1] = ACTIONS(1067),
    [aux_sym_remote_command_token1] = ACTIONS(1067),
    [aux_sym_remote_forward_token1] = ACTIONS(1067),
    [aux_sym_request_tty_token1] = ACTIONS(1067),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1067),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1067),
    [aux_sym_security_key_provider_token1] = ACTIONS(1067),
    [aux_sym_send_env_token1] = ACTIONS(1067),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1067),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1067),
    [aux_sym_session_type_token1] = ACTIONS(1067),
    [aux_sym_set_env_token1] = ACTIONS(1067),
    [aux_sym_stdin_null_token1] = ACTIONS(1067),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1067),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1067),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1067),
    [aux_sym_syslog_facility_token1] = ACTIONS(1067),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1067),
    [aux_sym_keep_alive_token1] = ACTIONS(1067),
    [aux_sym_tag_token1] = ACTIONS(1067),
    [aux_sym_tunnel_token1] = ACTIONS(1069),
    [aux_sym_tunnel_device_token1] = ACTIONS(1067),
    [aux_sym_update_host_keys_token1] = ACTIONS(1067),
    [aux_sym_use_keychain_token1] = ACTIONS(1067),
    [aux_sym_use_roaming_token1] = ACTIONS(1067),
    [aux_sym_user_token1] = ACTIONS(1069),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1067),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1067),
    [aux_sym_visual_host_key_token1] = ACTIONS(1067),
    [aux_sym_xauth_location_token1] = ACTIONS(1067),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1261),
    [aux_sym_match_token1] = ACTIONS(1259),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1259),
    [aux_sym_address_family_token1] = ACTIONS(1259),
    [aux_sym_batch_mode_token1] = ACTIONS(1259),
    [aux_sym_bind_address_token1] = ACTIONS(1259),
    [aux_sym_bind_interface_token1] = ACTIONS(1259),
    [aux_sym_canonical_domains_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1259),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1259),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1259),
    [aux_sym_certificate_file_token1] = ACTIONS(1259),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1259),
    [aux_sym_channel_timeout_token1] = ACTIONS(1259),
    [aux_sym_check_host_ip_token1] = ACTIONS(1259),
    [aux_sym_ciphers_token1] = ACTIONS(1259),
    [aux_sym_cipher_token1] = ACTIONS(1261),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1259),
    [aux_sym_compression_token1] = ACTIONS(1259),
    [aux_sym_connection_attempts_token1] = ACTIONS(1259),
    [aux_sym_connect_timeout_token1] = ACTIONS(1259),
    [aux_sym_control_master_token1] = ACTIONS(1259),
    [aux_sym_control_path_token1] = ACTIONS(1259),
    [aux_sym_control_persist_token1] = ACTIONS(1259),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1259),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1259),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1259),
    [aux_sym_escape_char_token1] = ACTIONS(1259),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1259),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1259),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1259),
    [aux_sym_forward_agent_token1] = ACTIONS(1259),
    [aux_sym_forward_x11_token1] = ACTIONS(1261),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1259),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1259),
    [aux_sym_gateway_ports_token1] = ACTIONS(1259),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1259),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1259),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1259),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1259),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1259),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1259),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1259),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1259),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1259),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1259),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1259),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1259),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1259),
    [aux_sym_host_key_alias_token1] = ACTIONS(1259),
    [aux_sym_hostname_token1] = ACTIONS(1259),
    [aux_sym_identities_only_token1] = ACTIONS(1259),
    [aux_sym_identity_agent_token1] = ACTIONS(1259),
    [aux_sym_identity_file_token1] = ACTIONS(1259),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1259),
    [aux_sym_include_token1] = ACTIONS(1259),
    [aux_sym_ip_qos_token1] = ACTIONS(1259),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1259),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1259),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1259),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1259),
    [aux_sym_local_command_token1] = ACTIONS(1259),
    [aux_sym_local_forward_token1] = ACTIONS(1259),
    [aux_sym_log_level_token1] = ACTIONS(1259),
    [aux_sym_log_verbose_token1] = ACTIONS(1259),
    [aux_sym_macs_token1] = ACTIONS(1259),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1259),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1259),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1259),
    [aux_sym_password_authentication_token1] = ACTIONS(1259),
    [aux_sym_permit_local_command_token1] = ACTIONS(1259),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1259),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1259),
    [aux_sym_port_token1] = ACTIONS(1259),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1259),
    [aux_sym_protocol_token1] = ACTIONS(1259),
    [aux_sym_proxy_command_token1] = ACTIONS(1259),
    [aux_sym_proxy_jump_token1] = ACTIONS(1259),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1259),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1259),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1259),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1259),
    [aux_sym_rekey_limit_token1] = ACTIONS(1259),
    [aux_sym_remote_command_token1] = ACTIONS(1259),
    [aux_sym_remote_forward_token1] = ACTIONS(1259),
    [aux_sym_request_tty_token1] = ACTIONS(1259),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1259),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1259),
    [aux_sym_security_key_provider_token1] = ACTIONS(1259),
    [aux_sym_send_env_token1] = ACTIONS(1259),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1259),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1259),
    [aux_sym_session_type_token1] = ACTIONS(1259),
    [aux_sym_set_env_token1] = ACTIONS(1259),
    [aux_sym_stdin_null_token1] = ACTIONS(1259),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1259),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1259),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1259),
    [aux_sym_syslog_facility_token1] = ACTIONS(1259),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1259),
    [aux_sym_keep_alive_token1] = ACTIONS(1259),
    [aux_sym_tag_token1] = ACTIONS(1259),
    [aux_sym_tunnel_token1] = ACTIONS(1261),
    [aux_sym_tunnel_device_token1] = ACTIONS(1259),
    [aux_sym_update_host_keys_token1] = ACTIONS(1259),
    [aux_sym_use_keychain_token1] = ACTIONS(1259),
    [aux_sym_use_roaming_token1] = ACTIONS(1259),
    [aux_sym_user_token1] = ACTIONS(1261),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1259),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1259),
    [aux_sym_visual_host_key_token1] = ACTIONS(1259),
    [aux_sym_xauth_location_token1] = ACTIONS(1259),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1063),
    [aux_sym_match_token1] = ACTIONS(1061),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1061),
    [aux_sym_address_family_token1] = ACTIONS(1061),
    [aux_sym_batch_mode_token1] = ACTIONS(1061),
    [aux_sym_bind_address_token1] = ACTIONS(1061),
    [aux_sym_bind_interface_token1] = ACTIONS(1061),
    [aux_sym_canonical_domains_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1061),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1061),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1061),
    [aux_sym_certificate_file_token1] = ACTIONS(1061),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1061),
    [aux_sym_channel_timeout_token1] = ACTIONS(1061),
    [aux_sym_check_host_ip_token1] = ACTIONS(1061),
    [aux_sym_ciphers_token1] = ACTIONS(1061),
    [aux_sym_cipher_token1] = ACTIONS(1063),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1061),
    [aux_sym_compression_token1] = ACTIONS(1061),
    [aux_sym_connection_attempts_token1] = ACTIONS(1061),
    [aux_sym_connect_timeout_token1] = ACTIONS(1061),
    [aux_sym_control_master_token1] = ACTIONS(1061),
    [aux_sym_control_path_token1] = ACTIONS(1061),
    [aux_sym_control_persist_token1] = ACTIONS(1061),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1061),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1061),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1061),
    [aux_sym_escape_char_token1] = ACTIONS(1061),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1061),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1061),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1061),
    [aux_sym_forward_agent_token1] = ACTIONS(1061),
    [aux_sym_forward_x11_token1] = ACTIONS(1063),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1061),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1061),
    [aux_sym_gateway_ports_token1] = ACTIONS(1061),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1061),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1061),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1061),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1061),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1061),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1061),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1061),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1061),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1061),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1061),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1061),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1061),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1061),
    [aux_sym_host_key_alias_token1] = ACTIONS(1061),
    [aux_sym_hostname_token1] = ACTIONS(1061),
    [aux_sym_identities_only_token1] = ACTIONS(1061),
    [aux_sym_identity_agent_token1] = ACTIONS(1061),
    [aux_sym_identity_file_token1] = ACTIONS(1061),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1061),
    [aux_sym_include_token1] = ACTIONS(1061),
    [aux_sym_ip_qos_token1] = ACTIONS(1061),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1061),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1061),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1061),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1061),
    [aux_sym_local_command_token1] = ACTIONS(1061),
    [aux_sym_local_forward_token1] = ACTIONS(1061),
    [aux_sym_log_level_token1] = ACTIONS(1061),
    [aux_sym_log_verbose_token1] = ACTIONS(1061),
    [aux_sym_macs_token1] = ACTIONS(1061),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1061),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1061),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1061),
    [aux_sym_password_authentication_token1] = ACTIONS(1061),
    [aux_sym_permit_local_command_token1] = ACTIONS(1061),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1061),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1061),
    [aux_sym_port_token1] = ACTIONS(1061),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1061),
    [aux_sym_protocol_token1] = ACTIONS(1061),
    [aux_sym_proxy_command_token1] = ACTIONS(1061),
    [aux_sym_proxy_jump_token1] = ACTIONS(1061),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1061),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1061),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1061),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1061),
    [aux_sym_rekey_limit_token1] = ACTIONS(1061),
    [aux_sym_remote_command_token1] = ACTIONS(1061),
    [aux_sym_remote_forward_token1] = ACTIONS(1061),
    [aux_sym_request_tty_token1] = ACTIONS(1061),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1061),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1061),
    [aux_sym_security_key_provider_token1] = ACTIONS(1061),
    [aux_sym_send_env_token1] = ACTIONS(1061),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1061),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1061),
    [aux_sym_session_type_token1] = ACTIONS(1061),
    [aux_sym_set_env_token1] = ACTIONS(1061),
    [aux_sym_stdin_null_token1] = ACTIONS(1061),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1061),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1061),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1061),
    [aux_sym_syslog_facility_token1] = ACTIONS(1061),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1061),
    [aux_sym_keep_alive_token1] = ACTIONS(1061),
    [aux_sym_tag_token1] = ACTIONS(1061),
    [aux_sym_tunnel_token1] = ACTIONS(1063),
    [aux_sym_tunnel_device_token1] = ACTIONS(1061),
    [aux_sym_update_host_keys_token1] = ACTIONS(1061),
    [aux_sym_use_keychain_token1] = ACTIONS(1061),
    [aux_sym_use_roaming_token1] = ACTIONS(1061),
    [aux_sym_user_token1] = ACTIONS(1063),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1061),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1061),
    [aux_sym_visual_host_key_token1] = ACTIONS(1061),
    [aux_sym_xauth_location_token1] = ACTIONS(1061),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3337),
    [aux_sym_match_token1] = ACTIONS(3335),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3335),
    [aux_sym_address_family_token1] = ACTIONS(3335),
    [aux_sym_batch_mode_token1] = ACTIONS(3335),
    [aux_sym_bind_address_token1] = ACTIONS(3335),
    [aux_sym_bind_interface_token1] = ACTIONS(3335),
    [aux_sym_canonical_domains_token1] = ACTIONS(3335),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3335),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3335),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3335),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3335),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3335),
    [aux_sym_certificate_file_token1] = ACTIONS(3335),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3335),
    [aux_sym_channel_timeout_token1] = ACTIONS(3335),
    [aux_sym_check_host_ip_token1] = ACTIONS(3335),
    [aux_sym_ciphers_token1] = ACTIONS(3335),
    [aux_sym_cipher_token1] = ACTIONS(3337),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3335),
    [aux_sym_compression_token1] = ACTIONS(3335),
    [aux_sym_connection_attempts_token1] = ACTIONS(3335),
    [aux_sym_connect_timeout_token1] = ACTIONS(3335),
    [aux_sym_control_master_token1] = ACTIONS(3335),
    [aux_sym_control_path_token1] = ACTIONS(3335),
    [aux_sym_control_persist_token1] = ACTIONS(3335),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3335),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3335),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3335),
    [aux_sym_escape_char_token1] = ACTIONS(3335),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3335),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3335),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3335),
    [aux_sym_forward_agent_token1] = ACTIONS(3335),
    [aux_sym_forward_x11_token1] = ACTIONS(3337),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3335),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3335),
    [aux_sym_gateway_ports_token1] = ACTIONS(3335),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3335),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3335),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3335),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3335),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3335),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3335),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3335),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3335),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3335),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3335),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3335),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3335),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3335),
    [aux_sym_host_key_alias_token1] = ACTIONS(3335),
    [aux_sym_hostname_token1] = ACTIONS(3335),
    [aux_sym_identities_only_token1] = ACTIONS(3335),
    [aux_sym_identity_agent_token1] = ACTIONS(3335),
    [aux_sym_identity_file_token1] = ACTIONS(3335),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3335),
    [aux_sym_include_token1] = ACTIONS(3335),
    [aux_sym_ip_qos_token1] = ACTIONS(3335),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3335),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3335),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3335),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3335),
    [aux_sym_local_command_token1] = ACTIONS(3335),
    [aux_sym_local_forward_token1] = ACTIONS(3335),
    [aux_sym_log_level_token1] = ACTIONS(3335),
    [aux_sym_log_verbose_token1] = ACTIONS(3335),
    [aux_sym_macs_token1] = ACTIONS(3335),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3335),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3335),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3335),
    [aux_sym_password_authentication_token1] = ACTIONS(3335),
    [aux_sym_permit_local_command_token1] = ACTIONS(3335),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3335),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3335),
    [aux_sym_port_token1] = ACTIONS(3335),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3335),
    [aux_sym_protocol_token1] = ACTIONS(3335),
    [aux_sym_proxy_command_token1] = ACTIONS(3335),
    [aux_sym_proxy_jump_token1] = ACTIONS(3335),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3335),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3335),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3335),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3335),
    [aux_sym_rekey_limit_token1] = ACTIONS(3335),
    [aux_sym_remote_command_token1] = ACTIONS(3335),
    [aux_sym_remote_forward_token1] = ACTIONS(3335),
    [aux_sym_request_tty_token1] = ACTIONS(3335),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3335),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3335),
    [aux_sym_security_key_provider_token1] = ACTIONS(3335),
    [aux_sym_send_env_token1] = ACTIONS(3335),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3335),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3335),
    [aux_sym_session_type_token1] = ACTIONS(3335),
    [aux_sym_set_env_token1] = ACTIONS(3335),
    [aux_sym_stdin_null_token1] = ACTIONS(3335),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3335),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3335),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3335),
    [aux_sym_syslog_facility_token1] = ACTIONS(3335),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3335),
    [aux_sym_keep_alive_token1] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3335),
    [aux_sym_tunnel_token1] = ACTIONS(3337),
    [aux_sym_tunnel_device_token1] = ACTIONS(3335),
    [aux_sym_update_host_keys_token1] = ACTIONS(3335),
    [aux_sym_use_keychain_token1] = ACTIONS(3335),
    [aux_sym_use_roaming_token1] = ACTIONS(3335),
    [aux_sym_user_token1] = ACTIONS(3337),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3335),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3335),
    [aux_sym_visual_host_key_token1] = ACTIONS(3335),
    [aux_sym_xauth_location_token1] = ACTIONS(3335),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3341),
    [aux_sym_match_token1] = ACTIONS(3339),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3339),
    [aux_sym_address_family_token1] = ACTIONS(3339),
    [aux_sym_batch_mode_token1] = ACTIONS(3339),
    [aux_sym_bind_address_token1] = ACTIONS(3339),
    [aux_sym_bind_interface_token1] = ACTIONS(3339),
    [aux_sym_canonical_domains_token1] = ACTIONS(3339),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3339),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3339),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3339),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3339),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3339),
    [aux_sym_certificate_file_token1] = ACTIONS(3339),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3339),
    [aux_sym_channel_timeout_token1] = ACTIONS(3339),
    [aux_sym_check_host_ip_token1] = ACTIONS(3339),
    [aux_sym_ciphers_token1] = ACTIONS(3339),
    [aux_sym_cipher_token1] = ACTIONS(3341),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3339),
    [aux_sym_compression_token1] = ACTIONS(3339),
    [aux_sym_connection_attempts_token1] = ACTIONS(3339),
    [aux_sym_connect_timeout_token1] = ACTIONS(3339),
    [aux_sym_control_master_token1] = ACTIONS(3339),
    [aux_sym_control_path_token1] = ACTIONS(3339),
    [aux_sym_control_persist_token1] = ACTIONS(3339),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3339),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3339),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3339),
    [aux_sym_escape_char_token1] = ACTIONS(3339),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3339),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3339),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3339),
    [aux_sym_forward_agent_token1] = ACTIONS(3339),
    [aux_sym_forward_x11_token1] = ACTIONS(3341),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3339),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3339),
    [aux_sym_gateway_ports_token1] = ACTIONS(3339),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3339),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3339),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3339),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3339),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3339),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3339),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3339),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3339),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3339),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3339),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3339),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3339),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3339),
    [aux_sym_host_key_alias_token1] = ACTIONS(3339),
    [aux_sym_hostname_token1] = ACTIONS(3339),
    [aux_sym_identities_only_token1] = ACTIONS(3339),
    [aux_sym_identity_agent_token1] = ACTIONS(3339),
    [aux_sym_identity_file_token1] = ACTIONS(3339),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3339),
    [aux_sym_include_token1] = ACTIONS(3339),
    [aux_sym_ip_qos_token1] = ACTIONS(3339),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3339),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3339),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3339),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3339),
    [aux_sym_local_command_token1] = ACTIONS(3339),
    [aux_sym_local_forward_token1] = ACTIONS(3339),
    [aux_sym_log_level_token1] = ACTIONS(3339),
    [aux_sym_log_verbose_token1] = ACTIONS(3339),
    [aux_sym_macs_token1] = ACTIONS(3339),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3339),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3339),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3339),
    [aux_sym_password_authentication_token1] = ACTIONS(3339),
    [aux_sym_permit_local_command_token1] = ACTIONS(3339),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3339),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3339),
    [aux_sym_port_token1] = ACTIONS(3339),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3339),
    [aux_sym_protocol_token1] = ACTIONS(3339),
    [aux_sym_proxy_command_token1] = ACTIONS(3339),
    [aux_sym_proxy_jump_token1] = ACTIONS(3339),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3339),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3339),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3339),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3339),
    [aux_sym_rekey_limit_token1] = ACTIONS(3339),
    [aux_sym_remote_command_token1] = ACTIONS(3339),
    [aux_sym_remote_forward_token1] = ACTIONS(3339),
    [aux_sym_request_tty_token1] = ACTIONS(3339),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3339),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3339),
    [aux_sym_security_key_provider_token1] = ACTIONS(3339),
    [aux_sym_send_env_token1] = ACTIONS(3339),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3339),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3339),
    [aux_sym_session_type_token1] = ACTIONS(3339),
    [aux_sym_set_env_token1] = ACTIONS(3339),
    [aux_sym_stdin_null_token1] = ACTIONS(3339),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3339),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3339),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3339),
    [aux_sym_syslog_facility_token1] = ACTIONS(3339),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3339),
    [aux_sym_keep_alive_token1] = ACTIONS(3339),
    [aux_sym_tag_token1] = ACTIONS(3339),
    [aux_sym_tunnel_token1] = ACTIONS(3341),
    [aux_sym_tunnel_device_token1] = ACTIONS(3339),
    [aux_sym_update_host_keys_token1] = ACTIONS(3339),
    [aux_sym_use_keychain_token1] = ACTIONS(3339),
    [aux_sym_use_roaming_token1] = ACTIONS(3339),
    [aux_sym_user_token1] = ACTIONS(3341),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3339),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3339),
    [aux_sym_visual_host_key_token1] = ACTIONS(3339),
    [aux_sym_xauth_location_token1] = ACTIONS(3339),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3345),
    [aux_sym_match_token1] = ACTIONS(3343),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3343),
    [aux_sym_address_family_token1] = ACTIONS(3343),
    [aux_sym_batch_mode_token1] = ACTIONS(3343),
    [aux_sym_bind_address_token1] = ACTIONS(3343),
    [aux_sym_bind_interface_token1] = ACTIONS(3343),
    [aux_sym_canonical_domains_token1] = ACTIONS(3343),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3343),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3343),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3343),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3343),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3343),
    [aux_sym_certificate_file_token1] = ACTIONS(3343),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3343),
    [aux_sym_channel_timeout_token1] = ACTIONS(3343),
    [aux_sym_check_host_ip_token1] = ACTIONS(3343),
    [aux_sym_ciphers_token1] = ACTIONS(3343),
    [aux_sym_cipher_token1] = ACTIONS(3345),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3343),
    [aux_sym_compression_token1] = ACTIONS(3343),
    [aux_sym_connection_attempts_token1] = ACTIONS(3343),
    [aux_sym_connect_timeout_token1] = ACTIONS(3343),
    [aux_sym_control_master_token1] = ACTIONS(3343),
    [aux_sym_control_path_token1] = ACTIONS(3343),
    [aux_sym_control_persist_token1] = ACTIONS(3343),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3343),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3343),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3343),
    [aux_sym_escape_char_token1] = ACTIONS(3343),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3343),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3343),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3343),
    [aux_sym_forward_agent_token1] = ACTIONS(3343),
    [aux_sym_forward_x11_token1] = ACTIONS(3345),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3343),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3343),
    [aux_sym_gateway_ports_token1] = ACTIONS(3343),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3343),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3343),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3343),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3343),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3343),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3343),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3343),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3343),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3343),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3343),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3343),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3343),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3343),
    [aux_sym_host_key_alias_token1] = ACTIONS(3343),
    [aux_sym_hostname_token1] = ACTIONS(3343),
    [aux_sym_identities_only_token1] = ACTIONS(3343),
    [aux_sym_identity_agent_token1] = ACTIONS(3343),
    [aux_sym_identity_file_token1] = ACTIONS(3343),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3343),
    [aux_sym_include_token1] = ACTIONS(3343),
    [aux_sym_ip_qos_token1] = ACTIONS(3343),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3343),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3343),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3343),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3343),
    [aux_sym_local_command_token1] = ACTIONS(3343),
    [aux_sym_local_forward_token1] = ACTIONS(3343),
    [aux_sym_log_level_token1] = ACTIONS(3343),
    [aux_sym_log_verbose_token1] = ACTIONS(3343),
    [aux_sym_macs_token1] = ACTIONS(3343),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3343),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3343),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3343),
    [aux_sym_password_authentication_token1] = ACTIONS(3343),
    [aux_sym_permit_local_command_token1] = ACTIONS(3343),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3343),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3343),
    [aux_sym_port_token1] = ACTIONS(3343),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3343),
    [aux_sym_protocol_token1] = ACTIONS(3343),
    [aux_sym_proxy_command_token1] = ACTIONS(3343),
    [aux_sym_proxy_jump_token1] = ACTIONS(3343),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3343),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3343),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3343),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3343),
    [aux_sym_rekey_limit_token1] = ACTIONS(3343),
    [aux_sym_remote_command_token1] = ACTIONS(3343),
    [aux_sym_remote_forward_token1] = ACTIONS(3343),
    [aux_sym_request_tty_token1] = ACTIONS(3343),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3343),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3343),
    [aux_sym_security_key_provider_token1] = ACTIONS(3343),
    [aux_sym_send_env_token1] = ACTIONS(3343),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3343),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3343),
    [aux_sym_session_type_token1] = ACTIONS(3343),
    [aux_sym_set_env_token1] = ACTIONS(3343),
    [aux_sym_stdin_null_token1] = ACTIONS(3343),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3343),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3343),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3343),
    [aux_sym_syslog_facility_token1] = ACTIONS(3343),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3343),
    [aux_sym_keep_alive_token1] = ACTIONS(3343),
    [aux_sym_tag_token1] = ACTIONS(3343),
    [aux_sym_tunnel_token1] = ACTIONS(3345),
    [aux_sym_tunnel_device_token1] = ACTIONS(3343),
    [aux_sym_update_host_keys_token1] = ACTIONS(3343),
    [aux_sym_use_keychain_token1] = ACTIONS(3343),
    [aux_sym_use_roaming_token1] = ACTIONS(3343),
    [aux_sym_user_token1] = ACTIONS(3345),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3343),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3343),
    [aux_sym_visual_host_key_token1] = ACTIONS(3343),
    [aux_sym_xauth_location_token1] = ACTIONS(3343),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3349),
    [aux_sym_match_token1] = ACTIONS(3347),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3347),
    [aux_sym_address_family_token1] = ACTIONS(3347),
    [aux_sym_batch_mode_token1] = ACTIONS(3347),
    [aux_sym_bind_address_token1] = ACTIONS(3347),
    [aux_sym_bind_interface_token1] = ACTIONS(3347),
    [aux_sym_canonical_domains_token1] = ACTIONS(3347),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3347),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3347),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3347),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3347),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3347),
    [aux_sym_certificate_file_token1] = ACTIONS(3347),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3347),
    [aux_sym_channel_timeout_token1] = ACTIONS(3347),
    [aux_sym_check_host_ip_token1] = ACTIONS(3347),
    [aux_sym_ciphers_token1] = ACTIONS(3347),
    [aux_sym_cipher_token1] = ACTIONS(3349),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3347),
    [aux_sym_compression_token1] = ACTIONS(3347),
    [aux_sym_connection_attempts_token1] = ACTIONS(3347),
    [aux_sym_connect_timeout_token1] = ACTIONS(3347),
    [aux_sym_control_master_token1] = ACTIONS(3347),
    [aux_sym_control_path_token1] = ACTIONS(3347),
    [aux_sym_control_persist_token1] = ACTIONS(3347),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3347),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3347),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3347),
    [aux_sym_escape_char_token1] = ACTIONS(3347),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3347),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3347),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3347),
    [aux_sym_forward_agent_token1] = ACTIONS(3347),
    [aux_sym_forward_x11_token1] = ACTIONS(3349),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3347),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3347),
    [aux_sym_gateway_ports_token1] = ACTIONS(3347),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3347),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3347),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3347),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3347),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3347),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3347),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3347),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3347),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3347),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3347),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3347),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3347),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3347),
    [aux_sym_host_key_alias_token1] = ACTIONS(3347),
    [aux_sym_hostname_token1] = ACTIONS(3347),
    [aux_sym_identities_only_token1] = ACTIONS(3347),
    [aux_sym_identity_agent_token1] = ACTIONS(3347),
    [aux_sym_identity_file_token1] = ACTIONS(3347),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3347),
    [aux_sym_include_token1] = ACTIONS(3347),
    [aux_sym_ip_qos_token1] = ACTIONS(3347),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3347),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3347),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3347),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3347),
    [aux_sym_local_command_token1] = ACTIONS(3347),
    [aux_sym_local_forward_token1] = ACTIONS(3347),
    [aux_sym_log_level_token1] = ACTIONS(3347),
    [aux_sym_log_verbose_token1] = ACTIONS(3347),
    [aux_sym_macs_token1] = ACTIONS(3347),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3347),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3347),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3347),
    [aux_sym_password_authentication_token1] = ACTIONS(3347),
    [aux_sym_permit_local_command_token1] = ACTIONS(3347),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3347),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3347),
    [aux_sym_port_token1] = ACTIONS(3347),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3347),
    [aux_sym_protocol_token1] = ACTIONS(3347),
    [aux_sym_proxy_command_token1] = ACTIONS(3347),
    [aux_sym_proxy_jump_token1] = ACTIONS(3347),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3347),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3347),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3347),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3347),
    [aux_sym_rekey_limit_token1] = ACTIONS(3347),
    [aux_sym_remote_command_token1] = ACTIONS(3347),
    [aux_sym_remote_forward_token1] = ACTIONS(3347),
    [aux_sym_request_tty_token1] = ACTIONS(3347),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3347),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3347),
    [aux_sym_security_key_provider_token1] = ACTIONS(3347),
    [aux_sym_send_env_token1] = ACTIONS(3347),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3347),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3347),
    [aux_sym_session_type_token1] = ACTIONS(3347),
    [aux_sym_set_env_token1] = ACTIONS(3347),
    [aux_sym_stdin_null_token1] = ACTIONS(3347),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3347),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3347),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3347),
    [aux_sym_syslog_facility_token1] = ACTIONS(3347),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3347),
    [aux_sym_keep_alive_token1] = ACTIONS(3347),
    [aux_sym_tag_token1] = ACTIONS(3347),
    [aux_sym_tunnel_token1] = ACTIONS(3349),
    [aux_sym_tunnel_device_token1] = ACTIONS(3347),
    [aux_sym_update_host_keys_token1] = ACTIONS(3347),
    [aux_sym_use_keychain_token1] = ACTIONS(3347),
    [aux_sym_use_roaming_token1] = ACTIONS(3347),
    [aux_sym_user_token1] = ACTIONS(3349),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3347),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3347),
    [aux_sym_visual_host_key_token1] = ACTIONS(3347),
    [aux_sym_xauth_location_token1] = ACTIONS(3347),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1267),
    [aux_sym_match_token1] = ACTIONS(1265),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1265),
    [aux_sym_address_family_token1] = ACTIONS(1265),
    [aux_sym_batch_mode_token1] = ACTIONS(1265),
    [aux_sym_bind_address_token1] = ACTIONS(1265),
    [aux_sym_bind_interface_token1] = ACTIONS(1265),
    [aux_sym_canonical_domains_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1265),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1265),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1265),
    [aux_sym_certificate_file_token1] = ACTIONS(1265),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1265),
    [aux_sym_channel_timeout_token1] = ACTIONS(1265),
    [aux_sym_check_host_ip_token1] = ACTIONS(1265),
    [aux_sym_ciphers_token1] = ACTIONS(1265),
    [aux_sym_cipher_token1] = ACTIONS(1267),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1265),
    [aux_sym_compression_token1] = ACTIONS(1265),
    [aux_sym_connection_attempts_token1] = ACTIONS(1265),
    [aux_sym_connect_timeout_token1] = ACTIONS(1265),
    [aux_sym_control_master_token1] = ACTIONS(1265),
    [aux_sym_control_path_token1] = ACTIONS(1265),
    [aux_sym_control_persist_token1] = ACTIONS(1265),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1265),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1265),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1265),
    [aux_sym_escape_char_token1] = ACTIONS(1265),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1265),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1265),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1265),
    [aux_sym_forward_agent_token1] = ACTIONS(1265),
    [aux_sym_forward_x11_token1] = ACTIONS(1267),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1265),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1265),
    [aux_sym_gateway_ports_token1] = ACTIONS(1265),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1265),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1265),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1265),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1265),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1265),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1265),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1265),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1265),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1265),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1265),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1265),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1265),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1265),
    [aux_sym_host_key_alias_token1] = ACTIONS(1265),
    [aux_sym_hostname_token1] = ACTIONS(1265),
    [aux_sym_identities_only_token1] = ACTIONS(1265),
    [aux_sym_identity_agent_token1] = ACTIONS(1265),
    [aux_sym_identity_file_token1] = ACTIONS(1265),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1265),
    [aux_sym_include_token1] = ACTIONS(1265),
    [aux_sym_ip_qos_token1] = ACTIONS(1265),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1265),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1265),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1265),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1265),
    [aux_sym_local_command_token1] = ACTIONS(1265),
    [aux_sym_local_forward_token1] = ACTIONS(1265),
    [aux_sym_log_level_token1] = ACTIONS(1265),
    [aux_sym_log_verbose_token1] = ACTIONS(1265),
    [aux_sym_macs_token1] = ACTIONS(1265),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1265),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1265),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1265),
    [aux_sym_password_authentication_token1] = ACTIONS(1265),
    [aux_sym_permit_local_command_token1] = ACTIONS(1265),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1265),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1265),
    [aux_sym_port_token1] = ACTIONS(1265),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1265),
    [aux_sym_protocol_token1] = ACTIONS(1265),
    [aux_sym_proxy_command_token1] = ACTIONS(1265),
    [aux_sym_proxy_jump_token1] = ACTIONS(1265),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1265),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1265),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1265),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1265),
    [aux_sym_rekey_limit_token1] = ACTIONS(1265),
    [aux_sym_remote_command_token1] = ACTIONS(1265),
    [aux_sym_remote_forward_token1] = ACTIONS(1265),
    [aux_sym_request_tty_token1] = ACTIONS(1265),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1265),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1265),
    [aux_sym_security_key_provider_token1] = ACTIONS(1265),
    [aux_sym_send_env_token1] = ACTIONS(1265),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1265),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1265),
    [aux_sym_session_type_token1] = ACTIONS(1265),
    [aux_sym_set_env_token1] = ACTIONS(1265),
    [aux_sym_stdin_null_token1] = ACTIONS(1265),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1265),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1265),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1265),
    [aux_sym_syslog_facility_token1] = ACTIONS(1265),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1265),
    [aux_sym_keep_alive_token1] = ACTIONS(1265),
    [aux_sym_tag_token1] = ACTIONS(1265),
    [aux_sym_tunnel_token1] = ACTIONS(1267),
    [aux_sym_tunnel_device_token1] = ACTIONS(1265),
    [aux_sym_update_host_keys_token1] = ACTIONS(1265),
    [aux_sym_use_keychain_token1] = ACTIONS(1265),
    [aux_sym_use_roaming_token1] = ACTIONS(1265),
    [aux_sym_user_token1] = ACTIONS(1267),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1265),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1265),
    [aux_sym_visual_host_key_token1] = ACTIONS(1265),
    [aux_sym_xauth_location_token1] = ACTIONS(1265),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1057),
    [aux_sym_match_token1] = ACTIONS(1055),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1055),
    [aux_sym_address_family_token1] = ACTIONS(1055),
    [aux_sym_batch_mode_token1] = ACTIONS(1055),
    [aux_sym_bind_address_token1] = ACTIONS(1055),
    [aux_sym_bind_interface_token1] = ACTIONS(1055),
    [aux_sym_canonical_domains_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1055),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1055),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1055),
    [aux_sym_certificate_file_token1] = ACTIONS(1055),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1055),
    [aux_sym_channel_timeout_token1] = ACTIONS(1055),
    [aux_sym_check_host_ip_token1] = ACTIONS(1055),
    [aux_sym_ciphers_token1] = ACTIONS(1055),
    [aux_sym_cipher_token1] = ACTIONS(1057),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1055),
    [aux_sym_compression_token1] = ACTIONS(1055),
    [aux_sym_connection_attempts_token1] = ACTIONS(1055),
    [aux_sym_connect_timeout_token1] = ACTIONS(1055),
    [aux_sym_control_master_token1] = ACTIONS(1055),
    [aux_sym_control_path_token1] = ACTIONS(1055),
    [aux_sym_control_persist_token1] = ACTIONS(1055),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1055),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1055),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1055),
    [aux_sym_escape_char_token1] = ACTIONS(1055),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1055),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1055),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1055),
    [aux_sym_forward_agent_token1] = ACTIONS(1055),
    [aux_sym_forward_x11_token1] = ACTIONS(1057),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1055),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1055),
    [aux_sym_gateway_ports_token1] = ACTIONS(1055),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1055),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1055),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1055),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1055),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1055),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1055),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1055),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1055),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1055),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1055),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1055),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1055),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1055),
    [aux_sym_host_key_alias_token1] = ACTIONS(1055),
    [aux_sym_hostname_token1] = ACTIONS(1055),
    [aux_sym_identities_only_token1] = ACTIONS(1055),
    [aux_sym_identity_agent_token1] = ACTIONS(1055),
    [aux_sym_identity_file_token1] = ACTIONS(1055),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1055),
    [aux_sym_include_token1] = ACTIONS(1055),
    [aux_sym_ip_qos_token1] = ACTIONS(1055),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1055),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1055),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1055),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1055),
    [aux_sym_local_command_token1] = ACTIONS(1055),
    [aux_sym_local_forward_token1] = ACTIONS(1055),
    [aux_sym_log_level_token1] = ACTIONS(1055),
    [aux_sym_log_verbose_token1] = ACTIONS(1055),
    [aux_sym_macs_token1] = ACTIONS(1055),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1055),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1055),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1055),
    [aux_sym_password_authentication_token1] = ACTIONS(1055),
    [aux_sym_permit_local_command_token1] = ACTIONS(1055),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1055),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1055),
    [aux_sym_port_token1] = ACTIONS(1055),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1055),
    [aux_sym_protocol_token1] = ACTIONS(1055),
    [aux_sym_proxy_command_token1] = ACTIONS(1055),
    [aux_sym_proxy_jump_token1] = ACTIONS(1055),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1055),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1055),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1055),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1055),
    [aux_sym_rekey_limit_token1] = ACTIONS(1055),
    [aux_sym_remote_command_token1] = ACTIONS(1055),
    [aux_sym_remote_forward_token1] = ACTIONS(1055),
    [aux_sym_request_tty_token1] = ACTIONS(1055),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1055),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1055),
    [aux_sym_security_key_provider_token1] = ACTIONS(1055),
    [aux_sym_send_env_token1] = ACTIONS(1055),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1055),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1055),
    [aux_sym_session_type_token1] = ACTIONS(1055),
    [aux_sym_set_env_token1] = ACTIONS(1055),
    [aux_sym_stdin_null_token1] = ACTIONS(1055),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1055),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1055),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1055),
    [aux_sym_syslog_facility_token1] = ACTIONS(1055),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1055),
    [aux_sym_keep_alive_token1] = ACTIONS(1055),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [aux_sym_tunnel_token1] = ACTIONS(1057),
    [aux_sym_tunnel_device_token1] = ACTIONS(1055),
    [aux_sym_update_host_keys_token1] = ACTIONS(1055),
    [aux_sym_use_keychain_token1] = ACTIONS(1055),
    [aux_sym_use_roaming_token1] = ACTIONS(1055),
    [aux_sym_user_token1] = ACTIONS(1057),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1055),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1055),
    [aux_sym_visual_host_key_token1] = ACTIONS(1055),
    [aux_sym_xauth_location_token1] = ACTIONS(1055),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3353),
    [aux_sym_match_token1] = ACTIONS(3351),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3351),
    [aux_sym_address_family_token1] = ACTIONS(3351),
    [aux_sym_batch_mode_token1] = ACTIONS(3351),
    [aux_sym_bind_address_token1] = ACTIONS(3351),
    [aux_sym_bind_interface_token1] = ACTIONS(3351),
    [aux_sym_canonical_domains_token1] = ACTIONS(3351),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3351),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3351),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3351),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3351),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3351),
    [aux_sym_certificate_file_token1] = ACTIONS(3351),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3351),
    [aux_sym_channel_timeout_token1] = ACTIONS(3351),
    [aux_sym_check_host_ip_token1] = ACTIONS(3351),
    [aux_sym_ciphers_token1] = ACTIONS(3351),
    [aux_sym_cipher_token1] = ACTIONS(3353),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3351),
    [aux_sym_compression_token1] = ACTIONS(3351),
    [aux_sym_connection_attempts_token1] = ACTIONS(3351),
    [aux_sym_connect_timeout_token1] = ACTIONS(3351),
    [aux_sym_control_master_token1] = ACTIONS(3351),
    [aux_sym_control_path_token1] = ACTIONS(3351),
    [aux_sym_control_persist_token1] = ACTIONS(3351),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3351),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3351),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3351),
    [aux_sym_escape_char_token1] = ACTIONS(3351),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3351),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3351),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3351),
    [aux_sym_forward_agent_token1] = ACTIONS(3351),
    [aux_sym_forward_x11_token1] = ACTIONS(3353),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3351),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3351),
    [aux_sym_gateway_ports_token1] = ACTIONS(3351),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3351),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3351),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3351),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3351),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3351),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3351),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3351),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3351),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3351),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3351),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3351),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3351),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3351),
    [aux_sym_host_key_alias_token1] = ACTIONS(3351),
    [aux_sym_hostname_token1] = ACTIONS(3351),
    [aux_sym_identities_only_token1] = ACTIONS(3351),
    [aux_sym_identity_agent_token1] = ACTIONS(3351),
    [aux_sym_identity_file_token1] = ACTIONS(3351),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3351),
    [aux_sym_include_token1] = ACTIONS(3351),
    [aux_sym_ip_qos_token1] = ACTIONS(3351),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3351),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3351),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3351),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3351),
    [aux_sym_local_command_token1] = ACTIONS(3351),
    [aux_sym_local_forward_token1] = ACTIONS(3351),
    [aux_sym_log_level_token1] = ACTIONS(3351),
    [aux_sym_log_verbose_token1] = ACTIONS(3351),
    [aux_sym_macs_token1] = ACTIONS(3351),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3351),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3351),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3351),
    [aux_sym_password_authentication_token1] = ACTIONS(3351),
    [aux_sym_permit_local_command_token1] = ACTIONS(3351),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3351),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3351),
    [aux_sym_port_token1] = ACTIONS(3351),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3351),
    [aux_sym_protocol_token1] = ACTIONS(3351),
    [aux_sym_proxy_command_token1] = ACTIONS(3351),
    [aux_sym_proxy_jump_token1] = ACTIONS(3351),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3351),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3351),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3351),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3351),
    [aux_sym_rekey_limit_token1] = ACTIONS(3351),
    [aux_sym_remote_command_token1] = ACTIONS(3351),
    [aux_sym_remote_forward_token1] = ACTIONS(3351),
    [aux_sym_request_tty_token1] = ACTIONS(3351),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3351),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3351),
    [aux_sym_security_key_provider_token1] = ACTIONS(3351),
    [aux_sym_send_env_token1] = ACTIONS(3351),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3351),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3351),
    [aux_sym_session_type_token1] = ACTIONS(3351),
    [aux_sym_set_env_token1] = ACTIONS(3351),
    [aux_sym_stdin_null_token1] = ACTIONS(3351),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3351),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3351),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3351),
    [aux_sym_syslog_facility_token1] = ACTIONS(3351),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3351),
    [aux_sym_keep_alive_token1] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [aux_sym_tunnel_token1] = ACTIONS(3353),
    [aux_sym_tunnel_device_token1] = ACTIONS(3351),
    [aux_sym_update_host_keys_token1] = ACTIONS(3351),
    [aux_sym_use_keychain_token1] = ACTIONS(3351),
    [aux_sym_use_roaming_token1] = ACTIONS(3351),
    [aux_sym_user_token1] = ACTIONS(3353),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3351),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3351),
    [aux_sym_visual_host_key_token1] = ACTIONS(3351),
    [aux_sym_xauth_location_token1] = ACTIONS(3351),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3357),
    [aux_sym_match_token1] = ACTIONS(3355),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3355),
    [aux_sym_address_family_token1] = ACTIONS(3355),
    [aux_sym_batch_mode_token1] = ACTIONS(3355),
    [aux_sym_bind_address_token1] = ACTIONS(3355),
    [aux_sym_bind_interface_token1] = ACTIONS(3355),
    [aux_sym_canonical_domains_token1] = ACTIONS(3355),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3355),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3355),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3355),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3355),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3355),
    [aux_sym_certificate_file_token1] = ACTIONS(3355),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3355),
    [aux_sym_channel_timeout_token1] = ACTIONS(3355),
    [aux_sym_check_host_ip_token1] = ACTIONS(3355),
    [aux_sym_ciphers_token1] = ACTIONS(3355),
    [aux_sym_cipher_token1] = ACTIONS(3357),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3355),
    [aux_sym_compression_token1] = ACTIONS(3355),
    [aux_sym_connection_attempts_token1] = ACTIONS(3355),
    [aux_sym_connect_timeout_token1] = ACTIONS(3355),
    [aux_sym_control_master_token1] = ACTIONS(3355),
    [aux_sym_control_path_token1] = ACTIONS(3355),
    [aux_sym_control_persist_token1] = ACTIONS(3355),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3355),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3355),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3355),
    [aux_sym_escape_char_token1] = ACTIONS(3355),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3355),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3355),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3355),
    [aux_sym_forward_agent_token1] = ACTIONS(3355),
    [aux_sym_forward_x11_token1] = ACTIONS(3357),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3355),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3355),
    [aux_sym_gateway_ports_token1] = ACTIONS(3355),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3355),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3355),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3355),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3355),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3355),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3355),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3355),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3355),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3355),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3355),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3355),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3355),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3355),
    [aux_sym_host_key_alias_token1] = ACTIONS(3355),
    [aux_sym_hostname_token1] = ACTIONS(3355),
    [aux_sym_identities_only_token1] = ACTIONS(3355),
    [aux_sym_identity_agent_token1] = ACTIONS(3355),
    [aux_sym_identity_file_token1] = ACTIONS(3355),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3355),
    [aux_sym_include_token1] = ACTIONS(3355),
    [aux_sym_ip_qos_token1] = ACTIONS(3355),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3355),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3355),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3355),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3355),
    [aux_sym_local_command_token1] = ACTIONS(3355),
    [aux_sym_local_forward_token1] = ACTIONS(3355),
    [aux_sym_log_level_token1] = ACTIONS(3355),
    [aux_sym_log_verbose_token1] = ACTIONS(3355),
    [aux_sym_macs_token1] = ACTIONS(3355),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3355),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3355),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3355),
    [aux_sym_password_authentication_token1] = ACTIONS(3355),
    [aux_sym_permit_local_command_token1] = ACTIONS(3355),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3355),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3355),
    [aux_sym_port_token1] = ACTIONS(3355),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3355),
    [aux_sym_protocol_token1] = ACTIONS(3355),
    [aux_sym_proxy_command_token1] = ACTIONS(3355),
    [aux_sym_proxy_jump_token1] = ACTIONS(3355),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3355),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3355),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3355),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3355),
    [aux_sym_rekey_limit_token1] = ACTIONS(3355),
    [aux_sym_remote_command_token1] = ACTIONS(3355),
    [aux_sym_remote_forward_token1] = ACTIONS(3355),
    [aux_sym_request_tty_token1] = ACTIONS(3355),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3355),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3355),
    [aux_sym_security_key_provider_token1] = ACTIONS(3355),
    [aux_sym_send_env_token1] = ACTIONS(3355),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3355),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3355),
    [aux_sym_session_type_token1] = ACTIONS(3355),
    [aux_sym_set_env_token1] = ACTIONS(3355),
    [aux_sym_stdin_null_token1] = ACTIONS(3355),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3355),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3355),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3355),
    [aux_sym_syslog_facility_token1] = ACTIONS(3355),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3355),
    [aux_sym_keep_alive_token1] = ACTIONS(3355),
    [aux_sym_tag_token1] = ACTIONS(3355),
    [aux_sym_tunnel_token1] = ACTIONS(3357),
    [aux_sym_tunnel_device_token1] = ACTIONS(3355),
    [aux_sym_update_host_keys_token1] = ACTIONS(3355),
    [aux_sym_use_keychain_token1] = ACTIONS(3355),
    [aux_sym_use_roaming_token1] = ACTIONS(3355),
    [aux_sym_user_token1] = ACTIONS(3357),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3355),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3355),
    [aux_sym_visual_host_key_token1] = ACTIONS(3355),
    [aux_sym_xauth_location_token1] = ACTIONS(3355),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3361),
    [aux_sym_match_token1] = ACTIONS(3359),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3359),
    [aux_sym_address_family_token1] = ACTIONS(3359),
    [aux_sym_batch_mode_token1] = ACTIONS(3359),
    [aux_sym_bind_address_token1] = ACTIONS(3359),
    [aux_sym_bind_interface_token1] = ACTIONS(3359),
    [aux_sym_canonical_domains_token1] = ACTIONS(3359),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3359),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3359),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3359),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3359),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3359),
    [aux_sym_certificate_file_token1] = ACTIONS(3359),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3359),
    [aux_sym_channel_timeout_token1] = ACTIONS(3359),
    [aux_sym_check_host_ip_token1] = ACTIONS(3359),
    [aux_sym_ciphers_token1] = ACTIONS(3359),
    [aux_sym_cipher_token1] = ACTIONS(3361),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3359),
    [aux_sym_compression_token1] = ACTIONS(3359),
    [aux_sym_connection_attempts_token1] = ACTIONS(3359),
    [aux_sym_connect_timeout_token1] = ACTIONS(3359),
    [aux_sym_control_master_token1] = ACTIONS(3359),
    [aux_sym_control_path_token1] = ACTIONS(3359),
    [aux_sym_control_persist_token1] = ACTIONS(3359),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3359),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3359),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3359),
    [aux_sym_escape_char_token1] = ACTIONS(3359),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3359),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3359),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3359),
    [aux_sym_forward_agent_token1] = ACTIONS(3359),
    [aux_sym_forward_x11_token1] = ACTIONS(3361),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3359),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3359),
    [aux_sym_gateway_ports_token1] = ACTIONS(3359),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3359),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3359),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3359),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3359),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3359),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3359),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3359),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3359),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3359),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3359),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3359),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3359),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3359),
    [aux_sym_host_key_alias_token1] = ACTIONS(3359),
    [aux_sym_hostname_token1] = ACTIONS(3359),
    [aux_sym_identities_only_token1] = ACTIONS(3359),
    [aux_sym_identity_agent_token1] = ACTIONS(3359),
    [aux_sym_identity_file_token1] = ACTIONS(3359),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3359),
    [aux_sym_include_token1] = ACTIONS(3359),
    [aux_sym_ip_qos_token1] = ACTIONS(3359),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3359),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3359),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3359),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3359),
    [aux_sym_local_command_token1] = ACTIONS(3359),
    [aux_sym_local_forward_token1] = ACTIONS(3359),
    [aux_sym_log_level_token1] = ACTIONS(3359),
    [aux_sym_log_verbose_token1] = ACTIONS(3359),
    [aux_sym_macs_token1] = ACTIONS(3359),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3359),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3359),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3359),
    [aux_sym_password_authentication_token1] = ACTIONS(3359),
    [aux_sym_permit_local_command_token1] = ACTIONS(3359),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3359),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3359),
    [aux_sym_port_token1] = ACTIONS(3359),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3359),
    [aux_sym_protocol_token1] = ACTIONS(3359),
    [aux_sym_proxy_command_token1] = ACTIONS(3359),
    [aux_sym_proxy_jump_token1] = ACTIONS(3359),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3359),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3359),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3359),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3359),
    [aux_sym_rekey_limit_token1] = ACTIONS(3359),
    [aux_sym_remote_command_token1] = ACTIONS(3359),
    [aux_sym_remote_forward_token1] = ACTIONS(3359),
    [aux_sym_request_tty_token1] = ACTIONS(3359),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3359),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3359),
    [aux_sym_security_key_provider_token1] = ACTIONS(3359),
    [aux_sym_send_env_token1] = ACTIONS(3359),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3359),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3359),
    [aux_sym_session_type_token1] = ACTIONS(3359),
    [aux_sym_set_env_token1] = ACTIONS(3359),
    [aux_sym_stdin_null_token1] = ACTIONS(3359),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3359),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3359),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3359),
    [aux_sym_syslog_facility_token1] = ACTIONS(3359),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3359),
    [aux_sym_keep_alive_token1] = ACTIONS(3359),
    [aux_sym_tag_token1] = ACTIONS(3359),
    [aux_sym_tunnel_token1] = ACTIONS(3361),
    [aux_sym_tunnel_device_token1] = ACTIONS(3359),
    [aux_sym_update_host_keys_token1] = ACTIONS(3359),
    [aux_sym_use_keychain_token1] = ACTIONS(3359),
    [aux_sym_use_roaming_token1] = ACTIONS(3359),
    [aux_sym_user_token1] = ACTIONS(3361),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3359),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3359),
    [aux_sym_visual_host_key_token1] = ACTIONS(3359),
    [aux_sym_xauth_location_token1] = ACTIONS(3359),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1273),
    [aux_sym_match_token1] = ACTIONS(1271),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1271),
    [aux_sym_address_family_token1] = ACTIONS(1271),
    [aux_sym_batch_mode_token1] = ACTIONS(1271),
    [aux_sym_bind_address_token1] = ACTIONS(1271),
    [aux_sym_bind_interface_token1] = ACTIONS(1271),
    [aux_sym_canonical_domains_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1271),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1271),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1271),
    [aux_sym_certificate_file_token1] = ACTIONS(1271),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1271),
    [aux_sym_channel_timeout_token1] = ACTIONS(1271),
    [aux_sym_check_host_ip_token1] = ACTIONS(1271),
    [aux_sym_ciphers_token1] = ACTIONS(1271),
    [aux_sym_cipher_token1] = ACTIONS(1273),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1271),
    [aux_sym_compression_token1] = ACTIONS(1271),
    [aux_sym_connection_attempts_token1] = ACTIONS(1271),
    [aux_sym_connect_timeout_token1] = ACTIONS(1271),
    [aux_sym_control_master_token1] = ACTIONS(1271),
    [aux_sym_control_path_token1] = ACTIONS(1271),
    [aux_sym_control_persist_token1] = ACTIONS(1271),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1271),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1271),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1271),
    [aux_sym_escape_char_token1] = ACTIONS(1271),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1271),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1271),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1271),
    [aux_sym_forward_agent_token1] = ACTIONS(1271),
    [aux_sym_forward_x11_token1] = ACTIONS(1273),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1271),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1271),
    [aux_sym_gateway_ports_token1] = ACTIONS(1271),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1271),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1271),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1271),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1271),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1271),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1271),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1271),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1271),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1271),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1271),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1271),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1271),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1271),
    [aux_sym_host_key_alias_token1] = ACTIONS(1271),
    [aux_sym_hostname_token1] = ACTIONS(1271),
    [aux_sym_identities_only_token1] = ACTIONS(1271),
    [aux_sym_identity_agent_token1] = ACTIONS(1271),
    [aux_sym_identity_file_token1] = ACTIONS(1271),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1271),
    [aux_sym_include_token1] = ACTIONS(1271),
    [aux_sym_ip_qos_token1] = ACTIONS(1271),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1271),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1271),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1271),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1271),
    [aux_sym_local_command_token1] = ACTIONS(1271),
    [aux_sym_local_forward_token1] = ACTIONS(1271),
    [aux_sym_log_level_token1] = ACTIONS(1271),
    [aux_sym_log_verbose_token1] = ACTIONS(1271),
    [aux_sym_macs_token1] = ACTIONS(1271),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1271),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1271),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1271),
    [aux_sym_password_authentication_token1] = ACTIONS(1271),
    [aux_sym_permit_local_command_token1] = ACTIONS(1271),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1271),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1271),
    [aux_sym_port_token1] = ACTIONS(1271),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1271),
    [aux_sym_protocol_token1] = ACTIONS(1271),
    [aux_sym_proxy_command_token1] = ACTIONS(1271),
    [aux_sym_proxy_jump_token1] = ACTIONS(1271),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1271),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1271),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1271),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1271),
    [aux_sym_rekey_limit_token1] = ACTIONS(1271),
    [aux_sym_remote_command_token1] = ACTIONS(1271),
    [aux_sym_remote_forward_token1] = ACTIONS(1271),
    [aux_sym_request_tty_token1] = ACTIONS(1271),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1271),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1271),
    [aux_sym_security_key_provider_token1] = ACTIONS(1271),
    [aux_sym_send_env_token1] = ACTIONS(1271),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1271),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1271),
    [aux_sym_session_type_token1] = ACTIONS(1271),
    [aux_sym_set_env_token1] = ACTIONS(1271),
    [aux_sym_stdin_null_token1] = ACTIONS(1271),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1271),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1271),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1271),
    [aux_sym_syslog_facility_token1] = ACTIONS(1271),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1271),
    [aux_sym_keep_alive_token1] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1271),
    [aux_sym_tunnel_token1] = ACTIONS(1273),
    [aux_sym_tunnel_device_token1] = ACTIONS(1271),
    [aux_sym_update_host_keys_token1] = ACTIONS(1271),
    [aux_sym_use_keychain_token1] = ACTIONS(1271),
    [aux_sym_use_roaming_token1] = ACTIONS(1271),
    [aux_sym_user_token1] = ACTIONS(1273),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1271),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1271),
    [aux_sym_visual_host_key_token1] = ACTIONS(1271),
    [aux_sym_xauth_location_token1] = ACTIONS(1271),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(857),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(859),
    [aux_sym_match_token1] = ACTIONS(857),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(857),
    [aux_sym_address_family_token1] = ACTIONS(857),
    [aux_sym_batch_mode_token1] = ACTIONS(857),
    [aux_sym_bind_address_token1] = ACTIONS(857),
    [aux_sym_bind_interface_token1] = ACTIONS(857),
    [aux_sym_canonical_domains_token1] = ACTIONS(857),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(857),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(857),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(857),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(857),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(857),
    [aux_sym_certificate_file_token1] = ACTIONS(857),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(857),
    [aux_sym_channel_timeout_token1] = ACTIONS(857),
    [aux_sym_check_host_ip_token1] = ACTIONS(857),
    [aux_sym_ciphers_token1] = ACTIONS(857),
    [aux_sym_cipher_token1] = ACTIONS(859),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(857),
    [aux_sym_compression_token1] = ACTIONS(857),
    [aux_sym_connection_attempts_token1] = ACTIONS(857),
    [aux_sym_connect_timeout_token1] = ACTIONS(857),
    [aux_sym_control_master_token1] = ACTIONS(857),
    [aux_sym_control_path_token1] = ACTIONS(857),
    [aux_sym_control_persist_token1] = ACTIONS(857),
    [aux_sym_dynamic_forward_token1] = ACTIONS(857),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(857),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(857),
    [aux_sym_escape_char_token1] = ACTIONS(857),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(857),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(857),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(857),
    [aux_sym_forward_agent_token1] = ACTIONS(857),
    [aux_sym_forward_x11_token1] = ACTIONS(859),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(857),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(857),
    [aux_sym_gateway_ports_token1] = ACTIONS(857),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(857),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(857),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(857),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(857),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(857),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(857),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(857),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(857),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(857),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(857),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(857),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(857),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(857),
    [aux_sym_host_key_alias_token1] = ACTIONS(857),
    [aux_sym_hostname_token1] = ACTIONS(857),
    [aux_sym_identities_only_token1] = ACTIONS(857),
    [aux_sym_identity_agent_token1] = ACTIONS(857),
    [aux_sym_identity_file_token1] = ACTIONS(857),
    [aux_sym_ignore_unknown_token1] = ACTIONS(857),
    [aux_sym_include_token1] = ACTIONS(857),
    [aux_sym_ip_qos_token1] = ACTIONS(857),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(857),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(857),
    [aux_sym_kex_algorithms_token1] = ACTIONS(857),
    [aux_sym_known_hosts_command_token1] = ACTIONS(857),
    [aux_sym_local_command_token1] = ACTIONS(857),
    [aux_sym_local_forward_token1] = ACTIONS(857),
    [aux_sym_log_level_token1] = ACTIONS(857),
    [aux_sym_log_verbose_token1] = ACTIONS(857),
    [aux_sym_macs_token1] = ACTIONS(857),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(857),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(857),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(857),
    [aux_sym_password_authentication_token1] = ACTIONS(857),
    [aux_sym_permit_local_command_token1] = ACTIONS(857),
    [aux_sym_permit_remote_open_token1] = ACTIONS(857),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(857),
    [aux_sym_port_token1] = ACTIONS(857),
    [aux_sym_preferred_authentications_token1] = ACTIONS(857),
    [aux_sym_protocol_token1] = ACTIONS(857),
    [aux_sym_proxy_command_token1] = ACTIONS(857),
    [aux_sym_proxy_jump_token1] = ACTIONS(857),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(857),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(857),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(857),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(857),
    [aux_sym_rekey_limit_token1] = ACTIONS(857),
    [aux_sym_remote_command_token1] = ACTIONS(857),
    [aux_sym_remote_forward_token1] = ACTIONS(857),
    [aux_sym_request_tty_token1] = ACTIONS(857),
    [aux_sym_required_rsa_size_token1] = ACTIONS(857),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(857),
    [aux_sym_security_key_provider_token1] = ACTIONS(857),
    [aux_sym_send_env_token1] = ACTIONS(857),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(857),
    [aux_sym_server_alive_interval_token1] = ACTIONS(857),
    [aux_sym_session_type_token1] = ACTIONS(857),
    [aux_sym_set_env_token1] = ACTIONS(857),
    [aux_sym_stdin_null_token1] = ACTIONS(857),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(857),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(857),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(857),
    [aux_sym_syslog_facility_token1] = ACTIONS(857),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(857),
    [aux_sym_keep_alive_token1] = ACTIONS(857),
    [aux_sym_tag_token1] = ACTIONS(857),
    [aux_sym_tunnel_token1] = ACTIONS(859),
    [aux_sym_tunnel_device_token1] = ACTIONS(857),
    [aux_sym_update_host_keys_token1] = ACTIONS(857),
    [aux_sym_use_keychain_token1] = ACTIONS(857),
    [aux_sym_use_roaming_token1] = ACTIONS(857),
    [aux_sym_user_token1] = ACTIONS(859),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(857),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(857),
    [aux_sym_visual_host_key_token1] = ACTIONS(857),
    [aux_sym_xauth_location_token1] = ACTIONS(857),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1279),
    [aux_sym_match_token1] = ACTIONS(1277),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1277),
    [aux_sym_address_family_token1] = ACTIONS(1277),
    [aux_sym_batch_mode_token1] = ACTIONS(1277),
    [aux_sym_bind_address_token1] = ACTIONS(1277),
    [aux_sym_bind_interface_token1] = ACTIONS(1277),
    [aux_sym_canonical_domains_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1277),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1277),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1277),
    [aux_sym_certificate_file_token1] = ACTIONS(1277),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1277),
    [aux_sym_channel_timeout_token1] = ACTIONS(1277),
    [aux_sym_check_host_ip_token1] = ACTIONS(1277),
    [aux_sym_ciphers_token1] = ACTIONS(1277),
    [aux_sym_cipher_token1] = ACTIONS(1279),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1277),
    [aux_sym_compression_token1] = ACTIONS(1277),
    [aux_sym_connection_attempts_token1] = ACTIONS(1277),
    [aux_sym_connect_timeout_token1] = ACTIONS(1277),
    [aux_sym_control_master_token1] = ACTIONS(1277),
    [aux_sym_control_path_token1] = ACTIONS(1277),
    [aux_sym_control_persist_token1] = ACTIONS(1277),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1277),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1277),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1277),
    [aux_sym_escape_char_token1] = ACTIONS(1277),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1277),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1277),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1277),
    [aux_sym_forward_agent_token1] = ACTIONS(1277),
    [aux_sym_forward_x11_token1] = ACTIONS(1279),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1277),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1277),
    [aux_sym_gateway_ports_token1] = ACTIONS(1277),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1277),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1277),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1277),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1277),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1277),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1277),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1277),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1277),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1277),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1277),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1277),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1277),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1277),
    [aux_sym_host_key_alias_token1] = ACTIONS(1277),
    [aux_sym_hostname_token1] = ACTIONS(1277),
    [aux_sym_identities_only_token1] = ACTIONS(1277),
    [aux_sym_identity_agent_token1] = ACTIONS(1277),
    [aux_sym_identity_file_token1] = ACTIONS(1277),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1277),
    [aux_sym_include_token1] = ACTIONS(1277),
    [aux_sym_ip_qos_token1] = ACTIONS(1277),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1277),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1277),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1277),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1277),
    [aux_sym_local_command_token1] = ACTIONS(1277),
    [aux_sym_local_forward_token1] = ACTIONS(1277),
    [aux_sym_log_level_token1] = ACTIONS(1277),
    [aux_sym_log_verbose_token1] = ACTIONS(1277),
    [aux_sym_macs_token1] = ACTIONS(1277),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1277),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1277),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1277),
    [aux_sym_password_authentication_token1] = ACTIONS(1277),
    [aux_sym_permit_local_command_token1] = ACTIONS(1277),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1277),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1277),
    [aux_sym_port_token1] = ACTIONS(1277),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1277),
    [aux_sym_protocol_token1] = ACTIONS(1277),
    [aux_sym_proxy_command_token1] = ACTIONS(1277),
    [aux_sym_proxy_jump_token1] = ACTIONS(1277),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1277),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1277),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1277),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1277),
    [aux_sym_rekey_limit_token1] = ACTIONS(1277),
    [aux_sym_remote_command_token1] = ACTIONS(1277),
    [aux_sym_remote_forward_token1] = ACTIONS(1277),
    [aux_sym_request_tty_token1] = ACTIONS(1277),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1277),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1277),
    [aux_sym_security_key_provider_token1] = ACTIONS(1277),
    [aux_sym_send_env_token1] = ACTIONS(1277),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1277),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1277),
    [aux_sym_session_type_token1] = ACTIONS(1277),
    [aux_sym_set_env_token1] = ACTIONS(1277),
    [aux_sym_stdin_null_token1] = ACTIONS(1277),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1277),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1277),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1277),
    [aux_sym_syslog_facility_token1] = ACTIONS(1277),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1277),
    [aux_sym_keep_alive_token1] = ACTIONS(1277),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [aux_sym_tunnel_token1] = ACTIONS(1279),
    [aux_sym_tunnel_device_token1] = ACTIONS(1277),
    [aux_sym_update_host_keys_token1] = ACTIONS(1277),
    [aux_sym_use_keychain_token1] = ACTIONS(1277),
    [aux_sym_use_roaming_token1] = ACTIONS(1277),
    [aux_sym_user_token1] = ACTIONS(1279),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1277),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1277),
    [aux_sym_visual_host_key_token1] = ACTIONS(1277),
    [aux_sym_xauth_location_token1] = ACTIONS(1277),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1051),
    [aux_sym_match_token1] = ACTIONS(1049),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1049),
    [aux_sym_address_family_token1] = ACTIONS(1049),
    [aux_sym_batch_mode_token1] = ACTIONS(1049),
    [aux_sym_bind_address_token1] = ACTIONS(1049),
    [aux_sym_bind_interface_token1] = ACTIONS(1049),
    [aux_sym_canonical_domains_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1049),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1049),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1049),
    [aux_sym_certificate_file_token1] = ACTIONS(1049),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1049),
    [aux_sym_channel_timeout_token1] = ACTIONS(1049),
    [aux_sym_check_host_ip_token1] = ACTIONS(1049),
    [aux_sym_ciphers_token1] = ACTIONS(1049),
    [aux_sym_cipher_token1] = ACTIONS(1051),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1049),
    [aux_sym_compression_token1] = ACTIONS(1049),
    [aux_sym_connection_attempts_token1] = ACTIONS(1049),
    [aux_sym_connect_timeout_token1] = ACTIONS(1049),
    [aux_sym_control_master_token1] = ACTIONS(1049),
    [aux_sym_control_path_token1] = ACTIONS(1049),
    [aux_sym_control_persist_token1] = ACTIONS(1049),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1049),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1049),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1049),
    [aux_sym_escape_char_token1] = ACTIONS(1049),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1049),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1049),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1049),
    [aux_sym_forward_agent_token1] = ACTIONS(1049),
    [aux_sym_forward_x11_token1] = ACTIONS(1051),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1049),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1049),
    [aux_sym_gateway_ports_token1] = ACTIONS(1049),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1049),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1049),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1049),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1049),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1049),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1049),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1049),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1049),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1049),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1049),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1049),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1049),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1049),
    [aux_sym_host_key_alias_token1] = ACTIONS(1049),
    [aux_sym_hostname_token1] = ACTIONS(1049),
    [aux_sym_identities_only_token1] = ACTIONS(1049),
    [aux_sym_identity_agent_token1] = ACTIONS(1049),
    [aux_sym_identity_file_token1] = ACTIONS(1049),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1049),
    [aux_sym_include_token1] = ACTIONS(1049),
    [aux_sym_ip_qos_token1] = ACTIONS(1049),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1049),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1049),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1049),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1049),
    [aux_sym_local_command_token1] = ACTIONS(1049),
    [aux_sym_local_forward_token1] = ACTIONS(1049),
    [aux_sym_log_level_token1] = ACTIONS(1049),
    [aux_sym_log_verbose_token1] = ACTIONS(1049),
    [aux_sym_macs_token1] = ACTIONS(1049),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1049),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1049),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1049),
    [aux_sym_password_authentication_token1] = ACTIONS(1049),
    [aux_sym_permit_local_command_token1] = ACTIONS(1049),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1049),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1049),
    [aux_sym_port_token1] = ACTIONS(1049),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1049),
    [aux_sym_protocol_token1] = ACTIONS(1049),
    [aux_sym_proxy_command_token1] = ACTIONS(1049),
    [aux_sym_proxy_jump_token1] = ACTIONS(1049),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1049),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1049),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1049),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1049),
    [aux_sym_rekey_limit_token1] = ACTIONS(1049),
    [aux_sym_remote_command_token1] = ACTIONS(1049),
    [aux_sym_remote_forward_token1] = ACTIONS(1049),
    [aux_sym_request_tty_token1] = ACTIONS(1049),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1049),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1049),
    [aux_sym_security_key_provider_token1] = ACTIONS(1049),
    [aux_sym_send_env_token1] = ACTIONS(1049),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1049),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1049),
    [aux_sym_session_type_token1] = ACTIONS(1049),
    [aux_sym_set_env_token1] = ACTIONS(1049),
    [aux_sym_stdin_null_token1] = ACTIONS(1049),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1049),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1049),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1049),
    [aux_sym_syslog_facility_token1] = ACTIONS(1049),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1049),
    [aux_sym_keep_alive_token1] = ACTIONS(1049),
    [aux_sym_tag_token1] = ACTIONS(1049),
    [aux_sym_tunnel_token1] = ACTIONS(1051),
    [aux_sym_tunnel_device_token1] = ACTIONS(1049),
    [aux_sym_update_host_keys_token1] = ACTIONS(1049),
    [aux_sym_use_keychain_token1] = ACTIONS(1049),
    [aux_sym_use_roaming_token1] = ACTIONS(1049),
    [aux_sym_user_token1] = ACTIONS(1051),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1049),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1049),
    [aux_sym_visual_host_key_token1] = ACTIONS(1049),
    [aux_sym_xauth_location_token1] = ACTIONS(1049),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1597),
    [aux_sym_match_token1] = ACTIONS(1595),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1595),
    [aux_sym_address_family_token1] = ACTIONS(1595),
    [aux_sym_batch_mode_token1] = ACTIONS(1595),
    [aux_sym_bind_address_token1] = ACTIONS(1595),
    [aux_sym_bind_interface_token1] = ACTIONS(1595),
    [aux_sym_canonical_domains_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1595),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1595),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1595),
    [aux_sym_certificate_file_token1] = ACTIONS(1595),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1595),
    [aux_sym_channel_timeout_token1] = ACTIONS(1595),
    [aux_sym_check_host_ip_token1] = ACTIONS(1595),
    [aux_sym_ciphers_token1] = ACTIONS(1595),
    [aux_sym_cipher_token1] = ACTIONS(1597),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1595),
    [aux_sym_compression_token1] = ACTIONS(1595),
    [aux_sym_connection_attempts_token1] = ACTIONS(1595),
    [aux_sym_connect_timeout_token1] = ACTIONS(1595),
    [aux_sym_control_master_token1] = ACTIONS(1595),
    [aux_sym_control_path_token1] = ACTIONS(1595),
    [aux_sym_control_persist_token1] = ACTIONS(1595),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1595),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1595),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1595),
    [aux_sym_escape_char_token1] = ACTIONS(1595),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1595),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1595),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1595),
    [aux_sym_forward_agent_token1] = ACTIONS(1595),
    [aux_sym_forward_x11_token1] = ACTIONS(1597),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1595),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1595),
    [aux_sym_gateway_ports_token1] = ACTIONS(1595),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1595),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1595),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1595),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1595),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1595),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1595),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1595),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1595),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1595),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1595),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1595),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1595),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1595),
    [aux_sym_host_key_alias_token1] = ACTIONS(1595),
    [aux_sym_hostname_token1] = ACTIONS(1595),
    [aux_sym_identities_only_token1] = ACTIONS(1595),
    [aux_sym_identity_agent_token1] = ACTIONS(1595),
    [aux_sym_identity_file_token1] = ACTIONS(1595),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1595),
    [aux_sym_include_token1] = ACTIONS(1595),
    [aux_sym_ip_qos_token1] = ACTIONS(1595),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1595),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1595),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1595),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1595),
    [aux_sym_local_command_token1] = ACTIONS(1595),
    [aux_sym_local_forward_token1] = ACTIONS(1595),
    [aux_sym_log_level_token1] = ACTIONS(1595),
    [aux_sym_log_verbose_token1] = ACTIONS(1595),
    [aux_sym_macs_token1] = ACTIONS(1595),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1595),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1595),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1595),
    [aux_sym_password_authentication_token1] = ACTIONS(1595),
    [aux_sym_permit_local_command_token1] = ACTIONS(1595),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1595),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1595),
    [aux_sym_port_token1] = ACTIONS(1595),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1595),
    [aux_sym_protocol_token1] = ACTIONS(1595),
    [aux_sym_proxy_command_token1] = ACTIONS(1595),
    [aux_sym_proxy_jump_token1] = ACTIONS(1595),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1595),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1595),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1595),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1595),
    [aux_sym_rekey_limit_token1] = ACTIONS(1595),
    [aux_sym_remote_command_token1] = ACTIONS(1595),
    [aux_sym_remote_forward_token1] = ACTIONS(1595),
    [aux_sym_request_tty_token1] = ACTIONS(1595),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1595),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1595),
    [aux_sym_security_key_provider_token1] = ACTIONS(1595),
    [aux_sym_send_env_token1] = ACTIONS(1595),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1595),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1595),
    [aux_sym_session_type_token1] = ACTIONS(1595),
    [aux_sym_set_env_token1] = ACTIONS(1595),
    [aux_sym_stdin_null_token1] = ACTIONS(1595),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1595),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1595),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1595),
    [aux_sym_syslog_facility_token1] = ACTIONS(1595),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1595),
    [aux_sym_keep_alive_token1] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [aux_sym_tunnel_token1] = ACTIONS(1597),
    [aux_sym_tunnel_device_token1] = ACTIONS(1595),
    [aux_sym_update_host_keys_token1] = ACTIONS(1595),
    [aux_sym_use_keychain_token1] = ACTIONS(1595),
    [aux_sym_use_roaming_token1] = ACTIONS(1595),
    [aux_sym_user_token1] = ACTIONS(1597),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1595),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1595),
    [aux_sym_visual_host_key_token1] = ACTIONS(1595),
    [aux_sym_xauth_location_token1] = ACTIONS(1595),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3365),
    [aux_sym_match_token1] = ACTIONS(3363),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3363),
    [aux_sym_address_family_token1] = ACTIONS(3363),
    [aux_sym_batch_mode_token1] = ACTIONS(3363),
    [aux_sym_bind_address_token1] = ACTIONS(3363),
    [aux_sym_bind_interface_token1] = ACTIONS(3363),
    [aux_sym_canonical_domains_token1] = ACTIONS(3363),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3363),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3363),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3363),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3363),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3363),
    [aux_sym_certificate_file_token1] = ACTIONS(3363),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3363),
    [aux_sym_channel_timeout_token1] = ACTIONS(3363),
    [aux_sym_check_host_ip_token1] = ACTIONS(3363),
    [aux_sym_ciphers_token1] = ACTIONS(3363),
    [aux_sym_cipher_token1] = ACTIONS(3365),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3363),
    [aux_sym_compression_token1] = ACTIONS(3363),
    [aux_sym_connection_attempts_token1] = ACTIONS(3363),
    [aux_sym_connect_timeout_token1] = ACTIONS(3363),
    [aux_sym_control_master_token1] = ACTIONS(3363),
    [aux_sym_control_path_token1] = ACTIONS(3363),
    [aux_sym_control_persist_token1] = ACTIONS(3363),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3363),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3363),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3363),
    [aux_sym_escape_char_token1] = ACTIONS(3363),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3363),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3363),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3363),
    [aux_sym_forward_agent_token1] = ACTIONS(3363),
    [aux_sym_forward_x11_token1] = ACTIONS(3365),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3363),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3363),
    [aux_sym_gateway_ports_token1] = ACTIONS(3363),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3363),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3363),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3363),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3363),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3363),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3363),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3363),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3363),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3363),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3363),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3363),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3363),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3363),
    [aux_sym_host_key_alias_token1] = ACTIONS(3363),
    [aux_sym_hostname_token1] = ACTIONS(3363),
    [aux_sym_identities_only_token1] = ACTIONS(3363),
    [aux_sym_identity_agent_token1] = ACTIONS(3363),
    [aux_sym_identity_file_token1] = ACTIONS(3363),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3363),
    [aux_sym_include_token1] = ACTIONS(3363),
    [aux_sym_ip_qos_token1] = ACTIONS(3363),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3363),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3363),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3363),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3363),
    [aux_sym_local_command_token1] = ACTIONS(3363),
    [aux_sym_local_forward_token1] = ACTIONS(3363),
    [aux_sym_log_level_token1] = ACTIONS(3363),
    [aux_sym_log_verbose_token1] = ACTIONS(3363),
    [aux_sym_macs_token1] = ACTIONS(3363),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3363),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3363),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3363),
    [aux_sym_password_authentication_token1] = ACTIONS(3363),
    [aux_sym_permit_local_command_token1] = ACTIONS(3363),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3363),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3363),
    [aux_sym_port_token1] = ACTIONS(3363),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3363),
    [aux_sym_protocol_token1] = ACTIONS(3363),
    [aux_sym_proxy_command_token1] = ACTIONS(3363),
    [aux_sym_proxy_jump_token1] = ACTIONS(3363),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3363),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3363),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3363),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3363),
    [aux_sym_rekey_limit_token1] = ACTIONS(3363),
    [aux_sym_remote_command_token1] = ACTIONS(3363),
    [aux_sym_remote_forward_token1] = ACTIONS(3363),
    [aux_sym_request_tty_token1] = ACTIONS(3363),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3363),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3363),
    [aux_sym_security_key_provider_token1] = ACTIONS(3363),
    [aux_sym_send_env_token1] = ACTIONS(3363),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3363),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3363),
    [aux_sym_session_type_token1] = ACTIONS(3363),
    [aux_sym_set_env_token1] = ACTIONS(3363),
    [aux_sym_stdin_null_token1] = ACTIONS(3363),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3363),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3363),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3363),
    [aux_sym_syslog_facility_token1] = ACTIONS(3363),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3363),
    [aux_sym_keep_alive_token1] = ACTIONS(3363),
    [aux_sym_tag_token1] = ACTIONS(3363),
    [aux_sym_tunnel_token1] = ACTIONS(3365),
    [aux_sym_tunnel_device_token1] = ACTIONS(3363),
    [aux_sym_update_host_keys_token1] = ACTIONS(3363),
    [aux_sym_use_keychain_token1] = ACTIONS(3363),
    [aux_sym_use_roaming_token1] = ACTIONS(3363),
    [aux_sym_user_token1] = ACTIONS(3365),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3363),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3363),
    [aux_sym_visual_host_key_token1] = ACTIONS(3363),
    [aux_sym_xauth_location_token1] = ACTIONS(3363),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3369),
    [aux_sym_match_token1] = ACTIONS(3367),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3367),
    [aux_sym_address_family_token1] = ACTIONS(3367),
    [aux_sym_batch_mode_token1] = ACTIONS(3367),
    [aux_sym_bind_address_token1] = ACTIONS(3367),
    [aux_sym_bind_interface_token1] = ACTIONS(3367),
    [aux_sym_canonical_domains_token1] = ACTIONS(3367),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3367),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3367),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3367),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3367),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3367),
    [aux_sym_certificate_file_token1] = ACTIONS(3367),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3367),
    [aux_sym_channel_timeout_token1] = ACTIONS(3367),
    [aux_sym_check_host_ip_token1] = ACTIONS(3367),
    [aux_sym_ciphers_token1] = ACTIONS(3367),
    [aux_sym_cipher_token1] = ACTIONS(3369),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3367),
    [aux_sym_compression_token1] = ACTIONS(3367),
    [aux_sym_connection_attempts_token1] = ACTIONS(3367),
    [aux_sym_connect_timeout_token1] = ACTIONS(3367),
    [aux_sym_control_master_token1] = ACTIONS(3367),
    [aux_sym_control_path_token1] = ACTIONS(3367),
    [aux_sym_control_persist_token1] = ACTIONS(3367),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3367),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3367),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3367),
    [aux_sym_escape_char_token1] = ACTIONS(3367),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3367),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3367),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3367),
    [aux_sym_forward_agent_token1] = ACTIONS(3367),
    [aux_sym_forward_x11_token1] = ACTIONS(3369),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3367),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3367),
    [aux_sym_gateway_ports_token1] = ACTIONS(3367),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3367),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3367),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3367),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3367),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3367),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3367),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3367),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3367),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3367),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3367),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3367),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3367),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3367),
    [aux_sym_host_key_alias_token1] = ACTIONS(3367),
    [aux_sym_hostname_token1] = ACTIONS(3367),
    [aux_sym_identities_only_token1] = ACTIONS(3367),
    [aux_sym_identity_agent_token1] = ACTIONS(3367),
    [aux_sym_identity_file_token1] = ACTIONS(3367),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3367),
    [aux_sym_include_token1] = ACTIONS(3367),
    [aux_sym_ip_qos_token1] = ACTIONS(3367),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3367),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3367),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3367),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3367),
    [aux_sym_local_command_token1] = ACTIONS(3367),
    [aux_sym_local_forward_token1] = ACTIONS(3367),
    [aux_sym_log_level_token1] = ACTIONS(3367),
    [aux_sym_log_verbose_token1] = ACTIONS(3367),
    [aux_sym_macs_token1] = ACTIONS(3367),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3367),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3367),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3367),
    [aux_sym_password_authentication_token1] = ACTIONS(3367),
    [aux_sym_permit_local_command_token1] = ACTIONS(3367),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3367),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3367),
    [aux_sym_port_token1] = ACTIONS(3367),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3367),
    [aux_sym_protocol_token1] = ACTIONS(3367),
    [aux_sym_proxy_command_token1] = ACTIONS(3367),
    [aux_sym_proxy_jump_token1] = ACTIONS(3367),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3367),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3367),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3367),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3367),
    [aux_sym_rekey_limit_token1] = ACTIONS(3367),
    [aux_sym_remote_command_token1] = ACTIONS(3367),
    [aux_sym_remote_forward_token1] = ACTIONS(3367),
    [aux_sym_request_tty_token1] = ACTIONS(3367),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3367),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3367),
    [aux_sym_security_key_provider_token1] = ACTIONS(3367),
    [aux_sym_send_env_token1] = ACTIONS(3367),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3367),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3367),
    [aux_sym_session_type_token1] = ACTIONS(3367),
    [aux_sym_set_env_token1] = ACTIONS(3367),
    [aux_sym_stdin_null_token1] = ACTIONS(3367),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3367),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3367),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3367),
    [aux_sym_syslog_facility_token1] = ACTIONS(3367),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3367),
    [aux_sym_keep_alive_token1] = ACTIONS(3367),
    [aux_sym_tag_token1] = ACTIONS(3367),
    [aux_sym_tunnel_token1] = ACTIONS(3369),
    [aux_sym_tunnel_device_token1] = ACTIONS(3367),
    [aux_sym_update_host_keys_token1] = ACTIONS(3367),
    [aux_sym_use_keychain_token1] = ACTIONS(3367),
    [aux_sym_use_roaming_token1] = ACTIONS(3367),
    [aux_sym_user_token1] = ACTIONS(3369),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3367),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3367),
    [aux_sym_visual_host_key_token1] = ACTIONS(3367),
    [aux_sym_xauth_location_token1] = ACTIONS(3367),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3373),
    [aux_sym_match_token1] = ACTIONS(3371),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3371),
    [aux_sym_address_family_token1] = ACTIONS(3371),
    [aux_sym_batch_mode_token1] = ACTIONS(3371),
    [aux_sym_bind_address_token1] = ACTIONS(3371),
    [aux_sym_bind_interface_token1] = ACTIONS(3371),
    [aux_sym_canonical_domains_token1] = ACTIONS(3371),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3371),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3371),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3371),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3371),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3371),
    [aux_sym_certificate_file_token1] = ACTIONS(3371),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3371),
    [aux_sym_channel_timeout_token1] = ACTIONS(3371),
    [aux_sym_check_host_ip_token1] = ACTIONS(3371),
    [aux_sym_ciphers_token1] = ACTIONS(3371),
    [aux_sym_cipher_token1] = ACTIONS(3373),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3371),
    [aux_sym_compression_token1] = ACTIONS(3371),
    [aux_sym_connection_attempts_token1] = ACTIONS(3371),
    [aux_sym_connect_timeout_token1] = ACTIONS(3371),
    [aux_sym_control_master_token1] = ACTIONS(3371),
    [aux_sym_control_path_token1] = ACTIONS(3371),
    [aux_sym_control_persist_token1] = ACTIONS(3371),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3371),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3371),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3371),
    [aux_sym_escape_char_token1] = ACTIONS(3371),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3371),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3371),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3371),
    [aux_sym_forward_agent_token1] = ACTIONS(3371),
    [aux_sym_forward_x11_token1] = ACTIONS(3373),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3371),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3371),
    [aux_sym_gateway_ports_token1] = ACTIONS(3371),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3371),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3371),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3371),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3371),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3371),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3371),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3371),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3371),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3371),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3371),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3371),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3371),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3371),
    [aux_sym_host_key_alias_token1] = ACTIONS(3371),
    [aux_sym_hostname_token1] = ACTIONS(3371),
    [aux_sym_identities_only_token1] = ACTIONS(3371),
    [aux_sym_identity_agent_token1] = ACTIONS(3371),
    [aux_sym_identity_file_token1] = ACTIONS(3371),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3371),
    [aux_sym_include_token1] = ACTIONS(3371),
    [aux_sym_ip_qos_token1] = ACTIONS(3371),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3371),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3371),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3371),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3371),
    [aux_sym_local_command_token1] = ACTIONS(3371),
    [aux_sym_local_forward_token1] = ACTIONS(3371),
    [aux_sym_log_level_token1] = ACTIONS(3371),
    [aux_sym_log_verbose_token1] = ACTIONS(3371),
    [aux_sym_macs_token1] = ACTIONS(3371),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3371),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3371),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3371),
    [aux_sym_password_authentication_token1] = ACTIONS(3371),
    [aux_sym_permit_local_command_token1] = ACTIONS(3371),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3371),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3371),
    [aux_sym_port_token1] = ACTIONS(3371),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3371),
    [aux_sym_protocol_token1] = ACTIONS(3371),
    [aux_sym_proxy_command_token1] = ACTIONS(3371),
    [aux_sym_proxy_jump_token1] = ACTIONS(3371),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3371),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3371),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3371),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3371),
    [aux_sym_rekey_limit_token1] = ACTIONS(3371),
    [aux_sym_remote_command_token1] = ACTIONS(3371),
    [aux_sym_remote_forward_token1] = ACTIONS(3371),
    [aux_sym_request_tty_token1] = ACTIONS(3371),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3371),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3371),
    [aux_sym_security_key_provider_token1] = ACTIONS(3371),
    [aux_sym_send_env_token1] = ACTIONS(3371),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3371),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3371),
    [aux_sym_session_type_token1] = ACTIONS(3371),
    [aux_sym_set_env_token1] = ACTIONS(3371),
    [aux_sym_stdin_null_token1] = ACTIONS(3371),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3371),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3371),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3371),
    [aux_sym_syslog_facility_token1] = ACTIONS(3371),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3371),
    [aux_sym_keep_alive_token1] = ACTIONS(3371),
    [aux_sym_tag_token1] = ACTIONS(3371),
    [aux_sym_tunnel_token1] = ACTIONS(3373),
    [aux_sym_tunnel_device_token1] = ACTIONS(3371),
    [aux_sym_update_host_keys_token1] = ACTIONS(3371),
    [aux_sym_use_keychain_token1] = ACTIONS(3371),
    [aux_sym_use_roaming_token1] = ACTIONS(3371),
    [aux_sym_user_token1] = ACTIONS(3373),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3371),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3371),
    [aux_sym_visual_host_key_token1] = ACTIONS(3371),
    [aux_sym_xauth_location_token1] = ACTIONS(3371),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1291),
    [aux_sym_match_token1] = ACTIONS(1289),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1289),
    [aux_sym_address_family_token1] = ACTIONS(1289),
    [aux_sym_batch_mode_token1] = ACTIONS(1289),
    [aux_sym_bind_address_token1] = ACTIONS(1289),
    [aux_sym_bind_interface_token1] = ACTIONS(1289),
    [aux_sym_canonical_domains_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1289),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1289),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1289),
    [aux_sym_certificate_file_token1] = ACTIONS(1289),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1289),
    [aux_sym_channel_timeout_token1] = ACTIONS(1289),
    [aux_sym_check_host_ip_token1] = ACTIONS(1289),
    [aux_sym_ciphers_token1] = ACTIONS(1289),
    [aux_sym_cipher_token1] = ACTIONS(1291),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1289),
    [aux_sym_compression_token1] = ACTIONS(1289),
    [aux_sym_connection_attempts_token1] = ACTIONS(1289),
    [aux_sym_connect_timeout_token1] = ACTIONS(1289),
    [aux_sym_control_master_token1] = ACTIONS(1289),
    [aux_sym_control_path_token1] = ACTIONS(1289),
    [aux_sym_control_persist_token1] = ACTIONS(1289),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1289),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1289),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1289),
    [aux_sym_escape_char_token1] = ACTIONS(1289),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1289),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1289),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1289),
    [aux_sym_forward_agent_token1] = ACTIONS(1289),
    [aux_sym_forward_x11_token1] = ACTIONS(1291),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1289),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1289),
    [aux_sym_gateway_ports_token1] = ACTIONS(1289),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1289),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1289),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1289),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1289),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1289),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1289),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1289),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1289),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1289),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1289),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1289),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1289),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1289),
    [aux_sym_host_key_alias_token1] = ACTIONS(1289),
    [aux_sym_hostname_token1] = ACTIONS(1289),
    [aux_sym_identities_only_token1] = ACTIONS(1289),
    [aux_sym_identity_agent_token1] = ACTIONS(1289),
    [aux_sym_identity_file_token1] = ACTIONS(1289),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1289),
    [aux_sym_include_token1] = ACTIONS(1289),
    [aux_sym_ip_qos_token1] = ACTIONS(1289),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1289),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1289),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1289),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1289),
    [aux_sym_local_command_token1] = ACTIONS(1289),
    [aux_sym_local_forward_token1] = ACTIONS(1289),
    [aux_sym_log_level_token1] = ACTIONS(1289),
    [aux_sym_log_verbose_token1] = ACTIONS(1289),
    [aux_sym_macs_token1] = ACTIONS(1289),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1289),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1289),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1289),
    [aux_sym_password_authentication_token1] = ACTIONS(1289),
    [aux_sym_permit_local_command_token1] = ACTIONS(1289),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1289),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1289),
    [aux_sym_port_token1] = ACTIONS(1289),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1289),
    [aux_sym_protocol_token1] = ACTIONS(1289),
    [aux_sym_proxy_command_token1] = ACTIONS(1289),
    [aux_sym_proxy_jump_token1] = ACTIONS(1289),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1289),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1289),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1289),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1289),
    [aux_sym_rekey_limit_token1] = ACTIONS(1289),
    [aux_sym_remote_command_token1] = ACTIONS(1289),
    [aux_sym_remote_forward_token1] = ACTIONS(1289),
    [aux_sym_request_tty_token1] = ACTIONS(1289),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1289),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1289),
    [aux_sym_security_key_provider_token1] = ACTIONS(1289),
    [aux_sym_send_env_token1] = ACTIONS(1289),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1289),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1289),
    [aux_sym_session_type_token1] = ACTIONS(1289),
    [aux_sym_set_env_token1] = ACTIONS(1289),
    [aux_sym_stdin_null_token1] = ACTIONS(1289),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1289),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1289),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1289),
    [aux_sym_syslog_facility_token1] = ACTIONS(1289),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1289),
    [aux_sym_keep_alive_token1] = ACTIONS(1289),
    [aux_sym_tag_token1] = ACTIONS(1289),
    [aux_sym_tunnel_token1] = ACTIONS(1291),
    [aux_sym_tunnel_device_token1] = ACTIONS(1289),
    [aux_sym_update_host_keys_token1] = ACTIONS(1289),
    [aux_sym_use_keychain_token1] = ACTIONS(1289),
    [aux_sym_use_roaming_token1] = ACTIONS(1289),
    [aux_sym_user_token1] = ACTIONS(1291),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1289),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1289),
    [aux_sym_visual_host_key_token1] = ACTIONS(1289),
    [aux_sym_xauth_location_token1] = ACTIONS(1289),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3377),
    [aux_sym_match_token1] = ACTIONS(3375),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3375),
    [aux_sym_address_family_token1] = ACTIONS(3375),
    [aux_sym_batch_mode_token1] = ACTIONS(3375),
    [aux_sym_bind_address_token1] = ACTIONS(3375),
    [aux_sym_bind_interface_token1] = ACTIONS(3375),
    [aux_sym_canonical_domains_token1] = ACTIONS(3375),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3375),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3375),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3375),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3375),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3375),
    [aux_sym_certificate_file_token1] = ACTIONS(3375),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3375),
    [aux_sym_channel_timeout_token1] = ACTIONS(3375),
    [aux_sym_check_host_ip_token1] = ACTIONS(3375),
    [aux_sym_ciphers_token1] = ACTIONS(3375),
    [aux_sym_cipher_token1] = ACTIONS(3377),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3375),
    [aux_sym_compression_token1] = ACTIONS(3375),
    [aux_sym_connection_attempts_token1] = ACTIONS(3375),
    [aux_sym_connect_timeout_token1] = ACTIONS(3375),
    [aux_sym_control_master_token1] = ACTIONS(3375),
    [aux_sym_control_path_token1] = ACTIONS(3375),
    [aux_sym_control_persist_token1] = ACTIONS(3375),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3375),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3375),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3375),
    [aux_sym_escape_char_token1] = ACTIONS(3375),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3375),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3375),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3375),
    [aux_sym_forward_agent_token1] = ACTIONS(3375),
    [aux_sym_forward_x11_token1] = ACTIONS(3377),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3375),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3375),
    [aux_sym_gateway_ports_token1] = ACTIONS(3375),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3375),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3375),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3375),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3375),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3375),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3375),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3375),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3375),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3375),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3375),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3375),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3375),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3375),
    [aux_sym_host_key_alias_token1] = ACTIONS(3375),
    [aux_sym_hostname_token1] = ACTIONS(3375),
    [aux_sym_identities_only_token1] = ACTIONS(3375),
    [aux_sym_identity_agent_token1] = ACTIONS(3375),
    [aux_sym_identity_file_token1] = ACTIONS(3375),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3375),
    [aux_sym_include_token1] = ACTIONS(3375),
    [aux_sym_ip_qos_token1] = ACTIONS(3375),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3375),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3375),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3375),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3375),
    [aux_sym_local_command_token1] = ACTIONS(3375),
    [aux_sym_local_forward_token1] = ACTIONS(3375),
    [aux_sym_log_level_token1] = ACTIONS(3375),
    [aux_sym_log_verbose_token1] = ACTIONS(3375),
    [aux_sym_macs_token1] = ACTIONS(3375),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3375),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3375),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3375),
    [aux_sym_password_authentication_token1] = ACTIONS(3375),
    [aux_sym_permit_local_command_token1] = ACTIONS(3375),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3375),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3375),
    [aux_sym_port_token1] = ACTIONS(3375),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3375),
    [aux_sym_protocol_token1] = ACTIONS(3375),
    [aux_sym_proxy_command_token1] = ACTIONS(3375),
    [aux_sym_proxy_jump_token1] = ACTIONS(3375),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3375),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3375),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3375),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3375),
    [aux_sym_rekey_limit_token1] = ACTIONS(3375),
    [aux_sym_remote_command_token1] = ACTIONS(3375),
    [aux_sym_remote_forward_token1] = ACTIONS(3375),
    [aux_sym_request_tty_token1] = ACTIONS(3375),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3375),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3375),
    [aux_sym_security_key_provider_token1] = ACTIONS(3375),
    [aux_sym_send_env_token1] = ACTIONS(3375),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3375),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3375),
    [aux_sym_session_type_token1] = ACTIONS(3375),
    [aux_sym_set_env_token1] = ACTIONS(3375),
    [aux_sym_stdin_null_token1] = ACTIONS(3375),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3375),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3375),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3375),
    [aux_sym_syslog_facility_token1] = ACTIONS(3375),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3375),
    [aux_sym_keep_alive_token1] = ACTIONS(3375),
    [aux_sym_tag_token1] = ACTIONS(3375),
    [aux_sym_tunnel_token1] = ACTIONS(3377),
    [aux_sym_tunnel_device_token1] = ACTIONS(3375),
    [aux_sym_update_host_keys_token1] = ACTIONS(3375),
    [aux_sym_use_keychain_token1] = ACTIONS(3375),
    [aux_sym_use_roaming_token1] = ACTIONS(3375),
    [aux_sym_user_token1] = ACTIONS(3377),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3375),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3375),
    [aux_sym_visual_host_key_token1] = ACTIONS(3375),
    [aux_sym_xauth_location_token1] = ACTIONS(3375),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3381),
    [aux_sym_match_token1] = ACTIONS(3379),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3379),
    [aux_sym_address_family_token1] = ACTIONS(3379),
    [aux_sym_batch_mode_token1] = ACTIONS(3379),
    [aux_sym_bind_address_token1] = ACTIONS(3379),
    [aux_sym_bind_interface_token1] = ACTIONS(3379),
    [aux_sym_canonical_domains_token1] = ACTIONS(3379),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3379),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3379),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3379),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3379),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3379),
    [aux_sym_certificate_file_token1] = ACTIONS(3379),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3379),
    [aux_sym_channel_timeout_token1] = ACTIONS(3379),
    [aux_sym_check_host_ip_token1] = ACTIONS(3379),
    [aux_sym_ciphers_token1] = ACTIONS(3379),
    [aux_sym_cipher_token1] = ACTIONS(3381),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3379),
    [aux_sym_compression_token1] = ACTIONS(3379),
    [aux_sym_connection_attempts_token1] = ACTIONS(3379),
    [aux_sym_connect_timeout_token1] = ACTIONS(3379),
    [aux_sym_control_master_token1] = ACTIONS(3379),
    [aux_sym_control_path_token1] = ACTIONS(3379),
    [aux_sym_control_persist_token1] = ACTIONS(3379),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3379),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3379),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3379),
    [aux_sym_escape_char_token1] = ACTIONS(3379),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3379),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3379),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3379),
    [aux_sym_forward_agent_token1] = ACTIONS(3379),
    [aux_sym_forward_x11_token1] = ACTIONS(3381),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3379),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3379),
    [aux_sym_gateway_ports_token1] = ACTIONS(3379),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3379),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3379),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3379),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3379),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3379),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3379),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3379),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3379),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3379),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3379),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3379),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3379),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3379),
    [aux_sym_host_key_alias_token1] = ACTIONS(3379),
    [aux_sym_hostname_token1] = ACTIONS(3379),
    [aux_sym_identities_only_token1] = ACTIONS(3379),
    [aux_sym_identity_agent_token1] = ACTIONS(3379),
    [aux_sym_identity_file_token1] = ACTIONS(3379),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3379),
    [aux_sym_include_token1] = ACTIONS(3379),
    [aux_sym_ip_qos_token1] = ACTIONS(3379),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3379),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3379),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3379),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3379),
    [aux_sym_local_command_token1] = ACTIONS(3379),
    [aux_sym_local_forward_token1] = ACTIONS(3379),
    [aux_sym_log_level_token1] = ACTIONS(3379),
    [aux_sym_log_verbose_token1] = ACTIONS(3379),
    [aux_sym_macs_token1] = ACTIONS(3379),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3379),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3379),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3379),
    [aux_sym_password_authentication_token1] = ACTIONS(3379),
    [aux_sym_permit_local_command_token1] = ACTIONS(3379),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3379),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3379),
    [aux_sym_port_token1] = ACTIONS(3379),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3379),
    [aux_sym_protocol_token1] = ACTIONS(3379),
    [aux_sym_proxy_command_token1] = ACTIONS(3379),
    [aux_sym_proxy_jump_token1] = ACTIONS(3379),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3379),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3379),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3379),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3379),
    [aux_sym_rekey_limit_token1] = ACTIONS(3379),
    [aux_sym_remote_command_token1] = ACTIONS(3379),
    [aux_sym_remote_forward_token1] = ACTIONS(3379),
    [aux_sym_request_tty_token1] = ACTIONS(3379),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3379),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3379),
    [aux_sym_security_key_provider_token1] = ACTIONS(3379),
    [aux_sym_send_env_token1] = ACTIONS(3379),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3379),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3379),
    [aux_sym_session_type_token1] = ACTIONS(3379),
    [aux_sym_set_env_token1] = ACTIONS(3379),
    [aux_sym_stdin_null_token1] = ACTIONS(3379),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3379),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3379),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3379),
    [aux_sym_syslog_facility_token1] = ACTIONS(3379),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3379),
    [aux_sym_keep_alive_token1] = ACTIONS(3379),
    [aux_sym_tag_token1] = ACTIONS(3379),
    [aux_sym_tunnel_token1] = ACTIONS(3381),
    [aux_sym_tunnel_device_token1] = ACTIONS(3379),
    [aux_sym_update_host_keys_token1] = ACTIONS(3379),
    [aux_sym_use_keychain_token1] = ACTIONS(3379),
    [aux_sym_use_roaming_token1] = ACTIONS(3379),
    [aux_sym_user_token1] = ACTIONS(3381),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3379),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3379),
    [aux_sym_visual_host_key_token1] = ACTIONS(3379),
    [aux_sym_xauth_location_token1] = ACTIONS(3379),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(853),
    [aux_sym_match_token1] = ACTIONS(851),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(851),
    [aux_sym_address_family_token1] = ACTIONS(851),
    [aux_sym_batch_mode_token1] = ACTIONS(851),
    [aux_sym_bind_address_token1] = ACTIONS(851),
    [aux_sym_bind_interface_token1] = ACTIONS(851),
    [aux_sym_canonical_domains_token1] = ACTIONS(851),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(851),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(851),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(851),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(851),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(851),
    [aux_sym_certificate_file_token1] = ACTIONS(851),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(851),
    [aux_sym_channel_timeout_token1] = ACTIONS(851),
    [aux_sym_check_host_ip_token1] = ACTIONS(851),
    [aux_sym_ciphers_token1] = ACTIONS(851),
    [aux_sym_cipher_token1] = ACTIONS(853),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(851),
    [aux_sym_compression_token1] = ACTIONS(851),
    [aux_sym_connection_attempts_token1] = ACTIONS(851),
    [aux_sym_connect_timeout_token1] = ACTIONS(851),
    [aux_sym_control_master_token1] = ACTIONS(851),
    [aux_sym_control_path_token1] = ACTIONS(851),
    [aux_sym_control_persist_token1] = ACTIONS(851),
    [aux_sym_dynamic_forward_token1] = ACTIONS(851),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(851),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(851),
    [aux_sym_escape_char_token1] = ACTIONS(851),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(851),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(851),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(851),
    [aux_sym_forward_agent_token1] = ACTIONS(851),
    [aux_sym_forward_x11_token1] = ACTIONS(853),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(851),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(851),
    [aux_sym_gateway_ports_token1] = ACTIONS(851),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(851),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(851),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(851),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(851),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(851),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(851),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(851),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(851),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(851),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(851),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(851),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(851),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(851),
    [aux_sym_host_key_alias_token1] = ACTIONS(851),
    [aux_sym_hostname_token1] = ACTIONS(851),
    [aux_sym_identities_only_token1] = ACTIONS(851),
    [aux_sym_identity_agent_token1] = ACTIONS(851),
    [aux_sym_identity_file_token1] = ACTIONS(851),
    [aux_sym_ignore_unknown_token1] = ACTIONS(851),
    [aux_sym_include_token1] = ACTIONS(851),
    [aux_sym_ip_qos_token1] = ACTIONS(851),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(851),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(851),
    [aux_sym_kex_algorithms_token1] = ACTIONS(851),
    [aux_sym_known_hosts_command_token1] = ACTIONS(851),
    [aux_sym_local_command_token1] = ACTIONS(851),
    [aux_sym_local_forward_token1] = ACTIONS(851),
    [aux_sym_log_level_token1] = ACTIONS(851),
    [aux_sym_log_verbose_token1] = ACTIONS(851),
    [aux_sym_macs_token1] = ACTIONS(851),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(851),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(851),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(851),
    [aux_sym_password_authentication_token1] = ACTIONS(851),
    [aux_sym_permit_local_command_token1] = ACTIONS(851),
    [aux_sym_permit_remote_open_token1] = ACTIONS(851),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(851),
    [aux_sym_port_token1] = ACTIONS(851),
    [aux_sym_preferred_authentications_token1] = ACTIONS(851),
    [aux_sym_protocol_token1] = ACTIONS(851),
    [aux_sym_proxy_command_token1] = ACTIONS(851),
    [aux_sym_proxy_jump_token1] = ACTIONS(851),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(851),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(851),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(851),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(851),
    [aux_sym_rekey_limit_token1] = ACTIONS(851),
    [aux_sym_remote_command_token1] = ACTIONS(851),
    [aux_sym_remote_forward_token1] = ACTIONS(851),
    [aux_sym_request_tty_token1] = ACTIONS(851),
    [aux_sym_required_rsa_size_token1] = ACTIONS(851),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(851),
    [aux_sym_security_key_provider_token1] = ACTIONS(851),
    [aux_sym_send_env_token1] = ACTIONS(851),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(851),
    [aux_sym_server_alive_interval_token1] = ACTIONS(851),
    [aux_sym_session_type_token1] = ACTIONS(851),
    [aux_sym_set_env_token1] = ACTIONS(851),
    [aux_sym_stdin_null_token1] = ACTIONS(851),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(851),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(851),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(851),
    [aux_sym_syslog_facility_token1] = ACTIONS(851),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(851),
    [aux_sym_keep_alive_token1] = ACTIONS(851),
    [aux_sym_tag_token1] = ACTIONS(851),
    [aux_sym_tunnel_token1] = ACTIONS(853),
    [aux_sym_tunnel_device_token1] = ACTIONS(851),
    [aux_sym_update_host_keys_token1] = ACTIONS(851),
    [aux_sym_use_keychain_token1] = ACTIONS(851),
    [aux_sym_use_roaming_token1] = ACTIONS(851),
    [aux_sym_user_token1] = ACTIONS(853),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(851),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(851),
    [aux_sym_visual_host_key_token1] = ACTIONS(851),
    [aux_sym_xauth_location_token1] = ACTIONS(851),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1297),
    [aux_sym_match_token1] = ACTIONS(1295),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1295),
    [aux_sym_address_family_token1] = ACTIONS(1295),
    [aux_sym_batch_mode_token1] = ACTIONS(1295),
    [aux_sym_bind_address_token1] = ACTIONS(1295),
    [aux_sym_bind_interface_token1] = ACTIONS(1295),
    [aux_sym_canonical_domains_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1295),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1295),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1295),
    [aux_sym_certificate_file_token1] = ACTIONS(1295),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1295),
    [aux_sym_channel_timeout_token1] = ACTIONS(1295),
    [aux_sym_check_host_ip_token1] = ACTIONS(1295),
    [aux_sym_ciphers_token1] = ACTIONS(1295),
    [aux_sym_cipher_token1] = ACTIONS(1297),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1295),
    [aux_sym_compression_token1] = ACTIONS(1295),
    [aux_sym_connection_attempts_token1] = ACTIONS(1295),
    [aux_sym_connect_timeout_token1] = ACTIONS(1295),
    [aux_sym_control_master_token1] = ACTIONS(1295),
    [aux_sym_control_path_token1] = ACTIONS(1295),
    [aux_sym_control_persist_token1] = ACTIONS(1295),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1295),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1295),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1295),
    [aux_sym_escape_char_token1] = ACTIONS(1295),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1295),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1295),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1295),
    [aux_sym_forward_agent_token1] = ACTIONS(1295),
    [aux_sym_forward_x11_token1] = ACTIONS(1297),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1295),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1295),
    [aux_sym_gateway_ports_token1] = ACTIONS(1295),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1295),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1295),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1295),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1295),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1295),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1295),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1295),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1295),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1295),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1295),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1295),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1295),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1295),
    [aux_sym_host_key_alias_token1] = ACTIONS(1295),
    [aux_sym_hostname_token1] = ACTIONS(1295),
    [aux_sym_identities_only_token1] = ACTIONS(1295),
    [aux_sym_identity_agent_token1] = ACTIONS(1295),
    [aux_sym_identity_file_token1] = ACTIONS(1295),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1295),
    [aux_sym_include_token1] = ACTIONS(1295),
    [aux_sym_ip_qos_token1] = ACTIONS(1295),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1295),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1295),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1295),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1295),
    [aux_sym_local_command_token1] = ACTIONS(1295),
    [aux_sym_local_forward_token1] = ACTIONS(1295),
    [aux_sym_log_level_token1] = ACTIONS(1295),
    [aux_sym_log_verbose_token1] = ACTIONS(1295),
    [aux_sym_macs_token1] = ACTIONS(1295),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1295),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1295),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1295),
    [aux_sym_password_authentication_token1] = ACTIONS(1295),
    [aux_sym_permit_local_command_token1] = ACTIONS(1295),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1295),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1295),
    [aux_sym_port_token1] = ACTIONS(1295),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1295),
    [aux_sym_protocol_token1] = ACTIONS(1295),
    [aux_sym_proxy_command_token1] = ACTIONS(1295),
    [aux_sym_proxy_jump_token1] = ACTIONS(1295),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1295),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1295),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1295),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1295),
    [aux_sym_rekey_limit_token1] = ACTIONS(1295),
    [aux_sym_remote_command_token1] = ACTIONS(1295),
    [aux_sym_remote_forward_token1] = ACTIONS(1295),
    [aux_sym_request_tty_token1] = ACTIONS(1295),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1295),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1295),
    [aux_sym_security_key_provider_token1] = ACTIONS(1295),
    [aux_sym_send_env_token1] = ACTIONS(1295),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1295),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1295),
    [aux_sym_session_type_token1] = ACTIONS(1295),
    [aux_sym_set_env_token1] = ACTIONS(1295),
    [aux_sym_stdin_null_token1] = ACTIONS(1295),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1295),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1295),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1295),
    [aux_sym_syslog_facility_token1] = ACTIONS(1295),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1295),
    [aux_sym_keep_alive_token1] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1295),
    [aux_sym_tunnel_token1] = ACTIONS(1297),
    [aux_sym_tunnel_device_token1] = ACTIONS(1295),
    [aux_sym_update_host_keys_token1] = ACTIONS(1295),
    [aux_sym_use_keychain_token1] = ACTIONS(1295),
    [aux_sym_use_roaming_token1] = ACTIONS(1295),
    [aux_sym_user_token1] = ACTIONS(1297),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1295),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1295),
    [aux_sym_visual_host_key_token1] = ACTIONS(1295),
    [aux_sym_xauth_location_token1] = ACTIONS(1295),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3385),
    [aux_sym_match_token1] = ACTIONS(3383),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3383),
    [aux_sym_address_family_token1] = ACTIONS(3383),
    [aux_sym_batch_mode_token1] = ACTIONS(3383),
    [aux_sym_bind_address_token1] = ACTIONS(3383),
    [aux_sym_bind_interface_token1] = ACTIONS(3383),
    [aux_sym_canonical_domains_token1] = ACTIONS(3383),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3383),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3383),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3383),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3383),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3383),
    [aux_sym_certificate_file_token1] = ACTIONS(3383),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3383),
    [aux_sym_channel_timeout_token1] = ACTIONS(3383),
    [aux_sym_check_host_ip_token1] = ACTIONS(3383),
    [aux_sym_ciphers_token1] = ACTIONS(3383),
    [aux_sym_cipher_token1] = ACTIONS(3385),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3383),
    [aux_sym_compression_token1] = ACTIONS(3383),
    [aux_sym_connection_attempts_token1] = ACTIONS(3383),
    [aux_sym_connect_timeout_token1] = ACTIONS(3383),
    [aux_sym_control_master_token1] = ACTIONS(3383),
    [aux_sym_control_path_token1] = ACTIONS(3383),
    [aux_sym_control_persist_token1] = ACTIONS(3383),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3383),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3383),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3383),
    [aux_sym_escape_char_token1] = ACTIONS(3383),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3383),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3383),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3383),
    [aux_sym_forward_agent_token1] = ACTIONS(3383),
    [aux_sym_forward_x11_token1] = ACTIONS(3385),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3383),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3383),
    [aux_sym_gateway_ports_token1] = ACTIONS(3383),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3383),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3383),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3383),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3383),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3383),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3383),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3383),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3383),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3383),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3383),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3383),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3383),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3383),
    [aux_sym_host_key_alias_token1] = ACTIONS(3383),
    [aux_sym_hostname_token1] = ACTIONS(3383),
    [aux_sym_identities_only_token1] = ACTIONS(3383),
    [aux_sym_identity_agent_token1] = ACTIONS(3383),
    [aux_sym_identity_file_token1] = ACTIONS(3383),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3383),
    [aux_sym_include_token1] = ACTIONS(3383),
    [aux_sym_ip_qos_token1] = ACTIONS(3383),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3383),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3383),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3383),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3383),
    [aux_sym_local_command_token1] = ACTIONS(3383),
    [aux_sym_local_forward_token1] = ACTIONS(3383),
    [aux_sym_log_level_token1] = ACTIONS(3383),
    [aux_sym_log_verbose_token1] = ACTIONS(3383),
    [aux_sym_macs_token1] = ACTIONS(3383),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3383),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3383),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3383),
    [aux_sym_password_authentication_token1] = ACTIONS(3383),
    [aux_sym_permit_local_command_token1] = ACTIONS(3383),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3383),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3383),
    [aux_sym_port_token1] = ACTIONS(3383),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3383),
    [aux_sym_protocol_token1] = ACTIONS(3383),
    [aux_sym_proxy_command_token1] = ACTIONS(3383),
    [aux_sym_proxy_jump_token1] = ACTIONS(3383),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3383),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3383),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3383),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3383),
    [aux_sym_rekey_limit_token1] = ACTIONS(3383),
    [aux_sym_remote_command_token1] = ACTIONS(3383),
    [aux_sym_remote_forward_token1] = ACTIONS(3383),
    [aux_sym_request_tty_token1] = ACTIONS(3383),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3383),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3383),
    [aux_sym_security_key_provider_token1] = ACTIONS(3383),
    [aux_sym_send_env_token1] = ACTIONS(3383),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3383),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3383),
    [aux_sym_session_type_token1] = ACTIONS(3383),
    [aux_sym_set_env_token1] = ACTIONS(3383),
    [aux_sym_stdin_null_token1] = ACTIONS(3383),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3383),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3383),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3383),
    [aux_sym_syslog_facility_token1] = ACTIONS(3383),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3383),
    [aux_sym_keep_alive_token1] = ACTIONS(3383),
    [aux_sym_tag_token1] = ACTIONS(3383),
    [aux_sym_tunnel_token1] = ACTIONS(3385),
    [aux_sym_tunnel_device_token1] = ACTIONS(3383),
    [aux_sym_update_host_keys_token1] = ACTIONS(3383),
    [aux_sym_use_keychain_token1] = ACTIONS(3383),
    [aux_sym_use_roaming_token1] = ACTIONS(3383),
    [aux_sym_user_token1] = ACTIONS(3385),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3383),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3383),
    [aux_sym_visual_host_key_token1] = ACTIONS(3383),
    [aux_sym_xauth_location_token1] = ACTIONS(3383),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3389),
    [aux_sym_match_token1] = ACTIONS(3387),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3387),
    [aux_sym_address_family_token1] = ACTIONS(3387),
    [aux_sym_batch_mode_token1] = ACTIONS(3387),
    [aux_sym_bind_address_token1] = ACTIONS(3387),
    [aux_sym_bind_interface_token1] = ACTIONS(3387),
    [aux_sym_canonical_domains_token1] = ACTIONS(3387),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3387),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3387),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3387),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3387),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3387),
    [aux_sym_certificate_file_token1] = ACTIONS(3387),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3387),
    [aux_sym_channel_timeout_token1] = ACTIONS(3387),
    [aux_sym_check_host_ip_token1] = ACTIONS(3387),
    [aux_sym_ciphers_token1] = ACTIONS(3387),
    [aux_sym_cipher_token1] = ACTIONS(3389),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3387),
    [aux_sym_compression_token1] = ACTIONS(3387),
    [aux_sym_connection_attempts_token1] = ACTIONS(3387),
    [aux_sym_connect_timeout_token1] = ACTIONS(3387),
    [aux_sym_control_master_token1] = ACTIONS(3387),
    [aux_sym_control_path_token1] = ACTIONS(3387),
    [aux_sym_control_persist_token1] = ACTIONS(3387),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3387),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3387),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3387),
    [aux_sym_escape_char_token1] = ACTIONS(3387),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3387),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3387),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3387),
    [aux_sym_forward_agent_token1] = ACTIONS(3387),
    [aux_sym_forward_x11_token1] = ACTIONS(3389),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3387),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3387),
    [aux_sym_gateway_ports_token1] = ACTIONS(3387),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3387),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3387),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3387),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3387),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3387),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3387),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3387),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3387),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3387),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3387),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3387),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3387),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3387),
    [aux_sym_host_key_alias_token1] = ACTIONS(3387),
    [aux_sym_hostname_token1] = ACTIONS(3387),
    [aux_sym_identities_only_token1] = ACTIONS(3387),
    [aux_sym_identity_agent_token1] = ACTIONS(3387),
    [aux_sym_identity_file_token1] = ACTIONS(3387),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3387),
    [aux_sym_include_token1] = ACTIONS(3387),
    [aux_sym_ip_qos_token1] = ACTIONS(3387),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3387),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3387),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3387),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3387),
    [aux_sym_local_command_token1] = ACTIONS(3387),
    [aux_sym_local_forward_token1] = ACTIONS(3387),
    [aux_sym_log_level_token1] = ACTIONS(3387),
    [aux_sym_log_verbose_token1] = ACTIONS(3387),
    [aux_sym_macs_token1] = ACTIONS(3387),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3387),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3387),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3387),
    [aux_sym_password_authentication_token1] = ACTIONS(3387),
    [aux_sym_permit_local_command_token1] = ACTIONS(3387),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3387),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3387),
    [aux_sym_port_token1] = ACTIONS(3387),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3387),
    [aux_sym_protocol_token1] = ACTIONS(3387),
    [aux_sym_proxy_command_token1] = ACTIONS(3387),
    [aux_sym_proxy_jump_token1] = ACTIONS(3387),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3387),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3387),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3387),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3387),
    [aux_sym_rekey_limit_token1] = ACTIONS(3387),
    [aux_sym_remote_command_token1] = ACTIONS(3387),
    [aux_sym_remote_forward_token1] = ACTIONS(3387),
    [aux_sym_request_tty_token1] = ACTIONS(3387),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3387),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3387),
    [aux_sym_security_key_provider_token1] = ACTIONS(3387),
    [aux_sym_send_env_token1] = ACTIONS(3387),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3387),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3387),
    [aux_sym_session_type_token1] = ACTIONS(3387),
    [aux_sym_set_env_token1] = ACTIONS(3387),
    [aux_sym_stdin_null_token1] = ACTIONS(3387),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3387),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3387),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3387),
    [aux_sym_syslog_facility_token1] = ACTIONS(3387),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3387),
    [aux_sym_keep_alive_token1] = ACTIONS(3387),
    [aux_sym_tag_token1] = ACTIONS(3387),
    [aux_sym_tunnel_token1] = ACTIONS(3389),
    [aux_sym_tunnel_device_token1] = ACTIONS(3387),
    [aux_sym_update_host_keys_token1] = ACTIONS(3387),
    [aux_sym_use_keychain_token1] = ACTIONS(3387),
    [aux_sym_use_roaming_token1] = ACTIONS(3387),
    [aux_sym_user_token1] = ACTIONS(3389),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3387),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3387),
    [aux_sym_visual_host_key_token1] = ACTIONS(3387),
    [aux_sym_xauth_location_token1] = ACTIONS(3387),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1045),
    [aux_sym_match_token1] = ACTIONS(1043),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1043),
    [aux_sym_address_family_token1] = ACTIONS(1043),
    [aux_sym_batch_mode_token1] = ACTIONS(1043),
    [aux_sym_bind_address_token1] = ACTIONS(1043),
    [aux_sym_bind_interface_token1] = ACTIONS(1043),
    [aux_sym_canonical_domains_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1043),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1043),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1043),
    [aux_sym_certificate_file_token1] = ACTIONS(1043),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1043),
    [aux_sym_channel_timeout_token1] = ACTIONS(1043),
    [aux_sym_check_host_ip_token1] = ACTIONS(1043),
    [aux_sym_ciphers_token1] = ACTIONS(1043),
    [aux_sym_cipher_token1] = ACTIONS(1045),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1043),
    [aux_sym_compression_token1] = ACTIONS(1043),
    [aux_sym_connection_attempts_token1] = ACTIONS(1043),
    [aux_sym_connect_timeout_token1] = ACTIONS(1043),
    [aux_sym_control_master_token1] = ACTIONS(1043),
    [aux_sym_control_path_token1] = ACTIONS(1043),
    [aux_sym_control_persist_token1] = ACTIONS(1043),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1043),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1043),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1043),
    [aux_sym_escape_char_token1] = ACTIONS(1043),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1043),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1043),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1043),
    [aux_sym_forward_agent_token1] = ACTIONS(1043),
    [aux_sym_forward_x11_token1] = ACTIONS(1045),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1043),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1043),
    [aux_sym_gateway_ports_token1] = ACTIONS(1043),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1043),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1043),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1043),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1043),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1043),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1043),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1043),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1043),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1043),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1043),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1043),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1043),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1043),
    [aux_sym_host_key_alias_token1] = ACTIONS(1043),
    [aux_sym_hostname_token1] = ACTIONS(1043),
    [aux_sym_identities_only_token1] = ACTIONS(1043),
    [aux_sym_identity_agent_token1] = ACTIONS(1043),
    [aux_sym_identity_file_token1] = ACTIONS(1043),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1043),
    [aux_sym_include_token1] = ACTIONS(1043),
    [aux_sym_ip_qos_token1] = ACTIONS(1043),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1043),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1043),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1043),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1043),
    [aux_sym_local_command_token1] = ACTIONS(1043),
    [aux_sym_local_forward_token1] = ACTIONS(1043),
    [aux_sym_log_level_token1] = ACTIONS(1043),
    [aux_sym_log_verbose_token1] = ACTIONS(1043),
    [aux_sym_macs_token1] = ACTIONS(1043),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1043),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1043),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1043),
    [aux_sym_password_authentication_token1] = ACTIONS(1043),
    [aux_sym_permit_local_command_token1] = ACTIONS(1043),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1043),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1043),
    [aux_sym_port_token1] = ACTIONS(1043),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1043),
    [aux_sym_protocol_token1] = ACTIONS(1043),
    [aux_sym_proxy_command_token1] = ACTIONS(1043),
    [aux_sym_proxy_jump_token1] = ACTIONS(1043),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1043),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1043),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1043),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1043),
    [aux_sym_rekey_limit_token1] = ACTIONS(1043),
    [aux_sym_remote_command_token1] = ACTIONS(1043),
    [aux_sym_remote_forward_token1] = ACTIONS(1043),
    [aux_sym_request_tty_token1] = ACTIONS(1043),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1043),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1043),
    [aux_sym_security_key_provider_token1] = ACTIONS(1043),
    [aux_sym_send_env_token1] = ACTIONS(1043),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1043),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1043),
    [aux_sym_session_type_token1] = ACTIONS(1043),
    [aux_sym_set_env_token1] = ACTIONS(1043),
    [aux_sym_stdin_null_token1] = ACTIONS(1043),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1043),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1043),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1043),
    [aux_sym_syslog_facility_token1] = ACTIONS(1043),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1043),
    [aux_sym_keep_alive_token1] = ACTIONS(1043),
    [aux_sym_tag_token1] = ACTIONS(1043),
    [aux_sym_tunnel_token1] = ACTIONS(1045),
    [aux_sym_tunnel_device_token1] = ACTIONS(1043),
    [aux_sym_update_host_keys_token1] = ACTIONS(1043),
    [aux_sym_use_keychain_token1] = ACTIONS(1043),
    [aux_sym_use_roaming_token1] = ACTIONS(1043),
    [aux_sym_user_token1] = ACTIONS(1045),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1043),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1043),
    [aux_sym_visual_host_key_token1] = ACTIONS(1043),
    [aux_sym_xauth_location_token1] = ACTIONS(1043),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1301),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1303),
    [aux_sym_match_token1] = ACTIONS(1301),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1301),
    [aux_sym_address_family_token1] = ACTIONS(1301),
    [aux_sym_batch_mode_token1] = ACTIONS(1301),
    [aux_sym_bind_address_token1] = ACTIONS(1301),
    [aux_sym_bind_interface_token1] = ACTIONS(1301),
    [aux_sym_canonical_domains_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1301),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1301),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1301),
    [aux_sym_certificate_file_token1] = ACTIONS(1301),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1301),
    [aux_sym_channel_timeout_token1] = ACTIONS(1301),
    [aux_sym_check_host_ip_token1] = ACTIONS(1301),
    [aux_sym_ciphers_token1] = ACTIONS(1301),
    [aux_sym_cipher_token1] = ACTIONS(1303),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1301),
    [aux_sym_compression_token1] = ACTIONS(1301),
    [aux_sym_connection_attempts_token1] = ACTIONS(1301),
    [aux_sym_connect_timeout_token1] = ACTIONS(1301),
    [aux_sym_control_master_token1] = ACTIONS(1301),
    [aux_sym_control_path_token1] = ACTIONS(1301),
    [aux_sym_control_persist_token1] = ACTIONS(1301),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1301),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1301),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1301),
    [aux_sym_escape_char_token1] = ACTIONS(1301),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1301),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1301),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1301),
    [aux_sym_forward_agent_token1] = ACTIONS(1301),
    [aux_sym_forward_x11_token1] = ACTIONS(1303),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1301),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1301),
    [aux_sym_gateway_ports_token1] = ACTIONS(1301),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1301),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1301),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1301),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1301),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1301),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1301),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1301),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1301),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1301),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1301),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1301),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1301),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1301),
    [aux_sym_host_key_alias_token1] = ACTIONS(1301),
    [aux_sym_hostname_token1] = ACTIONS(1301),
    [aux_sym_identities_only_token1] = ACTIONS(1301),
    [aux_sym_identity_agent_token1] = ACTIONS(1301),
    [aux_sym_identity_file_token1] = ACTIONS(1301),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1301),
    [aux_sym_include_token1] = ACTIONS(1301),
    [aux_sym_ip_qos_token1] = ACTIONS(1301),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1301),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1301),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1301),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1301),
    [aux_sym_local_command_token1] = ACTIONS(1301),
    [aux_sym_local_forward_token1] = ACTIONS(1301),
    [aux_sym_log_level_token1] = ACTIONS(1301),
    [aux_sym_log_verbose_token1] = ACTIONS(1301),
    [aux_sym_macs_token1] = ACTIONS(1301),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1301),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1301),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1301),
    [aux_sym_password_authentication_token1] = ACTIONS(1301),
    [aux_sym_permit_local_command_token1] = ACTIONS(1301),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1301),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1301),
    [aux_sym_port_token1] = ACTIONS(1301),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1301),
    [aux_sym_protocol_token1] = ACTIONS(1301),
    [aux_sym_proxy_command_token1] = ACTIONS(1301),
    [aux_sym_proxy_jump_token1] = ACTIONS(1301),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1301),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1301),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1301),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1301),
    [aux_sym_rekey_limit_token1] = ACTIONS(1301),
    [aux_sym_remote_command_token1] = ACTIONS(1301),
    [aux_sym_remote_forward_token1] = ACTIONS(1301),
    [aux_sym_request_tty_token1] = ACTIONS(1301),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1301),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1301),
    [aux_sym_security_key_provider_token1] = ACTIONS(1301),
    [aux_sym_send_env_token1] = ACTIONS(1301),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1301),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1301),
    [aux_sym_session_type_token1] = ACTIONS(1301),
    [aux_sym_set_env_token1] = ACTIONS(1301),
    [aux_sym_stdin_null_token1] = ACTIONS(1301),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1301),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1301),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1301),
    [aux_sym_syslog_facility_token1] = ACTIONS(1301),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1301),
    [aux_sym_keep_alive_token1] = ACTIONS(1301),
    [aux_sym_tag_token1] = ACTIONS(1301),
    [aux_sym_tunnel_token1] = ACTIONS(1303),
    [aux_sym_tunnel_device_token1] = ACTIONS(1301),
    [aux_sym_update_host_keys_token1] = ACTIONS(1301),
    [aux_sym_use_keychain_token1] = ACTIONS(1301),
    [aux_sym_use_roaming_token1] = ACTIONS(1301),
    [aux_sym_user_token1] = ACTIONS(1303),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1301),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1301),
    [aux_sym_visual_host_key_token1] = ACTIONS(1301),
    [aux_sym_xauth_location_token1] = ACTIONS(1301),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1603),
    [aux_sym_match_token1] = ACTIONS(1601),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1601),
    [aux_sym_address_family_token1] = ACTIONS(1601),
    [aux_sym_batch_mode_token1] = ACTIONS(1601),
    [aux_sym_bind_address_token1] = ACTIONS(1601),
    [aux_sym_bind_interface_token1] = ACTIONS(1601),
    [aux_sym_canonical_domains_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1601),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1601),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1601),
    [aux_sym_certificate_file_token1] = ACTIONS(1601),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1601),
    [aux_sym_channel_timeout_token1] = ACTIONS(1601),
    [aux_sym_check_host_ip_token1] = ACTIONS(1601),
    [aux_sym_ciphers_token1] = ACTIONS(1601),
    [aux_sym_cipher_token1] = ACTIONS(1603),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1601),
    [aux_sym_compression_token1] = ACTIONS(1601),
    [aux_sym_connection_attempts_token1] = ACTIONS(1601),
    [aux_sym_connect_timeout_token1] = ACTIONS(1601),
    [aux_sym_control_master_token1] = ACTIONS(1601),
    [aux_sym_control_path_token1] = ACTIONS(1601),
    [aux_sym_control_persist_token1] = ACTIONS(1601),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1601),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1601),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1601),
    [aux_sym_escape_char_token1] = ACTIONS(1601),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1601),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1601),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1601),
    [aux_sym_forward_agent_token1] = ACTIONS(1601),
    [aux_sym_forward_x11_token1] = ACTIONS(1603),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1601),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1601),
    [aux_sym_gateway_ports_token1] = ACTIONS(1601),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1601),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1601),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1601),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1601),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1601),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1601),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1601),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1601),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1601),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1601),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1601),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1601),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1601),
    [aux_sym_host_key_alias_token1] = ACTIONS(1601),
    [aux_sym_hostname_token1] = ACTIONS(1601),
    [aux_sym_identities_only_token1] = ACTIONS(1601),
    [aux_sym_identity_agent_token1] = ACTIONS(1601),
    [aux_sym_identity_file_token1] = ACTIONS(1601),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1601),
    [aux_sym_include_token1] = ACTIONS(1601),
    [aux_sym_ip_qos_token1] = ACTIONS(1601),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1601),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1601),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1601),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1601),
    [aux_sym_local_command_token1] = ACTIONS(1601),
    [aux_sym_local_forward_token1] = ACTIONS(1601),
    [aux_sym_log_level_token1] = ACTIONS(1601),
    [aux_sym_log_verbose_token1] = ACTIONS(1601),
    [aux_sym_macs_token1] = ACTIONS(1601),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1601),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1601),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1601),
    [aux_sym_password_authentication_token1] = ACTIONS(1601),
    [aux_sym_permit_local_command_token1] = ACTIONS(1601),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1601),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1601),
    [aux_sym_port_token1] = ACTIONS(1601),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1601),
    [aux_sym_protocol_token1] = ACTIONS(1601),
    [aux_sym_proxy_command_token1] = ACTIONS(1601),
    [aux_sym_proxy_jump_token1] = ACTIONS(1601),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1601),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1601),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1601),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1601),
    [aux_sym_rekey_limit_token1] = ACTIONS(1601),
    [aux_sym_remote_command_token1] = ACTIONS(1601),
    [aux_sym_remote_forward_token1] = ACTIONS(1601),
    [aux_sym_request_tty_token1] = ACTIONS(1601),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1601),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1601),
    [aux_sym_security_key_provider_token1] = ACTIONS(1601),
    [aux_sym_send_env_token1] = ACTIONS(1601),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1601),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1601),
    [aux_sym_session_type_token1] = ACTIONS(1601),
    [aux_sym_set_env_token1] = ACTIONS(1601),
    [aux_sym_stdin_null_token1] = ACTIONS(1601),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1601),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1601),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1601),
    [aux_sym_syslog_facility_token1] = ACTIONS(1601),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1601),
    [aux_sym_keep_alive_token1] = ACTIONS(1601),
    [aux_sym_tag_token1] = ACTIONS(1601),
    [aux_sym_tunnel_token1] = ACTIONS(1603),
    [aux_sym_tunnel_device_token1] = ACTIONS(1601),
    [aux_sym_update_host_keys_token1] = ACTIONS(1601),
    [aux_sym_use_keychain_token1] = ACTIONS(1601),
    [aux_sym_use_roaming_token1] = ACTIONS(1601),
    [aux_sym_user_token1] = ACTIONS(1603),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1601),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1601),
    [aux_sym_visual_host_key_token1] = ACTIONS(1601),
    [aux_sym_xauth_location_token1] = ACTIONS(1601),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1039),
    [aux_sym_match_token1] = ACTIONS(1037),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1037),
    [aux_sym_address_family_token1] = ACTIONS(1037),
    [aux_sym_batch_mode_token1] = ACTIONS(1037),
    [aux_sym_bind_address_token1] = ACTIONS(1037),
    [aux_sym_bind_interface_token1] = ACTIONS(1037),
    [aux_sym_canonical_domains_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1037),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1037),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1037),
    [aux_sym_certificate_file_token1] = ACTIONS(1037),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1037),
    [aux_sym_channel_timeout_token1] = ACTIONS(1037),
    [aux_sym_check_host_ip_token1] = ACTIONS(1037),
    [aux_sym_ciphers_token1] = ACTIONS(1037),
    [aux_sym_cipher_token1] = ACTIONS(1039),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1037),
    [aux_sym_compression_token1] = ACTIONS(1037),
    [aux_sym_connection_attempts_token1] = ACTIONS(1037),
    [aux_sym_connect_timeout_token1] = ACTIONS(1037),
    [aux_sym_control_master_token1] = ACTIONS(1037),
    [aux_sym_control_path_token1] = ACTIONS(1037),
    [aux_sym_control_persist_token1] = ACTIONS(1037),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1037),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1037),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1037),
    [aux_sym_escape_char_token1] = ACTIONS(1037),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1037),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1037),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1037),
    [aux_sym_forward_agent_token1] = ACTIONS(1037),
    [aux_sym_forward_x11_token1] = ACTIONS(1039),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1037),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1037),
    [aux_sym_gateway_ports_token1] = ACTIONS(1037),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1037),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1037),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1037),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1037),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1037),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1037),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1037),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1037),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1037),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1037),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1037),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1037),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1037),
    [aux_sym_host_key_alias_token1] = ACTIONS(1037),
    [aux_sym_hostname_token1] = ACTIONS(1037),
    [aux_sym_identities_only_token1] = ACTIONS(1037),
    [aux_sym_identity_agent_token1] = ACTIONS(1037),
    [aux_sym_identity_file_token1] = ACTIONS(1037),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1037),
    [aux_sym_include_token1] = ACTIONS(1037),
    [aux_sym_ip_qos_token1] = ACTIONS(1037),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1037),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1037),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1037),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1037),
    [aux_sym_local_command_token1] = ACTIONS(1037),
    [aux_sym_local_forward_token1] = ACTIONS(1037),
    [aux_sym_log_level_token1] = ACTIONS(1037),
    [aux_sym_log_verbose_token1] = ACTIONS(1037),
    [aux_sym_macs_token1] = ACTIONS(1037),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1037),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1037),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1037),
    [aux_sym_password_authentication_token1] = ACTIONS(1037),
    [aux_sym_permit_local_command_token1] = ACTIONS(1037),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1037),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1037),
    [aux_sym_port_token1] = ACTIONS(1037),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1037),
    [aux_sym_protocol_token1] = ACTIONS(1037),
    [aux_sym_proxy_command_token1] = ACTIONS(1037),
    [aux_sym_proxy_jump_token1] = ACTIONS(1037),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1037),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1037),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1037),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1037),
    [aux_sym_rekey_limit_token1] = ACTIONS(1037),
    [aux_sym_remote_command_token1] = ACTIONS(1037),
    [aux_sym_remote_forward_token1] = ACTIONS(1037),
    [aux_sym_request_tty_token1] = ACTIONS(1037),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1037),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1037),
    [aux_sym_security_key_provider_token1] = ACTIONS(1037),
    [aux_sym_send_env_token1] = ACTIONS(1037),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1037),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1037),
    [aux_sym_session_type_token1] = ACTIONS(1037),
    [aux_sym_set_env_token1] = ACTIONS(1037),
    [aux_sym_stdin_null_token1] = ACTIONS(1037),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1037),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1037),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1037),
    [aux_sym_syslog_facility_token1] = ACTIONS(1037),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1037),
    [aux_sym_keep_alive_token1] = ACTIONS(1037),
    [aux_sym_tag_token1] = ACTIONS(1037),
    [aux_sym_tunnel_token1] = ACTIONS(1039),
    [aux_sym_tunnel_device_token1] = ACTIONS(1037),
    [aux_sym_update_host_keys_token1] = ACTIONS(1037),
    [aux_sym_use_keychain_token1] = ACTIONS(1037),
    [aux_sym_use_roaming_token1] = ACTIONS(1037),
    [aux_sym_user_token1] = ACTIONS(1039),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1037),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1037),
    [aux_sym_visual_host_key_token1] = ACTIONS(1037),
    [aux_sym_xauth_location_token1] = ACTIONS(1037),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3393),
    [aux_sym_match_token1] = ACTIONS(3391),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3391),
    [aux_sym_address_family_token1] = ACTIONS(3391),
    [aux_sym_batch_mode_token1] = ACTIONS(3391),
    [aux_sym_bind_address_token1] = ACTIONS(3391),
    [aux_sym_bind_interface_token1] = ACTIONS(3391),
    [aux_sym_canonical_domains_token1] = ACTIONS(3391),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3391),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3391),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3391),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3391),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3391),
    [aux_sym_certificate_file_token1] = ACTIONS(3391),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3391),
    [aux_sym_channel_timeout_token1] = ACTIONS(3391),
    [aux_sym_check_host_ip_token1] = ACTIONS(3391),
    [aux_sym_ciphers_token1] = ACTIONS(3391),
    [aux_sym_cipher_token1] = ACTIONS(3393),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3391),
    [aux_sym_compression_token1] = ACTIONS(3391),
    [aux_sym_connection_attempts_token1] = ACTIONS(3391),
    [aux_sym_connect_timeout_token1] = ACTIONS(3391),
    [aux_sym_control_master_token1] = ACTIONS(3391),
    [aux_sym_control_path_token1] = ACTIONS(3391),
    [aux_sym_control_persist_token1] = ACTIONS(3391),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3391),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3391),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3391),
    [aux_sym_escape_char_token1] = ACTIONS(3391),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3391),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3391),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3391),
    [aux_sym_forward_agent_token1] = ACTIONS(3391),
    [aux_sym_forward_x11_token1] = ACTIONS(3393),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3391),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3391),
    [aux_sym_gateway_ports_token1] = ACTIONS(3391),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3391),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3391),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3391),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3391),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3391),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3391),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3391),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3391),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3391),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3391),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3391),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3391),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3391),
    [aux_sym_host_key_alias_token1] = ACTIONS(3391),
    [aux_sym_hostname_token1] = ACTIONS(3391),
    [aux_sym_identities_only_token1] = ACTIONS(3391),
    [aux_sym_identity_agent_token1] = ACTIONS(3391),
    [aux_sym_identity_file_token1] = ACTIONS(3391),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3391),
    [aux_sym_include_token1] = ACTIONS(3391),
    [aux_sym_ip_qos_token1] = ACTIONS(3391),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3391),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3391),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3391),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3391),
    [aux_sym_local_command_token1] = ACTIONS(3391),
    [aux_sym_local_forward_token1] = ACTIONS(3391),
    [aux_sym_log_level_token1] = ACTIONS(3391),
    [aux_sym_log_verbose_token1] = ACTIONS(3391),
    [aux_sym_macs_token1] = ACTIONS(3391),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3391),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3391),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3391),
    [aux_sym_password_authentication_token1] = ACTIONS(3391),
    [aux_sym_permit_local_command_token1] = ACTIONS(3391),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3391),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3391),
    [aux_sym_port_token1] = ACTIONS(3391),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3391),
    [aux_sym_protocol_token1] = ACTIONS(3391),
    [aux_sym_proxy_command_token1] = ACTIONS(3391),
    [aux_sym_proxy_jump_token1] = ACTIONS(3391),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3391),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3391),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3391),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3391),
    [aux_sym_rekey_limit_token1] = ACTIONS(3391),
    [aux_sym_remote_command_token1] = ACTIONS(3391),
    [aux_sym_remote_forward_token1] = ACTIONS(3391),
    [aux_sym_request_tty_token1] = ACTIONS(3391),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3391),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3391),
    [aux_sym_security_key_provider_token1] = ACTIONS(3391),
    [aux_sym_send_env_token1] = ACTIONS(3391),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3391),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3391),
    [aux_sym_session_type_token1] = ACTIONS(3391),
    [aux_sym_set_env_token1] = ACTIONS(3391),
    [aux_sym_stdin_null_token1] = ACTIONS(3391),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3391),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3391),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3391),
    [aux_sym_syslog_facility_token1] = ACTIONS(3391),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3391),
    [aux_sym_keep_alive_token1] = ACTIONS(3391),
    [aux_sym_tag_token1] = ACTIONS(3391),
    [aux_sym_tunnel_token1] = ACTIONS(3393),
    [aux_sym_tunnel_device_token1] = ACTIONS(3391),
    [aux_sym_update_host_keys_token1] = ACTIONS(3391),
    [aux_sym_use_keychain_token1] = ACTIONS(3391),
    [aux_sym_use_roaming_token1] = ACTIONS(3391),
    [aux_sym_user_token1] = ACTIONS(3393),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3391),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3391),
    [aux_sym_visual_host_key_token1] = ACTIONS(3391),
    [aux_sym_xauth_location_token1] = ACTIONS(3391),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(3395),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3397),
    [aux_sym_match_token1] = ACTIONS(3395),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3395),
    [aux_sym_address_family_token1] = ACTIONS(3395),
    [aux_sym_batch_mode_token1] = ACTIONS(3395),
    [aux_sym_bind_address_token1] = ACTIONS(3395),
    [aux_sym_bind_interface_token1] = ACTIONS(3395),
    [aux_sym_canonical_domains_token1] = ACTIONS(3395),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3395),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3395),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3395),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3395),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3395),
    [aux_sym_certificate_file_token1] = ACTIONS(3395),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3395),
    [aux_sym_channel_timeout_token1] = ACTIONS(3395),
    [aux_sym_check_host_ip_token1] = ACTIONS(3395),
    [aux_sym_ciphers_token1] = ACTIONS(3395),
    [aux_sym_cipher_token1] = ACTIONS(3397),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3395),
    [aux_sym_compression_token1] = ACTIONS(3395),
    [aux_sym_connection_attempts_token1] = ACTIONS(3395),
    [aux_sym_connect_timeout_token1] = ACTIONS(3395),
    [aux_sym_control_master_token1] = ACTIONS(3395),
    [aux_sym_control_path_token1] = ACTIONS(3395),
    [aux_sym_control_persist_token1] = ACTIONS(3395),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3395),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3395),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3395),
    [aux_sym_escape_char_token1] = ACTIONS(3395),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3395),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3395),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3395),
    [aux_sym_forward_agent_token1] = ACTIONS(3395),
    [aux_sym_forward_x11_token1] = ACTIONS(3397),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3395),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3395),
    [aux_sym_gateway_ports_token1] = ACTIONS(3395),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3395),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3395),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3395),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3395),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3395),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3395),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3395),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3395),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3395),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3395),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3395),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3395),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3395),
    [aux_sym_host_key_alias_token1] = ACTIONS(3395),
    [aux_sym_hostname_token1] = ACTIONS(3395),
    [aux_sym_identities_only_token1] = ACTIONS(3395),
    [aux_sym_identity_agent_token1] = ACTIONS(3395),
    [aux_sym_identity_file_token1] = ACTIONS(3395),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3395),
    [aux_sym_include_token1] = ACTIONS(3395),
    [aux_sym_ip_qos_token1] = ACTIONS(3395),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3395),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3395),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3395),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3395),
    [aux_sym_local_command_token1] = ACTIONS(3395),
    [aux_sym_local_forward_token1] = ACTIONS(3395),
    [aux_sym_log_level_token1] = ACTIONS(3395),
    [aux_sym_log_verbose_token1] = ACTIONS(3395),
    [aux_sym_macs_token1] = ACTIONS(3395),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3395),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3395),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3395),
    [aux_sym_password_authentication_token1] = ACTIONS(3395),
    [aux_sym_permit_local_command_token1] = ACTIONS(3395),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3395),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3395),
    [aux_sym_port_token1] = ACTIONS(3395),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3395),
    [aux_sym_protocol_token1] = ACTIONS(3395),
    [aux_sym_proxy_command_token1] = ACTIONS(3395),
    [aux_sym_proxy_jump_token1] = ACTIONS(3395),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3395),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3395),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3395),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3395),
    [aux_sym_rekey_limit_token1] = ACTIONS(3395),
    [aux_sym_remote_command_token1] = ACTIONS(3395),
    [aux_sym_remote_forward_token1] = ACTIONS(3395),
    [aux_sym_request_tty_token1] = ACTIONS(3395),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3395),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3395),
    [aux_sym_security_key_provider_token1] = ACTIONS(3395),
    [aux_sym_send_env_token1] = ACTIONS(3395),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3395),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3395),
    [aux_sym_session_type_token1] = ACTIONS(3395),
    [aux_sym_set_env_token1] = ACTIONS(3395),
    [aux_sym_stdin_null_token1] = ACTIONS(3395),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3395),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3395),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3395),
    [aux_sym_syslog_facility_token1] = ACTIONS(3395),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3395),
    [aux_sym_keep_alive_token1] = ACTIONS(3395),
    [aux_sym_tag_token1] = ACTIONS(3395),
    [aux_sym_tunnel_token1] = ACTIONS(3397),
    [aux_sym_tunnel_device_token1] = ACTIONS(3395),
    [aux_sym_update_host_keys_token1] = ACTIONS(3395),
    [aux_sym_use_keychain_token1] = ACTIONS(3395),
    [aux_sym_use_roaming_token1] = ACTIONS(3395),
    [aux_sym_user_token1] = ACTIONS(3397),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3395),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3395),
    [aux_sym_visual_host_key_token1] = ACTIONS(3395),
    [aux_sym_xauth_location_token1] = ACTIONS(3395),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3401),
    [aux_sym_match_token1] = ACTIONS(3399),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3399),
    [aux_sym_address_family_token1] = ACTIONS(3399),
    [aux_sym_batch_mode_token1] = ACTIONS(3399),
    [aux_sym_bind_address_token1] = ACTIONS(3399),
    [aux_sym_bind_interface_token1] = ACTIONS(3399),
    [aux_sym_canonical_domains_token1] = ACTIONS(3399),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3399),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3399),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3399),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3399),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3399),
    [aux_sym_certificate_file_token1] = ACTIONS(3399),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3399),
    [aux_sym_channel_timeout_token1] = ACTIONS(3399),
    [aux_sym_check_host_ip_token1] = ACTIONS(3399),
    [aux_sym_ciphers_token1] = ACTIONS(3399),
    [aux_sym_cipher_token1] = ACTIONS(3401),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3399),
    [aux_sym_compression_token1] = ACTIONS(3399),
    [aux_sym_connection_attempts_token1] = ACTIONS(3399),
    [aux_sym_connect_timeout_token1] = ACTIONS(3399),
    [aux_sym_control_master_token1] = ACTIONS(3399),
    [aux_sym_control_path_token1] = ACTIONS(3399),
    [aux_sym_control_persist_token1] = ACTIONS(3399),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3399),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3399),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3399),
    [aux_sym_escape_char_token1] = ACTIONS(3399),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3399),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3399),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3399),
    [aux_sym_forward_agent_token1] = ACTIONS(3399),
    [aux_sym_forward_x11_token1] = ACTIONS(3401),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3399),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3399),
    [aux_sym_gateway_ports_token1] = ACTIONS(3399),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3399),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3399),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3399),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3399),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3399),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3399),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3399),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3399),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3399),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3399),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3399),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3399),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3399),
    [aux_sym_host_key_alias_token1] = ACTIONS(3399),
    [aux_sym_hostname_token1] = ACTIONS(3399),
    [aux_sym_identities_only_token1] = ACTIONS(3399),
    [aux_sym_identity_agent_token1] = ACTIONS(3399),
    [aux_sym_identity_file_token1] = ACTIONS(3399),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3399),
    [aux_sym_include_token1] = ACTIONS(3399),
    [aux_sym_ip_qos_token1] = ACTIONS(3399),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3399),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3399),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3399),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3399),
    [aux_sym_local_command_token1] = ACTIONS(3399),
    [aux_sym_local_forward_token1] = ACTIONS(3399),
    [aux_sym_log_level_token1] = ACTIONS(3399),
    [aux_sym_log_verbose_token1] = ACTIONS(3399),
    [aux_sym_macs_token1] = ACTIONS(3399),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3399),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3399),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3399),
    [aux_sym_password_authentication_token1] = ACTIONS(3399),
    [aux_sym_permit_local_command_token1] = ACTIONS(3399),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3399),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3399),
    [aux_sym_port_token1] = ACTIONS(3399),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3399),
    [aux_sym_protocol_token1] = ACTIONS(3399),
    [aux_sym_proxy_command_token1] = ACTIONS(3399),
    [aux_sym_proxy_jump_token1] = ACTIONS(3399),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3399),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3399),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3399),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3399),
    [aux_sym_rekey_limit_token1] = ACTIONS(3399),
    [aux_sym_remote_command_token1] = ACTIONS(3399),
    [aux_sym_remote_forward_token1] = ACTIONS(3399),
    [aux_sym_request_tty_token1] = ACTIONS(3399),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3399),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3399),
    [aux_sym_security_key_provider_token1] = ACTIONS(3399),
    [aux_sym_send_env_token1] = ACTIONS(3399),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3399),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3399),
    [aux_sym_session_type_token1] = ACTIONS(3399),
    [aux_sym_set_env_token1] = ACTIONS(3399),
    [aux_sym_stdin_null_token1] = ACTIONS(3399),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3399),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3399),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3399),
    [aux_sym_syslog_facility_token1] = ACTIONS(3399),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3399),
    [aux_sym_keep_alive_token1] = ACTIONS(3399),
    [aux_sym_tag_token1] = ACTIONS(3399),
    [aux_sym_tunnel_token1] = ACTIONS(3401),
    [aux_sym_tunnel_device_token1] = ACTIONS(3399),
    [aux_sym_update_host_keys_token1] = ACTIONS(3399),
    [aux_sym_use_keychain_token1] = ACTIONS(3399),
    [aux_sym_use_roaming_token1] = ACTIONS(3399),
    [aux_sym_user_token1] = ACTIONS(3401),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3399),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3399),
    [aux_sym_visual_host_key_token1] = ACTIONS(3399),
    [aux_sym_xauth_location_token1] = ACTIONS(3399),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(3403),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3405),
    [aux_sym_match_token1] = ACTIONS(3403),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3403),
    [aux_sym_address_family_token1] = ACTIONS(3403),
    [aux_sym_batch_mode_token1] = ACTIONS(3403),
    [aux_sym_bind_address_token1] = ACTIONS(3403),
    [aux_sym_bind_interface_token1] = ACTIONS(3403),
    [aux_sym_canonical_domains_token1] = ACTIONS(3403),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3403),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3403),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3403),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3403),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3403),
    [aux_sym_certificate_file_token1] = ACTIONS(3403),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3403),
    [aux_sym_channel_timeout_token1] = ACTIONS(3403),
    [aux_sym_check_host_ip_token1] = ACTIONS(3403),
    [aux_sym_ciphers_token1] = ACTIONS(3403),
    [aux_sym_cipher_token1] = ACTIONS(3405),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3403),
    [aux_sym_compression_token1] = ACTIONS(3403),
    [aux_sym_connection_attempts_token1] = ACTIONS(3403),
    [aux_sym_connect_timeout_token1] = ACTIONS(3403),
    [aux_sym_control_master_token1] = ACTIONS(3403),
    [aux_sym_control_path_token1] = ACTIONS(3403),
    [aux_sym_control_persist_token1] = ACTIONS(3403),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3403),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3403),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3403),
    [aux_sym_escape_char_token1] = ACTIONS(3403),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3403),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3403),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3403),
    [aux_sym_forward_agent_token1] = ACTIONS(3403),
    [aux_sym_forward_x11_token1] = ACTIONS(3405),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3403),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3403),
    [aux_sym_gateway_ports_token1] = ACTIONS(3403),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3403),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3403),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3403),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3403),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3403),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3403),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3403),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3403),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3403),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3403),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3403),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3403),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3403),
    [aux_sym_host_key_alias_token1] = ACTIONS(3403),
    [aux_sym_hostname_token1] = ACTIONS(3403),
    [aux_sym_identities_only_token1] = ACTIONS(3403),
    [aux_sym_identity_agent_token1] = ACTIONS(3403),
    [aux_sym_identity_file_token1] = ACTIONS(3403),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3403),
    [aux_sym_include_token1] = ACTIONS(3403),
    [aux_sym_ip_qos_token1] = ACTIONS(3403),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3403),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3403),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3403),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3403),
    [aux_sym_local_command_token1] = ACTIONS(3403),
    [aux_sym_local_forward_token1] = ACTIONS(3403),
    [aux_sym_log_level_token1] = ACTIONS(3403),
    [aux_sym_log_verbose_token1] = ACTIONS(3403),
    [aux_sym_macs_token1] = ACTIONS(3403),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3403),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3403),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3403),
    [aux_sym_password_authentication_token1] = ACTIONS(3403),
    [aux_sym_permit_local_command_token1] = ACTIONS(3403),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3403),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3403),
    [aux_sym_port_token1] = ACTIONS(3403),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3403),
    [aux_sym_protocol_token1] = ACTIONS(3403),
    [aux_sym_proxy_command_token1] = ACTIONS(3403),
    [aux_sym_proxy_jump_token1] = ACTIONS(3403),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3403),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3403),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3403),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3403),
    [aux_sym_rekey_limit_token1] = ACTIONS(3403),
    [aux_sym_remote_command_token1] = ACTIONS(3403),
    [aux_sym_remote_forward_token1] = ACTIONS(3403),
    [aux_sym_request_tty_token1] = ACTIONS(3403),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3403),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3403),
    [aux_sym_security_key_provider_token1] = ACTIONS(3403),
    [aux_sym_send_env_token1] = ACTIONS(3403),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3403),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3403),
    [aux_sym_session_type_token1] = ACTIONS(3403),
    [aux_sym_set_env_token1] = ACTIONS(3403),
    [aux_sym_stdin_null_token1] = ACTIONS(3403),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3403),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3403),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3403),
    [aux_sym_syslog_facility_token1] = ACTIONS(3403),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3403),
    [aux_sym_keep_alive_token1] = ACTIONS(3403),
    [aux_sym_tag_token1] = ACTIONS(3403),
    [aux_sym_tunnel_token1] = ACTIONS(3405),
    [aux_sym_tunnel_device_token1] = ACTIONS(3403),
    [aux_sym_update_host_keys_token1] = ACTIONS(3403),
    [aux_sym_use_keychain_token1] = ACTIONS(3403),
    [aux_sym_use_roaming_token1] = ACTIONS(3403),
    [aux_sym_user_token1] = ACTIONS(3405),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3403),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3403),
    [aux_sym_visual_host_key_token1] = ACTIONS(3403),
    [aux_sym_xauth_location_token1] = ACTIONS(3403),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1309),
    [aux_sym_match_token1] = ACTIONS(1307),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1307),
    [aux_sym_address_family_token1] = ACTIONS(1307),
    [aux_sym_batch_mode_token1] = ACTIONS(1307),
    [aux_sym_bind_address_token1] = ACTIONS(1307),
    [aux_sym_bind_interface_token1] = ACTIONS(1307),
    [aux_sym_canonical_domains_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1307),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1307),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1307),
    [aux_sym_certificate_file_token1] = ACTIONS(1307),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1307),
    [aux_sym_channel_timeout_token1] = ACTIONS(1307),
    [aux_sym_check_host_ip_token1] = ACTIONS(1307),
    [aux_sym_ciphers_token1] = ACTIONS(1307),
    [aux_sym_cipher_token1] = ACTIONS(1309),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1307),
    [aux_sym_compression_token1] = ACTIONS(1307),
    [aux_sym_connection_attempts_token1] = ACTIONS(1307),
    [aux_sym_connect_timeout_token1] = ACTIONS(1307),
    [aux_sym_control_master_token1] = ACTIONS(1307),
    [aux_sym_control_path_token1] = ACTIONS(1307),
    [aux_sym_control_persist_token1] = ACTIONS(1307),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1307),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1307),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1307),
    [aux_sym_escape_char_token1] = ACTIONS(1307),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1307),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1307),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1307),
    [aux_sym_forward_agent_token1] = ACTIONS(1307),
    [aux_sym_forward_x11_token1] = ACTIONS(1309),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1307),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1307),
    [aux_sym_gateway_ports_token1] = ACTIONS(1307),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1307),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1307),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1307),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1307),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1307),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1307),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1307),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1307),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1307),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1307),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1307),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1307),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1307),
    [aux_sym_host_key_alias_token1] = ACTIONS(1307),
    [aux_sym_hostname_token1] = ACTIONS(1307),
    [aux_sym_identities_only_token1] = ACTIONS(1307),
    [aux_sym_identity_agent_token1] = ACTIONS(1307),
    [aux_sym_identity_file_token1] = ACTIONS(1307),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1307),
    [aux_sym_include_token1] = ACTIONS(1307),
    [aux_sym_ip_qos_token1] = ACTIONS(1307),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1307),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1307),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1307),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1307),
    [aux_sym_local_command_token1] = ACTIONS(1307),
    [aux_sym_local_forward_token1] = ACTIONS(1307),
    [aux_sym_log_level_token1] = ACTIONS(1307),
    [aux_sym_log_verbose_token1] = ACTIONS(1307),
    [aux_sym_macs_token1] = ACTIONS(1307),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1307),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1307),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1307),
    [aux_sym_password_authentication_token1] = ACTIONS(1307),
    [aux_sym_permit_local_command_token1] = ACTIONS(1307),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1307),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1307),
    [aux_sym_port_token1] = ACTIONS(1307),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1307),
    [aux_sym_protocol_token1] = ACTIONS(1307),
    [aux_sym_proxy_command_token1] = ACTIONS(1307),
    [aux_sym_proxy_jump_token1] = ACTIONS(1307),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1307),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1307),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1307),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1307),
    [aux_sym_rekey_limit_token1] = ACTIONS(1307),
    [aux_sym_remote_command_token1] = ACTIONS(1307),
    [aux_sym_remote_forward_token1] = ACTIONS(1307),
    [aux_sym_request_tty_token1] = ACTIONS(1307),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1307),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1307),
    [aux_sym_security_key_provider_token1] = ACTIONS(1307),
    [aux_sym_send_env_token1] = ACTIONS(1307),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1307),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1307),
    [aux_sym_session_type_token1] = ACTIONS(1307),
    [aux_sym_set_env_token1] = ACTIONS(1307),
    [aux_sym_stdin_null_token1] = ACTIONS(1307),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1307),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1307),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1307),
    [aux_sym_syslog_facility_token1] = ACTIONS(1307),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1307),
    [aux_sym_keep_alive_token1] = ACTIONS(1307),
    [aux_sym_tag_token1] = ACTIONS(1307),
    [aux_sym_tunnel_token1] = ACTIONS(1309),
    [aux_sym_tunnel_device_token1] = ACTIONS(1307),
    [aux_sym_update_host_keys_token1] = ACTIONS(1307),
    [aux_sym_use_keychain_token1] = ACTIONS(1307),
    [aux_sym_use_roaming_token1] = ACTIONS(1307),
    [aux_sym_user_token1] = ACTIONS(1309),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1307),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1307),
    [aux_sym_visual_host_key_token1] = ACTIONS(1307),
    [aux_sym_xauth_location_token1] = ACTIONS(1307),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1609),
    [aux_sym_match_token1] = ACTIONS(1607),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1607),
    [aux_sym_address_family_token1] = ACTIONS(1607),
    [aux_sym_batch_mode_token1] = ACTIONS(1607),
    [aux_sym_bind_address_token1] = ACTIONS(1607),
    [aux_sym_bind_interface_token1] = ACTIONS(1607),
    [aux_sym_canonical_domains_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1607),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1607),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1607),
    [aux_sym_certificate_file_token1] = ACTIONS(1607),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1607),
    [aux_sym_channel_timeout_token1] = ACTIONS(1607),
    [aux_sym_check_host_ip_token1] = ACTIONS(1607),
    [aux_sym_ciphers_token1] = ACTIONS(1607),
    [aux_sym_cipher_token1] = ACTIONS(1609),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1607),
    [aux_sym_compression_token1] = ACTIONS(1607),
    [aux_sym_connection_attempts_token1] = ACTIONS(1607),
    [aux_sym_connect_timeout_token1] = ACTIONS(1607),
    [aux_sym_control_master_token1] = ACTIONS(1607),
    [aux_sym_control_path_token1] = ACTIONS(1607),
    [aux_sym_control_persist_token1] = ACTIONS(1607),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1607),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1607),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1607),
    [aux_sym_escape_char_token1] = ACTIONS(1607),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1607),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1607),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1607),
    [aux_sym_forward_agent_token1] = ACTIONS(1607),
    [aux_sym_forward_x11_token1] = ACTIONS(1609),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1607),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1607),
    [aux_sym_gateway_ports_token1] = ACTIONS(1607),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1607),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1607),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1607),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1607),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1607),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1607),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1607),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1607),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1607),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1607),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1607),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1607),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1607),
    [aux_sym_host_key_alias_token1] = ACTIONS(1607),
    [aux_sym_hostname_token1] = ACTIONS(1607),
    [aux_sym_identities_only_token1] = ACTIONS(1607),
    [aux_sym_identity_agent_token1] = ACTIONS(1607),
    [aux_sym_identity_file_token1] = ACTIONS(1607),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1607),
    [aux_sym_include_token1] = ACTIONS(1607),
    [aux_sym_ip_qos_token1] = ACTIONS(1607),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1607),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1607),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1607),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1607),
    [aux_sym_local_command_token1] = ACTIONS(1607),
    [aux_sym_local_forward_token1] = ACTIONS(1607),
    [aux_sym_log_level_token1] = ACTIONS(1607),
    [aux_sym_log_verbose_token1] = ACTIONS(1607),
    [aux_sym_macs_token1] = ACTIONS(1607),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1607),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1607),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1607),
    [aux_sym_password_authentication_token1] = ACTIONS(1607),
    [aux_sym_permit_local_command_token1] = ACTIONS(1607),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1607),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1607),
    [aux_sym_port_token1] = ACTIONS(1607),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1607),
    [aux_sym_protocol_token1] = ACTIONS(1607),
    [aux_sym_proxy_command_token1] = ACTIONS(1607),
    [aux_sym_proxy_jump_token1] = ACTIONS(1607),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1607),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1607),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1607),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1607),
    [aux_sym_rekey_limit_token1] = ACTIONS(1607),
    [aux_sym_remote_command_token1] = ACTIONS(1607),
    [aux_sym_remote_forward_token1] = ACTIONS(1607),
    [aux_sym_request_tty_token1] = ACTIONS(1607),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1607),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1607),
    [aux_sym_security_key_provider_token1] = ACTIONS(1607),
    [aux_sym_send_env_token1] = ACTIONS(1607),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1607),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1607),
    [aux_sym_session_type_token1] = ACTIONS(1607),
    [aux_sym_set_env_token1] = ACTIONS(1607),
    [aux_sym_stdin_null_token1] = ACTIONS(1607),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1607),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1607),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1607),
    [aux_sym_syslog_facility_token1] = ACTIONS(1607),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1607),
    [aux_sym_keep_alive_token1] = ACTIONS(1607),
    [aux_sym_tag_token1] = ACTIONS(1607),
    [aux_sym_tunnel_token1] = ACTIONS(1609),
    [aux_sym_tunnel_device_token1] = ACTIONS(1607),
    [aux_sym_update_host_keys_token1] = ACTIONS(1607),
    [aux_sym_use_keychain_token1] = ACTIONS(1607),
    [aux_sym_use_roaming_token1] = ACTIONS(1607),
    [aux_sym_user_token1] = ACTIONS(1609),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1607),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1607),
    [aux_sym_visual_host_key_token1] = ACTIONS(1607),
    [aux_sym_xauth_location_token1] = ACTIONS(1607),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(3407),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3409),
    [aux_sym_match_token1] = ACTIONS(3407),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3407),
    [aux_sym_address_family_token1] = ACTIONS(3407),
    [aux_sym_batch_mode_token1] = ACTIONS(3407),
    [aux_sym_bind_address_token1] = ACTIONS(3407),
    [aux_sym_bind_interface_token1] = ACTIONS(3407),
    [aux_sym_canonical_domains_token1] = ACTIONS(3407),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3407),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3407),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3407),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3407),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3407),
    [aux_sym_certificate_file_token1] = ACTIONS(3407),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3407),
    [aux_sym_channel_timeout_token1] = ACTIONS(3407),
    [aux_sym_check_host_ip_token1] = ACTIONS(3407),
    [aux_sym_ciphers_token1] = ACTIONS(3407),
    [aux_sym_cipher_token1] = ACTIONS(3409),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3407),
    [aux_sym_compression_token1] = ACTIONS(3407),
    [aux_sym_connection_attempts_token1] = ACTIONS(3407),
    [aux_sym_connect_timeout_token1] = ACTIONS(3407),
    [aux_sym_control_master_token1] = ACTIONS(3407),
    [aux_sym_control_path_token1] = ACTIONS(3407),
    [aux_sym_control_persist_token1] = ACTIONS(3407),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3407),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3407),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3407),
    [aux_sym_escape_char_token1] = ACTIONS(3407),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3407),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3407),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3407),
    [aux_sym_forward_agent_token1] = ACTIONS(3407),
    [aux_sym_forward_x11_token1] = ACTIONS(3409),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3407),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3407),
    [aux_sym_gateway_ports_token1] = ACTIONS(3407),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3407),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3407),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3407),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3407),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3407),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3407),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3407),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3407),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3407),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3407),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3407),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3407),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3407),
    [aux_sym_host_key_alias_token1] = ACTIONS(3407),
    [aux_sym_hostname_token1] = ACTIONS(3407),
    [aux_sym_identities_only_token1] = ACTIONS(3407),
    [aux_sym_identity_agent_token1] = ACTIONS(3407),
    [aux_sym_identity_file_token1] = ACTIONS(3407),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3407),
    [aux_sym_include_token1] = ACTIONS(3407),
    [aux_sym_ip_qos_token1] = ACTIONS(3407),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3407),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3407),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3407),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3407),
    [aux_sym_local_command_token1] = ACTIONS(3407),
    [aux_sym_local_forward_token1] = ACTIONS(3407),
    [aux_sym_log_level_token1] = ACTIONS(3407),
    [aux_sym_log_verbose_token1] = ACTIONS(3407),
    [aux_sym_macs_token1] = ACTIONS(3407),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3407),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3407),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3407),
    [aux_sym_password_authentication_token1] = ACTIONS(3407),
    [aux_sym_permit_local_command_token1] = ACTIONS(3407),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3407),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3407),
    [aux_sym_port_token1] = ACTIONS(3407),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3407),
    [aux_sym_protocol_token1] = ACTIONS(3407),
    [aux_sym_proxy_command_token1] = ACTIONS(3407),
    [aux_sym_proxy_jump_token1] = ACTIONS(3407),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3407),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3407),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3407),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3407),
    [aux_sym_rekey_limit_token1] = ACTIONS(3407),
    [aux_sym_remote_command_token1] = ACTIONS(3407),
    [aux_sym_remote_forward_token1] = ACTIONS(3407),
    [aux_sym_request_tty_token1] = ACTIONS(3407),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3407),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3407),
    [aux_sym_security_key_provider_token1] = ACTIONS(3407),
    [aux_sym_send_env_token1] = ACTIONS(3407),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3407),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3407),
    [aux_sym_session_type_token1] = ACTIONS(3407),
    [aux_sym_set_env_token1] = ACTIONS(3407),
    [aux_sym_stdin_null_token1] = ACTIONS(3407),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3407),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3407),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3407),
    [aux_sym_syslog_facility_token1] = ACTIONS(3407),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3407),
    [aux_sym_keep_alive_token1] = ACTIONS(3407),
    [aux_sym_tag_token1] = ACTIONS(3407),
    [aux_sym_tunnel_token1] = ACTIONS(3409),
    [aux_sym_tunnel_device_token1] = ACTIONS(3407),
    [aux_sym_update_host_keys_token1] = ACTIONS(3407),
    [aux_sym_use_keychain_token1] = ACTIONS(3407),
    [aux_sym_use_roaming_token1] = ACTIONS(3407),
    [aux_sym_user_token1] = ACTIONS(3409),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3407),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3407),
    [aux_sym_visual_host_key_token1] = ACTIONS(3407),
    [aux_sym_xauth_location_token1] = ACTIONS(3407),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(3411),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3413),
    [aux_sym_match_token1] = ACTIONS(3411),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3411),
    [aux_sym_address_family_token1] = ACTIONS(3411),
    [aux_sym_batch_mode_token1] = ACTIONS(3411),
    [aux_sym_bind_address_token1] = ACTIONS(3411),
    [aux_sym_bind_interface_token1] = ACTIONS(3411),
    [aux_sym_canonical_domains_token1] = ACTIONS(3411),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3411),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3411),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3411),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3411),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3411),
    [aux_sym_certificate_file_token1] = ACTIONS(3411),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3411),
    [aux_sym_channel_timeout_token1] = ACTIONS(3411),
    [aux_sym_check_host_ip_token1] = ACTIONS(3411),
    [aux_sym_ciphers_token1] = ACTIONS(3411),
    [aux_sym_cipher_token1] = ACTIONS(3413),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3411),
    [aux_sym_compression_token1] = ACTIONS(3411),
    [aux_sym_connection_attempts_token1] = ACTIONS(3411),
    [aux_sym_connect_timeout_token1] = ACTIONS(3411),
    [aux_sym_control_master_token1] = ACTIONS(3411),
    [aux_sym_control_path_token1] = ACTIONS(3411),
    [aux_sym_control_persist_token1] = ACTIONS(3411),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3411),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3411),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3411),
    [aux_sym_escape_char_token1] = ACTIONS(3411),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3411),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3411),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3411),
    [aux_sym_forward_agent_token1] = ACTIONS(3411),
    [aux_sym_forward_x11_token1] = ACTIONS(3413),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3411),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3411),
    [aux_sym_gateway_ports_token1] = ACTIONS(3411),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3411),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3411),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3411),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3411),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3411),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3411),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3411),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3411),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3411),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3411),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3411),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3411),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3411),
    [aux_sym_host_key_alias_token1] = ACTIONS(3411),
    [aux_sym_hostname_token1] = ACTIONS(3411),
    [aux_sym_identities_only_token1] = ACTIONS(3411),
    [aux_sym_identity_agent_token1] = ACTIONS(3411),
    [aux_sym_identity_file_token1] = ACTIONS(3411),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3411),
    [aux_sym_include_token1] = ACTIONS(3411),
    [aux_sym_ip_qos_token1] = ACTIONS(3411),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3411),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3411),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3411),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3411),
    [aux_sym_local_command_token1] = ACTIONS(3411),
    [aux_sym_local_forward_token1] = ACTIONS(3411),
    [aux_sym_log_level_token1] = ACTIONS(3411),
    [aux_sym_log_verbose_token1] = ACTIONS(3411),
    [aux_sym_macs_token1] = ACTIONS(3411),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3411),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3411),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3411),
    [aux_sym_password_authentication_token1] = ACTIONS(3411),
    [aux_sym_permit_local_command_token1] = ACTIONS(3411),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3411),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3411),
    [aux_sym_port_token1] = ACTIONS(3411),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3411),
    [aux_sym_protocol_token1] = ACTIONS(3411),
    [aux_sym_proxy_command_token1] = ACTIONS(3411),
    [aux_sym_proxy_jump_token1] = ACTIONS(3411),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3411),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3411),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3411),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3411),
    [aux_sym_rekey_limit_token1] = ACTIONS(3411),
    [aux_sym_remote_command_token1] = ACTIONS(3411),
    [aux_sym_remote_forward_token1] = ACTIONS(3411),
    [aux_sym_request_tty_token1] = ACTIONS(3411),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3411),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3411),
    [aux_sym_security_key_provider_token1] = ACTIONS(3411),
    [aux_sym_send_env_token1] = ACTIONS(3411),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3411),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3411),
    [aux_sym_session_type_token1] = ACTIONS(3411),
    [aux_sym_set_env_token1] = ACTIONS(3411),
    [aux_sym_stdin_null_token1] = ACTIONS(3411),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3411),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3411),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3411),
    [aux_sym_syslog_facility_token1] = ACTIONS(3411),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3411),
    [aux_sym_keep_alive_token1] = ACTIONS(3411),
    [aux_sym_tag_token1] = ACTIONS(3411),
    [aux_sym_tunnel_token1] = ACTIONS(3413),
    [aux_sym_tunnel_device_token1] = ACTIONS(3411),
    [aux_sym_update_host_keys_token1] = ACTIONS(3411),
    [aux_sym_use_keychain_token1] = ACTIONS(3411),
    [aux_sym_use_roaming_token1] = ACTIONS(3411),
    [aux_sym_user_token1] = ACTIONS(3413),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3411),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3411),
    [aux_sym_visual_host_key_token1] = ACTIONS(3411),
    [aux_sym_xauth_location_token1] = ACTIONS(3411),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3417),
    [aux_sym_match_token1] = ACTIONS(3415),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3415),
    [aux_sym_address_family_token1] = ACTIONS(3415),
    [aux_sym_batch_mode_token1] = ACTIONS(3415),
    [aux_sym_bind_address_token1] = ACTIONS(3415),
    [aux_sym_bind_interface_token1] = ACTIONS(3415),
    [aux_sym_canonical_domains_token1] = ACTIONS(3415),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3415),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3415),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3415),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3415),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3415),
    [aux_sym_certificate_file_token1] = ACTIONS(3415),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3415),
    [aux_sym_channel_timeout_token1] = ACTIONS(3415),
    [aux_sym_check_host_ip_token1] = ACTIONS(3415),
    [aux_sym_ciphers_token1] = ACTIONS(3415),
    [aux_sym_cipher_token1] = ACTIONS(3417),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3415),
    [aux_sym_compression_token1] = ACTIONS(3415),
    [aux_sym_connection_attempts_token1] = ACTIONS(3415),
    [aux_sym_connect_timeout_token1] = ACTIONS(3415),
    [aux_sym_control_master_token1] = ACTIONS(3415),
    [aux_sym_control_path_token1] = ACTIONS(3415),
    [aux_sym_control_persist_token1] = ACTIONS(3415),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3415),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3415),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3415),
    [aux_sym_escape_char_token1] = ACTIONS(3415),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3415),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3415),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3415),
    [aux_sym_forward_agent_token1] = ACTIONS(3415),
    [aux_sym_forward_x11_token1] = ACTIONS(3417),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3415),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3415),
    [aux_sym_gateway_ports_token1] = ACTIONS(3415),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3415),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3415),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3415),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3415),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3415),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3415),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3415),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3415),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3415),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3415),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3415),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3415),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3415),
    [aux_sym_host_key_alias_token1] = ACTIONS(3415),
    [aux_sym_hostname_token1] = ACTIONS(3415),
    [aux_sym_identities_only_token1] = ACTIONS(3415),
    [aux_sym_identity_agent_token1] = ACTIONS(3415),
    [aux_sym_identity_file_token1] = ACTIONS(3415),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3415),
    [aux_sym_include_token1] = ACTIONS(3415),
    [aux_sym_ip_qos_token1] = ACTIONS(3415),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3415),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3415),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3415),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3415),
    [aux_sym_local_command_token1] = ACTIONS(3415),
    [aux_sym_local_forward_token1] = ACTIONS(3415),
    [aux_sym_log_level_token1] = ACTIONS(3415),
    [aux_sym_log_verbose_token1] = ACTIONS(3415),
    [aux_sym_macs_token1] = ACTIONS(3415),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3415),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3415),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3415),
    [aux_sym_password_authentication_token1] = ACTIONS(3415),
    [aux_sym_permit_local_command_token1] = ACTIONS(3415),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3415),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3415),
    [aux_sym_port_token1] = ACTIONS(3415),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3415),
    [aux_sym_protocol_token1] = ACTIONS(3415),
    [aux_sym_proxy_command_token1] = ACTIONS(3415),
    [aux_sym_proxy_jump_token1] = ACTIONS(3415),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3415),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3415),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3415),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3415),
    [aux_sym_rekey_limit_token1] = ACTIONS(3415),
    [aux_sym_remote_command_token1] = ACTIONS(3415),
    [aux_sym_remote_forward_token1] = ACTIONS(3415),
    [aux_sym_request_tty_token1] = ACTIONS(3415),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3415),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3415),
    [aux_sym_security_key_provider_token1] = ACTIONS(3415),
    [aux_sym_send_env_token1] = ACTIONS(3415),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3415),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3415),
    [aux_sym_session_type_token1] = ACTIONS(3415),
    [aux_sym_set_env_token1] = ACTIONS(3415),
    [aux_sym_stdin_null_token1] = ACTIONS(3415),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3415),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3415),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3415),
    [aux_sym_syslog_facility_token1] = ACTIONS(3415),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3415),
    [aux_sym_keep_alive_token1] = ACTIONS(3415),
    [aux_sym_tag_token1] = ACTIONS(3415),
    [aux_sym_tunnel_token1] = ACTIONS(3417),
    [aux_sym_tunnel_device_token1] = ACTIONS(3415),
    [aux_sym_update_host_keys_token1] = ACTIONS(3415),
    [aux_sym_use_keychain_token1] = ACTIONS(3415),
    [aux_sym_use_roaming_token1] = ACTIONS(3415),
    [aux_sym_user_token1] = ACTIONS(3417),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3415),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3415),
    [aux_sym_visual_host_key_token1] = ACTIONS(3415),
    [aux_sym_xauth_location_token1] = ACTIONS(3415),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(3419),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3421),
    [aux_sym_match_token1] = ACTIONS(3419),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3419),
    [aux_sym_address_family_token1] = ACTIONS(3419),
    [aux_sym_batch_mode_token1] = ACTIONS(3419),
    [aux_sym_bind_address_token1] = ACTIONS(3419),
    [aux_sym_bind_interface_token1] = ACTIONS(3419),
    [aux_sym_canonical_domains_token1] = ACTIONS(3419),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3419),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3419),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3419),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3419),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3419),
    [aux_sym_certificate_file_token1] = ACTIONS(3419),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3419),
    [aux_sym_channel_timeout_token1] = ACTIONS(3419),
    [aux_sym_check_host_ip_token1] = ACTIONS(3419),
    [aux_sym_ciphers_token1] = ACTIONS(3419),
    [aux_sym_cipher_token1] = ACTIONS(3421),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3419),
    [aux_sym_compression_token1] = ACTIONS(3419),
    [aux_sym_connection_attempts_token1] = ACTIONS(3419),
    [aux_sym_connect_timeout_token1] = ACTIONS(3419),
    [aux_sym_control_master_token1] = ACTIONS(3419),
    [aux_sym_control_path_token1] = ACTIONS(3419),
    [aux_sym_control_persist_token1] = ACTIONS(3419),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3419),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3419),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3419),
    [aux_sym_escape_char_token1] = ACTIONS(3419),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3419),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3419),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3419),
    [aux_sym_forward_agent_token1] = ACTIONS(3419),
    [aux_sym_forward_x11_token1] = ACTIONS(3421),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3419),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3419),
    [aux_sym_gateway_ports_token1] = ACTIONS(3419),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3419),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3419),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3419),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3419),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3419),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3419),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3419),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3419),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3419),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3419),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3419),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3419),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3419),
    [aux_sym_host_key_alias_token1] = ACTIONS(3419),
    [aux_sym_hostname_token1] = ACTIONS(3419),
    [aux_sym_identities_only_token1] = ACTIONS(3419),
    [aux_sym_identity_agent_token1] = ACTIONS(3419),
    [aux_sym_identity_file_token1] = ACTIONS(3419),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3419),
    [aux_sym_include_token1] = ACTIONS(3419),
    [aux_sym_ip_qos_token1] = ACTIONS(3419),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3419),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3419),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3419),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3419),
    [aux_sym_local_command_token1] = ACTIONS(3419),
    [aux_sym_local_forward_token1] = ACTIONS(3419),
    [aux_sym_log_level_token1] = ACTIONS(3419),
    [aux_sym_log_verbose_token1] = ACTIONS(3419),
    [aux_sym_macs_token1] = ACTIONS(3419),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3419),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3419),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3419),
    [aux_sym_password_authentication_token1] = ACTIONS(3419),
    [aux_sym_permit_local_command_token1] = ACTIONS(3419),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3419),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3419),
    [aux_sym_port_token1] = ACTIONS(3419),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3419),
    [aux_sym_protocol_token1] = ACTIONS(3419),
    [aux_sym_proxy_command_token1] = ACTIONS(3419),
    [aux_sym_proxy_jump_token1] = ACTIONS(3419),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3419),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3419),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3419),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3419),
    [aux_sym_rekey_limit_token1] = ACTIONS(3419),
    [aux_sym_remote_command_token1] = ACTIONS(3419),
    [aux_sym_remote_forward_token1] = ACTIONS(3419),
    [aux_sym_request_tty_token1] = ACTIONS(3419),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3419),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3419),
    [aux_sym_security_key_provider_token1] = ACTIONS(3419),
    [aux_sym_send_env_token1] = ACTIONS(3419),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3419),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3419),
    [aux_sym_session_type_token1] = ACTIONS(3419),
    [aux_sym_set_env_token1] = ACTIONS(3419),
    [aux_sym_stdin_null_token1] = ACTIONS(3419),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3419),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3419),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3419),
    [aux_sym_syslog_facility_token1] = ACTIONS(3419),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3419),
    [aux_sym_keep_alive_token1] = ACTIONS(3419),
    [aux_sym_tag_token1] = ACTIONS(3419),
    [aux_sym_tunnel_token1] = ACTIONS(3421),
    [aux_sym_tunnel_device_token1] = ACTIONS(3419),
    [aux_sym_update_host_keys_token1] = ACTIONS(3419),
    [aux_sym_use_keychain_token1] = ACTIONS(3419),
    [aux_sym_use_roaming_token1] = ACTIONS(3419),
    [aux_sym_user_token1] = ACTIONS(3421),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3419),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3419),
    [aux_sym_visual_host_key_token1] = ACTIONS(3419),
    [aux_sym_xauth_location_token1] = ACTIONS(3419),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(3423),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3425),
    [aux_sym_match_token1] = ACTIONS(3423),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3423),
    [aux_sym_address_family_token1] = ACTIONS(3423),
    [aux_sym_batch_mode_token1] = ACTIONS(3423),
    [aux_sym_bind_address_token1] = ACTIONS(3423),
    [aux_sym_bind_interface_token1] = ACTIONS(3423),
    [aux_sym_canonical_domains_token1] = ACTIONS(3423),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3423),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3423),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3423),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3423),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3423),
    [aux_sym_certificate_file_token1] = ACTIONS(3423),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3423),
    [aux_sym_channel_timeout_token1] = ACTIONS(3423),
    [aux_sym_check_host_ip_token1] = ACTIONS(3423),
    [aux_sym_ciphers_token1] = ACTIONS(3423),
    [aux_sym_cipher_token1] = ACTIONS(3425),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3423),
    [aux_sym_compression_token1] = ACTIONS(3423),
    [aux_sym_connection_attempts_token1] = ACTIONS(3423),
    [aux_sym_connect_timeout_token1] = ACTIONS(3423),
    [aux_sym_control_master_token1] = ACTIONS(3423),
    [aux_sym_control_path_token1] = ACTIONS(3423),
    [aux_sym_control_persist_token1] = ACTIONS(3423),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3423),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3423),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3423),
    [aux_sym_escape_char_token1] = ACTIONS(3423),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3423),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3423),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3423),
    [aux_sym_forward_agent_token1] = ACTIONS(3423),
    [aux_sym_forward_x11_token1] = ACTIONS(3425),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3423),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3423),
    [aux_sym_gateway_ports_token1] = ACTIONS(3423),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3423),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3423),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3423),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3423),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3423),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3423),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3423),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3423),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3423),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3423),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3423),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3423),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3423),
    [aux_sym_host_key_alias_token1] = ACTIONS(3423),
    [aux_sym_hostname_token1] = ACTIONS(3423),
    [aux_sym_identities_only_token1] = ACTIONS(3423),
    [aux_sym_identity_agent_token1] = ACTIONS(3423),
    [aux_sym_identity_file_token1] = ACTIONS(3423),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3423),
    [aux_sym_include_token1] = ACTIONS(3423),
    [aux_sym_ip_qos_token1] = ACTIONS(3423),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3423),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3423),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3423),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3423),
    [aux_sym_local_command_token1] = ACTIONS(3423),
    [aux_sym_local_forward_token1] = ACTIONS(3423),
    [aux_sym_log_level_token1] = ACTIONS(3423),
    [aux_sym_log_verbose_token1] = ACTIONS(3423),
    [aux_sym_macs_token1] = ACTIONS(3423),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3423),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3423),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3423),
    [aux_sym_password_authentication_token1] = ACTIONS(3423),
    [aux_sym_permit_local_command_token1] = ACTIONS(3423),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3423),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3423),
    [aux_sym_port_token1] = ACTIONS(3423),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3423),
    [aux_sym_protocol_token1] = ACTIONS(3423),
    [aux_sym_proxy_command_token1] = ACTIONS(3423),
    [aux_sym_proxy_jump_token1] = ACTIONS(3423),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3423),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3423),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3423),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3423),
    [aux_sym_rekey_limit_token1] = ACTIONS(3423),
    [aux_sym_remote_command_token1] = ACTIONS(3423),
    [aux_sym_remote_forward_token1] = ACTIONS(3423),
    [aux_sym_request_tty_token1] = ACTIONS(3423),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3423),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3423),
    [aux_sym_security_key_provider_token1] = ACTIONS(3423),
    [aux_sym_send_env_token1] = ACTIONS(3423),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3423),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3423),
    [aux_sym_session_type_token1] = ACTIONS(3423),
    [aux_sym_set_env_token1] = ACTIONS(3423),
    [aux_sym_stdin_null_token1] = ACTIONS(3423),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3423),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3423),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3423),
    [aux_sym_syslog_facility_token1] = ACTIONS(3423),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3423),
    [aux_sym_keep_alive_token1] = ACTIONS(3423),
    [aux_sym_tag_token1] = ACTIONS(3423),
    [aux_sym_tunnel_token1] = ACTIONS(3425),
    [aux_sym_tunnel_device_token1] = ACTIONS(3423),
    [aux_sym_update_host_keys_token1] = ACTIONS(3423),
    [aux_sym_use_keychain_token1] = ACTIONS(3423),
    [aux_sym_use_roaming_token1] = ACTIONS(3423),
    [aux_sym_user_token1] = ACTIONS(3425),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3423),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3423),
    [aux_sym_visual_host_key_token1] = ACTIONS(3423),
    [aux_sym_xauth_location_token1] = ACTIONS(3423),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3429),
    [aux_sym_match_token1] = ACTIONS(3427),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3427),
    [aux_sym_address_family_token1] = ACTIONS(3427),
    [aux_sym_batch_mode_token1] = ACTIONS(3427),
    [aux_sym_bind_address_token1] = ACTIONS(3427),
    [aux_sym_bind_interface_token1] = ACTIONS(3427),
    [aux_sym_canonical_domains_token1] = ACTIONS(3427),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3427),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3427),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3427),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3427),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3427),
    [aux_sym_certificate_file_token1] = ACTIONS(3427),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3427),
    [aux_sym_channel_timeout_token1] = ACTIONS(3427),
    [aux_sym_check_host_ip_token1] = ACTIONS(3427),
    [aux_sym_ciphers_token1] = ACTIONS(3427),
    [aux_sym_cipher_token1] = ACTIONS(3429),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3427),
    [aux_sym_compression_token1] = ACTIONS(3427),
    [aux_sym_connection_attempts_token1] = ACTIONS(3427),
    [aux_sym_connect_timeout_token1] = ACTIONS(3427),
    [aux_sym_control_master_token1] = ACTIONS(3427),
    [aux_sym_control_path_token1] = ACTIONS(3427),
    [aux_sym_control_persist_token1] = ACTIONS(3427),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3427),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3427),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3427),
    [aux_sym_escape_char_token1] = ACTIONS(3427),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3427),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3427),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3427),
    [aux_sym_forward_agent_token1] = ACTIONS(3427),
    [aux_sym_forward_x11_token1] = ACTIONS(3429),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3427),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3427),
    [aux_sym_gateway_ports_token1] = ACTIONS(3427),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3427),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3427),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3427),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3427),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3427),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3427),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3427),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3427),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3427),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3427),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3427),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3427),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3427),
    [aux_sym_host_key_alias_token1] = ACTIONS(3427),
    [aux_sym_hostname_token1] = ACTIONS(3427),
    [aux_sym_identities_only_token1] = ACTIONS(3427),
    [aux_sym_identity_agent_token1] = ACTIONS(3427),
    [aux_sym_identity_file_token1] = ACTIONS(3427),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3427),
    [aux_sym_include_token1] = ACTIONS(3427),
    [aux_sym_ip_qos_token1] = ACTIONS(3427),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3427),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3427),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3427),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3427),
    [aux_sym_local_command_token1] = ACTIONS(3427),
    [aux_sym_local_forward_token1] = ACTIONS(3427),
    [aux_sym_log_level_token1] = ACTIONS(3427),
    [aux_sym_log_verbose_token1] = ACTIONS(3427),
    [aux_sym_macs_token1] = ACTIONS(3427),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3427),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3427),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3427),
    [aux_sym_password_authentication_token1] = ACTIONS(3427),
    [aux_sym_permit_local_command_token1] = ACTIONS(3427),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3427),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3427),
    [aux_sym_port_token1] = ACTIONS(3427),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3427),
    [aux_sym_protocol_token1] = ACTIONS(3427),
    [aux_sym_proxy_command_token1] = ACTIONS(3427),
    [aux_sym_proxy_jump_token1] = ACTIONS(3427),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3427),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3427),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3427),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3427),
    [aux_sym_rekey_limit_token1] = ACTIONS(3427),
    [aux_sym_remote_command_token1] = ACTIONS(3427),
    [aux_sym_remote_forward_token1] = ACTIONS(3427),
    [aux_sym_request_tty_token1] = ACTIONS(3427),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3427),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3427),
    [aux_sym_security_key_provider_token1] = ACTIONS(3427),
    [aux_sym_send_env_token1] = ACTIONS(3427),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3427),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3427),
    [aux_sym_session_type_token1] = ACTIONS(3427),
    [aux_sym_set_env_token1] = ACTIONS(3427),
    [aux_sym_stdin_null_token1] = ACTIONS(3427),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3427),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3427),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3427),
    [aux_sym_syslog_facility_token1] = ACTIONS(3427),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3427),
    [aux_sym_keep_alive_token1] = ACTIONS(3427),
    [aux_sym_tag_token1] = ACTIONS(3427),
    [aux_sym_tunnel_token1] = ACTIONS(3429),
    [aux_sym_tunnel_device_token1] = ACTIONS(3427),
    [aux_sym_update_host_keys_token1] = ACTIONS(3427),
    [aux_sym_use_keychain_token1] = ACTIONS(3427),
    [aux_sym_use_roaming_token1] = ACTIONS(3427),
    [aux_sym_user_token1] = ACTIONS(3429),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3427),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3427),
    [aux_sym_visual_host_key_token1] = ACTIONS(3427),
    [aux_sym_xauth_location_token1] = ACTIONS(3427),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1615),
    [aux_sym_match_token1] = ACTIONS(1613),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1613),
    [aux_sym_address_family_token1] = ACTIONS(1613),
    [aux_sym_batch_mode_token1] = ACTIONS(1613),
    [aux_sym_bind_address_token1] = ACTIONS(1613),
    [aux_sym_bind_interface_token1] = ACTIONS(1613),
    [aux_sym_canonical_domains_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1613),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1613),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1613),
    [aux_sym_certificate_file_token1] = ACTIONS(1613),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1613),
    [aux_sym_channel_timeout_token1] = ACTIONS(1613),
    [aux_sym_check_host_ip_token1] = ACTIONS(1613),
    [aux_sym_ciphers_token1] = ACTIONS(1613),
    [aux_sym_cipher_token1] = ACTIONS(1615),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1613),
    [aux_sym_compression_token1] = ACTIONS(1613),
    [aux_sym_connection_attempts_token1] = ACTIONS(1613),
    [aux_sym_connect_timeout_token1] = ACTIONS(1613),
    [aux_sym_control_master_token1] = ACTIONS(1613),
    [aux_sym_control_path_token1] = ACTIONS(1613),
    [aux_sym_control_persist_token1] = ACTIONS(1613),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1613),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1613),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1613),
    [aux_sym_escape_char_token1] = ACTIONS(1613),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1613),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1613),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1613),
    [aux_sym_forward_agent_token1] = ACTIONS(1613),
    [aux_sym_forward_x11_token1] = ACTIONS(1615),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1613),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1613),
    [aux_sym_gateway_ports_token1] = ACTIONS(1613),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1613),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1613),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1613),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1613),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1613),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1613),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1613),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1613),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1613),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1613),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1613),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1613),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1613),
    [aux_sym_host_key_alias_token1] = ACTIONS(1613),
    [aux_sym_hostname_token1] = ACTIONS(1613),
    [aux_sym_identities_only_token1] = ACTIONS(1613),
    [aux_sym_identity_agent_token1] = ACTIONS(1613),
    [aux_sym_identity_file_token1] = ACTIONS(1613),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1613),
    [aux_sym_include_token1] = ACTIONS(1613),
    [aux_sym_ip_qos_token1] = ACTIONS(1613),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1613),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1613),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1613),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1613),
    [aux_sym_local_command_token1] = ACTIONS(1613),
    [aux_sym_local_forward_token1] = ACTIONS(1613),
    [aux_sym_log_level_token1] = ACTIONS(1613),
    [aux_sym_log_verbose_token1] = ACTIONS(1613),
    [aux_sym_macs_token1] = ACTIONS(1613),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1613),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1613),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1613),
    [aux_sym_password_authentication_token1] = ACTIONS(1613),
    [aux_sym_permit_local_command_token1] = ACTIONS(1613),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1613),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1613),
    [aux_sym_port_token1] = ACTIONS(1613),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1613),
    [aux_sym_protocol_token1] = ACTIONS(1613),
    [aux_sym_proxy_command_token1] = ACTIONS(1613),
    [aux_sym_proxy_jump_token1] = ACTIONS(1613),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1613),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1613),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1613),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1613),
    [aux_sym_rekey_limit_token1] = ACTIONS(1613),
    [aux_sym_remote_command_token1] = ACTIONS(1613),
    [aux_sym_remote_forward_token1] = ACTIONS(1613),
    [aux_sym_request_tty_token1] = ACTIONS(1613),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1613),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1613),
    [aux_sym_security_key_provider_token1] = ACTIONS(1613),
    [aux_sym_send_env_token1] = ACTIONS(1613),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1613),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1613),
    [aux_sym_session_type_token1] = ACTIONS(1613),
    [aux_sym_set_env_token1] = ACTIONS(1613),
    [aux_sym_stdin_null_token1] = ACTIONS(1613),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1613),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1613),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1613),
    [aux_sym_syslog_facility_token1] = ACTIONS(1613),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1613),
    [aux_sym_keep_alive_token1] = ACTIONS(1613),
    [aux_sym_tag_token1] = ACTIONS(1613),
    [aux_sym_tunnel_token1] = ACTIONS(1615),
    [aux_sym_tunnel_device_token1] = ACTIONS(1613),
    [aux_sym_update_host_keys_token1] = ACTIONS(1613),
    [aux_sym_use_keychain_token1] = ACTIONS(1613),
    [aux_sym_use_roaming_token1] = ACTIONS(1613),
    [aux_sym_user_token1] = ACTIONS(1615),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1613),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1613),
    [aux_sym_visual_host_key_token1] = ACTIONS(1613),
    [aux_sym_xauth_location_token1] = ACTIONS(1613),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(845),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(847),
    [aux_sym_match_token1] = ACTIONS(845),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(845),
    [aux_sym_address_family_token1] = ACTIONS(845),
    [aux_sym_batch_mode_token1] = ACTIONS(845),
    [aux_sym_bind_address_token1] = ACTIONS(845),
    [aux_sym_bind_interface_token1] = ACTIONS(845),
    [aux_sym_canonical_domains_token1] = ACTIONS(845),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(845),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(845),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(845),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(845),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(845),
    [aux_sym_certificate_file_token1] = ACTIONS(845),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(845),
    [aux_sym_channel_timeout_token1] = ACTIONS(845),
    [aux_sym_check_host_ip_token1] = ACTIONS(845),
    [aux_sym_ciphers_token1] = ACTIONS(845),
    [aux_sym_cipher_token1] = ACTIONS(847),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(845),
    [aux_sym_compression_token1] = ACTIONS(845),
    [aux_sym_connection_attempts_token1] = ACTIONS(845),
    [aux_sym_connect_timeout_token1] = ACTIONS(845),
    [aux_sym_control_master_token1] = ACTIONS(845),
    [aux_sym_control_path_token1] = ACTIONS(845),
    [aux_sym_control_persist_token1] = ACTIONS(845),
    [aux_sym_dynamic_forward_token1] = ACTIONS(845),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(845),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(845),
    [aux_sym_escape_char_token1] = ACTIONS(845),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(845),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(845),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(845),
    [aux_sym_forward_agent_token1] = ACTIONS(845),
    [aux_sym_forward_x11_token1] = ACTIONS(847),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(845),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(845),
    [aux_sym_gateway_ports_token1] = ACTIONS(845),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(845),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(845),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(845),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(845),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(845),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(845),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(845),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(845),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(845),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(845),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(845),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(845),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(845),
    [aux_sym_host_key_alias_token1] = ACTIONS(845),
    [aux_sym_hostname_token1] = ACTIONS(845),
    [aux_sym_identities_only_token1] = ACTIONS(845),
    [aux_sym_identity_agent_token1] = ACTIONS(845),
    [aux_sym_identity_file_token1] = ACTIONS(845),
    [aux_sym_ignore_unknown_token1] = ACTIONS(845),
    [aux_sym_include_token1] = ACTIONS(845),
    [aux_sym_ip_qos_token1] = ACTIONS(845),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(845),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(845),
    [aux_sym_kex_algorithms_token1] = ACTIONS(845),
    [aux_sym_known_hosts_command_token1] = ACTIONS(845),
    [aux_sym_local_command_token1] = ACTIONS(845),
    [aux_sym_local_forward_token1] = ACTIONS(845),
    [aux_sym_log_level_token1] = ACTIONS(845),
    [aux_sym_log_verbose_token1] = ACTIONS(845),
    [aux_sym_macs_token1] = ACTIONS(845),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(845),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(845),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(845),
    [aux_sym_password_authentication_token1] = ACTIONS(845),
    [aux_sym_permit_local_command_token1] = ACTIONS(845),
    [aux_sym_permit_remote_open_token1] = ACTIONS(845),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(845),
    [aux_sym_port_token1] = ACTIONS(845),
    [aux_sym_preferred_authentications_token1] = ACTIONS(845),
    [aux_sym_protocol_token1] = ACTIONS(845),
    [aux_sym_proxy_command_token1] = ACTIONS(845),
    [aux_sym_proxy_jump_token1] = ACTIONS(845),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(845),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(845),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(845),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(845),
    [aux_sym_rekey_limit_token1] = ACTIONS(845),
    [aux_sym_remote_command_token1] = ACTIONS(845),
    [aux_sym_remote_forward_token1] = ACTIONS(845),
    [aux_sym_request_tty_token1] = ACTIONS(845),
    [aux_sym_required_rsa_size_token1] = ACTIONS(845),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(845),
    [aux_sym_security_key_provider_token1] = ACTIONS(845),
    [aux_sym_send_env_token1] = ACTIONS(845),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(845),
    [aux_sym_server_alive_interval_token1] = ACTIONS(845),
    [aux_sym_session_type_token1] = ACTIONS(845),
    [aux_sym_set_env_token1] = ACTIONS(845),
    [aux_sym_stdin_null_token1] = ACTIONS(845),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(845),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(845),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(845),
    [aux_sym_syslog_facility_token1] = ACTIONS(845),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(845),
    [aux_sym_keep_alive_token1] = ACTIONS(845),
    [aux_sym_tag_token1] = ACTIONS(845),
    [aux_sym_tunnel_token1] = ACTIONS(847),
    [aux_sym_tunnel_device_token1] = ACTIONS(845),
    [aux_sym_update_host_keys_token1] = ACTIONS(845),
    [aux_sym_use_keychain_token1] = ACTIONS(845),
    [aux_sym_use_roaming_token1] = ACTIONS(845),
    [aux_sym_user_token1] = ACTIONS(847),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(845),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(845),
    [aux_sym_visual_host_key_token1] = ACTIONS(845),
    [aux_sym_xauth_location_token1] = ACTIONS(845),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(3431),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3433),
    [aux_sym_match_token1] = ACTIONS(3431),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3431),
    [aux_sym_address_family_token1] = ACTIONS(3431),
    [aux_sym_batch_mode_token1] = ACTIONS(3431),
    [aux_sym_bind_address_token1] = ACTIONS(3431),
    [aux_sym_bind_interface_token1] = ACTIONS(3431),
    [aux_sym_canonical_domains_token1] = ACTIONS(3431),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3431),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3431),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3431),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3431),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3431),
    [aux_sym_certificate_file_token1] = ACTIONS(3431),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3431),
    [aux_sym_channel_timeout_token1] = ACTIONS(3431),
    [aux_sym_check_host_ip_token1] = ACTIONS(3431),
    [aux_sym_ciphers_token1] = ACTIONS(3431),
    [aux_sym_cipher_token1] = ACTIONS(3433),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3431),
    [aux_sym_compression_token1] = ACTIONS(3431),
    [aux_sym_connection_attempts_token1] = ACTIONS(3431),
    [aux_sym_connect_timeout_token1] = ACTIONS(3431),
    [aux_sym_control_master_token1] = ACTIONS(3431),
    [aux_sym_control_path_token1] = ACTIONS(3431),
    [aux_sym_control_persist_token1] = ACTIONS(3431),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3431),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3431),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3431),
    [aux_sym_escape_char_token1] = ACTIONS(3431),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3431),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3431),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3431),
    [aux_sym_forward_agent_token1] = ACTIONS(3431),
    [aux_sym_forward_x11_token1] = ACTIONS(3433),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3431),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3431),
    [aux_sym_gateway_ports_token1] = ACTIONS(3431),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3431),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3431),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3431),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3431),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3431),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3431),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3431),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3431),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3431),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3431),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3431),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3431),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3431),
    [aux_sym_host_key_alias_token1] = ACTIONS(3431),
    [aux_sym_hostname_token1] = ACTIONS(3431),
    [aux_sym_identities_only_token1] = ACTIONS(3431),
    [aux_sym_identity_agent_token1] = ACTIONS(3431),
    [aux_sym_identity_file_token1] = ACTIONS(3431),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3431),
    [aux_sym_include_token1] = ACTIONS(3431),
    [aux_sym_ip_qos_token1] = ACTIONS(3431),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3431),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3431),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3431),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3431),
    [aux_sym_local_command_token1] = ACTIONS(3431),
    [aux_sym_local_forward_token1] = ACTIONS(3431),
    [aux_sym_log_level_token1] = ACTIONS(3431),
    [aux_sym_log_verbose_token1] = ACTIONS(3431),
    [aux_sym_macs_token1] = ACTIONS(3431),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3431),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3431),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3431),
    [aux_sym_password_authentication_token1] = ACTIONS(3431),
    [aux_sym_permit_local_command_token1] = ACTIONS(3431),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3431),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3431),
    [aux_sym_port_token1] = ACTIONS(3431),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3431),
    [aux_sym_protocol_token1] = ACTIONS(3431),
    [aux_sym_proxy_command_token1] = ACTIONS(3431),
    [aux_sym_proxy_jump_token1] = ACTIONS(3431),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3431),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3431),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3431),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3431),
    [aux_sym_rekey_limit_token1] = ACTIONS(3431),
    [aux_sym_remote_command_token1] = ACTIONS(3431),
    [aux_sym_remote_forward_token1] = ACTIONS(3431),
    [aux_sym_request_tty_token1] = ACTIONS(3431),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3431),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3431),
    [aux_sym_security_key_provider_token1] = ACTIONS(3431),
    [aux_sym_send_env_token1] = ACTIONS(3431),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3431),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3431),
    [aux_sym_session_type_token1] = ACTIONS(3431),
    [aux_sym_set_env_token1] = ACTIONS(3431),
    [aux_sym_stdin_null_token1] = ACTIONS(3431),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3431),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3431),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3431),
    [aux_sym_syslog_facility_token1] = ACTIONS(3431),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3431),
    [aux_sym_keep_alive_token1] = ACTIONS(3431),
    [aux_sym_tag_token1] = ACTIONS(3431),
    [aux_sym_tunnel_token1] = ACTIONS(3433),
    [aux_sym_tunnel_device_token1] = ACTIONS(3431),
    [aux_sym_update_host_keys_token1] = ACTIONS(3431),
    [aux_sym_use_keychain_token1] = ACTIONS(3431),
    [aux_sym_use_roaming_token1] = ACTIONS(3431),
    [aux_sym_user_token1] = ACTIONS(3433),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3431),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3431),
    [aux_sym_visual_host_key_token1] = ACTIONS(3431),
    [aux_sym_xauth_location_token1] = ACTIONS(3431),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3437),
    [aux_sym_match_token1] = ACTIONS(3435),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3435),
    [aux_sym_address_family_token1] = ACTIONS(3435),
    [aux_sym_batch_mode_token1] = ACTIONS(3435),
    [aux_sym_bind_address_token1] = ACTIONS(3435),
    [aux_sym_bind_interface_token1] = ACTIONS(3435),
    [aux_sym_canonical_domains_token1] = ACTIONS(3435),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3435),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3435),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3435),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3435),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3435),
    [aux_sym_certificate_file_token1] = ACTIONS(3435),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3435),
    [aux_sym_channel_timeout_token1] = ACTIONS(3435),
    [aux_sym_check_host_ip_token1] = ACTIONS(3435),
    [aux_sym_ciphers_token1] = ACTIONS(3435),
    [aux_sym_cipher_token1] = ACTIONS(3437),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3435),
    [aux_sym_compression_token1] = ACTIONS(3435),
    [aux_sym_connection_attempts_token1] = ACTIONS(3435),
    [aux_sym_connect_timeout_token1] = ACTIONS(3435),
    [aux_sym_control_master_token1] = ACTIONS(3435),
    [aux_sym_control_path_token1] = ACTIONS(3435),
    [aux_sym_control_persist_token1] = ACTIONS(3435),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3435),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3435),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3435),
    [aux_sym_escape_char_token1] = ACTIONS(3435),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3435),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3435),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3435),
    [aux_sym_forward_agent_token1] = ACTIONS(3435),
    [aux_sym_forward_x11_token1] = ACTIONS(3437),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3435),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3435),
    [aux_sym_gateway_ports_token1] = ACTIONS(3435),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3435),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3435),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3435),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3435),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3435),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3435),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3435),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3435),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3435),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3435),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3435),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3435),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3435),
    [aux_sym_host_key_alias_token1] = ACTIONS(3435),
    [aux_sym_hostname_token1] = ACTIONS(3435),
    [aux_sym_identities_only_token1] = ACTIONS(3435),
    [aux_sym_identity_agent_token1] = ACTIONS(3435),
    [aux_sym_identity_file_token1] = ACTIONS(3435),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3435),
    [aux_sym_include_token1] = ACTIONS(3435),
    [aux_sym_ip_qos_token1] = ACTIONS(3435),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3435),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3435),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3435),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3435),
    [aux_sym_local_command_token1] = ACTIONS(3435),
    [aux_sym_local_forward_token1] = ACTIONS(3435),
    [aux_sym_log_level_token1] = ACTIONS(3435),
    [aux_sym_log_verbose_token1] = ACTIONS(3435),
    [aux_sym_macs_token1] = ACTIONS(3435),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3435),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3435),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3435),
    [aux_sym_password_authentication_token1] = ACTIONS(3435),
    [aux_sym_permit_local_command_token1] = ACTIONS(3435),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3435),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3435),
    [aux_sym_port_token1] = ACTIONS(3435),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3435),
    [aux_sym_protocol_token1] = ACTIONS(3435),
    [aux_sym_proxy_command_token1] = ACTIONS(3435),
    [aux_sym_proxy_jump_token1] = ACTIONS(3435),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3435),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3435),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3435),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3435),
    [aux_sym_rekey_limit_token1] = ACTIONS(3435),
    [aux_sym_remote_command_token1] = ACTIONS(3435),
    [aux_sym_remote_forward_token1] = ACTIONS(3435),
    [aux_sym_request_tty_token1] = ACTIONS(3435),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3435),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3435),
    [aux_sym_security_key_provider_token1] = ACTIONS(3435),
    [aux_sym_send_env_token1] = ACTIONS(3435),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3435),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3435),
    [aux_sym_session_type_token1] = ACTIONS(3435),
    [aux_sym_set_env_token1] = ACTIONS(3435),
    [aux_sym_stdin_null_token1] = ACTIONS(3435),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3435),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3435),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3435),
    [aux_sym_syslog_facility_token1] = ACTIONS(3435),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3435),
    [aux_sym_keep_alive_token1] = ACTIONS(3435),
    [aux_sym_tag_token1] = ACTIONS(3435),
    [aux_sym_tunnel_token1] = ACTIONS(3437),
    [aux_sym_tunnel_device_token1] = ACTIONS(3435),
    [aux_sym_update_host_keys_token1] = ACTIONS(3435),
    [aux_sym_use_keychain_token1] = ACTIONS(3435),
    [aux_sym_use_roaming_token1] = ACTIONS(3435),
    [aux_sym_user_token1] = ACTIONS(3437),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3435),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3435),
    [aux_sym_visual_host_key_token1] = ACTIONS(3435),
    [aux_sym_xauth_location_token1] = ACTIONS(3435),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3441),
    [aux_sym_match_token1] = ACTIONS(3439),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3439),
    [aux_sym_address_family_token1] = ACTIONS(3439),
    [aux_sym_batch_mode_token1] = ACTIONS(3439),
    [aux_sym_bind_address_token1] = ACTIONS(3439),
    [aux_sym_bind_interface_token1] = ACTIONS(3439),
    [aux_sym_canonical_domains_token1] = ACTIONS(3439),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3439),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3439),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3439),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3439),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3439),
    [aux_sym_certificate_file_token1] = ACTIONS(3439),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3439),
    [aux_sym_channel_timeout_token1] = ACTIONS(3439),
    [aux_sym_check_host_ip_token1] = ACTIONS(3439),
    [aux_sym_ciphers_token1] = ACTIONS(3439),
    [aux_sym_cipher_token1] = ACTIONS(3441),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3439),
    [aux_sym_compression_token1] = ACTIONS(3439),
    [aux_sym_connection_attempts_token1] = ACTIONS(3439),
    [aux_sym_connect_timeout_token1] = ACTIONS(3439),
    [aux_sym_control_master_token1] = ACTIONS(3439),
    [aux_sym_control_path_token1] = ACTIONS(3439),
    [aux_sym_control_persist_token1] = ACTIONS(3439),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3439),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3439),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3439),
    [aux_sym_escape_char_token1] = ACTIONS(3439),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3439),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3439),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3439),
    [aux_sym_forward_agent_token1] = ACTIONS(3439),
    [aux_sym_forward_x11_token1] = ACTIONS(3441),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3439),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3439),
    [aux_sym_gateway_ports_token1] = ACTIONS(3439),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3439),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3439),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3439),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3439),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3439),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3439),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3439),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3439),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3439),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3439),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3439),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3439),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3439),
    [aux_sym_host_key_alias_token1] = ACTIONS(3439),
    [aux_sym_hostname_token1] = ACTIONS(3439),
    [aux_sym_identities_only_token1] = ACTIONS(3439),
    [aux_sym_identity_agent_token1] = ACTIONS(3439),
    [aux_sym_identity_file_token1] = ACTIONS(3439),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3439),
    [aux_sym_include_token1] = ACTIONS(3439),
    [aux_sym_ip_qos_token1] = ACTIONS(3439),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3439),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3439),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3439),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3439),
    [aux_sym_local_command_token1] = ACTIONS(3439),
    [aux_sym_local_forward_token1] = ACTIONS(3439),
    [aux_sym_log_level_token1] = ACTIONS(3439),
    [aux_sym_log_verbose_token1] = ACTIONS(3439),
    [aux_sym_macs_token1] = ACTIONS(3439),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3439),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3439),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3439),
    [aux_sym_password_authentication_token1] = ACTIONS(3439),
    [aux_sym_permit_local_command_token1] = ACTIONS(3439),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3439),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3439),
    [aux_sym_port_token1] = ACTIONS(3439),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3439),
    [aux_sym_protocol_token1] = ACTIONS(3439),
    [aux_sym_proxy_command_token1] = ACTIONS(3439),
    [aux_sym_proxy_jump_token1] = ACTIONS(3439),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3439),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3439),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3439),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3439),
    [aux_sym_rekey_limit_token1] = ACTIONS(3439),
    [aux_sym_remote_command_token1] = ACTIONS(3439),
    [aux_sym_remote_forward_token1] = ACTIONS(3439),
    [aux_sym_request_tty_token1] = ACTIONS(3439),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3439),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3439),
    [aux_sym_security_key_provider_token1] = ACTIONS(3439),
    [aux_sym_send_env_token1] = ACTIONS(3439),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3439),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3439),
    [aux_sym_session_type_token1] = ACTIONS(3439),
    [aux_sym_set_env_token1] = ACTIONS(3439),
    [aux_sym_stdin_null_token1] = ACTIONS(3439),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3439),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3439),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3439),
    [aux_sym_syslog_facility_token1] = ACTIONS(3439),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3439),
    [aux_sym_keep_alive_token1] = ACTIONS(3439),
    [aux_sym_tag_token1] = ACTIONS(3439),
    [aux_sym_tunnel_token1] = ACTIONS(3441),
    [aux_sym_tunnel_device_token1] = ACTIONS(3439),
    [aux_sym_update_host_keys_token1] = ACTIONS(3439),
    [aux_sym_use_keychain_token1] = ACTIONS(3439),
    [aux_sym_use_roaming_token1] = ACTIONS(3439),
    [aux_sym_user_token1] = ACTIONS(3441),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3439),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3439),
    [aux_sym_visual_host_key_token1] = ACTIONS(3439),
    [aux_sym_xauth_location_token1] = ACTIONS(3439),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3445),
    [aux_sym_match_token1] = ACTIONS(3443),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3443),
    [aux_sym_address_family_token1] = ACTIONS(3443),
    [aux_sym_batch_mode_token1] = ACTIONS(3443),
    [aux_sym_bind_address_token1] = ACTIONS(3443),
    [aux_sym_bind_interface_token1] = ACTIONS(3443),
    [aux_sym_canonical_domains_token1] = ACTIONS(3443),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3443),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3443),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3443),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3443),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3443),
    [aux_sym_certificate_file_token1] = ACTIONS(3443),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3443),
    [aux_sym_channel_timeout_token1] = ACTIONS(3443),
    [aux_sym_check_host_ip_token1] = ACTIONS(3443),
    [aux_sym_ciphers_token1] = ACTIONS(3443),
    [aux_sym_cipher_token1] = ACTIONS(3445),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3443),
    [aux_sym_compression_token1] = ACTIONS(3443),
    [aux_sym_connection_attempts_token1] = ACTIONS(3443),
    [aux_sym_connect_timeout_token1] = ACTIONS(3443),
    [aux_sym_control_master_token1] = ACTIONS(3443),
    [aux_sym_control_path_token1] = ACTIONS(3443),
    [aux_sym_control_persist_token1] = ACTIONS(3443),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3443),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3443),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3443),
    [aux_sym_escape_char_token1] = ACTIONS(3443),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3443),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3443),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3443),
    [aux_sym_forward_agent_token1] = ACTIONS(3443),
    [aux_sym_forward_x11_token1] = ACTIONS(3445),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3443),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3443),
    [aux_sym_gateway_ports_token1] = ACTIONS(3443),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3443),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3443),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3443),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3443),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3443),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3443),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3443),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3443),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3443),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3443),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3443),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3443),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3443),
    [aux_sym_host_key_alias_token1] = ACTIONS(3443),
    [aux_sym_hostname_token1] = ACTIONS(3443),
    [aux_sym_identities_only_token1] = ACTIONS(3443),
    [aux_sym_identity_agent_token1] = ACTIONS(3443),
    [aux_sym_identity_file_token1] = ACTIONS(3443),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3443),
    [aux_sym_include_token1] = ACTIONS(3443),
    [aux_sym_ip_qos_token1] = ACTIONS(3443),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3443),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3443),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3443),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3443),
    [aux_sym_local_command_token1] = ACTIONS(3443),
    [aux_sym_local_forward_token1] = ACTIONS(3443),
    [aux_sym_log_level_token1] = ACTIONS(3443),
    [aux_sym_log_verbose_token1] = ACTIONS(3443),
    [aux_sym_macs_token1] = ACTIONS(3443),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3443),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3443),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3443),
    [aux_sym_password_authentication_token1] = ACTIONS(3443),
    [aux_sym_permit_local_command_token1] = ACTIONS(3443),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3443),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3443),
    [aux_sym_port_token1] = ACTIONS(3443),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3443),
    [aux_sym_protocol_token1] = ACTIONS(3443),
    [aux_sym_proxy_command_token1] = ACTIONS(3443),
    [aux_sym_proxy_jump_token1] = ACTIONS(3443),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3443),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3443),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3443),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3443),
    [aux_sym_rekey_limit_token1] = ACTIONS(3443),
    [aux_sym_remote_command_token1] = ACTIONS(3443),
    [aux_sym_remote_forward_token1] = ACTIONS(3443),
    [aux_sym_request_tty_token1] = ACTIONS(3443),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3443),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3443),
    [aux_sym_security_key_provider_token1] = ACTIONS(3443),
    [aux_sym_send_env_token1] = ACTIONS(3443),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3443),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3443),
    [aux_sym_session_type_token1] = ACTIONS(3443),
    [aux_sym_set_env_token1] = ACTIONS(3443),
    [aux_sym_stdin_null_token1] = ACTIONS(3443),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3443),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3443),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3443),
    [aux_sym_syslog_facility_token1] = ACTIONS(3443),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3443),
    [aux_sym_keep_alive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(3443),
    [aux_sym_tunnel_token1] = ACTIONS(3445),
    [aux_sym_tunnel_device_token1] = ACTIONS(3443),
    [aux_sym_update_host_keys_token1] = ACTIONS(3443),
    [aux_sym_use_keychain_token1] = ACTIONS(3443),
    [aux_sym_use_roaming_token1] = ACTIONS(3443),
    [aux_sym_user_token1] = ACTIONS(3445),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3443),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3443),
    [aux_sym_visual_host_key_token1] = ACTIONS(3443),
    [aux_sym_xauth_location_token1] = ACTIONS(3443),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3449),
    [aux_sym_match_token1] = ACTIONS(3447),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3447),
    [aux_sym_address_family_token1] = ACTIONS(3447),
    [aux_sym_batch_mode_token1] = ACTIONS(3447),
    [aux_sym_bind_address_token1] = ACTIONS(3447),
    [aux_sym_bind_interface_token1] = ACTIONS(3447),
    [aux_sym_canonical_domains_token1] = ACTIONS(3447),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3447),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3447),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3447),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3447),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3447),
    [aux_sym_certificate_file_token1] = ACTIONS(3447),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3447),
    [aux_sym_channel_timeout_token1] = ACTIONS(3447),
    [aux_sym_check_host_ip_token1] = ACTIONS(3447),
    [aux_sym_ciphers_token1] = ACTIONS(3447),
    [aux_sym_cipher_token1] = ACTIONS(3449),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3447),
    [aux_sym_compression_token1] = ACTIONS(3447),
    [aux_sym_connection_attempts_token1] = ACTIONS(3447),
    [aux_sym_connect_timeout_token1] = ACTIONS(3447),
    [aux_sym_control_master_token1] = ACTIONS(3447),
    [aux_sym_control_path_token1] = ACTIONS(3447),
    [aux_sym_control_persist_token1] = ACTIONS(3447),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3447),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3447),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3447),
    [aux_sym_escape_char_token1] = ACTIONS(3447),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3447),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3447),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3447),
    [aux_sym_forward_agent_token1] = ACTIONS(3447),
    [aux_sym_forward_x11_token1] = ACTIONS(3449),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3447),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3447),
    [aux_sym_gateway_ports_token1] = ACTIONS(3447),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3447),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3447),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3447),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3447),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3447),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3447),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3447),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3447),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3447),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3447),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3447),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3447),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3447),
    [aux_sym_host_key_alias_token1] = ACTIONS(3447),
    [aux_sym_hostname_token1] = ACTIONS(3447),
    [aux_sym_identities_only_token1] = ACTIONS(3447),
    [aux_sym_identity_agent_token1] = ACTIONS(3447),
    [aux_sym_identity_file_token1] = ACTIONS(3447),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3447),
    [aux_sym_include_token1] = ACTIONS(3447),
    [aux_sym_ip_qos_token1] = ACTIONS(3447),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3447),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3447),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3447),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3447),
    [aux_sym_local_command_token1] = ACTIONS(3447),
    [aux_sym_local_forward_token1] = ACTIONS(3447),
    [aux_sym_log_level_token1] = ACTIONS(3447),
    [aux_sym_log_verbose_token1] = ACTIONS(3447),
    [aux_sym_macs_token1] = ACTIONS(3447),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3447),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3447),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3447),
    [aux_sym_password_authentication_token1] = ACTIONS(3447),
    [aux_sym_permit_local_command_token1] = ACTIONS(3447),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3447),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3447),
    [aux_sym_port_token1] = ACTIONS(3447),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3447),
    [aux_sym_protocol_token1] = ACTIONS(3447),
    [aux_sym_proxy_command_token1] = ACTIONS(3447),
    [aux_sym_proxy_jump_token1] = ACTIONS(3447),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3447),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3447),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3447),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3447),
    [aux_sym_rekey_limit_token1] = ACTIONS(3447),
    [aux_sym_remote_command_token1] = ACTIONS(3447),
    [aux_sym_remote_forward_token1] = ACTIONS(3447),
    [aux_sym_request_tty_token1] = ACTIONS(3447),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3447),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3447),
    [aux_sym_security_key_provider_token1] = ACTIONS(3447),
    [aux_sym_send_env_token1] = ACTIONS(3447),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3447),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3447),
    [aux_sym_session_type_token1] = ACTIONS(3447),
    [aux_sym_set_env_token1] = ACTIONS(3447),
    [aux_sym_stdin_null_token1] = ACTIONS(3447),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3447),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3447),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3447),
    [aux_sym_syslog_facility_token1] = ACTIONS(3447),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3447),
    [aux_sym_keep_alive_token1] = ACTIONS(3447),
    [aux_sym_tag_token1] = ACTIONS(3447),
    [aux_sym_tunnel_token1] = ACTIONS(3449),
    [aux_sym_tunnel_device_token1] = ACTIONS(3447),
    [aux_sym_update_host_keys_token1] = ACTIONS(3447),
    [aux_sym_use_keychain_token1] = ACTIONS(3447),
    [aux_sym_use_roaming_token1] = ACTIONS(3447),
    [aux_sym_user_token1] = ACTIONS(3449),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3447),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3447),
    [aux_sym_visual_host_key_token1] = ACTIONS(3447),
    [aux_sym_xauth_location_token1] = ACTIONS(3447),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3453),
    [aux_sym_match_token1] = ACTIONS(3451),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3451),
    [aux_sym_address_family_token1] = ACTIONS(3451),
    [aux_sym_batch_mode_token1] = ACTIONS(3451),
    [aux_sym_bind_address_token1] = ACTIONS(3451),
    [aux_sym_bind_interface_token1] = ACTIONS(3451),
    [aux_sym_canonical_domains_token1] = ACTIONS(3451),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3451),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3451),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3451),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3451),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3451),
    [aux_sym_certificate_file_token1] = ACTIONS(3451),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3451),
    [aux_sym_channel_timeout_token1] = ACTIONS(3451),
    [aux_sym_check_host_ip_token1] = ACTIONS(3451),
    [aux_sym_ciphers_token1] = ACTIONS(3451),
    [aux_sym_cipher_token1] = ACTIONS(3453),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3451),
    [aux_sym_compression_token1] = ACTIONS(3451),
    [aux_sym_connection_attempts_token1] = ACTIONS(3451),
    [aux_sym_connect_timeout_token1] = ACTIONS(3451),
    [aux_sym_control_master_token1] = ACTIONS(3451),
    [aux_sym_control_path_token1] = ACTIONS(3451),
    [aux_sym_control_persist_token1] = ACTIONS(3451),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3451),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3451),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3451),
    [aux_sym_escape_char_token1] = ACTIONS(3451),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3451),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3451),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3451),
    [aux_sym_forward_agent_token1] = ACTIONS(3451),
    [aux_sym_forward_x11_token1] = ACTIONS(3453),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3451),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3451),
    [aux_sym_gateway_ports_token1] = ACTIONS(3451),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3451),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3451),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3451),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3451),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3451),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3451),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3451),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3451),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3451),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3451),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3451),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3451),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3451),
    [aux_sym_host_key_alias_token1] = ACTIONS(3451),
    [aux_sym_hostname_token1] = ACTIONS(3451),
    [aux_sym_identities_only_token1] = ACTIONS(3451),
    [aux_sym_identity_agent_token1] = ACTIONS(3451),
    [aux_sym_identity_file_token1] = ACTIONS(3451),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3451),
    [aux_sym_include_token1] = ACTIONS(3451),
    [aux_sym_ip_qos_token1] = ACTIONS(3451),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3451),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3451),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3451),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3451),
    [aux_sym_local_command_token1] = ACTIONS(3451),
    [aux_sym_local_forward_token1] = ACTIONS(3451),
    [aux_sym_log_level_token1] = ACTIONS(3451),
    [aux_sym_log_verbose_token1] = ACTIONS(3451),
    [aux_sym_macs_token1] = ACTIONS(3451),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3451),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3451),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3451),
    [aux_sym_password_authentication_token1] = ACTIONS(3451),
    [aux_sym_permit_local_command_token1] = ACTIONS(3451),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3451),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3451),
    [aux_sym_port_token1] = ACTIONS(3451),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3451),
    [aux_sym_protocol_token1] = ACTIONS(3451),
    [aux_sym_proxy_command_token1] = ACTIONS(3451),
    [aux_sym_proxy_jump_token1] = ACTIONS(3451),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3451),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3451),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3451),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3451),
    [aux_sym_rekey_limit_token1] = ACTIONS(3451),
    [aux_sym_remote_command_token1] = ACTIONS(3451),
    [aux_sym_remote_forward_token1] = ACTIONS(3451),
    [aux_sym_request_tty_token1] = ACTIONS(3451),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3451),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3451),
    [aux_sym_security_key_provider_token1] = ACTIONS(3451),
    [aux_sym_send_env_token1] = ACTIONS(3451),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3451),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3451),
    [aux_sym_session_type_token1] = ACTIONS(3451),
    [aux_sym_set_env_token1] = ACTIONS(3451),
    [aux_sym_stdin_null_token1] = ACTIONS(3451),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3451),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3451),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3451),
    [aux_sym_syslog_facility_token1] = ACTIONS(3451),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3451),
    [aux_sym_keep_alive_token1] = ACTIONS(3451),
    [aux_sym_tag_token1] = ACTIONS(3451),
    [aux_sym_tunnel_token1] = ACTIONS(3453),
    [aux_sym_tunnel_device_token1] = ACTIONS(3451),
    [aux_sym_update_host_keys_token1] = ACTIONS(3451),
    [aux_sym_use_keychain_token1] = ACTIONS(3451),
    [aux_sym_use_roaming_token1] = ACTIONS(3451),
    [aux_sym_user_token1] = ACTIONS(3453),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3451),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3451),
    [aux_sym_visual_host_key_token1] = ACTIONS(3451),
    [aux_sym_xauth_location_token1] = ACTIONS(3451),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3457),
    [aux_sym_match_token1] = ACTIONS(3455),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3455),
    [aux_sym_address_family_token1] = ACTIONS(3455),
    [aux_sym_batch_mode_token1] = ACTIONS(3455),
    [aux_sym_bind_address_token1] = ACTIONS(3455),
    [aux_sym_bind_interface_token1] = ACTIONS(3455),
    [aux_sym_canonical_domains_token1] = ACTIONS(3455),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3455),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3455),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3455),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3455),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3455),
    [aux_sym_certificate_file_token1] = ACTIONS(3455),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3455),
    [aux_sym_channel_timeout_token1] = ACTIONS(3455),
    [aux_sym_check_host_ip_token1] = ACTIONS(3455),
    [aux_sym_ciphers_token1] = ACTIONS(3455),
    [aux_sym_cipher_token1] = ACTIONS(3457),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3455),
    [aux_sym_compression_token1] = ACTIONS(3455),
    [aux_sym_connection_attempts_token1] = ACTIONS(3455),
    [aux_sym_connect_timeout_token1] = ACTIONS(3455),
    [aux_sym_control_master_token1] = ACTIONS(3455),
    [aux_sym_control_path_token1] = ACTIONS(3455),
    [aux_sym_control_persist_token1] = ACTIONS(3455),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3455),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3455),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3455),
    [aux_sym_escape_char_token1] = ACTIONS(3455),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3455),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3455),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3455),
    [aux_sym_forward_agent_token1] = ACTIONS(3455),
    [aux_sym_forward_x11_token1] = ACTIONS(3457),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3455),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3455),
    [aux_sym_gateway_ports_token1] = ACTIONS(3455),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3455),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3455),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3455),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3455),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3455),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3455),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3455),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3455),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3455),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3455),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3455),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3455),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3455),
    [aux_sym_host_key_alias_token1] = ACTIONS(3455),
    [aux_sym_hostname_token1] = ACTIONS(3455),
    [aux_sym_identities_only_token1] = ACTIONS(3455),
    [aux_sym_identity_agent_token1] = ACTIONS(3455),
    [aux_sym_identity_file_token1] = ACTIONS(3455),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3455),
    [aux_sym_include_token1] = ACTIONS(3455),
    [aux_sym_ip_qos_token1] = ACTIONS(3455),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3455),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3455),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3455),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3455),
    [aux_sym_local_command_token1] = ACTIONS(3455),
    [aux_sym_local_forward_token1] = ACTIONS(3455),
    [aux_sym_log_level_token1] = ACTIONS(3455),
    [aux_sym_log_verbose_token1] = ACTIONS(3455),
    [aux_sym_macs_token1] = ACTIONS(3455),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3455),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3455),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3455),
    [aux_sym_password_authentication_token1] = ACTIONS(3455),
    [aux_sym_permit_local_command_token1] = ACTIONS(3455),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3455),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3455),
    [aux_sym_port_token1] = ACTIONS(3455),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3455),
    [aux_sym_protocol_token1] = ACTIONS(3455),
    [aux_sym_proxy_command_token1] = ACTIONS(3455),
    [aux_sym_proxy_jump_token1] = ACTIONS(3455),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3455),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3455),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3455),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3455),
    [aux_sym_rekey_limit_token1] = ACTIONS(3455),
    [aux_sym_remote_command_token1] = ACTIONS(3455),
    [aux_sym_remote_forward_token1] = ACTIONS(3455),
    [aux_sym_request_tty_token1] = ACTIONS(3455),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3455),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3455),
    [aux_sym_security_key_provider_token1] = ACTIONS(3455),
    [aux_sym_send_env_token1] = ACTIONS(3455),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3455),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3455),
    [aux_sym_session_type_token1] = ACTIONS(3455),
    [aux_sym_set_env_token1] = ACTIONS(3455),
    [aux_sym_stdin_null_token1] = ACTIONS(3455),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3455),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3455),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3455),
    [aux_sym_syslog_facility_token1] = ACTIONS(3455),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3455),
    [aux_sym_keep_alive_token1] = ACTIONS(3455),
    [aux_sym_tag_token1] = ACTIONS(3455),
    [aux_sym_tunnel_token1] = ACTIONS(3457),
    [aux_sym_tunnel_device_token1] = ACTIONS(3455),
    [aux_sym_update_host_keys_token1] = ACTIONS(3455),
    [aux_sym_use_keychain_token1] = ACTIONS(3455),
    [aux_sym_use_roaming_token1] = ACTIONS(3455),
    [aux_sym_user_token1] = ACTIONS(3457),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3455),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3455),
    [aux_sym_visual_host_key_token1] = ACTIONS(3455),
    [aux_sym_xauth_location_token1] = ACTIONS(3455),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3461),
    [aux_sym_match_token1] = ACTIONS(3459),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3459),
    [aux_sym_address_family_token1] = ACTIONS(3459),
    [aux_sym_batch_mode_token1] = ACTIONS(3459),
    [aux_sym_bind_address_token1] = ACTIONS(3459),
    [aux_sym_bind_interface_token1] = ACTIONS(3459),
    [aux_sym_canonical_domains_token1] = ACTIONS(3459),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3459),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3459),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3459),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3459),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3459),
    [aux_sym_certificate_file_token1] = ACTIONS(3459),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3459),
    [aux_sym_channel_timeout_token1] = ACTIONS(3459),
    [aux_sym_check_host_ip_token1] = ACTIONS(3459),
    [aux_sym_ciphers_token1] = ACTIONS(3459),
    [aux_sym_cipher_token1] = ACTIONS(3461),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3459),
    [aux_sym_compression_token1] = ACTIONS(3459),
    [aux_sym_connection_attempts_token1] = ACTIONS(3459),
    [aux_sym_connect_timeout_token1] = ACTIONS(3459),
    [aux_sym_control_master_token1] = ACTIONS(3459),
    [aux_sym_control_path_token1] = ACTIONS(3459),
    [aux_sym_control_persist_token1] = ACTIONS(3459),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3459),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3459),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3459),
    [aux_sym_escape_char_token1] = ACTIONS(3459),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3459),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3459),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3459),
    [aux_sym_forward_agent_token1] = ACTIONS(3459),
    [aux_sym_forward_x11_token1] = ACTIONS(3461),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3459),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3459),
    [aux_sym_gateway_ports_token1] = ACTIONS(3459),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3459),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3459),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3459),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3459),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3459),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3459),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3459),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3459),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3459),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3459),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3459),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3459),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3459),
    [aux_sym_host_key_alias_token1] = ACTIONS(3459),
    [aux_sym_hostname_token1] = ACTIONS(3459),
    [aux_sym_identities_only_token1] = ACTIONS(3459),
    [aux_sym_identity_agent_token1] = ACTIONS(3459),
    [aux_sym_identity_file_token1] = ACTIONS(3459),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3459),
    [aux_sym_include_token1] = ACTIONS(3459),
    [aux_sym_ip_qos_token1] = ACTIONS(3459),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3459),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3459),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3459),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3459),
    [aux_sym_local_command_token1] = ACTIONS(3459),
    [aux_sym_local_forward_token1] = ACTIONS(3459),
    [aux_sym_log_level_token1] = ACTIONS(3459),
    [aux_sym_log_verbose_token1] = ACTIONS(3459),
    [aux_sym_macs_token1] = ACTIONS(3459),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3459),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3459),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3459),
    [aux_sym_password_authentication_token1] = ACTIONS(3459),
    [aux_sym_permit_local_command_token1] = ACTIONS(3459),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3459),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3459),
    [aux_sym_port_token1] = ACTIONS(3459),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3459),
    [aux_sym_protocol_token1] = ACTIONS(3459),
    [aux_sym_proxy_command_token1] = ACTIONS(3459),
    [aux_sym_proxy_jump_token1] = ACTIONS(3459),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3459),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3459),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3459),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3459),
    [aux_sym_rekey_limit_token1] = ACTIONS(3459),
    [aux_sym_remote_command_token1] = ACTIONS(3459),
    [aux_sym_remote_forward_token1] = ACTIONS(3459),
    [aux_sym_request_tty_token1] = ACTIONS(3459),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3459),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3459),
    [aux_sym_security_key_provider_token1] = ACTIONS(3459),
    [aux_sym_send_env_token1] = ACTIONS(3459),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3459),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3459),
    [aux_sym_session_type_token1] = ACTIONS(3459),
    [aux_sym_set_env_token1] = ACTIONS(3459),
    [aux_sym_stdin_null_token1] = ACTIONS(3459),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3459),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3459),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3459),
    [aux_sym_syslog_facility_token1] = ACTIONS(3459),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3459),
    [aux_sym_keep_alive_token1] = ACTIONS(3459),
    [aux_sym_tag_token1] = ACTIONS(3459),
    [aux_sym_tunnel_token1] = ACTIONS(3461),
    [aux_sym_tunnel_device_token1] = ACTIONS(3459),
    [aux_sym_update_host_keys_token1] = ACTIONS(3459),
    [aux_sym_use_keychain_token1] = ACTIONS(3459),
    [aux_sym_use_roaming_token1] = ACTIONS(3459),
    [aux_sym_user_token1] = ACTIONS(3461),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3459),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3459),
    [aux_sym_visual_host_key_token1] = ACTIONS(3459),
    [aux_sym_xauth_location_token1] = ACTIONS(3459),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3465),
    [aux_sym_match_token1] = ACTIONS(3463),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3463),
    [aux_sym_address_family_token1] = ACTIONS(3463),
    [aux_sym_batch_mode_token1] = ACTIONS(3463),
    [aux_sym_bind_address_token1] = ACTIONS(3463),
    [aux_sym_bind_interface_token1] = ACTIONS(3463),
    [aux_sym_canonical_domains_token1] = ACTIONS(3463),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3463),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3463),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3463),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3463),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3463),
    [aux_sym_certificate_file_token1] = ACTIONS(3463),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3463),
    [aux_sym_channel_timeout_token1] = ACTIONS(3463),
    [aux_sym_check_host_ip_token1] = ACTIONS(3463),
    [aux_sym_ciphers_token1] = ACTIONS(3463),
    [aux_sym_cipher_token1] = ACTIONS(3465),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3463),
    [aux_sym_compression_token1] = ACTIONS(3463),
    [aux_sym_connection_attempts_token1] = ACTIONS(3463),
    [aux_sym_connect_timeout_token1] = ACTIONS(3463),
    [aux_sym_control_master_token1] = ACTIONS(3463),
    [aux_sym_control_path_token1] = ACTIONS(3463),
    [aux_sym_control_persist_token1] = ACTIONS(3463),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3463),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3463),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3463),
    [aux_sym_escape_char_token1] = ACTIONS(3463),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3463),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3463),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3463),
    [aux_sym_forward_agent_token1] = ACTIONS(3463),
    [aux_sym_forward_x11_token1] = ACTIONS(3465),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3463),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3463),
    [aux_sym_gateway_ports_token1] = ACTIONS(3463),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3463),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3463),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3463),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3463),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3463),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3463),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3463),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3463),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3463),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3463),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3463),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3463),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3463),
    [aux_sym_host_key_alias_token1] = ACTIONS(3463),
    [aux_sym_hostname_token1] = ACTIONS(3463),
    [aux_sym_identities_only_token1] = ACTIONS(3463),
    [aux_sym_identity_agent_token1] = ACTIONS(3463),
    [aux_sym_identity_file_token1] = ACTIONS(3463),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3463),
    [aux_sym_include_token1] = ACTIONS(3463),
    [aux_sym_ip_qos_token1] = ACTIONS(3463),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3463),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3463),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3463),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3463),
    [aux_sym_local_command_token1] = ACTIONS(3463),
    [aux_sym_local_forward_token1] = ACTIONS(3463),
    [aux_sym_log_level_token1] = ACTIONS(3463),
    [aux_sym_log_verbose_token1] = ACTIONS(3463),
    [aux_sym_macs_token1] = ACTIONS(3463),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3463),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3463),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3463),
    [aux_sym_password_authentication_token1] = ACTIONS(3463),
    [aux_sym_permit_local_command_token1] = ACTIONS(3463),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3463),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3463),
    [aux_sym_port_token1] = ACTIONS(3463),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3463),
    [aux_sym_protocol_token1] = ACTIONS(3463),
    [aux_sym_proxy_command_token1] = ACTIONS(3463),
    [aux_sym_proxy_jump_token1] = ACTIONS(3463),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3463),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3463),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3463),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3463),
    [aux_sym_rekey_limit_token1] = ACTIONS(3463),
    [aux_sym_remote_command_token1] = ACTIONS(3463),
    [aux_sym_remote_forward_token1] = ACTIONS(3463),
    [aux_sym_request_tty_token1] = ACTIONS(3463),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3463),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3463),
    [aux_sym_security_key_provider_token1] = ACTIONS(3463),
    [aux_sym_send_env_token1] = ACTIONS(3463),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3463),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3463),
    [aux_sym_session_type_token1] = ACTIONS(3463),
    [aux_sym_set_env_token1] = ACTIONS(3463),
    [aux_sym_stdin_null_token1] = ACTIONS(3463),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3463),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3463),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3463),
    [aux_sym_syslog_facility_token1] = ACTIONS(3463),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3463),
    [aux_sym_keep_alive_token1] = ACTIONS(3463),
    [aux_sym_tag_token1] = ACTIONS(3463),
    [aux_sym_tunnel_token1] = ACTIONS(3465),
    [aux_sym_tunnel_device_token1] = ACTIONS(3463),
    [aux_sym_update_host_keys_token1] = ACTIONS(3463),
    [aux_sym_use_keychain_token1] = ACTIONS(3463),
    [aux_sym_use_roaming_token1] = ACTIONS(3463),
    [aux_sym_user_token1] = ACTIONS(3465),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3463),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3463),
    [aux_sym_visual_host_key_token1] = ACTIONS(3463),
    [aux_sym_xauth_location_token1] = ACTIONS(3463),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3469),
    [aux_sym_match_token1] = ACTIONS(3467),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3467),
    [aux_sym_address_family_token1] = ACTIONS(3467),
    [aux_sym_batch_mode_token1] = ACTIONS(3467),
    [aux_sym_bind_address_token1] = ACTIONS(3467),
    [aux_sym_bind_interface_token1] = ACTIONS(3467),
    [aux_sym_canonical_domains_token1] = ACTIONS(3467),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3467),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3467),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3467),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3467),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3467),
    [aux_sym_certificate_file_token1] = ACTIONS(3467),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3467),
    [aux_sym_channel_timeout_token1] = ACTIONS(3467),
    [aux_sym_check_host_ip_token1] = ACTIONS(3467),
    [aux_sym_ciphers_token1] = ACTIONS(3467),
    [aux_sym_cipher_token1] = ACTIONS(3469),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3467),
    [aux_sym_compression_token1] = ACTIONS(3467),
    [aux_sym_connection_attempts_token1] = ACTIONS(3467),
    [aux_sym_connect_timeout_token1] = ACTIONS(3467),
    [aux_sym_control_master_token1] = ACTIONS(3467),
    [aux_sym_control_path_token1] = ACTIONS(3467),
    [aux_sym_control_persist_token1] = ACTIONS(3467),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3467),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3467),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3467),
    [aux_sym_escape_char_token1] = ACTIONS(3467),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3467),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3467),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3467),
    [aux_sym_forward_agent_token1] = ACTIONS(3467),
    [aux_sym_forward_x11_token1] = ACTIONS(3469),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3467),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3467),
    [aux_sym_gateway_ports_token1] = ACTIONS(3467),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3467),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3467),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3467),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3467),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3467),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3467),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3467),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3467),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3467),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3467),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3467),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3467),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3467),
    [aux_sym_host_key_alias_token1] = ACTIONS(3467),
    [aux_sym_hostname_token1] = ACTIONS(3467),
    [aux_sym_identities_only_token1] = ACTIONS(3467),
    [aux_sym_identity_agent_token1] = ACTIONS(3467),
    [aux_sym_identity_file_token1] = ACTIONS(3467),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3467),
    [aux_sym_include_token1] = ACTIONS(3467),
    [aux_sym_ip_qos_token1] = ACTIONS(3467),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3467),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3467),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3467),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3467),
    [aux_sym_local_command_token1] = ACTIONS(3467),
    [aux_sym_local_forward_token1] = ACTIONS(3467),
    [aux_sym_log_level_token1] = ACTIONS(3467),
    [aux_sym_log_verbose_token1] = ACTIONS(3467),
    [aux_sym_macs_token1] = ACTIONS(3467),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3467),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3467),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3467),
    [aux_sym_password_authentication_token1] = ACTIONS(3467),
    [aux_sym_permit_local_command_token1] = ACTIONS(3467),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3467),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3467),
    [aux_sym_port_token1] = ACTIONS(3467),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3467),
    [aux_sym_protocol_token1] = ACTIONS(3467),
    [aux_sym_proxy_command_token1] = ACTIONS(3467),
    [aux_sym_proxy_jump_token1] = ACTIONS(3467),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3467),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3467),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3467),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3467),
    [aux_sym_rekey_limit_token1] = ACTIONS(3467),
    [aux_sym_remote_command_token1] = ACTIONS(3467),
    [aux_sym_remote_forward_token1] = ACTIONS(3467),
    [aux_sym_request_tty_token1] = ACTIONS(3467),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3467),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3467),
    [aux_sym_security_key_provider_token1] = ACTIONS(3467),
    [aux_sym_send_env_token1] = ACTIONS(3467),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3467),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3467),
    [aux_sym_session_type_token1] = ACTIONS(3467),
    [aux_sym_set_env_token1] = ACTIONS(3467),
    [aux_sym_stdin_null_token1] = ACTIONS(3467),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3467),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3467),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3467),
    [aux_sym_syslog_facility_token1] = ACTIONS(3467),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3467),
    [aux_sym_keep_alive_token1] = ACTIONS(3467),
    [aux_sym_tag_token1] = ACTIONS(3467),
    [aux_sym_tunnel_token1] = ACTIONS(3469),
    [aux_sym_tunnel_device_token1] = ACTIONS(3467),
    [aux_sym_update_host_keys_token1] = ACTIONS(3467),
    [aux_sym_use_keychain_token1] = ACTIONS(3467),
    [aux_sym_use_roaming_token1] = ACTIONS(3467),
    [aux_sym_user_token1] = ACTIONS(3469),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3467),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3467),
    [aux_sym_visual_host_key_token1] = ACTIONS(3467),
    [aux_sym_xauth_location_token1] = ACTIONS(3467),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1315),
    [aux_sym_match_token1] = ACTIONS(1313),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1313),
    [aux_sym_address_family_token1] = ACTIONS(1313),
    [aux_sym_batch_mode_token1] = ACTIONS(1313),
    [aux_sym_bind_address_token1] = ACTIONS(1313),
    [aux_sym_bind_interface_token1] = ACTIONS(1313),
    [aux_sym_canonical_domains_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1313),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1313),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1313),
    [aux_sym_certificate_file_token1] = ACTIONS(1313),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1313),
    [aux_sym_channel_timeout_token1] = ACTIONS(1313),
    [aux_sym_check_host_ip_token1] = ACTIONS(1313),
    [aux_sym_ciphers_token1] = ACTIONS(1313),
    [aux_sym_cipher_token1] = ACTIONS(1315),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1313),
    [aux_sym_compression_token1] = ACTIONS(1313),
    [aux_sym_connection_attempts_token1] = ACTIONS(1313),
    [aux_sym_connect_timeout_token1] = ACTIONS(1313),
    [aux_sym_control_master_token1] = ACTIONS(1313),
    [aux_sym_control_path_token1] = ACTIONS(1313),
    [aux_sym_control_persist_token1] = ACTIONS(1313),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1313),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1313),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1313),
    [aux_sym_escape_char_token1] = ACTIONS(1313),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1313),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1313),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1313),
    [aux_sym_forward_agent_token1] = ACTIONS(1313),
    [aux_sym_forward_x11_token1] = ACTIONS(1315),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1313),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1313),
    [aux_sym_gateway_ports_token1] = ACTIONS(1313),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1313),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1313),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1313),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1313),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1313),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1313),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1313),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1313),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1313),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1313),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1313),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1313),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1313),
    [aux_sym_host_key_alias_token1] = ACTIONS(1313),
    [aux_sym_hostname_token1] = ACTIONS(1313),
    [aux_sym_identities_only_token1] = ACTIONS(1313),
    [aux_sym_identity_agent_token1] = ACTIONS(1313),
    [aux_sym_identity_file_token1] = ACTIONS(1313),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1313),
    [aux_sym_include_token1] = ACTIONS(1313),
    [aux_sym_ip_qos_token1] = ACTIONS(1313),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1313),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1313),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1313),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1313),
    [aux_sym_local_command_token1] = ACTIONS(1313),
    [aux_sym_local_forward_token1] = ACTIONS(1313),
    [aux_sym_log_level_token1] = ACTIONS(1313),
    [aux_sym_log_verbose_token1] = ACTIONS(1313),
    [aux_sym_macs_token1] = ACTIONS(1313),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1313),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1313),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1313),
    [aux_sym_password_authentication_token1] = ACTIONS(1313),
    [aux_sym_permit_local_command_token1] = ACTIONS(1313),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1313),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1313),
    [aux_sym_port_token1] = ACTIONS(1313),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1313),
    [aux_sym_protocol_token1] = ACTIONS(1313),
    [aux_sym_proxy_command_token1] = ACTIONS(1313),
    [aux_sym_proxy_jump_token1] = ACTIONS(1313),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1313),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1313),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1313),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1313),
    [aux_sym_rekey_limit_token1] = ACTIONS(1313),
    [aux_sym_remote_command_token1] = ACTIONS(1313),
    [aux_sym_remote_forward_token1] = ACTIONS(1313),
    [aux_sym_request_tty_token1] = ACTIONS(1313),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1313),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1313),
    [aux_sym_security_key_provider_token1] = ACTIONS(1313),
    [aux_sym_send_env_token1] = ACTIONS(1313),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1313),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1313),
    [aux_sym_session_type_token1] = ACTIONS(1313),
    [aux_sym_set_env_token1] = ACTIONS(1313),
    [aux_sym_stdin_null_token1] = ACTIONS(1313),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1313),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1313),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1313),
    [aux_sym_syslog_facility_token1] = ACTIONS(1313),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1313),
    [aux_sym_keep_alive_token1] = ACTIONS(1313),
    [aux_sym_tag_token1] = ACTIONS(1313),
    [aux_sym_tunnel_token1] = ACTIONS(1315),
    [aux_sym_tunnel_device_token1] = ACTIONS(1313),
    [aux_sym_update_host_keys_token1] = ACTIONS(1313),
    [aux_sym_use_keychain_token1] = ACTIONS(1313),
    [aux_sym_use_roaming_token1] = ACTIONS(1313),
    [aux_sym_user_token1] = ACTIONS(1315),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1313),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1313),
    [aux_sym_visual_host_key_token1] = ACTIONS(1313),
    [aux_sym_xauth_location_token1] = ACTIONS(1313),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1621),
    [aux_sym_match_token1] = ACTIONS(1619),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1619),
    [aux_sym_address_family_token1] = ACTIONS(1619),
    [aux_sym_batch_mode_token1] = ACTIONS(1619),
    [aux_sym_bind_address_token1] = ACTIONS(1619),
    [aux_sym_bind_interface_token1] = ACTIONS(1619),
    [aux_sym_canonical_domains_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1619),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1619),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1619),
    [aux_sym_certificate_file_token1] = ACTIONS(1619),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1619),
    [aux_sym_channel_timeout_token1] = ACTIONS(1619),
    [aux_sym_check_host_ip_token1] = ACTIONS(1619),
    [aux_sym_ciphers_token1] = ACTIONS(1619),
    [aux_sym_cipher_token1] = ACTIONS(1621),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1619),
    [aux_sym_compression_token1] = ACTIONS(1619),
    [aux_sym_connection_attempts_token1] = ACTIONS(1619),
    [aux_sym_connect_timeout_token1] = ACTIONS(1619),
    [aux_sym_control_master_token1] = ACTIONS(1619),
    [aux_sym_control_path_token1] = ACTIONS(1619),
    [aux_sym_control_persist_token1] = ACTIONS(1619),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1619),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1619),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1619),
    [aux_sym_escape_char_token1] = ACTIONS(1619),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1619),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1619),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1619),
    [aux_sym_forward_agent_token1] = ACTIONS(1619),
    [aux_sym_forward_x11_token1] = ACTIONS(1621),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1619),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1619),
    [aux_sym_gateway_ports_token1] = ACTIONS(1619),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1619),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1619),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1619),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1619),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1619),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1619),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1619),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1619),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1619),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1619),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1619),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1619),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1619),
    [aux_sym_host_key_alias_token1] = ACTIONS(1619),
    [aux_sym_hostname_token1] = ACTIONS(1619),
    [aux_sym_identities_only_token1] = ACTIONS(1619),
    [aux_sym_identity_agent_token1] = ACTIONS(1619),
    [aux_sym_identity_file_token1] = ACTIONS(1619),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1619),
    [aux_sym_include_token1] = ACTIONS(1619),
    [aux_sym_ip_qos_token1] = ACTIONS(1619),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1619),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1619),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1619),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1619),
    [aux_sym_local_command_token1] = ACTIONS(1619),
    [aux_sym_local_forward_token1] = ACTIONS(1619),
    [aux_sym_log_level_token1] = ACTIONS(1619),
    [aux_sym_log_verbose_token1] = ACTIONS(1619),
    [aux_sym_macs_token1] = ACTIONS(1619),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1619),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1619),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1619),
    [aux_sym_password_authentication_token1] = ACTIONS(1619),
    [aux_sym_permit_local_command_token1] = ACTIONS(1619),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1619),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1619),
    [aux_sym_port_token1] = ACTIONS(1619),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1619),
    [aux_sym_protocol_token1] = ACTIONS(1619),
    [aux_sym_proxy_command_token1] = ACTIONS(1619),
    [aux_sym_proxy_jump_token1] = ACTIONS(1619),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1619),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1619),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1619),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1619),
    [aux_sym_rekey_limit_token1] = ACTIONS(1619),
    [aux_sym_remote_command_token1] = ACTIONS(1619),
    [aux_sym_remote_forward_token1] = ACTIONS(1619),
    [aux_sym_request_tty_token1] = ACTIONS(1619),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1619),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1619),
    [aux_sym_security_key_provider_token1] = ACTIONS(1619),
    [aux_sym_send_env_token1] = ACTIONS(1619),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1619),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1619),
    [aux_sym_session_type_token1] = ACTIONS(1619),
    [aux_sym_set_env_token1] = ACTIONS(1619),
    [aux_sym_stdin_null_token1] = ACTIONS(1619),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1619),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1619),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1619),
    [aux_sym_syslog_facility_token1] = ACTIONS(1619),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1619),
    [aux_sym_keep_alive_token1] = ACTIONS(1619),
    [aux_sym_tag_token1] = ACTIONS(1619),
    [aux_sym_tunnel_token1] = ACTIONS(1621),
    [aux_sym_tunnel_device_token1] = ACTIONS(1619),
    [aux_sym_update_host_keys_token1] = ACTIONS(1619),
    [aux_sym_use_keychain_token1] = ACTIONS(1619),
    [aux_sym_use_roaming_token1] = ACTIONS(1619),
    [aux_sym_user_token1] = ACTIONS(1621),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1619),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1619),
    [aux_sym_visual_host_key_token1] = ACTIONS(1619),
    [aux_sym_xauth_location_token1] = ACTIONS(1619),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1321),
    [aux_sym_match_token1] = ACTIONS(1319),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1319),
    [aux_sym_address_family_token1] = ACTIONS(1319),
    [aux_sym_batch_mode_token1] = ACTIONS(1319),
    [aux_sym_bind_address_token1] = ACTIONS(1319),
    [aux_sym_bind_interface_token1] = ACTIONS(1319),
    [aux_sym_canonical_domains_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1319),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1319),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1319),
    [aux_sym_certificate_file_token1] = ACTIONS(1319),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1319),
    [aux_sym_channel_timeout_token1] = ACTIONS(1319),
    [aux_sym_check_host_ip_token1] = ACTIONS(1319),
    [aux_sym_ciphers_token1] = ACTIONS(1319),
    [aux_sym_cipher_token1] = ACTIONS(1321),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1319),
    [aux_sym_compression_token1] = ACTIONS(1319),
    [aux_sym_connection_attempts_token1] = ACTIONS(1319),
    [aux_sym_connect_timeout_token1] = ACTIONS(1319),
    [aux_sym_control_master_token1] = ACTIONS(1319),
    [aux_sym_control_path_token1] = ACTIONS(1319),
    [aux_sym_control_persist_token1] = ACTIONS(1319),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1319),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1319),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1319),
    [aux_sym_escape_char_token1] = ACTIONS(1319),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1319),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1319),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1319),
    [aux_sym_forward_agent_token1] = ACTIONS(1319),
    [aux_sym_forward_x11_token1] = ACTIONS(1321),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1319),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1319),
    [aux_sym_gateway_ports_token1] = ACTIONS(1319),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1319),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1319),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1319),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1319),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1319),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1319),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1319),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1319),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1319),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1319),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1319),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1319),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1319),
    [aux_sym_host_key_alias_token1] = ACTIONS(1319),
    [aux_sym_hostname_token1] = ACTIONS(1319),
    [aux_sym_identities_only_token1] = ACTIONS(1319),
    [aux_sym_identity_agent_token1] = ACTIONS(1319),
    [aux_sym_identity_file_token1] = ACTIONS(1319),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1319),
    [aux_sym_include_token1] = ACTIONS(1319),
    [aux_sym_ip_qos_token1] = ACTIONS(1319),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1319),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1319),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1319),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1319),
    [aux_sym_local_command_token1] = ACTIONS(1319),
    [aux_sym_local_forward_token1] = ACTIONS(1319),
    [aux_sym_log_level_token1] = ACTIONS(1319),
    [aux_sym_log_verbose_token1] = ACTIONS(1319),
    [aux_sym_macs_token1] = ACTIONS(1319),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1319),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1319),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1319),
    [aux_sym_password_authentication_token1] = ACTIONS(1319),
    [aux_sym_permit_local_command_token1] = ACTIONS(1319),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1319),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1319),
    [aux_sym_port_token1] = ACTIONS(1319),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1319),
    [aux_sym_protocol_token1] = ACTIONS(1319),
    [aux_sym_proxy_command_token1] = ACTIONS(1319),
    [aux_sym_proxy_jump_token1] = ACTIONS(1319),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1319),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1319),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1319),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1319),
    [aux_sym_rekey_limit_token1] = ACTIONS(1319),
    [aux_sym_remote_command_token1] = ACTIONS(1319),
    [aux_sym_remote_forward_token1] = ACTIONS(1319),
    [aux_sym_request_tty_token1] = ACTIONS(1319),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1319),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1319),
    [aux_sym_security_key_provider_token1] = ACTIONS(1319),
    [aux_sym_send_env_token1] = ACTIONS(1319),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1319),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1319),
    [aux_sym_session_type_token1] = ACTIONS(1319),
    [aux_sym_set_env_token1] = ACTIONS(1319),
    [aux_sym_stdin_null_token1] = ACTIONS(1319),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1319),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1319),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1319),
    [aux_sym_syslog_facility_token1] = ACTIONS(1319),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1319),
    [aux_sym_keep_alive_token1] = ACTIONS(1319),
    [aux_sym_tag_token1] = ACTIONS(1319),
    [aux_sym_tunnel_token1] = ACTIONS(1321),
    [aux_sym_tunnel_device_token1] = ACTIONS(1319),
    [aux_sym_update_host_keys_token1] = ACTIONS(1319),
    [aux_sym_use_keychain_token1] = ACTIONS(1319),
    [aux_sym_use_roaming_token1] = ACTIONS(1319),
    [aux_sym_user_token1] = ACTIONS(1321),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1319),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1319),
    [aux_sym_visual_host_key_token1] = ACTIONS(1319),
    [aux_sym_xauth_location_token1] = ACTIONS(1319),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(841),
    [aux_sym_match_token1] = ACTIONS(839),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(839),
    [aux_sym_address_family_token1] = ACTIONS(839),
    [aux_sym_batch_mode_token1] = ACTIONS(839),
    [aux_sym_bind_address_token1] = ACTIONS(839),
    [aux_sym_bind_interface_token1] = ACTIONS(839),
    [aux_sym_canonical_domains_token1] = ACTIONS(839),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(839),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(839),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(839),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(839),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(839),
    [aux_sym_certificate_file_token1] = ACTIONS(839),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(839),
    [aux_sym_channel_timeout_token1] = ACTIONS(839),
    [aux_sym_check_host_ip_token1] = ACTIONS(839),
    [aux_sym_ciphers_token1] = ACTIONS(839),
    [aux_sym_cipher_token1] = ACTIONS(841),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(839),
    [aux_sym_compression_token1] = ACTIONS(839),
    [aux_sym_connection_attempts_token1] = ACTIONS(839),
    [aux_sym_connect_timeout_token1] = ACTIONS(839),
    [aux_sym_control_master_token1] = ACTIONS(839),
    [aux_sym_control_path_token1] = ACTIONS(839),
    [aux_sym_control_persist_token1] = ACTIONS(839),
    [aux_sym_dynamic_forward_token1] = ACTIONS(839),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(839),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(839),
    [aux_sym_escape_char_token1] = ACTIONS(839),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(839),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(839),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(839),
    [aux_sym_forward_agent_token1] = ACTIONS(839),
    [aux_sym_forward_x11_token1] = ACTIONS(841),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(839),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(839),
    [aux_sym_gateway_ports_token1] = ACTIONS(839),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(839),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(839),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(839),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(839),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(839),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(839),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(839),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(839),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(839),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(839),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(839),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(839),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(839),
    [aux_sym_host_key_alias_token1] = ACTIONS(839),
    [aux_sym_hostname_token1] = ACTIONS(839),
    [aux_sym_identities_only_token1] = ACTIONS(839),
    [aux_sym_identity_agent_token1] = ACTIONS(839),
    [aux_sym_identity_file_token1] = ACTIONS(839),
    [aux_sym_ignore_unknown_token1] = ACTIONS(839),
    [aux_sym_include_token1] = ACTIONS(839),
    [aux_sym_ip_qos_token1] = ACTIONS(839),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(839),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(839),
    [aux_sym_kex_algorithms_token1] = ACTIONS(839),
    [aux_sym_known_hosts_command_token1] = ACTIONS(839),
    [aux_sym_local_command_token1] = ACTIONS(839),
    [aux_sym_local_forward_token1] = ACTIONS(839),
    [aux_sym_log_level_token1] = ACTIONS(839),
    [aux_sym_log_verbose_token1] = ACTIONS(839),
    [aux_sym_macs_token1] = ACTIONS(839),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(839),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(839),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(839),
    [aux_sym_password_authentication_token1] = ACTIONS(839),
    [aux_sym_permit_local_command_token1] = ACTIONS(839),
    [aux_sym_permit_remote_open_token1] = ACTIONS(839),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(839),
    [aux_sym_port_token1] = ACTIONS(839),
    [aux_sym_preferred_authentications_token1] = ACTIONS(839),
    [aux_sym_protocol_token1] = ACTIONS(839),
    [aux_sym_proxy_command_token1] = ACTIONS(839),
    [aux_sym_proxy_jump_token1] = ACTIONS(839),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(839),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(839),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(839),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(839),
    [aux_sym_rekey_limit_token1] = ACTIONS(839),
    [aux_sym_remote_command_token1] = ACTIONS(839),
    [aux_sym_remote_forward_token1] = ACTIONS(839),
    [aux_sym_request_tty_token1] = ACTIONS(839),
    [aux_sym_required_rsa_size_token1] = ACTIONS(839),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(839),
    [aux_sym_security_key_provider_token1] = ACTIONS(839),
    [aux_sym_send_env_token1] = ACTIONS(839),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(839),
    [aux_sym_server_alive_interval_token1] = ACTIONS(839),
    [aux_sym_session_type_token1] = ACTIONS(839),
    [aux_sym_set_env_token1] = ACTIONS(839),
    [aux_sym_stdin_null_token1] = ACTIONS(839),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(839),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(839),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(839),
    [aux_sym_syslog_facility_token1] = ACTIONS(839),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(839),
    [aux_sym_keep_alive_token1] = ACTIONS(839),
    [aux_sym_tag_token1] = ACTIONS(839),
    [aux_sym_tunnel_token1] = ACTIONS(841),
    [aux_sym_tunnel_device_token1] = ACTIONS(839),
    [aux_sym_update_host_keys_token1] = ACTIONS(839),
    [aux_sym_use_keychain_token1] = ACTIONS(839),
    [aux_sym_use_roaming_token1] = ACTIONS(839),
    [aux_sym_user_token1] = ACTIONS(841),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(839),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(839),
    [aux_sym_visual_host_key_token1] = ACTIONS(839),
    [aux_sym_xauth_location_token1] = ACTIONS(839),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1327),
    [aux_sym_match_token1] = ACTIONS(1325),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1325),
    [aux_sym_address_family_token1] = ACTIONS(1325),
    [aux_sym_batch_mode_token1] = ACTIONS(1325),
    [aux_sym_bind_address_token1] = ACTIONS(1325),
    [aux_sym_bind_interface_token1] = ACTIONS(1325),
    [aux_sym_canonical_domains_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1325),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1325),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1325),
    [aux_sym_certificate_file_token1] = ACTIONS(1325),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1325),
    [aux_sym_channel_timeout_token1] = ACTIONS(1325),
    [aux_sym_check_host_ip_token1] = ACTIONS(1325),
    [aux_sym_ciphers_token1] = ACTIONS(1325),
    [aux_sym_cipher_token1] = ACTIONS(1327),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1325),
    [aux_sym_compression_token1] = ACTIONS(1325),
    [aux_sym_connection_attempts_token1] = ACTIONS(1325),
    [aux_sym_connect_timeout_token1] = ACTIONS(1325),
    [aux_sym_control_master_token1] = ACTIONS(1325),
    [aux_sym_control_path_token1] = ACTIONS(1325),
    [aux_sym_control_persist_token1] = ACTIONS(1325),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1325),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1325),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1325),
    [aux_sym_escape_char_token1] = ACTIONS(1325),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1325),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1325),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1325),
    [aux_sym_forward_agent_token1] = ACTIONS(1325),
    [aux_sym_forward_x11_token1] = ACTIONS(1327),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1325),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1325),
    [aux_sym_gateway_ports_token1] = ACTIONS(1325),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1325),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1325),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1325),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1325),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1325),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1325),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1325),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1325),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1325),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1325),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1325),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1325),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1325),
    [aux_sym_host_key_alias_token1] = ACTIONS(1325),
    [aux_sym_hostname_token1] = ACTIONS(1325),
    [aux_sym_identities_only_token1] = ACTIONS(1325),
    [aux_sym_identity_agent_token1] = ACTIONS(1325),
    [aux_sym_identity_file_token1] = ACTIONS(1325),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1325),
    [aux_sym_include_token1] = ACTIONS(1325),
    [aux_sym_ip_qos_token1] = ACTIONS(1325),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1325),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1325),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1325),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1325),
    [aux_sym_local_command_token1] = ACTIONS(1325),
    [aux_sym_local_forward_token1] = ACTIONS(1325),
    [aux_sym_log_level_token1] = ACTIONS(1325),
    [aux_sym_log_verbose_token1] = ACTIONS(1325),
    [aux_sym_macs_token1] = ACTIONS(1325),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1325),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1325),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1325),
    [aux_sym_password_authentication_token1] = ACTIONS(1325),
    [aux_sym_permit_local_command_token1] = ACTIONS(1325),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1325),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1325),
    [aux_sym_port_token1] = ACTIONS(1325),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1325),
    [aux_sym_protocol_token1] = ACTIONS(1325),
    [aux_sym_proxy_command_token1] = ACTIONS(1325),
    [aux_sym_proxy_jump_token1] = ACTIONS(1325),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1325),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1325),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1325),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1325),
    [aux_sym_rekey_limit_token1] = ACTIONS(1325),
    [aux_sym_remote_command_token1] = ACTIONS(1325),
    [aux_sym_remote_forward_token1] = ACTIONS(1325),
    [aux_sym_request_tty_token1] = ACTIONS(1325),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1325),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1325),
    [aux_sym_security_key_provider_token1] = ACTIONS(1325),
    [aux_sym_send_env_token1] = ACTIONS(1325),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1325),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1325),
    [aux_sym_session_type_token1] = ACTIONS(1325),
    [aux_sym_set_env_token1] = ACTIONS(1325),
    [aux_sym_stdin_null_token1] = ACTIONS(1325),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1325),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1325),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1325),
    [aux_sym_syslog_facility_token1] = ACTIONS(1325),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1325),
    [aux_sym_keep_alive_token1] = ACTIONS(1325),
    [aux_sym_tag_token1] = ACTIONS(1325),
    [aux_sym_tunnel_token1] = ACTIONS(1327),
    [aux_sym_tunnel_device_token1] = ACTIONS(1325),
    [aux_sym_update_host_keys_token1] = ACTIONS(1325),
    [aux_sym_use_keychain_token1] = ACTIONS(1325),
    [aux_sym_use_roaming_token1] = ACTIONS(1325),
    [aux_sym_user_token1] = ACTIONS(1327),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1325),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1325),
    [aux_sym_visual_host_key_token1] = ACTIONS(1325),
    [aux_sym_xauth_location_token1] = ACTIONS(1325),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1171),
    [aux_sym_match_token1] = ACTIONS(1169),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1169),
    [aux_sym_address_family_token1] = ACTIONS(1169),
    [aux_sym_batch_mode_token1] = ACTIONS(1169),
    [aux_sym_bind_address_token1] = ACTIONS(1169),
    [aux_sym_bind_interface_token1] = ACTIONS(1169),
    [aux_sym_canonical_domains_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1169),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1169),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1169),
    [aux_sym_certificate_file_token1] = ACTIONS(1169),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1169),
    [aux_sym_channel_timeout_token1] = ACTIONS(1169),
    [aux_sym_check_host_ip_token1] = ACTIONS(1169),
    [aux_sym_ciphers_token1] = ACTIONS(1169),
    [aux_sym_cipher_token1] = ACTIONS(1171),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1169),
    [aux_sym_compression_token1] = ACTIONS(1169),
    [aux_sym_connection_attempts_token1] = ACTIONS(1169),
    [aux_sym_connect_timeout_token1] = ACTIONS(1169),
    [aux_sym_control_master_token1] = ACTIONS(1169),
    [aux_sym_control_path_token1] = ACTIONS(1169),
    [aux_sym_control_persist_token1] = ACTIONS(1169),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1169),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1169),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1169),
    [aux_sym_escape_char_token1] = ACTIONS(1169),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1169),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1169),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1169),
    [aux_sym_forward_agent_token1] = ACTIONS(1169),
    [aux_sym_forward_x11_token1] = ACTIONS(1171),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1169),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1169),
    [aux_sym_gateway_ports_token1] = ACTIONS(1169),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1169),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1169),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1169),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1169),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1169),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1169),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1169),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1169),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1169),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1169),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1169),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1169),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1169),
    [aux_sym_host_key_alias_token1] = ACTIONS(1169),
    [aux_sym_hostname_token1] = ACTIONS(1169),
    [aux_sym_identities_only_token1] = ACTIONS(1169),
    [aux_sym_identity_agent_token1] = ACTIONS(1169),
    [aux_sym_identity_file_token1] = ACTIONS(1169),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1169),
    [aux_sym_include_token1] = ACTIONS(1169),
    [aux_sym_ip_qos_token1] = ACTIONS(1169),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1169),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1169),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1169),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1169),
    [aux_sym_local_command_token1] = ACTIONS(1169),
    [aux_sym_local_forward_token1] = ACTIONS(1169),
    [aux_sym_log_level_token1] = ACTIONS(1169),
    [aux_sym_log_verbose_token1] = ACTIONS(1169),
    [aux_sym_macs_token1] = ACTIONS(1169),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1169),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1169),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1169),
    [aux_sym_password_authentication_token1] = ACTIONS(1169),
    [aux_sym_permit_local_command_token1] = ACTIONS(1169),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1169),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1169),
    [aux_sym_port_token1] = ACTIONS(1169),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1169),
    [aux_sym_protocol_token1] = ACTIONS(1169),
    [aux_sym_proxy_command_token1] = ACTIONS(1169),
    [aux_sym_proxy_jump_token1] = ACTIONS(1169),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1169),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1169),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1169),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1169),
    [aux_sym_rekey_limit_token1] = ACTIONS(1169),
    [aux_sym_remote_command_token1] = ACTIONS(1169),
    [aux_sym_remote_forward_token1] = ACTIONS(1169),
    [aux_sym_request_tty_token1] = ACTIONS(1169),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1169),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1169),
    [aux_sym_security_key_provider_token1] = ACTIONS(1169),
    [aux_sym_send_env_token1] = ACTIONS(1169),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1169),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1169),
    [aux_sym_session_type_token1] = ACTIONS(1169),
    [aux_sym_set_env_token1] = ACTIONS(1169),
    [aux_sym_stdin_null_token1] = ACTIONS(1169),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1169),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1169),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1169),
    [aux_sym_syslog_facility_token1] = ACTIONS(1169),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1169),
    [aux_sym_keep_alive_token1] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [aux_sym_tunnel_token1] = ACTIONS(1171),
    [aux_sym_tunnel_device_token1] = ACTIONS(1169),
    [aux_sym_update_host_keys_token1] = ACTIONS(1169),
    [aux_sym_use_keychain_token1] = ACTIONS(1169),
    [aux_sym_use_roaming_token1] = ACTIONS(1169),
    [aux_sym_user_token1] = ACTIONS(1171),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1169),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1169),
    [aux_sym_visual_host_key_token1] = ACTIONS(1169),
    [aux_sym_xauth_location_token1] = ACTIONS(1169),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3473),
    [aux_sym_match_token1] = ACTIONS(3471),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3471),
    [aux_sym_address_family_token1] = ACTIONS(3471),
    [aux_sym_batch_mode_token1] = ACTIONS(3471),
    [aux_sym_bind_address_token1] = ACTIONS(3471),
    [aux_sym_bind_interface_token1] = ACTIONS(3471),
    [aux_sym_canonical_domains_token1] = ACTIONS(3471),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3471),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3471),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3471),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3471),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3471),
    [aux_sym_certificate_file_token1] = ACTIONS(3471),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3471),
    [aux_sym_channel_timeout_token1] = ACTIONS(3471),
    [aux_sym_check_host_ip_token1] = ACTIONS(3471),
    [aux_sym_ciphers_token1] = ACTIONS(3471),
    [aux_sym_cipher_token1] = ACTIONS(3473),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3471),
    [aux_sym_compression_token1] = ACTIONS(3471),
    [aux_sym_connection_attempts_token1] = ACTIONS(3471),
    [aux_sym_connect_timeout_token1] = ACTIONS(3471),
    [aux_sym_control_master_token1] = ACTIONS(3471),
    [aux_sym_control_path_token1] = ACTIONS(3471),
    [aux_sym_control_persist_token1] = ACTIONS(3471),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3471),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3471),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3471),
    [aux_sym_escape_char_token1] = ACTIONS(3471),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3471),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3471),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3471),
    [aux_sym_forward_agent_token1] = ACTIONS(3471),
    [aux_sym_forward_x11_token1] = ACTIONS(3473),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3471),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3471),
    [aux_sym_gateway_ports_token1] = ACTIONS(3471),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3471),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3471),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3471),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3471),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3471),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3471),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3471),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3471),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3471),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3471),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3471),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3471),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3471),
    [aux_sym_host_key_alias_token1] = ACTIONS(3471),
    [aux_sym_hostname_token1] = ACTIONS(3471),
    [aux_sym_identities_only_token1] = ACTIONS(3471),
    [aux_sym_identity_agent_token1] = ACTIONS(3471),
    [aux_sym_identity_file_token1] = ACTIONS(3471),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3471),
    [aux_sym_include_token1] = ACTIONS(3471),
    [aux_sym_ip_qos_token1] = ACTIONS(3471),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3471),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3471),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3471),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3471),
    [aux_sym_local_command_token1] = ACTIONS(3471),
    [aux_sym_local_forward_token1] = ACTIONS(3471),
    [aux_sym_log_level_token1] = ACTIONS(3471),
    [aux_sym_log_verbose_token1] = ACTIONS(3471),
    [aux_sym_macs_token1] = ACTIONS(3471),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3471),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3471),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3471),
    [aux_sym_password_authentication_token1] = ACTIONS(3471),
    [aux_sym_permit_local_command_token1] = ACTIONS(3471),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3471),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3471),
    [aux_sym_port_token1] = ACTIONS(3471),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3471),
    [aux_sym_protocol_token1] = ACTIONS(3471),
    [aux_sym_proxy_command_token1] = ACTIONS(3471),
    [aux_sym_proxy_jump_token1] = ACTIONS(3471),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3471),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3471),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3471),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3471),
    [aux_sym_rekey_limit_token1] = ACTIONS(3471),
    [aux_sym_remote_command_token1] = ACTIONS(3471),
    [aux_sym_remote_forward_token1] = ACTIONS(3471),
    [aux_sym_request_tty_token1] = ACTIONS(3471),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3471),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3471),
    [aux_sym_security_key_provider_token1] = ACTIONS(3471),
    [aux_sym_send_env_token1] = ACTIONS(3471),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3471),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3471),
    [aux_sym_session_type_token1] = ACTIONS(3471),
    [aux_sym_set_env_token1] = ACTIONS(3471),
    [aux_sym_stdin_null_token1] = ACTIONS(3471),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3471),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3471),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3471),
    [aux_sym_syslog_facility_token1] = ACTIONS(3471),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3471),
    [aux_sym_keep_alive_token1] = ACTIONS(3471),
    [aux_sym_tag_token1] = ACTIONS(3471),
    [aux_sym_tunnel_token1] = ACTIONS(3473),
    [aux_sym_tunnel_device_token1] = ACTIONS(3471),
    [aux_sym_update_host_keys_token1] = ACTIONS(3471),
    [aux_sym_use_keychain_token1] = ACTIONS(3471),
    [aux_sym_use_roaming_token1] = ACTIONS(3471),
    [aux_sym_user_token1] = ACTIONS(3473),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3471),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3471),
    [aux_sym_visual_host_key_token1] = ACTIONS(3471),
    [aux_sym_xauth_location_token1] = ACTIONS(3471),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3477),
    [aux_sym_match_token1] = ACTIONS(3475),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3475),
    [aux_sym_address_family_token1] = ACTIONS(3475),
    [aux_sym_batch_mode_token1] = ACTIONS(3475),
    [aux_sym_bind_address_token1] = ACTIONS(3475),
    [aux_sym_bind_interface_token1] = ACTIONS(3475),
    [aux_sym_canonical_domains_token1] = ACTIONS(3475),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3475),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3475),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3475),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3475),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3475),
    [aux_sym_certificate_file_token1] = ACTIONS(3475),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3475),
    [aux_sym_channel_timeout_token1] = ACTIONS(3475),
    [aux_sym_check_host_ip_token1] = ACTIONS(3475),
    [aux_sym_ciphers_token1] = ACTIONS(3475),
    [aux_sym_cipher_token1] = ACTIONS(3477),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3475),
    [aux_sym_compression_token1] = ACTIONS(3475),
    [aux_sym_connection_attempts_token1] = ACTIONS(3475),
    [aux_sym_connect_timeout_token1] = ACTIONS(3475),
    [aux_sym_control_master_token1] = ACTIONS(3475),
    [aux_sym_control_path_token1] = ACTIONS(3475),
    [aux_sym_control_persist_token1] = ACTIONS(3475),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3475),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3475),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3475),
    [aux_sym_escape_char_token1] = ACTIONS(3475),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3475),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3475),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3475),
    [aux_sym_forward_agent_token1] = ACTIONS(3475),
    [aux_sym_forward_x11_token1] = ACTIONS(3477),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3475),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3475),
    [aux_sym_gateway_ports_token1] = ACTIONS(3475),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3475),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3475),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3475),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3475),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3475),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3475),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3475),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3475),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3475),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3475),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3475),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3475),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3475),
    [aux_sym_host_key_alias_token1] = ACTIONS(3475),
    [aux_sym_hostname_token1] = ACTIONS(3475),
    [aux_sym_identities_only_token1] = ACTIONS(3475),
    [aux_sym_identity_agent_token1] = ACTIONS(3475),
    [aux_sym_identity_file_token1] = ACTIONS(3475),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3475),
    [aux_sym_include_token1] = ACTIONS(3475),
    [aux_sym_ip_qos_token1] = ACTIONS(3475),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3475),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3475),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3475),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3475),
    [aux_sym_local_command_token1] = ACTIONS(3475),
    [aux_sym_local_forward_token1] = ACTIONS(3475),
    [aux_sym_log_level_token1] = ACTIONS(3475),
    [aux_sym_log_verbose_token1] = ACTIONS(3475),
    [aux_sym_macs_token1] = ACTIONS(3475),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3475),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3475),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3475),
    [aux_sym_password_authentication_token1] = ACTIONS(3475),
    [aux_sym_permit_local_command_token1] = ACTIONS(3475),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3475),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3475),
    [aux_sym_port_token1] = ACTIONS(3475),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3475),
    [aux_sym_protocol_token1] = ACTIONS(3475),
    [aux_sym_proxy_command_token1] = ACTIONS(3475),
    [aux_sym_proxy_jump_token1] = ACTIONS(3475),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3475),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3475),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3475),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3475),
    [aux_sym_rekey_limit_token1] = ACTIONS(3475),
    [aux_sym_remote_command_token1] = ACTIONS(3475),
    [aux_sym_remote_forward_token1] = ACTIONS(3475),
    [aux_sym_request_tty_token1] = ACTIONS(3475),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3475),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3475),
    [aux_sym_security_key_provider_token1] = ACTIONS(3475),
    [aux_sym_send_env_token1] = ACTIONS(3475),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3475),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3475),
    [aux_sym_session_type_token1] = ACTIONS(3475),
    [aux_sym_set_env_token1] = ACTIONS(3475),
    [aux_sym_stdin_null_token1] = ACTIONS(3475),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3475),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3475),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3475),
    [aux_sym_syslog_facility_token1] = ACTIONS(3475),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3475),
    [aux_sym_keep_alive_token1] = ACTIONS(3475),
    [aux_sym_tag_token1] = ACTIONS(3475),
    [aux_sym_tunnel_token1] = ACTIONS(3477),
    [aux_sym_tunnel_device_token1] = ACTIONS(3475),
    [aux_sym_update_host_keys_token1] = ACTIONS(3475),
    [aux_sym_use_keychain_token1] = ACTIONS(3475),
    [aux_sym_use_roaming_token1] = ACTIONS(3475),
    [aux_sym_user_token1] = ACTIONS(3477),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3475),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3475),
    [aux_sym_visual_host_key_token1] = ACTIONS(3475),
    [aux_sym_xauth_location_token1] = ACTIONS(3475),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3481),
    [aux_sym_match_token1] = ACTIONS(3479),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3479),
    [aux_sym_address_family_token1] = ACTIONS(3479),
    [aux_sym_batch_mode_token1] = ACTIONS(3479),
    [aux_sym_bind_address_token1] = ACTIONS(3479),
    [aux_sym_bind_interface_token1] = ACTIONS(3479),
    [aux_sym_canonical_domains_token1] = ACTIONS(3479),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3479),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3479),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3479),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3479),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3479),
    [aux_sym_certificate_file_token1] = ACTIONS(3479),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3479),
    [aux_sym_channel_timeout_token1] = ACTIONS(3479),
    [aux_sym_check_host_ip_token1] = ACTIONS(3479),
    [aux_sym_ciphers_token1] = ACTIONS(3479),
    [aux_sym_cipher_token1] = ACTIONS(3481),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3479),
    [aux_sym_compression_token1] = ACTIONS(3479),
    [aux_sym_connection_attempts_token1] = ACTIONS(3479),
    [aux_sym_connect_timeout_token1] = ACTIONS(3479),
    [aux_sym_control_master_token1] = ACTIONS(3479),
    [aux_sym_control_path_token1] = ACTIONS(3479),
    [aux_sym_control_persist_token1] = ACTIONS(3479),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3479),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3479),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3479),
    [aux_sym_escape_char_token1] = ACTIONS(3479),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3479),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3479),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3479),
    [aux_sym_forward_agent_token1] = ACTIONS(3479),
    [aux_sym_forward_x11_token1] = ACTIONS(3481),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3479),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3479),
    [aux_sym_gateway_ports_token1] = ACTIONS(3479),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3479),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3479),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3479),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3479),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3479),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3479),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3479),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3479),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3479),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3479),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3479),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3479),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3479),
    [aux_sym_host_key_alias_token1] = ACTIONS(3479),
    [aux_sym_hostname_token1] = ACTIONS(3479),
    [aux_sym_identities_only_token1] = ACTIONS(3479),
    [aux_sym_identity_agent_token1] = ACTIONS(3479),
    [aux_sym_identity_file_token1] = ACTIONS(3479),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3479),
    [aux_sym_include_token1] = ACTIONS(3479),
    [aux_sym_ip_qos_token1] = ACTIONS(3479),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3479),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3479),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3479),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3479),
    [aux_sym_local_command_token1] = ACTIONS(3479),
    [aux_sym_local_forward_token1] = ACTIONS(3479),
    [aux_sym_log_level_token1] = ACTIONS(3479),
    [aux_sym_log_verbose_token1] = ACTIONS(3479),
    [aux_sym_macs_token1] = ACTIONS(3479),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3479),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3479),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3479),
    [aux_sym_password_authentication_token1] = ACTIONS(3479),
    [aux_sym_permit_local_command_token1] = ACTIONS(3479),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3479),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3479),
    [aux_sym_port_token1] = ACTIONS(3479),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3479),
    [aux_sym_protocol_token1] = ACTIONS(3479),
    [aux_sym_proxy_command_token1] = ACTIONS(3479),
    [aux_sym_proxy_jump_token1] = ACTIONS(3479),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3479),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3479),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3479),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3479),
    [aux_sym_rekey_limit_token1] = ACTIONS(3479),
    [aux_sym_remote_command_token1] = ACTIONS(3479),
    [aux_sym_remote_forward_token1] = ACTIONS(3479),
    [aux_sym_request_tty_token1] = ACTIONS(3479),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3479),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3479),
    [aux_sym_security_key_provider_token1] = ACTIONS(3479),
    [aux_sym_send_env_token1] = ACTIONS(3479),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3479),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3479),
    [aux_sym_session_type_token1] = ACTIONS(3479),
    [aux_sym_set_env_token1] = ACTIONS(3479),
    [aux_sym_stdin_null_token1] = ACTIONS(3479),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3479),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3479),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3479),
    [aux_sym_syslog_facility_token1] = ACTIONS(3479),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3479),
    [aux_sym_keep_alive_token1] = ACTIONS(3479),
    [aux_sym_tag_token1] = ACTIONS(3479),
    [aux_sym_tunnel_token1] = ACTIONS(3481),
    [aux_sym_tunnel_device_token1] = ACTIONS(3479),
    [aux_sym_update_host_keys_token1] = ACTIONS(3479),
    [aux_sym_use_keychain_token1] = ACTIONS(3479),
    [aux_sym_use_roaming_token1] = ACTIONS(3479),
    [aux_sym_user_token1] = ACTIONS(3481),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3479),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3479),
    [aux_sym_visual_host_key_token1] = ACTIONS(3479),
    [aux_sym_xauth_location_token1] = ACTIONS(3479),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1033),
    [aux_sym_match_token1] = ACTIONS(1031),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1031),
    [aux_sym_address_family_token1] = ACTIONS(1031),
    [aux_sym_batch_mode_token1] = ACTIONS(1031),
    [aux_sym_bind_address_token1] = ACTIONS(1031),
    [aux_sym_bind_interface_token1] = ACTIONS(1031),
    [aux_sym_canonical_domains_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1031),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1031),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1031),
    [aux_sym_certificate_file_token1] = ACTIONS(1031),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1031),
    [aux_sym_channel_timeout_token1] = ACTIONS(1031),
    [aux_sym_check_host_ip_token1] = ACTIONS(1031),
    [aux_sym_ciphers_token1] = ACTIONS(1031),
    [aux_sym_cipher_token1] = ACTIONS(1033),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1031),
    [aux_sym_compression_token1] = ACTIONS(1031),
    [aux_sym_connection_attempts_token1] = ACTIONS(1031),
    [aux_sym_connect_timeout_token1] = ACTIONS(1031),
    [aux_sym_control_master_token1] = ACTIONS(1031),
    [aux_sym_control_path_token1] = ACTIONS(1031),
    [aux_sym_control_persist_token1] = ACTIONS(1031),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1031),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1031),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1031),
    [aux_sym_escape_char_token1] = ACTIONS(1031),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1031),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1031),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1031),
    [aux_sym_forward_agent_token1] = ACTIONS(1031),
    [aux_sym_forward_x11_token1] = ACTIONS(1033),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1031),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1031),
    [aux_sym_gateway_ports_token1] = ACTIONS(1031),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1031),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1031),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1031),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1031),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1031),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1031),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1031),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1031),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1031),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1031),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1031),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1031),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1031),
    [aux_sym_host_key_alias_token1] = ACTIONS(1031),
    [aux_sym_hostname_token1] = ACTIONS(1031),
    [aux_sym_identities_only_token1] = ACTIONS(1031),
    [aux_sym_identity_agent_token1] = ACTIONS(1031),
    [aux_sym_identity_file_token1] = ACTIONS(1031),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1031),
    [aux_sym_include_token1] = ACTIONS(1031),
    [aux_sym_ip_qos_token1] = ACTIONS(1031),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1031),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1031),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1031),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1031),
    [aux_sym_local_command_token1] = ACTIONS(1031),
    [aux_sym_local_forward_token1] = ACTIONS(1031),
    [aux_sym_log_level_token1] = ACTIONS(1031),
    [aux_sym_log_verbose_token1] = ACTIONS(1031),
    [aux_sym_macs_token1] = ACTIONS(1031),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1031),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1031),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1031),
    [aux_sym_password_authentication_token1] = ACTIONS(1031),
    [aux_sym_permit_local_command_token1] = ACTIONS(1031),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1031),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1031),
    [aux_sym_port_token1] = ACTIONS(1031),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1031),
    [aux_sym_protocol_token1] = ACTIONS(1031),
    [aux_sym_proxy_command_token1] = ACTIONS(1031),
    [aux_sym_proxy_jump_token1] = ACTIONS(1031),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1031),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1031),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1031),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1031),
    [aux_sym_rekey_limit_token1] = ACTIONS(1031),
    [aux_sym_remote_command_token1] = ACTIONS(1031),
    [aux_sym_remote_forward_token1] = ACTIONS(1031),
    [aux_sym_request_tty_token1] = ACTIONS(1031),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1031),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1031),
    [aux_sym_security_key_provider_token1] = ACTIONS(1031),
    [aux_sym_send_env_token1] = ACTIONS(1031),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1031),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1031),
    [aux_sym_session_type_token1] = ACTIONS(1031),
    [aux_sym_set_env_token1] = ACTIONS(1031),
    [aux_sym_stdin_null_token1] = ACTIONS(1031),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1031),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1031),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1031),
    [aux_sym_syslog_facility_token1] = ACTIONS(1031),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1031),
    [aux_sym_keep_alive_token1] = ACTIONS(1031),
    [aux_sym_tag_token1] = ACTIONS(1031),
    [aux_sym_tunnel_token1] = ACTIONS(1033),
    [aux_sym_tunnel_device_token1] = ACTIONS(1031),
    [aux_sym_update_host_keys_token1] = ACTIONS(1031),
    [aux_sym_use_keychain_token1] = ACTIONS(1031),
    [aux_sym_use_roaming_token1] = ACTIONS(1031),
    [aux_sym_user_token1] = ACTIONS(1033),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1031),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1031),
    [aux_sym_visual_host_key_token1] = ACTIONS(1031),
    [aux_sym_xauth_location_token1] = ACTIONS(1031),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1027),
    [aux_sym_match_token1] = ACTIONS(1025),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1025),
    [aux_sym_address_family_token1] = ACTIONS(1025),
    [aux_sym_batch_mode_token1] = ACTIONS(1025),
    [aux_sym_bind_address_token1] = ACTIONS(1025),
    [aux_sym_bind_interface_token1] = ACTIONS(1025),
    [aux_sym_canonical_domains_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1025),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1025),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1025),
    [aux_sym_certificate_file_token1] = ACTIONS(1025),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1025),
    [aux_sym_channel_timeout_token1] = ACTIONS(1025),
    [aux_sym_check_host_ip_token1] = ACTIONS(1025),
    [aux_sym_ciphers_token1] = ACTIONS(1025),
    [aux_sym_cipher_token1] = ACTIONS(1027),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1025),
    [aux_sym_compression_token1] = ACTIONS(1025),
    [aux_sym_connection_attempts_token1] = ACTIONS(1025),
    [aux_sym_connect_timeout_token1] = ACTIONS(1025),
    [aux_sym_control_master_token1] = ACTIONS(1025),
    [aux_sym_control_path_token1] = ACTIONS(1025),
    [aux_sym_control_persist_token1] = ACTIONS(1025),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1025),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1025),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1025),
    [aux_sym_escape_char_token1] = ACTIONS(1025),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1025),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1025),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1025),
    [aux_sym_forward_agent_token1] = ACTIONS(1025),
    [aux_sym_forward_x11_token1] = ACTIONS(1027),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1025),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1025),
    [aux_sym_gateway_ports_token1] = ACTIONS(1025),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1025),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1025),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1025),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1025),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1025),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1025),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1025),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1025),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1025),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1025),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1025),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1025),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1025),
    [aux_sym_host_key_alias_token1] = ACTIONS(1025),
    [aux_sym_hostname_token1] = ACTIONS(1025),
    [aux_sym_identities_only_token1] = ACTIONS(1025),
    [aux_sym_identity_agent_token1] = ACTIONS(1025),
    [aux_sym_identity_file_token1] = ACTIONS(1025),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1025),
    [aux_sym_include_token1] = ACTIONS(1025),
    [aux_sym_ip_qos_token1] = ACTIONS(1025),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1025),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1025),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1025),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1025),
    [aux_sym_local_command_token1] = ACTIONS(1025),
    [aux_sym_local_forward_token1] = ACTIONS(1025),
    [aux_sym_log_level_token1] = ACTIONS(1025),
    [aux_sym_log_verbose_token1] = ACTIONS(1025),
    [aux_sym_macs_token1] = ACTIONS(1025),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1025),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1025),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1025),
    [aux_sym_password_authentication_token1] = ACTIONS(1025),
    [aux_sym_permit_local_command_token1] = ACTIONS(1025),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1025),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1025),
    [aux_sym_port_token1] = ACTIONS(1025),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1025),
    [aux_sym_protocol_token1] = ACTIONS(1025),
    [aux_sym_proxy_command_token1] = ACTIONS(1025),
    [aux_sym_proxy_jump_token1] = ACTIONS(1025),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1025),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1025),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1025),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1025),
    [aux_sym_rekey_limit_token1] = ACTIONS(1025),
    [aux_sym_remote_command_token1] = ACTIONS(1025),
    [aux_sym_remote_forward_token1] = ACTIONS(1025),
    [aux_sym_request_tty_token1] = ACTIONS(1025),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1025),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1025),
    [aux_sym_security_key_provider_token1] = ACTIONS(1025),
    [aux_sym_send_env_token1] = ACTIONS(1025),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1025),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1025),
    [aux_sym_session_type_token1] = ACTIONS(1025),
    [aux_sym_set_env_token1] = ACTIONS(1025),
    [aux_sym_stdin_null_token1] = ACTIONS(1025),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1025),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1025),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1025),
    [aux_sym_syslog_facility_token1] = ACTIONS(1025),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1025),
    [aux_sym_keep_alive_token1] = ACTIONS(1025),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [aux_sym_tunnel_token1] = ACTIONS(1027),
    [aux_sym_tunnel_device_token1] = ACTIONS(1025),
    [aux_sym_update_host_keys_token1] = ACTIONS(1025),
    [aux_sym_use_keychain_token1] = ACTIONS(1025),
    [aux_sym_use_roaming_token1] = ACTIONS(1025),
    [aux_sym_user_token1] = ACTIONS(1027),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1025),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1025),
    [aux_sym_visual_host_key_token1] = ACTIONS(1025),
    [aux_sym_xauth_location_token1] = ACTIONS(1025),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3485),
    [aux_sym_match_token1] = ACTIONS(3483),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3483),
    [aux_sym_address_family_token1] = ACTIONS(3483),
    [aux_sym_batch_mode_token1] = ACTIONS(3483),
    [aux_sym_bind_address_token1] = ACTIONS(3483),
    [aux_sym_bind_interface_token1] = ACTIONS(3483),
    [aux_sym_canonical_domains_token1] = ACTIONS(3483),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3483),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3483),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3483),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3483),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3483),
    [aux_sym_certificate_file_token1] = ACTIONS(3483),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3483),
    [aux_sym_channel_timeout_token1] = ACTIONS(3483),
    [aux_sym_check_host_ip_token1] = ACTIONS(3483),
    [aux_sym_ciphers_token1] = ACTIONS(3483),
    [aux_sym_cipher_token1] = ACTIONS(3485),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3483),
    [aux_sym_compression_token1] = ACTIONS(3483),
    [aux_sym_connection_attempts_token1] = ACTIONS(3483),
    [aux_sym_connect_timeout_token1] = ACTIONS(3483),
    [aux_sym_control_master_token1] = ACTIONS(3483),
    [aux_sym_control_path_token1] = ACTIONS(3483),
    [aux_sym_control_persist_token1] = ACTIONS(3483),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3483),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3483),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3483),
    [aux_sym_escape_char_token1] = ACTIONS(3483),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3483),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3483),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3483),
    [aux_sym_forward_agent_token1] = ACTIONS(3483),
    [aux_sym_forward_x11_token1] = ACTIONS(3485),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3483),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3483),
    [aux_sym_gateway_ports_token1] = ACTIONS(3483),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3483),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3483),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3483),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3483),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3483),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3483),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3483),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3483),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3483),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3483),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3483),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3483),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3483),
    [aux_sym_host_key_alias_token1] = ACTIONS(3483),
    [aux_sym_hostname_token1] = ACTIONS(3483),
    [aux_sym_identities_only_token1] = ACTIONS(3483),
    [aux_sym_identity_agent_token1] = ACTIONS(3483),
    [aux_sym_identity_file_token1] = ACTIONS(3483),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3483),
    [aux_sym_include_token1] = ACTIONS(3483),
    [aux_sym_ip_qos_token1] = ACTIONS(3483),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3483),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3483),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3483),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3483),
    [aux_sym_local_command_token1] = ACTIONS(3483),
    [aux_sym_local_forward_token1] = ACTIONS(3483),
    [aux_sym_log_level_token1] = ACTIONS(3483),
    [aux_sym_log_verbose_token1] = ACTIONS(3483),
    [aux_sym_macs_token1] = ACTIONS(3483),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3483),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3483),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3483),
    [aux_sym_password_authentication_token1] = ACTIONS(3483),
    [aux_sym_permit_local_command_token1] = ACTIONS(3483),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3483),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3483),
    [aux_sym_port_token1] = ACTIONS(3483),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3483),
    [aux_sym_protocol_token1] = ACTIONS(3483),
    [aux_sym_proxy_command_token1] = ACTIONS(3483),
    [aux_sym_proxy_jump_token1] = ACTIONS(3483),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3483),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3483),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3483),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3483),
    [aux_sym_rekey_limit_token1] = ACTIONS(3483),
    [aux_sym_remote_command_token1] = ACTIONS(3483),
    [aux_sym_remote_forward_token1] = ACTIONS(3483),
    [aux_sym_request_tty_token1] = ACTIONS(3483),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3483),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3483),
    [aux_sym_security_key_provider_token1] = ACTIONS(3483),
    [aux_sym_send_env_token1] = ACTIONS(3483),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3483),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3483),
    [aux_sym_session_type_token1] = ACTIONS(3483),
    [aux_sym_set_env_token1] = ACTIONS(3483),
    [aux_sym_stdin_null_token1] = ACTIONS(3483),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3483),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3483),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3483),
    [aux_sym_syslog_facility_token1] = ACTIONS(3483),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3483),
    [aux_sym_keep_alive_token1] = ACTIONS(3483),
    [aux_sym_tag_token1] = ACTIONS(3483),
    [aux_sym_tunnel_token1] = ACTIONS(3485),
    [aux_sym_tunnel_device_token1] = ACTIONS(3483),
    [aux_sym_update_host_keys_token1] = ACTIONS(3483),
    [aux_sym_use_keychain_token1] = ACTIONS(3483),
    [aux_sym_use_roaming_token1] = ACTIONS(3483),
    [aux_sym_user_token1] = ACTIONS(3485),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3483),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3483),
    [aux_sym_visual_host_key_token1] = ACTIONS(3483),
    [aux_sym_xauth_location_token1] = ACTIONS(3483),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3489),
    [aux_sym_match_token1] = ACTIONS(3487),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3487),
    [aux_sym_address_family_token1] = ACTIONS(3487),
    [aux_sym_batch_mode_token1] = ACTIONS(3487),
    [aux_sym_bind_address_token1] = ACTIONS(3487),
    [aux_sym_bind_interface_token1] = ACTIONS(3487),
    [aux_sym_canonical_domains_token1] = ACTIONS(3487),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3487),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3487),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3487),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3487),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3487),
    [aux_sym_certificate_file_token1] = ACTIONS(3487),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3487),
    [aux_sym_channel_timeout_token1] = ACTIONS(3487),
    [aux_sym_check_host_ip_token1] = ACTIONS(3487),
    [aux_sym_ciphers_token1] = ACTIONS(3487),
    [aux_sym_cipher_token1] = ACTIONS(3489),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3487),
    [aux_sym_compression_token1] = ACTIONS(3487),
    [aux_sym_connection_attempts_token1] = ACTIONS(3487),
    [aux_sym_connect_timeout_token1] = ACTIONS(3487),
    [aux_sym_control_master_token1] = ACTIONS(3487),
    [aux_sym_control_path_token1] = ACTIONS(3487),
    [aux_sym_control_persist_token1] = ACTIONS(3487),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3487),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3487),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3487),
    [aux_sym_escape_char_token1] = ACTIONS(3487),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3487),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3487),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3487),
    [aux_sym_forward_agent_token1] = ACTIONS(3487),
    [aux_sym_forward_x11_token1] = ACTIONS(3489),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3487),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3487),
    [aux_sym_gateway_ports_token1] = ACTIONS(3487),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3487),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3487),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3487),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3487),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3487),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3487),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3487),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3487),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3487),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3487),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3487),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3487),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3487),
    [aux_sym_host_key_alias_token1] = ACTIONS(3487),
    [aux_sym_hostname_token1] = ACTIONS(3487),
    [aux_sym_identities_only_token1] = ACTIONS(3487),
    [aux_sym_identity_agent_token1] = ACTIONS(3487),
    [aux_sym_identity_file_token1] = ACTIONS(3487),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3487),
    [aux_sym_include_token1] = ACTIONS(3487),
    [aux_sym_ip_qos_token1] = ACTIONS(3487),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3487),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3487),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3487),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3487),
    [aux_sym_local_command_token1] = ACTIONS(3487),
    [aux_sym_local_forward_token1] = ACTIONS(3487),
    [aux_sym_log_level_token1] = ACTIONS(3487),
    [aux_sym_log_verbose_token1] = ACTIONS(3487),
    [aux_sym_macs_token1] = ACTIONS(3487),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3487),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3487),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3487),
    [aux_sym_password_authentication_token1] = ACTIONS(3487),
    [aux_sym_permit_local_command_token1] = ACTIONS(3487),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3487),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3487),
    [aux_sym_port_token1] = ACTIONS(3487),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3487),
    [aux_sym_protocol_token1] = ACTIONS(3487),
    [aux_sym_proxy_command_token1] = ACTIONS(3487),
    [aux_sym_proxy_jump_token1] = ACTIONS(3487),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3487),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3487),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3487),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3487),
    [aux_sym_rekey_limit_token1] = ACTIONS(3487),
    [aux_sym_remote_command_token1] = ACTIONS(3487),
    [aux_sym_remote_forward_token1] = ACTIONS(3487),
    [aux_sym_request_tty_token1] = ACTIONS(3487),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3487),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3487),
    [aux_sym_security_key_provider_token1] = ACTIONS(3487),
    [aux_sym_send_env_token1] = ACTIONS(3487),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3487),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3487),
    [aux_sym_session_type_token1] = ACTIONS(3487),
    [aux_sym_set_env_token1] = ACTIONS(3487),
    [aux_sym_stdin_null_token1] = ACTIONS(3487),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3487),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3487),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3487),
    [aux_sym_syslog_facility_token1] = ACTIONS(3487),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3487),
    [aux_sym_keep_alive_token1] = ACTIONS(3487),
    [aux_sym_tag_token1] = ACTIONS(3487),
    [aux_sym_tunnel_token1] = ACTIONS(3489),
    [aux_sym_tunnel_device_token1] = ACTIONS(3487),
    [aux_sym_update_host_keys_token1] = ACTIONS(3487),
    [aux_sym_use_keychain_token1] = ACTIONS(3487),
    [aux_sym_use_roaming_token1] = ACTIONS(3487),
    [aux_sym_user_token1] = ACTIONS(3489),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3487),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3487),
    [aux_sym_visual_host_key_token1] = ACTIONS(3487),
    [aux_sym_xauth_location_token1] = ACTIONS(3487),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3493),
    [aux_sym_match_token1] = ACTIONS(3491),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3491),
    [aux_sym_address_family_token1] = ACTIONS(3491),
    [aux_sym_batch_mode_token1] = ACTIONS(3491),
    [aux_sym_bind_address_token1] = ACTIONS(3491),
    [aux_sym_bind_interface_token1] = ACTIONS(3491),
    [aux_sym_canonical_domains_token1] = ACTIONS(3491),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3491),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3491),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3491),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3491),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3491),
    [aux_sym_certificate_file_token1] = ACTIONS(3491),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3491),
    [aux_sym_channel_timeout_token1] = ACTIONS(3491),
    [aux_sym_check_host_ip_token1] = ACTIONS(3491),
    [aux_sym_ciphers_token1] = ACTIONS(3491),
    [aux_sym_cipher_token1] = ACTIONS(3493),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3491),
    [aux_sym_compression_token1] = ACTIONS(3491),
    [aux_sym_connection_attempts_token1] = ACTIONS(3491),
    [aux_sym_connect_timeout_token1] = ACTIONS(3491),
    [aux_sym_control_master_token1] = ACTIONS(3491),
    [aux_sym_control_path_token1] = ACTIONS(3491),
    [aux_sym_control_persist_token1] = ACTIONS(3491),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3491),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3491),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3491),
    [aux_sym_escape_char_token1] = ACTIONS(3491),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3491),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3491),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3491),
    [aux_sym_forward_agent_token1] = ACTIONS(3491),
    [aux_sym_forward_x11_token1] = ACTIONS(3493),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3491),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3491),
    [aux_sym_gateway_ports_token1] = ACTIONS(3491),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3491),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3491),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3491),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3491),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3491),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3491),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3491),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3491),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3491),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3491),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3491),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3491),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3491),
    [aux_sym_host_key_alias_token1] = ACTIONS(3491),
    [aux_sym_hostname_token1] = ACTIONS(3491),
    [aux_sym_identities_only_token1] = ACTIONS(3491),
    [aux_sym_identity_agent_token1] = ACTIONS(3491),
    [aux_sym_identity_file_token1] = ACTIONS(3491),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3491),
    [aux_sym_include_token1] = ACTIONS(3491),
    [aux_sym_ip_qos_token1] = ACTIONS(3491),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3491),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3491),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3491),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3491),
    [aux_sym_local_command_token1] = ACTIONS(3491),
    [aux_sym_local_forward_token1] = ACTIONS(3491),
    [aux_sym_log_level_token1] = ACTIONS(3491),
    [aux_sym_log_verbose_token1] = ACTIONS(3491),
    [aux_sym_macs_token1] = ACTIONS(3491),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3491),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3491),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3491),
    [aux_sym_password_authentication_token1] = ACTIONS(3491),
    [aux_sym_permit_local_command_token1] = ACTIONS(3491),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3491),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3491),
    [aux_sym_port_token1] = ACTIONS(3491),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3491),
    [aux_sym_protocol_token1] = ACTIONS(3491),
    [aux_sym_proxy_command_token1] = ACTIONS(3491),
    [aux_sym_proxy_jump_token1] = ACTIONS(3491),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3491),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3491),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3491),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3491),
    [aux_sym_rekey_limit_token1] = ACTIONS(3491),
    [aux_sym_remote_command_token1] = ACTIONS(3491),
    [aux_sym_remote_forward_token1] = ACTIONS(3491),
    [aux_sym_request_tty_token1] = ACTIONS(3491),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3491),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3491),
    [aux_sym_security_key_provider_token1] = ACTIONS(3491),
    [aux_sym_send_env_token1] = ACTIONS(3491),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3491),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3491),
    [aux_sym_session_type_token1] = ACTIONS(3491),
    [aux_sym_set_env_token1] = ACTIONS(3491),
    [aux_sym_stdin_null_token1] = ACTIONS(3491),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3491),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3491),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3491),
    [aux_sym_syslog_facility_token1] = ACTIONS(3491),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3491),
    [aux_sym_keep_alive_token1] = ACTIONS(3491),
    [aux_sym_tag_token1] = ACTIONS(3491),
    [aux_sym_tunnel_token1] = ACTIONS(3493),
    [aux_sym_tunnel_device_token1] = ACTIONS(3491),
    [aux_sym_update_host_keys_token1] = ACTIONS(3491),
    [aux_sym_use_keychain_token1] = ACTIONS(3491),
    [aux_sym_use_roaming_token1] = ACTIONS(3491),
    [aux_sym_user_token1] = ACTIONS(3493),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3491),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3491),
    [aux_sym_visual_host_key_token1] = ACTIONS(3491),
    [aux_sym_xauth_location_token1] = ACTIONS(3491),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3497),
    [aux_sym_match_token1] = ACTIONS(3495),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3495),
    [aux_sym_address_family_token1] = ACTIONS(3495),
    [aux_sym_batch_mode_token1] = ACTIONS(3495),
    [aux_sym_bind_address_token1] = ACTIONS(3495),
    [aux_sym_bind_interface_token1] = ACTIONS(3495),
    [aux_sym_canonical_domains_token1] = ACTIONS(3495),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3495),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3495),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3495),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3495),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3495),
    [aux_sym_certificate_file_token1] = ACTIONS(3495),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3495),
    [aux_sym_channel_timeout_token1] = ACTIONS(3495),
    [aux_sym_check_host_ip_token1] = ACTIONS(3495),
    [aux_sym_ciphers_token1] = ACTIONS(3495),
    [aux_sym_cipher_token1] = ACTIONS(3497),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3495),
    [aux_sym_compression_token1] = ACTIONS(3495),
    [aux_sym_connection_attempts_token1] = ACTIONS(3495),
    [aux_sym_connect_timeout_token1] = ACTIONS(3495),
    [aux_sym_control_master_token1] = ACTIONS(3495),
    [aux_sym_control_path_token1] = ACTIONS(3495),
    [aux_sym_control_persist_token1] = ACTIONS(3495),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3495),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3495),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3495),
    [aux_sym_escape_char_token1] = ACTIONS(3495),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3495),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3495),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3495),
    [aux_sym_forward_agent_token1] = ACTIONS(3495),
    [aux_sym_forward_x11_token1] = ACTIONS(3497),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3495),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3495),
    [aux_sym_gateway_ports_token1] = ACTIONS(3495),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3495),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3495),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3495),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3495),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3495),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3495),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3495),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3495),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3495),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3495),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3495),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3495),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3495),
    [aux_sym_host_key_alias_token1] = ACTIONS(3495),
    [aux_sym_hostname_token1] = ACTIONS(3495),
    [aux_sym_identities_only_token1] = ACTIONS(3495),
    [aux_sym_identity_agent_token1] = ACTIONS(3495),
    [aux_sym_identity_file_token1] = ACTIONS(3495),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3495),
    [aux_sym_include_token1] = ACTIONS(3495),
    [aux_sym_ip_qos_token1] = ACTIONS(3495),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3495),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3495),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3495),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3495),
    [aux_sym_local_command_token1] = ACTIONS(3495),
    [aux_sym_local_forward_token1] = ACTIONS(3495),
    [aux_sym_log_level_token1] = ACTIONS(3495),
    [aux_sym_log_verbose_token1] = ACTIONS(3495),
    [aux_sym_macs_token1] = ACTIONS(3495),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3495),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3495),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3495),
    [aux_sym_password_authentication_token1] = ACTIONS(3495),
    [aux_sym_permit_local_command_token1] = ACTIONS(3495),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3495),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3495),
    [aux_sym_port_token1] = ACTIONS(3495),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3495),
    [aux_sym_protocol_token1] = ACTIONS(3495),
    [aux_sym_proxy_command_token1] = ACTIONS(3495),
    [aux_sym_proxy_jump_token1] = ACTIONS(3495),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3495),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3495),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3495),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3495),
    [aux_sym_rekey_limit_token1] = ACTIONS(3495),
    [aux_sym_remote_command_token1] = ACTIONS(3495),
    [aux_sym_remote_forward_token1] = ACTIONS(3495),
    [aux_sym_request_tty_token1] = ACTIONS(3495),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3495),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3495),
    [aux_sym_security_key_provider_token1] = ACTIONS(3495),
    [aux_sym_send_env_token1] = ACTIONS(3495),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3495),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3495),
    [aux_sym_session_type_token1] = ACTIONS(3495),
    [aux_sym_set_env_token1] = ACTIONS(3495),
    [aux_sym_stdin_null_token1] = ACTIONS(3495),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3495),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3495),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3495),
    [aux_sym_syslog_facility_token1] = ACTIONS(3495),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3495),
    [aux_sym_keep_alive_token1] = ACTIONS(3495),
    [aux_sym_tag_token1] = ACTIONS(3495),
    [aux_sym_tunnel_token1] = ACTIONS(3497),
    [aux_sym_tunnel_device_token1] = ACTIONS(3495),
    [aux_sym_update_host_keys_token1] = ACTIONS(3495),
    [aux_sym_use_keychain_token1] = ACTIONS(3495),
    [aux_sym_use_roaming_token1] = ACTIONS(3495),
    [aux_sym_user_token1] = ACTIONS(3497),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3495),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3495),
    [aux_sym_visual_host_key_token1] = ACTIONS(3495),
    [aux_sym_xauth_location_token1] = ACTIONS(3495),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3501),
    [aux_sym_match_token1] = ACTIONS(3499),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3499),
    [aux_sym_address_family_token1] = ACTIONS(3499),
    [aux_sym_batch_mode_token1] = ACTIONS(3499),
    [aux_sym_bind_address_token1] = ACTIONS(3499),
    [aux_sym_bind_interface_token1] = ACTIONS(3499),
    [aux_sym_canonical_domains_token1] = ACTIONS(3499),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3499),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3499),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3499),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3499),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3499),
    [aux_sym_certificate_file_token1] = ACTIONS(3499),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3499),
    [aux_sym_channel_timeout_token1] = ACTIONS(3499),
    [aux_sym_check_host_ip_token1] = ACTIONS(3499),
    [aux_sym_ciphers_token1] = ACTIONS(3499),
    [aux_sym_cipher_token1] = ACTIONS(3501),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3499),
    [aux_sym_compression_token1] = ACTIONS(3499),
    [aux_sym_connection_attempts_token1] = ACTIONS(3499),
    [aux_sym_connect_timeout_token1] = ACTIONS(3499),
    [aux_sym_control_master_token1] = ACTIONS(3499),
    [aux_sym_control_path_token1] = ACTIONS(3499),
    [aux_sym_control_persist_token1] = ACTIONS(3499),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3499),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3499),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3499),
    [aux_sym_escape_char_token1] = ACTIONS(3499),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3499),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3499),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3499),
    [aux_sym_forward_agent_token1] = ACTIONS(3499),
    [aux_sym_forward_x11_token1] = ACTIONS(3501),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3499),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3499),
    [aux_sym_gateway_ports_token1] = ACTIONS(3499),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3499),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3499),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3499),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3499),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3499),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3499),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3499),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3499),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3499),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3499),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3499),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3499),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3499),
    [aux_sym_host_key_alias_token1] = ACTIONS(3499),
    [aux_sym_hostname_token1] = ACTIONS(3499),
    [aux_sym_identities_only_token1] = ACTIONS(3499),
    [aux_sym_identity_agent_token1] = ACTIONS(3499),
    [aux_sym_identity_file_token1] = ACTIONS(3499),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3499),
    [aux_sym_include_token1] = ACTIONS(3499),
    [aux_sym_ip_qos_token1] = ACTIONS(3499),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3499),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3499),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3499),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3499),
    [aux_sym_local_command_token1] = ACTIONS(3499),
    [aux_sym_local_forward_token1] = ACTIONS(3499),
    [aux_sym_log_level_token1] = ACTIONS(3499),
    [aux_sym_log_verbose_token1] = ACTIONS(3499),
    [aux_sym_macs_token1] = ACTIONS(3499),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3499),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3499),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3499),
    [aux_sym_password_authentication_token1] = ACTIONS(3499),
    [aux_sym_permit_local_command_token1] = ACTIONS(3499),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3499),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3499),
    [aux_sym_port_token1] = ACTIONS(3499),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3499),
    [aux_sym_protocol_token1] = ACTIONS(3499),
    [aux_sym_proxy_command_token1] = ACTIONS(3499),
    [aux_sym_proxy_jump_token1] = ACTIONS(3499),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3499),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3499),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3499),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3499),
    [aux_sym_rekey_limit_token1] = ACTIONS(3499),
    [aux_sym_remote_command_token1] = ACTIONS(3499),
    [aux_sym_remote_forward_token1] = ACTIONS(3499),
    [aux_sym_request_tty_token1] = ACTIONS(3499),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3499),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3499),
    [aux_sym_security_key_provider_token1] = ACTIONS(3499),
    [aux_sym_send_env_token1] = ACTIONS(3499),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3499),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3499),
    [aux_sym_session_type_token1] = ACTIONS(3499),
    [aux_sym_set_env_token1] = ACTIONS(3499),
    [aux_sym_stdin_null_token1] = ACTIONS(3499),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3499),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3499),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3499),
    [aux_sym_syslog_facility_token1] = ACTIONS(3499),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3499),
    [aux_sym_keep_alive_token1] = ACTIONS(3499),
    [aux_sym_tag_token1] = ACTIONS(3499),
    [aux_sym_tunnel_token1] = ACTIONS(3501),
    [aux_sym_tunnel_device_token1] = ACTIONS(3499),
    [aux_sym_update_host_keys_token1] = ACTIONS(3499),
    [aux_sym_use_keychain_token1] = ACTIONS(3499),
    [aux_sym_use_roaming_token1] = ACTIONS(3499),
    [aux_sym_user_token1] = ACTIONS(3501),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3499),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3499),
    [aux_sym_visual_host_key_token1] = ACTIONS(3499),
    [aux_sym_xauth_location_token1] = ACTIONS(3499),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1333),
    [aux_sym_match_token1] = ACTIONS(1331),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1331),
    [aux_sym_address_family_token1] = ACTIONS(1331),
    [aux_sym_batch_mode_token1] = ACTIONS(1331),
    [aux_sym_bind_address_token1] = ACTIONS(1331),
    [aux_sym_bind_interface_token1] = ACTIONS(1331),
    [aux_sym_canonical_domains_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1331),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1331),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1331),
    [aux_sym_certificate_file_token1] = ACTIONS(1331),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1331),
    [aux_sym_channel_timeout_token1] = ACTIONS(1331),
    [aux_sym_check_host_ip_token1] = ACTIONS(1331),
    [aux_sym_ciphers_token1] = ACTIONS(1331),
    [aux_sym_cipher_token1] = ACTIONS(1333),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1331),
    [aux_sym_compression_token1] = ACTIONS(1331),
    [aux_sym_connection_attempts_token1] = ACTIONS(1331),
    [aux_sym_connect_timeout_token1] = ACTIONS(1331),
    [aux_sym_control_master_token1] = ACTIONS(1331),
    [aux_sym_control_path_token1] = ACTIONS(1331),
    [aux_sym_control_persist_token1] = ACTIONS(1331),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1331),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1331),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1331),
    [aux_sym_escape_char_token1] = ACTIONS(1331),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1331),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1331),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1331),
    [aux_sym_forward_agent_token1] = ACTIONS(1331),
    [aux_sym_forward_x11_token1] = ACTIONS(1333),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1331),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1331),
    [aux_sym_gateway_ports_token1] = ACTIONS(1331),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1331),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1331),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1331),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1331),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1331),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1331),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1331),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1331),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1331),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1331),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1331),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1331),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1331),
    [aux_sym_host_key_alias_token1] = ACTIONS(1331),
    [aux_sym_hostname_token1] = ACTIONS(1331),
    [aux_sym_identities_only_token1] = ACTIONS(1331),
    [aux_sym_identity_agent_token1] = ACTIONS(1331),
    [aux_sym_identity_file_token1] = ACTIONS(1331),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1331),
    [aux_sym_include_token1] = ACTIONS(1331),
    [aux_sym_ip_qos_token1] = ACTIONS(1331),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1331),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1331),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1331),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1331),
    [aux_sym_local_command_token1] = ACTIONS(1331),
    [aux_sym_local_forward_token1] = ACTIONS(1331),
    [aux_sym_log_level_token1] = ACTIONS(1331),
    [aux_sym_log_verbose_token1] = ACTIONS(1331),
    [aux_sym_macs_token1] = ACTIONS(1331),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1331),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1331),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1331),
    [aux_sym_password_authentication_token1] = ACTIONS(1331),
    [aux_sym_permit_local_command_token1] = ACTIONS(1331),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1331),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1331),
    [aux_sym_port_token1] = ACTIONS(1331),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1331),
    [aux_sym_protocol_token1] = ACTIONS(1331),
    [aux_sym_proxy_command_token1] = ACTIONS(1331),
    [aux_sym_proxy_jump_token1] = ACTIONS(1331),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1331),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1331),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1331),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1331),
    [aux_sym_rekey_limit_token1] = ACTIONS(1331),
    [aux_sym_remote_command_token1] = ACTIONS(1331),
    [aux_sym_remote_forward_token1] = ACTIONS(1331),
    [aux_sym_request_tty_token1] = ACTIONS(1331),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1331),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1331),
    [aux_sym_security_key_provider_token1] = ACTIONS(1331),
    [aux_sym_send_env_token1] = ACTIONS(1331),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1331),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1331),
    [aux_sym_session_type_token1] = ACTIONS(1331),
    [aux_sym_set_env_token1] = ACTIONS(1331),
    [aux_sym_stdin_null_token1] = ACTIONS(1331),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1331),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1331),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1331),
    [aux_sym_syslog_facility_token1] = ACTIONS(1331),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1331),
    [aux_sym_keep_alive_token1] = ACTIONS(1331),
    [aux_sym_tag_token1] = ACTIONS(1331),
    [aux_sym_tunnel_token1] = ACTIONS(1333),
    [aux_sym_tunnel_device_token1] = ACTIONS(1331),
    [aux_sym_update_host_keys_token1] = ACTIONS(1331),
    [aux_sym_use_keychain_token1] = ACTIONS(1331),
    [aux_sym_use_roaming_token1] = ACTIONS(1331),
    [aux_sym_user_token1] = ACTIONS(1333),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1331),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1331),
    [aux_sym_visual_host_key_token1] = ACTIONS(1331),
    [aux_sym_xauth_location_token1] = ACTIONS(1331),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1339),
    [aux_sym_match_token1] = ACTIONS(1337),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1337),
    [aux_sym_address_family_token1] = ACTIONS(1337),
    [aux_sym_batch_mode_token1] = ACTIONS(1337),
    [aux_sym_bind_address_token1] = ACTIONS(1337),
    [aux_sym_bind_interface_token1] = ACTIONS(1337),
    [aux_sym_canonical_domains_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1337),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1337),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1337),
    [aux_sym_certificate_file_token1] = ACTIONS(1337),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1337),
    [aux_sym_channel_timeout_token1] = ACTIONS(1337),
    [aux_sym_check_host_ip_token1] = ACTIONS(1337),
    [aux_sym_ciphers_token1] = ACTIONS(1337),
    [aux_sym_cipher_token1] = ACTIONS(1339),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1337),
    [aux_sym_compression_token1] = ACTIONS(1337),
    [aux_sym_connection_attempts_token1] = ACTIONS(1337),
    [aux_sym_connect_timeout_token1] = ACTIONS(1337),
    [aux_sym_control_master_token1] = ACTIONS(1337),
    [aux_sym_control_path_token1] = ACTIONS(1337),
    [aux_sym_control_persist_token1] = ACTIONS(1337),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1337),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1337),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1337),
    [aux_sym_escape_char_token1] = ACTIONS(1337),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1337),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1337),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1337),
    [aux_sym_forward_agent_token1] = ACTIONS(1337),
    [aux_sym_forward_x11_token1] = ACTIONS(1339),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1337),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1337),
    [aux_sym_gateway_ports_token1] = ACTIONS(1337),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1337),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1337),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1337),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1337),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1337),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1337),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1337),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1337),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1337),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1337),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1337),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1337),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1337),
    [aux_sym_host_key_alias_token1] = ACTIONS(1337),
    [aux_sym_hostname_token1] = ACTIONS(1337),
    [aux_sym_identities_only_token1] = ACTIONS(1337),
    [aux_sym_identity_agent_token1] = ACTIONS(1337),
    [aux_sym_identity_file_token1] = ACTIONS(1337),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1337),
    [aux_sym_include_token1] = ACTIONS(1337),
    [aux_sym_ip_qos_token1] = ACTIONS(1337),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1337),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1337),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1337),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1337),
    [aux_sym_local_command_token1] = ACTIONS(1337),
    [aux_sym_local_forward_token1] = ACTIONS(1337),
    [aux_sym_log_level_token1] = ACTIONS(1337),
    [aux_sym_log_verbose_token1] = ACTIONS(1337),
    [aux_sym_macs_token1] = ACTIONS(1337),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1337),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1337),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1337),
    [aux_sym_password_authentication_token1] = ACTIONS(1337),
    [aux_sym_permit_local_command_token1] = ACTIONS(1337),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1337),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1337),
    [aux_sym_port_token1] = ACTIONS(1337),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1337),
    [aux_sym_protocol_token1] = ACTIONS(1337),
    [aux_sym_proxy_command_token1] = ACTIONS(1337),
    [aux_sym_proxy_jump_token1] = ACTIONS(1337),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1337),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1337),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1337),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1337),
    [aux_sym_rekey_limit_token1] = ACTIONS(1337),
    [aux_sym_remote_command_token1] = ACTIONS(1337),
    [aux_sym_remote_forward_token1] = ACTIONS(1337),
    [aux_sym_request_tty_token1] = ACTIONS(1337),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1337),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1337),
    [aux_sym_security_key_provider_token1] = ACTIONS(1337),
    [aux_sym_send_env_token1] = ACTIONS(1337),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1337),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1337),
    [aux_sym_session_type_token1] = ACTIONS(1337),
    [aux_sym_set_env_token1] = ACTIONS(1337),
    [aux_sym_stdin_null_token1] = ACTIONS(1337),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1337),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1337),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1337),
    [aux_sym_syslog_facility_token1] = ACTIONS(1337),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1337),
    [aux_sym_keep_alive_token1] = ACTIONS(1337),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [aux_sym_tunnel_token1] = ACTIONS(1339),
    [aux_sym_tunnel_device_token1] = ACTIONS(1337),
    [aux_sym_update_host_keys_token1] = ACTIONS(1337),
    [aux_sym_use_keychain_token1] = ACTIONS(1337),
    [aux_sym_use_roaming_token1] = ACTIONS(1337),
    [aux_sym_user_token1] = ACTIONS(1339),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1337),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1337),
    [aux_sym_visual_host_key_token1] = ACTIONS(1337),
    [aux_sym_xauth_location_token1] = ACTIONS(1337),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1021),
    [aux_sym_match_token1] = ACTIONS(1019),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1019),
    [aux_sym_address_family_token1] = ACTIONS(1019),
    [aux_sym_batch_mode_token1] = ACTIONS(1019),
    [aux_sym_bind_address_token1] = ACTIONS(1019),
    [aux_sym_bind_interface_token1] = ACTIONS(1019),
    [aux_sym_canonical_domains_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1019),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1019),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1019),
    [aux_sym_certificate_file_token1] = ACTIONS(1019),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1019),
    [aux_sym_channel_timeout_token1] = ACTIONS(1019),
    [aux_sym_check_host_ip_token1] = ACTIONS(1019),
    [aux_sym_ciphers_token1] = ACTIONS(1019),
    [aux_sym_cipher_token1] = ACTIONS(1021),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1019),
    [aux_sym_compression_token1] = ACTIONS(1019),
    [aux_sym_connection_attempts_token1] = ACTIONS(1019),
    [aux_sym_connect_timeout_token1] = ACTIONS(1019),
    [aux_sym_control_master_token1] = ACTIONS(1019),
    [aux_sym_control_path_token1] = ACTIONS(1019),
    [aux_sym_control_persist_token1] = ACTIONS(1019),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1019),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1019),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1019),
    [aux_sym_escape_char_token1] = ACTIONS(1019),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1019),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1019),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1019),
    [aux_sym_forward_agent_token1] = ACTIONS(1019),
    [aux_sym_forward_x11_token1] = ACTIONS(1021),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1019),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1019),
    [aux_sym_gateway_ports_token1] = ACTIONS(1019),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1019),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1019),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1019),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1019),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1019),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1019),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1019),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1019),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1019),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1019),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1019),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1019),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1019),
    [aux_sym_host_key_alias_token1] = ACTIONS(1019),
    [aux_sym_hostname_token1] = ACTIONS(1019),
    [aux_sym_identities_only_token1] = ACTIONS(1019),
    [aux_sym_identity_agent_token1] = ACTIONS(1019),
    [aux_sym_identity_file_token1] = ACTIONS(1019),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1019),
    [aux_sym_include_token1] = ACTIONS(1019),
    [aux_sym_ip_qos_token1] = ACTIONS(1019),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1019),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1019),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1019),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1019),
    [aux_sym_local_command_token1] = ACTIONS(1019),
    [aux_sym_local_forward_token1] = ACTIONS(1019),
    [aux_sym_log_level_token1] = ACTIONS(1019),
    [aux_sym_log_verbose_token1] = ACTIONS(1019),
    [aux_sym_macs_token1] = ACTIONS(1019),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1019),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1019),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1019),
    [aux_sym_password_authentication_token1] = ACTIONS(1019),
    [aux_sym_permit_local_command_token1] = ACTIONS(1019),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1019),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1019),
    [aux_sym_port_token1] = ACTIONS(1019),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1019),
    [aux_sym_protocol_token1] = ACTIONS(1019),
    [aux_sym_proxy_command_token1] = ACTIONS(1019),
    [aux_sym_proxy_jump_token1] = ACTIONS(1019),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1019),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1019),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1019),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1019),
    [aux_sym_rekey_limit_token1] = ACTIONS(1019),
    [aux_sym_remote_command_token1] = ACTIONS(1019),
    [aux_sym_remote_forward_token1] = ACTIONS(1019),
    [aux_sym_request_tty_token1] = ACTIONS(1019),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1019),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1019),
    [aux_sym_security_key_provider_token1] = ACTIONS(1019),
    [aux_sym_send_env_token1] = ACTIONS(1019),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1019),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1019),
    [aux_sym_session_type_token1] = ACTIONS(1019),
    [aux_sym_set_env_token1] = ACTIONS(1019),
    [aux_sym_stdin_null_token1] = ACTIONS(1019),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1019),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1019),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1019),
    [aux_sym_syslog_facility_token1] = ACTIONS(1019),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1019),
    [aux_sym_keep_alive_token1] = ACTIONS(1019),
    [aux_sym_tag_token1] = ACTIONS(1019),
    [aux_sym_tunnel_token1] = ACTIONS(1021),
    [aux_sym_tunnel_device_token1] = ACTIONS(1019),
    [aux_sym_update_host_keys_token1] = ACTIONS(1019),
    [aux_sym_use_keychain_token1] = ACTIONS(1019),
    [aux_sym_use_roaming_token1] = ACTIONS(1019),
    [aux_sym_user_token1] = ACTIONS(1021),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1019),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1019),
    [aux_sym_visual_host_key_token1] = ACTIONS(1019),
    [aux_sym_xauth_location_token1] = ACTIONS(1019),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1345),
    [aux_sym_match_token1] = ACTIONS(1343),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1343),
    [aux_sym_address_family_token1] = ACTIONS(1343),
    [aux_sym_batch_mode_token1] = ACTIONS(1343),
    [aux_sym_bind_address_token1] = ACTIONS(1343),
    [aux_sym_bind_interface_token1] = ACTIONS(1343),
    [aux_sym_canonical_domains_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1343),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1343),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1343),
    [aux_sym_certificate_file_token1] = ACTIONS(1343),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1343),
    [aux_sym_channel_timeout_token1] = ACTIONS(1343),
    [aux_sym_check_host_ip_token1] = ACTIONS(1343),
    [aux_sym_ciphers_token1] = ACTIONS(1343),
    [aux_sym_cipher_token1] = ACTIONS(1345),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1343),
    [aux_sym_compression_token1] = ACTIONS(1343),
    [aux_sym_connection_attempts_token1] = ACTIONS(1343),
    [aux_sym_connect_timeout_token1] = ACTIONS(1343),
    [aux_sym_control_master_token1] = ACTIONS(1343),
    [aux_sym_control_path_token1] = ACTIONS(1343),
    [aux_sym_control_persist_token1] = ACTIONS(1343),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1343),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1343),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1343),
    [aux_sym_escape_char_token1] = ACTIONS(1343),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1343),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1343),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1343),
    [aux_sym_forward_agent_token1] = ACTIONS(1343),
    [aux_sym_forward_x11_token1] = ACTIONS(1345),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1343),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1343),
    [aux_sym_gateway_ports_token1] = ACTIONS(1343),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1343),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1343),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1343),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1343),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1343),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1343),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1343),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1343),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1343),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1343),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1343),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1343),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1343),
    [aux_sym_host_key_alias_token1] = ACTIONS(1343),
    [aux_sym_hostname_token1] = ACTIONS(1343),
    [aux_sym_identities_only_token1] = ACTIONS(1343),
    [aux_sym_identity_agent_token1] = ACTIONS(1343),
    [aux_sym_identity_file_token1] = ACTIONS(1343),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1343),
    [aux_sym_include_token1] = ACTIONS(1343),
    [aux_sym_ip_qos_token1] = ACTIONS(1343),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1343),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1343),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1343),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1343),
    [aux_sym_local_command_token1] = ACTIONS(1343),
    [aux_sym_local_forward_token1] = ACTIONS(1343),
    [aux_sym_log_level_token1] = ACTIONS(1343),
    [aux_sym_log_verbose_token1] = ACTIONS(1343),
    [aux_sym_macs_token1] = ACTIONS(1343),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1343),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1343),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1343),
    [aux_sym_password_authentication_token1] = ACTIONS(1343),
    [aux_sym_permit_local_command_token1] = ACTIONS(1343),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1343),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1343),
    [aux_sym_port_token1] = ACTIONS(1343),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1343),
    [aux_sym_protocol_token1] = ACTIONS(1343),
    [aux_sym_proxy_command_token1] = ACTIONS(1343),
    [aux_sym_proxy_jump_token1] = ACTIONS(1343),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1343),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1343),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1343),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1343),
    [aux_sym_rekey_limit_token1] = ACTIONS(1343),
    [aux_sym_remote_command_token1] = ACTIONS(1343),
    [aux_sym_remote_forward_token1] = ACTIONS(1343),
    [aux_sym_request_tty_token1] = ACTIONS(1343),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1343),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1343),
    [aux_sym_security_key_provider_token1] = ACTIONS(1343),
    [aux_sym_send_env_token1] = ACTIONS(1343),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1343),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1343),
    [aux_sym_session_type_token1] = ACTIONS(1343),
    [aux_sym_set_env_token1] = ACTIONS(1343),
    [aux_sym_stdin_null_token1] = ACTIONS(1343),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1343),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1343),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1343),
    [aux_sym_syslog_facility_token1] = ACTIONS(1343),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1343),
    [aux_sym_keep_alive_token1] = ACTIONS(1343),
    [aux_sym_tag_token1] = ACTIONS(1343),
    [aux_sym_tunnel_token1] = ACTIONS(1345),
    [aux_sym_tunnel_device_token1] = ACTIONS(1343),
    [aux_sym_update_host_keys_token1] = ACTIONS(1343),
    [aux_sym_use_keychain_token1] = ACTIONS(1343),
    [aux_sym_use_roaming_token1] = ACTIONS(1343),
    [aux_sym_user_token1] = ACTIONS(1345),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1343),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1343),
    [aux_sym_visual_host_key_token1] = ACTIONS(1343),
    [aux_sym_xauth_location_token1] = ACTIONS(1343),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3505),
    [aux_sym_match_token1] = ACTIONS(3503),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3503),
    [aux_sym_address_family_token1] = ACTIONS(3503),
    [aux_sym_batch_mode_token1] = ACTIONS(3503),
    [aux_sym_bind_address_token1] = ACTIONS(3503),
    [aux_sym_bind_interface_token1] = ACTIONS(3503),
    [aux_sym_canonical_domains_token1] = ACTIONS(3503),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3503),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3503),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3503),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3503),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3503),
    [aux_sym_certificate_file_token1] = ACTIONS(3503),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3503),
    [aux_sym_channel_timeout_token1] = ACTIONS(3503),
    [aux_sym_check_host_ip_token1] = ACTIONS(3503),
    [aux_sym_ciphers_token1] = ACTIONS(3503),
    [aux_sym_cipher_token1] = ACTIONS(3505),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3503),
    [aux_sym_compression_token1] = ACTIONS(3503),
    [aux_sym_connection_attempts_token1] = ACTIONS(3503),
    [aux_sym_connect_timeout_token1] = ACTIONS(3503),
    [aux_sym_control_master_token1] = ACTIONS(3503),
    [aux_sym_control_path_token1] = ACTIONS(3503),
    [aux_sym_control_persist_token1] = ACTIONS(3503),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3503),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3503),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3503),
    [aux_sym_escape_char_token1] = ACTIONS(3503),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3503),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3503),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3503),
    [aux_sym_forward_agent_token1] = ACTIONS(3503),
    [aux_sym_forward_x11_token1] = ACTIONS(3505),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3503),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3503),
    [aux_sym_gateway_ports_token1] = ACTIONS(3503),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3503),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3503),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3503),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3503),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3503),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3503),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3503),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3503),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3503),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3503),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3503),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3503),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3503),
    [aux_sym_host_key_alias_token1] = ACTIONS(3503),
    [aux_sym_hostname_token1] = ACTIONS(3503),
    [aux_sym_identities_only_token1] = ACTIONS(3503),
    [aux_sym_identity_agent_token1] = ACTIONS(3503),
    [aux_sym_identity_file_token1] = ACTIONS(3503),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3503),
    [aux_sym_include_token1] = ACTIONS(3503),
    [aux_sym_ip_qos_token1] = ACTIONS(3503),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3503),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3503),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3503),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3503),
    [aux_sym_local_command_token1] = ACTIONS(3503),
    [aux_sym_local_forward_token1] = ACTIONS(3503),
    [aux_sym_log_level_token1] = ACTIONS(3503),
    [aux_sym_log_verbose_token1] = ACTIONS(3503),
    [aux_sym_macs_token1] = ACTIONS(3503),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3503),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3503),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3503),
    [aux_sym_password_authentication_token1] = ACTIONS(3503),
    [aux_sym_permit_local_command_token1] = ACTIONS(3503),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3503),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3503),
    [aux_sym_port_token1] = ACTIONS(3503),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3503),
    [aux_sym_protocol_token1] = ACTIONS(3503),
    [aux_sym_proxy_command_token1] = ACTIONS(3503),
    [aux_sym_proxy_jump_token1] = ACTIONS(3503),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3503),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3503),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3503),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3503),
    [aux_sym_rekey_limit_token1] = ACTIONS(3503),
    [aux_sym_remote_command_token1] = ACTIONS(3503),
    [aux_sym_remote_forward_token1] = ACTIONS(3503),
    [aux_sym_request_tty_token1] = ACTIONS(3503),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3503),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3503),
    [aux_sym_security_key_provider_token1] = ACTIONS(3503),
    [aux_sym_send_env_token1] = ACTIONS(3503),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3503),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3503),
    [aux_sym_session_type_token1] = ACTIONS(3503),
    [aux_sym_set_env_token1] = ACTIONS(3503),
    [aux_sym_stdin_null_token1] = ACTIONS(3503),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3503),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3503),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3503),
    [aux_sym_syslog_facility_token1] = ACTIONS(3503),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3503),
    [aux_sym_keep_alive_token1] = ACTIONS(3503),
    [aux_sym_tag_token1] = ACTIONS(3503),
    [aux_sym_tunnel_token1] = ACTIONS(3505),
    [aux_sym_tunnel_device_token1] = ACTIONS(3503),
    [aux_sym_update_host_keys_token1] = ACTIONS(3503),
    [aux_sym_use_keychain_token1] = ACTIONS(3503),
    [aux_sym_use_roaming_token1] = ACTIONS(3503),
    [aux_sym_user_token1] = ACTIONS(3505),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3503),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3503),
    [aux_sym_visual_host_key_token1] = ACTIONS(3503),
    [aux_sym_xauth_location_token1] = ACTIONS(3503),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3509),
    [aux_sym_match_token1] = ACTIONS(3507),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3507),
    [aux_sym_address_family_token1] = ACTIONS(3507),
    [aux_sym_batch_mode_token1] = ACTIONS(3507),
    [aux_sym_bind_address_token1] = ACTIONS(3507),
    [aux_sym_bind_interface_token1] = ACTIONS(3507),
    [aux_sym_canonical_domains_token1] = ACTIONS(3507),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3507),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3507),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3507),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3507),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3507),
    [aux_sym_certificate_file_token1] = ACTIONS(3507),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3507),
    [aux_sym_channel_timeout_token1] = ACTIONS(3507),
    [aux_sym_check_host_ip_token1] = ACTIONS(3507),
    [aux_sym_ciphers_token1] = ACTIONS(3507),
    [aux_sym_cipher_token1] = ACTIONS(3509),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3507),
    [aux_sym_compression_token1] = ACTIONS(3507),
    [aux_sym_connection_attempts_token1] = ACTIONS(3507),
    [aux_sym_connect_timeout_token1] = ACTIONS(3507),
    [aux_sym_control_master_token1] = ACTIONS(3507),
    [aux_sym_control_path_token1] = ACTIONS(3507),
    [aux_sym_control_persist_token1] = ACTIONS(3507),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3507),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3507),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3507),
    [aux_sym_escape_char_token1] = ACTIONS(3507),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3507),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3507),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3507),
    [aux_sym_forward_agent_token1] = ACTIONS(3507),
    [aux_sym_forward_x11_token1] = ACTIONS(3509),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3507),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3507),
    [aux_sym_gateway_ports_token1] = ACTIONS(3507),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3507),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3507),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3507),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3507),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3507),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3507),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3507),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3507),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3507),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3507),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3507),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3507),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3507),
    [aux_sym_host_key_alias_token1] = ACTIONS(3507),
    [aux_sym_hostname_token1] = ACTIONS(3507),
    [aux_sym_identities_only_token1] = ACTIONS(3507),
    [aux_sym_identity_agent_token1] = ACTIONS(3507),
    [aux_sym_identity_file_token1] = ACTIONS(3507),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3507),
    [aux_sym_include_token1] = ACTIONS(3507),
    [aux_sym_ip_qos_token1] = ACTIONS(3507),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3507),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3507),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3507),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3507),
    [aux_sym_local_command_token1] = ACTIONS(3507),
    [aux_sym_local_forward_token1] = ACTIONS(3507),
    [aux_sym_log_level_token1] = ACTIONS(3507),
    [aux_sym_log_verbose_token1] = ACTIONS(3507),
    [aux_sym_macs_token1] = ACTIONS(3507),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3507),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3507),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3507),
    [aux_sym_password_authentication_token1] = ACTIONS(3507),
    [aux_sym_permit_local_command_token1] = ACTIONS(3507),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3507),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3507),
    [aux_sym_port_token1] = ACTIONS(3507),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3507),
    [aux_sym_protocol_token1] = ACTIONS(3507),
    [aux_sym_proxy_command_token1] = ACTIONS(3507),
    [aux_sym_proxy_jump_token1] = ACTIONS(3507),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3507),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3507),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3507),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3507),
    [aux_sym_rekey_limit_token1] = ACTIONS(3507),
    [aux_sym_remote_command_token1] = ACTIONS(3507),
    [aux_sym_remote_forward_token1] = ACTIONS(3507),
    [aux_sym_request_tty_token1] = ACTIONS(3507),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3507),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3507),
    [aux_sym_security_key_provider_token1] = ACTIONS(3507),
    [aux_sym_send_env_token1] = ACTIONS(3507),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3507),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3507),
    [aux_sym_session_type_token1] = ACTIONS(3507),
    [aux_sym_set_env_token1] = ACTIONS(3507),
    [aux_sym_stdin_null_token1] = ACTIONS(3507),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3507),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3507),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3507),
    [aux_sym_syslog_facility_token1] = ACTIONS(3507),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3507),
    [aux_sym_keep_alive_token1] = ACTIONS(3507),
    [aux_sym_tag_token1] = ACTIONS(3507),
    [aux_sym_tunnel_token1] = ACTIONS(3509),
    [aux_sym_tunnel_device_token1] = ACTIONS(3507),
    [aux_sym_update_host_keys_token1] = ACTIONS(3507),
    [aux_sym_use_keychain_token1] = ACTIONS(3507),
    [aux_sym_use_roaming_token1] = ACTIONS(3507),
    [aux_sym_user_token1] = ACTIONS(3509),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3507),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3507),
    [aux_sym_visual_host_key_token1] = ACTIONS(3507),
    [aux_sym_xauth_location_token1] = ACTIONS(3507),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(623),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(625),
    [aux_sym_match_token1] = ACTIONS(623),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(623),
    [aux_sym_address_family_token1] = ACTIONS(623),
    [aux_sym_batch_mode_token1] = ACTIONS(623),
    [aux_sym_bind_address_token1] = ACTIONS(623),
    [aux_sym_bind_interface_token1] = ACTIONS(623),
    [aux_sym_canonical_domains_token1] = ACTIONS(623),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(623),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(623),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(623),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(623),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(623),
    [aux_sym_certificate_file_token1] = ACTIONS(623),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(623),
    [aux_sym_channel_timeout_token1] = ACTIONS(623),
    [aux_sym_check_host_ip_token1] = ACTIONS(623),
    [aux_sym_ciphers_token1] = ACTIONS(623),
    [aux_sym_cipher_token1] = ACTIONS(625),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(623),
    [aux_sym_compression_token1] = ACTIONS(623),
    [aux_sym_connection_attempts_token1] = ACTIONS(623),
    [aux_sym_connect_timeout_token1] = ACTIONS(623),
    [aux_sym_control_master_token1] = ACTIONS(623),
    [aux_sym_control_path_token1] = ACTIONS(623),
    [aux_sym_control_persist_token1] = ACTIONS(623),
    [aux_sym_dynamic_forward_token1] = ACTIONS(623),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(623),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(623),
    [aux_sym_escape_char_token1] = ACTIONS(623),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(623),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(623),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(623),
    [aux_sym_forward_agent_token1] = ACTIONS(623),
    [aux_sym_forward_x11_token1] = ACTIONS(625),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(623),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(623),
    [aux_sym_gateway_ports_token1] = ACTIONS(623),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(623),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(623),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(623),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(623),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(623),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(623),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(623),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(623),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(623),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(623),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(623),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(623),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(623),
    [aux_sym_host_key_alias_token1] = ACTIONS(623),
    [aux_sym_hostname_token1] = ACTIONS(623),
    [aux_sym_identities_only_token1] = ACTIONS(623),
    [aux_sym_identity_agent_token1] = ACTIONS(623),
    [aux_sym_identity_file_token1] = ACTIONS(623),
    [aux_sym_ignore_unknown_token1] = ACTIONS(623),
    [aux_sym_include_token1] = ACTIONS(623),
    [aux_sym_ip_qos_token1] = ACTIONS(623),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(623),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(623),
    [aux_sym_kex_algorithms_token1] = ACTIONS(623),
    [aux_sym_known_hosts_command_token1] = ACTIONS(623),
    [aux_sym_local_command_token1] = ACTIONS(623),
    [aux_sym_local_forward_token1] = ACTIONS(623),
    [aux_sym_log_level_token1] = ACTIONS(623),
    [aux_sym_log_verbose_token1] = ACTIONS(623),
    [aux_sym_macs_token1] = ACTIONS(623),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(623),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(623),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(623),
    [aux_sym_password_authentication_token1] = ACTIONS(623),
    [aux_sym_permit_local_command_token1] = ACTIONS(623),
    [aux_sym_permit_remote_open_token1] = ACTIONS(623),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(623),
    [aux_sym_port_token1] = ACTIONS(623),
    [aux_sym_preferred_authentications_token1] = ACTIONS(623),
    [aux_sym_protocol_token1] = ACTIONS(623),
    [aux_sym_proxy_command_token1] = ACTIONS(623),
    [aux_sym_proxy_jump_token1] = ACTIONS(623),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(623),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(623),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(623),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(623),
    [aux_sym_rekey_limit_token1] = ACTIONS(623),
    [aux_sym_remote_command_token1] = ACTIONS(623),
    [aux_sym_remote_forward_token1] = ACTIONS(623),
    [aux_sym_request_tty_token1] = ACTIONS(623),
    [aux_sym_required_rsa_size_token1] = ACTIONS(623),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(623),
    [aux_sym_security_key_provider_token1] = ACTIONS(623),
    [aux_sym_send_env_token1] = ACTIONS(623),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(623),
    [aux_sym_server_alive_interval_token1] = ACTIONS(623),
    [aux_sym_session_type_token1] = ACTIONS(623),
    [aux_sym_set_env_token1] = ACTIONS(623),
    [aux_sym_stdin_null_token1] = ACTIONS(623),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(623),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(623),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(623),
    [aux_sym_syslog_facility_token1] = ACTIONS(623),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(623),
    [aux_sym_keep_alive_token1] = ACTIONS(623),
    [aux_sym_tag_token1] = ACTIONS(623),
    [aux_sym_tunnel_token1] = ACTIONS(625),
    [aux_sym_tunnel_device_token1] = ACTIONS(623),
    [aux_sym_update_host_keys_token1] = ACTIONS(623),
    [aux_sym_use_keychain_token1] = ACTIONS(623),
    [aux_sym_use_roaming_token1] = ACTIONS(623),
    [aux_sym_user_token1] = ACTIONS(625),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(623),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(623),
    [aux_sym_visual_host_key_token1] = ACTIONS(623),
    [aux_sym_xauth_location_token1] = ACTIONS(623),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(835),
    [aux_sym_match_token1] = ACTIONS(833),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(833),
    [aux_sym_address_family_token1] = ACTIONS(833),
    [aux_sym_batch_mode_token1] = ACTIONS(833),
    [aux_sym_bind_address_token1] = ACTIONS(833),
    [aux_sym_bind_interface_token1] = ACTIONS(833),
    [aux_sym_canonical_domains_token1] = ACTIONS(833),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(833),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(833),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(833),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(833),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(833),
    [aux_sym_certificate_file_token1] = ACTIONS(833),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(833),
    [aux_sym_channel_timeout_token1] = ACTIONS(833),
    [aux_sym_check_host_ip_token1] = ACTIONS(833),
    [aux_sym_ciphers_token1] = ACTIONS(833),
    [aux_sym_cipher_token1] = ACTIONS(835),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(833),
    [aux_sym_compression_token1] = ACTIONS(833),
    [aux_sym_connection_attempts_token1] = ACTIONS(833),
    [aux_sym_connect_timeout_token1] = ACTIONS(833),
    [aux_sym_control_master_token1] = ACTIONS(833),
    [aux_sym_control_path_token1] = ACTIONS(833),
    [aux_sym_control_persist_token1] = ACTIONS(833),
    [aux_sym_dynamic_forward_token1] = ACTIONS(833),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(833),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(833),
    [aux_sym_escape_char_token1] = ACTIONS(833),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(833),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(833),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(833),
    [aux_sym_forward_agent_token1] = ACTIONS(833),
    [aux_sym_forward_x11_token1] = ACTIONS(835),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(833),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(833),
    [aux_sym_gateway_ports_token1] = ACTIONS(833),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(833),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(833),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(833),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(833),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(833),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(833),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(833),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(833),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(833),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(833),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(833),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(833),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(833),
    [aux_sym_host_key_alias_token1] = ACTIONS(833),
    [aux_sym_hostname_token1] = ACTIONS(833),
    [aux_sym_identities_only_token1] = ACTIONS(833),
    [aux_sym_identity_agent_token1] = ACTIONS(833),
    [aux_sym_identity_file_token1] = ACTIONS(833),
    [aux_sym_ignore_unknown_token1] = ACTIONS(833),
    [aux_sym_include_token1] = ACTIONS(833),
    [aux_sym_ip_qos_token1] = ACTIONS(833),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(833),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(833),
    [aux_sym_kex_algorithms_token1] = ACTIONS(833),
    [aux_sym_known_hosts_command_token1] = ACTIONS(833),
    [aux_sym_local_command_token1] = ACTIONS(833),
    [aux_sym_local_forward_token1] = ACTIONS(833),
    [aux_sym_log_level_token1] = ACTIONS(833),
    [aux_sym_log_verbose_token1] = ACTIONS(833),
    [aux_sym_macs_token1] = ACTIONS(833),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(833),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(833),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(833),
    [aux_sym_password_authentication_token1] = ACTIONS(833),
    [aux_sym_permit_local_command_token1] = ACTIONS(833),
    [aux_sym_permit_remote_open_token1] = ACTIONS(833),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(833),
    [aux_sym_port_token1] = ACTIONS(833),
    [aux_sym_preferred_authentications_token1] = ACTIONS(833),
    [aux_sym_protocol_token1] = ACTIONS(833),
    [aux_sym_proxy_command_token1] = ACTIONS(833),
    [aux_sym_proxy_jump_token1] = ACTIONS(833),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(833),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(833),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(833),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(833),
    [aux_sym_rekey_limit_token1] = ACTIONS(833),
    [aux_sym_remote_command_token1] = ACTIONS(833),
    [aux_sym_remote_forward_token1] = ACTIONS(833),
    [aux_sym_request_tty_token1] = ACTIONS(833),
    [aux_sym_required_rsa_size_token1] = ACTIONS(833),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(833),
    [aux_sym_security_key_provider_token1] = ACTIONS(833),
    [aux_sym_send_env_token1] = ACTIONS(833),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(833),
    [aux_sym_server_alive_interval_token1] = ACTIONS(833),
    [aux_sym_session_type_token1] = ACTIONS(833),
    [aux_sym_set_env_token1] = ACTIONS(833),
    [aux_sym_stdin_null_token1] = ACTIONS(833),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(833),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(833),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(833),
    [aux_sym_syslog_facility_token1] = ACTIONS(833),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(833),
    [aux_sym_keep_alive_token1] = ACTIONS(833),
    [aux_sym_tag_token1] = ACTIONS(833),
    [aux_sym_tunnel_token1] = ACTIONS(835),
    [aux_sym_tunnel_device_token1] = ACTIONS(833),
    [aux_sym_update_host_keys_token1] = ACTIONS(833),
    [aux_sym_use_keychain_token1] = ACTIONS(833),
    [aux_sym_use_roaming_token1] = ACTIONS(833),
    [aux_sym_user_token1] = ACTIONS(835),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(833),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(833),
    [aux_sym_visual_host_key_token1] = ACTIONS(833),
    [aux_sym_xauth_location_token1] = ACTIONS(833),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1631),
    [aux_sym_match_token1] = ACTIONS(1629),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1629),
    [aux_sym_address_family_token1] = ACTIONS(1629),
    [aux_sym_batch_mode_token1] = ACTIONS(1629),
    [aux_sym_bind_address_token1] = ACTIONS(1629),
    [aux_sym_bind_interface_token1] = ACTIONS(1629),
    [aux_sym_canonical_domains_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1629),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1629),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1629),
    [aux_sym_certificate_file_token1] = ACTIONS(1629),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1629),
    [aux_sym_channel_timeout_token1] = ACTIONS(1629),
    [aux_sym_check_host_ip_token1] = ACTIONS(1629),
    [aux_sym_ciphers_token1] = ACTIONS(1629),
    [aux_sym_cipher_token1] = ACTIONS(1631),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1629),
    [aux_sym_compression_token1] = ACTIONS(1629),
    [aux_sym_connection_attempts_token1] = ACTIONS(1629),
    [aux_sym_connect_timeout_token1] = ACTIONS(1629),
    [aux_sym_control_master_token1] = ACTIONS(1629),
    [aux_sym_control_path_token1] = ACTIONS(1629),
    [aux_sym_control_persist_token1] = ACTIONS(1629),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1629),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1629),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1629),
    [aux_sym_escape_char_token1] = ACTIONS(1629),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1629),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1629),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1629),
    [aux_sym_forward_agent_token1] = ACTIONS(1629),
    [aux_sym_forward_x11_token1] = ACTIONS(1631),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1629),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1629),
    [aux_sym_gateway_ports_token1] = ACTIONS(1629),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1629),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1629),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1629),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1629),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1629),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1629),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1629),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1629),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1629),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1629),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1629),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1629),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1629),
    [aux_sym_host_key_alias_token1] = ACTIONS(1629),
    [aux_sym_hostname_token1] = ACTIONS(1629),
    [aux_sym_identities_only_token1] = ACTIONS(1629),
    [aux_sym_identity_agent_token1] = ACTIONS(1629),
    [aux_sym_identity_file_token1] = ACTIONS(1629),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1629),
    [aux_sym_include_token1] = ACTIONS(1629),
    [aux_sym_ip_qos_token1] = ACTIONS(1629),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1629),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1629),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1629),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1629),
    [aux_sym_local_command_token1] = ACTIONS(1629),
    [aux_sym_local_forward_token1] = ACTIONS(1629),
    [aux_sym_log_level_token1] = ACTIONS(1629),
    [aux_sym_log_verbose_token1] = ACTIONS(1629),
    [aux_sym_macs_token1] = ACTIONS(1629),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1629),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1629),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1629),
    [aux_sym_password_authentication_token1] = ACTIONS(1629),
    [aux_sym_permit_local_command_token1] = ACTIONS(1629),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1629),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1629),
    [aux_sym_port_token1] = ACTIONS(1629),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1629),
    [aux_sym_protocol_token1] = ACTIONS(1629),
    [aux_sym_proxy_command_token1] = ACTIONS(1629),
    [aux_sym_proxy_jump_token1] = ACTIONS(1629),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1629),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1629),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1629),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1629),
    [aux_sym_rekey_limit_token1] = ACTIONS(1629),
    [aux_sym_remote_command_token1] = ACTIONS(1629),
    [aux_sym_remote_forward_token1] = ACTIONS(1629),
    [aux_sym_request_tty_token1] = ACTIONS(1629),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1629),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1629),
    [aux_sym_security_key_provider_token1] = ACTIONS(1629),
    [aux_sym_send_env_token1] = ACTIONS(1629),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1629),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1629),
    [aux_sym_session_type_token1] = ACTIONS(1629),
    [aux_sym_set_env_token1] = ACTIONS(1629),
    [aux_sym_stdin_null_token1] = ACTIONS(1629),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1629),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1629),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1629),
    [aux_sym_syslog_facility_token1] = ACTIONS(1629),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1629),
    [aux_sym_keep_alive_token1] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1629),
    [aux_sym_tunnel_token1] = ACTIONS(1631),
    [aux_sym_tunnel_device_token1] = ACTIONS(1629),
    [aux_sym_update_host_keys_token1] = ACTIONS(1629),
    [aux_sym_use_keychain_token1] = ACTIONS(1629),
    [aux_sym_use_roaming_token1] = ACTIONS(1629),
    [aux_sym_user_token1] = ACTIONS(1631),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1629),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1629),
    [aux_sym_visual_host_key_token1] = ACTIONS(1629),
    [aux_sym_xauth_location_token1] = ACTIONS(1629),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(829),
    [aux_sym_match_token1] = ACTIONS(827),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(827),
    [aux_sym_address_family_token1] = ACTIONS(827),
    [aux_sym_batch_mode_token1] = ACTIONS(827),
    [aux_sym_bind_address_token1] = ACTIONS(827),
    [aux_sym_bind_interface_token1] = ACTIONS(827),
    [aux_sym_canonical_domains_token1] = ACTIONS(827),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(827),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(827),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(827),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(827),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(827),
    [aux_sym_certificate_file_token1] = ACTIONS(827),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(827),
    [aux_sym_channel_timeout_token1] = ACTIONS(827),
    [aux_sym_check_host_ip_token1] = ACTIONS(827),
    [aux_sym_ciphers_token1] = ACTIONS(827),
    [aux_sym_cipher_token1] = ACTIONS(829),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(827),
    [aux_sym_compression_token1] = ACTIONS(827),
    [aux_sym_connection_attempts_token1] = ACTIONS(827),
    [aux_sym_connect_timeout_token1] = ACTIONS(827),
    [aux_sym_control_master_token1] = ACTIONS(827),
    [aux_sym_control_path_token1] = ACTIONS(827),
    [aux_sym_control_persist_token1] = ACTIONS(827),
    [aux_sym_dynamic_forward_token1] = ACTIONS(827),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(827),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(827),
    [aux_sym_escape_char_token1] = ACTIONS(827),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(827),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(827),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(827),
    [aux_sym_forward_agent_token1] = ACTIONS(827),
    [aux_sym_forward_x11_token1] = ACTIONS(829),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(827),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(827),
    [aux_sym_gateway_ports_token1] = ACTIONS(827),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(827),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(827),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(827),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(827),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(827),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(827),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(827),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(827),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(827),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(827),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(827),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(827),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(827),
    [aux_sym_host_key_alias_token1] = ACTIONS(827),
    [aux_sym_hostname_token1] = ACTIONS(827),
    [aux_sym_identities_only_token1] = ACTIONS(827),
    [aux_sym_identity_agent_token1] = ACTIONS(827),
    [aux_sym_identity_file_token1] = ACTIONS(827),
    [aux_sym_ignore_unknown_token1] = ACTIONS(827),
    [aux_sym_include_token1] = ACTIONS(827),
    [aux_sym_ip_qos_token1] = ACTIONS(827),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(827),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(827),
    [aux_sym_kex_algorithms_token1] = ACTIONS(827),
    [aux_sym_known_hosts_command_token1] = ACTIONS(827),
    [aux_sym_local_command_token1] = ACTIONS(827),
    [aux_sym_local_forward_token1] = ACTIONS(827),
    [aux_sym_log_level_token1] = ACTIONS(827),
    [aux_sym_log_verbose_token1] = ACTIONS(827),
    [aux_sym_macs_token1] = ACTIONS(827),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(827),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(827),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(827),
    [aux_sym_password_authentication_token1] = ACTIONS(827),
    [aux_sym_permit_local_command_token1] = ACTIONS(827),
    [aux_sym_permit_remote_open_token1] = ACTIONS(827),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(827),
    [aux_sym_port_token1] = ACTIONS(827),
    [aux_sym_preferred_authentications_token1] = ACTIONS(827),
    [aux_sym_protocol_token1] = ACTIONS(827),
    [aux_sym_proxy_command_token1] = ACTIONS(827),
    [aux_sym_proxy_jump_token1] = ACTIONS(827),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(827),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(827),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(827),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(827),
    [aux_sym_rekey_limit_token1] = ACTIONS(827),
    [aux_sym_remote_command_token1] = ACTIONS(827),
    [aux_sym_remote_forward_token1] = ACTIONS(827),
    [aux_sym_request_tty_token1] = ACTIONS(827),
    [aux_sym_required_rsa_size_token1] = ACTIONS(827),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(827),
    [aux_sym_security_key_provider_token1] = ACTIONS(827),
    [aux_sym_send_env_token1] = ACTIONS(827),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(827),
    [aux_sym_server_alive_interval_token1] = ACTIONS(827),
    [aux_sym_session_type_token1] = ACTIONS(827),
    [aux_sym_set_env_token1] = ACTIONS(827),
    [aux_sym_stdin_null_token1] = ACTIONS(827),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(827),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(827),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(827),
    [aux_sym_syslog_facility_token1] = ACTIONS(827),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(827),
    [aux_sym_keep_alive_token1] = ACTIONS(827),
    [aux_sym_tag_token1] = ACTIONS(827),
    [aux_sym_tunnel_token1] = ACTIONS(829),
    [aux_sym_tunnel_device_token1] = ACTIONS(827),
    [aux_sym_update_host_keys_token1] = ACTIONS(827),
    [aux_sym_use_keychain_token1] = ACTIONS(827),
    [aux_sym_use_roaming_token1] = ACTIONS(827),
    [aux_sym_user_token1] = ACTIONS(829),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(827),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(827),
    [aux_sym_visual_host_key_token1] = ACTIONS(827),
    [aux_sym_xauth_location_token1] = ACTIONS(827),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1637),
    [aux_sym_match_token1] = ACTIONS(1635),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1635),
    [aux_sym_address_family_token1] = ACTIONS(1635),
    [aux_sym_batch_mode_token1] = ACTIONS(1635),
    [aux_sym_bind_address_token1] = ACTIONS(1635),
    [aux_sym_bind_interface_token1] = ACTIONS(1635),
    [aux_sym_canonical_domains_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1635),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1635),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1635),
    [aux_sym_certificate_file_token1] = ACTIONS(1635),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1635),
    [aux_sym_channel_timeout_token1] = ACTIONS(1635),
    [aux_sym_check_host_ip_token1] = ACTIONS(1635),
    [aux_sym_ciphers_token1] = ACTIONS(1635),
    [aux_sym_cipher_token1] = ACTIONS(1637),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1635),
    [aux_sym_compression_token1] = ACTIONS(1635),
    [aux_sym_connection_attempts_token1] = ACTIONS(1635),
    [aux_sym_connect_timeout_token1] = ACTIONS(1635),
    [aux_sym_control_master_token1] = ACTIONS(1635),
    [aux_sym_control_path_token1] = ACTIONS(1635),
    [aux_sym_control_persist_token1] = ACTIONS(1635),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1635),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1635),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1635),
    [aux_sym_escape_char_token1] = ACTIONS(1635),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1635),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1635),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1635),
    [aux_sym_forward_agent_token1] = ACTIONS(1635),
    [aux_sym_forward_x11_token1] = ACTIONS(1637),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1635),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1635),
    [aux_sym_gateway_ports_token1] = ACTIONS(1635),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1635),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1635),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1635),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1635),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1635),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1635),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1635),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1635),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1635),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1635),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1635),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1635),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1635),
    [aux_sym_host_key_alias_token1] = ACTIONS(1635),
    [aux_sym_hostname_token1] = ACTIONS(1635),
    [aux_sym_identities_only_token1] = ACTIONS(1635),
    [aux_sym_identity_agent_token1] = ACTIONS(1635),
    [aux_sym_identity_file_token1] = ACTIONS(1635),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1635),
    [aux_sym_include_token1] = ACTIONS(1635),
    [aux_sym_ip_qos_token1] = ACTIONS(1635),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1635),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1635),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1635),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1635),
    [aux_sym_local_command_token1] = ACTIONS(1635),
    [aux_sym_local_forward_token1] = ACTIONS(1635),
    [aux_sym_log_level_token1] = ACTIONS(1635),
    [aux_sym_log_verbose_token1] = ACTIONS(1635),
    [aux_sym_macs_token1] = ACTIONS(1635),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1635),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1635),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1635),
    [aux_sym_password_authentication_token1] = ACTIONS(1635),
    [aux_sym_permit_local_command_token1] = ACTIONS(1635),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1635),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1635),
    [aux_sym_port_token1] = ACTIONS(1635),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1635),
    [aux_sym_protocol_token1] = ACTIONS(1635),
    [aux_sym_proxy_command_token1] = ACTIONS(1635),
    [aux_sym_proxy_jump_token1] = ACTIONS(1635),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1635),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1635),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1635),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1635),
    [aux_sym_rekey_limit_token1] = ACTIONS(1635),
    [aux_sym_remote_command_token1] = ACTIONS(1635),
    [aux_sym_remote_forward_token1] = ACTIONS(1635),
    [aux_sym_request_tty_token1] = ACTIONS(1635),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1635),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1635),
    [aux_sym_security_key_provider_token1] = ACTIONS(1635),
    [aux_sym_send_env_token1] = ACTIONS(1635),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1635),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1635),
    [aux_sym_session_type_token1] = ACTIONS(1635),
    [aux_sym_set_env_token1] = ACTIONS(1635),
    [aux_sym_stdin_null_token1] = ACTIONS(1635),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1635),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1635),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1635),
    [aux_sym_syslog_facility_token1] = ACTIONS(1635),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1635),
    [aux_sym_keep_alive_token1] = ACTIONS(1635),
    [aux_sym_tag_token1] = ACTIONS(1635),
    [aux_sym_tunnel_token1] = ACTIONS(1637),
    [aux_sym_tunnel_device_token1] = ACTIONS(1635),
    [aux_sym_update_host_keys_token1] = ACTIONS(1635),
    [aux_sym_use_keychain_token1] = ACTIONS(1635),
    [aux_sym_use_roaming_token1] = ACTIONS(1635),
    [aux_sym_user_token1] = ACTIONS(1637),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1635),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1635),
    [aux_sym_visual_host_key_token1] = ACTIONS(1635),
    [aux_sym_xauth_location_token1] = ACTIONS(1635),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1643),
    [aux_sym_match_token1] = ACTIONS(1641),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1641),
    [aux_sym_address_family_token1] = ACTIONS(1641),
    [aux_sym_batch_mode_token1] = ACTIONS(1641),
    [aux_sym_bind_address_token1] = ACTIONS(1641),
    [aux_sym_bind_interface_token1] = ACTIONS(1641),
    [aux_sym_canonical_domains_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1641),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1641),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1641),
    [aux_sym_certificate_file_token1] = ACTIONS(1641),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1641),
    [aux_sym_channel_timeout_token1] = ACTIONS(1641),
    [aux_sym_check_host_ip_token1] = ACTIONS(1641),
    [aux_sym_ciphers_token1] = ACTIONS(1641),
    [aux_sym_cipher_token1] = ACTIONS(1643),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1641),
    [aux_sym_compression_token1] = ACTIONS(1641),
    [aux_sym_connection_attempts_token1] = ACTIONS(1641),
    [aux_sym_connect_timeout_token1] = ACTIONS(1641),
    [aux_sym_control_master_token1] = ACTIONS(1641),
    [aux_sym_control_path_token1] = ACTIONS(1641),
    [aux_sym_control_persist_token1] = ACTIONS(1641),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1641),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1641),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1641),
    [aux_sym_escape_char_token1] = ACTIONS(1641),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1641),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1641),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1641),
    [aux_sym_forward_agent_token1] = ACTIONS(1641),
    [aux_sym_forward_x11_token1] = ACTIONS(1643),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1641),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1641),
    [aux_sym_gateway_ports_token1] = ACTIONS(1641),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1641),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1641),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1641),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1641),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1641),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1641),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1641),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1641),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1641),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1641),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1641),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1641),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1641),
    [aux_sym_host_key_alias_token1] = ACTIONS(1641),
    [aux_sym_hostname_token1] = ACTIONS(1641),
    [aux_sym_identities_only_token1] = ACTIONS(1641),
    [aux_sym_identity_agent_token1] = ACTIONS(1641),
    [aux_sym_identity_file_token1] = ACTIONS(1641),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1641),
    [aux_sym_include_token1] = ACTIONS(1641),
    [aux_sym_ip_qos_token1] = ACTIONS(1641),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1641),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1641),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1641),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1641),
    [aux_sym_local_command_token1] = ACTIONS(1641),
    [aux_sym_local_forward_token1] = ACTIONS(1641),
    [aux_sym_log_level_token1] = ACTIONS(1641),
    [aux_sym_log_verbose_token1] = ACTIONS(1641),
    [aux_sym_macs_token1] = ACTIONS(1641),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1641),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1641),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1641),
    [aux_sym_password_authentication_token1] = ACTIONS(1641),
    [aux_sym_permit_local_command_token1] = ACTIONS(1641),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1641),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1641),
    [aux_sym_port_token1] = ACTIONS(1641),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1641),
    [aux_sym_protocol_token1] = ACTIONS(1641),
    [aux_sym_proxy_command_token1] = ACTIONS(1641),
    [aux_sym_proxy_jump_token1] = ACTIONS(1641),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1641),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1641),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1641),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1641),
    [aux_sym_rekey_limit_token1] = ACTIONS(1641),
    [aux_sym_remote_command_token1] = ACTIONS(1641),
    [aux_sym_remote_forward_token1] = ACTIONS(1641),
    [aux_sym_request_tty_token1] = ACTIONS(1641),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1641),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1641),
    [aux_sym_security_key_provider_token1] = ACTIONS(1641),
    [aux_sym_send_env_token1] = ACTIONS(1641),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1641),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1641),
    [aux_sym_session_type_token1] = ACTIONS(1641),
    [aux_sym_set_env_token1] = ACTIONS(1641),
    [aux_sym_stdin_null_token1] = ACTIONS(1641),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1641),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1641),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1641),
    [aux_sym_syslog_facility_token1] = ACTIONS(1641),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1641),
    [aux_sym_keep_alive_token1] = ACTIONS(1641),
    [aux_sym_tag_token1] = ACTIONS(1641),
    [aux_sym_tunnel_token1] = ACTIONS(1643),
    [aux_sym_tunnel_device_token1] = ACTIONS(1641),
    [aux_sym_update_host_keys_token1] = ACTIONS(1641),
    [aux_sym_use_keychain_token1] = ACTIONS(1641),
    [aux_sym_use_roaming_token1] = ACTIONS(1641),
    [aux_sym_user_token1] = ACTIONS(1643),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1641),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1641),
    [aux_sym_visual_host_key_token1] = ACTIONS(1641),
    [aux_sym_xauth_location_token1] = ACTIONS(1641),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1351),
    [aux_sym_match_token1] = ACTIONS(1349),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1349),
    [aux_sym_address_family_token1] = ACTIONS(1349),
    [aux_sym_batch_mode_token1] = ACTIONS(1349),
    [aux_sym_bind_address_token1] = ACTIONS(1349),
    [aux_sym_bind_interface_token1] = ACTIONS(1349),
    [aux_sym_canonical_domains_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1349),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1349),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1349),
    [aux_sym_certificate_file_token1] = ACTIONS(1349),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1349),
    [aux_sym_channel_timeout_token1] = ACTIONS(1349),
    [aux_sym_check_host_ip_token1] = ACTIONS(1349),
    [aux_sym_ciphers_token1] = ACTIONS(1349),
    [aux_sym_cipher_token1] = ACTIONS(1351),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1349),
    [aux_sym_compression_token1] = ACTIONS(1349),
    [aux_sym_connection_attempts_token1] = ACTIONS(1349),
    [aux_sym_connect_timeout_token1] = ACTIONS(1349),
    [aux_sym_control_master_token1] = ACTIONS(1349),
    [aux_sym_control_path_token1] = ACTIONS(1349),
    [aux_sym_control_persist_token1] = ACTIONS(1349),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1349),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1349),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1349),
    [aux_sym_escape_char_token1] = ACTIONS(1349),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1349),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1349),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1349),
    [aux_sym_forward_agent_token1] = ACTIONS(1349),
    [aux_sym_forward_x11_token1] = ACTIONS(1351),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1349),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1349),
    [aux_sym_gateway_ports_token1] = ACTIONS(1349),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1349),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1349),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1349),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1349),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1349),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1349),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1349),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1349),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1349),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1349),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1349),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1349),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1349),
    [aux_sym_host_key_alias_token1] = ACTIONS(1349),
    [aux_sym_hostname_token1] = ACTIONS(1349),
    [aux_sym_identities_only_token1] = ACTIONS(1349),
    [aux_sym_identity_agent_token1] = ACTIONS(1349),
    [aux_sym_identity_file_token1] = ACTIONS(1349),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1349),
    [aux_sym_include_token1] = ACTIONS(1349),
    [aux_sym_ip_qos_token1] = ACTIONS(1349),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1349),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1349),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1349),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1349),
    [aux_sym_local_command_token1] = ACTIONS(1349),
    [aux_sym_local_forward_token1] = ACTIONS(1349),
    [aux_sym_log_level_token1] = ACTIONS(1349),
    [aux_sym_log_verbose_token1] = ACTIONS(1349),
    [aux_sym_macs_token1] = ACTIONS(1349),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1349),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1349),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1349),
    [aux_sym_password_authentication_token1] = ACTIONS(1349),
    [aux_sym_permit_local_command_token1] = ACTIONS(1349),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1349),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1349),
    [aux_sym_port_token1] = ACTIONS(1349),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1349),
    [aux_sym_protocol_token1] = ACTIONS(1349),
    [aux_sym_proxy_command_token1] = ACTIONS(1349),
    [aux_sym_proxy_jump_token1] = ACTIONS(1349),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1349),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1349),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1349),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1349),
    [aux_sym_rekey_limit_token1] = ACTIONS(1349),
    [aux_sym_remote_command_token1] = ACTIONS(1349),
    [aux_sym_remote_forward_token1] = ACTIONS(1349),
    [aux_sym_request_tty_token1] = ACTIONS(1349),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1349),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1349),
    [aux_sym_security_key_provider_token1] = ACTIONS(1349),
    [aux_sym_send_env_token1] = ACTIONS(1349),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1349),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1349),
    [aux_sym_session_type_token1] = ACTIONS(1349),
    [aux_sym_set_env_token1] = ACTIONS(1349),
    [aux_sym_stdin_null_token1] = ACTIONS(1349),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1349),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1349),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1349),
    [aux_sym_syslog_facility_token1] = ACTIONS(1349),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1349),
    [aux_sym_keep_alive_token1] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [aux_sym_tunnel_token1] = ACTIONS(1351),
    [aux_sym_tunnel_device_token1] = ACTIONS(1349),
    [aux_sym_update_host_keys_token1] = ACTIONS(1349),
    [aux_sym_use_keychain_token1] = ACTIONS(1349),
    [aux_sym_use_roaming_token1] = ACTIONS(1349),
    [aux_sym_user_token1] = ACTIONS(1351),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1349),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1349),
    [aux_sym_visual_host_key_token1] = ACTIONS(1349),
    [aux_sym_xauth_location_token1] = ACTIONS(1349),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(823),
    [aux_sym_match_token1] = ACTIONS(821),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(821),
    [aux_sym_address_family_token1] = ACTIONS(821),
    [aux_sym_batch_mode_token1] = ACTIONS(821),
    [aux_sym_bind_address_token1] = ACTIONS(821),
    [aux_sym_bind_interface_token1] = ACTIONS(821),
    [aux_sym_canonical_domains_token1] = ACTIONS(821),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(821),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(821),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(821),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(821),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(821),
    [aux_sym_certificate_file_token1] = ACTIONS(821),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(821),
    [aux_sym_channel_timeout_token1] = ACTIONS(821),
    [aux_sym_check_host_ip_token1] = ACTIONS(821),
    [aux_sym_ciphers_token1] = ACTIONS(821),
    [aux_sym_cipher_token1] = ACTIONS(823),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(821),
    [aux_sym_compression_token1] = ACTIONS(821),
    [aux_sym_connection_attempts_token1] = ACTIONS(821),
    [aux_sym_connect_timeout_token1] = ACTIONS(821),
    [aux_sym_control_master_token1] = ACTIONS(821),
    [aux_sym_control_path_token1] = ACTIONS(821),
    [aux_sym_control_persist_token1] = ACTIONS(821),
    [aux_sym_dynamic_forward_token1] = ACTIONS(821),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(821),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(821),
    [aux_sym_escape_char_token1] = ACTIONS(821),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(821),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(821),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(821),
    [aux_sym_forward_agent_token1] = ACTIONS(821),
    [aux_sym_forward_x11_token1] = ACTIONS(823),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(821),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(821),
    [aux_sym_gateway_ports_token1] = ACTIONS(821),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(821),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(821),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(821),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(821),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(821),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(821),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(821),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(821),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(821),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(821),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(821),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(821),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(821),
    [aux_sym_host_key_alias_token1] = ACTIONS(821),
    [aux_sym_hostname_token1] = ACTIONS(821),
    [aux_sym_identities_only_token1] = ACTIONS(821),
    [aux_sym_identity_agent_token1] = ACTIONS(821),
    [aux_sym_identity_file_token1] = ACTIONS(821),
    [aux_sym_ignore_unknown_token1] = ACTIONS(821),
    [aux_sym_include_token1] = ACTIONS(821),
    [aux_sym_ip_qos_token1] = ACTIONS(821),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(821),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(821),
    [aux_sym_kex_algorithms_token1] = ACTIONS(821),
    [aux_sym_known_hosts_command_token1] = ACTIONS(821),
    [aux_sym_local_command_token1] = ACTIONS(821),
    [aux_sym_local_forward_token1] = ACTIONS(821),
    [aux_sym_log_level_token1] = ACTIONS(821),
    [aux_sym_log_verbose_token1] = ACTIONS(821),
    [aux_sym_macs_token1] = ACTIONS(821),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(821),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(821),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(821),
    [aux_sym_password_authentication_token1] = ACTIONS(821),
    [aux_sym_permit_local_command_token1] = ACTIONS(821),
    [aux_sym_permit_remote_open_token1] = ACTIONS(821),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(821),
    [aux_sym_port_token1] = ACTIONS(821),
    [aux_sym_preferred_authentications_token1] = ACTIONS(821),
    [aux_sym_protocol_token1] = ACTIONS(821),
    [aux_sym_proxy_command_token1] = ACTIONS(821),
    [aux_sym_proxy_jump_token1] = ACTIONS(821),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(821),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(821),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(821),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(821),
    [aux_sym_rekey_limit_token1] = ACTIONS(821),
    [aux_sym_remote_command_token1] = ACTIONS(821),
    [aux_sym_remote_forward_token1] = ACTIONS(821),
    [aux_sym_request_tty_token1] = ACTIONS(821),
    [aux_sym_required_rsa_size_token1] = ACTIONS(821),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(821),
    [aux_sym_security_key_provider_token1] = ACTIONS(821),
    [aux_sym_send_env_token1] = ACTIONS(821),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(821),
    [aux_sym_server_alive_interval_token1] = ACTIONS(821),
    [aux_sym_session_type_token1] = ACTIONS(821),
    [aux_sym_set_env_token1] = ACTIONS(821),
    [aux_sym_stdin_null_token1] = ACTIONS(821),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(821),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(821),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(821),
    [aux_sym_syslog_facility_token1] = ACTIONS(821),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(821),
    [aux_sym_keep_alive_token1] = ACTIONS(821),
    [aux_sym_tag_token1] = ACTIONS(821),
    [aux_sym_tunnel_token1] = ACTIONS(823),
    [aux_sym_tunnel_device_token1] = ACTIONS(821),
    [aux_sym_update_host_keys_token1] = ACTIONS(821),
    [aux_sym_use_keychain_token1] = ACTIONS(821),
    [aux_sym_use_roaming_token1] = ACTIONS(821),
    [aux_sym_user_token1] = ACTIONS(823),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(821),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(821),
    [aux_sym_visual_host_key_token1] = ACTIONS(821),
    [aux_sym_xauth_location_token1] = ACTIONS(821),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1357),
    [aux_sym_match_token1] = ACTIONS(1355),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1355),
    [aux_sym_address_family_token1] = ACTIONS(1355),
    [aux_sym_batch_mode_token1] = ACTIONS(1355),
    [aux_sym_bind_address_token1] = ACTIONS(1355),
    [aux_sym_bind_interface_token1] = ACTIONS(1355),
    [aux_sym_canonical_domains_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1355),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1355),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1355),
    [aux_sym_certificate_file_token1] = ACTIONS(1355),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1355),
    [aux_sym_channel_timeout_token1] = ACTIONS(1355),
    [aux_sym_check_host_ip_token1] = ACTIONS(1355),
    [aux_sym_ciphers_token1] = ACTIONS(1355),
    [aux_sym_cipher_token1] = ACTIONS(1357),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1355),
    [aux_sym_compression_token1] = ACTIONS(1355),
    [aux_sym_connection_attempts_token1] = ACTIONS(1355),
    [aux_sym_connect_timeout_token1] = ACTIONS(1355),
    [aux_sym_control_master_token1] = ACTIONS(1355),
    [aux_sym_control_path_token1] = ACTIONS(1355),
    [aux_sym_control_persist_token1] = ACTIONS(1355),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1355),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1355),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1355),
    [aux_sym_escape_char_token1] = ACTIONS(1355),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1355),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1355),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1355),
    [aux_sym_forward_agent_token1] = ACTIONS(1355),
    [aux_sym_forward_x11_token1] = ACTIONS(1357),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1355),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1355),
    [aux_sym_gateway_ports_token1] = ACTIONS(1355),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1355),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1355),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1355),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1355),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1355),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1355),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1355),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1355),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1355),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1355),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1355),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1355),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1355),
    [aux_sym_host_key_alias_token1] = ACTIONS(1355),
    [aux_sym_hostname_token1] = ACTIONS(1355),
    [aux_sym_identities_only_token1] = ACTIONS(1355),
    [aux_sym_identity_agent_token1] = ACTIONS(1355),
    [aux_sym_identity_file_token1] = ACTIONS(1355),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1355),
    [aux_sym_include_token1] = ACTIONS(1355),
    [aux_sym_ip_qos_token1] = ACTIONS(1355),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1355),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1355),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1355),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1355),
    [aux_sym_local_command_token1] = ACTIONS(1355),
    [aux_sym_local_forward_token1] = ACTIONS(1355),
    [aux_sym_log_level_token1] = ACTIONS(1355),
    [aux_sym_log_verbose_token1] = ACTIONS(1355),
    [aux_sym_macs_token1] = ACTIONS(1355),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1355),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1355),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1355),
    [aux_sym_password_authentication_token1] = ACTIONS(1355),
    [aux_sym_permit_local_command_token1] = ACTIONS(1355),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1355),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1355),
    [aux_sym_port_token1] = ACTIONS(1355),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1355),
    [aux_sym_protocol_token1] = ACTIONS(1355),
    [aux_sym_proxy_command_token1] = ACTIONS(1355),
    [aux_sym_proxy_jump_token1] = ACTIONS(1355),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1355),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1355),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1355),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1355),
    [aux_sym_rekey_limit_token1] = ACTIONS(1355),
    [aux_sym_remote_command_token1] = ACTIONS(1355),
    [aux_sym_remote_forward_token1] = ACTIONS(1355),
    [aux_sym_request_tty_token1] = ACTIONS(1355),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1355),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1355),
    [aux_sym_security_key_provider_token1] = ACTIONS(1355),
    [aux_sym_send_env_token1] = ACTIONS(1355),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1355),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1355),
    [aux_sym_session_type_token1] = ACTIONS(1355),
    [aux_sym_set_env_token1] = ACTIONS(1355),
    [aux_sym_stdin_null_token1] = ACTIONS(1355),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1355),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1355),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1355),
    [aux_sym_syslog_facility_token1] = ACTIONS(1355),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1355),
    [aux_sym_keep_alive_token1] = ACTIONS(1355),
    [aux_sym_tag_token1] = ACTIONS(1355),
    [aux_sym_tunnel_token1] = ACTIONS(1357),
    [aux_sym_tunnel_device_token1] = ACTIONS(1355),
    [aux_sym_update_host_keys_token1] = ACTIONS(1355),
    [aux_sym_use_keychain_token1] = ACTIONS(1355),
    [aux_sym_use_roaming_token1] = ACTIONS(1355),
    [aux_sym_user_token1] = ACTIONS(1357),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1355),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1355),
    [aux_sym_visual_host_key_token1] = ACTIONS(1355),
    [aux_sym_xauth_location_token1] = ACTIONS(1355),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1649),
    [aux_sym_match_token1] = ACTIONS(1647),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1647),
    [aux_sym_address_family_token1] = ACTIONS(1647),
    [aux_sym_batch_mode_token1] = ACTIONS(1647),
    [aux_sym_bind_address_token1] = ACTIONS(1647),
    [aux_sym_bind_interface_token1] = ACTIONS(1647),
    [aux_sym_canonical_domains_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1647),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1647),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1647),
    [aux_sym_certificate_file_token1] = ACTIONS(1647),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1647),
    [aux_sym_channel_timeout_token1] = ACTIONS(1647),
    [aux_sym_check_host_ip_token1] = ACTIONS(1647),
    [aux_sym_ciphers_token1] = ACTIONS(1647),
    [aux_sym_cipher_token1] = ACTIONS(1649),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1647),
    [aux_sym_compression_token1] = ACTIONS(1647),
    [aux_sym_connection_attempts_token1] = ACTIONS(1647),
    [aux_sym_connect_timeout_token1] = ACTIONS(1647),
    [aux_sym_control_master_token1] = ACTIONS(1647),
    [aux_sym_control_path_token1] = ACTIONS(1647),
    [aux_sym_control_persist_token1] = ACTIONS(1647),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1647),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1647),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1647),
    [aux_sym_escape_char_token1] = ACTIONS(1647),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1647),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1647),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1647),
    [aux_sym_forward_agent_token1] = ACTIONS(1647),
    [aux_sym_forward_x11_token1] = ACTIONS(1649),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1647),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1647),
    [aux_sym_gateway_ports_token1] = ACTIONS(1647),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1647),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1647),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1647),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1647),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1647),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1647),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1647),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1647),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1647),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1647),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1647),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1647),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1647),
    [aux_sym_host_key_alias_token1] = ACTIONS(1647),
    [aux_sym_hostname_token1] = ACTIONS(1647),
    [aux_sym_identities_only_token1] = ACTIONS(1647),
    [aux_sym_identity_agent_token1] = ACTIONS(1647),
    [aux_sym_identity_file_token1] = ACTIONS(1647),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1647),
    [aux_sym_include_token1] = ACTIONS(1647),
    [aux_sym_ip_qos_token1] = ACTIONS(1647),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1647),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1647),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1647),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1647),
    [aux_sym_local_command_token1] = ACTIONS(1647),
    [aux_sym_local_forward_token1] = ACTIONS(1647),
    [aux_sym_log_level_token1] = ACTIONS(1647),
    [aux_sym_log_verbose_token1] = ACTIONS(1647),
    [aux_sym_macs_token1] = ACTIONS(1647),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1647),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1647),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1647),
    [aux_sym_password_authentication_token1] = ACTIONS(1647),
    [aux_sym_permit_local_command_token1] = ACTIONS(1647),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1647),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1647),
    [aux_sym_port_token1] = ACTIONS(1647),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1647),
    [aux_sym_protocol_token1] = ACTIONS(1647),
    [aux_sym_proxy_command_token1] = ACTIONS(1647),
    [aux_sym_proxy_jump_token1] = ACTIONS(1647),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1647),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1647),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1647),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1647),
    [aux_sym_rekey_limit_token1] = ACTIONS(1647),
    [aux_sym_remote_command_token1] = ACTIONS(1647),
    [aux_sym_remote_forward_token1] = ACTIONS(1647),
    [aux_sym_request_tty_token1] = ACTIONS(1647),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1647),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1647),
    [aux_sym_security_key_provider_token1] = ACTIONS(1647),
    [aux_sym_send_env_token1] = ACTIONS(1647),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1647),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1647),
    [aux_sym_session_type_token1] = ACTIONS(1647),
    [aux_sym_set_env_token1] = ACTIONS(1647),
    [aux_sym_stdin_null_token1] = ACTIONS(1647),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1647),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1647),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1647),
    [aux_sym_syslog_facility_token1] = ACTIONS(1647),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1647),
    [aux_sym_keep_alive_token1] = ACTIONS(1647),
    [aux_sym_tag_token1] = ACTIONS(1647),
    [aux_sym_tunnel_token1] = ACTIONS(1649),
    [aux_sym_tunnel_device_token1] = ACTIONS(1647),
    [aux_sym_update_host_keys_token1] = ACTIONS(1647),
    [aux_sym_use_keychain_token1] = ACTIONS(1647),
    [aux_sym_use_roaming_token1] = ACTIONS(1647),
    [aux_sym_user_token1] = ACTIONS(1649),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1647),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1647),
    [aux_sym_visual_host_key_token1] = ACTIONS(1647),
    [aux_sym_xauth_location_token1] = ACTIONS(1647),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3513),
    [aux_sym_match_token1] = ACTIONS(3511),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3511),
    [aux_sym_address_family_token1] = ACTIONS(3511),
    [aux_sym_batch_mode_token1] = ACTIONS(3511),
    [aux_sym_bind_address_token1] = ACTIONS(3511),
    [aux_sym_bind_interface_token1] = ACTIONS(3511),
    [aux_sym_canonical_domains_token1] = ACTIONS(3511),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3511),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3511),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3511),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3511),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3511),
    [aux_sym_certificate_file_token1] = ACTIONS(3511),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3511),
    [aux_sym_channel_timeout_token1] = ACTIONS(3511),
    [aux_sym_check_host_ip_token1] = ACTIONS(3511),
    [aux_sym_ciphers_token1] = ACTIONS(3511),
    [aux_sym_cipher_token1] = ACTIONS(3513),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3511),
    [aux_sym_compression_token1] = ACTIONS(3511),
    [aux_sym_connection_attempts_token1] = ACTIONS(3511),
    [aux_sym_connect_timeout_token1] = ACTIONS(3511),
    [aux_sym_control_master_token1] = ACTIONS(3511),
    [aux_sym_control_path_token1] = ACTIONS(3511),
    [aux_sym_control_persist_token1] = ACTIONS(3511),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3511),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3511),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3511),
    [aux_sym_escape_char_token1] = ACTIONS(3511),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3511),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3511),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3511),
    [aux_sym_forward_agent_token1] = ACTIONS(3511),
    [aux_sym_forward_x11_token1] = ACTIONS(3513),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3511),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3511),
    [aux_sym_gateway_ports_token1] = ACTIONS(3511),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3511),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3511),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3511),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3511),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3511),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3511),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3511),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3511),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3511),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3511),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3511),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3511),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3511),
    [aux_sym_host_key_alias_token1] = ACTIONS(3511),
    [aux_sym_hostname_token1] = ACTIONS(3511),
    [aux_sym_identities_only_token1] = ACTIONS(3511),
    [aux_sym_identity_agent_token1] = ACTIONS(3511),
    [aux_sym_identity_file_token1] = ACTIONS(3511),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3511),
    [aux_sym_include_token1] = ACTIONS(3511),
    [aux_sym_ip_qos_token1] = ACTIONS(3511),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3511),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3511),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3511),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3511),
    [aux_sym_local_command_token1] = ACTIONS(3511),
    [aux_sym_local_forward_token1] = ACTIONS(3511),
    [aux_sym_log_level_token1] = ACTIONS(3511),
    [aux_sym_log_verbose_token1] = ACTIONS(3511),
    [aux_sym_macs_token1] = ACTIONS(3511),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3511),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3511),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3511),
    [aux_sym_password_authentication_token1] = ACTIONS(3511),
    [aux_sym_permit_local_command_token1] = ACTIONS(3511),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3511),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3511),
    [aux_sym_port_token1] = ACTIONS(3511),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3511),
    [aux_sym_protocol_token1] = ACTIONS(3511),
    [aux_sym_proxy_command_token1] = ACTIONS(3511),
    [aux_sym_proxy_jump_token1] = ACTIONS(3511),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3511),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3511),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3511),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3511),
    [aux_sym_rekey_limit_token1] = ACTIONS(3511),
    [aux_sym_remote_command_token1] = ACTIONS(3511),
    [aux_sym_remote_forward_token1] = ACTIONS(3511),
    [aux_sym_request_tty_token1] = ACTIONS(3511),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3511),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3511),
    [aux_sym_security_key_provider_token1] = ACTIONS(3511),
    [aux_sym_send_env_token1] = ACTIONS(3511),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3511),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3511),
    [aux_sym_session_type_token1] = ACTIONS(3511),
    [aux_sym_set_env_token1] = ACTIONS(3511),
    [aux_sym_stdin_null_token1] = ACTIONS(3511),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3511),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3511),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3511),
    [aux_sym_syslog_facility_token1] = ACTIONS(3511),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3511),
    [aux_sym_keep_alive_token1] = ACTIONS(3511),
    [aux_sym_tag_token1] = ACTIONS(3511),
    [aux_sym_tunnel_token1] = ACTIONS(3513),
    [aux_sym_tunnel_device_token1] = ACTIONS(3511),
    [aux_sym_update_host_keys_token1] = ACTIONS(3511),
    [aux_sym_use_keychain_token1] = ACTIONS(3511),
    [aux_sym_use_roaming_token1] = ACTIONS(3511),
    [aux_sym_user_token1] = ACTIONS(3513),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3511),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3511),
    [aux_sym_visual_host_key_token1] = ACTIONS(3511),
    [aux_sym_xauth_location_token1] = ACTIONS(3511),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(877),
    [aux_sym_match_token1] = ACTIONS(875),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(875),
    [aux_sym_address_family_token1] = ACTIONS(875),
    [aux_sym_batch_mode_token1] = ACTIONS(875),
    [aux_sym_bind_address_token1] = ACTIONS(875),
    [aux_sym_bind_interface_token1] = ACTIONS(875),
    [aux_sym_canonical_domains_token1] = ACTIONS(875),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(875),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(875),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(875),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(875),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(875),
    [aux_sym_certificate_file_token1] = ACTIONS(875),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(875),
    [aux_sym_channel_timeout_token1] = ACTIONS(875),
    [aux_sym_check_host_ip_token1] = ACTIONS(875),
    [aux_sym_ciphers_token1] = ACTIONS(875),
    [aux_sym_cipher_token1] = ACTIONS(877),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(875),
    [aux_sym_compression_token1] = ACTIONS(875),
    [aux_sym_connection_attempts_token1] = ACTIONS(875),
    [aux_sym_connect_timeout_token1] = ACTIONS(875),
    [aux_sym_control_master_token1] = ACTIONS(875),
    [aux_sym_control_path_token1] = ACTIONS(875),
    [aux_sym_control_persist_token1] = ACTIONS(875),
    [aux_sym_dynamic_forward_token1] = ACTIONS(875),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(875),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(875),
    [aux_sym_escape_char_token1] = ACTIONS(875),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(875),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(875),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(875),
    [aux_sym_forward_agent_token1] = ACTIONS(875),
    [aux_sym_forward_x11_token1] = ACTIONS(877),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(875),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(875),
    [aux_sym_gateway_ports_token1] = ACTIONS(875),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(875),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(875),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(875),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(875),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(875),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(875),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(875),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(875),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(875),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(875),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(875),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(875),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(875),
    [aux_sym_host_key_alias_token1] = ACTIONS(875),
    [aux_sym_hostname_token1] = ACTIONS(875),
    [aux_sym_identities_only_token1] = ACTIONS(875),
    [aux_sym_identity_agent_token1] = ACTIONS(875),
    [aux_sym_identity_file_token1] = ACTIONS(875),
    [aux_sym_ignore_unknown_token1] = ACTIONS(875),
    [aux_sym_include_token1] = ACTIONS(875),
    [aux_sym_ip_qos_token1] = ACTIONS(875),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(875),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(875),
    [aux_sym_kex_algorithms_token1] = ACTIONS(875),
    [aux_sym_known_hosts_command_token1] = ACTIONS(875),
    [aux_sym_local_command_token1] = ACTIONS(875),
    [aux_sym_local_forward_token1] = ACTIONS(875),
    [aux_sym_log_level_token1] = ACTIONS(875),
    [aux_sym_log_verbose_token1] = ACTIONS(875),
    [aux_sym_macs_token1] = ACTIONS(875),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(875),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(875),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(875),
    [aux_sym_password_authentication_token1] = ACTIONS(875),
    [aux_sym_permit_local_command_token1] = ACTIONS(875),
    [aux_sym_permit_remote_open_token1] = ACTIONS(875),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(875),
    [aux_sym_port_token1] = ACTIONS(875),
    [aux_sym_preferred_authentications_token1] = ACTIONS(875),
    [aux_sym_protocol_token1] = ACTIONS(875),
    [aux_sym_proxy_command_token1] = ACTIONS(875),
    [aux_sym_proxy_jump_token1] = ACTIONS(875),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(875),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(875),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(875),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(875),
    [aux_sym_rekey_limit_token1] = ACTIONS(875),
    [aux_sym_remote_command_token1] = ACTIONS(875),
    [aux_sym_remote_forward_token1] = ACTIONS(875),
    [aux_sym_request_tty_token1] = ACTIONS(875),
    [aux_sym_required_rsa_size_token1] = ACTIONS(875),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(875),
    [aux_sym_security_key_provider_token1] = ACTIONS(875),
    [aux_sym_send_env_token1] = ACTIONS(875),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(875),
    [aux_sym_server_alive_interval_token1] = ACTIONS(875),
    [aux_sym_session_type_token1] = ACTIONS(875),
    [aux_sym_set_env_token1] = ACTIONS(875),
    [aux_sym_stdin_null_token1] = ACTIONS(875),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(875),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(875),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(875),
    [aux_sym_syslog_facility_token1] = ACTIONS(875),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(875),
    [aux_sym_keep_alive_token1] = ACTIONS(875),
    [aux_sym_tag_token1] = ACTIONS(875),
    [aux_sym_tunnel_token1] = ACTIONS(877),
    [aux_sym_tunnel_device_token1] = ACTIONS(875),
    [aux_sym_update_host_keys_token1] = ACTIONS(875),
    [aux_sym_use_keychain_token1] = ACTIONS(875),
    [aux_sym_use_roaming_token1] = ACTIONS(875),
    [aux_sym_user_token1] = ACTIONS(877),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(875),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(875),
    [aux_sym_visual_host_key_token1] = ACTIONS(875),
    [aux_sym_xauth_location_token1] = ACTIONS(875),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1363),
    [aux_sym_match_token1] = ACTIONS(1361),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1361),
    [aux_sym_address_family_token1] = ACTIONS(1361),
    [aux_sym_batch_mode_token1] = ACTIONS(1361),
    [aux_sym_bind_address_token1] = ACTIONS(1361),
    [aux_sym_bind_interface_token1] = ACTIONS(1361),
    [aux_sym_canonical_domains_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1361),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1361),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1361),
    [aux_sym_certificate_file_token1] = ACTIONS(1361),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1361),
    [aux_sym_channel_timeout_token1] = ACTIONS(1361),
    [aux_sym_check_host_ip_token1] = ACTIONS(1361),
    [aux_sym_ciphers_token1] = ACTIONS(1361),
    [aux_sym_cipher_token1] = ACTIONS(1363),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1361),
    [aux_sym_compression_token1] = ACTIONS(1361),
    [aux_sym_connection_attempts_token1] = ACTIONS(1361),
    [aux_sym_connect_timeout_token1] = ACTIONS(1361),
    [aux_sym_control_master_token1] = ACTIONS(1361),
    [aux_sym_control_path_token1] = ACTIONS(1361),
    [aux_sym_control_persist_token1] = ACTIONS(1361),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1361),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1361),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1361),
    [aux_sym_escape_char_token1] = ACTIONS(1361),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1361),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1361),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1361),
    [aux_sym_forward_agent_token1] = ACTIONS(1361),
    [aux_sym_forward_x11_token1] = ACTIONS(1363),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1361),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1361),
    [aux_sym_gateway_ports_token1] = ACTIONS(1361),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1361),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1361),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1361),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1361),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1361),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1361),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1361),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1361),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1361),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1361),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1361),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1361),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1361),
    [aux_sym_host_key_alias_token1] = ACTIONS(1361),
    [aux_sym_hostname_token1] = ACTIONS(1361),
    [aux_sym_identities_only_token1] = ACTIONS(1361),
    [aux_sym_identity_agent_token1] = ACTIONS(1361),
    [aux_sym_identity_file_token1] = ACTIONS(1361),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1361),
    [aux_sym_include_token1] = ACTIONS(1361),
    [aux_sym_ip_qos_token1] = ACTIONS(1361),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1361),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1361),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1361),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1361),
    [aux_sym_local_command_token1] = ACTIONS(1361),
    [aux_sym_local_forward_token1] = ACTIONS(1361),
    [aux_sym_log_level_token1] = ACTIONS(1361),
    [aux_sym_log_verbose_token1] = ACTIONS(1361),
    [aux_sym_macs_token1] = ACTIONS(1361),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1361),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1361),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1361),
    [aux_sym_password_authentication_token1] = ACTIONS(1361),
    [aux_sym_permit_local_command_token1] = ACTIONS(1361),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1361),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1361),
    [aux_sym_port_token1] = ACTIONS(1361),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1361),
    [aux_sym_protocol_token1] = ACTIONS(1361),
    [aux_sym_proxy_command_token1] = ACTIONS(1361),
    [aux_sym_proxy_jump_token1] = ACTIONS(1361),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1361),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1361),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1361),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1361),
    [aux_sym_rekey_limit_token1] = ACTIONS(1361),
    [aux_sym_remote_command_token1] = ACTIONS(1361),
    [aux_sym_remote_forward_token1] = ACTIONS(1361),
    [aux_sym_request_tty_token1] = ACTIONS(1361),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1361),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1361),
    [aux_sym_security_key_provider_token1] = ACTIONS(1361),
    [aux_sym_send_env_token1] = ACTIONS(1361),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1361),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1361),
    [aux_sym_session_type_token1] = ACTIONS(1361),
    [aux_sym_set_env_token1] = ACTIONS(1361),
    [aux_sym_stdin_null_token1] = ACTIONS(1361),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1361),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1361),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1361),
    [aux_sym_syslog_facility_token1] = ACTIONS(1361),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1361),
    [aux_sym_keep_alive_token1] = ACTIONS(1361),
    [aux_sym_tag_token1] = ACTIONS(1361),
    [aux_sym_tunnel_token1] = ACTIONS(1363),
    [aux_sym_tunnel_device_token1] = ACTIONS(1361),
    [aux_sym_update_host_keys_token1] = ACTIONS(1361),
    [aux_sym_use_keychain_token1] = ACTIONS(1361),
    [aux_sym_use_roaming_token1] = ACTIONS(1361),
    [aux_sym_user_token1] = ACTIONS(1363),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1361),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1361),
    [aux_sym_visual_host_key_token1] = ACTIONS(1361),
    [aux_sym_xauth_location_token1] = ACTIONS(1361),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3517),
    [aux_sym_match_token1] = ACTIONS(3515),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3515),
    [aux_sym_address_family_token1] = ACTIONS(3515),
    [aux_sym_batch_mode_token1] = ACTIONS(3515),
    [aux_sym_bind_address_token1] = ACTIONS(3515),
    [aux_sym_bind_interface_token1] = ACTIONS(3515),
    [aux_sym_canonical_domains_token1] = ACTIONS(3515),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3515),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3515),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3515),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3515),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3515),
    [aux_sym_certificate_file_token1] = ACTIONS(3515),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3515),
    [aux_sym_channel_timeout_token1] = ACTIONS(3515),
    [aux_sym_check_host_ip_token1] = ACTIONS(3515),
    [aux_sym_ciphers_token1] = ACTIONS(3515),
    [aux_sym_cipher_token1] = ACTIONS(3517),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3515),
    [aux_sym_compression_token1] = ACTIONS(3515),
    [aux_sym_connection_attempts_token1] = ACTIONS(3515),
    [aux_sym_connect_timeout_token1] = ACTIONS(3515),
    [aux_sym_control_master_token1] = ACTIONS(3515),
    [aux_sym_control_path_token1] = ACTIONS(3515),
    [aux_sym_control_persist_token1] = ACTIONS(3515),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3515),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3515),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3515),
    [aux_sym_escape_char_token1] = ACTIONS(3515),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3515),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3515),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3515),
    [aux_sym_forward_agent_token1] = ACTIONS(3515),
    [aux_sym_forward_x11_token1] = ACTIONS(3517),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3515),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3515),
    [aux_sym_gateway_ports_token1] = ACTIONS(3515),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3515),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3515),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3515),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3515),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3515),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3515),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3515),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3515),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3515),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3515),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3515),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3515),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3515),
    [aux_sym_host_key_alias_token1] = ACTIONS(3515),
    [aux_sym_hostname_token1] = ACTIONS(3515),
    [aux_sym_identities_only_token1] = ACTIONS(3515),
    [aux_sym_identity_agent_token1] = ACTIONS(3515),
    [aux_sym_identity_file_token1] = ACTIONS(3515),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3515),
    [aux_sym_include_token1] = ACTIONS(3515),
    [aux_sym_ip_qos_token1] = ACTIONS(3515),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3515),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3515),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3515),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3515),
    [aux_sym_local_command_token1] = ACTIONS(3515),
    [aux_sym_local_forward_token1] = ACTIONS(3515),
    [aux_sym_log_level_token1] = ACTIONS(3515),
    [aux_sym_log_verbose_token1] = ACTIONS(3515),
    [aux_sym_macs_token1] = ACTIONS(3515),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3515),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3515),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3515),
    [aux_sym_password_authentication_token1] = ACTIONS(3515),
    [aux_sym_permit_local_command_token1] = ACTIONS(3515),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3515),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3515),
    [aux_sym_port_token1] = ACTIONS(3515),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3515),
    [aux_sym_protocol_token1] = ACTIONS(3515),
    [aux_sym_proxy_command_token1] = ACTIONS(3515),
    [aux_sym_proxy_jump_token1] = ACTIONS(3515),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3515),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3515),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3515),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3515),
    [aux_sym_rekey_limit_token1] = ACTIONS(3515),
    [aux_sym_remote_command_token1] = ACTIONS(3515),
    [aux_sym_remote_forward_token1] = ACTIONS(3515),
    [aux_sym_request_tty_token1] = ACTIONS(3515),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3515),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3515),
    [aux_sym_security_key_provider_token1] = ACTIONS(3515),
    [aux_sym_send_env_token1] = ACTIONS(3515),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3515),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3515),
    [aux_sym_session_type_token1] = ACTIONS(3515),
    [aux_sym_set_env_token1] = ACTIONS(3515),
    [aux_sym_stdin_null_token1] = ACTIONS(3515),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3515),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3515),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3515),
    [aux_sym_syslog_facility_token1] = ACTIONS(3515),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3515),
    [aux_sym_keep_alive_token1] = ACTIONS(3515),
    [aux_sym_tag_token1] = ACTIONS(3515),
    [aux_sym_tunnel_token1] = ACTIONS(3517),
    [aux_sym_tunnel_device_token1] = ACTIONS(3515),
    [aux_sym_update_host_keys_token1] = ACTIONS(3515),
    [aux_sym_use_keychain_token1] = ACTIONS(3515),
    [aux_sym_use_roaming_token1] = ACTIONS(3515),
    [aux_sym_user_token1] = ACTIONS(3517),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3515),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3515),
    [aux_sym_visual_host_key_token1] = ACTIONS(3515),
    [aux_sym_xauth_location_token1] = ACTIONS(3515),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3521),
    [aux_sym_match_token1] = ACTIONS(3519),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3519),
    [aux_sym_address_family_token1] = ACTIONS(3519),
    [aux_sym_batch_mode_token1] = ACTIONS(3519),
    [aux_sym_bind_address_token1] = ACTIONS(3519),
    [aux_sym_bind_interface_token1] = ACTIONS(3519),
    [aux_sym_canonical_domains_token1] = ACTIONS(3519),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3519),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3519),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3519),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3519),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3519),
    [aux_sym_certificate_file_token1] = ACTIONS(3519),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3519),
    [aux_sym_channel_timeout_token1] = ACTIONS(3519),
    [aux_sym_check_host_ip_token1] = ACTIONS(3519),
    [aux_sym_ciphers_token1] = ACTIONS(3519),
    [aux_sym_cipher_token1] = ACTIONS(3521),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3519),
    [aux_sym_compression_token1] = ACTIONS(3519),
    [aux_sym_connection_attempts_token1] = ACTIONS(3519),
    [aux_sym_connect_timeout_token1] = ACTIONS(3519),
    [aux_sym_control_master_token1] = ACTIONS(3519),
    [aux_sym_control_path_token1] = ACTIONS(3519),
    [aux_sym_control_persist_token1] = ACTIONS(3519),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3519),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3519),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3519),
    [aux_sym_escape_char_token1] = ACTIONS(3519),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3519),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3519),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3519),
    [aux_sym_forward_agent_token1] = ACTIONS(3519),
    [aux_sym_forward_x11_token1] = ACTIONS(3521),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3519),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3519),
    [aux_sym_gateway_ports_token1] = ACTIONS(3519),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3519),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3519),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3519),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3519),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3519),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3519),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3519),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3519),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3519),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3519),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3519),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3519),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3519),
    [aux_sym_host_key_alias_token1] = ACTIONS(3519),
    [aux_sym_hostname_token1] = ACTIONS(3519),
    [aux_sym_identities_only_token1] = ACTIONS(3519),
    [aux_sym_identity_agent_token1] = ACTIONS(3519),
    [aux_sym_identity_file_token1] = ACTIONS(3519),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3519),
    [aux_sym_include_token1] = ACTIONS(3519),
    [aux_sym_ip_qos_token1] = ACTIONS(3519),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3519),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3519),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3519),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3519),
    [aux_sym_local_command_token1] = ACTIONS(3519),
    [aux_sym_local_forward_token1] = ACTIONS(3519),
    [aux_sym_log_level_token1] = ACTIONS(3519),
    [aux_sym_log_verbose_token1] = ACTIONS(3519),
    [aux_sym_macs_token1] = ACTIONS(3519),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3519),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3519),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3519),
    [aux_sym_password_authentication_token1] = ACTIONS(3519),
    [aux_sym_permit_local_command_token1] = ACTIONS(3519),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3519),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3519),
    [aux_sym_port_token1] = ACTIONS(3519),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3519),
    [aux_sym_protocol_token1] = ACTIONS(3519),
    [aux_sym_proxy_command_token1] = ACTIONS(3519),
    [aux_sym_proxy_jump_token1] = ACTIONS(3519),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3519),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3519),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3519),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3519),
    [aux_sym_rekey_limit_token1] = ACTIONS(3519),
    [aux_sym_remote_command_token1] = ACTIONS(3519),
    [aux_sym_remote_forward_token1] = ACTIONS(3519),
    [aux_sym_request_tty_token1] = ACTIONS(3519),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3519),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3519),
    [aux_sym_security_key_provider_token1] = ACTIONS(3519),
    [aux_sym_send_env_token1] = ACTIONS(3519),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3519),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3519),
    [aux_sym_session_type_token1] = ACTIONS(3519),
    [aux_sym_set_env_token1] = ACTIONS(3519),
    [aux_sym_stdin_null_token1] = ACTIONS(3519),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3519),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3519),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3519),
    [aux_sym_syslog_facility_token1] = ACTIONS(3519),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3519),
    [aux_sym_keep_alive_token1] = ACTIONS(3519),
    [aux_sym_tag_token1] = ACTIONS(3519),
    [aux_sym_tunnel_token1] = ACTIONS(3521),
    [aux_sym_tunnel_device_token1] = ACTIONS(3519),
    [aux_sym_update_host_keys_token1] = ACTIONS(3519),
    [aux_sym_use_keychain_token1] = ACTIONS(3519),
    [aux_sym_use_roaming_token1] = ACTIONS(3519),
    [aux_sym_user_token1] = ACTIONS(3521),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3519),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3519),
    [aux_sym_visual_host_key_token1] = ACTIONS(3519),
    [aux_sym_xauth_location_token1] = ACTIONS(3519),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3525),
    [aux_sym_match_token1] = ACTIONS(3523),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3523),
    [aux_sym_address_family_token1] = ACTIONS(3523),
    [aux_sym_batch_mode_token1] = ACTIONS(3523),
    [aux_sym_bind_address_token1] = ACTIONS(3523),
    [aux_sym_bind_interface_token1] = ACTIONS(3523),
    [aux_sym_canonical_domains_token1] = ACTIONS(3523),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3523),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3523),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3523),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3523),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3523),
    [aux_sym_certificate_file_token1] = ACTIONS(3523),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3523),
    [aux_sym_channel_timeout_token1] = ACTIONS(3523),
    [aux_sym_check_host_ip_token1] = ACTIONS(3523),
    [aux_sym_ciphers_token1] = ACTIONS(3523),
    [aux_sym_cipher_token1] = ACTIONS(3525),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3523),
    [aux_sym_compression_token1] = ACTIONS(3523),
    [aux_sym_connection_attempts_token1] = ACTIONS(3523),
    [aux_sym_connect_timeout_token1] = ACTIONS(3523),
    [aux_sym_control_master_token1] = ACTIONS(3523),
    [aux_sym_control_path_token1] = ACTIONS(3523),
    [aux_sym_control_persist_token1] = ACTIONS(3523),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3523),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3523),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3523),
    [aux_sym_escape_char_token1] = ACTIONS(3523),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3523),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3523),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3523),
    [aux_sym_forward_agent_token1] = ACTIONS(3523),
    [aux_sym_forward_x11_token1] = ACTIONS(3525),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3523),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3523),
    [aux_sym_gateway_ports_token1] = ACTIONS(3523),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3523),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3523),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3523),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3523),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3523),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3523),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3523),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3523),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3523),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3523),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3523),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3523),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3523),
    [aux_sym_host_key_alias_token1] = ACTIONS(3523),
    [aux_sym_hostname_token1] = ACTIONS(3523),
    [aux_sym_identities_only_token1] = ACTIONS(3523),
    [aux_sym_identity_agent_token1] = ACTIONS(3523),
    [aux_sym_identity_file_token1] = ACTIONS(3523),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3523),
    [aux_sym_include_token1] = ACTIONS(3523),
    [aux_sym_ip_qos_token1] = ACTIONS(3523),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3523),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3523),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3523),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3523),
    [aux_sym_local_command_token1] = ACTIONS(3523),
    [aux_sym_local_forward_token1] = ACTIONS(3523),
    [aux_sym_log_level_token1] = ACTIONS(3523),
    [aux_sym_log_verbose_token1] = ACTIONS(3523),
    [aux_sym_macs_token1] = ACTIONS(3523),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3523),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3523),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3523),
    [aux_sym_password_authentication_token1] = ACTIONS(3523),
    [aux_sym_permit_local_command_token1] = ACTIONS(3523),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3523),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3523),
    [aux_sym_port_token1] = ACTIONS(3523),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3523),
    [aux_sym_protocol_token1] = ACTIONS(3523),
    [aux_sym_proxy_command_token1] = ACTIONS(3523),
    [aux_sym_proxy_jump_token1] = ACTIONS(3523),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3523),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3523),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3523),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3523),
    [aux_sym_rekey_limit_token1] = ACTIONS(3523),
    [aux_sym_remote_command_token1] = ACTIONS(3523),
    [aux_sym_remote_forward_token1] = ACTIONS(3523),
    [aux_sym_request_tty_token1] = ACTIONS(3523),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3523),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3523),
    [aux_sym_security_key_provider_token1] = ACTIONS(3523),
    [aux_sym_send_env_token1] = ACTIONS(3523),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3523),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3523),
    [aux_sym_session_type_token1] = ACTIONS(3523),
    [aux_sym_set_env_token1] = ACTIONS(3523),
    [aux_sym_stdin_null_token1] = ACTIONS(3523),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3523),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3523),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3523),
    [aux_sym_syslog_facility_token1] = ACTIONS(3523),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3523),
    [aux_sym_keep_alive_token1] = ACTIONS(3523),
    [aux_sym_tag_token1] = ACTIONS(3523),
    [aux_sym_tunnel_token1] = ACTIONS(3525),
    [aux_sym_tunnel_device_token1] = ACTIONS(3523),
    [aux_sym_update_host_keys_token1] = ACTIONS(3523),
    [aux_sym_use_keychain_token1] = ACTIONS(3523),
    [aux_sym_use_roaming_token1] = ACTIONS(3523),
    [aux_sym_user_token1] = ACTIONS(3525),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3523),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3523),
    [aux_sym_visual_host_key_token1] = ACTIONS(3523),
    [aux_sym_xauth_location_token1] = ACTIONS(3523),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(3527),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3529),
    [aux_sym_match_token1] = ACTIONS(3527),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3527),
    [aux_sym_address_family_token1] = ACTIONS(3527),
    [aux_sym_batch_mode_token1] = ACTIONS(3527),
    [aux_sym_bind_address_token1] = ACTIONS(3527),
    [aux_sym_bind_interface_token1] = ACTIONS(3527),
    [aux_sym_canonical_domains_token1] = ACTIONS(3527),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3527),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3527),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3527),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3527),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3527),
    [aux_sym_certificate_file_token1] = ACTIONS(3527),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3527),
    [aux_sym_channel_timeout_token1] = ACTIONS(3527),
    [aux_sym_check_host_ip_token1] = ACTIONS(3527),
    [aux_sym_ciphers_token1] = ACTIONS(3527),
    [aux_sym_cipher_token1] = ACTIONS(3529),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3527),
    [aux_sym_compression_token1] = ACTIONS(3527),
    [aux_sym_connection_attempts_token1] = ACTIONS(3527),
    [aux_sym_connect_timeout_token1] = ACTIONS(3527),
    [aux_sym_control_master_token1] = ACTIONS(3527),
    [aux_sym_control_path_token1] = ACTIONS(3527),
    [aux_sym_control_persist_token1] = ACTIONS(3527),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3527),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3527),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3527),
    [aux_sym_escape_char_token1] = ACTIONS(3527),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3527),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3527),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3527),
    [aux_sym_forward_agent_token1] = ACTIONS(3527),
    [aux_sym_forward_x11_token1] = ACTIONS(3529),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3527),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3527),
    [aux_sym_gateway_ports_token1] = ACTIONS(3527),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3527),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3527),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3527),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3527),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3527),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3527),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3527),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3527),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3527),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3527),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3527),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3527),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3527),
    [aux_sym_host_key_alias_token1] = ACTIONS(3527),
    [aux_sym_hostname_token1] = ACTIONS(3527),
    [aux_sym_identities_only_token1] = ACTIONS(3527),
    [aux_sym_identity_agent_token1] = ACTIONS(3527),
    [aux_sym_identity_file_token1] = ACTIONS(3527),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3527),
    [aux_sym_include_token1] = ACTIONS(3527),
    [aux_sym_ip_qos_token1] = ACTIONS(3527),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3527),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3527),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3527),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3527),
    [aux_sym_local_command_token1] = ACTIONS(3527),
    [aux_sym_local_forward_token1] = ACTIONS(3527),
    [aux_sym_log_level_token1] = ACTIONS(3527),
    [aux_sym_log_verbose_token1] = ACTIONS(3527),
    [aux_sym_macs_token1] = ACTIONS(3527),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3527),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3527),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3527),
    [aux_sym_password_authentication_token1] = ACTIONS(3527),
    [aux_sym_permit_local_command_token1] = ACTIONS(3527),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3527),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3527),
    [aux_sym_port_token1] = ACTIONS(3527),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3527),
    [aux_sym_protocol_token1] = ACTIONS(3527),
    [aux_sym_proxy_command_token1] = ACTIONS(3527),
    [aux_sym_proxy_jump_token1] = ACTIONS(3527),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3527),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3527),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3527),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3527),
    [aux_sym_rekey_limit_token1] = ACTIONS(3527),
    [aux_sym_remote_command_token1] = ACTIONS(3527),
    [aux_sym_remote_forward_token1] = ACTIONS(3527),
    [aux_sym_request_tty_token1] = ACTIONS(3527),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3527),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3527),
    [aux_sym_security_key_provider_token1] = ACTIONS(3527),
    [aux_sym_send_env_token1] = ACTIONS(3527),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3527),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3527),
    [aux_sym_session_type_token1] = ACTIONS(3527),
    [aux_sym_set_env_token1] = ACTIONS(3527),
    [aux_sym_stdin_null_token1] = ACTIONS(3527),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3527),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3527),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3527),
    [aux_sym_syslog_facility_token1] = ACTIONS(3527),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3527),
    [aux_sym_keep_alive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(3527),
    [aux_sym_tunnel_token1] = ACTIONS(3529),
    [aux_sym_tunnel_device_token1] = ACTIONS(3527),
    [aux_sym_update_host_keys_token1] = ACTIONS(3527),
    [aux_sym_use_keychain_token1] = ACTIONS(3527),
    [aux_sym_use_roaming_token1] = ACTIONS(3527),
    [aux_sym_user_token1] = ACTIONS(3529),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3527),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3527),
    [aux_sym_visual_host_key_token1] = ACTIONS(3527),
    [aux_sym_xauth_location_token1] = ACTIONS(3527),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3533),
    [aux_sym_match_token1] = ACTIONS(3531),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3531),
    [aux_sym_address_family_token1] = ACTIONS(3531),
    [aux_sym_batch_mode_token1] = ACTIONS(3531),
    [aux_sym_bind_address_token1] = ACTIONS(3531),
    [aux_sym_bind_interface_token1] = ACTIONS(3531),
    [aux_sym_canonical_domains_token1] = ACTIONS(3531),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3531),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3531),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3531),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3531),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3531),
    [aux_sym_certificate_file_token1] = ACTIONS(3531),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3531),
    [aux_sym_channel_timeout_token1] = ACTIONS(3531),
    [aux_sym_check_host_ip_token1] = ACTIONS(3531),
    [aux_sym_ciphers_token1] = ACTIONS(3531),
    [aux_sym_cipher_token1] = ACTIONS(3533),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3531),
    [aux_sym_compression_token1] = ACTIONS(3531),
    [aux_sym_connection_attempts_token1] = ACTIONS(3531),
    [aux_sym_connect_timeout_token1] = ACTIONS(3531),
    [aux_sym_control_master_token1] = ACTIONS(3531),
    [aux_sym_control_path_token1] = ACTIONS(3531),
    [aux_sym_control_persist_token1] = ACTIONS(3531),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3531),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3531),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3531),
    [aux_sym_escape_char_token1] = ACTIONS(3531),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3531),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3531),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3531),
    [aux_sym_forward_agent_token1] = ACTIONS(3531),
    [aux_sym_forward_x11_token1] = ACTIONS(3533),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3531),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3531),
    [aux_sym_gateway_ports_token1] = ACTIONS(3531),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3531),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3531),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3531),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3531),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3531),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3531),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3531),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3531),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3531),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3531),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3531),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3531),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3531),
    [aux_sym_host_key_alias_token1] = ACTIONS(3531),
    [aux_sym_hostname_token1] = ACTIONS(3531),
    [aux_sym_identities_only_token1] = ACTIONS(3531),
    [aux_sym_identity_agent_token1] = ACTIONS(3531),
    [aux_sym_identity_file_token1] = ACTIONS(3531),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3531),
    [aux_sym_include_token1] = ACTIONS(3531),
    [aux_sym_ip_qos_token1] = ACTIONS(3531),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3531),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3531),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3531),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3531),
    [aux_sym_local_command_token1] = ACTIONS(3531),
    [aux_sym_local_forward_token1] = ACTIONS(3531),
    [aux_sym_log_level_token1] = ACTIONS(3531),
    [aux_sym_log_verbose_token1] = ACTIONS(3531),
    [aux_sym_macs_token1] = ACTIONS(3531),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3531),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3531),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3531),
    [aux_sym_password_authentication_token1] = ACTIONS(3531),
    [aux_sym_permit_local_command_token1] = ACTIONS(3531),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3531),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3531),
    [aux_sym_port_token1] = ACTIONS(3531),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3531),
    [aux_sym_protocol_token1] = ACTIONS(3531),
    [aux_sym_proxy_command_token1] = ACTIONS(3531),
    [aux_sym_proxy_jump_token1] = ACTIONS(3531),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3531),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3531),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3531),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3531),
    [aux_sym_rekey_limit_token1] = ACTIONS(3531),
    [aux_sym_remote_command_token1] = ACTIONS(3531),
    [aux_sym_remote_forward_token1] = ACTIONS(3531),
    [aux_sym_request_tty_token1] = ACTIONS(3531),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3531),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3531),
    [aux_sym_security_key_provider_token1] = ACTIONS(3531),
    [aux_sym_send_env_token1] = ACTIONS(3531),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3531),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3531),
    [aux_sym_session_type_token1] = ACTIONS(3531),
    [aux_sym_set_env_token1] = ACTIONS(3531),
    [aux_sym_stdin_null_token1] = ACTIONS(3531),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3531),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3531),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3531),
    [aux_sym_syslog_facility_token1] = ACTIONS(3531),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3531),
    [aux_sym_keep_alive_token1] = ACTIONS(3531),
    [aux_sym_tag_token1] = ACTIONS(3531),
    [aux_sym_tunnel_token1] = ACTIONS(3533),
    [aux_sym_tunnel_device_token1] = ACTIONS(3531),
    [aux_sym_update_host_keys_token1] = ACTIONS(3531),
    [aux_sym_use_keychain_token1] = ACTIONS(3531),
    [aux_sym_use_roaming_token1] = ACTIONS(3531),
    [aux_sym_user_token1] = ACTIONS(3533),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3531),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3531),
    [aux_sym_visual_host_key_token1] = ACTIONS(3531),
    [aux_sym_xauth_location_token1] = ACTIONS(3531),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3537),
    [aux_sym_match_token1] = ACTIONS(3535),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3535),
    [aux_sym_address_family_token1] = ACTIONS(3535),
    [aux_sym_batch_mode_token1] = ACTIONS(3535),
    [aux_sym_bind_address_token1] = ACTIONS(3535),
    [aux_sym_bind_interface_token1] = ACTIONS(3535),
    [aux_sym_canonical_domains_token1] = ACTIONS(3535),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3535),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3535),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3535),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3535),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3535),
    [aux_sym_certificate_file_token1] = ACTIONS(3535),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3535),
    [aux_sym_channel_timeout_token1] = ACTIONS(3535),
    [aux_sym_check_host_ip_token1] = ACTIONS(3535),
    [aux_sym_ciphers_token1] = ACTIONS(3535),
    [aux_sym_cipher_token1] = ACTIONS(3537),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3535),
    [aux_sym_compression_token1] = ACTIONS(3535),
    [aux_sym_connection_attempts_token1] = ACTIONS(3535),
    [aux_sym_connect_timeout_token1] = ACTIONS(3535),
    [aux_sym_control_master_token1] = ACTIONS(3535),
    [aux_sym_control_path_token1] = ACTIONS(3535),
    [aux_sym_control_persist_token1] = ACTIONS(3535),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3535),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3535),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3535),
    [aux_sym_escape_char_token1] = ACTIONS(3535),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3535),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3535),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3535),
    [aux_sym_forward_agent_token1] = ACTIONS(3535),
    [aux_sym_forward_x11_token1] = ACTIONS(3537),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3535),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3535),
    [aux_sym_gateway_ports_token1] = ACTIONS(3535),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3535),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3535),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3535),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3535),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3535),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3535),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3535),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3535),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3535),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3535),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3535),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3535),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3535),
    [aux_sym_host_key_alias_token1] = ACTIONS(3535),
    [aux_sym_hostname_token1] = ACTIONS(3535),
    [aux_sym_identities_only_token1] = ACTIONS(3535),
    [aux_sym_identity_agent_token1] = ACTIONS(3535),
    [aux_sym_identity_file_token1] = ACTIONS(3535),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3535),
    [aux_sym_include_token1] = ACTIONS(3535),
    [aux_sym_ip_qos_token1] = ACTIONS(3535),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3535),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3535),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3535),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3535),
    [aux_sym_local_command_token1] = ACTIONS(3535),
    [aux_sym_local_forward_token1] = ACTIONS(3535),
    [aux_sym_log_level_token1] = ACTIONS(3535),
    [aux_sym_log_verbose_token1] = ACTIONS(3535),
    [aux_sym_macs_token1] = ACTIONS(3535),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3535),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3535),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3535),
    [aux_sym_password_authentication_token1] = ACTIONS(3535),
    [aux_sym_permit_local_command_token1] = ACTIONS(3535),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3535),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3535),
    [aux_sym_port_token1] = ACTIONS(3535),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3535),
    [aux_sym_protocol_token1] = ACTIONS(3535),
    [aux_sym_proxy_command_token1] = ACTIONS(3535),
    [aux_sym_proxy_jump_token1] = ACTIONS(3535),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3535),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3535),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3535),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3535),
    [aux_sym_rekey_limit_token1] = ACTIONS(3535),
    [aux_sym_remote_command_token1] = ACTIONS(3535),
    [aux_sym_remote_forward_token1] = ACTIONS(3535),
    [aux_sym_request_tty_token1] = ACTIONS(3535),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3535),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3535),
    [aux_sym_security_key_provider_token1] = ACTIONS(3535),
    [aux_sym_send_env_token1] = ACTIONS(3535),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3535),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3535),
    [aux_sym_session_type_token1] = ACTIONS(3535),
    [aux_sym_set_env_token1] = ACTIONS(3535),
    [aux_sym_stdin_null_token1] = ACTIONS(3535),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3535),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3535),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3535),
    [aux_sym_syslog_facility_token1] = ACTIONS(3535),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3535),
    [aux_sym_keep_alive_token1] = ACTIONS(3535),
    [aux_sym_tag_token1] = ACTIONS(3535),
    [aux_sym_tunnel_token1] = ACTIONS(3537),
    [aux_sym_tunnel_device_token1] = ACTIONS(3535),
    [aux_sym_update_host_keys_token1] = ACTIONS(3535),
    [aux_sym_use_keychain_token1] = ACTIONS(3535),
    [aux_sym_use_roaming_token1] = ACTIONS(3535),
    [aux_sym_user_token1] = ACTIONS(3537),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3535),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3535),
    [aux_sym_visual_host_key_token1] = ACTIONS(3535),
    [aux_sym_xauth_location_token1] = ACTIONS(3535),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3541),
    [aux_sym_match_token1] = ACTIONS(3539),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3539),
    [aux_sym_address_family_token1] = ACTIONS(3539),
    [aux_sym_batch_mode_token1] = ACTIONS(3539),
    [aux_sym_bind_address_token1] = ACTIONS(3539),
    [aux_sym_bind_interface_token1] = ACTIONS(3539),
    [aux_sym_canonical_domains_token1] = ACTIONS(3539),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3539),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3539),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3539),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3539),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3539),
    [aux_sym_certificate_file_token1] = ACTIONS(3539),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3539),
    [aux_sym_channel_timeout_token1] = ACTIONS(3539),
    [aux_sym_check_host_ip_token1] = ACTIONS(3539),
    [aux_sym_ciphers_token1] = ACTIONS(3539),
    [aux_sym_cipher_token1] = ACTIONS(3541),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3539),
    [aux_sym_compression_token1] = ACTIONS(3539),
    [aux_sym_connection_attempts_token1] = ACTIONS(3539),
    [aux_sym_connect_timeout_token1] = ACTIONS(3539),
    [aux_sym_control_master_token1] = ACTIONS(3539),
    [aux_sym_control_path_token1] = ACTIONS(3539),
    [aux_sym_control_persist_token1] = ACTIONS(3539),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3539),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3539),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3539),
    [aux_sym_escape_char_token1] = ACTIONS(3539),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3539),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3539),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3539),
    [aux_sym_forward_agent_token1] = ACTIONS(3539),
    [aux_sym_forward_x11_token1] = ACTIONS(3541),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3539),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3539),
    [aux_sym_gateway_ports_token1] = ACTIONS(3539),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3539),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3539),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3539),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3539),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3539),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3539),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3539),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3539),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3539),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3539),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3539),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3539),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3539),
    [aux_sym_host_key_alias_token1] = ACTIONS(3539),
    [aux_sym_hostname_token1] = ACTIONS(3539),
    [aux_sym_identities_only_token1] = ACTIONS(3539),
    [aux_sym_identity_agent_token1] = ACTIONS(3539),
    [aux_sym_identity_file_token1] = ACTIONS(3539),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3539),
    [aux_sym_include_token1] = ACTIONS(3539),
    [aux_sym_ip_qos_token1] = ACTIONS(3539),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3539),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3539),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3539),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3539),
    [aux_sym_local_command_token1] = ACTIONS(3539),
    [aux_sym_local_forward_token1] = ACTIONS(3539),
    [aux_sym_log_level_token1] = ACTIONS(3539),
    [aux_sym_log_verbose_token1] = ACTIONS(3539),
    [aux_sym_macs_token1] = ACTIONS(3539),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3539),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3539),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3539),
    [aux_sym_password_authentication_token1] = ACTIONS(3539),
    [aux_sym_permit_local_command_token1] = ACTIONS(3539),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3539),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3539),
    [aux_sym_port_token1] = ACTIONS(3539),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3539),
    [aux_sym_protocol_token1] = ACTIONS(3539),
    [aux_sym_proxy_command_token1] = ACTIONS(3539),
    [aux_sym_proxy_jump_token1] = ACTIONS(3539),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3539),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3539),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3539),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3539),
    [aux_sym_rekey_limit_token1] = ACTIONS(3539),
    [aux_sym_remote_command_token1] = ACTIONS(3539),
    [aux_sym_remote_forward_token1] = ACTIONS(3539),
    [aux_sym_request_tty_token1] = ACTIONS(3539),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3539),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3539),
    [aux_sym_security_key_provider_token1] = ACTIONS(3539),
    [aux_sym_send_env_token1] = ACTIONS(3539),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3539),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3539),
    [aux_sym_session_type_token1] = ACTIONS(3539),
    [aux_sym_set_env_token1] = ACTIONS(3539),
    [aux_sym_stdin_null_token1] = ACTIONS(3539),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3539),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3539),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3539),
    [aux_sym_syslog_facility_token1] = ACTIONS(3539),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3539),
    [aux_sym_keep_alive_token1] = ACTIONS(3539),
    [aux_sym_tag_token1] = ACTIONS(3539),
    [aux_sym_tunnel_token1] = ACTIONS(3541),
    [aux_sym_tunnel_device_token1] = ACTIONS(3539),
    [aux_sym_update_host_keys_token1] = ACTIONS(3539),
    [aux_sym_use_keychain_token1] = ACTIONS(3539),
    [aux_sym_use_roaming_token1] = ACTIONS(3539),
    [aux_sym_user_token1] = ACTIONS(3541),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3539),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3539),
    [aux_sym_visual_host_key_token1] = ACTIONS(3539),
    [aux_sym_xauth_location_token1] = ACTIONS(3539),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(817),
    [aux_sym_match_token1] = ACTIONS(815),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(815),
    [aux_sym_address_family_token1] = ACTIONS(815),
    [aux_sym_batch_mode_token1] = ACTIONS(815),
    [aux_sym_bind_address_token1] = ACTIONS(815),
    [aux_sym_bind_interface_token1] = ACTIONS(815),
    [aux_sym_canonical_domains_token1] = ACTIONS(815),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(815),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(815),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(815),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(815),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(815),
    [aux_sym_certificate_file_token1] = ACTIONS(815),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(815),
    [aux_sym_channel_timeout_token1] = ACTIONS(815),
    [aux_sym_check_host_ip_token1] = ACTIONS(815),
    [aux_sym_ciphers_token1] = ACTIONS(815),
    [aux_sym_cipher_token1] = ACTIONS(817),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(815),
    [aux_sym_compression_token1] = ACTIONS(815),
    [aux_sym_connection_attempts_token1] = ACTIONS(815),
    [aux_sym_connect_timeout_token1] = ACTIONS(815),
    [aux_sym_control_master_token1] = ACTIONS(815),
    [aux_sym_control_path_token1] = ACTIONS(815),
    [aux_sym_control_persist_token1] = ACTIONS(815),
    [aux_sym_dynamic_forward_token1] = ACTIONS(815),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(815),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(815),
    [aux_sym_escape_char_token1] = ACTIONS(815),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(815),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(815),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(815),
    [aux_sym_forward_agent_token1] = ACTIONS(815),
    [aux_sym_forward_x11_token1] = ACTIONS(817),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(815),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(815),
    [aux_sym_gateway_ports_token1] = ACTIONS(815),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(815),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(815),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(815),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(815),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(815),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(815),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(815),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(815),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(815),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(815),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(815),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(815),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(815),
    [aux_sym_host_key_alias_token1] = ACTIONS(815),
    [aux_sym_hostname_token1] = ACTIONS(815),
    [aux_sym_identities_only_token1] = ACTIONS(815),
    [aux_sym_identity_agent_token1] = ACTIONS(815),
    [aux_sym_identity_file_token1] = ACTIONS(815),
    [aux_sym_ignore_unknown_token1] = ACTIONS(815),
    [aux_sym_include_token1] = ACTIONS(815),
    [aux_sym_ip_qos_token1] = ACTIONS(815),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(815),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(815),
    [aux_sym_kex_algorithms_token1] = ACTIONS(815),
    [aux_sym_known_hosts_command_token1] = ACTIONS(815),
    [aux_sym_local_command_token1] = ACTIONS(815),
    [aux_sym_local_forward_token1] = ACTIONS(815),
    [aux_sym_log_level_token1] = ACTIONS(815),
    [aux_sym_log_verbose_token1] = ACTIONS(815),
    [aux_sym_macs_token1] = ACTIONS(815),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(815),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(815),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(815),
    [aux_sym_password_authentication_token1] = ACTIONS(815),
    [aux_sym_permit_local_command_token1] = ACTIONS(815),
    [aux_sym_permit_remote_open_token1] = ACTIONS(815),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(815),
    [aux_sym_port_token1] = ACTIONS(815),
    [aux_sym_preferred_authentications_token1] = ACTIONS(815),
    [aux_sym_protocol_token1] = ACTIONS(815),
    [aux_sym_proxy_command_token1] = ACTIONS(815),
    [aux_sym_proxy_jump_token1] = ACTIONS(815),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(815),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(815),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(815),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(815),
    [aux_sym_rekey_limit_token1] = ACTIONS(815),
    [aux_sym_remote_command_token1] = ACTIONS(815),
    [aux_sym_remote_forward_token1] = ACTIONS(815),
    [aux_sym_request_tty_token1] = ACTIONS(815),
    [aux_sym_required_rsa_size_token1] = ACTIONS(815),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(815),
    [aux_sym_security_key_provider_token1] = ACTIONS(815),
    [aux_sym_send_env_token1] = ACTIONS(815),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(815),
    [aux_sym_server_alive_interval_token1] = ACTIONS(815),
    [aux_sym_session_type_token1] = ACTIONS(815),
    [aux_sym_set_env_token1] = ACTIONS(815),
    [aux_sym_stdin_null_token1] = ACTIONS(815),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(815),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(815),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(815),
    [aux_sym_syslog_facility_token1] = ACTIONS(815),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(815),
    [aux_sym_keep_alive_token1] = ACTIONS(815),
    [aux_sym_tag_token1] = ACTIONS(815),
    [aux_sym_tunnel_token1] = ACTIONS(817),
    [aux_sym_tunnel_device_token1] = ACTIONS(815),
    [aux_sym_update_host_keys_token1] = ACTIONS(815),
    [aux_sym_use_keychain_token1] = ACTIONS(815),
    [aux_sym_use_roaming_token1] = ACTIONS(815),
    [aux_sym_user_token1] = ACTIONS(817),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(815),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(815),
    [aux_sym_visual_host_key_token1] = ACTIONS(815),
    [aux_sym_xauth_location_token1] = ACTIONS(815),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1655),
    [aux_sym_match_token1] = ACTIONS(1653),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1653),
    [aux_sym_address_family_token1] = ACTIONS(1653),
    [aux_sym_batch_mode_token1] = ACTIONS(1653),
    [aux_sym_bind_address_token1] = ACTIONS(1653),
    [aux_sym_bind_interface_token1] = ACTIONS(1653),
    [aux_sym_canonical_domains_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1653),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1653),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1653),
    [aux_sym_certificate_file_token1] = ACTIONS(1653),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1653),
    [aux_sym_channel_timeout_token1] = ACTIONS(1653),
    [aux_sym_check_host_ip_token1] = ACTIONS(1653),
    [aux_sym_ciphers_token1] = ACTIONS(1653),
    [aux_sym_cipher_token1] = ACTIONS(1655),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1653),
    [aux_sym_compression_token1] = ACTIONS(1653),
    [aux_sym_connection_attempts_token1] = ACTIONS(1653),
    [aux_sym_connect_timeout_token1] = ACTIONS(1653),
    [aux_sym_control_master_token1] = ACTIONS(1653),
    [aux_sym_control_path_token1] = ACTIONS(1653),
    [aux_sym_control_persist_token1] = ACTIONS(1653),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1653),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1653),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1653),
    [aux_sym_escape_char_token1] = ACTIONS(1653),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1653),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1653),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1653),
    [aux_sym_forward_agent_token1] = ACTIONS(1653),
    [aux_sym_forward_x11_token1] = ACTIONS(1655),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1653),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1653),
    [aux_sym_gateway_ports_token1] = ACTIONS(1653),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1653),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1653),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1653),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1653),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1653),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1653),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1653),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1653),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1653),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1653),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1653),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1653),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1653),
    [aux_sym_host_key_alias_token1] = ACTIONS(1653),
    [aux_sym_hostname_token1] = ACTIONS(1653),
    [aux_sym_identities_only_token1] = ACTIONS(1653),
    [aux_sym_identity_agent_token1] = ACTIONS(1653),
    [aux_sym_identity_file_token1] = ACTIONS(1653),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1653),
    [aux_sym_include_token1] = ACTIONS(1653),
    [aux_sym_ip_qos_token1] = ACTIONS(1653),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1653),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1653),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1653),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1653),
    [aux_sym_local_command_token1] = ACTIONS(1653),
    [aux_sym_local_forward_token1] = ACTIONS(1653),
    [aux_sym_log_level_token1] = ACTIONS(1653),
    [aux_sym_log_verbose_token1] = ACTIONS(1653),
    [aux_sym_macs_token1] = ACTIONS(1653),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1653),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1653),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1653),
    [aux_sym_password_authentication_token1] = ACTIONS(1653),
    [aux_sym_permit_local_command_token1] = ACTIONS(1653),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1653),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1653),
    [aux_sym_port_token1] = ACTIONS(1653),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1653),
    [aux_sym_protocol_token1] = ACTIONS(1653),
    [aux_sym_proxy_command_token1] = ACTIONS(1653),
    [aux_sym_proxy_jump_token1] = ACTIONS(1653),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1653),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1653),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1653),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1653),
    [aux_sym_rekey_limit_token1] = ACTIONS(1653),
    [aux_sym_remote_command_token1] = ACTIONS(1653),
    [aux_sym_remote_forward_token1] = ACTIONS(1653),
    [aux_sym_request_tty_token1] = ACTIONS(1653),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1653),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1653),
    [aux_sym_security_key_provider_token1] = ACTIONS(1653),
    [aux_sym_send_env_token1] = ACTIONS(1653),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1653),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1653),
    [aux_sym_session_type_token1] = ACTIONS(1653),
    [aux_sym_set_env_token1] = ACTIONS(1653),
    [aux_sym_stdin_null_token1] = ACTIONS(1653),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1653),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1653),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1653),
    [aux_sym_syslog_facility_token1] = ACTIONS(1653),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1653),
    [aux_sym_keep_alive_token1] = ACTIONS(1653),
    [aux_sym_tag_token1] = ACTIONS(1653),
    [aux_sym_tunnel_token1] = ACTIONS(1655),
    [aux_sym_tunnel_device_token1] = ACTIONS(1653),
    [aux_sym_update_host_keys_token1] = ACTIONS(1653),
    [aux_sym_use_keychain_token1] = ACTIONS(1653),
    [aux_sym_use_roaming_token1] = ACTIONS(1653),
    [aux_sym_user_token1] = ACTIONS(1655),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1653),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1653),
    [aux_sym_visual_host_key_token1] = ACTIONS(1653),
    [aux_sym_xauth_location_token1] = ACTIONS(1653),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3545),
    [aux_sym_match_token1] = ACTIONS(3543),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3543),
    [aux_sym_address_family_token1] = ACTIONS(3543),
    [aux_sym_batch_mode_token1] = ACTIONS(3543),
    [aux_sym_bind_address_token1] = ACTIONS(3543),
    [aux_sym_bind_interface_token1] = ACTIONS(3543),
    [aux_sym_canonical_domains_token1] = ACTIONS(3543),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3543),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3543),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3543),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3543),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3543),
    [aux_sym_certificate_file_token1] = ACTIONS(3543),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3543),
    [aux_sym_channel_timeout_token1] = ACTIONS(3543),
    [aux_sym_check_host_ip_token1] = ACTIONS(3543),
    [aux_sym_ciphers_token1] = ACTIONS(3543),
    [aux_sym_cipher_token1] = ACTIONS(3545),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3543),
    [aux_sym_compression_token1] = ACTIONS(3543),
    [aux_sym_connection_attempts_token1] = ACTIONS(3543),
    [aux_sym_connect_timeout_token1] = ACTIONS(3543),
    [aux_sym_control_master_token1] = ACTIONS(3543),
    [aux_sym_control_path_token1] = ACTIONS(3543),
    [aux_sym_control_persist_token1] = ACTIONS(3543),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3543),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3543),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3543),
    [aux_sym_escape_char_token1] = ACTIONS(3543),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3543),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3543),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3543),
    [aux_sym_forward_agent_token1] = ACTIONS(3543),
    [aux_sym_forward_x11_token1] = ACTIONS(3545),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3543),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3543),
    [aux_sym_gateway_ports_token1] = ACTIONS(3543),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3543),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3543),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3543),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3543),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3543),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3543),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3543),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3543),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3543),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3543),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3543),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3543),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3543),
    [aux_sym_host_key_alias_token1] = ACTIONS(3543),
    [aux_sym_hostname_token1] = ACTIONS(3543),
    [aux_sym_identities_only_token1] = ACTIONS(3543),
    [aux_sym_identity_agent_token1] = ACTIONS(3543),
    [aux_sym_identity_file_token1] = ACTIONS(3543),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3543),
    [aux_sym_include_token1] = ACTIONS(3543),
    [aux_sym_ip_qos_token1] = ACTIONS(3543),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3543),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3543),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3543),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3543),
    [aux_sym_local_command_token1] = ACTIONS(3543),
    [aux_sym_local_forward_token1] = ACTIONS(3543),
    [aux_sym_log_level_token1] = ACTIONS(3543),
    [aux_sym_log_verbose_token1] = ACTIONS(3543),
    [aux_sym_macs_token1] = ACTIONS(3543),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3543),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3543),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3543),
    [aux_sym_password_authentication_token1] = ACTIONS(3543),
    [aux_sym_permit_local_command_token1] = ACTIONS(3543),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3543),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3543),
    [aux_sym_port_token1] = ACTIONS(3543),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3543),
    [aux_sym_protocol_token1] = ACTIONS(3543),
    [aux_sym_proxy_command_token1] = ACTIONS(3543),
    [aux_sym_proxy_jump_token1] = ACTIONS(3543),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3543),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3543),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3543),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3543),
    [aux_sym_rekey_limit_token1] = ACTIONS(3543),
    [aux_sym_remote_command_token1] = ACTIONS(3543),
    [aux_sym_remote_forward_token1] = ACTIONS(3543),
    [aux_sym_request_tty_token1] = ACTIONS(3543),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3543),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3543),
    [aux_sym_security_key_provider_token1] = ACTIONS(3543),
    [aux_sym_send_env_token1] = ACTIONS(3543),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3543),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3543),
    [aux_sym_session_type_token1] = ACTIONS(3543),
    [aux_sym_set_env_token1] = ACTIONS(3543),
    [aux_sym_stdin_null_token1] = ACTIONS(3543),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3543),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3543),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3543),
    [aux_sym_syslog_facility_token1] = ACTIONS(3543),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3543),
    [aux_sym_keep_alive_token1] = ACTIONS(3543),
    [aux_sym_tag_token1] = ACTIONS(3543),
    [aux_sym_tunnel_token1] = ACTIONS(3545),
    [aux_sym_tunnel_device_token1] = ACTIONS(3543),
    [aux_sym_update_host_keys_token1] = ACTIONS(3543),
    [aux_sym_use_keychain_token1] = ACTIONS(3543),
    [aux_sym_use_roaming_token1] = ACTIONS(3543),
    [aux_sym_user_token1] = ACTIONS(3545),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3543),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3543),
    [aux_sym_visual_host_key_token1] = ACTIONS(3543),
    [aux_sym_xauth_location_token1] = ACTIONS(3543),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3549),
    [aux_sym_match_token1] = ACTIONS(3547),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3547),
    [aux_sym_address_family_token1] = ACTIONS(3547),
    [aux_sym_batch_mode_token1] = ACTIONS(3547),
    [aux_sym_bind_address_token1] = ACTIONS(3547),
    [aux_sym_bind_interface_token1] = ACTIONS(3547),
    [aux_sym_canonical_domains_token1] = ACTIONS(3547),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3547),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3547),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3547),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3547),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3547),
    [aux_sym_certificate_file_token1] = ACTIONS(3547),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3547),
    [aux_sym_channel_timeout_token1] = ACTIONS(3547),
    [aux_sym_check_host_ip_token1] = ACTIONS(3547),
    [aux_sym_ciphers_token1] = ACTIONS(3547),
    [aux_sym_cipher_token1] = ACTIONS(3549),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3547),
    [aux_sym_compression_token1] = ACTIONS(3547),
    [aux_sym_connection_attempts_token1] = ACTIONS(3547),
    [aux_sym_connect_timeout_token1] = ACTIONS(3547),
    [aux_sym_control_master_token1] = ACTIONS(3547),
    [aux_sym_control_path_token1] = ACTIONS(3547),
    [aux_sym_control_persist_token1] = ACTIONS(3547),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3547),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3547),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3547),
    [aux_sym_escape_char_token1] = ACTIONS(3547),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3547),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3547),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3547),
    [aux_sym_forward_agent_token1] = ACTIONS(3547),
    [aux_sym_forward_x11_token1] = ACTIONS(3549),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3547),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3547),
    [aux_sym_gateway_ports_token1] = ACTIONS(3547),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3547),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3547),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3547),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3547),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3547),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3547),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3547),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3547),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3547),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3547),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3547),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3547),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3547),
    [aux_sym_host_key_alias_token1] = ACTIONS(3547),
    [aux_sym_hostname_token1] = ACTIONS(3547),
    [aux_sym_identities_only_token1] = ACTIONS(3547),
    [aux_sym_identity_agent_token1] = ACTIONS(3547),
    [aux_sym_identity_file_token1] = ACTIONS(3547),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3547),
    [aux_sym_include_token1] = ACTIONS(3547),
    [aux_sym_ip_qos_token1] = ACTIONS(3547),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3547),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3547),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3547),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3547),
    [aux_sym_local_command_token1] = ACTIONS(3547),
    [aux_sym_local_forward_token1] = ACTIONS(3547),
    [aux_sym_log_level_token1] = ACTIONS(3547),
    [aux_sym_log_verbose_token1] = ACTIONS(3547),
    [aux_sym_macs_token1] = ACTIONS(3547),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3547),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3547),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3547),
    [aux_sym_password_authentication_token1] = ACTIONS(3547),
    [aux_sym_permit_local_command_token1] = ACTIONS(3547),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3547),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3547),
    [aux_sym_port_token1] = ACTIONS(3547),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3547),
    [aux_sym_protocol_token1] = ACTIONS(3547),
    [aux_sym_proxy_command_token1] = ACTIONS(3547),
    [aux_sym_proxy_jump_token1] = ACTIONS(3547),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3547),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3547),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3547),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3547),
    [aux_sym_rekey_limit_token1] = ACTIONS(3547),
    [aux_sym_remote_command_token1] = ACTIONS(3547),
    [aux_sym_remote_forward_token1] = ACTIONS(3547),
    [aux_sym_request_tty_token1] = ACTIONS(3547),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3547),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3547),
    [aux_sym_security_key_provider_token1] = ACTIONS(3547),
    [aux_sym_send_env_token1] = ACTIONS(3547),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3547),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3547),
    [aux_sym_session_type_token1] = ACTIONS(3547),
    [aux_sym_set_env_token1] = ACTIONS(3547),
    [aux_sym_stdin_null_token1] = ACTIONS(3547),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3547),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3547),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3547),
    [aux_sym_syslog_facility_token1] = ACTIONS(3547),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3547),
    [aux_sym_keep_alive_token1] = ACTIONS(3547),
    [aux_sym_tag_token1] = ACTIONS(3547),
    [aux_sym_tunnel_token1] = ACTIONS(3549),
    [aux_sym_tunnel_device_token1] = ACTIONS(3547),
    [aux_sym_update_host_keys_token1] = ACTIONS(3547),
    [aux_sym_use_keychain_token1] = ACTIONS(3547),
    [aux_sym_use_roaming_token1] = ACTIONS(3547),
    [aux_sym_user_token1] = ACTIONS(3549),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3547),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3547),
    [aux_sym_visual_host_key_token1] = ACTIONS(3547),
    [aux_sym_xauth_location_token1] = ACTIONS(3547),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3553),
    [aux_sym_match_token1] = ACTIONS(3551),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3551),
    [aux_sym_address_family_token1] = ACTIONS(3551),
    [aux_sym_batch_mode_token1] = ACTIONS(3551),
    [aux_sym_bind_address_token1] = ACTIONS(3551),
    [aux_sym_bind_interface_token1] = ACTIONS(3551),
    [aux_sym_canonical_domains_token1] = ACTIONS(3551),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3551),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3551),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3551),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3551),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3551),
    [aux_sym_certificate_file_token1] = ACTIONS(3551),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3551),
    [aux_sym_channel_timeout_token1] = ACTIONS(3551),
    [aux_sym_check_host_ip_token1] = ACTIONS(3551),
    [aux_sym_ciphers_token1] = ACTIONS(3551),
    [aux_sym_cipher_token1] = ACTIONS(3553),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3551),
    [aux_sym_compression_token1] = ACTIONS(3551),
    [aux_sym_connection_attempts_token1] = ACTIONS(3551),
    [aux_sym_connect_timeout_token1] = ACTIONS(3551),
    [aux_sym_control_master_token1] = ACTIONS(3551),
    [aux_sym_control_path_token1] = ACTIONS(3551),
    [aux_sym_control_persist_token1] = ACTIONS(3551),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3551),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3551),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3551),
    [aux_sym_escape_char_token1] = ACTIONS(3551),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3551),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3551),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3551),
    [aux_sym_forward_agent_token1] = ACTIONS(3551),
    [aux_sym_forward_x11_token1] = ACTIONS(3553),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3551),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3551),
    [aux_sym_gateway_ports_token1] = ACTIONS(3551),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3551),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3551),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3551),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3551),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3551),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3551),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3551),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3551),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3551),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3551),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3551),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3551),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3551),
    [aux_sym_host_key_alias_token1] = ACTIONS(3551),
    [aux_sym_hostname_token1] = ACTIONS(3551),
    [aux_sym_identities_only_token1] = ACTIONS(3551),
    [aux_sym_identity_agent_token1] = ACTIONS(3551),
    [aux_sym_identity_file_token1] = ACTIONS(3551),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3551),
    [aux_sym_include_token1] = ACTIONS(3551),
    [aux_sym_ip_qos_token1] = ACTIONS(3551),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3551),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3551),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3551),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3551),
    [aux_sym_local_command_token1] = ACTIONS(3551),
    [aux_sym_local_forward_token1] = ACTIONS(3551),
    [aux_sym_log_level_token1] = ACTIONS(3551),
    [aux_sym_log_verbose_token1] = ACTIONS(3551),
    [aux_sym_macs_token1] = ACTIONS(3551),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3551),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3551),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3551),
    [aux_sym_password_authentication_token1] = ACTIONS(3551),
    [aux_sym_permit_local_command_token1] = ACTIONS(3551),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3551),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3551),
    [aux_sym_port_token1] = ACTIONS(3551),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3551),
    [aux_sym_protocol_token1] = ACTIONS(3551),
    [aux_sym_proxy_command_token1] = ACTIONS(3551),
    [aux_sym_proxy_jump_token1] = ACTIONS(3551),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3551),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3551),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3551),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3551),
    [aux_sym_rekey_limit_token1] = ACTIONS(3551),
    [aux_sym_remote_command_token1] = ACTIONS(3551),
    [aux_sym_remote_forward_token1] = ACTIONS(3551),
    [aux_sym_request_tty_token1] = ACTIONS(3551),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3551),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3551),
    [aux_sym_security_key_provider_token1] = ACTIONS(3551),
    [aux_sym_send_env_token1] = ACTIONS(3551),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3551),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3551),
    [aux_sym_session_type_token1] = ACTIONS(3551),
    [aux_sym_set_env_token1] = ACTIONS(3551),
    [aux_sym_stdin_null_token1] = ACTIONS(3551),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3551),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3551),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3551),
    [aux_sym_syslog_facility_token1] = ACTIONS(3551),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3551),
    [aux_sym_keep_alive_token1] = ACTIONS(3551),
    [aux_sym_tag_token1] = ACTIONS(3551),
    [aux_sym_tunnel_token1] = ACTIONS(3553),
    [aux_sym_tunnel_device_token1] = ACTIONS(3551),
    [aux_sym_update_host_keys_token1] = ACTIONS(3551),
    [aux_sym_use_keychain_token1] = ACTIONS(3551),
    [aux_sym_use_roaming_token1] = ACTIONS(3551),
    [aux_sym_user_token1] = ACTIONS(3553),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3551),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3551),
    [aux_sym_visual_host_key_token1] = ACTIONS(3551),
    [aux_sym_xauth_location_token1] = ACTIONS(3551),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3557),
    [aux_sym_match_token1] = ACTIONS(3555),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3555),
    [aux_sym_address_family_token1] = ACTIONS(3555),
    [aux_sym_batch_mode_token1] = ACTIONS(3555),
    [aux_sym_bind_address_token1] = ACTIONS(3555),
    [aux_sym_bind_interface_token1] = ACTIONS(3555),
    [aux_sym_canonical_domains_token1] = ACTIONS(3555),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3555),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3555),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3555),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3555),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3555),
    [aux_sym_certificate_file_token1] = ACTIONS(3555),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3555),
    [aux_sym_channel_timeout_token1] = ACTIONS(3555),
    [aux_sym_check_host_ip_token1] = ACTIONS(3555),
    [aux_sym_ciphers_token1] = ACTIONS(3555),
    [aux_sym_cipher_token1] = ACTIONS(3557),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3555),
    [aux_sym_compression_token1] = ACTIONS(3555),
    [aux_sym_connection_attempts_token1] = ACTIONS(3555),
    [aux_sym_connect_timeout_token1] = ACTIONS(3555),
    [aux_sym_control_master_token1] = ACTIONS(3555),
    [aux_sym_control_path_token1] = ACTIONS(3555),
    [aux_sym_control_persist_token1] = ACTIONS(3555),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3555),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3555),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3555),
    [aux_sym_escape_char_token1] = ACTIONS(3555),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3555),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3555),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3555),
    [aux_sym_forward_agent_token1] = ACTIONS(3555),
    [aux_sym_forward_x11_token1] = ACTIONS(3557),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3555),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3555),
    [aux_sym_gateway_ports_token1] = ACTIONS(3555),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3555),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3555),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3555),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3555),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3555),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3555),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3555),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3555),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3555),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3555),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3555),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3555),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3555),
    [aux_sym_host_key_alias_token1] = ACTIONS(3555),
    [aux_sym_hostname_token1] = ACTIONS(3555),
    [aux_sym_identities_only_token1] = ACTIONS(3555),
    [aux_sym_identity_agent_token1] = ACTIONS(3555),
    [aux_sym_identity_file_token1] = ACTIONS(3555),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3555),
    [aux_sym_include_token1] = ACTIONS(3555),
    [aux_sym_ip_qos_token1] = ACTIONS(3555),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3555),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3555),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3555),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3555),
    [aux_sym_local_command_token1] = ACTIONS(3555),
    [aux_sym_local_forward_token1] = ACTIONS(3555),
    [aux_sym_log_level_token1] = ACTIONS(3555),
    [aux_sym_log_verbose_token1] = ACTIONS(3555),
    [aux_sym_macs_token1] = ACTIONS(3555),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3555),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3555),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3555),
    [aux_sym_password_authentication_token1] = ACTIONS(3555),
    [aux_sym_permit_local_command_token1] = ACTIONS(3555),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3555),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3555),
    [aux_sym_port_token1] = ACTIONS(3555),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3555),
    [aux_sym_protocol_token1] = ACTIONS(3555),
    [aux_sym_proxy_command_token1] = ACTIONS(3555),
    [aux_sym_proxy_jump_token1] = ACTIONS(3555),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3555),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3555),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3555),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3555),
    [aux_sym_rekey_limit_token1] = ACTIONS(3555),
    [aux_sym_remote_command_token1] = ACTIONS(3555),
    [aux_sym_remote_forward_token1] = ACTIONS(3555),
    [aux_sym_request_tty_token1] = ACTIONS(3555),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3555),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3555),
    [aux_sym_security_key_provider_token1] = ACTIONS(3555),
    [aux_sym_send_env_token1] = ACTIONS(3555),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3555),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3555),
    [aux_sym_session_type_token1] = ACTIONS(3555),
    [aux_sym_set_env_token1] = ACTIONS(3555),
    [aux_sym_stdin_null_token1] = ACTIONS(3555),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3555),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3555),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3555),
    [aux_sym_syslog_facility_token1] = ACTIONS(3555),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3555),
    [aux_sym_keep_alive_token1] = ACTIONS(3555),
    [aux_sym_tag_token1] = ACTIONS(3555),
    [aux_sym_tunnel_token1] = ACTIONS(3557),
    [aux_sym_tunnel_device_token1] = ACTIONS(3555),
    [aux_sym_update_host_keys_token1] = ACTIONS(3555),
    [aux_sym_use_keychain_token1] = ACTIONS(3555),
    [aux_sym_use_roaming_token1] = ACTIONS(3555),
    [aux_sym_user_token1] = ACTIONS(3557),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3555),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3555),
    [aux_sym_visual_host_key_token1] = ACTIONS(3555),
    [aux_sym_xauth_location_token1] = ACTIONS(3555),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1369),
    [aux_sym_match_token1] = ACTIONS(1367),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1367),
    [aux_sym_address_family_token1] = ACTIONS(1367),
    [aux_sym_batch_mode_token1] = ACTIONS(1367),
    [aux_sym_bind_address_token1] = ACTIONS(1367),
    [aux_sym_bind_interface_token1] = ACTIONS(1367),
    [aux_sym_canonical_domains_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1367),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1367),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1367),
    [aux_sym_certificate_file_token1] = ACTIONS(1367),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1367),
    [aux_sym_channel_timeout_token1] = ACTIONS(1367),
    [aux_sym_check_host_ip_token1] = ACTIONS(1367),
    [aux_sym_ciphers_token1] = ACTIONS(1367),
    [aux_sym_cipher_token1] = ACTIONS(1369),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1367),
    [aux_sym_compression_token1] = ACTIONS(1367),
    [aux_sym_connection_attempts_token1] = ACTIONS(1367),
    [aux_sym_connect_timeout_token1] = ACTIONS(1367),
    [aux_sym_control_master_token1] = ACTIONS(1367),
    [aux_sym_control_path_token1] = ACTIONS(1367),
    [aux_sym_control_persist_token1] = ACTIONS(1367),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1367),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1367),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1367),
    [aux_sym_escape_char_token1] = ACTIONS(1367),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1367),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1367),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1367),
    [aux_sym_forward_agent_token1] = ACTIONS(1367),
    [aux_sym_forward_x11_token1] = ACTIONS(1369),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1367),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1367),
    [aux_sym_gateway_ports_token1] = ACTIONS(1367),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1367),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1367),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1367),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1367),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1367),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1367),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1367),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1367),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1367),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1367),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1367),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1367),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1367),
    [aux_sym_host_key_alias_token1] = ACTIONS(1367),
    [aux_sym_hostname_token1] = ACTIONS(1367),
    [aux_sym_identities_only_token1] = ACTIONS(1367),
    [aux_sym_identity_agent_token1] = ACTIONS(1367),
    [aux_sym_identity_file_token1] = ACTIONS(1367),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1367),
    [aux_sym_include_token1] = ACTIONS(1367),
    [aux_sym_ip_qos_token1] = ACTIONS(1367),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1367),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1367),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1367),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1367),
    [aux_sym_local_command_token1] = ACTIONS(1367),
    [aux_sym_local_forward_token1] = ACTIONS(1367),
    [aux_sym_log_level_token1] = ACTIONS(1367),
    [aux_sym_log_verbose_token1] = ACTIONS(1367),
    [aux_sym_macs_token1] = ACTIONS(1367),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1367),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1367),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1367),
    [aux_sym_password_authentication_token1] = ACTIONS(1367),
    [aux_sym_permit_local_command_token1] = ACTIONS(1367),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1367),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1367),
    [aux_sym_port_token1] = ACTIONS(1367),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1367),
    [aux_sym_protocol_token1] = ACTIONS(1367),
    [aux_sym_proxy_command_token1] = ACTIONS(1367),
    [aux_sym_proxy_jump_token1] = ACTIONS(1367),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1367),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1367),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1367),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1367),
    [aux_sym_rekey_limit_token1] = ACTIONS(1367),
    [aux_sym_remote_command_token1] = ACTIONS(1367),
    [aux_sym_remote_forward_token1] = ACTIONS(1367),
    [aux_sym_request_tty_token1] = ACTIONS(1367),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1367),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1367),
    [aux_sym_security_key_provider_token1] = ACTIONS(1367),
    [aux_sym_send_env_token1] = ACTIONS(1367),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1367),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1367),
    [aux_sym_session_type_token1] = ACTIONS(1367),
    [aux_sym_set_env_token1] = ACTIONS(1367),
    [aux_sym_stdin_null_token1] = ACTIONS(1367),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1367),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1367),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1367),
    [aux_sym_syslog_facility_token1] = ACTIONS(1367),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1367),
    [aux_sym_keep_alive_token1] = ACTIONS(1367),
    [aux_sym_tag_token1] = ACTIONS(1367),
    [aux_sym_tunnel_token1] = ACTIONS(1369),
    [aux_sym_tunnel_device_token1] = ACTIONS(1367),
    [aux_sym_update_host_keys_token1] = ACTIONS(1367),
    [aux_sym_use_keychain_token1] = ACTIONS(1367),
    [aux_sym_use_roaming_token1] = ACTIONS(1367),
    [aux_sym_user_token1] = ACTIONS(1369),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1367),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1367),
    [aux_sym_visual_host_key_token1] = ACTIONS(1367),
    [aux_sym_xauth_location_token1] = ACTIONS(1367),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(811),
    [aux_sym_match_token1] = ACTIONS(809),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(809),
    [aux_sym_address_family_token1] = ACTIONS(809),
    [aux_sym_batch_mode_token1] = ACTIONS(809),
    [aux_sym_bind_address_token1] = ACTIONS(809),
    [aux_sym_bind_interface_token1] = ACTIONS(809),
    [aux_sym_canonical_domains_token1] = ACTIONS(809),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(809),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(809),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(809),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(809),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(809),
    [aux_sym_certificate_file_token1] = ACTIONS(809),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(809),
    [aux_sym_channel_timeout_token1] = ACTIONS(809),
    [aux_sym_check_host_ip_token1] = ACTIONS(809),
    [aux_sym_ciphers_token1] = ACTIONS(809),
    [aux_sym_cipher_token1] = ACTIONS(811),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(809),
    [aux_sym_compression_token1] = ACTIONS(809),
    [aux_sym_connection_attempts_token1] = ACTIONS(809),
    [aux_sym_connect_timeout_token1] = ACTIONS(809),
    [aux_sym_control_master_token1] = ACTIONS(809),
    [aux_sym_control_path_token1] = ACTIONS(809),
    [aux_sym_control_persist_token1] = ACTIONS(809),
    [aux_sym_dynamic_forward_token1] = ACTIONS(809),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(809),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(809),
    [aux_sym_escape_char_token1] = ACTIONS(809),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(809),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(809),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(809),
    [aux_sym_forward_agent_token1] = ACTIONS(809),
    [aux_sym_forward_x11_token1] = ACTIONS(811),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(809),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(809),
    [aux_sym_gateway_ports_token1] = ACTIONS(809),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(809),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(809),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(809),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(809),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(809),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(809),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(809),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(809),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(809),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(809),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(809),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(809),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(809),
    [aux_sym_host_key_alias_token1] = ACTIONS(809),
    [aux_sym_hostname_token1] = ACTIONS(809),
    [aux_sym_identities_only_token1] = ACTIONS(809),
    [aux_sym_identity_agent_token1] = ACTIONS(809),
    [aux_sym_identity_file_token1] = ACTIONS(809),
    [aux_sym_ignore_unknown_token1] = ACTIONS(809),
    [aux_sym_include_token1] = ACTIONS(809),
    [aux_sym_ip_qos_token1] = ACTIONS(809),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(809),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(809),
    [aux_sym_kex_algorithms_token1] = ACTIONS(809),
    [aux_sym_known_hosts_command_token1] = ACTIONS(809),
    [aux_sym_local_command_token1] = ACTIONS(809),
    [aux_sym_local_forward_token1] = ACTIONS(809),
    [aux_sym_log_level_token1] = ACTIONS(809),
    [aux_sym_log_verbose_token1] = ACTIONS(809),
    [aux_sym_macs_token1] = ACTIONS(809),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(809),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(809),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(809),
    [aux_sym_password_authentication_token1] = ACTIONS(809),
    [aux_sym_permit_local_command_token1] = ACTIONS(809),
    [aux_sym_permit_remote_open_token1] = ACTIONS(809),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(809),
    [aux_sym_port_token1] = ACTIONS(809),
    [aux_sym_preferred_authentications_token1] = ACTIONS(809),
    [aux_sym_protocol_token1] = ACTIONS(809),
    [aux_sym_proxy_command_token1] = ACTIONS(809),
    [aux_sym_proxy_jump_token1] = ACTIONS(809),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(809),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(809),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(809),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(809),
    [aux_sym_rekey_limit_token1] = ACTIONS(809),
    [aux_sym_remote_command_token1] = ACTIONS(809),
    [aux_sym_remote_forward_token1] = ACTIONS(809),
    [aux_sym_request_tty_token1] = ACTIONS(809),
    [aux_sym_required_rsa_size_token1] = ACTIONS(809),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(809),
    [aux_sym_security_key_provider_token1] = ACTIONS(809),
    [aux_sym_send_env_token1] = ACTIONS(809),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(809),
    [aux_sym_server_alive_interval_token1] = ACTIONS(809),
    [aux_sym_session_type_token1] = ACTIONS(809),
    [aux_sym_set_env_token1] = ACTIONS(809),
    [aux_sym_stdin_null_token1] = ACTIONS(809),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(809),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(809),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(809),
    [aux_sym_syslog_facility_token1] = ACTIONS(809),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(809),
    [aux_sym_keep_alive_token1] = ACTIONS(809),
    [aux_sym_tag_token1] = ACTIONS(809),
    [aux_sym_tunnel_token1] = ACTIONS(811),
    [aux_sym_tunnel_device_token1] = ACTIONS(809),
    [aux_sym_update_host_keys_token1] = ACTIONS(809),
    [aux_sym_use_keychain_token1] = ACTIONS(809),
    [aux_sym_use_roaming_token1] = ACTIONS(809),
    [aux_sym_user_token1] = ACTIONS(811),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(809),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(809),
    [aux_sym_visual_host_key_token1] = ACTIONS(809),
    [aux_sym_xauth_location_token1] = ACTIONS(809),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1375),
    [aux_sym_match_token1] = ACTIONS(1373),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1373),
    [aux_sym_address_family_token1] = ACTIONS(1373),
    [aux_sym_batch_mode_token1] = ACTIONS(1373),
    [aux_sym_bind_address_token1] = ACTIONS(1373),
    [aux_sym_bind_interface_token1] = ACTIONS(1373),
    [aux_sym_canonical_domains_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1373),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1373),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1373),
    [aux_sym_certificate_file_token1] = ACTIONS(1373),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1373),
    [aux_sym_channel_timeout_token1] = ACTIONS(1373),
    [aux_sym_check_host_ip_token1] = ACTIONS(1373),
    [aux_sym_ciphers_token1] = ACTIONS(1373),
    [aux_sym_cipher_token1] = ACTIONS(1375),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1373),
    [aux_sym_compression_token1] = ACTIONS(1373),
    [aux_sym_connection_attempts_token1] = ACTIONS(1373),
    [aux_sym_connect_timeout_token1] = ACTIONS(1373),
    [aux_sym_control_master_token1] = ACTIONS(1373),
    [aux_sym_control_path_token1] = ACTIONS(1373),
    [aux_sym_control_persist_token1] = ACTIONS(1373),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1373),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1373),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1373),
    [aux_sym_escape_char_token1] = ACTIONS(1373),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1373),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1373),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1373),
    [aux_sym_forward_agent_token1] = ACTIONS(1373),
    [aux_sym_forward_x11_token1] = ACTIONS(1375),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1373),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1373),
    [aux_sym_gateway_ports_token1] = ACTIONS(1373),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1373),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1373),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1373),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1373),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1373),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1373),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1373),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1373),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1373),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1373),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1373),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1373),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1373),
    [aux_sym_host_key_alias_token1] = ACTIONS(1373),
    [aux_sym_hostname_token1] = ACTIONS(1373),
    [aux_sym_identities_only_token1] = ACTIONS(1373),
    [aux_sym_identity_agent_token1] = ACTIONS(1373),
    [aux_sym_identity_file_token1] = ACTIONS(1373),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1373),
    [aux_sym_include_token1] = ACTIONS(1373),
    [aux_sym_ip_qos_token1] = ACTIONS(1373),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1373),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1373),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1373),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1373),
    [aux_sym_local_command_token1] = ACTIONS(1373),
    [aux_sym_local_forward_token1] = ACTIONS(1373),
    [aux_sym_log_level_token1] = ACTIONS(1373),
    [aux_sym_log_verbose_token1] = ACTIONS(1373),
    [aux_sym_macs_token1] = ACTIONS(1373),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1373),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1373),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1373),
    [aux_sym_password_authentication_token1] = ACTIONS(1373),
    [aux_sym_permit_local_command_token1] = ACTIONS(1373),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1373),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1373),
    [aux_sym_port_token1] = ACTIONS(1373),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1373),
    [aux_sym_protocol_token1] = ACTIONS(1373),
    [aux_sym_proxy_command_token1] = ACTIONS(1373),
    [aux_sym_proxy_jump_token1] = ACTIONS(1373),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1373),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1373),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1373),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1373),
    [aux_sym_rekey_limit_token1] = ACTIONS(1373),
    [aux_sym_remote_command_token1] = ACTIONS(1373),
    [aux_sym_remote_forward_token1] = ACTIONS(1373),
    [aux_sym_request_tty_token1] = ACTIONS(1373),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1373),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1373),
    [aux_sym_security_key_provider_token1] = ACTIONS(1373),
    [aux_sym_send_env_token1] = ACTIONS(1373),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1373),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1373),
    [aux_sym_session_type_token1] = ACTIONS(1373),
    [aux_sym_set_env_token1] = ACTIONS(1373),
    [aux_sym_stdin_null_token1] = ACTIONS(1373),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1373),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1373),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1373),
    [aux_sym_syslog_facility_token1] = ACTIONS(1373),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1373),
    [aux_sym_keep_alive_token1] = ACTIONS(1373),
    [aux_sym_tag_token1] = ACTIONS(1373),
    [aux_sym_tunnel_token1] = ACTIONS(1375),
    [aux_sym_tunnel_device_token1] = ACTIONS(1373),
    [aux_sym_update_host_keys_token1] = ACTIONS(1373),
    [aux_sym_use_keychain_token1] = ACTIONS(1373),
    [aux_sym_use_roaming_token1] = ACTIONS(1373),
    [aux_sym_user_token1] = ACTIONS(1375),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1373),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1373),
    [aux_sym_visual_host_key_token1] = ACTIONS(1373),
    [aux_sym_xauth_location_token1] = ACTIONS(1373),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1015),
    [aux_sym_match_token1] = ACTIONS(1013),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1013),
    [aux_sym_address_family_token1] = ACTIONS(1013),
    [aux_sym_batch_mode_token1] = ACTIONS(1013),
    [aux_sym_bind_address_token1] = ACTIONS(1013),
    [aux_sym_bind_interface_token1] = ACTIONS(1013),
    [aux_sym_canonical_domains_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1013),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1013),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1013),
    [aux_sym_certificate_file_token1] = ACTIONS(1013),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1013),
    [aux_sym_channel_timeout_token1] = ACTIONS(1013),
    [aux_sym_check_host_ip_token1] = ACTIONS(1013),
    [aux_sym_ciphers_token1] = ACTIONS(1013),
    [aux_sym_cipher_token1] = ACTIONS(1015),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1013),
    [aux_sym_compression_token1] = ACTIONS(1013),
    [aux_sym_connection_attempts_token1] = ACTIONS(1013),
    [aux_sym_connect_timeout_token1] = ACTIONS(1013),
    [aux_sym_control_master_token1] = ACTIONS(1013),
    [aux_sym_control_path_token1] = ACTIONS(1013),
    [aux_sym_control_persist_token1] = ACTIONS(1013),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1013),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1013),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1013),
    [aux_sym_escape_char_token1] = ACTIONS(1013),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1013),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1013),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1013),
    [aux_sym_forward_agent_token1] = ACTIONS(1013),
    [aux_sym_forward_x11_token1] = ACTIONS(1015),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1013),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1013),
    [aux_sym_gateway_ports_token1] = ACTIONS(1013),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1013),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1013),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1013),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1013),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1013),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1013),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1013),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1013),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1013),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1013),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1013),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1013),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1013),
    [aux_sym_host_key_alias_token1] = ACTIONS(1013),
    [aux_sym_hostname_token1] = ACTIONS(1013),
    [aux_sym_identities_only_token1] = ACTIONS(1013),
    [aux_sym_identity_agent_token1] = ACTIONS(1013),
    [aux_sym_identity_file_token1] = ACTIONS(1013),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1013),
    [aux_sym_include_token1] = ACTIONS(1013),
    [aux_sym_ip_qos_token1] = ACTIONS(1013),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1013),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1013),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1013),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1013),
    [aux_sym_local_command_token1] = ACTIONS(1013),
    [aux_sym_local_forward_token1] = ACTIONS(1013),
    [aux_sym_log_level_token1] = ACTIONS(1013),
    [aux_sym_log_verbose_token1] = ACTIONS(1013),
    [aux_sym_macs_token1] = ACTIONS(1013),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1013),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1013),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1013),
    [aux_sym_password_authentication_token1] = ACTIONS(1013),
    [aux_sym_permit_local_command_token1] = ACTIONS(1013),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1013),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1013),
    [aux_sym_port_token1] = ACTIONS(1013),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1013),
    [aux_sym_protocol_token1] = ACTIONS(1013),
    [aux_sym_proxy_command_token1] = ACTIONS(1013),
    [aux_sym_proxy_jump_token1] = ACTIONS(1013),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1013),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1013),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1013),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1013),
    [aux_sym_rekey_limit_token1] = ACTIONS(1013),
    [aux_sym_remote_command_token1] = ACTIONS(1013),
    [aux_sym_remote_forward_token1] = ACTIONS(1013),
    [aux_sym_request_tty_token1] = ACTIONS(1013),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1013),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1013),
    [aux_sym_security_key_provider_token1] = ACTIONS(1013),
    [aux_sym_send_env_token1] = ACTIONS(1013),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1013),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1013),
    [aux_sym_session_type_token1] = ACTIONS(1013),
    [aux_sym_set_env_token1] = ACTIONS(1013),
    [aux_sym_stdin_null_token1] = ACTIONS(1013),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1013),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1013),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1013),
    [aux_sym_syslog_facility_token1] = ACTIONS(1013),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1013),
    [aux_sym_keep_alive_token1] = ACTIONS(1013),
    [aux_sym_tag_token1] = ACTIONS(1013),
    [aux_sym_tunnel_token1] = ACTIONS(1015),
    [aux_sym_tunnel_device_token1] = ACTIONS(1013),
    [aux_sym_update_host_keys_token1] = ACTIONS(1013),
    [aux_sym_use_keychain_token1] = ACTIONS(1013),
    [aux_sym_use_roaming_token1] = ACTIONS(1013),
    [aux_sym_user_token1] = ACTIONS(1015),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1013),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1013),
    [aux_sym_visual_host_key_token1] = ACTIONS(1013),
    [aux_sym_xauth_location_token1] = ACTIONS(1013),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(1379),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1381),
    [aux_sym_match_token1] = ACTIONS(1379),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1379),
    [aux_sym_address_family_token1] = ACTIONS(1379),
    [aux_sym_batch_mode_token1] = ACTIONS(1379),
    [aux_sym_bind_address_token1] = ACTIONS(1379),
    [aux_sym_bind_interface_token1] = ACTIONS(1379),
    [aux_sym_canonical_domains_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1379),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1379),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1379),
    [aux_sym_certificate_file_token1] = ACTIONS(1379),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1379),
    [aux_sym_channel_timeout_token1] = ACTIONS(1379),
    [aux_sym_check_host_ip_token1] = ACTIONS(1379),
    [aux_sym_ciphers_token1] = ACTIONS(1379),
    [aux_sym_cipher_token1] = ACTIONS(1381),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1379),
    [aux_sym_compression_token1] = ACTIONS(1379),
    [aux_sym_connection_attempts_token1] = ACTIONS(1379),
    [aux_sym_connect_timeout_token1] = ACTIONS(1379),
    [aux_sym_control_master_token1] = ACTIONS(1379),
    [aux_sym_control_path_token1] = ACTIONS(1379),
    [aux_sym_control_persist_token1] = ACTIONS(1379),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1379),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1379),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1379),
    [aux_sym_escape_char_token1] = ACTIONS(1379),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1379),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1379),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1379),
    [aux_sym_forward_agent_token1] = ACTIONS(1379),
    [aux_sym_forward_x11_token1] = ACTIONS(1381),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1379),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1379),
    [aux_sym_gateway_ports_token1] = ACTIONS(1379),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1379),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1379),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1379),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1379),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1379),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1379),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1379),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1379),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1379),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1379),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1379),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1379),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1379),
    [aux_sym_host_key_alias_token1] = ACTIONS(1379),
    [aux_sym_hostname_token1] = ACTIONS(1379),
    [aux_sym_identities_only_token1] = ACTIONS(1379),
    [aux_sym_identity_agent_token1] = ACTIONS(1379),
    [aux_sym_identity_file_token1] = ACTIONS(1379),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1379),
    [aux_sym_include_token1] = ACTIONS(1379),
    [aux_sym_ip_qos_token1] = ACTIONS(1379),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1379),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1379),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1379),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1379),
    [aux_sym_local_command_token1] = ACTIONS(1379),
    [aux_sym_local_forward_token1] = ACTIONS(1379),
    [aux_sym_log_level_token1] = ACTIONS(1379),
    [aux_sym_log_verbose_token1] = ACTIONS(1379),
    [aux_sym_macs_token1] = ACTIONS(1379),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1379),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1379),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1379),
    [aux_sym_password_authentication_token1] = ACTIONS(1379),
    [aux_sym_permit_local_command_token1] = ACTIONS(1379),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1379),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1379),
    [aux_sym_port_token1] = ACTIONS(1379),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1379),
    [aux_sym_protocol_token1] = ACTIONS(1379),
    [aux_sym_proxy_command_token1] = ACTIONS(1379),
    [aux_sym_proxy_jump_token1] = ACTIONS(1379),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1379),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1379),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1379),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1379),
    [aux_sym_rekey_limit_token1] = ACTIONS(1379),
    [aux_sym_remote_command_token1] = ACTIONS(1379),
    [aux_sym_remote_forward_token1] = ACTIONS(1379),
    [aux_sym_request_tty_token1] = ACTIONS(1379),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1379),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1379),
    [aux_sym_security_key_provider_token1] = ACTIONS(1379),
    [aux_sym_send_env_token1] = ACTIONS(1379),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1379),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1379),
    [aux_sym_session_type_token1] = ACTIONS(1379),
    [aux_sym_set_env_token1] = ACTIONS(1379),
    [aux_sym_stdin_null_token1] = ACTIONS(1379),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1379),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1379),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1379),
    [aux_sym_syslog_facility_token1] = ACTIONS(1379),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1379),
    [aux_sym_keep_alive_token1] = ACTIONS(1379),
    [aux_sym_tag_token1] = ACTIONS(1379),
    [aux_sym_tunnel_token1] = ACTIONS(1381),
    [aux_sym_tunnel_device_token1] = ACTIONS(1379),
    [aux_sym_update_host_keys_token1] = ACTIONS(1379),
    [aux_sym_use_keychain_token1] = ACTIONS(1379),
    [aux_sym_use_roaming_token1] = ACTIONS(1379),
    [aux_sym_user_token1] = ACTIONS(1381),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1379),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1379),
    [aux_sym_visual_host_key_token1] = ACTIONS(1379),
    [aux_sym_xauth_location_token1] = ACTIONS(1379),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1661),
    [aux_sym_match_token1] = ACTIONS(1659),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1659),
    [aux_sym_address_family_token1] = ACTIONS(1659),
    [aux_sym_batch_mode_token1] = ACTIONS(1659),
    [aux_sym_bind_address_token1] = ACTIONS(1659),
    [aux_sym_bind_interface_token1] = ACTIONS(1659),
    [aux_sym_canonical_domains_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1659),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1659),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1659),
    [aux_sym_certificate_file_token1] = ACTIONS(1659),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1659),
    [aux_sym_channel_timeout_token1] = ACTIONS(1659),
    [aux_sym_check_host_ip_token1] = ACTIONS(1659),
    [aux_sym_ciphers_token1] = ACTIONS(1659),
    [aux_sym_cipher_token1] = ACTIONS(1661),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1659),
    [aux_sym_compression_token1] = ACTIONS(1659),
    [aux_sym_connection_attempts_token1] = ACTIONS(1659),
    [aux_sym_connect_timeout_token1] = ACTIONS(1659),
    [aux_sym_control_master_token1] = ACTIONS(1659),
    [aux_sym_control_path_token1] = ACTIONS(1659),
    [aux_sym_control_persist_token1] = ACTIONS(1659),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1659),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1659),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1659),
    [aux_sym_escape_char_token1] = ACTIONS(1659),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1659),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1659),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1659),
    [aux_sym_forward_agent_token1] = ACTIONS(1659),
    [aux_sym_forward_x11_token1] = ACTIONS(1661),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1659),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1659),
    [aux_sym_gateway_ports_token1] = ACTIONS(1659),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1659),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1659),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1659),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1659),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1659),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1659),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1659),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1659),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1659),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1659),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1659),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1659),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1659),
    [aux_sym_host_key_alias_token1] = ACTIONS(1659),
    [aux_sym_hostname_token1] = ACTIONS(1659),
    [aux_sym_identities_only_token1] = ACTIONS(1659),
    [aux_sym_identity_agent_token1] = ACTIONS(1659),
    [aux_sym_identity_file_token1] = ACTIONS(1659),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1659),
    [aux_sym_include_token1] = ACTIONS(1659),
    [aux_sym_ip_qos_token1] = ACTIONS(1659),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1659),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1659),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1659),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1659),
    [aux_sym_local_command_token1] = ACTIONS(1659),
    [aux_sym_local_forward_token1] = ACTIONS(1659),
    [aux_sym_log_level_token1] = ACTIONS(1659),
    [aux_sym_log_verbose_token1] = ACTIONS(1659),
    [aux_sym_macs_token1] = ACTIONS(1659),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1659),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1659),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1659),
    [aux_sym_password_authentication_token1] = ACTIONS(1659),
    [aux_sym_permit_local_command_token1] = ACTIONS(1659),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1659),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1659),
    [aux_sym_port_token1] = ACTIONS(1659),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1659),
    [aux_sym_protocol_token1] = ACTIONS(1659),
    [aux_sym_proxy_command_token1] = ACTIONS(1659),
    [aux_sym_proxy_jump_token1] = ACTIONS(1659),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1659),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1659),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1659),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1659),
    [aux_sym_rekey_limit_token1] = ACTIONS(1659),
    [aux_sym_remote_command_token1] = ACTIONS(1659),
    [aux_sym_remote_forward_token1] = ACTIONS(1659),
    [aux_sym_request_tty_token1] = ACTIONS(1659),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1659),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1659),
    [aux_sym_security_key_provider_token1] = ACTIONS(1659),
    [aux_sym_send_env_token1] = ACTIONS(1659),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1659),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1659),
    [aux_sym_session_type_token1] = ACTIONS(1659),
    [aux_sym_set_env_token1] = ACTIONS(1659),
    [aux_sym_stdin_null_token1] = ACTIONS(1659),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1659),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1659),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1659),
    [aux_sym_syslog_facility_token1] = ACTIONS(1659),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1659),
    [aux_sym_keep_alive_token1] = ACTIONS(1659),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [aux_sym_tunnel_token1] = ACTIONS(1661),
    [aux_sym_tunnel_device_token1] = ACTIONS(1659),
    [aux_sym_update_host_keys_token1] = ACTIONS(1659),
    [aux_sym_use_keychain_token1] = ACTIONS(1659),
    [aux_sym_use_roaming_token1] = ACTIONS(1659),
    [aux_sym_user_token1] = ACTIONS(1661),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1659),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1659),
    [aux_sym_visual_host_key_token1] = ACTIONS(1659),
    [aux_sym_xauth_location_token1] = ACTIONS(1659),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1387),
    [aux_sym_match_token1] = ACTIONS(1385),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1385),
    [aux_sym_address_family_token1] = ACTIONS(1385),
    [aux_sym_batch_mode_token1] = ACTIONS(1385),
    [aux_sym_bind_address_token1] = ACTIONS(1385),
    [aux_sym_bind_interface_token1] = ACTIONS(1385),
    [aux_sym_canonical_domains_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1385),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1385),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1385),
    [aux_sym_certificate_file_token1] = ACTIONS(1385),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1385),
    [aux_sym_channel_timeout_token1] = ACTIONS(1385),
    [aux_sym_check_host_ip_token1] = ACTIONS(1385),
    [aux_sym_ciphers_token1] = ACTIONS(1385),
    [aux_sym_cipher_token1] = ACTIONS(1387),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1385),
    [aux_sym_compression_token1] = ACTIONS(1385),
    [aux_sym_connection_attempts_token1] = ACTIONS(1385),
    [aux_sym_connect_timeout_token1] = ACTIONS(1385),
    [aux_sym_control_master_token1] = ACTIONS(1385),
    [aux_sym_control_path_token1] = ACTIONS(1385),
    [aux_sym_control_persist_token1] = ACTIONS(1385),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1385),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1385),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1385),
    [aux_sym_escape_char_token1] = ACTIONS(1385),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1385),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1385),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1385),
    [aux_sym_forward_agent_token1] = ACTIONS(1385),
    [aux_sym_forward_x11_token1] = ACTIONS(1387),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1385),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1385),
    [aux_sym_gateway_ports_token1] = ACTIONS(1385),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1385),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1385),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1385),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1385),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1385),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1385),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1385),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1385),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1385),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1385),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1385),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1385),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1385),
    [aux_sym_host_key_alias_token1] = ACTIONS(1385),
    [aux_sym_hostname_token1] = ACTIONS(1385),
    [aux_sym_identities_only_token1] = ACTIONS(1385),
    [aux_sym_identity_agent_token1] = ACTIONS(1385),
    [aux_sym_identity_file_token1] = ACTIONS(1385),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1385),
    [aux_sym_include_token1] = ACTIONS(1385),
    [aux_sym_ip_qos_token1] = ACTIONS(1385),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1385),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1385),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1385),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1385),
    [aux_sym_local_command_token1] = ACTIONS(1385),
    [aux_sym_local_forward_token1] = ACTIONS(1385),
    [aux_sym_log_level_token1] = ACTIONS(1385),
    [aux_sym_log_verbose_token1] = ACTIONS(1385),
    [aux_sym_macs_token1] = ACTIONS(1385),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1385),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1385),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1385),
    [aux_sym_password_authentication_token1] = ACTIONS(1385),
    [aux_sym_permit_local_command_token1] = ACTIONS(1385),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1385),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1385),
    [aux_sym_port_token1] = ACTIONS(1385),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1385),
    [aux_sym_protocol_token1] = ACTIONS(1385),
    [aux_sym_proxy_command_token1] = ACTIONS(1385),
    [aux_sym_proxy_jump_token1] = ACTIONS(1385),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1385),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1385),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1385),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1385),
    [aux_sym_rekey_limit_token1] = ACTIONS(1385),
    [aux_sym_remote_command_token1] = ACTIONS(1385),
    [aux_sym_remote_forward_token1] = ACTIONS(1385),
    [aux_sym_request_tty_token1] = ACTIONS(1385),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1385),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1385),
    [aux_sym_security_key_provider_token1] = ACTIONS(1385),
    [aux_sym_send_env_token1] = ACTIONS(1385),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1385),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1385),
    [aux_sym_session_type_token1] = ACTIONS(1385),
    [aux_sym_set_env_token1] = ACTIONS(1385),
    [aux_sym_stdin_null_token1] = ACTIONS(1385),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1385),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1385),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1385),
    [aux_sym_syslog_facility_token1] = ACTIONS(1385),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1385),
    [aux_sym_keep_alive_token1] = ACTIONS(1385),
    [aux_sym_tag_token1] = ACTIONS(1385),
    [aux_sym_tunnel_token1] = ACTIONS(1387),
    [aux_sym_tunnel_device_token1] = ACTIONS(1385),
    [aux_sym_update_host_keys_token1] = ACTIONS(1385),
    [aux_sym_use_keychain_token1] = ACTIONS(1385),
    [aux_sym_use_roaming_token1] = ACTIONS(1385),
    [aux_sym_user_token1] = ACTIONS(1387),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1385),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1385),
    [aux_sym_visual_host_key_token1] = ACTIONS(1385),
    [aux_sym_xauth_location_token1] = ACTIONS(1385),
  },
  [666] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1573),
    [aux_sym_match_token1] = ACTIONS(1571),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1571),
    [aux_sym_address_family_token1] = ACTIONS(1571),
    [aux_sym_batch_mode_token1] = ACTIONS(1571),
    [aux_sym_bind_address_token1] = ACTIONS(1571),
    [aux_sym_bind_interface_token1] = ACTIONS(1571),
    [aux_sym_canonical_domains_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1571),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1571),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1571),
    [aux_sym_certificate_file_token1] = ACTIONS(1571),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1571),
    [aux_sym_channel_timeout_token1] = ACTIONS(1571),
    [aux_sym_check_host_ip_token1] = ACTIONS(1571),
    [aux_sym_ciphers_token1] = ACTIONS(1571),
    [aux_sym_cipher_token1] = ACTIONS(1573),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1571),
    [aux_sym_compression_token1] = ACTIONS(1571),
    [aux_sym_connection_attempts_token1] = ACTIONS(1571),
    [aux_sym_connect_timeout_token1] = ACTIONS(1571),
    [aux_sym_control_master_token1] = ACTIONS(1571),
    [aux_sym_control_path_token1] = ACTIONS(1571),
    [aux_sym_control_persist_token1] = ACTIONS(1571),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1571),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1571),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1571),
    [aux_sym_escape_char_token1] = ACTIONS(1571),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1571),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1571),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1571),
    [aux_sym_forward_agent_token1] = ACTIONS(1571),
    [aux_sym_forward_x11_token1] = ACTIONS(1573),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1571),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1571),
    [aux_sym_gateway_ports_token1] = ACTIONS(1571),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1571),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1571),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1571),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1571),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1571),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1571),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1571),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1571),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1571),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1571),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1571),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1571),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1571),
    [aux_sym_host_key_alias_token1] = ACTIONS(1571),
    [aux_sym_hostname_token1] = ACTIONS(1571),
    [aux_sym_identities_only_token1] = ACTIONS(1571),
    [aux_sym_identity_agent_token1] = ACTIONS(1571),
    [aux_sym_identity_file_token1] = ACTIONS(1571),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1571),
    [aux_sym_include_token1] = ACTIONS(1571),
    [aux_sym_ip_qos_token1] = ACTIONS(1571),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1571),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1571),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1571),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1571),
    [aux_sym_local_command_token1] = ACTIONS(1571),
    [aux_sym_local_forward_token1] = ACTIONS(1571),
    [aux_sym_log_level_token1] = ACTIONS(1571),
    [aux_sym_log_verbose_token1] = ACTIONS(1571),
    [aux_sym_macs_token1] = ACTIONS(1571),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1571),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1571),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1571),
    [aux_sym_password_authentication_token1] = ACTIONS(1571),
    [aux_sym_permit_local_command_token1] = ACTIONS(1571),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1571),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1571),
    [aux_sym_port_token1] = ACTIONS(1571),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1571),
    [aux_sym_protocol_token1] = ACTIONS(1571),
    [aux_sym_proxy_command_token1] = ACTIONS(1571),
    [aux_sym_proxy_jump_token1] = ACTIONS(1571),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1571),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1571),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1571),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1571),
    [aux_sym_rekey_limit_token1] = ACTIONS(1571),
    [aux_sym_remote_command_token1] = ACTIONS(1571),
    [aux_sym_remote_forward_token1] = ACTIONS(1571),
    [aux_sym_request_tty_token1] = ACTIONS(1571),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1571),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1571),
    [aux_sym_security_key_provider_token1] = ACTIONS(1571),
    [aux_sym_send_env_token1] = ACTIONS(1571),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1571),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1571),
    [aux_sym_session_type_token1] = ACTIONS(1571),
    [aux_sym_set_env_token1] = ACTIONS(1571),
    [aux_sym_stdin_null_token1] = ACTIONS(1571),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1571),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1571),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1571),
    [aux_sym_syslog_facility_token1] = ACTIONS(1571),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1571),
    [aux_sym_keep_alive_token1] = ACTIONS(1571),
    [aux_sym_tag_token1] = ACTIONS(1571),
    [aux_sym_tunnel_token1] = ACTIONS(1573),
    [aux_sym_tunnel_device_token1] = ACTIONS(1571),
    [aux_sym_update_host_keys_token1] = ACTIONS(1571),
    [aux_sym_use_keychain_token1] = ACTIONS(1571),
    [aux_sym_use_roaming_token1] = ACTIONS(1571),
    [aux_sym_user_token1] = ACTIONS(1573),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1571),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1571),
    [aux_sym_visual_host_key_token1] = ACTIONS(1571),
    [aux_sym_xauth_location_token1] = ACTIONS(1571),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3561),
    [aux_sym_match_token1] = ACTIONS(3559),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3559),
    [aux_sym_address_family_token1] = ACTIONS(3559),
    [aux_sym_batch_mode_token1] = ACTIONS(3559),
    [aux_sym_bind_address_token1] = ACTIONS(3559),
    [aux_sym_bind_interface_token1] = ACTIONS(3559),
    [aux_sym_canonical_domains_token1] = ACTIONS(3559),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3559),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3559),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3559),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3559),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3559),
    [aux_sym_certificate_file_token1] = ACTIONS(3559),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3559),
    [aux_sym_channel_timeout_token1] = ACTIONS(3559),
    [aux_sym_check_host_ip_token1] = ACTIONS(3559),
    [aux_sym_ciphers_token1] = ACTIONS(3559),
    [aux_sym_cipher_token1] = ACTIONS(3561),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3559),
    [aux_sym_compression_token1] = ACTIONS(3559),
    [aux_sym_connection_attempts_token1] = ACTIONS(3559),
    [aux_sym_connect_timeout_token1] = ACTIONS(3559),
    [aux_sym_control_master_token1] = ACTIONS(3559),
    [aux_sym_control_path_token1] = ACTIONS(3559),
    [aux_sym_control_persist_token1] = ACTIONS(3559),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3559),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3559),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3559),
    [aux_sym_escape_char_token1] = ACTIONS(3559),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3559),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3559),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3559),
    [aux_sym_forward_agent_token1] = ACTIONS(3559),
    [aux_sym_forward_x11_token1] = ACTIONS(3561),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3559),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3559),
    [aux_sym_gateway_ports_token1] = ACTIONS(3559),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3559),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3559),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3559),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3559),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3559),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3559),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3559),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3559),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3559),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3559),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3559),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3559),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3559),
    [aux_sym_host_key_alias_token1] = ACTIONS(3559),
    [aux_sym_hostname_token1] = ACTIONS(3559),
    [aux_sym_identities_only_token1] = ACTIONS(3559),
    [aux_sym_identity_agent_token1] = ACTIONS(3559),
    [aux_sym_identity_file_token1] = ACTIONS(3559),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3559),
    [aux_sym_include_token1] = ACTIONS(3559),
    [aux_sym_ip_qos_token1] = ACTIONS(3559),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3559),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3559),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3559),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3559),
    [aux_sym_local_command_token1] = ACTIONS(3559),
    [aux_sym_local_forward_token1] = ACTIONS(3559),
    [aux_sym_log_level_token1] = ACTIONS(3559),
    [aux_sym_log_verbose_token1] = ACTIONS(3559),
    [aux_sym_macs_token1] = ACTIONS(3559),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3559),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3559),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3559),
    [aux_sym_password_authentication_token1] = ACTIONS(3559),
    [aux_sym_permit_local_command_token1] = ACTIONS(3559),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3559),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3559),
    [aux_sym_port_token1] = ACTIONS(3559),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3559),
    [aux_sym_protocol_token1] = ACTIONS(3559),
    [aux_sym_proxy_command_token1] = ACTIONS(3559),
    [aux_sym_proxy_jump_token1] = ACTIONS(3559),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3559),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3559),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3559),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3559),
    [aux_sym_rekey_limit_token1] = ACTIONS(3559),
    [aux_sym_remote_command_token1] = ACTIONS(3559),
    [aux_sym_remote_forward_token1] = ACTIONS(3559),
    [aux_sym_request_tty_token1] = ACTIONS(3559),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3559),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3559),
    [aux_sym_security_key_provider_token1] = ACTIONS(3559),
    [aux_sym_send_env_token1] = ACTIONS(3559),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3559),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3559),
    [aux_sym_session_type_token1] = ACTIONS(3559),
    [aux_sym_set_env_token1] = ACTIONS(3559),
    [aux_sym_stdin_null_token1] = ACTIONS(3559),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3559),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3559),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3559),
    [aux_sym_syslog_facility_token1] = ACTIONS(3559),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3559),
    [aux_sym_keep_alive_token1] = ACTIONS(3559),
    [aux_sym_tag_token1] = ACTIONS(3559),
    [aux_sym_tunnel_token1] = ACTIONS(3561),
    [aux_sym_tunnel_device_token1] = ACTIONS(3559),
    [aux_sym_update_host_keys_token1] = ACTIONS(3559),
    [aux_sym_use_keychain_token1] = ACTIONS(3559),
    [aux_sym_use_roaming_token1] = ACTIONS(3559),
    [aux_sym_user_token1] = ACTIONS(3561),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3559),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3559),
    [aux_sym_visual_host_key_token1] = ACTIONS(3559),
    [aux_sym_xauth_location_token1] = ACTIONS(3559),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1579),
    [aux_sym_match_token1] = ACTIONS(1577),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1577),
    [aux_sym_address_family_token1] = ACTIONS(1577),
    [aux_sym_batch_mode_token1] = ACTIONS(1577),
    [aux_sym_bind_address_token1] = ACTIONS(1577),
    [aux_sym_bind_interface_token1] = ACTIONS(1577),
    [aux_sym_canonical_domains_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1577),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1577),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1577),
    [aux_sym_certificate_file_token1] = ACTIONS(1577),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1577),
    [aux_sym_channel_timeout_token1] = ACTIONS(1577),
    [aux_sym_check_host_ip_token1] = ACTIONS(1577),
    [aux_sym_ciphers_token1] = ACTIONS(1577),
    [aux_sym_cipher_token1] = ACTIONS(1579),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1577),
    [aux_sym_compression_token1] = ACTIONS(1577),
    [aux_sym_connection_attempts_token1] = ACTIONS(1577),
    [aux_sym_connect_timeout_token1] = ACTIONS(1577),
    [aux_sym_control_master_token1] = ACTIONS(1577),
    [aux_sym_control_path_token1] = ACTIONS(1577),
    [aux_sym_control_persist_token1] = ACTIONS(1577),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1577),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1577),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1577),
    [aux_sym_escape_char_token1] = ACTIONS(1577),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1577),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1577),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1577),
    [aux_sym_forward_agent_token1] = ACTIONS(1577),
    [aux_sym_forward_x11_token1] = ACTIONS(1579),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1577),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1577),
    [aux_sym_gateway_ports_token1] = ACTIONS(1577),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1577),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1577),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1577),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1577),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1577),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1577),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1577),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1577),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1577),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1577),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1577),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1577),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1577),
    [aux_sym_host_key_alias_token1] = ACTIONS(1577),
    [aux_sym_hostname_token1] = ACTIONS(1577),
    [aux_sym_identities_only_token1] = ACTIONS(1577),
    [aux_sym_identity_agent_token1] = ACTIONS(1577),
    [aux_sym_identity_file_token1] = ACTIONS(1577),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1577),
    [aux_sym_include_token1] = ACTIONS(1577),
    [aux_sym_ip_qos_token1] = ACTIONS(1577),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1577),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1577),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1577),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1577),
    [aux_sym_local_command_token1] = ACTIONS(1577),
    [aux_sym_local_forward_token1] = ACTIONS(1577),
    [aux_sym_log_level_token1] = ACTIONS(1577),
    [aux_sym_log_verbose_token1] = ACTIONS(1577),
    [aux_sym_macs_token1] = ACTIONS(1577),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1577),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1577),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1577),
    [aux_sym_password_authentication_token1] = ACTIONS(1577),
    [aux_sym_permit_local_command_token1] = ACTIONS(1577),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1577),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1577),
    [aux_sym_port_token1] = ACTIONS(1577),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1577),
    [aux_sym_protocol_token1] = ACTIONS(1577),
    [aux_sym_proxy_command_token1] = ACTIONS(1577),
    [aux_sym_proxy_jump_token1] = ACTIONS(1577),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1577),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1577),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1577),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1577),
    [aux_sym_rekey_limit_token1] = ACTIONS(1577),
    [aux_sym_remote_command_token1] = ACTIONS(1577),
    [aux_sym_remote_forward_token1] = ACTIONS(1577),
    [aux_sym_request_tty_token1] = ACTIONS(1577),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1577),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1577),
    [aux_sym_security_key_provider_token1] = ACTIONS(1577),
    [aux_sym_send_env_token1] = ACTIONS(1577),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1577),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1577),
    [aux_sym_session_type_token1] = ACTIONS(1577),
    [aux_sym_set_env_token1] = ACTIONS(1577),
    [aux_sym_stdin_null_token1] = ACTIONS(1577),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1577),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1577),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1577),
    [aux_sym_syslog_facility_token1] = ACTIONS(1577),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1577),
    [aux_sym_keep_alive_token1] = ACTIONS(1577),
    [aux_sym_tag_token1] = ACTIONS(1577),
    [aux_sym_tunnel_token1] = ACTIONS(1579),
    [aux_sym_tunnel_device_token1] = ACTIONS(1577),
    [aux_sym_update_host_keys_token1] = ACTIONS(1577),
    [aux_sym_use_keychain_token1] = ACTIONS(1577),
    [aux_sym_use_roaming_token1] = ACTIONS(1577),
    [aux_sym_user_token1] = ACTIONS(1579),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1577),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1577),
    [aux_sym_visual_host_key_token1] = ACTIONS(1577),
    [aux_sym_xauth_location_token1] = ACTIONS(1577),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1393),
    [aux_sym_match_token1] = ACTIONS(1391),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1391),
    [aux_sym_address_family_token1] = ACTIONS(1391),
    [aux_sym_batch_mode_token1] = ACTIONS(1391),
    [aux_sym_bind_address_token1] = ACTIONS(1391),
    [aux_sym_bind_interface_token1] = ACTIONS(1391),
    [aux_sym_canonical_domains_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1391),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1391),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1391),
    [aux_sym_certificate_file_token1] = ACTIONS(1391),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1391),
    [aux_sym_channel_timeout_token1] = ACTIONS(1391),
    [aux_sym_check_host_ip_token1] = ACTIONS(1391),
    [aux_sym_ciphers_token1] = ACTIONS(1391),
    [aux_sym_cipher_token1] = ACTIONS(1393),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1391),
    [aux_sym_compression_token1] = ACTIONS(1391),
    [aux_sym_connection_attempts_token1] = ACTIONS(1391),
    [aux_sym_connect_timeout_token1] = ACTIONS(1391),
    [aux_sym_control_master_token1] = ACTIONS(1391),
    [aux_sym_control_path_token1] = ACTIONS(1391),
    [aux_sym_control_persist_token1] = ACTIONS(1391),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1391),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1391),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1391),
    [aux_sym_escape_char_token1] = ACTIONS(1391),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1391),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1391),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1391),
    [aux_sym_forward_agent_token1] = ACTIONS(1391),
    [aux_sym_forward_x11_token1] = ACTIONS(1393),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1391),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1391),
    [aux_sym_gateway_ports_token1] = ACTIONS(1391),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1391),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1391),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1391),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1391),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1391),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1391),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1391),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1391),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1391),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1391),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1391),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1391),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1391),
    [aux_sym_host_key_alias_token1] = ACTIONS(1391),
    [aux_sym_hostname_token1] = ACTIONS(1391),
    [aux_sym_identities_only_token1] = ACTIONS(1391),
    [aux_sym_identity_agent_token1] = ACTIONS(1391),
    [aux_sym_identity_file_token1] = ACTIONS(1391),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1391),
    [aux_sym_include_token1] = ACTIONS(1391),
    [aux_sym_ip_qos_token1] = ACTIONS(1391),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1391),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1391),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1391),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1391),
    [aux_sym_local_command_token1] = ACTIONS(1391),
    [aux_sym_local_forward_token1] = ACTIONS(1391),
    [aux_sym_log_level_token1] = ACTIONS(1391),
    [aux_sym_log_verbose_token1] = ACTIONS(1391),
    [aux_sym_macs_token1] = ACTIONS(1391),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1391),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1391),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1391),
    [aux_sym_password_authentication_token1] = ACTIONS(1391),
    [aux_sym_permit_local_command_token1] = ACTIONS(1391),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1391),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1391),
    [aux_sym_port_token1] = ACTIONS(1391),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1391),
    [aux_sym_protocol_token1] = ACTIONS(1391),
    [aux_sym_proxy_command_token1] = ACTIONS(1391),
    [aux_sym_proxy_jump_token1] = ACTIONS(1391),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1391),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1391),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1391),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1391),
    [aux_sym_rekey_limit_token1] = ACTIONS(1391),
    [aux_sym_remote_command_token1] = ACTIONS(1391),
    [aux_sym_remote_forward_token1] = ACTIONS(1391),
    [aux_sym_request_tty_token1] = ACTIONS(1391),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1391),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1391),
    [aux_sym_security_key_provider_token1] = ACTIONS(1391),
    [aux_sym_send_env_token1] = ACTIONS(1391),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1391),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1391),
    [aux_sym_session_type_token1] = ACTIONS(1391),
    [aux_sym_set_env_token1] = ACTIONS(1391),
    [aux_sym_stdin_null_token1] = ACTIONS(1391),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1391),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1391),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1391),
    [aux_sym_syslog_facility_token1] = ACTIONS(1391),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1391),
    [aux_sym_keep_alive_token1] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1391),
    [aux_sym_tunnel_token1] = ACTIONS(1393),
    [aux_sym_tunnel_device_token1] = ACTIONS(1391),
    [aux_sym_update_host_keys_token1] = ACTIONS(1391),
    [aux_sym_use_keychain_token1] = ACTIONS(1391),
    [aux_sym_use_roaming_token1] = ACTIONS(1391),
    [aux_sym_user_token1] = ACTIONS(1393),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1391),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1391),
    [aux_sym_visual_host_key_token1] = ACTIONS(1391),
    [aux_sym_xauth_location_token1] = ACTIONS(1391),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(3563),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(3565),
    [aux_sym_match_token1] = ACTIONS(3563),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(3563),
    [aux_sym_address_family_token1] = ACTIONS(3563),
    [aux_sym_batch_mode_token1] = ACTIONS(3563),
    [aux_sym_bind_address_token1] = ACTIONS(3563),
    [aux_sym_bind_interface_token1] = ACTIONS(3563),
    [aux_sym_canonical_domains_token1] = ACTIONS(3563),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(3563),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(3563),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(3563),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(3563),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(3563),
    [aux_sym_certificate_file_token1] = ACTIONS(3563),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(3563),
    [aux_sym_channel_timeout_token1] = ACTIONS(3563),
    [aux_sym_check_host_ip_token1] = ACTIONS(3563),
    [aux_sym_ciphers_token1] = ACTIONS(3563),
    [aux_sym_cipher_token1] = ACTIONS(3565),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(3563),
    [aux_sym_compression_token1] = ACTIONS(3563),
    [aux_sym_connection_attempts_token1] = ACTIONS(3563),
    [aux_sym_connect_timeout_token1] = ACTIONS(3563),
    [aux_sym_control_master_token1] = ACTIONS(3563),
    [aux_sym_control_path_token1] = ACTIONS(3563),
    [aux_sym_control_persist_token1] = ACTIONS(3563),
    [aux_sym_dynamic_forward_token1] = ACTIONS(3563),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(3563),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(3563),
    [aux_sym_escape_char_token1] = ACTIONS(3563),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(3563),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(3563),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(3563),
    [aux_sym_forward_agent_token1] = ACTIONS(3563),
    [aux_sym_forward_x11_token1] = ACTIONS(3565),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(3563),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(3563),
    [aux_sym_gateway_ports_token1] = ACTIONS(3563),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(3563),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(3563),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(3563),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(3563),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(3563),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(3563),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(3563),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(3563),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(3563),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(3563),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(3563),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(3563),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(3563),
    [aux_sym_host_key_alias_token1] = ACTIONS(3563),
    [aux_sym_hostname_token1] = ACTIONS(3563),
    [aux_sym_identities_only_token1] = ACTIONS(3563),
    [aux_sym_identity_agent_token1] = ACTIONS(3563),
    [aux_sym_identity_file_token1] = ACTIONS(3563),
    [aux_sym_ignore_unknown_token1] = ACTIONS(3563),
    [aux_sym_include_token1] = ACTIONS(3563),
    [aux_sym_ip_qos_token1] = ACTIONS(3563),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(3563),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(3563),
    [aux_sym_kex_algorithms_token1] = ACTIONS(3563),
    [aux_sym_known_hosts_command_token1] = ACTIONS(3563),
    [aux_sym_local_command_token1] = ACTIONS(3563),
    [aux_sym_local_forward_token1] = ACTIONS(3563),
    [aux_sym_log_level_token1] = ACTIONS(3563),
    [aux_sym_log_verbose_token1] = ACTIONS(3563),
    [aux_sym_macs_token1] = ACTIONS(3563),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(3563),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(3563),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(3563),
    [aux_sym_password_authentication_token1] = ACTIONS(3563),
    [aux_sym_permit_local_command_token1] = ACTIONS(3563),
    [aux_sym_permit_remote_open_token1] = ACTIONS(3563),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(3563),
    [aux_sym_port_token1] = ACTIONS(3563),
    [aux_sym_preferred_authentications_token1] = ACTIONS(3563),
    [aux_sym_protocol_token1] = ACTIONS(3563),
    [aux_sym_proxy_command_token1] = ACTIONS(3563),
    [aux_sym_proxy_jump_token1] = ACTIONS(3563),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(3563),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(3563),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(3563),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(3563),
    [aux_sym_rekey_limit_token1] = ACTIONS(3563),
    [aux_sym_remote_command_token1] = ACTIONS(3563),
    [aux_sym_remote_forward_token1] = ACTIONS(3563),
    [aux_sym_request_tty_token1] = ACTIONS(3563),
    [aux_sym_required_rsa_size_token1] = ACTIONS(3563),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(3563),
    [aux_sym_security_key_provider_token1] = ACTIONS(3563),
    [aux_sym_send_env_token1] = ACTIONS(3563),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(3563),
    [aux_sym_server_alive_interval_token1] = ACTIONS(3563),
    [aux_sym_session_type_token1] = ACTIONS(3563),
    [aux_sym_set_env_token1] = ACTIONS(3563),
    [aux_sym_stdin_null_token1] = ACTIONS(3563),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(3563),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(3563),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(3563),
    [aux_sym_syslog_facility_token1] = ACTIONS(3563),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(3563),
    [aux_sym_keep_alive_token1] = ACTIONS(3563),
    [aux_sym_tag_token1] = ACTIONS(3563),
    [aux_sym_tunnel_token1] = ACTIONS(3565),
    [aux_sym_tunnel_device_token1] = ACTIONS(3563),
    [aux_sym_update_host_keys_token1] = ACTIONS(3563),
    [aux_sym_use_keychain_token1] = ACTIONS(3563),
    [aux_sym_use_roaming_token1] = ACTIONS(3563),
    [aux_sym_user_token1] = ACTIONS(3565),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(3563),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(3563),
    [aux_sym_visual_host_key_token1] = ACTIONS(3563),
    [aux_sym_xauth_location_token1] = ACTIONS(3563),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(2293),
    [aux_sym_match_token1] = ACTIONS(2291),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(2291),
    [aux_sym_address_family_token1] = ACTIONS(2291),
    [aux_sym_batch_mode_token1] = ACTIONS(2291),
    [aux_sym_bind_address_token1] = ACTIONS(2291),
    [aux_sym_bind_interface_token1] = ACTIONS(2291),
    [aux_sym_canonical_domains_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(2291),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(2291),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(2291),
    [aux_sym_certificate_file_token1] = ACTIONS(2291),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(2291),
    [aux_sym_channel_timeout_token1] = ACTIONS(2291),
    [aux_sym_check_host_ip_token1] = ACTIONS(2291),
    [aux_sym_ciphers_token1] = ACTIONS(2291),
    [aux_sym_cipher_token1] = ACTIONS(2293),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(2291),
    [aux_sym_compression_token1] = ACTIONS(2291),
    [aux_sym_connection_attempts_token1] = ACTIONS(2291),
    [aux_sym_connect_timeout_token1] = ACTIONS(2291),
    [aux_sym_control_master_token1] = ACTIONS(2291),
    [aux_sym_control_path_token1] = ACTIONS(2291),
    [aux_sym_control_persist_token1] = ACTIONS(2291),
    [aux_sym_dynamic_forward_token1] = ACTIONS(2291),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(2291),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(2291),
    [aux_sym_escape_char_token1] = ACTIONS(2291),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(2291),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(2291),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(2291),
    [aux_sym_forward_agent_token1] = ACTIONS(2291),
    [aux_sym_forward_x11_token1] = ACTIONS(2293),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(2291),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(2291),
    [aux_sym_gateway_ports_token1] = ACTIONS(2291),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(2291),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(2291),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(2291),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(2291),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(2291),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(2291),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(2291),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(2291),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(2291),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(2291),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(2291),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(2291),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(2291),
    [aux_sym_host_key_alias_token1] = ACTIONS(2291),
    [aux_sym_hostname_token1] = ACTIONS(2291),
    [aux_sym_identities_only_token1] = ACTIONS(2291),
    [aux_sym_identity_agent_token1] = ACTIONS(2291),
    [aux_sym_identity_file_token1] = ACTIONS(2291),
    [aux_sym_ignore_unknown_token1] = ACTIONS(2291),
    [aux_sym_include_token1] = ACTIONS(2291),
    [aux_sym_ip_qos_token1] = ACTIONS(2291),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(2291),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(2291),
    [aux_sym_kex_algorithms_token1] = ACTIONS(2291),
    [aux_sym_known_hosts_command_token1] = ACTIONS(2291),
    [aux_sym_local_command_token1] = ACTIONS(2291),
    [aux_sym_local_forward_token1] = ACTIONS(2291),
    [aux_sym_log_level_token1] = ACTIONS(2291),
    [aux_sym_log_verbose_token1] = ACTIONS(2291),
    [aux_sym_macs_token1] = ACTIONS(2291),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(2291),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(2291),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(2291),
    [aux_sym_password_authentication_token1] = ACTIONS(2291),
    [aux_sym_permit_local_command_token1] = ACTIONS(2291),
    [aux_sym_permit_remote_open_token1] = ACTIONS(2291),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(2291),
    [aux_sym_port_token1] = ACTIONS(2291),
    [aux_sym_preferred_authentications_token1] = ACTIONS(2291),
    [aux_sym_protocol_token1] = ACTIONS(2291),
    [aux_sym_proxy_command_token1] = ACTIONS(2291),
    [aux_sym_proxy_jump_token1] = ACTIONS(2291),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(2291),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(2291),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(2291),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(2291),
    [aux_sym_rekey_limit_token1] = ACTIONS(2291),
    [aux_sym_remote_command_token1] = ACTIONS(2291),
    [aux_sym_remote_forward_token1] = ACTIONS(2291),
    [aux_sym_request_tty_token1] = ACTIONS(2291),
    [aux_sym_required_rsa_size_token1] = ACTIONS(2291),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(2291),
    [aux_sym_security_key_provider_token1] = ACTIONS(2291),
    [aux_sym_send_env_token1] = ACTIONS(2291),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(2291),
    [aux_sym_server_alive_interval_token1] = ACTIONS(2291),
    [aux_sym_session_type_token1] = ACTIONS(2291),
    [aux_sym_set_env_token1] = ACTIONS(2291),
    [aux_sym_stdin_null_token1] = ACTIONS(2291),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(2291),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(2291),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(2291),
    [aux_sym_syslog_facility_token1] = ACTIONS(2291),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(2291),
    [aux_sym_keep_alive_token1] = ACTIONS(2291),
    [aux_sym_tag_token1] = ACTIONS(2291),
    [aux_sym_tunnel_token1] = ACTIONS(2293),
    [aux_sym_tunnel_device_token1] = ACTIONS(2291),
    [aux_sym_update_host_keys_token1] = ACTIONS(2291),
    [aux_sym_use_keychain_token1] = ACTIONS(2291),
    [aux_sym_use_roaming_token1] = ACTIONS(2291),
    [aux_sym_user_token1] = ACTIONS(2293),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(2291),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(2291),
    [aux_sym_visual_host_key_token1] = ACTIONS(2291),
    [aux_sym_xauth_location_token1] = ACTIONS(2291),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1667),
    [aux_sym_match_token1] = ACTIONS(1665),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1665),
    [aux_sym_address_family_token1] = ACTIONS(1665),
    [aux_sym_batch_mode_token1] = ACTIONS(1665),
    [aux_sym_bind_address_token1] = ACTIONS(1665),
    [aux_sym_bind_interface_token1] = ACTIONS(1665),
    [aux_sym_canonical_domains_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1665),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1665),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1665),
    [aux_sym_certificate_file_token1] = ACTIONS(1665),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1665),
    [aux_sym_channel_timeout_token1] = ACTIONS(1665),
    [aux_sym_check_host_ip_token1] = ACTIONS(1665),
    [aux_sym_ciphers_token1] = ACTIONS(1665),
    [aux_sym_cipher_token1] = ACTIONS(1667),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1665),
    [aux_sym_compression_token1] = ACTIONS(1665),
    [aux_sym_connection_attempts_token1] = ACTIONS(1665),
    [aux_sym_connect_timeout_token1] = ACTIONS(1665),
    [aux_sym_control_master_token1] = ACTIONS(1665),
    [aux_sym_control_path_token1] = ACTIONS(1665),
    [aux_sym_control_persist_token1] = ACTIONS(1665),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1665),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1665),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1665),
    [aux_sym_escape_char_token1] = ACTIONS(1665),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1665),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1665),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1665),
    [aux_sym_forward_agent_token1] = ACTIONS(1665),
    [aux_sym_forward_x11_token1] = ACTIONS(1667),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1665),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1665),
    [aux_sym_gateway_ports_token1] = ACTIONS(1665),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1665),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1665),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1665),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1665),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1665),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1665),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1665),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1665),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1665),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1665),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1665),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1665),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1665),
    [aux_sym_host_key_alias_token1] = ACTIONS(1665),
    [aux_sym_hostname_token1] = ACTIONS(1665),
    [aux_sym_identities_only_token1] = ACTIONS(1665),
    [aux_sym_identity_agent_token1] = ACTIONS(1665),
    [aux_sym_identity_file_token1] = ACTIONS(1665),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1665),
    [aux_sym_include_token1] = ACTIONS(1665),
    [aux_sym_ip_qos_token1] = ACTIONS(1665),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1665),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1665),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1665),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1665),
    [aux_sym_local_command_token1] = ACTIONS(1665),
    [aux_sym_local_forward_token1] = ACTIONS(1665),
    [aux_sym_log_level_token1] = ACTIONS(1665),
    [aux_sym_log_verbose_token1] = ACTIONS(1665),
    [aux_sym_macs_token1] = ACTIONS(1665),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1665),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1665),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1665),
    [aux_sym_password_authentication_token1] = ACTIONS(1665),
    [aux_sym_permit_local_command_token1] = ACTIONS(1665),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1665),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1665),
    [aux_sym_port_token1] = ACTIONS(1665),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1665),
    [aux_sym_protocol_token1] = ACTIONS(1665),
    [aux_sym_proxy_command_token1] = ACTIONS(1665),
    [aux_sym_proxy_jump_token1] = ACTIONS(1665),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1665),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1665),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1665),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1665),
    [aux_sym_rekey_limit_token1] = ACTIONS(1665),
    [aux_sym_remote_command_token1] = ACTIONS(1665),
    [aux_sym_remote_forward_token1] = ACTIONS(1665),
    [aux_sym_request_tty_token1] = ACTIONS(1665),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1665),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1665),
    [aux_sym_security_key_provider_token1] = ACTIONS(1665),
    [aux_sym_send_env_token1] = ACTIONS(1665),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1665),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1665),
    [aux_sym_session_type_token1] = ACTIONS(1665),
    [aux_sym_set_env_token1] = ACTIONS(1665),
    [aux_sym_stdin_null_token1] = ACTIONS(1665),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1665),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1665),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1665),
    [aux_sym_syslog_facility_token1] = ACTIONS(1665),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1665),
    [aux_sym_keep_alive_token1] = ACTIONS(1665),
    [aux_sym_tag_token1] = ACTIONS(1665),
    [aux_sym_tunnel_token1] = ACTIONS(1667),
    [aux_sym_tunnel_device_token1] = ACTIONS(1665),
    [aux_sym_update_host_keys_token1] = ACTIONS(1665),
    [aux_sym_use_keychain_token1] = ACTIONS(1665),
    [aux_sym_use_roaming_token1] = ACTIONS(1665),
    [aux_sym_user_token1] = ACTIONS(1667),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1665),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1665),
    [aux_sym_visual_host_key_token1] = ACTIONS(1665),
    [aux_sym_xauth_location_token1] = ACTIONS(1665),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1955),
    [aux_sym_match_token1] = ACTIONS(1953),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1953),
    [aux_sym_address_family_token1] = ACTIONS(1953),
    [aux_sym_batch_mode_token1] = ACTIONS(1953),
    [aux_sym_bind_address_token1] = ACTIONS(1953),
    [aux_sym_bind_interface_token1] = ACTIONS(1953),
    [aux_sym_canonical_domains_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1953),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1953),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1953),
    [aux_sym_certificate_file_token1] = ACTIONS(1953),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1953),
    [aux_sym_channel_timeout_token1] = ACTIONS(1953),
    [aux_sym_check_host_ip_token1] = ACTIONS(1953),
    [aux_sym_ciphers_token1] = ACTIONS(1953),
    [aux_sym_cipher_token1] = ACTIONS(1955),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1953),
    [aux_sym_compression_token1] = ACTIONS(1953),
    [aux_sym_connection_attempts_token1] = ACTIONS(1953),
    [aux_sym_connect_timeout_token1] = ACTIONS(1953),
    [aux_sym_control_master_token1] = ACTIONS(1953),
    [aux_sym_control_path_token1] = ACTIONS(1953),
    [aux_sym_control_persist_token1] = ACTIONS(1953),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1953),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1953),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1953),
    [aux_sym_escape_char_token1] = ACTIONS(1953),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1953),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1953),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1953),
    [aux_sym_forward_agent_token1] = ACTIONS(1953),
    [aux_sym_forward_x11_token1] = ACTIONS(1955),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1953),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1953),
    [aux_sym_gateway_ports_token1] = ACTIONS(1953),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1953),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1953),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1953),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1953),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1953),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1953),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1953),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1953),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1953),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1953),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1953),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1953),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1953),
    [aux_sym_host_key_alias_token1] = ACTIONS(1953),
    [aux_sym_hostname_token1] = ACTIONS(1953),
    [aux_sym_identities_only_token1] = ACTIONS(1953),
    [aux_sym_identity_agent_token1] = ACTIONS(1953),
    [aux_sym_identity_file_token1] = ACTIONS(1953),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1953),
    [aux_sym_include_token1] = ACTIONS(1953),
    [aux_sym_ip_qos_token1] = ACTIONS(1953),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1953),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1953),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1953),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1953),
    [aux_sym_local_command_token1] = ACTIONS(1953),
    [aux_sym_local_forward_token1] = ACTIONS(1953),
    [aux_sym_log_level_token1] = ACTIONS(1953),
    [aux_sym_log_verbose_token1] = ACTIONS(1953),
    [aux_sym_macs_token1] = ACTIONS(1953),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1953),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1953),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1953),
    [aux_sym_password_authentication_token1] = ACTIONS(1953),
    [aux_sym_permit_local_command_token1] = ACTIONS(1953),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1953),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1953),
    [aux_sym_port_token1] = ACTIONS(1953),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1953),
    [aux_sym_protocol_token1] = ACTIONS(1953),
    [aux_sym_proxy_command_token1] = ACTIONS(1953),
    [aux_sym_proxy_jump_token1] = ACTIONS(1953),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1953),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1953),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1953),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1953),
    [aux_sym_rekey_limit_token1] = ACTIONS(1953),
    [aux_sym_remote_command_token1] = ACTIONS(1953),
    [aux_sym_remote_forward_token1] = ACTIONS(1953),
    [aux_sym_request_tty_token1] = ACTIONS(1953),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1953),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1953),
    [aux_sym_security_key_provider_token1] = ACTIONS(1953),
    [aux_sym_send_env_token1] = ACTIONS(1953),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1953),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1953),
    [aux_sym_session_type_token1] = ACTIONS(1953),
    [aux_sym_set_env_token1] = ACTIONS(1953),
    [aux_sym_stdin_null_token1] = ACTIONS(1953),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1953),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1953),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1953),
    [aux_sym_syslog_facility_token1] = ACTIONS(1953),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1953),
    [aux_sym_keep_alive_token1] = ACTIONS(1953),
    [aux_sym_tag_token1] = ACTIONS(1953),
    [aux_sym_tunnel_token1] = ACTIONS(1955),
    [aux_sym_tunnel_device_token1] = ACTIONS(1953),
    [aux_sym_update_host_keys_token1] = ACTIONS(1953),
    [aux_sym_use_keychain_token1] = ACTIONS(1953),
    [aux_sym_use_roaming_token1] = ACTIONS(1953),
    [aux_sym_user_token1] = ACTIONS(1955),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1953),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1953),
    [aux_sym_visual_host_key_token1] = ACTIONS(1953),
    [aux_sym_xauth_location_token1] = ACTIONS(1953),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(1941),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1943),
    [aux_sym_match_token1] = ACTIONS(1941),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1941),
    [aux_sym_address_family_token1] = ACTIONS(1941),
    [aux_sym_batch_mode_token1] = ACTIONS(1941),
    [aux_sym_bind_address_token1] = ACTIONS(1941),
    [aux_sym_bind_interface_token1] = ACTIONS(1941),
    [aux_sym_canonical_domains_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1941),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1941),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1941),
    [aux_sym_certificate_file_token1] = ACTIONS(1941),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1941),
    [aux_sym_channel_timeout_token1] = ACTIONS(1941),
    [aux_sym_check_host_ip_token1] = ACTIONS(1941),
    [aux_sym_ciphers_token1] = ACTIONS(1941),
    [aux_sym_cipher_token1] = ACTIONS(1943),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1941),
    [aux_sym_compression_token1] = ACTIONS(1941),
    [aux_sym_connection_attempts_token1] = ACTIONS(1941),
    [aux_sym_connect_timeout_token1] = ACTIONS(1941),
    [aux_sym_control_master_token1] = ACTIONS(1941),
    [aux_sym_control_path_token1] = ACTIONS(1941),
    [aux_sym_control_persist_token1] = ACTIONS(1941),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1941),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1941),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1941),
    [aux_sym_escape_char_token1] = ACTIONS(1941),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1941),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1941),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1941),
    [aux_sym_forward_agent_token1] = ACTIONS(1941),
    [aux_sym_forward_x11_token1] = ACTIONS(1943),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1941),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1941),
    [aux_sym_gateway_ports_token1] = ACTIONS(1941),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1941),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1941),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1941),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1941),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1941),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1941),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1941),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1941),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1941),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1941),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1941),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1941),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1941),
    [aux_sym_host_key_alias_token1] = ACTIONS(1941),
    [aux_sym_hostname_token1] = ACTIONS(1941),
    [aux_sym_identities_only_token1] = ACTIONS(1941),
    [aux_sym_identity_agent_token1] = ACTIONS(1941),
    [aux_sym_identity_file_token1] = ACTIONS(1941),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1941),
    [aux_sym_include_token1] = ACTIONS(1941),
    [aux_sym_ip_qos_token1] = ACTIONS(1941),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1941),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1941),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1941),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1941),
    [aux_sym_local_command_token1] = ACTIONS(1941),
    [aux_sym_local_forward_token1] = ACTIONS(1941),
    [aux_sym_log_level_token1] = ACTIONS(1941),
    [aux_sym_log_verbose_token1] = ACTIONS(1941),
    [aux_sym_macs_token1] = ACTIONS(1941),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1941),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1941),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1941),
    [aux_sym_password_authentication_token1] = ACTIONS(1941),
    [aux_sym_permit_local_command_token1] = ACTIONS(1941),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1941),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1941),
    [aux_sym_port_token1] = ACTIONS(1941),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1941),
    [aux_sym_protocol_token1] = ACTIONS(1941),
    [aux_sym_proxy_command_token1] = ACTIONS(1941),
    [aux_sym_proxy_jump_token1] = ACTIONS(1941),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1941),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1941),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1941),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1941),
    [aux_sym_rekey_limit_token1] = ACTIONS(1941),
    [aux_sym_remote_command_token1] = ACTIONS(1941),
    [aux_sym_remote_forward_token1] = ACTIONS(1941),
    [aux_sym_request_tty_token1] = ACTIONS(1941),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1941),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1941),
    [aux_sym_security_key_provider_token1] = ACTIONS(1941),
    [aux_sym_send_env_token1] = ACTIONS(1941),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1941),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1941),
    [aux_sym_session_type_token1] = ACTIONS(1941),
    [aux_sym_set_env_token1] = ACTIONS(1941),
    [aux_sym_stdin_null_token1] = ACTIONS(1941),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1941),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1941),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1941),
    [aux_sym_syslog_facility_token1] = ACTIONS(1941),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1941),
    [aux_sym_keep_alive_token1] = ACTIONS(1941),
    [aux_sym_tag_token1] = ACTIONS(1941),
    [aux_sym_tunnel_token1] = ACTIONS(1943),
    [aux_sym_tunnel_device_token1] = ACTIONS(1941),
    [aux_sym_update_host_keys_token1] = ACTIONS(1941),
    [aux_sym_use_keychain_token1] = ACTIONS(1941),
    [aux_sym_use_roaming_token1] = ACTIONS(1941),
    [aux_sym_user_token1] = ACTIONS(1943),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1941),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1941),
    [aux_sym_visual_host_key_token1] = ACTIONS(1941),
    [aux_sym_xauth_location_token1] = ACTIONS(1941),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1871),
    [aux_sym_match_token1] = ACTIONS(1869),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1869),
    [aux_sym_address_family_token1] = ACTIONS(1869),
    [aux_sym_batch_mode_token1] = ACTIONS(1869),
    [aux_sym_bind_address_token1] = ACTIONS(1869),
    [aux_sym_bind_interface_token1] = ACTIONS(1869),
    [aux_sym_canonical_domains_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1869),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1869),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1869),
    [aux_sym_certificate_file_token1] = ACTIONS(1869),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1869),
    [aux_sym_channel_timeout_token1] = ACTIONS(1869),
    [aux_sym_check_host_ip_token1] = ACTIONS(1869),
    [aux_sym_ciphers_token1] = ACTIONS(1869),
    [aux_sym_cipher_token1] = ACTIONS(1871),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1869),
    [aux_sym_compression_token1] = ACTIONS(1869),
    [aux_sym_connection_attempts_token1] = ACTIONS(1869),
    [aux_sym_connect_timeout_token1] = ACTIONS(1869),
    [aux_sym_control_master_token1] = ACTIONS(1869),
    [aux_sym_control_path_token1] = ACTIONS(1869),
    [aux_sym_control_persist_token1] = ACTIONS(1869),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1869),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1869),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1869),
    [aux_sym_escape_char_token1] = ACTIONS(1869),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1869),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1869),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1869),
    [aux_sym_forward_agent_token1] = ACTIONS(1869),
    [aux_sym_forward_x11_token1] = ACTIONS(1871),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1869),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1869),
    [aux_sym_gateway_ports_token1] = ACTIONS(1869),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1869),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1869),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1869),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1869),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1869),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1869),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1869),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1869),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1869),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1869),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1869),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1869),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1869),
    [aux_sym_host_key_alias_token1] = ACTIONS(1869),
    [aux_sym_hostname_token1] = ACTIONS(1869),
    [aux_sym_identities_only_token1] = ACTIONS(1869),
    [aux_sym_identity_agent_token1] = ACTIONS(1869),
    [aux_sym_identity_file_token1] = ACTIONS(1869),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1869),
    [aux_sym_include_token1] = ACTIONS(1869),
    [aux_sym_ip_qos_token1] = ACTIONS(1869),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1869),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1869),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1869),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1869),
    [aux_sym_local_command_token1] = ACTIONS(1869),
    [aux_sym_local_forward_token1] = ACTIONS(1869),
    [aux_sym_log_level_token1] = ACTIONS(1869),
    [aux_sym_log_verbose_token1] = ACTIONS(1869),
    [aux_sym_macs_token1] = ACTIONS(1869),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1869),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1869),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1869),
    [aux_sym_password_authentication_token1] = ACTIONS(1869),
    [aux_sym_permit_local_command_token1] = ACTIONS(1869),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1869),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1869),
    [aux_sym_port_token1] = ACTIONS(1869),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1869),
    [aux_sym_protocol_token1] = ACTIONS(1869),
    [aux_sym_proxy_command_token1] = ACTIONS(1869),
    [aux_sym_proxy_jump_token1] = ACTIONS(1869),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1869),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1869),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1869),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1869),
    [aux_sym_rekey_limit_token1] = ACTIONS(1869),
    [aux_sym_remote_command_token1] = ACTIONS(1869),
    [aux_sym_remote_forward_token1] = ACTIONS(1869),
    [aux_sym_request_tty_token1] = ACTIONS(1869),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1869),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1869),
    [aux_sym_security_key_provider_token1] = ACTIONS(1869),
    [aux_sym_send_env_token1] = ACTIONS(1869),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1869),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1869),
    [aux_sym_session_type_token1] = ACTIONS(1869),
    [aux_sym_set_env_token1] = ACTIONS(1869),
    [aux_sym_stdin_null_token1] = ACTIONS(1869),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1869),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1869),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1869),
    [aux_sym_syslog_facility_token1] = ACTIONS(1869),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1869),
    [aux_sym_keep_alive_token1] = ACTIONS(1869),
    [aux_sym_tag_token1] = ACTIONS(1869),
    [aux_sym_tunnel_token1] = ACTIONS(1871),
    [aux_sym_tunnel_device_token1] = ACTIONS(1869),
    [aux_sym_update_host_keys_token1] = ACTIONS(1869),
    [aux_sym_use_keychain_token1] = ACTIONS(1869),
    [aux_sym_use_roaming_token1] = ACTIONS(1869),
    [aux_sym_user_token1] = ACTIONS(1871),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1869),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1869),
    [aux_sym_visual_host_key_token1] = ACTIONS(1869),
    [aux_sym_xauth_location_token1] = ACTIONS(1869),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1977),
    [aux_sym_match_token1] = ACTIONS(1975),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1975),
    [aux_sym_address_family_token1] = ACTIONS(1975),
    [aux_sym_batch_mode_token1] = ACTIONS(1975),
    [aux_sym_bind_address_token1] = ACTIONS(1975),
    [aux_sym_bind_interface_token1] = ACTIONS(1975),
    [aux_sym_canonical_domains_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1975),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1975),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1975),
    [aux_sym_certificate_file_token1] = ACTIONS(1975),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1975),
    [aux_sym_channel_timeout_token1] = ACTIONS(1975),
    [aux_sym_check_host_ip_token1] = ACTIONS(1975),
    [aux_sym_ciphers_token1] = ACTIONS(1975),
    [aux_sym_cipher_token1] = ACTIONS(1977),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1975),
    [aux_sym_compression_token1] = ACTIONS(1975),
    [aux_sym_connection_attempts_token1] = ACTIONS(1975),
    [aux_sym_connect_timeout_token1] = ACTIONS(1975),
    [aux_sym_control_master_token1] = ACTIONS(1975),
    [aux_sym_control_path_token1] = ACTIONS(1975),
    [aux_sym_control_persist_token1] = ACTIONS(1975),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1975),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1975),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1975),
    [aux_sym_escape_char_token1] = ACTIONS(1975),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1975),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1975),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1975),
    [aux_sym_forward_agent_token1] = ACTIONS(1975),
    [aux_sym_forward_x11_token1] = ACTIONS(1977),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1975),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1975),
    [aux_sym_gateway_ports_token1] = ACTIONS(1975),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1975),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1975),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1975),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1975),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1975),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1975),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1975),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1975),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1975),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1975),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1975),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1975),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1975),
    [aux_sym_host_key_alias_token1] = ACTIONS(1975),
    [aux_sym_hostname_token1] = ACTIONS(1975),
    [aux_sym_identities_only_token1] = ACTIONS(1975),
    [aux_sym_identity_agent_token1] = ACTIONS(1975),
    [aux_sym_identity_file_token1] = ACTIONS(1975),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1975),
    [aux_sym_include_token1] = ACTIONS(1975),
    [aux_sym_ip_qos_token1] = ACTIONS(1975),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1975),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1975),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1975),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1975),
    [aux_sym_local_command_token1] = ACTIONS(1975),
    [aux_sym_local_forward_token1] = ACTIONS(1975),
    [aux_sym_log_level_token1] = ACTIONS(1975),
    [aux_sym_log_verbose_token1] = ACTIONS(1975),
    [aux_sym_macs_token1] = ACTIONS(1975),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1975),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1975),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1975),
    [aux_sym_password_authentication_token1] = ACTIONS(1975),
    [aux_sym_permit_local_command_token1] = ACTIONS(1975),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1975),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1975),
    [aux_sym_port_token1] = ACTIONS(1975),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1975),
    [aux_sym_protocol_token1] = ACTIONS(1975),
    [aux_sym_proxy_command_token1] = ACTIONS(1975),
    [aux_sym_proxy_jump_token1] = ACTIONS(1975),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1975),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1975),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1975),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1975),
    [aux_sym_rekey_limit_token1] = ACTIONS(1975),
    [aux_sym_remote_command_token1] = ACTIONS(1975),
    [aux_sym_remote_forward_token1] = ACTIONS(1975),
    [aux_sym_request_tty_token1] = ACTIONS(1975),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1975),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1975),
    [aux_sym_security_key_provider_token1] = ACTIONS(1975),
    [aux_sym_send_env_token1] = ACTIONS(1975),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1975),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1975),
    [aux_sym_session_type_token1] = ACTIONS(1975),
    [aux_sym_set_env_token1] = ACTIONS(1975),
    [aux_sym_stdin_null_token1] = ACTIONS(1975),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1975),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1975),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1975),
    [aux_sym_syslog_facility_token1] = ACTIONS(1975),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1975),
    [aux_sym_keep_alive_token1] = ACTIONS(1975),
    [aux_sym_tag_token1] = ACTIONS(1975),
    [aux_sym_tunnel_token1] = ACTIONS(1977),
    [aux_sym_tunnel_device_token1] = ACTIONS(1975),
    [aux_sym_update_host_keys_token1] = ACTIONS(1975),
    [aux_sym_use_keychain_token1] = ACTIONS(1975),
    [aux_sym_use_roaming_token1] = ACTIONS(1975),
    [aux_sym_user_token1] = ACTIONS(1977),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1975),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1975),
    [aux_sym_visual_host_key_token1] = ACTIONS(1975),
    [aux_sym_xauth_location_token1] = ACTIONS(1975),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(631),
    [aux_sym_match_token1] = ACTIONS(629),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(629),
    [aux_sym_address_family_token1] = ACTIONS(629),
    [aux_sym_batch_mode_token1] = ACTIONS(629),
    [aux_sym_bind_address_token1] = ACTIONS(629),
    [aux_sym_bind_interface_token1] = ACTIONS(629),
    [aux_sym_canonical_domains_token1] = ACTIONS(629),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(629),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(629),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(629),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(629),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(629),
    [aux_sym_certificate_file_token1] = ACTIONS(629),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(629),
    [aux_sym_channel_timeout_token1] = ACTIONS(629),
    [aux_sym_check_host_ip_token1] = ACTIONS(629),
    [aux_sym_ciphers_token1] = ACTIONS(629),
    [aux_sym_cipher_token1] = ACTIONS(631),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(629),
    [aux_sym_compression_token1] = ACTIONS(629),
    [aux_sym_connection_attempts_token1] = ACTIONS(629),
    [aux_sym_connect_timeout_token1] = ACTIONS(629),
    [aux_sym_control_master_token1] = ACTIONS(629),
    [aux_sym_control_path_token1] = ACTIONS(629),
    [aux_sym_control_persist_token1] = ACTIONS(629),
    [aux_sym_dynamic_forward_token1] = ACTIONS(629),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(629),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(629),
    [aux_sym_escape_char_token1] = ACTIONS(629),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(629),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(629),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(629),
    [aux_sym_forward_agent_token1] = ACTIONS(629),
    [aux_sym_forward_x11_token1] = ACTIONS(631),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(629),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(629),
    [aux_sym_gateway_ports_token1] = ACTIONS(629),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(629),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(629),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(629),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(629),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(629),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(629),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(629),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(629),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(629),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(629),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(629),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(629),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(629),
    [aux_sym_host_key_alias_token1] = ACTIONS(629),
    [aux_sym_hostname_token1] = ACTIONS(629),
    [aux_sym_identities_only_token1] = ACTIONS(629),
    [aux_sym_identity_agent_token1] = ACTIONS(629),
    [aux_sym_identity_file_token1] = ACTIONS(629),
    [aux_sym_ignore_unknown_token1] = ACTIONS(629),
    [aux_sym_include_token1] = ACTIONS(629),
    [aux_sym_ip_qos_token1] = ACTIONS(629),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(629),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(629),
    [aux_sym_kex_algorithms_token1] = ACTIONS(629),
    [aux_sym_known_hosts_command_token1] = ACTIONS(629),
    [aux_sym_local_command_token1] = ACTIONS(629),
    [aux_sym_local_forward_token1] = ACTIONS(629),
    [aux_sym_log_level_token1] = ACTIONS(629),
    [aux_sym_log_verbose_token1] = ACTIONS(629),
    [aux_sym_macs_token1] = ACTIONS(629),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(629),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(629),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(629),
    [aux_sym_password_authentication_token1] = ACTIONS(629),
    [aux_sym_permit_local_command_token1] = ACTIONS(629),
    [aux_sym_permit_remote_open_token1] = ACTIONS(629),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(629),
    [aux_sym_port_token1] = ACTIONS(629),
    [aux_sym_preferred_authentications_token1] = ACTIONS(629),
    [aux_sym_protocol_token1] = ACTIONS(629),
    [aux_sym_proxy_command_token1] = ACTIONS(629),
    [aux_sym_proxy_jump_token1] = ACTIONS(629),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(629),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(629),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(629),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(629),
    [aux_sym_rekey_limit_token1] = ACTIONS(629),
    [aux_sym_remote_command_token1] = ACTIONS(629),
    [aux_sym_remote_forward_token1] = ACTIONS(629),
    [aux_sym_request_tty_token1] = ACTIONS(629),
    [aux_sym_required_rsa_size_token1] = ACTIONS(629),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(629),
    [aux_sym_security_key_provider_token1] = ACTIONS(629),
    [aux_sym_send_env_token1] = ACTIONS(629),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(629),
    [aux_sym_server_alive_interval_token1] = ACTIONS(629),
    [aux_sym_session_type_token1] = ACTIONS(629),
    [aux_sym_set_env_token1] = ACTIONS(629),
    [aux_sym_stdin_null_token1] = ACTIONS(629),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(629),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(629),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(629),
    [aux_sym_syslog_facility_token1] = ACTIONS(629),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(629),
    [aux_sym_keep_alive_token1] = ACTIONS(629),
    [aux_sym_tag_token1] = ACTIONS(629),
    [aux_sym_tunnel_token1] = ACTIONS(631),
    [aux_sym_tunnel_device_token1] = ACTIONS(629),
    [aux_sym_update_host_keys_token1] = ACTIONS(629),
    [aux_sym_use_keychain_token1] = ACTIONS(629),
    [aux_sym_use_roaming_token1] = ACTIONS(629),
    [aux_sym_user_token1] = ACTIONS(631),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(629),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(629),
    [aux_sym_visual_host_key_token1] = ACTIONS(629),
    [aux_sym_xauth_location_token1] = ACTIONS(629),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(637),
    [aux_sym_match_token1] = ACTIONS(635),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(635),
    [aux_sym_address_family_token1] = ACTIONS(635),
    [aux_sym_batch_mode_token1] = ACTIONS(635),
    [aux_sym_bind_address_token1] = ACTIONS(635),
    [aux_sym_bind_interface_token1] = ACTIONS(635),
    [aux_sym_canonical_domains_token1] = ACTIONS(635),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(635),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(635),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(635),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(635),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(635),
    [aux_sym_certificate_file_token1] = ACTIONS(635),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(635),
    [aux_sym_channel_timeout_token1] = ACTIONS(635),
    [aux_sym_check_host_ip_token1] = ACTIONS(635),
    [aux_sym_ciphers_token1] = ACTIONS(635),
    [aux_sym_cipher_token1] = ACTIONS(637),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(635),
    [aux_sym_compression_token1] = ACTIONS(635),
    [aux_sym_connection_attempts_token1] = ACTIONS(635),
    [aux_sym_connect_timeout_token1] = ACTIONS(635),
    [aux_sym_control_master_token1] = ACTIONS(635),
    [aux_sym_control_path_token1] = ACTIONS(635),
    [aux_sym_control_persist_token1] = ACTIONS(635),
    [aux_sym_dynamic_forward_token1] = ACTIONS(635),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(635),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(635),
    [aux_sym_escape_char_token1] = ACTIONS(635),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(635),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(635),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(635),
    [aux_sym_forward_agent_token1] = ACTIONS(635),
    [aux_sym_forward_x11_token1] = ACTIONS(637),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(635),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(635),
    [aux_sym_gateway_ports_token1] = ACTIONS(635),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(635),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(635),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(635),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(635),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(635),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(635),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(635),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(635),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(635),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(635),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(635),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(635),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(635),
    [aux_sym_host_key_alias_token1] = ACTIONS(635),
    [aux_sym_hostname_token1] = ACTIONS(635),
    [aux_sym_identities_only_token1] = ACTIONS(635),
    [aux_sym_identity_agent_token1] = ACTIONS(635),
    [aux_sym_identity_file_token1] = ACTIONS(635),
    [aux_sym_ignore_unknown_token1] = ACTIONS(635),
    [aux_sym_include_token1] = ACTIONS(635),
    [aux_sym_ip_qos_token1] = ACTIONS(635),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(635),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(635),
    [aux_sym_kex_algorithms_token1] = ACTIONS(635),
    [aux_sym_known_hosts_command_token1] = ACTIONS(635),
    [aux_sym_local_command_token1] = ACTIONS(635),
    [aux_sym_local_forward_token1] = ACTIONS(635),
    [aux_sym_log_level_token1] = ACTIONS(635),
    [aux_sym_log_verbose_token1] = ACTIONS(635),
    [aux_sym_macs_token1] = ACTIONS(635),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(635),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(635),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(635),
    [aux_sym_password_authentication_token1] = ACTIONS(635),
    [aux_sym_permit_local_command_token1] = ACTIONS(635),
    [aux_sym_permit_remote_open_token1] = ACTIONS(635),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(635),
    [aux_sym_port_token1] = ACTIONS(635),
    [aux_sym_preferred_authentications_token1] = ACTIONS(635),
    [aux_sym_protocol_token1] = ACTIONS(635),
    [aux_sym_proxy_command_token1] = ACTIONS(635),
    [aux_sym_proxy_jump_token1] = ACTIONS(635),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(635),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(635),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(635),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(635),
    [aux_sym_rekey_limit_token1] = ACTIONS(635),
    [aux_sym_remote_command_token1] = ACTIONS(635),
    [aux_sym_remote_forward_token1] = ACTIONS(635),
    [aux_sym_request_tty_token1] = ACTIONS(635),
    [aux_sym_required_rsa_size_token1] = ACTIONS(635),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(635),
    [aux_sym_security_key_provider_token1] = ACTIONS(635),
    [aux_sym_send_env_token1] = ACTIONS(635),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(635),
    [aux_sym_server_alive_interval_token1] = ACTIONS(635),
    [aux_sym_session_type_token1] = ACTIONS(635),
    [aux_sym_set_env_token1] = ACTIONS(635),
    [aux_sym_stdin_null_token1] = ACTIONS(635),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(635),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(635),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(635),
    [aux_sym_syslog_facility_token1] = ACTIONS(635),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(635),
    [aux_sym_keep_alive_token1] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(635),
    [aux_sym_tunnel_token1] = ACTIONS(637),
    [aux_sym_tunnel_device_token1] = ACTIONS(635),
    [aux_sym_update_host_keys_token1] = ACTIONS(635),
    [aux_sym_use_keychain_token1] = ACTIONS(635),
    [aux_sym_use_roaming_token1] = ACTIONS(635),
    [aux_sym_user_token1] = ACTIONS(637),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(635),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(635),
    [aux_sym_visual_host_key_token1] = ACTIONS(635),
    [aux_sym_xauth_location_token1] = ACTIONS(635),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1399),
    [aux_sym_match_token1] = ACTIONS(1397),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1397),
    [aux_sym_address_family_token1] = ACTIONS(1397),
    [aux_sym_batch_mode_token1] = ACTIONS(1397),
    [aux_sym_bind_address_token1] = ACTIONS(1397),
    [aux_sym_bind_interface_token1] = ACTIONS(1397),
    [aux_sym_canonical_domains_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1397),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1397),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1397),
    [aux_sym_certificate_file_token1] = ACTIONS(1397),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1397),
    [aux_sym_channel_timeout_token1] = ACTIONS(1397),
    [aux_sym_check_host_ip_token1] = ACTIONS(1397),
    [aux_sym_ciphers_token1] = ACTIONS(1397),
    [aux_sym_cipher_token1] = ACTIONS(1399),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1397),
    [aux_sym_compression_token1] = ACTIONS(1397),
    [aux_sym_connection_attempts_token1] = ACTIONS(1397),
    [aux_sym_connect_timeout_token1] = ACTIONS(1397),
    [aux_sym_control_master_token1] = ACTIONS(1397),
    [aux_sym_control_path_token1] = ACTIONS(1397),
    [aux_sym_control_persist_token1] = ACTIONS(1397),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1397),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1397),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1397),
    [aux_sym_escape_char_token1] = ACTIONS(1397),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1397),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1397),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1397),
    [aux_sym_forward_agent_token1] = ACTIONS(1397),
    [aux_sym_forward_x11_token1] = ACTIONS(1399),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1397),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1397),
    [aux_sym_gateway_ports_token1] = ACTIONS(1397),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1397),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1397),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1397),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1397),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1397),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1397),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1397),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1397),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1397),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1397),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1397),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1397),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1397),
    [aux_sym_host_key_alias_token1] = ACTIONS(1397),
    [aux_sym_hostname_token1] = ACTIONS(1397),
    [aux_sym_identities_only_token1] = ACTIONS(1397),
    [aux_sym_identity_agent_token1] = ACTIONS(1397),
    [aux_sym_identity_file_token1] = ACTIONS(1397),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1397),
    [aux_sym_include_token1] = ACTIONS(1397),
    [aux_sym_ip_qos_token1] = ACTIONS(1397),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1397),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1397),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1397),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1397),
    [aux_sym_local_command_token1] = ACTIONS(1397),
    [aux_sym_local_forward_token1] = ACTIONS(1397),
    [aux_sym_log_level_token1] = ACTIONS(1397),
    [aux_sym_log_verbose_token1] = ACTIONS(1397),
    [aux_sym_macs_token1] = ACTIONS(1397),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1397),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1397),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1397),
    [aux_sym_password_authentication_token1] = ACTIONS(1397),
    [aux_sym_permit_local_command_token1] = ACTIONS(1397),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1397),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1397),
    [aux_sym_port_token1] = ACTIONS(1397),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1397),
    [aux_sym_protocol_token1] = ACTIONS(1397),
    [aux_sym_proxy_command_token1] = ACTIONS(1397),
    [aux_sym_proxy_jump_token1] = ACTIONS(1397),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1397),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1397),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1397),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1397),
    [aux_sym_rekey_limit_token1] = ACTIONS(1397),
    [aux_sym_remote_command_token1] = ACTIONS(1397),
    [aux_sym_remote_forward_token1] = ACTIONS(1397),
    [aux_sym_request_tty_token1] = ACTIONS(1397),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1397),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1397),
    [aux_sym_security_key_provider_token1] = ACTIONS(1397),
    [aux_sym_send_env_token1] = ACTIONS(1397),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1397),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1397),
    [aux_sym_session_type_token1] = ACTIONS(1397),
    [aux_sym_set_env_token1] = ACTIONS(1397),
    [aux_sym_stdin_null_token1] = ACTIONS(1397),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1397),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1397),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1397),
    [aux_sym_syslog_facility_token1] = ACTIONS(1397),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1397),
    [aux_sym_keep_alive_token1] = ACTIONS(1397),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [aux_sym_tunnel_token1] = ACTIONS(1399),
    [aux_sym_tunnel_device_token1] = ACTIONS(1397),
    [aux_sym_update_host_keys_token1] = ACTIONS(1397),
    [aux_sym_use_keychain_token1] = ACTIONS(1397),
    [aux_sym_use_roaming_token1] = ACTIONS(1397),
    [aux_sym_user_token1] = ACTIONS(1399),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1397),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1397),
    [aux_sym_visual_host_key_token1] = ACTIONS(1397),
    [aux_sym_xauth_location_token1] = ACTIONS(1397),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1003),
    [aux_sym_match_token1] = ACTIONS(1001),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1001),
    [aux_sym_address_family_token1] = ACTIONS(1001),
    [aux_sym_batch_mode_token1] = ACTIONS(1001),
    [aux_sym_bind_address_token1] = ACTIONS(1001),
    [aux_sym_bind_interface_token1] = ACTIONS(1001),
    [aux_sym_canonical_domains_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1001),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1001),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1001),
    [aux_sym_certificate_file_token1] = ACTIONS(1001),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1001),
    [aux_sym_channel_timeout_token1] = ACTIONS(1001),
    [aux_sym_check_host_ip_token1] = ACTIONS(1001),
    [aux_sym_ciphers_token1] = ACTIONS(1001),
    [aux_sym_cipher_token1] = ACTIONS(1003),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1001),
    [aux_sym_compression_token1] = ACTIONS(1001),
    [aux_sym_connection_attempts_token1] = ACTIONS(1001),
    [aux_sym_connect_timeout_token1] = ACTIONS(1001),
    [aux_sym_control_master_token1] = ACTIONS(1001),
    [aux_sym_control_path_token1] = ACTIONS(1001),
    [aux_sym_control_persist_token1] = ACTIONS(1001),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1001),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1001),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1001),
    [aux_sym_escape_char_token1] = ACTIONS(1001),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1001),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1001),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1001),
    [aux_sym_forward_agent_token1] = ACTIONS(1001),
    [aux_sym_forward_x11_token1] = ACTIONS(1003),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1001),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1001),
    [aux_sym_gateway_ports_token1] = ACTIONS(1001),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1001),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1001),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1001),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1001),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1001),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1001),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1001),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1001),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1001),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1001),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1001),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1001),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1001),
    [aux_sym_host_key_alias_token1] = ACTIONS(1001),
    [aux_sym_hostname_token1] = ACTIONS(1001),
    [aux_sym_identities_only_token1] = ACTIONS(1001),
    [aux_sym_identity_agent_token1] = ACTIONS(1001),
    [aux_sym_identity_file_token1] = ACTIONS(1001),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1001),
    [aux_sym_include_token1] = ACTIONS(1001),
    [aux_sym_ip_qos_token1] = ACTIONS(1001),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1001),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1001),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1001),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1001),
    [aux_sym_local_command_token1] = ACTIONS(1001),
    [aux_sym_local_forward_token1] = ACTIONS(1001),
    [aux_sym_log_level_token1] = ACTIONS(1001),
    [aux_sym_log_verbose_token1] = ACTIONS(1001),
    [aux_sym_macs_token1] = ACTIONS(1001),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1001),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1001),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1001),
    [aux_sym_password_authentication_token1] = ACTIONS(1001),
    [aux_sym_permit_local_command_token1] = ACTIONS(1001),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1001),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1001),
    [aux_sym_port_token1] = ACTIONS(1001),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1001),
    [aux_sym_protocol_token1] = ACTIONS(1001),
    [aux_sym_proxy_command_token1] = ACTIONS(1001),
    [aux_sym_proxy_jump_token1] = ACTIONS(1001),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1001),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1001),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1001),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1001),
    [aux_sym_rekey_limit_token1] = ACTIONS(1001),
    [aux_sym_remote_command_token1] = ACTIONS(1001),
    [aux_sym_remote_forward_token1] = ACTIONS(1001),
    [aux_sym_request_tty_token1] = ACTIONS(1001),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1001),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1001),
    [aux_sym_security_key_provider_token1] = ACTIONS(1001),
    [aux_sym_send_env_token1] = ACTIONS(1001),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1001),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1001),
    [aux_sym_session_type_token1] = ACTIONS(1001),
    [aux_sym_set_env_token1] = ACTIONS(1001),
    [aux_sym_stdin_null_token1] = ACTIONS(1001),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1001),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1001),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1001),
    [aux_sym_syslog_facility_token1] = ACTIONS(1001),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1001),
    [aux_sym_keep_alive_token1] = ACTIONS(1001),
    [aux_sym_tag_token1] = ACTIONS(1001),
    [aux_sym_tunnel_token1] = ACTIONS(1003),
    [aux_sym_tunnel_device_token1] = ACTIONS(1001),
    [aux_sym_update_host_keys_token1] = ACTIONS(1001),
    [aux_sym_use_keychain_token1] = ACTIONS(1001),
    [aux_sym_use_roaming_token1] = ACTIONS(1001),
    [aux_sym_user_token1] = ACTIONS(1003),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1001),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1001),
    [aux_sym_visual_host_key_token1] = ACTIONS(1001),
    [aux_sym_xauth_location_token1] = ACTIONS(1001),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1405),
    [aux_sym_match_token1] = ACTIONS(1403),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1403),
    [aux_sym_address_family_token1] = ACTIONS(1403),
    [aux_sym_batch_mode_token1] = ACTIONS(1403),
    [aux_sym_bind_address_token1] = ACTIONS(1403),
    [aux_sym_bind_interface_token1] = ACTIONS(1403),
    [aux_sym_canonical_domains_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1403),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1403),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1403),
    [aux_sym_certificate_file_token1] = ACTIONS(1403),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1403),
    [aux_sym_channel_timeout_token1] = ACTIONS(1403),
    [aux_sym_check_host_ip_token1] = ACTIONS(1403),
    [aux_sym_ciphers_token1] = ACTIONS(1403),
    [aux_sym_cipher_token1] = ACTIONS(1405),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1403),
    [aux_sym_compression_token1] = ACTIONS(1403),
    [aux_sym_connection_attempts_token1] = ACTIONS(1403),
    [aux_sym_connect_timeout_token1] = ACTIONS(1403),
    [aux_sym_control_master_token1] = ACTIONS(1403),
    [aux_sym_control_path_token1] = ACTIONS(1403),
    [aux_sym_control_persist_token1] = ACTIONS(1403),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1403),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1403),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1403),
    [aux_sym_escape_char_token1] = ACTIONS(1403),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1403),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1403),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1403),
    [aux_sym_forward_agent_token1] = ACTIONS(1403),
    [aux_sym_forward_x11_token1] = ACTIONS(1405),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1403),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1403),
    [aux_sym_gateway_ports_token1] = ACTIONS(1403),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1403),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1403),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1403),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1403),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1403),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1403),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1403),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1403),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1403),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1403),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1403),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1403),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1403),
    [aux_sym_host_key_alias_token1] = ACTIONS(1403),
    [aux_sym_hostname_token1] = ACTIONS(1403),
    [aux_sym_identities_only_token1] = ACTIONS(1403),
    [aux_sym_identity_agent_token1] = ACTIONS(1403),
    [aux_sym_identity_file_token1] = ACTIONS(1403),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1403),
    [aux_sym_include_token1] = ACTIONS(1403),
    [aux_sym_ip_qos_token1] = ACTIONS(1403),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1403),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1403),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1403),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1403),
    [aux_sym_local_command_token1] = ACTIONS(1403),
    [aux_sym_local_forward_token1] = ACTIONS(1403),
    [aux_sym_log_level_token1] = ACTIONS(1403),
    [aux_sym_log_verbose_token1] = ACTIONS(1403),
    [aux_sym_macs_token1] = ACTIONS(1403),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1403),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1403),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1403),
    [aux_sym_password_authentication_token1] = ACTIONS(1403),
    [aux_sym_permit_local_command_token1] = ACTIONS(1403),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1403),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1403),
    [aux_sym_port_token1] = ACTIONS(1403),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1403),
    [aux_sym_protocol_token1] = ACTIONS(1403),
    [aux_sym_proxy_command_token1] = ACTIONS(1403),
    [aux_sym_proxy_jump_token1] = ACTIONS(1403),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1403),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1403),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1403),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1403),
    [aux_sym_rekey_limit_token1] = ACTIONS(1403),
    [aux_sym_remote_command_token1] = ACTIONS(1403),
    [aux_sym_remote_forward_token1] = ACTIONS(1403),
    [aux_sym_request_tty_token1] = ACTIONS(1403),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1403),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1403),
    [aux_sym_security_key_provider_token1] = ACTIONS(1403),
    [aux_sym_send_env_token1] = ACTIONS(1403),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1403),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1403),
    [aux_sym_session_type_token1] = ACTIONS(1403),
    [aux_sym_set_env_token1] = ACTIONS(1403),
    [aux_sym_stdin_null_token1] = ACTIONS(1403),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1403),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1403),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1403),
    [aux_sym_syslog_facility_token1] = ACTIONS(1403),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1403),
    [aux_sym_keep_alive_token1] = ACTIONS(1403),
    [aux_sym_tag_token1] = ACTIONS(1403),
    [aux_sym_tunnel_token1] = ACTIONS(1405),
    [aux_sym_tunnel_device_token1] = ACTIONS(1403),
    [aux_sym_update_host_keys_token1] = ACTIONS(1403),
    [aux_sym_use_keychain_token1] = ACTIONS(1403),
    [aux_sym_use_roaming_token1] = ACTIONS(1403),
    [aux_sym_user_token1] = ACTIONS(1405),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1403),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1403),
    [aux_sym_visual_host_key_token1] = ACTIONS(1403),
    [aux_sym_xauth_location_token1] = ACTIONS(1403),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1567),
    [aux_sym_match_token1] = ACTIONS(1565),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1565),
    [aux_sym_address_family_token1] = ACTIONS(1565),
    [aux_sym_batch_mode_token1] = ACTIONS(1565),
    [aux_sym_bind_address_token1] = ACTIONS(1565),
    [aux_sym_bind_interface_token1] = ACTIONS(1565),
    [aux_sym_canonical_domains_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1565),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1565),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1565),
    [aux_sym_certificate_file_token1] = ACTIONS(1565),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1565),
    [aux_sym_channel_timeout_token1] = ACTIONS(1565),
    [aux_sym_check_host_ip_token1] = ACTIONS(1565),
    [aux_sym_ciphers_token1] = ACTIONS(1565),
    [aux_sym_cipher_token1] = ACTIONS(1567),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1565),
    [aux_sym_compression_token1] = ACTIONS(1565),
    [aux_sym_connection_attempts_token1] = ACTIONS(1565),
    [aux_sym_connect_timeout_token1] = ACTIONS(1565),
    [aux_sym_control_master_token1] = ACTIONS(1565),
    [aux_sym_control_path_token1] = ACTIONS(1565),
    [aux_sym_control_persist_token1] = ACTIONS(1565),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1565),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1565),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1565),
    [aux_sym_escape_char_token1] = ACTIONS(1565),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1565),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1565),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1565),
    [aux_sym_forward_agent_token1] = ACTIONS(1565),
    [aux_sym_forward_x11_token1] = ACTIONS(1567),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1565),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1565),
    [aux_sym_gateway_ports_token1] = ACTIONS(1565),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1565),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1565),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1565),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1565),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1565),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1565),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1565),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1565),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1565),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1565),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1565),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1565),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1565),
    [aux_sym_host_key_alias_token1] = ACTIONS(1565),
    [aux_sym_hostname_token1] = ACTIONS(1565),
    [aux_sym_identities_only_token1] = ACTIONS(1565),
    [aux_sym_identity_agent_token1] = ACTIONS(1565),
    [aux_sym_identity_file_token1] = ACTIONS(1565),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1565),
    [aux_sym_include_token1] = ACTIONS(1565),
    [aux_sym_ip_qos_token1] = ACTIONS(1565),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1565),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1565),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1565),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1565),
    [aux_sym_local_command_token1] = ACTIONS(1565),
    [aux_sym_local_forward_token1] = ACTIONS(1565),
    [aux_sym_log_level_token1] = ACTIONS(1565),
    [aux_sym_log_verbose_token1] = ACTIONS(1565),
    [aux_sym_macs_token1] = ACTIONS(1565),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1565),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1565),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1565),
    [aux_sym_password_authentication_token1] = ACTIONS(1565),
    [aux_sym_permit_local_command_token1] = ACTIONS(1565),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1565),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1565),
    [aux_sym_port_token1] = ACTIONS(1565),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1565),
    [aux_sym_protocol_token1] = ACTIONS(1565),
    [aux_sym_proxy_command_token1] = ACTIONS(1565),
    [aux_sym_proxy_jump_token1] = ACTIONS(1565),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1565),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1565),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1565),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1565),
    [aux_sym_rekey_limit_token1] = ACTIONS(1565),
    [aux_sym_remote_command_token1] = ACTIONS(1565),
    [aux_sym_remote_forward_token1] = ACTIONS(1565),
    [aux_sym_request_tty_token1] = ACTIONS(1565),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1565),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1565),
    [aux_sym_security_key_provider_token1] = ACTIONS(1565),
    [aux_sym_send_env_token1] = ACTIONS(1565),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1565),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1565),
    [aux_sym_session_type_token1] = ACTIONS(1565),
    [aux_sym_set_env_token1] = ACTIONS(1565),
    [aux_sym_stdin_null_token1] = ACTIONS(1565),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1565),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1565),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1565),
    [aux_sym_syslog_facility_token1] = ACTIONS(1565),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1565),
    [aux_sym_keep_alive_token1] = ACTIONS(1565),
    [aux_sym_tag_token1] = ACTIONS(1565),
    [aux_sym_tunnel_token1] = ACTIONS(1567),
    [aux_sym_tunnel_device_token1] = ACTIONS(1565),
    [aux_sym_update_host_keys_token1] = ACTIONS(1565),
    [aux_sym_use_keychain_token1] = ACTIONS(1565),
    [aux_sym_use_roaming_token1] = ACTIONS(1565),
    [aux_sym_user_token1] = ACTIONS(1567),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1565),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1565),
    [aux_sym_visual_host_key_token1] = ACTIONS(1565),
    [aux_sym_xauth_location_token1] = ACTIONS(1565),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(997),
    [aux_sym_match_token1] = ACTIONS(995),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(995),
    [aux_sym_address_family_token1] = ACTIONS(995),
    [aux_sym_batch_mode_token1] = ACTIONS(995),
    [aux_sym_bind_address_token1] = ACTIONS(995),
    [aux_sym_bind_interface_token1] = ACTIONS(995),
    [aux_sym_canonical_domains_token1] = ACTIONS(995),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(995),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(995),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(995),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(995),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(995),
    [aux_sym_certificate_file_token1] = ACTIONS(995),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(995),
    [aux_sym_channel_timeout_token1] = ACTIONS(995),
    [aux_sym_check_host_ip_token1] = ACTIONS(995),
    [aux_sym_ciphers_token1] = ACTIONS(995),
    [aux_sym_cipher_token1] = ACTIONS(997),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(995),
    [aux_sym_compression_token1] = ACTIONS(995),
    [aux_sym_connection_attempts_token1] = ACTIONS(995),
    [aux_sym_connect_timeout_token1] = ACTIONS(995),
    [aux_sym_control_master_token1] = ACTIONS(995),
    [aux_sym_control_path_token1] = ACTIONS(995),
    [aux_sym_control_persist_token1] = ACTIONS(995),
    [aux_sym_dynamic_forward_token1] = ACTIONS(995),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(995),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(995),
    [aux_sym_escape_char_token1] = ACTIONS(995),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(995),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(995),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(995),
    [aux_sym_forward_agent_token1] = ACTIONS(995),
    [aux_sym_forward_x11_token1] = ACTIONS(997),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(995),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(995),
    [aux_sym_gateway_ports_token1] = ACTIONS(995),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(995),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(995),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(995),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(995),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(995),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(995),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(995),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(995),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(995),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(995),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(995),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(995),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(995),
    [aux_sym_host_key_alias_token1] = ACTIONS(995),
    [aux_sym_hostname_token1] = ACTIONS(995),
    [aux_sym_identities_only_token1] = ACTIONS(995),
    [aux_sym_identity_agent_token1] = ACTIONS(995),
    [aux_sym_identity_file_token1] = ACTIONS(995),
    [aux_sym_ignore_unknown_token1] = ACTIONS(995),
    [aux_sym_include_token1] = ACTIONS(995),
    [aux_sym_ip_qos_token1] = ACTIONS(995),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(995),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(995),
    [aux_sym_kex_algorithms_token1] = ACTIONS(995),
    [aux_sym_known_hosts_command_token1] = ACTIONS(995),
    [aux_sym_local_command_token1] = ACTIONS(995),
    [aux_sym_local_forward_token1] = ACTIONS(995),
    [aux_sym_log_level_token1] = ACTIONS(995),
    [aux_sym_log_verbose_token1] = ACTIONS(995),
    [aux_sym_macs_token1] = ACTIONS(995),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(995),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(995),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(995),
    [aux_sym_password_authentication_token1] = ACTIONS(995),
    [aux_sym_permit_local_command_token1] = ACTIONS(995),
    [aux_sym_permit_remote_open_token1] = ACTIONS(995),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(995),
    [aux_sym_port_token1] = ACTIONS(995),
    [aux_sym_preferred_authentications_token1] = ACTIONS(995),
    [aux_sym_protocol_token1] = ACTIONS(995),
    [aux_sym_proxy_command_token1] = ACTIONS(995),
    [aux_sym_proxy_jump_token1] = ACTIONS(995),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(995),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(995),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(995),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(995),
    [aux_sym_rekey_limit_token1] = ACTIONS(995),
    [aux_sym_remote_command_token1] = ACTIONS(995),
    [aux_sym_remote_forward_token1] = ACTIONS(995),
    [aux_sym_request_tty_token1] = ACTIONS(995),
    [aux_sym_required_rsa_size_token1] = ACTIONS(995),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(995),
    [aux_sym_security_key_provider_token1] = ACTIONS(995),
    [aux_sym_send_env_token1] = ACTIONS(995),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(995),
    [aux_sym_server_alive_interval_token1] = ACTIONS(995),
    [aux_sym_session_type_token1] = ACTIONS(995),
    [aux_sym_set_env_token1] = ACTIONS(995),
    [aux_sym_stdin_null_token1] = ACTIONS(995),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(995),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(995),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(995),
    [aux_sym_syslog_facility_token1] = ACTIONS(995),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(995),
    [aux_sym_keep_alive_token1] = ACTIONS(995),
    [aux_sym_tag_token1] = ACTIONS(995),
    [aux_sym_tunnel_token1] = ACTIONS(997),
    [aux_sym_tunnel_device_token1] = ACTIONS(995),
    [aux_sym_update_host_keys_token1] = ACTIONS(995),
    [aux_sym_use_keychain_token1] = ACTIONS(995),
    [aux_sym_use_roaming_token1] = ACTIONS(995),
    [aux_sym_user_token1] = ACTIONS(997),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(995),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(995),
    [aux_sym_visual_host_key_token1] = ACTIONS(995),
    [aux_sym_xauth_location_token1] = ACTIONS(995),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1411),
    [aux_sym_match_token1] = ACTIONS(1409),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1409),
    [aux_sym_address_family_token1] = ACTIONS(1409),
    [aux_sym_batch_mode_token1] = ACTIONS(1409),
    [aux_sym_bind_address_token1] = ACTIONS(1409),
    [aux_sym_bind_interface_token1] = ACTIONS(1409),
    [aux_sym_canonical_domains_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1409),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1409),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1409),
    [aux_sym_certificate_file_token1] = ACTIONS(1409),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1409),
    [aux_sym_channel_timeout_token1] = ACTIONS(1409),
    [aux_sym_check_host_ip_token1] = ACTIONS(1409),
    [aux_sym_ciphers_token1] = ACTIONS(1409),
    [aux_sym_cipher_token1] = ACTIONS(1411),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1409),
    [aux_sym_compression_token1] = ACTIONS(1409),
    [aux_sym_connection_attempts_token1] = ACTIONS(1409),
    [aux_sym_connect_timeout_token1] = ACTIONS(1409),
    [aux_sym_control_master_token1] = ACTIONS(1409),
    [aux_sym_control_path_token1] = ACTIONS(1409),
    [aux_sym_control_persist_token1] = ACTIONS(1409),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1409),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1409),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1409),
    [aux_sym_escape_char_token1] = ACTIONS(1409),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1409),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1409),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1409),
    [aux_sym_forward_agent_token1] = ACTIONS(1409),
    [aux_sym_forward_x11_token1] = ACTIONS(1411),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1409),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1409),
    [aux_sym_gateway_ports_token1] = ACTIONS(1409),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1409),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1409),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1409),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1409),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1409),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1409),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1409),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1409),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1409),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1409),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1409),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1409),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1409),
    [aux_sym_host_key_alias_token1] = ACTIONS(1409),
    [aux_sym_hostname_token1] = ACTIONS(1409),
    [aux_sym_identities_only_token1] = ACTIONS(1409),
    [aux_sym_identity_agent_token1] = ACTIONS(1409),
    [aux_sym_identity_file_token1] = ACTIONS(1409),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1409),
    [aux_sym_include_token1] = ACTIONS(1409),
    [aux_sym_ip_qos_token1] = ACTIONS(1409),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1409),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1409),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1409),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1409),
    [aux_sym_local_command_token1] = ACTIONS(1409),
    [aux_sym_local_forward_token1] = ACTIONS(1409),
    [aux_sym_log_level_token1] = ACTIONS(1409),
    [aux_sym_log_verbose_token1] = ACTIONS(1409),
    [aux_sym_macs_token1] = ACTIONS(1409),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1409),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1409),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1409),
    [aux_sym_password_authentication_token1] = ACTIONS(1409),
    [aux_sym_permit_local_command_token1] = ACTIONS(1409),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1409),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1409),
    [aux_sym_port_token1] = ACTIONS(1409),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1409),
    [aux_sym_protocol_token1] = ACTIONS(1409),
    [aux_sym_proxy_command_token1] = ACTIONS(1409),
    [aux_sym_proxy_jump_token1] = ACTIONS(1409),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1409),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1409),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1409),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1409),
    [aux_sym_rekey_limit_token1] = ACTIONS(1409),
    [aux_sym_remote_command_token1] = ACTIONS(1409),
    [aux_sym_remote_forward_token1] = ACTIONS(1409),
    [aux_sym_request_tty_token1] = ACTIONS(1409),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1409),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1409),
    [aux_sym_security_key_provider_token1] = ACTIONS(1409),
    [aux_sym_send_env_token1] = ACTIONS(1409),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1409),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1409),
    [aux_sym_session_type_token1] = ACTIONS(1409),
    [aux_sym_set_env_token1] = ACTIONS(1409),
    [aux_sym_stdin_null_token1] = ACTIONS(1409),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1409),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1409),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1409),
    [aux_sym_syslog_facility_token1] = ACTIONS(1409),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1409),
    [aux_sym_keep_alive_token1] = ACTIONS(1409),
    [aux_sym_tag_token1] = ACTIONS(1409),
    [aux_sym_tunnel_token1] = ACTIONS(1411),
    [aux_sym_tunnel_device_token1] = ACTIONS(1409),
    [aux_sym_update_host_keys_token1] = ACTIONS(1409),
    [aux_sym_use_keychain_token1] = ACTIONS(1409),
    [aux_sym_use_roaming_token1] = ACTIONS(1409),
    [aux_sym_user_token1] = ACTIONS(1411),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1409),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1409),
    [aux_sym_visual_host_key_token1] = ACTIONS(1409),
    [aux_sym_xauth_location_token1] = ACTIONS(1409),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(991),
    [aux_sym_match_token1] = ACTIONS(989),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(989),
    [aux_sym_address_family_token1] = ACTIONS(989),
    [aux_sym_batch_mode_token1] = ACTIONS(989),
    [aux_sym_bind_address_token1] = ACTIONS(989),
    [aux_sym_bind_interface_token1] = ACTIONS(989),
    [aux_sym_canonical_domains_token1] = ACTIONS(989),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(989),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(989),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(989),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(989),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(989),
    [aux_sym_certificate_file_token1] = ACTIONS(989),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(989),
    [aux_sym_channel_timeout_token1] = ACTIONS(989),
    [aux_sym_check_host_ip_token1] = ACTIONS(989),
    [aux_sym_ciphers_token1] = ACTIONS(989),
    [aux_sym_cipher_token1] = ACTIONS(991),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(989),
    [aux_sym_compression_token1] = ACTIONS(989),
    [aux_sym_connection_attempts_token1] = ACTIONS(989),
    [aux_sym_connect_timeout_token1] = ACTIONS(989),
    [aux_sym_control_master_token1] = ACTIONS(989),
    [aux_sym_control_path_token1] = ACTIONS(989),
    [aux_sym_control_persist_token1] = ACTIONS(989),
    [aux_sym_dynamic_forward_token1] = ACTIONS(989),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(989),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(989),
    [aux_sym_escape_char_token1] = ACTIONS(989),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(989),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(989),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(989),
    [aux_sym_forward_agent_token1] = ACTIONS(989),
    [aux_sym_forward_x11_token1] = ACTIONS(991),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(989),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(989),
    [aux_sym_gateway_ports_token1] = ACTIONS(989),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(989),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(989),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(989),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(989),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(989),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(989),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(989),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(989),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(989),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(989),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(989),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(989),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(989),
    [aux_sym_host_key_alias_token1] = ACTIONS(989),
    [aux_sym_hostname_token1] = ACTIONS(989),
    [aux_sym_identities_only_token1] = ACTIONS(989),
    [aux_sym_identity_agent_token1] = ACTIONS(989),
    [aux_sym_identity_file_token1] = ACTIONS(989),
    [aux_sym_ignore_unknown_token1] = ACTIONS(989),
    [aux_sym_include_token1] = ACTIONS(989),
    [aux_sym_ip_qos_token1] = ACTIONS(989),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(989),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(989),
    [aux_sym_kex_algorithms_token1] = ACTIONS(989),
    [aux_sym_known_hosts_command_token1] = ACTIONS(989),
    [aux_sym_local_command_token1] = ACTIONS(989),
    [aux_sym_local_forward_token1] = ACTIONS(989),
    [aux_sym_log_level_token1] = ACTIONS(989),
    [aux_sym_log_verbose_token1] = ACTIONS(989),
    [aux_sym_macs_token1] = ACTIONS(989),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(989),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(989),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(989),
    [aux_sym_password_authentication_token1] = ACTIONS(989),
    [aux_sym_permit_local_command_token1] = ACTIONS(989),
    [aux_sym_permit_remote_open_token1] = ACTIONS(989),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(989),
    [aux_sym_port_token1] = ACTIONS(989),
    [aux_sym_preferred_authentications_token1] = ACTIONS(989),
    [aux_sym_protocol_token1] = ACTIONS(989),
    [aux_sym_proxy_command_token1] = ACTIONS(989),
    [aux_sym_proxy_jump_token1] = ACTIONS(989),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(989),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(989),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(989),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(989),
    [aux_sym_rekey_limit_token1] = ACTIONS(989),
    [aux_sym_remote_command_token1] = ACTIONS(989),
    [aux_sym_remote_forward_token1] = ACTIONS(989),
    [aux_sym_request_tty_token1] = ACTIONS(989),
    [aux_sym_required_rsa_size_token1] = ACTIONS(989),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(989),
    [aux_sym_security_key_provider_token1] = ACTIONS(989),
    [aux_sym_send_env_token1] = ACTIONS(989),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(989),
    [aux_sym_server_alive_interval_token1] = ACTIONS(989),
    [aux_sym_session_type_token1] = ACTIONS(989),
    [aux_sym_set_env_token1] = ACTIONS(989),
    [aux_sym_stdin_null_token1] = ACTIONS(989),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(989),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(989),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(989),
    [aux_sym_syslog_facility_token1] = ACTIONS(989),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(989),
    [aux_sym_keep_alive_token1] = ACTIONS(989),
    [aux_sym_tag_token1] = ACTIONS(989),
    [aux_sym_tunnel_token1] = ACTIONS(991),
    [aux_sym_tunnel_device_token1] = ACTIONS(989),
    [aux_sym_update_host_keys_token1] = ACTIONS(989),
    [aux_sym_use_keychain_token1] = ACTIONS(989),
    [aux_sym_use_roaming_token1] = ACTIONS(989),
    [aux_sym_user_token1] = ACTIONS(991),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(989),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(989),
    [aux_sym_visual_host_key_token1] = ACTIONS(989),
    [aux_sym_xauth_location_token1] = ACTIONS(989),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1415),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1417),
    [aux_sym_match_token1] = ACTIONS(1415),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1415),
    [aux_sym_address_family_token1] = ACTIONS(1415),
    [aux_sym_batch_mode_token1] = ACTIONS(1415),
    [aux_sym_bind_address_token1] = ACTIONS(1415),
    [aux_sym_bind_interface_token1] = ACTIONS(1415),
    [aux_sym_canonical_domains_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1415),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1415),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1415),
    [aux_sym_certificate_file_token1] = ACTIONS(1415),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1415),
    [aux_sym_channel_timeout_token1] = ACTIONS(1415),
    [aux_sym_check_host_ip_token1] = ACTIONS(1415),
    [aux_sym_ciphers_token1] = ACTIONS(1415),
    [aux_sym_cipher_token1] = ACTIONS(1417),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1415),
    [aux_sym_compression_token1] = ACTIONS(1415),
    [aux_sym_connection_attempts_token1] = ACTIONS(1415),
    [aux_sym_connect_timeout_token1] = ACTIONS(1415),
    [aux_sym_control_master_token1] = ACTIONS(1415),
    [aux_sym_control_path_token1] = ACTIONS(1415),
    [aux_sym_control_persist_token1] = ACTIONS(1415),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1415),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1415),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1415),
    [aux_sym_escape_char_token1] = ACTIONS(1415),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1415),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1415),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1415),
    [aux_sym_forward_agent_token1] = ACTIONS(1415),
    [aux_sym_forward_x11_token1] = ACTIONS(1417),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1415),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1415),
    [aux_sym_gateway_ports_token1] = ACTIONS(1415),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1415),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1415),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1415),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1415),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1415),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1415),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1415),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1415),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1415),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1415),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1415),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1415),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1415),
    [aux_sym_host_key_alias_token1] = ACTIONS(1415),
    [aux_sym_hostname_token1] = ACTIONS(1415),
    [aux_sym_identities_only_token1] = ACTIONS(1415),
    [aux_sym_identity_agent_token1] = ACTIONS(1415),
    [aux_sym_identity_file_token1] = ACTIONS(1415),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1415),
    [aux_sym_include_token1] = ACTIONS(1415),
    [aux_sym_ip_qos_token1] = ACTIONS(1415),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1415),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1415),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1415),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1415),
    [aux_sym_local_command_token1] = ACTIONS(1415),
    [aux_sym_local_forward_token1] = ACTIONS(1415),
    [aux_sym_log_level_token1] = ACTIONS(1415),
    [aux_sym_log_verbose_token1] = ACTIONS(1415),
    [aux_sym_macs_token1] = ACTIONS(1415),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1415),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1415),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1415),
    [aux_sym_password_authentication_token1] = ACTIONS(1415),
    [aux_sym_permit_local_command_token1] = ACTIONS(1415),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1415),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1415),
    [aux_sym_port_token1] = ACTIONS(1415),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1415),
    [aux_sym_protocol_token1] = ACTIONS(1415),
    [aux_sym_proxy_command_token1] = ACTIONS(1415),
    [aux_sym_proxy_jump_token1] = ACTIONS(1415),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1415),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1415),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1415),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1415),
    [aux_sym_rekey_limit_token1] = ACTIONS(1415),
    [aux_sym_remote_command_token1] = ACTIONS(1415),
    [aux_sym_remote_forward_token1] = ACTIONS(1415),
    [aux_sym_request_tty_token1] = ACTIONS(1415),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1415),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1415),
    [aux_sym_security_key_provider_token1] = ACTIONS(1415),
    [aux_sym_send_env_token1] = ACTIONS(1415),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1415),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1415),
    [aux_sym_session_type_token1] = ACTIONS(1415),
    [aux_sym_set_env_token1] = ACTIONS(1415),
    [aux_sym_stdin_null_token1] = ACTIONS(1415),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1415),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1415),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1415),
    [aux_sym_syslog_facility_token1] = ACTIONS(1415),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1415),
    [aux_sym_keep_alive_token1] = ACTIONS(1415),
    [aux_sym_tag_token1] = ACTIONS(1415),
    [aux_sym_tunnel_token1] = ACTIONS(1417),
    [aux_sym_tunnel_device_token1] = ACTIONS(1415),
    [aux_sym_update_host_keys_token1] = ACTIONS(1415),
    [aux_sym_use_keychain_token1] = ACTIONS(1415),
    [aux_sym_use_roaming_token1] = ACTIONS(1415),
    [aux_sym_user_token1] = ACTIONS(1417),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1415),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1415),
    [aux_sym_visual_host_key_token1] = ACTIONS(1415),
    [aux_sym_xauth_location_token1] = ACTIONS(1415),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(805),
    [aux_sym_match_token1] = ACTIONS(803),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(803),
    [aux_sym_address_family_token1] = ACTIONS(803),
    [aux_sym_batch_mode_token1] = ACTIONS(803),
    [aux_sym_bind_address_token1] = ACTIONS(803),
    [aux_sym_bind_interface_token1] = ACTIONS(803),
    [aux_sym_canonical_domains_token1] = ACTIONS(803),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(803),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(803),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(803),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(803),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(803),
    [aux_sym_certificate_file_token1] = ACTIONS(803),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(803),
    [aux_sym_channel_timeout_token1] = ACTIONS(803),
    [aux_sym_check_host_ip_token1] = ACTIONS(803),
    [aux_sym_ciphers_token1] = ACTIONS(803),
    [aux_sym_cipher_token1] = ACTIONS(805),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(803),
    [aux_sym_compression_token1] = ACTIONS(803),
    [aux_sym_connection_attempts_token1] = ACTIONS(803),
    [aux_sym_connect_timeout_token1] = ACTIONS(803),
    [aux_sym_control_master_token1] = ACTIONS(803),
    [aux_sym_control_path_token1] = ACTIONS(803),
    [aux_sym_control_persist_token1] = ACTIONS(803),
    [aux_sym_dynamic_forward_token1] = ACTIONS(803),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(803),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(803),
    [aux_sym_escape_char_token1] = ACTIONS(803),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(803),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(803),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(803),
    [aux_sym_forward_agent_token1] = ACTIONS(803),
    [aux_sym_forward_x11_token1] = ACTIONS(805),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(803),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(803),
    [aux_sym_gateway_ports_token1] = ACTIONS(803),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(803),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(803),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(803),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(803),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(803),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(803),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(803),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(803),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(803),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(803),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(803),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(803),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(803),
    [aux_sym_host_key_alias_token1] = ACTIONS(803),
    [aux_sym_hostname_token1] = ACTIONS(803),
    [aux_sym_identities_only_token1] = ACTIONS(803),
    [aux_sym_identity_agent_token1] = ACTIONS(803),
    [aux_sym_identity_file_token1] = ACTIONS(803),
    [aux_sym_ignore_unknown_token1] = ACTIONS(803),
    [aux_sym_include_token1] = ACTIONS(803),
    [aux_sym_ip_qos_token1] = ACTIONS(803),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(803),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(803),
    [aux_sym_kex_algorithms_token1] = ACTIONS(803),
    [aux_sym_known_hosts_command_token1] = ACTIONS(803),
    [aux_sym_local_command_token1] = ACTIONS(803),
    [aux_sym_local_forward_token1] = ACTIONS(803),
    [aux_sym_log_level_token1] = ACTIONS(803),
    [aux_sym_log_verbose_token1] = ACTIONS(803),
    [aux_sym_macs_token1] = ACTIONS(803),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(803),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(803),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(803),
    [aux_sym_password_authentication_token1] = ACTIONS(803),
    [aux_sym_permit_local_command_token1] = ACTIONS(803),
    [aux_sym_permit_remote_open_token1] = ACTIONS(803),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(803),
    [aux_sym_port_token1] = ACTIONS(803),
    [aux_sym_preferred_authentications_token1] = ACTIONS(803),
    [aux_sym_protocol_token1] = ACTIONS(803),
    [aux_sym_proxy_command_token1] = ACTIONS(803),
    [aux_sym_proxy_jump_token1] = ACTIONS(803),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(803),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(803),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(803),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(803),
    [aux_sym_rekey_limit_token1] = ACTIONS(803),
    [aux_sym_remote_command_token1] = ACTIONS(803),
    [aux_sym_remote_forward_token1] = ACTIONS(803),
    [aux_sym_request_tty_token1] = ACTIONS(803),
    [aux_sym_required_rsa_size_token1] = ACTIONS(803),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(803),
    [aux_sym_security_key_provider_token1] = ACTIONS(803),
    [aux_sym_send_env_token1] = ACTIONS(803),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(803),
    [aux_sym_server_alive_interval_token1] = ACTIONS(803),
    [aux_sym_session_type_token1] = ACTIONS(803),
    [aux_sym_set_env_token1] = ACTIONS(803),
    [aux_sym_stdin_null_token1] = ACTIONS(803),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(803),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(803),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(803),
    [aux_sym_syslog_facility_token1] = ACTIONS(803),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(803),
    [aux_sym_keep_alive_token1] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(803),
    [aux_sym_tunnel_token1] = ACTIONS(805),
    [aux_sym_tunnel_device_token1] = ACTIONS(803),
    [aux_sym_update_host_keys_token1] = ACTIONS(803),
    [aux_sym_use_keychain_token1] = ACTIONS(803),
    [aux_sym_use_roaming_token1] = ACTIONS(803),
    [aux_sym_user_token1] = ACTIONS(805),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(803),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(803),
    [aux_sym_visual_host_key_token1] = ACTIONS(803),
    [aux_sym_xauth_location_token1] = ACTIONS(803),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(985),
    [aux_sym_match_token1] = ACTIONS(983),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(983),
    [aux_sym_address_family_token1] = ACTIONS(983),
    [aux_sym_batch_mode_token1] = ACTIONS(983),
    [aux_sym_bind_address_token1] = ACTIONS(983),
    [aux_sym_bind_interface_token1] = ACTIONS(983),
    [aux_sym_canonical_domains_token1] = ACTIONS(983),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(983),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(983),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(983),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(983),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(983),
    [aux_sym_certificate_file_token1] = ACTIONS(983),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(983),
    [aux_sym_channel_timeout_token1] = ACTIONS(983),
    [aux_sym_check_host_ip_token1] = ACTIONS(983),
    [aux_sym_ciphers_token1] = ACTIONS(983),
    [aux_sym_cipher_token1] = ACTIONS(985),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(983),
    [aux_sym_compression_token1] = ACTIONS(983),
    [aux_sym_connection_attempts_token1] = ACTIONS(983),
    [aux_sym_connect_timeout_token1] = ACTIONS(983),
    [aux_sym_control_master_token1] = ACTIONS(983),
    [aux_sym_control_path_token1] = ACTIONS(983),
    [aux_sym_control_persist_token1] = ACTIONS(983),
    [aux_sym_dynamic_forward_token1] = ACTIONS(983),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(983),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(983),
    [aux_sym_escape_char_token1] = ACTIONS(983),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(983),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(983),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(983),
    [aux_sym_forward_agent_token1] = ACTIONS(983),
    [aux_sym_forward_x11_token1] = ACTIONS(985),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(983),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(983),
    [aux_sym_gateway_ports_token1] = ACTIONS(983),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(983),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(983),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(983),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(983),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(983),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(983),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(983),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(983),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(983),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(983),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(983),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(983),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(983),
    [aux_sym_host_key_alias_token1] = ACTIONS(983),
    [aux_sym_hostname_token1] = ACTIONS(983),
    [aux_sym_identities_only_token1] = ACTIONS(983),
    [aux_sym_identity_agent_token1] = ACTIONS(983),
    [aux_sym_identity_file_token1] = ACTIONS(983),
    [aux_sym_ignore_unknown_token1] = ACTIONS(983),
    [aux_sym_include_token1] = ACTIONS(983),
    [aux_sym_ip_qos_token1] = ACTIONS(983),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(983),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(983),
    [aux_sym_kex_algorithms_token1] = ACTIONS(983),
    [aux_sym_known_hosts_command_token1] = ACTIONS(983),
    [aux_sym_local_command_token1] = ACTIONS(983),
    [aux_sym_local_forward_token1] = ACTIONS(983),
    [aux_sym_log_level_token1] = ACTIONS(983),
    [aux_sym_log_verbose_token1] = ACTIONS(983),
    [aux_sym_macs_token1] = ACTIONS(983),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(983),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(983),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(983),
    [aux_sym_password_authentication_token1] = ACTIONS(983),
    [aux_sym_permit_local_command_token1] = ACTIONS(983),
    [aux_sym_permit_remote_open_token1] = ACTIONS(983),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(983),
    [aux_sym_port_token1] = ACTIONS(983),
    [aux_sym_preferred_authentications_token1] = ACTIONS(983),
    [aux_sym_protocol_token1] = ACTIONS(983),
    [aux_sym_proxy_command_token1] = ACTIONS(983),
    [aux_sym_proxy_jump_token1] = ACTIONS(983),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(983),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(983),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(983),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(983),
    [aux_sym_rekey_limit_token1] = ACTIONS(983),
    [aux_sym_remote_command_token1] = ACTIONS(983),
    [aux_sym_remote_forward_token1] = ACTIONS(983),
    [aux_sym_request_tty_token1] = ACTIONS(983),
    [aux_sym_required_rsa_size_token1] = ACTIONS(983),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(983),
    [aux_sym_security_key_provider_token1] = ACTIONS(983),
    [aux_sym_send_env_token1] = ACTIONS(983),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(983),
    [aux_sym_server_alive_interval_token1] = ACTIONS(983),
    [aux_sym_session_type_token1] = ACTIONS(983),
    [aux_sym_set_env_token1] = ACTIONS(983),
    [aux_sym_stdin_null_token1] = ACTIONS(983),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(983),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(983),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(983),
    [aux_sym_syslog_facility_token1] = ACTIONS(983),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(983),
    [aux_sym_keep_alive_token1] = ACTIONS(983),
    [aux_sym_tag_token1] = ACTIONS(983),
    [aux_sym_tunnel_token1] = ACTIONS(985),
    [aux_sym_tunnel_device_token1] = ACTIONS(983),
    [aux_sym_update_host_keys_token1] = ACTIONS(983),
    [aux_sym_use_keychain_token1] = ACTIONS(983),
    [aux_sym_use_roaming_token1] = ACTIONS(983),
    [aux_sym_user_token1] = ACTIONS(985),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(983),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(983),
    [aux_sym_visual_host_key_token1] = ACTIONS(983),
    [aux_sym_xauth_location_token1] = ACTIONS(983),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(643),
    [aux_sym_match_token1] = ACTIONS(641),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(641),
    [aux_sym_address_family_token1] = ACTIONS(641),
    [aux_sym_batch_mode_token1] = ACTIONS(641),
    [aux_sym_bind_address_token1] = ACTIONS(641),
    [aux_sym_bind_interface_token1] = ACTIONS(641),
    [aux_sym_canonical_domains_token1] = ACTIONS(641),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(641),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(641),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(641),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(641),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(641),
    [aux_sym_certificate_file_token1] = ACTIONS(641),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(641),
    [aux_sym_channel_timeout_token1] = ACTIONS(641),
    [aux_sym_check_host_ip_token1] = ACTIONS(641),
    [aux_sym_ciphers_token1] = ACTIONS(641),
    [aux_sym_cipher_token1] = ACTIONS(643),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(641),
    [aux_sym_compression_token1] = ACTIONS(641),
    [aux_sym_connection_attempts_token1] = ACTIONS(641),
    [aux_sym_connect_timeout_token1] = ACTIONS(641),
    [aux_sym_control_master_token1] = ACTIONS(641),
    [aux_sym_control_path_token1] = ACTIONS(641),
    [aux_sym_control_persist_token1] = ACTIONS(641),
    [aux_sym_dynamic_forward_token1] = ACTIONS(641),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(641),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(641),
    [aux_sym_escape_char_token1] = ACTIONS(641),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(641),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(641),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(641),
    [aux_sym_forward_agent_token1] = ACTIONS(641),
    [aux_sym_forward_x11_token1] = ACTIONS(643),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(641),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(641),
    [aux_sym_gateway_ports_token1] = ACTIONS(641),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(641),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(641),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(641),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(641),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(641),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(641),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(641),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(641),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(641),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(641),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(641),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(641),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(641),
    [aux_sym_host_key_alias_token1] = ACTIONS(641),
    [aux_sym_hostname_token1] = ACTIONS(641),
    [aux_sym_identities_only_token1] = ACTIONS(641),
    [aux_sym_identity_agent_token1] = ACTIONS(641),
    [aux_sym_identity_file_token1] = ACTIONS(641),
    [aux_sym_ignore_unknown_token1] = ACTIONS(641),
    [aux_sym_include_token1] = ACTIONS(641),
    [aux_sym_ip_qos_token1] = ACTIONS(641),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(641),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(641),
    [aux_sym_kex_algorithms_token1] = ACTIONS(641),
    [aux_sym_known_hosts_command_token1] = ACTIONS(641),
    [aux_sym_local_command_token1] = ACTIONS(641),
    [aux_sym_local_forward_token1] = ACTIONS(641),
    [aux_sym_log_level_token1] = ACTIONS(641),
    [aux_sym_log_verbose_token1] = ACTIONS(641),
    [aux_sym_macs_token1] = ACTIONS(641),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(641),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(641),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(641),
    [aux_sym_password_authentication_token1] = ACTIONS(641),
    [aux_sym_permit_local_command_token1] = ACTIONS(641),
    [aux_sym_permit_remote_open_token1] = ACTIONS(641),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(641),
    [aux_sym_port_token1] = ACTIONS(641),
    [aux_sym_preferred_authentications_token1] = ACTIONS(641),
    [aux_sym_protocol_token1] = ACTIONS(641),
    [aux_sym_proxy_command_token1] = ACTIONS(641),
    [aux_sym_proxy_jump_token1] = ACTIONS(641),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(641),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(641),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(641),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(641),
    [aux_sym_rekey_limit_token1] = ACTIONS(641),
    [aux_sym_remote_command_token1] = ACTIONS(641),
    [aux_sym_remote_forward_token1] = ACTIONS(641),
    [aux_sym_request_tty_token1] = ACTIONS(641),
    [aux_sym_required_rsa_size_token1] = ACTIONS(641),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(641),
    [aux_sym_security_key_provider_token1] = ACTIONS(641),
    [aux_sym_send_env_token1] = ACTIONS(641),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(641),
    [aux_sym_server_alive_interval_token1] = ACTIONS(641),
    [aux_sym_session_type_token1] = ACTIONS(641),
    [aux_sym_set_env_token1] = ACTIONS(641),
    [aux_sym_stdin_null_token1] = ACTIONS(641),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(641),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(641),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(641),
    [aux_sym_syslog_facility_token1] = ACTIONS(641),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(641),
    [aux_sym_keep_alive_token1] = ACTIONS(641),
    [aux_sym_tag_token1] = ACTIONS(641),
    [aux_sym_tunnel_token1] = ACTIONS(643),
    [aux_sym_tunnel_device_token1] = ACTIONS(641),
    [aux_sym_update_host_keys_token1] = ACTIONS(641),
    [aux_sym_use_keychain_token1] = ACTIONS(641),
    [aux_sym_use_roaming_token1] = ACTIONS(641),
    [aux_sym_user_token1] = ACTIONS(643),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(641),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(641),
    [aux_sym_visual_host_key_token1] = ACTIONS(641),
    [aux_sym_xauth_location_token1] = ACTIONS(641),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(649),
    [aux_sym_match_token1] = ACTIONS(647),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(647),
    [aux_sym_address_family_token1] = ACTIONS(647),
    [aux_sym_batch_mode_token1] = ACTIONS(647),
    [aux_sym_bind_address_token1] = ACTIONS(647),
    [aux_sym_bind_interface_token1] = ACTIONS(647),
    [aux_sym_canonical_domains_token1] = ACTIONS(647),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(647),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(647),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(647),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(647),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(647),
    [aux_sym_certificate_file_token1] = ACTIONS(647),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(647),
    [aux_sym_channel_timeout_token1] = ACTIONS(647),
    [aux_sym_check_host_ip_token1] = ACTIONS(647),
    [aux_sym_ciphers_token1] = ACTIONS(647),
    [aux_sym_cipher_token1] = ACTIONS(649),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(647),
    [aux_sym_compression_token1] = ACTIONS(647),
    [aux_sym_connection_attempts_token1] = ACTIONS(647),
    [aux_sym_connect_timeout_token1] = ACTIONS(647),
    [aux_sym_control_master_token1] = ACTIONS(647),
    [aux_sym_control_path_token1] = ACTIONS(647),
    [aux_sym_control_persist_token1] = ACTIONS(647),
    [aux_sym_dynamic_forward_token1] = ACTIONS(647),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(647),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(647),
    [aux_sym_escape_char_token1] = ACTIONS(647),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(647),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(647),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(647),
    [aux_sym_forward_agent_token1] = ACTIONS(647),
    [aux_sym_forward_x11_token1] = ACTIONS(649),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(647),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(647),
    [aux_sym_gateway_ports_token1] = ACTIONS(647),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(647),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(647),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(647),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(647),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(647),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(647),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(647),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(647),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(647),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(647),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(647),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(647),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(647),
    [aux_sym_host_key_alias_token1] = ACTIONS(647),
    [aux_sym_hostname_token1] = ACTIONS(647),
    [aux_sym_identities_only_token1] = ACTIONS(647),
    [aux_sym_identity_agent_token1] = ACTIONS(647),
    [aux_sym_identity_file_token1] = ACTIONS(647),
    [aux_sym_ignore_unknown_token1] = ACTIONS(647),
    [aux_sym_include_token1] = ACTIONS(647),
    [aux_sym_ip_qos_token1] = ACTIONS(647),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(647),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(647),
    [aux_sym_kex_algorithms_token1] = ACTIONS(647),
    [aux_sym_known_hosts_command_token1] = ACTIONS(647),
    [aux_sym_local_command_token1] = ACTIONS(647),
    [aux_sym_local_forward_token1] = ACTIONS(647),
    [aux_sym_log_level_token1] = ACTIONS(647),
    [aux_sym_log_verbose_token1] = ACTIONS(647),
    [aux_sym_macs_token1] = ACTIONS(647),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(647),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(647),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(647),
    [aux_sym_password_authentication_token1] = ACTIONS(647),
    [aux_sym_permit_local_command_token1] = ACTIONS(647),
    [aux_sym_permit_remote_open_token1] = ACTIONS(647),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(647),
    [aux_sym_port_token1] = ACTIONS(647),
    [aux_sym_preferred_authentications_token1] = ACTIONS(647),
    [aux_sym_protocol_token1] = ACTIONS(647),
    [aux_sym_proxy_command_token1] = ACTIONS(647),
    [aux_sym_proxy_jump_token1] = ACTIONS(647),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(647),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(647),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(647),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(647),
    [aux_sym_rekey_limit_token1] = ACTIONS(647),
    [aux_sym_remote_command_token1] = ACTIONS(647),
    [aux_sym_remote_forward_token1] = ACTIONS(647),
    [aux_sym_request_tty_token1] = ACTIONS(647),
    [aux_sym_required_rsa_size_token1] = ACTIONS(647),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(647),
    [aux_sym_security_key_provider_token1] = ACTIONS(647),
    [aux_sym_send_env_token1] = ACTIONS(647),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(647),
    [aux_sym_server_alive_interval_token1] = ACTIONS(647),
    [aux_sym_session_type_token1] = ACTIONS(647),
    [aux_sym_set_env_token1] = ACTIONS(647),
    [aux_sym_stdin_null_token1] = ACTIONS(647),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(647),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(647),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(647),
    [aux_sym_syslog_facility_token1] = ACTIONS(647),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(647),
    [aux_sym_keep_alive_token1] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(647),
    [aux_sym_tunnel_token1] = ACTIONS(649),
    [aux_sym_tunnel_device_token1] = ACTIONS(647),
    [aux_sym_update_host_keys_token1] = ACTIONS(647),
    [aux_sym_use_keychain_token1] = ACTIONS(647),
    [aux_sym_use_roaming_token1] = ACTIONS(647),
    [aux_sym_user_token1] = ACTIONS(649),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(647),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(647),
    [aux_sym_visual_host_key_token1] = ACTIONS(647),
    [aux_sym_xauth_location_token1] = ACTIONS(647),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1423),
    [aux_sym_match_token1] = ACTIONS(1421),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1421),
    [aux_sym_address_family_token1] = ACTIONS(1421),
    [aux_sym_batch_mode_token1] = ACTIONS(1421),
    [aux_sym_bind_address_token1] = ACTIONS(1421),
    [aux_sym_bind_interface_token1] = ACTIONS(1421),
    [aux_sym_canonical_domains_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1421),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1421),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1421),
    [aux_sym_certificate_file_token1] = ACTIONS(1421),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1421),
    [aux_sym_channel_timeout_token1] = ACTIONS(1421),
    [aux_sym_check_host_ip_token1] = ACTIONS(1421),
    [aux_sym_ciphers_token1] = ACTIONS(1421),
    [aux_sym_cipher_token1] = ACTIONS(1423),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1421),
    [aux_sym_compression_token1] = ACTIONS(1421),
    [aux_sym_connection_attempts_token1] = ACTIONS(1421),
    [aux_sym_connect_timeout_token1] = ACTIONS(1421),
    [aux_sym_control_master_token1] = ACTIONS(1421),
    [aux_sym_control_path_token1] = ACTIONS(1421),
    [aux_sym_control_persist_token1] = ACTIONS(1421),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1421),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1421),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1421),
    [aux_sym_escape_char_token1] = ACTIONS(1421),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1421),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1421),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1421),
    [aux_sym_forward_agent_token1] = ACTIONS(1421),
    [aux_sym_forward_x11_token1] = ACTIONS(1423),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1421),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1421),
    [aux_sym_gateway_ports_token1] = ACTIONS(1421),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1421),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1421),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1421),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1421),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1421),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1421),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1421),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1421),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1421),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1421),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1421),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1421),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1421),
    [aux_sym_host_key_alias_token1] = ACTIONS(1421),
    [aux_sym_hostname_token1] = ACTIONS(1421),
    [aux_sym_identities_only_token1] = ACTIONS(1421),
    [aux_sym_identity_agent_token1] = ACTIONS(1421),
    [aux_sym_identity_file_token1] = ACTIONS(1421),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1421),
    [aux_sym_include_token1] = ACTIONS(1421),
    [aux_sym_ip_qos_token1] = ACTIONS(1421),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1421),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1421),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1421),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1421),
    [aux_sym_local_command_token1] = ACTIONS(1421),
    [aux_sym_local_forward_token1] = ACTIONS(1421),
    [aux_sym_log_level_token1] = ACTIONS(1421),
    [aux_sym_log_verbose_token1] = ACTIONS(1421),
    [aux_sym_macs_token1] = ACTIONS(1421),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1421),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1421),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1421),
    [aux_sym_password_authentication_token1] = ACTIONS(1421),
    [aux_sym_permit_local_command_token1] = ACTIONS(1421),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1421),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1421),
    [aux_sym_port_token1] = ACTIONS(1421),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1421),
    [aux_sym_protocol_token1] = ACTIONS(1421),
    [aux_sym_proxy_command_token1] = ACTIONS(1421),
    [aux_sym_proxy_jump_token1] = ACTIONS(1421),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1421),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1421),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1421),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1421),
    [aux_sym_rekey_limit_token1] = ACTIONS(1421),
    [aux_sym_remote_command_token1] = ACTIONS(1421),
    [aux_sym_remote_forward_token1] = ACTIONS(1421),
    [aux_sym_request_tty_token1] = ACTIONS(1421),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1421),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1421),
    [aux_sym_security_key_provider_token1] = ACTIONS(1421),
    [aux_sym_send_env_token1] = ACTIONS(1421),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1421),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1421),
    [aux_sym_session_type_token1] = ACTIONS(1421),
    [aux_sym_set_env_token1] = ACTIONS(1421),
    [aux_sym_stdin_null_token1] = ACTIONS(1421),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1421),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1421),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1421),
    [aux_sym_syslog_facility_token1] = ACTIONS(1421),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1421),
    [aux_sym_keep_alive_token1] = ACTIONS(1421),
    [aux_sym_tag_token1] = ACTIONS(1421),
    [aux_sym_tunnel_token1] = ACTIONS(1423),
    [aux_sym_tunnel_device_token1] = ACTIONS(1421),
    [aux_sym_update_host_keys_token1] = ACTIONS(1421),
    [aux_sym_use_keychain_token1] = ACTIONS(1421),
    [aux_sym_use_roaming_token1] = ACTIONS(1421),
    [aux_sym_user_token1] = ACTIONS(1423),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1421),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1421),
    [aux_sym_visual_host_key_token1] = ACTIONS(1421),
    [aux_sym_xauth_location_token1] = ACTIONS(1421),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(655),
    [aux_sym_match_token1] = ACTIONS(653),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(653),
    [aux_sym_address_family_token1] = ACTIONS(653),
    [aux_sym_batch_mode_token1] = ACTIONS(653),
    [aux_sym_bind_address_token1] = ACTIONS(653),
    [aux_sym_bind_interface_token1] = ACTIONS(653),
    [aux_sym_canonical_domains_token1] = ACTIONS(653),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(653),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(653),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(653),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(653),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(653),
    [aux_sym_certificate_file_token1] = ACTIONS(653),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(653),
    [aux_sym_channel_timeout_token1] = ACTIONS(653),
    [aux_sym_check_host_ip_token1] = ACTIONS(653),
    [aux_sym_ciphers_token1] = ACTIONS(653),
    [aux_sym_cipher_token1] = ACTIONS(655),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(653),
    [aux_sym_compression_token1] = ACTIONS(653),
    [aux_sym_connection_attempts_token1] = ACTIONS(653),
    [aux_sym_connect_timeout_token1] = ACTIONS(653),
    [aux_sym_control_master_token1] = ACTIONS(653),
    [aux_sym_control_path_token1] = ACTIONS(653),
    [aux_sym_control_persist_token1] = ACTIONS(653),
    [aux_sym_dynamic_forward_token1] = ACTIONS(653),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(653),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(653),
    [aux_sym_escape_char_token1] = ACTIONS(653),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(653),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(653),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(653),
    [aux_sym_forward_agent_token1] = ACTIONS(653),
    [aux_sym_forward_x11_token1] = ACTIONS(655),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(653),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(653),
    [aux_sym_gateway_ports_token1] = ACTIONS(653),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(653),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(653),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(653),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(653),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(653),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(653),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(653),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(653),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(653),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(653),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(653),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(653),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(653),
    [aux_sym_host_key_alias_token1] = ACTIONS(653),
    [aux_sym_hostname_token1] = ACTIONS(653),
    [aux_sym_identities_only_token1] = ACTIONS(653),
    [aux_sym_identity_agent_token1] = ACTIONS(653),
    [aux_sym_identity_file_token1] = ACTIONS(653),
    [aux_sym_ignore_unknown_token1] = ACTIONS(653),
    [aux_sym_include_token1] = ACTIONS(653),
    [aux_sym_ip_qos_token1] = ACTIONS(653),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(653),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(653),
    [aux_sym_kex_algorithms_token1] = ACTIONS(653),
    [aux_sym_known_hosts_command_token1] = ACTIONS(653),
    [aux_sym_local_command_token1] = ACTIONS(653),
    [aux_sym_local_forward_token1] = ACTIONS(653),
    [aux_sym_log_level_token1] = ACTIONS(653),
    [aux_sym_log_verbose_token1] = ACTIONS(653),
    [aux_sym_macs_token1] = ACTIONS(653),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(653),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(653),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(653),
    [aux_sym_password_authentication_token1] = ACTIONS(653),
    [aux_sym_permit_local_command_token1] = ACTIONS(653),
    [aux_sym_permit_remote_open_token1] = ACTIONS(653),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(653),
    [aux_sym_port_token1] = ACTIONS(653),
    [aux_sym_preferred_authentications_token1] = ACTIONS(653),
    [aux_sym_protocol_token1] = ACTIONS(653),
    [aux_sym_proxy_command_token1] = ACTIONS(653),
    [aux_sym_proxy_jump_token1] = ACTIONS(653),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(653),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(653),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(653),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(653),
    [aux_sym_rekey_limit_token1] = ACTIONS(653),
    [aux_sym_remote_command_token1] = ACTIONS(653),
    [aux_sym_remote_forward_token1] = ACTIONS(653),
    [aux_sym_request_tty_token1] = ACTIONS(653),
    [aux_sym_required_rsa_size_token1] = ACTIONS(653),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(653),
    [aux_sym_security_key_provider_token1] = ACTIONS(653),
    [aux_sym_send_env_token1] = ACTIONS(653),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(653),
    [aux_sym_server_alive_interval_token1] = ACTIONS(653),
    [aux_sym_session_type_token1] = ACTIONS(653),
    [aux_sym_set_env_token1] = ACTIONS(653),
    [aux_sym_stdin_null_token1] = ACTIONS(653),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(653),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(653),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(653),
    [aux_sym_syslog_facility_token1] = ACTIONS(653),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(653),
    [aux_sym_keep_alive_token1] = ACTIONS(653),
    [aux_sym_tag_token1] = ACTIONS(653),
    [aux_sym_tunnel_token1] = ACTIONS(655),
    [aux_sym_tunnel_device_token1] = ACTIONS(653),
    [aux_sym_update_host_keys_token1] = ACTIONS(653),
    [aux_sym_use_keychain_token1] = ACTIONS(653),
    [aux_sym_use_roaming_token1] = ACTIONS(653),
    [aux_sym_user_token1] = ACTIONS(655),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(653),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(653),
    [aux_sym_visual_host_key_token1] = ACTIONS(653),
    [aux_sym_xauth_location_token1] = ACTIONS(653),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(979),
    [aux_sym_match_token1] = ACTIONS(977),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(977),
    [aux_sym_address_family_token1] = ACTIONS(977),
    [aux_sym_batch_mode_token1] = ACTIONS(977),
    [aux_sym_bind_address_token1] = ACTIONS(977),
    [aux_sym_bind_interface_token1] = ACTIONS(977),
    [aux_sym_canonical_domains_token1] = ACTIONS(977),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(977),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(977),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(977),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(977),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(977),
    [aux_sym_certificate_file_token1] = ACTIONS(977),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(977),
    [aux_sym_channel_timeout_token1] = ACTIONS(977),
    [aux_sym_check_host_ip_token1] = ACTIONS(977),
    [aux_sym_ciphers_token1] = ACTIONS(977),
    [aux_sym_cipher_token1] = ACTIONS(979),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(977),
    [aux_sym_compression_token1] = ACTIONS(977),
    [aux_sym_connection_attempts_token1] = ACTIONS(977),
    [aux_sym_connect_timeout_token1] = ACTIONS(977),
    [aux_sym_control_master_token1] = ACTIONS(977),
    [aux_sym_control_path_token1] = ACTIONS(977),
    [aux_sym_control_persist_token1] = ACTIONS(977),
    [aux_sym_dynamic_forward_token1] = ACTIONS(977),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(977),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(977),
    [aux_sym_escape_char_token1] = ACTIONS(977),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(977),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(977),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(977),
    [aux_sym_forward_agent_token1] = ACTIONS(977),
    [aux_sym_forward_x11_token1] = ACTIONS(979),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(977),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(977),
    [aux_sym_gateway_ports_token1] = ACTIONS(977),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(977),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(977),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(977),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(977),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(977),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(977),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(977),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(977),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(977),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(977),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(977),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(977),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(977),
    [aux_sym_host_key_alias_token1] = ACTIONS(977),
    [aux_sym_hostname_token1] = ACTIONS(977),
    [aux_sym_identities_only_token1] = ACTIONS(977),
    [aux_sym_identity_agent_token1] = ACTIONS(977),
    [aux_sym_identity_file_token1] = ACTIONS(977),
    [aux_sym_ignore_unknown_token1] = ACTIONS(977),
    [aux_sym_include_token1] = ACTIONS(977),
    [aux_sym_ip_qos_token1] = ACTIONS(977),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(977),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(977),
    [aux_sym_kex_algorithms_token1] = ACTIONS(977),
    [aux_sym_known_hosts_command_token1] = ACTIONS(977),
    [aux_sym_local_command_token1] = ACTIONS(977),
    [aux_sym_local_forward_token1] = ACTIONS(977),
    [aux_sym_log_level_token1] = ACTIONS(977),
    [aux_sym_log_verbose_token1] = ACTIONS(977),
    [aux_sym_macs_token1] = ACTIONS(977),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(977),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(977),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(977),
    [aux_sym_password_authentication_token1] = ACTIONS(977),
    [aux_sym_permit_local_command_token1] = ACTIONS(977),
    [aux_sym_permit_remote_open_token1] = ACTIONS(977),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(977),
    [aux_sym_port_token1] = ACTIONS(977),
    [aux_sym_preferred_authentications_token1] = ACTIONS(977),
    [aux_sym_protocol_token1] = ACTIONS(977),
    [aux_sym_proxy_command_token1] = ACTIONS(977),
    [aux_sym_proxy_jump_token1] = ACTIONS(977),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(977),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(977),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(977),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(977),
    [aux_sym_rekey_limit_token1] = ACTIONS(977),
    [aux_sym_remote_command_token1] = ACTIONS(977),
    [aux_sym_remote_forward_token1] = ACTIONS(977),
    [aux_sym_request_tty_token1] = ACTIONS(977),
    [aux_sym_required_rsa_size_token1] = ACTIONS(977),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(977),
    [aux_sym_security_key_provider_token1] = ACTIONS(977),
    [aux_sym_send_env_token1] = ACTIONS(977),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(977),
    [aux_sym_server_alive_interval_token1] = ACTIONS(977),
    [aux_sym_session_type_token1] = ACTIONS(977),
    [aux_sym_set_env_token1] = ACTIONS(977),
    [aux_sym_stdin_null_token1] = ACTIONS(977),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(977),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(977),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(977),
    [aux_sym_syslog_facility_token1] = ACTIONS(977),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(977),
    [aux_sym_keep_alive_token1] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(977),
    [aux_sym_tunnel_token1] = ACTIONS(979),
    [aux_sym_tunnel_device_token1] = ACTIONS(977),
    [aux_sym_update_host_keys_token1] = ACTIONS(977),
    [aux_sym_use_keychain_token1] = ACTIONS(977),
    [aux_sym_use_roaming_token1] = ACTIONS(977),
    [aux_sym_user_token1] = ACTIONS(979),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(977),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(977),
    [aux_sym_visual_host_key_token1] = ACTIONS(977),
    [aux_sym_xauth_location_token1] = ACTIONS(977),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(1427),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1429),
    [aux_sym_match_token1] = ACTIONS(1427),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1427),
    [aux_sym_address_family_token1] = ACTIONS(1427),
    [aux_sym_batch_mode_token1] = ACTIONS(1427),
    [aux_sym_bind_address_token1] = ACTIONS(1427),
    [aux_sym_bind_interface_token1] = ACTIONS(1427),
    [aux_sym_canonical_domains_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1427),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1427),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1427),
    [aux_sym_certificate_file_token1] = ACTIONS(1427),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1427),
    [aux_sym_channel_timeout_token1] = ACTIONS(1427),
    [aux_sym_check_host_ip_token1] = ACTIONS(1427),
    [aux_sym_ciphers_token1] = ACTIONS(1427),
    [aux_sym_cipher_token1] = ACTIONS(1429),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1427),
    [aux_sym_compression_token1] = ACTIONS(1427),
    [aux_sym_connection_attempts_token1] = ACTIONS(1427),
    [aux_sym_connect_timeout_token1] = ACTIONS(1427),
    [aux_sym_control_master_token1] = ACTIONS(1427),
    [aux_sym_control_path_token1] = ACTIONS(1427),
    [aux_sym_control_persist_token1] = ACTIONS(1427),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1427),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1427),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1427),
    [aux_sym_escape_char_token1] = ACTIONS(1427),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1427),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1427),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1427),
    [aux_sym_forward_agent_token1] = ACTIONS(1427),
    [aux_sym_forward_x11_token1] = ACTIONS(1429),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1427),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1427),
    [aux_sym_gateway_ports_token1] = ACTIONS(1427),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1427),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1427),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1427),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1427),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1427),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1427),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1427),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1427),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1427),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1427),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1427),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1427),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1427),
    [aux_sym_host_key_alias_token1] = ACTIONS(1427),
    [aux_sym_hostname_token1] = ACTIONS(1427),
    [aux_sym_identities_only_token1] = ACTIONS(1427),
    [aux_sym_identity_agent_token1] = ACTIONS(1427),
    [aux_sym_identity_file_token1] = ACTIONS(1427),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1427),
    [aux_sym_include_token1] = ACTIONS(1427),
    [aux_sym_ip_qos_token1] = ACTIONS(1427),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1427),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1427),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1427),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1427),
    [aux_sym_local_command_token1] = ACTIONS(1427),
    [aux_sym_local_forward_token1] = ACTIONS(1427),
    [aux_sym_log_level_token1] = ACTIONS(1427),
    [aux_sym_log_verbose_token1] = ACTIONS(1427),
    [aux_sym_macs_token1] = ACTIONS(1427),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1427),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1427),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1427),
    [aux_sym_password_authentication_token1] = ACTIONS(1427),
    [aux_sym_permit_local_command_token1] = ACTIONS(1427),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1427),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1427),
    [aux_sym_port_token1] = ACTIONS(1427),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1427),
    [aux_sym_protocol_token1] = ACTIONS(1427),
    [aux_sym_proxy_command_token1] = ACTIONS(1427),
    [aux_sym_proxy_jump_token1] = ACTIONS(1427),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1427),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1427),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1427),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1427),
    [aux_sym_rekey_limit_token1] = ACTIONS(1427),
    [aux_sym_remote_command_token1] = ACTIONS(1427),
    [aux_sym_remote_forward_token1] = ACTIONS(1427),
    [aux_sym_request_tty_token1] = ACTIONS(1427),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1427),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1427),
    [aux_sym_security_key_provider_token1] = ACTIONS(1427),
    [aux_sym_send_env_token1] = ACTIONS(1427),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1427),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1427),
    [aux_sym_session_type_token1] = ACTIONS(1427),
    [aux_sym_set_env_token1] = ACTIONS(1427),
    [aux_sym_stdin_null_token1] = ACTIONS(1427),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1427),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1427),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1427),
    [aux_sym_syslog_facility_token1] = ACTIONS(1427),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1427),
    [aux_sym_keep_alive_token1] = ACTIONS(1427),
    [aux_sym_tag_token1] = ACTIONS(1427),
    [aux_sym_tunnel_token1] = ACTIONS(1429),
    [aux_sym_tunnel_device_token1] = ACTIONS(1427),
    [aux_sym_update_host_keys_token1] = ACTIONS(1427),
    [aux_sym_use_keychain_token1] = ACTIONS(1427),
    [aux_sym_use_roaming_token1] = ACTIONS(1427),
    [aux_sym_user_token1] = ACTIONS(1429),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1427),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1427),
    [aux_sym_visual_host_key_token1] = ACTIONS(1427),
    [aux_sym_xauth_location_token1] = ACTIONS(1427),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(659),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(661),
    [aux_sym_match_token1] = ACTIONS(659),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(659),
    [aux_sym_address_family_token1] = ACTIONS(659),
    [aux_sym_batch_mode_token1] = ACTIONS(659),
    [aux_sym_bind_address_token1] = ACTIONS(659),
    [aux_sym_bind_interface_token1] = ACTIONS(659),
    [aux_sym_canonical_domains_token1] = ACTIONS(659),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(659),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(659),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(659),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(659),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(659),
    [aux_sym_certificate_file_token1] = ACTIONS(659),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(659),
    [aux_sym_channel_timeout_token1] = ACTIONS(659),
    [aux_sym_check_host_ip_token1] = ACTIONS(659),
    [aux_sym_ciphers_token1] = ACTIONS(659),
    [aux_sym_cipher_token1] = ACTIONS(661),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(659),
    [aux_sym_compression_token1] = ACTIONS(659),
    [aux_sym_connection_attempts_token1] = ACTIONS(659),
    [aux_sym_connect_timeout_token1] = ACTIONS(659),
    [aux_sym_control_master_token1] = ACTIONS(659),
    [aux_sym_control_path_token1] = ACTIONS(659),
    [aux_sym_control_persist_token1] = ACTIONS(659),
    [aux_sym_dynamic_forward_token1] = ACTIONS(659),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(659),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(659),
    [aux_sym_escape_char_token1] = ACTIONS(659),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(659),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(659),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(659),
    [aux_sym_forward_agent_token1] = ACTIONS(659),
    [aux_sym_forward_x11_token1] = ACTIONS(661),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(659),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(659),
    [aux_sym_gateway_ports_token1] = ACTIONS(659),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(659),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(659),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(659),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(659),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(659),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(659),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(659),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(659),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(659),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(659),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(659),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(659),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(659),
    [aux_sym_host_key_alias_token1] = ACTIONS(659),
    [aux_sym_hostname_token1] = ACTIONS(659),
    [aux_sym_identities_only_token1] = ACTIONS(659),
    [aux_sym_identity_agent_token1] = ACTIONS(659),
    [aux_sym_identity_file_token1] = ACTIONS(659),
    [aux_sym_ignore_unknown_token1] = ACTIONS(659),
    [aux_sym_include_token1] = ACTIONS(659),
    [aux_sym_ip_qos_token1] = ACTIONS(659),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(659),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(659),
    [aux_sym_kex_algorithms_token1] = ACTIONS(659),
    [aux_sym_known_hosts_command_token1] = ACTIONS(659),
    [aux_sym_local_command_token1] = ACTIONS(659),
    [aux_sym_local_forward_token1] = ACTIONS(659),
    [aux_sym_log_level_token1] = ACTIONS(659),
    [aux_sym_log_verbose_token1] = ACTIONS(659),
    [aux_sym_macs_token1] = ACTIONS(659),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(659),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(659),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(659),
    [aux_sym_password_authentication_token1] = ACTIONS(659),
    [aux_sym_permit_local_command_token1] = ACTIONS(659),
    [aux_sym_permit_remote_open_token1] = ACTIONS(659),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(659),
    [aux_sym_port_token1] = ACTIONS(659),
    [aux_sym_preferred_authentications_token1] = ACTIONS(659),
    [aux_sym_protocol_token1] = ACTIONS(659),
    [aux_sym_proxy_command_token1] = ACTIONS(659),
    [aux_sym_proxy_jump_token1] = ACTIONS(659),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(659),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(659),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(659),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(659),
    [aux_sym_rekey_limit_token1] = ACTIONS(659),
    [aux_sym_remote_command_token1] = ACTIONS(659),
    [aux_sym_remote_forward_token1] = ACTIONS(659),
    [aux_sym_request_tty_token1] = ACTIONS(659),
    [aux_sym_required_rsa_size_token1] = ACTIONS(659),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(659),
    [aux_sym_security_key_provider_token1] = ACTIONS(659),
    [aux_sym_send_env_token1] = ACTIONS(659),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(659),
    [aux_sym_server_alive_interval_token1] = ACTIONS(659),
    [aux_sym_session_type_token1] = ACTIONS(659),
    [aux_sym_set_env_token1] = ACTIONS(659),
    [aux_sym_stdin_null_token1] = ACTIONS(659),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(659),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(659),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(659),
    [aux_sym_syslog_facility_token1] = ACTIONS(659),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(659),
    [aux_sym_keep_alive_token1] = ACTIONS(659),
    [aux_sym_tag_token1] = ACTIONS(659),
    [aux_sym_tunnel_token1] = ACTIONS(661),
    [aux_sym_tunnel_device_token1] = ACTIONS(659),
    [aux_sym_update_host_keys_token1] = ACTIONS(659),
    [aux_sym_use_keychain_token1] = ACTIONS(659),
    [aux_sym_use_roaming_token1] = ACTIONS(659),
    [aux_sym_user_token1] = ACTIONS(661),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(659),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(659),
    [aux_sym_visual_host_key_token1] = ACTIONS(659),
    [aux_sym_xauth_location_token1] = ACTIONS(659),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(665),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(667),
    [aux_sym_match_token1] = ACTIONS(665),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(665),
    [aux_sym_address_family_token1] = ACTIONS(665),
    [aux_sym_batch_mode_token1] = ACTIONS(665),
    [aux_sym_bind_address_token1] = ACTIONS(665),
    [aux_sym_bind_interface_token1] = ACTIONS(665),
    [aux_sym_canonical_domains_token1] = ACTIONS(665),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(665),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(665),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(665),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(665),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(665),
    [aux_sym_certificate_file_token1] = ACTIONS(665),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(665),
    [aux_sym_channel_timeout_token1] = ACTIONS(665),
    [aux_sym_check_host_ip_token1] = ACTIONS(665),
    [aux_sym_ciphers_token1] = ACTIONS(665),
    [aux_sym_cipher_token1] = ACTIONS(667),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(665),
    [aux_sym_compression_token1] = ACTIONS(665),
    [aux_sym_connection_attempts_token1] = ACTIONS(665),
    [aux_sym_connect_timeout_token1] = ACTIONS(665),
    [aux_sym_control_master_token1] = ACTIONS(665),
    [aux_sym_control_path_token1] = ACTIONS(665),
    [aux_sym_control_persist_token1] = ACTIONS(665),
    [aux_sym_dynamic_forward_token1] = ACTIONS(665),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(665),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(665),
    [aux_sym_escape_char_token1] = ACTIONS(665),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(665),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(665),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(665),
    [aux_sym_forward_agent_token1] = ACTIONS(665),
    [aux_sym_forward_x11_token1] = ACTIONS(667),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(665),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(665),
    [aux_sym_gateway_ports_token1] = ACTIONS(665),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(665),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(665),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(665),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(665),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(665),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(665),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(665),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(665),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(665),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(665),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(665),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(665),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(665),
    [aux_sym_host_key_alias_token1] = ACTIONS(665),
    [aux_sym_hostname_token1] = ACTIONS(665),
    [aux_sym_identities_only_token1] = ACTIONS(665),
    [aux_sym_identity_agent_token1] = ACTIONS(665),
    [aux_sym_identity_file_token1] = ACTIONS(665),
    [aux_sym_ignore_unknown_token1] = ACTIONS(665),
    [aux_sym_include_token1] = ACTIONS(665),
    [aux_sym_ip_qos_token1] = ACTIONS(665),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(665),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(665),
    [aux_sym_kex_algorithms_token1] = ACTIONS(665),
    [aux_sym_known_hosts_command_token1] = ACTIONS(665),
    [aux_sym_local_command_token1] = ACTIONS(665),
    [aux_sym_local_forward_token1] = ACTIONS(665),
    [aux_sym_log_level_token1] = ACTIONS(665),
    [aux_sym_log_verbose_token1] = ACTIONS(665),
    [aux_sym_macs_token1] = ACTIONS(665),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(665),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(665),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(665),
    [aux_sym_password_authentication_token1] = ACTIONS(665),
    [aux_sym_permit_local_command_token1] = ACTIONS(665),
    [aux_sym_permit_remote_open_token1] = ACTIONS(665),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(665),
    [aux_sym_port_token1] = ACTIONS(665),
    [aux_sym_preferred_authentications_token1] = ACTIONS(665),
    [aux_sym_protocol_token1] = ACTIONS(665),
    [aux_sym_proxy_command_token1] = ACTIONS(665),
    [aux_sym_proxy_jump_token1] = ACTIONS(665),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(665),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(665),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(665),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(665),
    [aux_sym_rekey_limit_token1] = ACTIONS(665),
    [aux_sym_remote_command_token1] = ACTIONS(665),
    [aux_sym_remote_forward_token1] = ACTIONS(665),
    [aux_sym_request_tty_token1] = ACTIONS(665),
    [aux_sym_required_rsa_size_token1] = ACTIONS(665),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(665),
    [aux_sym_security_key_provider_token1] = ACTIONS(665),
    [aux_sym_send_env_token1] = ACTIONS(665),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(665),
    [aux_sym_server_alive_interval_token1] = ACTIONS(665),
    [aux_sym_session_type_token1] = ACTIONS(665),
    [aux_sym_set_env_token1] = ACTIONS(665),
    [aux_sym_stdin_null_token1] = ACTIONS(665),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(665),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(665),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(665),
    [aux_sym_syslog_facility_token1] = ACTIONS(665),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(665),
    [aux_sym_keep_alive_token1] = ACTIONS(665),
    [aux_sym_tag_token1] = ACTIONS(665),
    [aux_sym_tunnel_token1] = ACTIONS(667),
    [aux_sym_tunnel_device_token1] = ACTIONS(665),
    [aux_sym_update_host_keys_token1] = ACTIONS(665),
    [aux_sym_use_keychain_token1] = ACTIONS(665),
    [aux_sym_use_roaming_token1] = ACTIONS(665),
    [aux_sym_user_token1] = ACTIONS(667),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(665),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(665),
    [aux_sym_visual_host_key_token1] = ACTIONS(665),
    [aux_sym_xauth_location_token1] = ACTIONS(665),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1965),
    [aux_sym_match_token1] = ACTIONS(1963),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1963),
    [aux_sym_address_family_token1] = ACTIONS(1963),
    [aux_sym_batch_mode_token1] = ACTIONS(1963),
    [aux_sym_bind_address_token1] = ACTIONS(1963),
    [aux_sym_bind_interface_token1] = ACTIONS(1963),
    [aux_sym_canonical_domains_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1963),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1963),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1963),
    [aux_sym_certificate_file_token1] = ACTIONS(1963),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1963),
    [aux_sym_channel_timeout_token1] = ACTIONS(1963),
    [aux_sym_check_host_ip_token1] = ACTIONS(1963),
    [aux_sym_ciphers_token1] = ACTIONS(1963),
    [aux_sym_cipher_token1] = ACTIONS(1965),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1963),
    [aux_sym_compression_token1] = ACTIONS(1963),
    [aux_sym_connection_attempts_token1] = ACTIONS(1963),
    [aux_sym_connect_timeout_token1] = ACTIONS(1963),
    [aux_sym_control_master_token1] = ACTIONS(1963),
    [aux_sym_control_path_token1] = ACTIONS(1963),
    [aux_sym_control_persist_token1] = ACTIONS(1963),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1963),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1963),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1963),
    [aux_sym_escape_char_token1] = ACTIONS(1963),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1963),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1963),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1963),
    [aux_sym_forward_agent_token1] = ACTIONS(1963),
    [aux_sym_forward_x11_token1] = ACTIONS(1965),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1963),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1963),
    [aux_sym_gateway_ports_token1] = ACTIONS(1963),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1963),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1963),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1963),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1963),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1963),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1963),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1963),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1963),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1963),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1963),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1963),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1963),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1963),
    [aux_sym_host_key_alias_token1] = ACTIONS(1963),
    [aux_sym_hostname_token1] = ACTIONS(1963),
    [aux_sym_identities_only_token1] = ACTIONS(1963),
    [aux_sym_identity_agent_token1] = ACTIONS(1963),
    [aux_sym_identity_file_token1] = ACTIONS(1963),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1963),
    [aux_sym_include_token1] = ACTIONS(1963),
    [aux_sym_ip_qos_token1] = ACTIONS(1963),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1963),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1963),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1963),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1963),
    [aux_sym_local_command_token1] = ACTIONS(1963),
    [aux_sym_local_forward_token1] = ACTIONS(1963),
    [aux_sym_log_level_token1] = ACTIONS(1963),
    [aux_sym_log_verbose_token1] = ACTIONS(1963),
    [aux_sym_macs_token1] = ACTIONS(1963),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1963),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1963),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1963),
    [aux_sym_password_authentication_token1] = ACTIONS(1963),
    [aux_sym_permit_local_command_token1] = ACTIONS(1963),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1963),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1963),
    [aux_sym_port_token1] = ACTIONS(1963),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1963),
    [aux_sym_protocol_token1] = ACTIONS(1963),
    [aux_sym_proxy_command_token1] = ACTIONS(1963),
    [aux_sym_proxy_jump_token1] = ACTIONS(1963),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1963),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1963),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1963),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1963),
    [aux_sym_rekey_limit_token1] = ACTIONS(1963),
    [aux_sym_remote_command_token1] = ACTIONS(1963),
    [aux_sym_remote_forward_token1] = ACTIONS(1963),
    [aux_sym_request_tty_token1] = ACTIONS(1963),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1963),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1963),
    [aux_sym_security_key_provider_token1] = ACTIONS(1963),
    [aux_sym_send_env_token1] = ACTIONS(1963),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1963),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1963),
    [aux_sym_session_type_token1] = ACTIONS(1963),
    [aux_sym_set_env_token1] = ACTIONS(1963),
    [aux_sym_stdin_null_token1] = ACTIONS(1963),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1963),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1963),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1963),
    [aux_sym_syslog_facility_token1] = ACTIONS(1963),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1963),
    [aux_sym_keep_alive_token1] = ACTIONS(1963),
    [aux_sym_tag_token1] = ACTIONS(1963),
    [aux_sym_tunnel_token1] = ACTIONS(1965),
    [aux_sym_tunnel_device_token1] = ACTIONS(1963),
    [aux_sym_update_host_keys_token1] = ACTIONS(1963),
    [aux_sym_use_keychain_token1] = ACTIONS(1963),
    [aux_sym_use_roaming_token1] = ACTIONS(1963),
    [aux_sym_user_token1] = ACTIONS(1965),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1963),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1963),
    [aux_sym_visual_host_key_token1] = ACTIONS(1963),
    [aux_sym_xauth_location_token1] = ACTIONS(1963),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1971),
    [aux_sym_match_token1] = ACTIONS(1969),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1969),
    [aux_sym_address_family_token1] = ACTIONS(1969),
    [aux_sym_batch_mode_token1] = ACTIONS(1969),
    [aux_sym_bind_address_token1] = ACTIONS(1969),
    [aux_sym_bind_interface_token1] = ACTIONS(1969),
    [aux_sym_canonical_domains_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1969),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1969),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1969),
    [aux_sym_certificate_file_token1] = ACTIONS(1969),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1969),
    [aux_sym_channel_timeout_token1] = ACTIONS(1969),
    [aux_sym_check_host_ip_token1] = ACTIONS(1969),
    [aux_sym_ciphers_token1] = ACTIONS(1969),
    [aux_sym_cipher_token1] = ACTIONS(1971),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1969),
    [aux_sym_compression_token1] = ACTIONS(1969),
    [aux_sym_connection_attempts_token1] = ACTIONS(1969),
    [aux_sym_connect_timeout_token1] = ACTIONS(1969),
    [aux_sym_control_master_token1] = ACTIONS(1969),
    [aux_sym_control_path_token1] = ACTIONS(1969),
    [aux_sym_control_persist_token1] = ACTIONS(1969),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1969),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1969),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1969),
    [aux_sym_escape_char_token1] = ACTIONS(1969),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1969),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1969),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1969),
    [aux_sym_forward_agent_token1] = ACTIONS(1969),
    [aux_sym_forward_x11_token1] = ACTIONS(1971),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1969),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1969),
    [aux_sym_gateway_ports_token1] = ACTIONS(1969),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1969),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1969),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1969),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1969),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1969),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1969),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1969),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1969),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1969),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1969),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1969),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1969),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1969),
    [aux_sym_host_key_alias_token1] = ACTIONS(1969),
    [aux_sym_hostname_token1] = ACTIONS(1969),
    [aux_sym_identities_only_token1] = ACTIONS(1969),
    [aux_sym_identity_agent_token1] = ACTIONS(1969),
    [aux_sym_identity_file_token1] = ACTIONS(1969),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1969),
    [aux_sym_include_token1] = ACTIONS(1969),
    [aux_sym_ip_qos_token1] = ACTIONS(1969),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1969),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1969),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1969),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1969),
    [aux_sym_local_command_token1] = ACTIONS(1969),
    [aux_sym_local_forward_token1] = ACTIONS(1969),
    [aux_sym_log_level_token1] = ACTIONS(1969),
    [aux_sym_log_verbose_token1] = ACTIONS(1969),
    [aux_sym_macs_token1] = ACTIONS(1969),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1969),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1969),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1969),
    [aux_sym_password_authentication_token1] = ACTIONS(1969),
    [aux_sym_permit_local_command_token1] = ACTIONS(1969),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1969),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1969),
    [aux_sym_port_token1] = ACTIONS(1969),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1969),
    [aux_sym_protocol_token1] = ACTIONS(1969),
    [aux_sym_proxy_command_token1] = ACTIONS(1969),
    [aux_sym_proxy_jump_token1] = ACTIONS(1969),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1969),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1969),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1969),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1969),
    [aux_sym_rekey_limit_token1] = ACTIONS(1969),
    [aux_sym_remote_command_token1] = ACTIONS(1969),
    [aux_sym_remote_forward_token1] = ACTIONS(1969),
    [aux_sym_request_tty_token1] = ACTIONS(1969),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1969),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1969),
    [aux_sym_security_key_provider_token1] = ACTIONS(1969),
    [aux_sym_send_env_token1] = ACTIONS(1969),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1969),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1969),
    [aux_sym_session_type_token1] = ACTIONS(1969),
    [aux_sym_set_env_token1] = ACTIONS(1969),
    [aux_sym_stdin_null_token1] = ACTIONS(1969),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1969),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1969),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1969),
    [aux_sym_syslog_facility_token1] = ACTIONS(1969),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1969),
    [aux_sym_keep_alive_token1] = ACTIONS(1969),
    [aux_sym_tag_token1] = ACTIONS(1969),
    [aux_sym_tunnel_token1] = ACTIONS(1971),
    [aux_sym_tunnel_device_token1] = ACTIONS(1969),
    [aux_sym_update_host_keys_token1] = ACTIONS(1969),
    [aux_sym_use_keychain_token1] = ACTIONS(1969),
    [aux_sym_use_roaming_token1] = ACTIONS(1969),
    [aux_sym_user_token1] = ACTIONS(1971),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1969),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1969),
    [aux_sym_visual_host_key_token1] = ACTIONS(1969),
    [aux_sym_xauth_location_token1] = ACTIONS(1969),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1673),
    [aux_sym_match_token1] = ACTIONS(1671),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1671),
    [aux_sym_address_family_token1] = ACTIONS(1671),
    [aux_sym_batch_mode_token1] = ACTIONS(1671),
    [aux_sym_bind_address_token1] = ACTIONS(1671),
    [aux_sym_bind_interface_token1] = ACTIONS(1671),
    [aux_sym_canonical_domains_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1671),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1671),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1671),
    [aux_sym_certificate_file_token1] = ACTIONS(1671),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1671),
    [aux_sym_channel_timeout_token1] = ACTIONS(1671),
    [aux_sym_check_host_ip_token1] = ACTIONS(1671),
    [aux_sym_ciphers_token1] = ACTIONS(1671),
    [aux_sym_cipher_token1] = ACTIONS(1673),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1671),
    [aux_sym_compression_token1] = ACTIONS(1671),
    [aux_sym_connection_attempts_token1] = ACTIONS(1671),
    [aux_sym_connect_timeout_token1] = ACTIONS(1671),
    [aux_sym_control_master_token1] = ACTIONS(1671),
    [aux_sym_control_path_token1] = ACTIONS(1671),
    [aux_sym_control_persist_token1] = ACTIONS(1671),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1671),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1671),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1671),
    [aux_sym_escape_char_token1] = ACTIONS(1671),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1671),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1671),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1671),
    [aux_sym_forward_agent_token1] = ACTIONS(1671),
    [aux_sym_forward_x11_token1] = ACTIONS(1673),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1671),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1671),
    [aux_sym_gateway_ports_token1] = ACTIONS(1671),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1671),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1671),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1671),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1671),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1671),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1671),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1671),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1671),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1671),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1671),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1671),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1671),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1671),
    [aux_sym_host_key_alias_token1] = ACTIONS(1671),
    [aux_sym_hostname_token1] = ACTIONS(1671),
    [aux_sym_identities_only_token1] = ACTIONS(1671),
    [aux_sym_identity_agent_token1] = ACTIONS(1671),
    [aux_sym_identity_file_token1] = ACTIONS(1671),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1671),
    [aux_sym_include_token1] = ACTIONS(1671),
    [aux_sym_ip_qos_token1] = ACTIONS(1671),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1671),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1671),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1671),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1671),
    [aux_sym_local_command_token1] = ACTIONS(1671),
    [aux_sym_local_forward_token1] = ACTIONS(1671),
    [aux_sym_log_level_token1] = ACTIONS(1671),
    [aux_sym_log_verbose_token1] = ACTIONS(1671),
    [aux_sym_macs_token1] = ACTIONS(1671),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1671),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1671),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1671),
    [aux_sym_password_authentication_token1] = ACTIONS(1671),
    [aux_sym_permit_local_command_token1] = ACTIONS(1671),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1671),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1671),
    [aux_sym_port_token1] = ACTIONS(1671),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1671),
    [aux_sym_protocol_token1] = ACTIONS(1671),
    [aux_sym_proxy_command_token1] = ACTIONS(1671),
    [aux_sym_proxy_jump_token1] = ACTIONS(1671),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1671),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1671),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1671),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1671),
    [aux_sym_rekey_limit_token1] = ACTIONS(1671),
    [aux_sym_remote_command_token1] = ACTIONS(1671),
    [aux_sym_remote_forward_token1] = ACTIONS(1671),
    [aux_sym_request_tty_token1] = ACTIONS(1671),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1671),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1671),
    [aux_sym_security_key_provider_token1] = ACTIONS(1671),
    [aux_sym_send_env_token1] = ACTIONS(1671),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1671),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1671),
    [aux_sym_session_type_token1] = ACTIONS(1671),
    [aux_sym_set_env_token1] = ACTIONS(1671),
    [aux_sym_stdin_null_token1] = ACTIONS(1671),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1671),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1671),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1671),
    [aux_sym_syslog_facility_token1] = ACTIONS(1671),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1671),
    [aux_sym_keep_alive_token1] = ACTIONS(1671),
    [aux_sym_tag_token1] = ACTIONS(1671),
    [aux_sym_tunnel_token1] = ACTIONS(1673),
    [aux_sym_tunnel_device_token1] = ACTIONS(1671),
    [aux_sym_update_host_keys_token1] = ACTIONS(1671),
    [aux_sym_use_keychain_token1] = ACTIONS(1671),
    [aux_sym_use_roaming_token1] = ACTIONS(1671),
    [aux_sym_user_token1] = ACTIONS(1673),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1671),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1671),
    [aux_sym_visual_host_key_token1] = ACTIONS(1671),
    [aux_sym_xauth_location_token1] = ACTIONS(1671),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1949),
    [aux_sym_match_token1] = ACTIONS(1947),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1947),
    [aux_sym_address_family_token1] = ACTIONS(1947),
    [aux_sym_batch_mode_token1] = ACTIONS(1947),
    [aux_sym_bind_address_token1] = ACTIONS(1947),
    [aux_sym_bind_interface_token1] = ACTIONS(1947),
    [aux_sym_canonical_domains_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1947),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1947),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1947),
    [aux_sym_certificate_file_token1] = ACTIONS(1947),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1947),
    [aux_sym_channel_timeout_token1] = ACTIONS(1947),
    [aux_sym_check_host_ip_token1] = ACTIONS(1947),
    [aux_sym_ciphers_token1] = ACTIONS(1947),
    [aux_sym_cipher_token1] = ACTIONS(1949),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1947),
    [aux_sym_compression_token1] = ACTIONS(1947),
    [aux_sym_connection_attempts_token1] = ACTIONS(1947),
    [aux_sym_connect_timeout_token1] = ACTIONS(1947),
    [aux_sym_control_master_token1] = ACTIONS(1947),
    [aux_sym_control_path_token1] = ACTIONS(1947),
    [aux_sym_control_persist_token1] = ACTIONS(1947),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1947),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1947),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1947),
    [aux_sym_escape_char_token1] = ACTIONS(1947),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1947),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1947),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1947),
    [aux_sym_forward_agent_token1] = ACTIONS(1947),
    [aux_sym_forward_x11_token1] = ACTIONS(1949),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1947),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1947),
    [aux_sym_gateway_ports_token1] = ACTIONS(1947),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1947),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1947),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1947),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1947),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1947),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1947),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1947),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1947),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1947),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1947),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1947),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1947),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1947),
    [aux_sym_host_key_alias_token1] = ACTIONS(1947),
    [aux_sym_hostname_token1] = ACTIONS(1947),
    [aux_sym_identities_only_token1] = ACTIONS(1947),
    [aux_sym_identity_agent_token1] = ACTIONS(1947),
    [aux_sym_identity_file_token1] = ACTIONS(1947),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1947),
    [aux_sym_include_token1] = ACTIONS(1947),
    [aux_sym_ip_qos_token1] = ACTIONS(1947),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1947),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1947),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1947),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1947),
    [aux_sym_local_command_token1] = ACTIONS(1947),
    [aux_sym_local_forward_token1] = ACTIONS(1947),
    [aux_sym_log_level_token1] = ACTIONS(1947),
    [aux_sym_log_verbose_token1] = ACTIONS(1947),
    [aux_sym_macs_token1] = ACTIONS(1947),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1947),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1947),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1947),
    [aux_sym_password_authentication_token1] = ACTIONS(1947),
    [aux_sym_permit_local_command_token1] = ACTIONS(1947),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1947),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1947),
    [aux_sym_port_token1] = ACTIONS(1947),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1947),
    [aux_sym_protocol_token1] = ACTIONS(1947),
    [aux_sym_proxy_command_token1] = ACTIONS(1947),
    [aux_sym_proxy_jump_token1] = ACTIONS(1947),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1947),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1947),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1947),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1947),
    [aux_sym_rekey_limit_token1] = ACTIONS(1947),
    [aux_sym_remote_command_token1] = ACTIONS(1947),
    [aux_sym_remote_forward_token1] = ACTIONS(1947),
    [aux_sym_request_tty_token1] = ACTIONS(1947),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1947),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1947),
    [aux_sym_security_key_provider_token1] = ACTIONS(1947),
    [aux_sym_send_env_token1] = ACTIONS(1947),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1947),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1947),
    [aux_sym_session_type_token1] = ACTIONS(1947),
    [aux_sym_set_env_token1] = ACTIONS(1947),
    [aux_sym_stdin_null_token1] = ACTIONS(1947),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1947),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1947),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1947),
    [aux_sym_syslog_facility_token1] = ACTIONS(1947),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1947),
    [aux_sym_keep_alive_token1] = ACTIONS(1947),
    [aux_sym_tag_token1] = ACTIONS(1947),
    [aux_sym_tunnel_token1] = ACTIONS(1949),
    [aux_sym_tunnel_device_token1] = ACTIONS(1947),
    [aux_sym_update_host_keys_token1] = ACTIONS(1947),
    [aux_sym_use_keychain_token1] = ACTIONS(1947),
    [aux_sym_use_roaming_token1] = ACTIONS(1947),
    [aux_sym_user_token1] = ACTIONS(1949),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1947),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1947),
    [aux_sym_visual_host_key_token1] = ACTIONS(1947),
    [aux_sym_xauth_location_token1] = ACTIONS(1947),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(973),
    [aux_sym_match_token1] = ACTIONS(971),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(971),
    [aux_sym_address_family_token1] = ACTIONS(971),
    [aux_sym_batch_mode_token1] = ACTIONS(971),
    [aux_sym_bind_address_token1] = ACTIONS(971),
    [aux_sym_bind_interface_token1] = ACTIONS(971),
    [aux_sym_canonical_domains_token1] = ACTIONS(971),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(971),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(971),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(971),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(971),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(971),
    [aux_sym_certificate_file_token1] = ACTIONS(971),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(971),
    [aux_sym_channel_timeout_token1] = ACTIONS(971),
    [aux_sym_check_host_ip_token1] = ACTIONS(971),
    [aux_sym_ciphers_token1] = ACTIONS(971),
    [aux_sym_cipher_token1] = ACTIONS(973),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(971),
    [aux_sym_compression_token1] = ACTIONS(971),
    [aux_sym_connection_attempts_token1] = ACTIONS(971),
    [aux_sym_connect_timeout_token1] = ACTIONS(971),
    [aux_sym_control_master_token1] = ACTIONS(971),
    [aux_sym_control_path_token1] = ACTIONS(971),
    [aux_sym_control_persist_token1] = ACTIONS(971),
    [aux_sym_dynamic_forward_token1] = ACTIONS(971),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(971),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(971),
    [aux_sym_escape_char_token1] = ACTIONS(971),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(971),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(971),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(971),
    [aux_sym_forward_agent_token1] = ACTIONS(971),
    [aux_sym_forward_x11_token1] = ACTIONS(973),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(971),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(971),
    [aux_sym_gateway_ports_token1] = ACTIONS(971),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(971),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(971),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(971),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(971),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(971),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(971),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(971),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(971),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(971),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(971),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(971),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(971),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(971),
    [aux_sym_host_key_alias_token1] = ACTIONS(971),
    [aux_sym_hostname_token1] = ACTIONS(971),
    [aux_sym_identities_only_token1] = ACTIONS(971),
    [aux_sym_identity_agent_token1] = ACTIONS(971),
    [aux_sym_identity_file_token1] = ACTIONS(971),
    [aux_sym_ignore_unknown_token1] = ACTIONS(971),
    [aux_sym_include_token1] = ACTIONS(971),
    [aux_sym_ip_qos_token1] = ACTIONS(971),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(971),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(971),
    [aux_sym_kex_algorithms_token1] = ACTIONS(971),
    [aux_sym_known_hosts_command_token1] = ACTIONS(971),
    [aux_sym_local_command_token1] = ACTIONS(971),
    [aux_sym_local_forward_token1] = ACTIONS(971),
    [aux_sym_log_level_token1] = ACTIONS(971),
    [aux_sym_log_verbose_token1] = ACTIONS(971),
    [aux_sym_macs_token1] = ACTIONS(971),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(971),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(971),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(971),
    [aux_sym_password_authentication_token1] = ACTIONS(971),
    [aux_sym_permit_local_command_token1] = ACTIONS(971),
    [aux_sym_permit_remote_open_token1] = ACTIONS(971),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(971),
    [aux_sym_port_token1] = ACTIONS(971),
    [aux_sym_preferred_authentications_token1] = ACTIONS(971),
    [aux_sym_protocol_token1] = ACTIONS(971),
    [aux_sym_proxy_command_token1] = ACTIONS(971),
    [aux_sym_proxy_jump_token1] = ACTIONS(971),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(971),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(971),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(971),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(971),
    [aux_sym_rekey_limit_token1] = ACTIONS(971),
    [aux_sym_remote_command_token1] = ACTIONS(971),
    [aux_sym_remote_forward_token1] = ACTIONS(971),
    [aux_sym_request_tty_token1] = ACTIONS(971),
    [aux_sym_required_rsa_size_token1] = ACTIONS(971),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(971),
    [aux_sym_security_key_provider_token1] = ACTIONS(971),
    [aux_sym_send_env_token1] = ACTIONS(971),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(971),
    [aux_sym_server_alive_interval_token1] = ACTIONS(971),
    [aux_sym_session_type_token1] = ACTIONS(971),
    [aux_sym_set_env_token1] = ACTIONS(971),
    [aux_sym_stdin_null_token1] = ACTIONS(971),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(971),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(971),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(971),
    [aux_sym_syslog_facility_token1] = ACTIONS(971),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(971),
    [aux_sym_keep_alive_token1] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(971),
    [aux_sym_tunnel_token1] = ACTIONS(973),
    [aux_sym_tunnel_device_token1] = ACTIONS(971),
    [aux_sym_update_host_keys_token1] = ACTIONS(971),
    [aux_sym_use_keychain_token1] = ACTIONS(971),
    [aux_sym_use_roaming_token1] = ACTIONS(971),
    [aux_sym_user_token1] = ACTIONS(973),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(971),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(971),
    [aux_sym_visual_host_key_token1] = ACTIONS(971),
    [aux_sym_xauth_location_token1] = ACTIONS(971),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1435),
    [aux_sym_match_token1] = ACTIONS(1433),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1433),
    [aux_sym_address_family_token1] = ACTIONS(1433),
    [aux_sym_batch_mode_token1] = ACTIONS(1433),
    [aux_sym_bind_address_token1] = ACTIONS(1433),
    [aux_sym_bind_interface_token1] = ACTIONS(1433),
    [aux_sym_canonical_domains_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1433),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1433),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1433),
    [aux_sym_certificate_file_token1] = ACTIONS(1433),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1433),
    [aux_sym_channel_timeout_token1] = ACTIONS(1433),
    [aux_sym_check_host_ip_token1] = ACTIONS(1433),
    [aux_sym_ciphers_token1] = ACTIONS(1433),
    [aux_sym_cipher_token1] = ACTIONS(1435),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1433),
    [aux_sym_compression_token1] = ACTIONS(1433),
    [aux_sym_connection_attempts_token1] = ACTIONS(1433),
    [aux_sym_connect_timeout_token1] = ACTIONS(1433),
    [aux_sym_control_master_token1] = ACTIONS(1433),
    [aux_sym_control_path_token1] = ACTIONS(1433),
    [aux_sym_control_persist_token1] = ACTIONS(1433),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1433),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1433),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1433),
    [aux_sym_escape_char_token1] = ACTIONS(1433),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1433),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1433),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1433),
    [aux_sym_forward_agent_token1] = ACTIONS(1433),
    [aux_sym_forward_x11_token1] = ACTIONS(1435),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1433),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1433),
    [aux_sym_gateway_ports_token1] = ACTIONS(1433),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1433),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1433),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1433),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1433),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1433),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1433),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1433),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1433),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1433),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1433),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1433),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1433),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1433),
    [aux_sym_host_key_alias_token1] = ACTIONS(1433),
    [aux_sym_hostname_token1] = ACTIONS(1433),
    [aux_sym_identities_only_token1] = ACTIONS(1433),
    [aux_sym_identity_agent_token1] = ACTIONS(1433),
    [aux_sym_identity_file_token1] = ACTIONS(1433),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1433),
    [aux_sym_include_token1] = ACTIONS(1433),
    [aux_sym_ip_qos_token1] = ACTIONS(1433),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1433),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1433),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1433),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1433),
    [aux_sym_local_command_token1] = ACTIONS(1433),
    [aux_sym_local_forward_token1] = ACTIONS(1433),
    [aux_sym_log_level_token1] = ACTIONS(1433),
    [aux_sym_log_verbose_token1] = ACTIONS(1433),
    [aux_sym_macs_token1] = ACTIONS(1433),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1433),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1433),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1433),
    [aux_sym_password_authentication_token1] = ACTIONS(1433),
    [aux_sym_permit_local_command_token1] = ACTIONS(1433),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1433),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1433),
    [aux_sym_port_token1] = ACTIONS(1433),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1433),
    [aux_sym_protocol_token1] = ACTIONS(1433),
    [aux_sym_proxy_command_token1] = ACTIONS(1433),
    [aux_sym_proxy_jump_token1] = ACTIONS(1433),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1433),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1433),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1433),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1433),
    [aux_sym_rekey_limit_token1] = ACTIONS(1433),
    [aux_sym_remote_command_token1] = ACTIONS(1433),
    [aux_sym_remote_forward_token1] = ACTIONS(1433),
    [aux_sym_request_tty_token1] = ACTIONS(1433),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1433),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1433),
    [aux_sym_security_key_provider_token1] = ACTIONS(1433),
    [aux_sym_send_env_token1] = ACTIONS(1433),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1433),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1433),
    [aux_sym_session_type_token1] = ACTIONS(1433),
    [aux_sym_set_env_token1] = ACTIONS(1433),
    [aux_sym_stdin_null_token1] = ACTIONS(1433),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1433),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1433),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1433),
    [aux_sym_syslog_facility_token1] = ACTIONS(1433),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1433),
    [aux_sym_keep_alive_token1] = ACTIONS(1433),
    [aux_sym_tag_token1] = ACTIONS(1433),
    [aux_sym_tunnel_token1] = ACTIONS(1435),
    [aux_sym_tunnel_device_token1] = ACTIONS(1433),
    [aux_sym_update_host_keys_token1] = ACTIONS(1433),
    [aux_sym_use_keychain_token1] = ACTIONS(1433),
    [aux_sym_use_roaming_token1] = ACTIONS(1433),
    [aux_sym_user_token1] = ACTIONS(1435),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1433),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1433),
    [aux_sym_visual_host_key_token1] = ACTIONS(1433),
    [aux_sym_xauth_location_token1] = ACTIONS(1433),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(617),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(619),
    [aux_sym_match_token1] = ACTIONS(617),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(617),
    [aux_sym_address_family_token1] = ACTIONS(617),
    [aux_sym_batch_mode_token1] = ACTIONS(617),
    [aux_sym_bind_address_token1] = ACTIONS(617),
    [aux_sym_bind_interface_token1] = ACTIONS(617),
    [aux_sym_canonical_domains_token1] = ACTIONS(617),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(617),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(617),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(617),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(617),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(617),
    [aux_sym_certificate_file_token1] = ACTIONS(617),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(617),
    [aux_sym_channel_timeout_token1] = ACTIONS(617),
    [aux_sym_check_host_ip_token1] = ACTIONS(617),
    [aux_sym_ciphers_token1] = ACTIONS(617),
    [aux_sym_cipher_token1] = ACTIONS(619),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(617),
    [aux_sym_compression_token1] = ACTIONS(617),
    [aux_sym_connection_attempts_token1] = ACTIONS(617),
    [aux_sym_connect_timeout_token1] = ACTIONS(617),
    [aux_sym_control_master_token1] = ACTIONS(617),
    [aux_sym_control_path_token1] = ACTIONS(617),
    [aux_sym_control_persist_token1] = ACTIONS(617),
    [aux_sym_dynamic_forward_token1] = ACTIONS(617),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(617),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(617),
    [aux_sym_escape_char_token1] = ACTIONS(617),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(617),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(617),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(617),
    [aux_sym_forward_agent_token1] = ACTIONS(617),
    [aux_sym_forward_x11_token1] = ACTIONS(619),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(617),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(617),
    [aux_sym_gateway_ports_token1] = ACTIONS(617),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(617),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(617),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(617),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(617),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(617),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(617),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(617),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(617),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(617),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(617),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(617),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(617),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(617),
    [aux_sym_host_key_alias_token1] = ACTIONS(617),
    [aux_sym_hostname_token1] = ACTIONS(617),
    [aux_sym_identities_only_token1] = ACTIONS(617),
    [aux_sym_identity_agent_token1] = ACTIONS(617),
    [aux_sym_identity_file_token1] = ACTIONS(617),
    [aux_sym_ignore_unknown_token1] = ACTIONS(617),
    [aux_sym_include_token1] = ACTIONS(617),
    [aux_sym_ip_qos_token1] = ACTIONS(617),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(617),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(617),
    [aux_sym_kex_algorithms_token1] = ACTIONS(617),
    [aux_sym_known_hosts_command_token1] = ACTIONS(617),
    [aux_sym_local_command_token1] = ACTIONS(617),
    [aux_sym_local_forward_token1] = ACTIONS(617),
    [aux_sym_log_level_token1] = ACTIONS(617),
    [aux_sym_log_verbose_token1] = ACTIONS(617),
    [aux_sym_macs_token1] = ACTIONS(617),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(617),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(617),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(617),
    [aux_sym_password_authentication_token1] = ACTIONS(617),
    [aux_sym_permit_local_command_token1] = ACTIONS(617),
    [aux_sym_permit_remote_open_token1] = ACTIONS(617),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(617),
    [aux_sym_port_token1] = ACTIONS(617),
    [aux_sym_preferred_authentications_token1] = ACTIONS(617),
    [aux_sym_protocol_token1] = ACTIONS(617),
    [aux_sym_proxy_command_token1] = ACTIONS(617),
    [aux_sym_proxy_jump_token1] = ACTIONS(617),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(617),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(617),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(617),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(617),
    [aux_sym_rekey_limit_token1] = ACTIONS(617),
    [aux_sym_remote_command_token1] = ACTIONS(617),
    [aux_sym_remote_forward_token1] = ACTIONS(617),
    [aux_sym_request_tty_token1] = ACTIONS(617),
    [aux_sym_required_rsa_size_token1] = ACTIONS(617),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(617),
    [aux_sym_security_key_provider_token1] = ACTIONS(617),
    [aux_sym_send_env_token1] = ACTIONS(617),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(617),
    [aux_sym_server_alive_interval_token1] = ACTIONS(617),
    [aux_sym_session_type_token1] = ACTIONS(617),
    [aux_sym_set_env_token1] = ACTIONS(617),
    [aux_sym_stdin_null_token1] = ACTIONS(617),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(617),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(617),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(617),
    [aux_sym_syslog_facility_token1] = ACTIONS(617),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(617),
    [aux_sym_keep_alive_token1] = ACTIONS(617),
    [aux_sym_tag_token1] = ACTIONS(617),
    [aux_sym_tunnel_token1] = ACTIONS(619),
    [aux_sym_tunnel_device_token1] = ACTIONS(617),
    [aux_sym_update_host_keys_token1] = ACTIONS(617),
    [aux_sym_use_keychain_token1] = ACTIONS(617),
    [aux_sym_use_roaming_token1] = ACTIONS(617),
    [aux_sym_user_token1] = ACTIONS(619),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(617),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(617),
    [aux_sym_visual_host_key_token1] = ACTIONS(617),
    [aux_sym_xauth_location_token1] = ACTIONS(617),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(883),
    [aux_sym_match_token1] = ACTIONS(881),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(881),
    [aux_sym_address_family_token1] = ACTIONS(881),
    [aux_sym_batch_mode_token1] = ACTIONS(881),
    [aux_sym_bind_address_token1] = ACTIONS(881),
    [aux_sym_bind_interface_token1] = ACTIONS(881),
    [aux_sym_canonical_domains_token1] = ACTIONS(881),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(881),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(881),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(881),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(881),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(881),
    [aux_sym_certificate_file_token1] = ACTIONS(881),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(881),
    [aux_sym_channel_timeout_token1] = ACTIONS(881),
    [aux_sym_check_host_ip_token1] = ACTIONS(881),
    [aux_sym_ciphers_token1] = ACTIONS(881),
    [aux_sym_cipher_token1] = ACTIONS(883),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(881),
    [aux_sym_compression_token1] = ACTIONS(881),
    [aux_sym_connection_attempts_token1] = ACTIONS(881),
    [aux_sym_connect_timeout_token1] = ACTIONS(881),
    [aux_sym_control_master_token1] = ACTIONS(881),
    [aux_sym_control_path_token1] = ACTIONS(881),
    [aux_sym_control_persist_token1] = ACTIONS(881),
    [aux_sym_dynamic_forward_token1] = ACTIONS(881),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(881),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(881),
    [aux_sym_escape_char_token1] = ACTIONS(881),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(881),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(881),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(881),
    [aux_sym_forward_agent_token1] = ACTIONS(881),
    [aux_sym_forward_x11_token1] = ACTIONS(883),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(881),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(881),
    [aux_sym_gateway_ports_token1] = ACTIONS(881),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(881),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(881),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(881),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(881),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(881),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(881),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(881),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(881),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(881),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(881),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(881),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(881),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(881),
    [aux_sym_host_key_alias_token1] = ACTIONS(881),
    [aux_sym_hostname_token1] = ACTIONS(881),
    [aux_sym_identities_only_token1] = ACTIONS(881),
    [aux_sym_identity_agent_token1] = ACTIONS(881),
    [aux_sym_identity_file_token1] = ACTIONS(881),
    [aux_sym_ignore_unknown_token1] = ACTIONS(881),
    [aux_sym_include_token1] = ACTIONS(881),
    [aux_sym_ip_qos_token1] = ACTIONS(881),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(881),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(881),
    [aux_sym_kex_algorithms_token1] = ACTIONS(881),
    [aux_sym_known_hosts_command_token1] = ACTIONS(881),
    [aux_sym_local_command_token1] = ACTIONS(881),
    [aux_sym_local_forward_token1] = ACTIONS(881),
    [aux_sym_log_level_token1] = ACTIONS(881),
    [aux_sym_log_verbose_token1] = ACTIONS(881),
    [aux_sym_macs_token1] = ACTIONS(881),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(881),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(881),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(881),
    [aux_sym_password_authentication_token1] = ACTIONS(881),
    [aux_sym_permit_local_command_token1] = ACTIONS(881),
    [aux_sym_permit_remote_open_token1] = ACTIONS(881),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(881),
    [aux_sym_port_token1] = ACTIONS(881),
    [aux_sym_preferred_authentications_token1] = ACTIONS(881),
    [aux_sym_protocol_token1] = ACTIONS(881),
    [aux_sym_proxy_command_token1] = ACTIONS(881),
    [aux_sym_proxy_jump_token1] = ACTIONS(881),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(881),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(881),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(881),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(881),
    [aux_sym_rekey_limit_token1] = ACTIONS(881),
    [aux_sym_remote_command_token1] = ACTIONS(881),
    [aux_sym_remote_forward_token1] = ACTIONS(881),
    [aux_sym_request_tty_token1] = ACTIONS(881),
    [aux_sym_required_rsa_size_token1] = ACTIONS(881),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(881),
    [aux_sym_security_key_provider_token1] = ACTIONS(881),
    [aux_sym_send_env_token1] = ACTIONS(881),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(881),
    [aux_sym_server_alive_interval_token1] = ACTIONS(881),
    [aux_sym_session_type_token1] = ACTIONS(881),
    [aux_sym_set_env_token1] = ACTIONS(881),
    [aux_sym_stdin_null_token1] = ACTIONS(881),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(881),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(881),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(881),
    [aux_sym_syslog_facility_token1] = ACTIONS(881),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(881),
    [aux_sym_keep_alive_token1] = ACTIONS(881),
    [aux_sym_tag_token1] = ACTIONS(881),
    [aux_sym_tunnel_token1] = ACTIONS(883),
    [aux_sym_tunnel_device_token1] = ACTIONS(881),
    [aux_sym_update_host_keys_token1] = ACTIONS(881),
    [aux_sym_use_keychain_token1] = ACTIONS(881),
    [aux_sym_use_roaming_token1] = ACTIONS(881),
    [aux_sym_user_token1] = ACTIONS(883),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(881),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(881),
    [aux_sym_visual_host_key_token1] = ACTIONS(881),
    [aux_sym_xauth_location_token1] = ACTIONS(881),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1679),
    [aux_sym_match_token1] = ACTIONS(1677),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1677),
    [aux_sym_address_family_token1] = ACTIONS(1677),
    [aux_sym_batch_mode_token1] = ACTIONS(1677),
    [aux_sym_bind_address_token1] = ACTIONS(1677),
    [aux_sym_bind_interface_token1] = ACTIONS(1677),
    [aux_sym_canonical_domains_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1677),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1677),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1677),
    [aux_sym_certificate_file_token1] = ACTIONS(1677),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1677),
    [aux_sym_channel_timeout_token1] = ACTIONS(1677),
    [aux_sym_check_host_ip_token1] = ACTIONS(1677),
    [aux_sym_ciphers_token1] = ACTIONS(1677),
    [aux_sym_cipher_token1] = ACTIONS(1679),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1677),
    [aux_sym_compression_token1] = ACTIONS(1677),
    [aux_sym_connection_attempts_token1] = ACTIONS(1677),
    [aux_sym_connect_timeout_token1] = ACTIONS(1677),
    [aux_sym_control_master_token1] = ACTIONS(1677),
    [aux_sym_control_path_token1] = ACTIONS(1677),
    [aux_sym_control_persist_token1] = ACTIONS(1677),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1677),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1677),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1677),
    [aux_sym_escape_char_token1] = ACTIONS(1677),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1677),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1677),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1677),
    [aux_sym_forward_agent_token1] = ACTIONS(1677),
    [aux_sym_forward_x11_token1] = ACTIONS(1679),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1677),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1677),
    [aux_sym_gateway_ports_token1] = ACTIONS(1677),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1677),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1677),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1677),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1677),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1677),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1677),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1677),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1677),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1677),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1677),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1677),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1677),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1677),
    [aux_sym_host_key_alias_token1] = ACTIONS(1677),
    [aux_sym_hostname_token1] = ACTIONS(1677),
    [aux_sym_identities_only_token1] = ACTIONS(1677),
    [aux_sym_identity_agent_token1] = ACTIONS(1677),
    [aux_sym_identity_file_token1] = ACTIONS(1677),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1677),
    [aux_sym_include_token1] = ACTIONS(1677),
    [aux_sym_ip_qos_token1] = ACTIONS(1677),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1677),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1677),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1677),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1677),
    [aux_sym_local_command_token1] = ACTIONS(1677),
    [aux_sym_local_forward_token1] = ACTIONS(1677),
    [aux_sym_log_level_token1] = ACTIONS(1677),
    [aux_sym_log_verbose_token1] = ACTIONS(1677),
    [aux_sym_macs_token1] = ACTIONS(1677),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1677),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1677),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1677),
    [aux_sym_password_authentication_token1] = ACTIONS(1677),
    [aux_sym_permit_local_command_token1] = ACTIONS(1677),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1677),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1677),
    [aux_sym_port_token1] = ACTIONS(1677),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1677),
    [aux_sym_protocol_token1] = ACTIONS(1677),
    [aux_sym_proxy_command_token1] = ACTIONS(1677),
    [aux_sym_proxy_jump_token1] = ACTIONS(1677),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1677),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1677),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1677),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1677),
    [aux_sym_rekey_limit_token1] = ACTIONS(1677),
    [aux_sym_remote_command_token1] = ACTIONS(1677),
    [aux_sym_remote_forward_token1] = ACTIONS(1677),
    [aux_sym_request_tty_token1] = ACTIONS(1677),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1677),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1677),
    [aux_sym_security_key_provider_token1] = ACTIONS(1677),
    [aux_sym_send_env_token1] = ACTIONS(1677),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1677),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1677),
    [aux_sym_session_type_token1] = ACTIONS(1677),
    [aux_sym_set_env_token1] = ACTIONS(1677),
    [aux_sym_stdin_null_token1] = ACTIONS(1677),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1677),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1677),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1677),
    [aux_sym_syslog_facility_token1] = ACTIONS(1677),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1677),
    [aux_sym_keep_alive_token1] = ACTIONS(1677),
    [aux_sym_tag_token1] = ACTIONS(1677),
    [aux_sym_tunnel_token1] = ACTIONS(1679),
    [aux_sym_tunnel_device_token1] = ACTIONS(1677),
    [aux_sym_update_host_keys_token1] = ACTIONS(1677),
    [aux_sym_use_keychain_token1] = ACTIONS(1677),
    [aux_sym_use_roaming_token1] = ACTIONS(1677),
    [aux_sym_user_token1] = ACTIONS(1679),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1677),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1677),
    [aux_sym_visual_host_key_token1] = ACTIONS(1677),
    [aux_sym_xauth_location_token1] = ACTIONS(1677),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1937),
    [aux_sym_match_token1] = ACTIONS(1935),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1935),
    [aux_sym_address_family_token1] = ACTIONS(1935),
    [aux_sym_batch_mode_token1] = ACTIONS(1935),
    [aux_sym_bind_address_token1] = ACTIONS(1935),
    [aux_sym_bind_interface_token1] = ACTIONS(1935),
    [aux_sym_canonical_domains_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1935),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1935),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1935),
    [aux_sym_certificate_file_token1] = ACTIONS(1935),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1935),
    [aux_sym_channel_timeout_token1] = ACTIONS(1935),
    [aux_sym_check_host_ip_token1] = ACTIONS(1935),
    [aux_sym_ciphers_token1] = ACTIONS(1935),
    [aux_sym_cipher_token1] = ACTIONS(1937),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1935),
    [aux_sym_compression_token1] = ACTIONS(1935),
    [aux_sym_connection_attempts_token1] = ACTIONS(1935),
    [aux_sym_connect_timeout_token1] = ACTIONS(1935),
    [aux_sym_control_master_token1] = ACTIONS(1935),
    [aux_sym_control_path_token1] = ACTIONS(1935),
    [aux_sym_control_persist_token1] = ACTIONS(1935),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1935),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1935),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1935),
    [aux_sym_escape_char_token1] = ACTIONS(1935),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1935),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1935),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1935),
    [aux_sym_forward_agent_token1] = ACTIONS(1935),
    [aux_sym_forward_x11_token1] = ACTIONS(1937),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1935),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1935),
    [aux_sym_gateway_ports_token1] = ACTIONS(1935),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1935),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1935),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1935),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1935),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1935),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1935),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1935),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1935),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1935),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1935),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1935),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1935),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1935),
    [aux_sym_host_key_alias_token1] = ACTIONS(1935),
    [aux_sym_hostname_token1] = ACTIONS(1935),
    [aux_sym_identities_only_token1] = ACTIONS(1935),
    [aux_sym_identity_agent_token1] = ACTIONS(1935),
    [aux_sym_identity_file_token1] = ACTIONS(1935),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1935),
    [aux_sym_include_token1] = ACTIONS(1935),
    [aux_sym_ip_qos_token1] = ACTIONS(1935),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1935),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1935),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1935),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1935),
    [aux_sym_local_command_token1] = ACTIONS(1935),
    [aux_sym_local_forward_token1] = ACTIONS(1935),
    [aux_sym_log_level_token1] = ACTIONS(1935),
    [aux_sym_log_verbose_token1] = ACTIONS(1935),
    [aux_sym_macs_token1] = ACTIONS(1935),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1935),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1935),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1935),
    [aux_sym_password_authentication_token1] = ACTIONS(1935),
    [aux_sym_permit_local_command_token1] = ACTIONS(1935),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1935),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1935),
    [aux_sym_port_token1] = ACTIONS(1935),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1935),
    [aux_sym_protocol_token1] = ACTIONS(1935),
    [aux_sym_proxy_command_token1] = ACTIONS(1935),
    [aux_sym_proxy_jump_token1] = ACTIONS(1935),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1935),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1935),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1935),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1935),
    [aux_sym_rekey_limit_token1] = ACTIONS(1935),
    [aux_sym_remote_command_token1] = ACTIONS(1935),
    [aux_sym_remote_forward_token1] = ACTIONS(1935),
    [aux_sym_request_tty_token1] = ACTIONS(1935),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1935),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1935),
    [aux_sym_security_key_provider_token1] = ACTIONS(1935),
    [aux_sym_send_env_token1] = ACTIONS(1935),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1935),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1935),
    [aux_sym_session_type_token1] = ACTIONS(1935),
    [aux_sym_set_env_token1] = ACTIONS(1935),
    [aux_sym_stdin_null_token1] = ACTIONS(1935),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1935),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1935),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1935),
    [aux_sym_syslog_facility_token1] = ACTIONS(1935),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1935),
    [aux_sym_keep_alive_token1] = ACTIONS(1935),
    [aux_sym_tag_token1] = ACTIONS(1935),
    [aux_sym_tunnel_token1] = ACTIONS(1937),
    [aux_sym_tunnel_device_token1] = ACTIONS(1935),
    [aux_sym_update_host_keys_token1] = ACTIONS(1935),
    [aux_sym_use_keychain_token1] = ACTIONS(1935),
    [aux_sym_use_roaming_token1] = ACTIONS(1935),
    [aux_sym_user_token1] = ACTIONS(1937),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1935),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1935),
    [aux_sym_visual_host_key_token1] = ACTIONS(1935),
    [aux_sym_xauth_location_token1] = ACTIONS(1935),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(673),
    [aux_sym_match_token1] = ACTIONS(671),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(671),
    [aux_sym_address_family_token1] = ACTIONS(671),
    [aux_sym_batch_mode_token1] = ACTIONS(671),
    [aux_sym_bind_address_token1] = ACTIONS(671),
    [aux_sym_bind_interface_token1] = ACTIONS(671),
    [aux_sym_canonical_domains_token1] = ACTIONS(671),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(671),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(671),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(671),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(671),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(671),
    [aux_sym_certificate_file_token1] = ACTIONS(671),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(671),
    [aux_sym_channel_timeout_token1] = ACTIONS(671),
    [aux_sym_check_host_ip_token1] = ACTIONS(671),
    [aux_sym_ciphers_token1] = ACTIONS(671),
    [aux_sym_cipher_token1] = ACTIONS(673),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(671),
    [aux_sym_compression_token1] = ACTIONS(671),
    [aux_sym_connection_attempts_token1] = ACTIONS(671),
    [aux_sym_connect_timeout_token1] = ACTIONS(671),
    [aux_sym_control_master_token1] = ACTIONS(671),
    [aux_sym_control_path_token1] = ACTIONS(671),
    [aux_sym_control_persist_token1] = ACTIONS(671),
    [aux_sym_dynamic_forward_token1] = ACTIONS(671),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(671),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(671),
    [aux_sym_escape_char_token1] = ACTIONS(671),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(671),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(671),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(671),
    [aux_sym_forward_agent_token1] = ACTIONS(671),
    [aux_sym_forward_x11_token1] = ACTIONS(673),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(671),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(671),
    [aux_sym_gateway_ports_token1] = ACTIONS(671),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(671),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(671),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(671),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(671),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(671),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(671),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(671),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(671),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(671),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(671),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(671),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(671),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(671),
    [aux_sym_host_key_alias_token1] = ACTIONS(671),
    [aux_sym_hostname_token1] = ACTIONS(671),
    [aux_sym_identities_only_token1] = ACTIONS(671),
    [aux_sym_identity_agent_token1] = ACTIONS(671),
    [aux_sym_identity_file_token1] = ACTIONS(671),
    [aux_sym_ignore_unknown_token1] = ACTIONS(671),
    [aux_sym_include_token1] = ACTIONS(671),
    [aux_sym_ip_qos_token1] = ACTIONS(671),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(671),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(671),
    [aux_sym_kex_algorithms_token1] = ACTIONS(671),
    [aux_sym_known_hosts_command_token1] = ACTIONS(671),
    [aux_sym_local_command_token1] = ACTIONS(671),
    [aux_sym_local_forward_token1] = ACTIONS(671),
    [aux_sym_log_level_token1] = ACTIONS(671),
    [aux_sym_log_verbose_token1] = ACTIONS(671),
    [aux_sym_macs_token1] = ACTIONS(671),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(671),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(671),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(671),
    [aux_sym_password_authentication_token1] = ACTIONS(671),
    [aux_sym_permit_local_command_token1] = ACTIONS(671),
    [aux_sym_permit_remote_open_token1] = ACTIONS(671),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(671),
    [aux_sym_port_token1] = ACTIONS(671),
    [aux_sym_preferred_authentications_token1] = ACTIONS(671),
    [aux_sym_protocol_token1] = ACTIONS(671),
    [aux_sym_proxy_command_token1] = ACTIONS(671),
    [aux_sym_proxy_jump_token1] = ACTIONS(671),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(671),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(671),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(671),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(671),
    [aux_sym_rekey_limit_token1] = ACTIONS(671),
    [aux_sym_remote_command_token1] = ACTIONS(671),
    [aux_sym_remote_forward_token1] = ACTIONS(671),
    [aux_sym_request_tty_token1] = ACTIONS(671),
    [aux_sym_required_rsa_size_token1] = ACTIONS(671),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(671),
    [aux_sym_security_key_provider_token1] = ACTIONS(671),
    [aux_sym_send_env_token1] = ACTIONS(671),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(671),
    [aux_sym_server_alive_interval_token1] = ACTIONS(671),
    [aux_sym_session_type_token1] = ACTIONS(671),
    [aux_sym_set_env_token1] = ACTIONS(671),
    [aux_sym_stdin_null_token1] = ACTIONS(671),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(671),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(671),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(671),
    [aux_sym_syslog_facility_token1] = ACTIONS(671),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(671),
    [aux_sym_keep_alive_token1] = ACTIONS(671),
    [aux_sym_tag_token1] = ACTIONS(671),
    [aux_sym_tunnel_token1] = ACTIONS(673),
    [aux_sym_tunnel_device_token1] = ACTIONS(671),
    [aux_sym_update_host_keys_token1] = ACTIONS(671),
    [aux_sym_use_keychain_token1] = ACTIONS(671),
    [aux_sym_use_roaming_token1] = ACTIONS(671),
    [aux_sym_user_token1] = ACTIONS(673),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(671),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(671),
    [aux_sym_visual_host_key_token1] = ACTIONS(671),
    [aux_sym_xauth_location_token1] = ACTIONS(671),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(799),
    [aux_sym_match_token1] = ACTIONS(797),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(797),
    [aux_sym_address_family_token1] = ACTIONS(797),
    [aux_sym_batch_mode_token1] = ACTIONS(797),
    [aux_sym_bind_address_token1] = ACTIONS(797),
    [aux_sym_bind_interface_token1] = ACTIONS(797),
    [aux_sym_canonical_domains_token1] = ACTIONS(797),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(797),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(797),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(797),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(797),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(797),
    [aux_sym_certificate_file_token1] = ACTIONS(797),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(797),
    [aux_sym_channel_timeout_token1] = ACTIONS(797),
    [aux_sym_check_host_ip_token1] = ACTIONS(797),
    [aux_sym_ciphers_token1] = ACTIONS(797),
    [aux_sym_cipher_token1] = ACTIONS(799),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(797),
    [aux_sym_compression_token1] = ACTIONS(797),
    [aux_sym_connection_attempts_token1] = ACTIONS(797),
    [aux_sym_connect_timeout_token1] = ACTIONS(797),
    [aux_sym_control_master_token1] = ACTIONS(797),
    [aux_sym_control_path_token1] = ACTIONS(797),
    [aux_sym_control_persist_token1] = ACTIONS(797),
    [aux_sym_dynamic_forward_token1] = ACTIONS(797),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(797),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(797),
    [aux_sym_escape_char_token1] = ACTIONS(797),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(797),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(797),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(797),
    [aux_sym_forward_agent_token1] = ACTIONS(797),
    [aux_sym_forward_x11_token1] = ACTIONS(799),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(797),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(797),
    [aux_sym_gateway_ports_token1] = ACTIONS(797),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(797),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(797),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(797),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(797),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(797),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(797),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(797),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(797),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(797),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(797),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(797),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(797),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(797),
    [aux_sym_host_key_alias_token1] = ACTIONS(797),
    [aux_sym_hostname_token1] = ACTIONS(797),
    [aux_sym_identities_only_token1] = ACTIONS(797),
    [aux_sym_identity_agent_token1] = ACTIONS(797),
    [aux_sym_identity_file_token1] = ACTIONS(797),
    [aux_sym_ignore_unknown_token1] = ACTIONS(797),
    [aux_sym_include_token1] = ACTIONS(797),
    [aux_sym_ip_qos_token1] = ACTIONS(797),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(797),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(797),
    [aux_sym_kex_algorithms_token1] = ACTIONS(797),
    [aux_sym_known_hosts_command_token1] = ACTIONS(797),
    [aux_sym_local_command_token1] = ACTIONS(797),
    [aux_sym_local_forward_token1] = ACTIONS(797),
    [aux_sym_log_level_token1] = ACTIONS(797),
    [aux_sym_log_verbose_token1] = ACTIONS(797),
    [aux_sym_macs_token1] = ACTIONS(797),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(797),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(797),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(797),
    [aux_sym_password_authentication_token1] = ACTIONS(797),
    [aux_sym_permit_local_command_token1] = ACTIONS(797),
    [aux_sym_permit_remote_open_token1] = ACTIONS(797),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(797),
    [aux_sym_port_token1] = ACTIONS(797),
    [aux_sym_preferred_authentications_token1] = ACTIONS(797),
    [aux_sym_protocol_token1] = ACTIONS(797),
    [aux_sym_proxy_command_token1] = ACTIONS(797),
    [aux_sym_proxy_jump_token1] = ACTIONS(797),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(797),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(797),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(797),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(797),
    [aux_sym_rekey_limit_token1] = ACTIONS(797),
    [aux_sym_remote_command_token1] = ACTIONS(797),
    [aux_sym_remote_forward_token1] = ACTIONS(797),
    [aux_sym_request_tty_token1] = ACTIONS(797),
    [aux_sym_required_rsa_size_token1] = ACTIONS(797),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(797),
    [aux_sym_security_key_provider_token1] = ACTIONS(797),
    [aux_sym_send_env_token1] = ACTIONS(797),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(797),
    [aux_sym_server_alive_interval_token1] = ACTIONS(797),
    [aux_sym_session_type_token1] = ACTIONS(797),
    [aux_sym_set_env_token1] = ACTIONS(797),
    [aux_sym_stdin_null_token1] = ACTIONS(797),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(797),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(797),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(797),
    [aux_sym_syslog_facility_token1] = ACTIONS(797),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(797),
    [aux_sym_keep_alive_token1] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(797),
    [aux_sym_tunnel_token1] = ACTIONS(799),
    [aux_sym_tunnel_device_token1] = ACTIONS(797),
    [aux_sym_update_host_keys_token1] = ACTIONS(797),
    [aux_sym_use_keychain_token1] = ACTIONS(797),
    [aux_sym_use_roaming_token1] = ACTIONS(797),
    [aux_sym_user_token1] = ACTIONS(799),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(797),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(797),
    [aux_sym_visual_host_key_token1] = ACTIONS(797),
    [aux_sym_xauth_location_token1] = ACTIONS(797),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(1929),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1931),
    [aux_sym_match_token1] = ACTIONS(1929),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1929),
    [aux_sym_address_family_token1] = ACTIONS(1929),
    [aux_sym_batch_mode_token1] = ACTIONS(1929),
    [aux_sym_bind_address_token1] = ACTIONS(1929),
    [aux_sym_bind_interface_token1] = ACTIONS(1929),
    [aux_sym_canonical_domains_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1929),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1929),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1929),
    [aux_sym_certificate_file_token1] = ACTIONS(1929),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1929),
    [aux_sym_channel_timeout_token1] = ACTIONS(1929),
    [aux_sym_check_host_ip_token1] = ACTIONS(1929),
    [aux_sym_ciphers_token1] = ACTIONS(1929),
    [aux_sym_cipher_token1] = ACTIONS(1931),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1929),
    [aux_sym_compression_token1] = ACTIONS(1929),
    [aux_sym_connection_attempts_token1] = ACTIONS(1929),
    [aux_sym_connect_timeout_token1] = ACTIONS(1929),
    [aux_sym_control_master_token1] = ACTIONS(1929),
    [aux_sym_control_path_token1] = ACTIONS(1929),
    [aux_sym_control_persist_token1] = ACTIONS(1929),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1929),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1929),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1929),
    [aux_sym_escape_char_token1] = ACTIONS(1929),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1929),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1929),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1929),
    [aux_sym_forward_agent_token1] = ACTIONS(1929),
    [aux_sym_forward_x11_token1] = ACTIONS(1931),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1929),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1929),
    [aux_sym_gateway_ports_token1] = ACTIONS(1929),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1929),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1929),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1929),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1929),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1929),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1929),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1929),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1929),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1929),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1929),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1929),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1929),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1929),
    [aux_sym_host_key_alias_token1] = ACTIONS(1929),
    [aux_sym_hostname_token1] = ACTIONS(1929),
    [aux_sym_identities_only_token1] = ACTIONS(1929),
    [aux_sym_identity_agent_token1] = ACTIONS(1929),
    [aux_sym_identity_file_token1] = ACTIONS(1929),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1929),
    [aux_sym_include_token1] = ACTIONS(1929),
    [aux_sym_ip_qos_token1] = ACTIONS(1929),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1929),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1929),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1929),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1929),
    [aux_sym_local_command_token1] = ACTIONS(1929),
    [aux_sym_local_forward_token1] = ACTIONS(1929),
    [aux_sym_log_level_token1] = ACTIONS(1929),
    [aux_sym_log_verbose_token1] = ACTIONS(1929),
    [aux_sym_macs_token1] = ACTIONS(1929),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1929),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1929),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1929),
    [aux_sym_password_authentication_token1] = ACTIONS(1929),
    [aux_sym_permit_local_command_token1] = ACTIONS(1929),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1929),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1929),
    [aux_sym_port_token1] = ACTIONS(1929),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1929),
    [aux_sym_protocol_token1] = ACTIONS(1929),
    [aux_sym_proxy_command_token1] = ACTIONS(1929),
    [aux_sym_proxy_jump_token1] = ACTIONS(1929),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1929),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1929),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1929),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1929),
    [aux_sym_rekey_limit_token1] = ACTIONS(1929),
    [aux_sym_remote_command_token1] = ACTIONS(1929),
    [aux_sym_remote_forward_token1] = ACTIONS(1929),
    [aux_sym_request_tty_token1] = ACTIONS(1929),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1929),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1929),
    [aux_sym_security_key_provider_token1] = ACTIONS(1929),
    [aux_sym_send_env_token1] = ACTIONS(1929),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1929),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1929),
    [aux_sym_session_type_token1] = ACTIONS(1929),
    [aux_sym_set_env_token1] = ACTIONS(1929),
    [aux_sym_stdin_null_token1] = ACTIONS(1929),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1929),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1929),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1929),
    [aux_sym_syslog_facility_token1] = ACTIONS(1929),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1929),
    [aux_sym_keep_alive_token1] = ACTIONS(1929),
    [aux_sym_tag_token1] = ACTIONS(1929),
    [aux_sym_tunnel_token1] = ACTIONS(1931),
    [aux_sym_tunnel_device_token1] = ACTIONS(1929),
    [aux_sym_update_host_keys_token1] = ACTIONS(1929),
    [aux_sym_use_keychain_token1] = ACTIONS(1929),
    [aux_sym_use_roaming_token1] = ACTIONS(1929),
    [aux_sym_user_token1] = ACTIONS(1931),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1929),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1929),
    [aux_sym_visual_host_key_token1] = ACTIONS(1929),
    [aux_sym_xauth_location_token1] = ACTIONS(1929),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(679),
    [aux_sym_match_token1] = ACTIONS(677),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(677),
    [aux_sym_address_family_token1] = ACTIONS(677),
    [aux_sym_batch_mode_token1] = ACTIONS(677),
    [aux_sym_bind_address_token1] = ACTIONS(677),
    [aux_sym_bind_interface_token1] = ACTIONS(677),
    [aux_sym_canonical_domains_token1] = ACTIONS(677),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(677),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(677),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(677),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(677),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(677),
    [aux_sym_certificate_file_token1] = ACTIONS(677),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(677),
    [aux_sym_channel_timeout_token1] = ACTIONS(677),
    [aux_sym_check_host_ip_token1] = ACTIONS(677),
    [aux_sym_ciphers_token1] = ACTIONS(677),
    [aux_sym_cipher_token1] = ACTIONS(679),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(677),
    [aux_sym_compression_token1] = ACTIONS(677),
    [aux_sym_connection_attempts_token1] = ACTIONS(677),
    [aux_sym_connect_timeout_token1] = ACTIONS(677),
    [aux_sym_control_master_token1] = ACTIONS(677),
    [aux_sym_control_path_token1] = ACTIONS(677),
    [aux_sym_control_persist_token1] = ACTIONS(677),
    [aux_sym_dynamic_forward_token1] = ACTIONS(677),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(677),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(677),
    [aux_sym_escape_char_token1] = ACTIONS(677),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(677),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(677),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(677),
    [aux_sym_forward_agent_token1] = ACTIONS(677),
    [aux_sym_forward_x11_token1] = ACTIONS(679),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(677),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(677),
    [aux_sym_gateway_ports_token1] = ACTIONS(677),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(677),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(677),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(677),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(677),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(677),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(677),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(677),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(677),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(677),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(677),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(677),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(677),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(677),
    [aux_sym_host_key_alias_token1] = ACTIONS(677),
    [aux_sym_hostname_token1] = ACTIONS(677),
    [aux_sym_identities_only_token1] = ACTIONS(677),
    [aux_sym_identity_agent_token1] = ACTIONS(677),
    [aux_sym_identity_file_token1] = ACTIONS(677),
    [aux_sym_ignore_unknown_token1] = ACTIONS(677),
    [aux_sym_include_token1] = ACTIONS(677),
    [aux_sym_ip_qos_token1] = ACTIONS(677),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(677),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(677),
    [aux_sym_kex_algorithms_token1] = ACTIONS(677),
    [aux_sym_known_hosts_command_token1] = ACTIONS(677),
    [aux_sym_local_command_token1] = ACTIONS(677),
    [aux_sym_local_forward_token1] = ACTIONS(677),
    [aux_sym_log_level_token1] = ACTIONS(677),
    [aux_sym_log_verbose_token1] = ACTIONS(677),
    [aux_sym_macs_token1] = ACTIONS(677),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(677),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(677),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(677),
    [aux_sym_password_authentication_token1] = ACTIONS(677),
    [aux_sym_permit_local_command_token1] = ACTIONS(677),
    [aux_sym_permit_remote_open_token1] = ACTIONS(677),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(677),
    [aux_sym_port_token1] = ACTIONS(677),
    [aux_sym_preferred_authentications_token1] = ACTIONS(677),
    [aux_sym_protocol_token1] = ACTIONS(677),
    [aux_sym_proxy_command_token1] = ACTIONS(677),
    [aux_sym_proxy_jump_token1] = ACTIONS(677),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(677),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(677),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(677),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(677),
    [aux_sym_rekey_limit_token1] = ACTIONS(677),
    [aux_sym_remote_command_token1] = ACTIONS(677),
    [aux_sym_remote_forward_token1] = ACTIONS(677),
    [aux_sym_request_tty_token1] = ACTIONS(677),
    [aux_sym_required_rsa_size_token1] = ACTIONS(677),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(677),
    [aux_sym_security_key_provider_token1] = ACTIONS(677),
    [aux_sym_send_env_token1] = ACTIONS(677),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(677),
    [aux_sym_server_alive_interval_token1] = ACTIONS(677),
    [aux_sym_session_type_token1] = ACTIONS(677),
    [aux_sym_set_env_token1] = ACTIONS(677),
    [aux_sym_stdin_null_token1] = ACTIONS(677),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(677),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(677),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(677),
    [aux_sym_syslog_facility_token1] = ACTIONS(677),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(677),
    [aux_sym_keep_alive_token1] = ACTIONS(677),
    [aux_sym_tag_token1] = ACTIONS(677),
    [aux_sym_tunnel_token1] = ACTIONS(679),
    [aux_sym_tunnel_device_token1] = ACTIONS(677),
    [aux_sym_update_host_keys_token1] = ACTIONS(677),
    [aux_sym_use_keychain_token1] = ACTIONS(677),
    [aux_sym_use_roaming_token1] = ACTIONS(677),
    [aux_sym_user_token1] = ACTIONS(679),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(677),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(677),
    [aux_sym_visual_host_key_token1] = ACTIONS(677),
    [aux_sym_xauth_location_token1] = ACTIONS(677),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(1439),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1441),
    [aux_sym_match_token1] = ACTIONS(1439),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1439),
    [aux_sym_address_family_token1] = ACTIONS(1439),
    [aux_sym_batch_mode_token1] = ACTIONS(1439),
    [aux_sym_bind_address_token1] = ACTIONS(1439),
    [aux_sym_bind_interface_token1] = ACTIONS(1439),
    [aux_sym_canonical_domains_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1439),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1439),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1439),
    [aux_sym_certificate_file_token1] = ACTIONS(1439),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1439),
    [aux_sym_channel_timeout_token1] = ACTIONS(1439),
    [aux_sym_check_host_ip_token1] = ACTIONS(1439),
    [aux_sym_ciphers_token1] = ACTIONS(1439),
    [aux_sym_cipher_token1] = ACTIONS(1441),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1439),
    [aux_sym_compression_token1] = ACTIONS(1439),
    [aux_sym_connection_attempts_token1] = ACTIONS(1439),
    [aux_sym_connect_timeout_token1] = ACTIONS(1439),
    [aux_sym_control_master_token1] = ACTIONS(1439),
    [aux_sym_control_path_token1] = ACTIONS(1439),
    [aux_sym_control_persist_token1] = ACTIONS(1439),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1439),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1439),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1439),
    [aux_sym_escape_char_token1] = ACTIONS(1439),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1439),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1439),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1439),
    [aux_sym_forward_agent_token1] = ACTIONS(1439),
    [aux_sym_forward_x11_token1] = ACTIONS(1441),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1439),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1439),
    [aux_sym_gateway_ports_token1] = ACTIONS(1439),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1439),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1439),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1439),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1439),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1439),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1439),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1439),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1439),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1439),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1439),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1439),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1439),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1439),
    [aux_sym_host_key_alias_token1] = ACTIONS(1439),
    [aux_sym_hostname_token1] = ACTIONS(1439),
    [aux_sym_identities_only_token1] = ACTIONS(1439),
    [aux_sym_identity_agent_token1] = ACTIONS(1439),
    [aux_sym_identity_file_token1] = ACTIONS(1439),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1439),
    [aux_sym_include_token1] = ACTIONS(1439),
    [aux_sym_ip_qos_token1] = ACTIONS(1439),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1439),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1439),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1439),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1439),
    [aux_sym_local_command_token1] = ACTIONS(1439),
    [aux_sym_local_forward_token1] = ACTIONS(1439),
    [aux_sym_log_level_token1] = ACTIONS(1439),
    [aux_sym_log_verbose_token1] = ACTIONS(1439),
    [aux_sym_macs_token1] = ACTIONS(1439),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1439),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1439),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1439),
    [aux_sym_password_authentication_token1] = ACTIONS(1439),
    [aux_sym_permit_local_command_token1] = ACTIONS(1439),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1439),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1439),
    [aux_sym_port_token1] = ACTIONS(1439),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1439),
    [aux_sym_protocol_token1] = ACTIONS(1439),
    [aux_sym_proxy_command_token1] = ACTIONS(1439),
    [aux_sym_proxy_jump_token1] = ACTIONS(1439),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1439),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1439),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1439),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1439),
    [aux_sym_rekey_limit_token1] = ACTIONS(1439),
    [aux_sym_remote_command_token1] = ACTIONS(1439),
    [aux_sym_remote_forward_token1] = ACTIONS(1439),
    [aux_sym_request_tty_token1] = ACTIONS(1439),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1439),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1439),
    [aux_sym_security_key_provider_token1] = ACTIONS(1439),
    [aux_sym_send_env_token1] = ACTIONS(1439),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1439),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1439),
    [aux_sym_session_type_token1] = ACTIONS(1439),
    [aux_sym_set_env_token1] = ACTIONS(1439),
    [aux_sym_stdin_null_token1] = ACTIONS(1439),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1439),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1439),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1439),
    [aux_sym_syslog_facility_token1] = ACTIONS(1439),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1439),
    [aux_sym_keep_alive_token1] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [aux_sym_tunnel_token1] = ACTIONS(1441),
    [aux_sym_tunnel_device_token1] = ACTIONS(1439),
    [aux_sym_update_host_keys_token1] = ACTIONS(1439),
    [aux_sym_use_keychain_token1] = ACTIONS(1439),
    [aux_sym_use_roaming_token1] = ACTIONS(1439),
    [aux_sym_user_token1] = ACTIONS(1441),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1439),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1439),
    [aux_sym_visual_host_key_token1] = ACTIONS(1439),
    [aux_sym_xauth_location_token1] = ACTIONS(1439),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1925),
    [aux_sym_match_token1] = ACTIONS(1923),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1923),
    [aux_sym_address_family_token1] = ACTIONS(1923),
    [aux_sym_batch_mode_token1] = ACTIONS(1923),
    [aux_sym_bind_address_token1] = ACTIONS(1923),
    [aux_sym_bind_interface_token1] = ACTIONS(1923),
    [aux_sym_canonical_domains_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1923),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1923),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1923),
    [aux_sym_certificate_file_token1] = ACTIONS(1923),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1923),
    [aux_sym_channel_timeout_token1] = ACTIONS(1923),
    [aux_sym_check_host_ip_token1] = ACTIONS(1923),
    [aux_sym_ciphers_token1] = ACTIONS(1923),
    [aux_sym_cipher_token1] = ACTIONS(1925),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1923),
    [aux_sym_compression_token1] = ACTIONS(1923),
    [aux_sym_connection_attempts_token1] = ACTIONS(1923),
    [aux_sym_connect_timeout_token1] = ACTIONS(1923),
    [aux_sym_control_master_token1] = ACTIONS(1923),
    [aux_sym_control_path_token1] = ACTIONS(1923),
    [aux_sym_control_persist_token1] = ACTIONS(1923),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1923),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1923),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1923),
    [aux_sym_escape_char_token1] = ACTIONS(1923),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1923),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1923),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1923),
    [aux_sym_forward_agent_token1] = ACTIONS(1923),
    [aux_sym_forward_x11_token1] = ACTIONS(1925),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1923),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1923),
    [aux_sym_gateway_ports_token1] = ACTIONS(1923),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1923),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1923),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1923),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1923),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1923),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1923),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1923),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1923),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1923),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1923),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1923),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1923),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1923),
    [aux_sym_host_key_alias_token1] = ACTIONS(1923),
    [aux_sym_hostname_token1] = ACTIONS(1923),
    [aux_sym_identities_only_token1] = ACTIONS(1923),
    [aux_sym_identity_agent_token1] = ACTIONS(1923),
    [aux_sym_identity_file_token1] = ACTIONS(1923),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1923),
    [aux_sym_include_token1] = ACTIONS(1923),
    [aux_sym_ip_qos_token1] = ACTIONS(1923),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1923),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1923),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1923),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1923),
    [aux_sym_local_command_token1] = ACTIONS(1923),
    [aux_sym_local_forward_token1] = ACTIONS(1923),
    [aux_sym_log_level_token1] = ACTIONS(1923),
    [aux_sym_log_verbose_token1] = ACTIONS(1923),
    [aux_sym_macs_token1] = ACTIONS(1923),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1923),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1923),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1923),
    [aux_sym_password_authentication_token1] = ACTIONS(1923),
    [aux_sym_permit_local_command_token1] = ACTIONS(1923),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1923),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1923),
    [aux_sym_port_token1] = ACTIONS(1923),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1923),
    [aux_sym_protocol_token1] = ACTIONS(1923),
    [aux_sym_proxy_command_token1] = ACTIONS(1923),
    [aux_sym_proxy_jump_token1] = ACTIONS(1923),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1923),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1923),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1923),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1923),
    [aux_sym_rekey_limit_token1] = ACTIONS(1923),
    [aux_sym_remote_command_token1] = ACTIONS(1923),
    [aux_sym_remote_forward_token1] = ACTIONS(1923),
    [aux_sym_request_tty_token1] = ACTIONS(1923),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1923),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1923),
    [aux_sym_security_key_provider_token1] = ACTIONS(1923),
    [aux_sym_send_env_token1] = ACTIONS(1923),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1923),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1923),
    [aux_sym_session_type_token1] = ACTIONS(1923),
    [aux_sym_set_env_token1] = ACTIONS(1923),
    [aux_sym_stdin_null_token1] = ACTIONS(1923),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1923),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1923),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1923),
    [aux_sym_syslog_facility_token1] = ACTIONS(1923),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1923),
    [aux_sym_keep_alive_token1] = ACTIONS(1923),
    [aux_sym_tag_token1] = ACTIONS(1923),
    [aux_sym_tunnel_token1] = ACTIONS(1925),
    [aux_sym_tunnel_device_token1] = ACTIONS(1923),
    [aux_sym_update_host_keys_token1] = ACTIONS(1923),
    [aux_sym_use_keychain_token1] = ACTIONS(1923),
    [aux_sym_use_roaming_token1] = ACTIONS(1923),
    [aux_sym_user_token1] = ACTIONS(1925),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1923),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1923),
    [aux_sym_visual_host_key_token1] = ACTIONS(1923),
    [aux_sym_xauth_location_token1] = ACTIONS(1923),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(685),
    [aux_sym_match_token1] = ACTIONS(683),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(683),
    [aux_sym_address_family_token1] = ACTIONS(683),
    [aux_sym_batch_mode_token1] = ACTIONS(683),
    [aux_sym_bind_address_token1] = ACTIONS(683),
    [aux_sym_bind_interface_token1] = ACTIONS(683),
    [aux_sym_canonical_domains_token1] = ACTIONS(683),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(683),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(683),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(683),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(683),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(683),
    [aux_sym_certificate_file_token1] = ACTIONS(683),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(683),
    [aux_sym_channel_timeout_token1] = ACTIONS(683),
    [aux_sym_check_host_ip_token1] = ACTIONS(683),
    [aux_sym_ciphers_token1] = ACTIONS(683),
    [aux_sym_cipher_token1] = ACTIONS(685),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(683),
    [aux_sym_compression_token1] = ACTIONS(683),
    [aux_sym_connection_attempts_token1] = ACTIONS(683),
    [aux_sym_connect_timeout_token1] = ACTIONS(683),
    [aux_sym_control_master_token1] = ACTIONS(683),
    [aux_sym_control_path_token1] = ACTIONS(683),
    [aux_sym_control_persist_token1] = ACTIONS(683),
    [aux_sym_dynamic_forward_token1] = ACTIONS(683),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(683),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(683),
    [aux_sym_escape_char_token1] = ACTIONS(683),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(683),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(683),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(683),
    [aux_sym_forward_agent_token1] = ACTIONS(683),
    [aux_sym_forward_x11_token1] = ACTIONS(685),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(683),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(683),
    [aux_sym_gateway_ports_token1] = ACTIONS(683),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(683),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(683),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(683),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(683),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(683),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(683),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(683),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(683),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(683),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(683),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(683),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(683),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(683),
    [aux_sym_host_key_alias_token1] = ACTIONS(683),
    [aux_sym_hostname_token1] = ACTIONS(683),
    [aux_sym_identities_only_token1] = ACTIONS(683),
    [aux_sym_identity_agent_token1] = ACTIONS(683),
    [aux_sym_identity_file_token1] = ACTIONS(683),
    [aux_sym_ignore_unknown_token1] = ACTIONS(683),
    [aux_sym_include_token1] = ACTIONS(683),
    [aux_sym_ip_qos_token1] = ACTIONS(683),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(683),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(683),
    [aux_sym_kex_algorithms_token1] = ACTIONS(683),
    [aux_sym_known_hosts_command_token1] = ACTIONS(683),
    [aux_sym_local_command_token1] = ACTIONS(683),
    [aux_sym_local_forward_token1] = ACTIONS(683),
    [aux_sym_log_level_token1] = ACTIONS(683),
    [aux_sym_log_verbose_token1] = ACTIONS(683),
    [aux_sym_macs_token1] = ACTIONS(683),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(683),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(683),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(683),
    [aux_sym_password_authentication_token1] = ACTIONS(683),
    [aux_sym_permit_local_command_token1] = ACTIONS(683),
    [aux_sym_permit_remote_open_token1] = ACTIONS(683),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(683),
    [aux_sym_port_token1] = ACTIONS(683),
    [aux_sym_preferred_authentications_token1] = ACTIONS(683),
    [aux_sym_protocol_token1] = ACTIONS(683),
    [aux_sym_proxy_command_token1] = ACTIONS(683),
    [aux_sym_proxy_jump_token1] = ACTIONS(683),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(683),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(683),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(683),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(683),
    [aux_sym_rekey_limit_token1] = ACTIONS(683),
    [aux_sym_remote_command_token1] = ACTIONS(683),
    [aux_sym_remote_forward_token1] = ACTIONS(683),
    [aux_sym_request_tty_token1] = ACTIONS(683),
    [aux_sym_required_rsa_size_token1] = ACTIONS(683),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(683),
    [aux_sym_security_key_provider_token1] = ACTIONS(683),
    [aux_sym_send_env_token1] = ACTIONS(683),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(683),
    [aux_sym_server_alive_interval_token1] = ACTIONS(683),
    [aux_sym_session_type_token1] = ACTIONS(683),
    [aux_sym_set_env_token1] = ACTIONS(683),
    [aux_sym_stdin_null_token1] = ACTIONS(683),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(683),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(683),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(683),
    [aux_sym_syslog_facility_token1] = ACTIONS(683),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(683),
    [aux_sym_keep_alive_token1] = ACTIONS(683),
    [aux_sym_tag_token1] = ACTIONS(683),
    [aux_sym_tunnel_token1] = ACTIONS(685),
    [aux_sym_tunnel_device_token1] = ACTIONS(683),
    [aux_sym_update_host_keys_token1] = ACTIONS(683),
    [aux_sym_use_keychain_token1] = ACTIONS(683),
    [aux_sym_use_roaming_token1] = ACTIONS(683),
    [aux_sym_user_token1] = ACTIONS(685),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(683),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(683),
    [aux_sym_visual_host_key_token1] = ACTIONS(683),
    [aux_sym_xauth_location_token1] = ACTIONS(683),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(967),
    [aux_sym_match_token1] = ACTIONS(965),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(965),
    [aux_sym_address_family_token1] = ACTIONS(965),
    [aux_sym_batch_mode_token1] = ACTIONS(965),
    [aux_sym_bind_address_token1] = ACTIONS(965),
    [aux_sym_bind_interface_token1] = ACTIONS(965),
    [aux_sym_canonical_domains_token1] = ACTIONS(965),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(965),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(965),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(965),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(965),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(965),
    [aux_sym_certificate_file_token1] = ACTIONS(965),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(965),
    [aux_sym_channel_timeout_token1] = ACTIONS(965),
    [aux_sym_check_host_ip_token1] = ACTIONS(965),
    [aux_sym_ciphers_token1] = ACTIONS(965),
    [aux_sym_cipher_token1] = ACTIONS(967),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(965),
    [aux_sym_compression_token1] = ACTIONS(965),
    [aux_sym_connection_attempts_token1] = ACTIONS(965),
    [aux_sym_connect_timeout_token1] = ACTIONS(965),
    [aux_sym_control_master_token1] = ACTIONS(965),
    [aux_sym_control_path_token1] = ACTIONS(965),
    [aux_sym_control_persist_token1] = ACTIONS(965),
    [aux_sym_dynamic_forward_token1] = ACTIONS(965),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(965),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(965),
    [aux_sym_escape_char_token1] = ACTIONS(965),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(965),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(965),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(965),
    [aux_sym_forward_agent_token1] = ACTIONS(965),
    [aux_sym_forward_x11_token1] = ACTIONS(967),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(965),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(965),
    [aux_sym_gateway_ports_token1] = ACTIONS(965),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(965),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(965),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(965),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(965),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(965),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(965),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(965),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(965),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(965),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(965),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(965),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(965),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(965),
    [aux_sym_host_key_alias_token1] = ACTIONS(965),
    [aux_sym_hostname_token1] = ACTIONS(965),
    [aux_sym_identities_only_token1] = ACTIONS(965),
    [aux_sym_identity_agent_token1] = ACTIONS(965),
    [aux_sym_identity_file_token1] = ACTIONS(965),
    [aux_sym_ignore_unknown_token1] = ACTIONS(965),
    [aux_sym_include_token1] = ACTIONS(965),
    [aux_sym_ip_qos_token1] = ACTIONS(965),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(965),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(965),
    [aux_sym_kex_algorithms_token1] = ACTIONS(965),
    [aux_sym_known_hosts_command_token1] = ACTIONS(965),
    [aux_sym_local_command_token1] = ACTIONS(965),
    [aux_sym_local_forward_token1] = ACTIONS(965),
    [aux_sym_log_level_token1] = ACTIONS(965),
    [aux_sym_log_verbose_token1] = ACTIONS(965),
    [aux_sym_macs_token1] = ACTIONS(965),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(965),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(965),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(965),
    [aux_sym_password_authentication_token1] = ACTIONS(965),
    [aux_sym_permit_local_command_token1] = ACTIONS(965),
    [aux_sym_permit_remote_open_token1] = ACTIONS(965),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(965),
    [aux_sym_port_token1] = ACTIONS(965),
    [aux_sym_preferred_authentications_token1] = ACTIONS(965),
    [aux_sym_protocol_token1] = ACTIONS(965),
    [aux_sym_proxy_command_token1] = ACTIONS(965),
    [aux_sym_proxy_jump_token1] = ACTIONS(965),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(965),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(965),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(965),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(965),
    [aux_sym_rekey_limit_token1] = ACTIONS(965),
    [aux_sym_remote_command_token1] = ACTIONS(965),
    [aux_sym_remote_forward_token1] = ACTIONS(965),
    [aux_sym_request_tty_token1] = ACTIONS(965),
    [aux_sym_required_rsa_size_token1] = ACTIONS(965),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(965),
    [aux_sym_security_key_provider_token1] = ACTIONS(965),
    [aux_sym_send_env_token1] = ACTIONS(965),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(965),
    [aux_sym_server_alive_interval_token1] = ACTIONS(965),
    [aux_sym_session_type_token1] = ACTIONS(965),
    [aux_sym_set_env_token1] = ACTIONS(965),
    [aux_sym_stdin_null_token1] = ACTIONS(965),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(965),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(965),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(965),
    [aux_sym_syslog_facility_token1] = ACTIONS(965),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(965),
    [aux_sym_keep_alive_token1] = ACTIONS(965),
    [aux_sym_tag_token1] = ACTIONS(965),
    [aux_sym_tunnel_token1] = ACTIONS(967),
    [aux_sym_tunnel_device_token1] = ACTIONS(965),
    [aux_sym_update_host_keys_token1] = ACTIONS(965),
    [aux_sym_use_keychain_token1] = ACTIONS(965),
    [aux_sym_use_roaming_token1] = ACTIONS(965),
    [aux_sym_user_token1] = ACTIONS(967),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(965),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(965),
    [aux_sym_visual_host_key_token1] = ACTIONS(965),
    [aux_sym_xauth_location_token1] = ACTIONS(965),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1919),
    [aux_sym_match_token1] = ACTIONS(1917),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1917),
    [aux_sym_address_family_token1] = ACTIONS(1917),
    [aux_sym_batch_mode_token1] = ACTIONS(1917),
    [aux_sym_bind_address_token1] = ACTIONS(1917),
    [aux_sym_bind_interface_token1] = ACTIONS(1917),
    [aux_sym_canonical_domains_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1917),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1917),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1917),
    [aux_sym_certificate_file_token1] = ACTIONS(1917),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1917),
    [aux_sym_channel_timeout_token1] = ACTIONS(1917),
    [aux_sym_check_host_ip_token1] = ACTIONS(1917),
    [aux_sym_ciphers_token1] = ACTIONS(1917),
    [aux_sym_cipher_token1] = ACTIONS(1919),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1917),
    [aux_sym_compression_token1] = ACTIONS(1917),
    [aux_sym_connection_attempts_token1] = ACTIONS(1917),
    [aux_sym_connect_timeout_token1] = ACTIONS(1917),
    [aux_sym_control_master_token1] = ACTIONS(1917),
    [aux_sym_control_path_token1] = ACTIONS(1917),
    [aux_sym_control_persist_token1] = ACTIONS(1917),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1917),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1917),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1917),
    [aux_sym_escape_char_token1] = ACTIONS(1917),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1917),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1917),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1917),
    [aux_sym_forward_agent_token1] = ACTIONS(1917),
    [aux_sym_forward_x11_token1] = ACTIONS(1919),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1917),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1917),
    [aux_sym_gateway_ports_token1] = ACTIONS(1917),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1917),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1917),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1917),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1917),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1917),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1917),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1917),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1917),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1917),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1917),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1917),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1917),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1917),
    [aux_sym_host_key_alias_token1] = ACTIONS(1917),
    [aux_sym_hostname_token1] = ACTIONS(1917),
    [aux_sym_identities_only_token1] = ACTIONS(1917),
    [aux_sym_identity_agent_token1] = ACTIONS(1917),
    [aux_sym_identity_file_token1] = ACTIONS(1917),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1917),
    [aux_sym_include_token1] = ACTIONS(1917),
    [aux_sym_ip_qos_token1] = ACTIONS(1917),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1917),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1917),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1917),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1917),
    [aux_sym_local_command_token1] = ACTIONS(1917),
    [aux_sym_local_forward_token1] = ACTIONS(1917),
    [aux_sym_log_level_token1] = ACTIONS(1917),
    [aux_sym_log_verbose_token1] = ACTIONS(1917),
    [aux_sym_macs_token1] = ACTIONS(1917),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1917),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1917),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1917),
    [aux_sym_password_authentication_token1] = ACTIONS(1917),
    [aux_sym_permit_local_command_token1] = ACTIONS(1917),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1917),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1917),
    [aux_sym_port_token1] = ACTIONS(1917),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1917),
    [aux_sym_protocol_token1] = ACTIONS(1917),
    [aux_sym_proxy_command_token1] = ACTIONS(1917),
    [aux_sym_proxy_jump_token1] = ACTIONS(1917),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1917),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1917),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1917),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1917),
    [aux_sym_rekey_limit_token1] = ACTIONS(1917),
    [aux_sym_remote_command_token1] = ACTIONS(1917),
    [aux_sym_remote_forward_token1] = ACTIONS(1917),
    [aux_sym_request_tty_token1] = ACTIONS(1917),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1917),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1917),
    [aux_sym_security_key_provider_token1] = ACTIONS(1917),
    [aux_sym_send_env_token1] = ACTIONS(1917),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1917),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1917),
    [aux_sym_session_type_token1] = ACTIONS(1917),
    [aux_sym_set_env_token1] = ACTIONS(1917),
    [aux_sym_stdin_null_token1] = ACTIONS(1917),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1917),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1917),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1917),
    [aux_sym_syslog_facility_token1] = ACTIONS(1917),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1917),
    [aux_sym_keep_alive_token1] = ACTIONS(1917),
    [aux_sym_tag_token1] = ACTIONS(1917),
    [aux_sym_tunnel_token1] = ACTIONS(1919),
    [aux_sym_tunnel_device_token1] = ACTIONS(1917),
    [aux_sym_update_host_keys_token1] = ACTIONS(1917),
    [aux_sym_use_keychain_token1] = ACTIONS(1917),
    [aux_sym_use_roaming_token1] = ACTIONS(1917),
    [aux_sym_user_token1] = ACTIONS(1919),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1917),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1917),
    [aux_sym_visual_host_key_token1] = ACTIONS(1917),
    [aux_sym_xauth_location_token1] = ACTIONS(1917),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1447),
    [aux_sym_match_token1] = ACTIONS(1445),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1445),
    [aux_sym_address_family_token1] = ACTIONS(1445),
    [aux_sym_batch_mode_token1] = ACTIONS(1445),
    [aux_sym_bind_address_token1] = ACTIONS(1445),
    [aux_sym_bind_interface_token1] = ACTIONS(1445),
    [aux_sym_canonical_domains_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1445),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1445),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1445),
    [aux_sym_certificate_file_token1] = ACTIONS(1445),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1445),
    [aux_sym_channel_timeout_token1] = ACTIONS(1445),
    [aux_sym_check_host_ip_token1] = ACTIONS(1445),
    [aux_sym_ciphers_token1] = ACTIONS(1445),
    [aux_sym_cipher_token1] = ACTIONS(1447),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1445),
    [aux_sym_compression_token1] = ACTIONS(1445),
    [aux_sym_connection_attempts_token1] = ACTIONS(1445),
    [aux_sym_connect_timeout_token1] = ACTIONS(1445),
    [aux_sym_control_master_token1] = ACTIONS(1445),
    [aux_sym_control_path_token1] = ACTIONS(1445),
    [aux_sym_control_persist_token1] = ACTIONS(1445),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1445),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1445),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1445),
    [aux_sym_escape_char_token1] = ACTIONS(1445),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1445),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1445),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1445),
    [aux_sym_forward_agent_token1] = ACTIONS(1445),
    [aux_sym_forward_x11_token1] = ACTIONS(1447),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1445),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1445),
    [aux_sym_gateway_ports_token1] = ACTIONS(1445),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1445),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1445),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1445),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1445),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1445),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1445),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1445),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1445),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1445),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1445),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1445),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1445),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1445),
    [aux_sym_host_key_alias_token1] = ACTIONS(1445),
    [aux_sym_hostname_token1] = ACTIONS(1445),
    [aux_sym_identities_only_token1] = ACTIONS(1445),
    [aux_sym_identity_agent_token1] = ACTIONS(1445),
    [aux_sym_identity_file_token1] = ACTIONS(1445),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1445),
    [aux_sym_include_token1] = ACTIONS(1445),
    [aux_sym_ip_qos_token1] = ACTIONS(1445),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1445),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1445),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1445),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1445),
    [aux_sym_local_command_token1] = ACTIONS(1445),
    [aux_sym_local_forward_token1] = ACTIONS(1445),
    [aux_sym_log_level_token1] = ACTIONS(1445),
    [aux_sym_log_verbose_token1] = ACTIONS(1445),
    [aux_sym_macs_token1] = ACTIONS(1445),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1445),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1445),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1445),
    [aux_sym_password_authentication_token1] = ACTIONS(1445),
    [aux_sym_permit_local_command_token1] = ACTIONS(1445),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1445),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1445),
    [aux_sym_port_token1] = ACTIONS(1445),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1445),
    [aux_sym_protocol_token1] = ACTIONS(1445),
    [aux_sym_proxy_command_token1] = ACTIONS(1445),
    [aux_sym_proxy_jump_token1] = ACTIONS(1445),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1445),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1445),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1445),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1445),
    [aux_sym_rekey_limit_token1] = ACTIONS(1445),
    [aux_sym_remote_command_token1] = ACTIONS(1445),
    [aux_sym_remote_forward_token1] = ACTIONS(1445),
    [aux_sym_request_tty_token1] = ACTIONS(1445),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1445),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1445),
    [aux_sym_security_key_provider_token1] = ACTIONS(1445),
    [aux_sym_send_env_token1] = ACTIONS(1445),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1445),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1445),
    [aux_sym_session_type_token1] = ACTIONS(1445),
    [aux_sym_set_env_token1] = ACTIONS(1445),
    [aux_sym_stdin_null_token1] = ACTIONS(1445),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1445),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1445),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1445),
    [aux_sym_syslog_facility_token1] = ACTIONS(1445),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1445),
    [aux_sym_keep_alive_token1] = ACTIONS(1445),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [aux_sym_tunnel_token1] = ACTIONS(1447),
    [aux_sym_tunnel_device_token1] = ACTIONS(1445),
    [aux_sym_update_host_keys_token1] = ACTIONS(1445),
    [aux_sym_use_keychain_token1] = ACTIONS(1445),
    [aux_sym_use_roaming_token1] = ACTIONS(1445),
    [aux_sym_user_token1] = ACTIONS(1447),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1445),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1445),
    [aux_sym_visual_host_key_token1] = ACTIONS(1445),
    [aux_sym_xauth_location_token1] = ACTIONS(1445),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1685),
    [aux_sym_match_token1] = ACTIONS(1683),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1683),
    [aux_sym_address_family_token1] = ACTIONS(1683),
    [aux_sym_batch_mode_token1] = ACTIONS(1683),
    [aux_sym_bind_address_token1] = ACTIONS(1683),
    [aux_sym_bind_interface_token1] = ACTIONS(1683),
    [aux_sym_canonical_domains_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1683),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1683),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1683),
    [aux_sym_certificate_file_token1] = ACTIONS(1683),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1683),
    [aux_sym_channel_timeout_token1] = ACTIONS(1683),
    [aux_sym_check_host_ip_token1] = ACTIONS(1683),
    [aux_sym_ciphers_token1] = ACTIONS(1683),
    [aux_sym_cipher_token1] = ACTIONS(1685),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1683),
    [aux_sym_compression_token1] = ACTIONS(1683),
    [aux_sym_connection_attempts_token1] = ACTIONS(1683),
    [aux_sym_connect_timeout_token1] = ACTIONS(1683),
    [aux_sym_control_master_token1] = ACTIONS(1683),
    [aux_sym_control_path_token1] = ACTIONS(1683),
    [aux_sym_control_persist_token1] = ACTIONS(1683),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1683),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1683),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1683),
    [aux_sym_escape_char_token1] = ACTIONS(1683),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1683),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1683),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1683),
    [aux_sym_forward_agent_token1] = ACTIONS(1683),
    [aux_sym_forward_x11_token1] = ACTIONS(1685),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1683),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1683),
    [aux_sym_gateway_ports_token1] = ACTIONS(1683),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1683),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1683),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1683),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1683),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1683),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1683),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1683),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1683),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1683),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1683),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1683),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1683),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1683),
    [aux_sym_host_key_alias_token1] = ACTIONS(1683),
    [aux_sym_hostname_token1] = ACTIONS(1683),
    [aux_sym_identities_only_token1] = ACTIONS(1683),
    [aux_sym_identity_agent_token1] = ACTIONS(1683),
    [aux_sym_identity_file_token1] = ACTIONS(1683),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1683),
    [aux_sym_include_token1] = ACTIONS(1683),
    [aux_sym_ip_qos_token1] = ACTIONS(1683),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1683),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1683),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1683),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1683),
    [aux_sym_local_command_token1] = ACTIONS(1683),
    [aux_sym_local_forward_token1] = ACTIONS(1683),
    [aux_sym_log_level_token1] = ACTIONS(1683),
    [aux_sym_log_verbose_token1] = ACTIONS(1683),
    [aux_sym_macs_token1] = ACTIONS(1683),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1683),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1683),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1683),
    [aux_sym_password_authentication_token1] = ACTIONS(1683),
    [aux_sym_permit_local_command_token1] = ACTIONS(1683),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1683),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1683),
    [aux_sym_port_token1] = ACTIONS(1683),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1683),
    [aux_sym_protocol_token1] = ACTIONS(1683),
    [aux_sym_proxy_command_token1] = ACTIONS(1683),
    [aux_sym_proxy_jump_token1] = ACTIONS(1683),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1683),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1683),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1683),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1683),
    [aux_sym_rekey_limit_token1] = ACTIONS(1683),
    [aux_sym_remote_command_token1] = ACTIONS(1683),
    [aux_sym_remote_forward_token1] = ACTIONS(1683),
    [aux_sym_request_tty_token1] = ACTIONS(1683),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1683),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1683),
    [aux_sym_security_key_provider_token1] = ACTIONS(1683),
    [aux_sym_send_env_token1] = ACTIONS(1683),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1683),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1683),
    [aux_sym_session_type_token1] = ACTIONS(1683),
    [aux_sym_set_env_token1] = ACTIONS(1683),
    [aux_sym_stdin_null_token1] = ACTIONS(1683),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1683),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1683),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1683),
    [aux_sym_syslog_facility_token1] = ACTIONS(1683),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1683),
    [aux_sym_keep_alive_token1] = ACTIONS(1683),
    [aux_sym_tag_token1] = ACTIONS(1683),
    [aux_sym_tunnel_token1] = ACTIONS(1685),
    [aux_sym_tunnel_device_token1] = ACTIONS(1683),
    [aux_sym_update_host_keys_token1] = ACTIONS(1683),
    [aux_sym_use_keychain_token1] = ACTIONS(1683),
    [aux_sym_use_roaming_token1] = ACTIONS(1683),
    [aux_sym_user_token1] = ACTIONS(1685),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1683),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1683),
    [aux_sym_visual_host_key_token1] = ACTIONS(1683),
    [aux_sym_xauth_location_token1] = ACTIONS(1683),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1913),
    [aux_sym_match_token1] = ACTIONS(1911),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1911),
    [aux_sym_address_family_token1] = ACTIONS(1911),
    [aux_sym_batch_mode_token1] = ACTIONS(1911),
    [aux_sym_bind_address_token1] = ACTIONS(1911),
    [aux_sym_bind_interface_token1] = ACTIONS(1911),
    [aux_sym_canonical_domains_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1911),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1911),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1911),
    [aux_sym_certificate_file_token1] = ACTIONS(1911),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1911),
    [aux_sym_channel_timeout_token1] = ACTIONS(1911),
    [aux_sym_check_host_ip_token1] = ACTIONS(1911),
    [aux_sym_ciphers_token1] = ACTIONS(1911),
    [aux_sym_cipher_token1] = ACTIONS(1913),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1911),
    [aux_sym_compression_token1] = ACTIONS(1911),
    [aux_sym_connection_attempts_token1] = ACTIONS(1911),
    [aux_sym_connect_timeout_token1] = ACTIONS(1911),
    [aux_sym_control_master_token1] = ACTIONS(1911),
    [aux_sym_control_path_token1] = ACTIONS(1911),
    [aux_sym_control_persist_token1] = ACTIONS(1911),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1911),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1911),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1911),
    [aux_sym_escape_char_token1] = ACTIONS(1911),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1911),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1911),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1911),
    [aux_sym_forward_agent_token1] = ACTIONS(1911),
    [aux_sym_forward_x11_token1] = ACTIONS(1913),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1911),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1911),
    [aux_sym_gateway_ports_token1] = ACTIONS(1911),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1911),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1911),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1911),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1911),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1911),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1911),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1911),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1911),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1911),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1911),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1911),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1911),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1911),
    [aux_sym_host_key_alias_token1] = ACTIONS(1911),
    [aux_sym_hostname_token1] = ACTIONS(1911),
    [aux_sym_identities_only_token1] = ACTIONS(1911),
    [aux_sym_identity_agent_token1] = ACTIONS(1911),
    [aux_sym_identity_file_token1] = ACTIONS(1911),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1911),
    [aux_sym_include_token1] = ACTIONS(1911),
    [aux_sym_ip_qos_token1] = ACTIONS(1911),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1911),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1911),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1911),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1911),
    [aux_sym_local_command_token1] = ACTIONS(1911),
    [aux_sym_local_forward_token1] = ACTIONS(1911),
    [aux_sym_log_level_token1] = ACTIONS(1911),
    [aux_sym_log_verbose_token1] = ACTIONS(1911),
    [aux_sym_macs_token1] = ACTIONS(1911),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1911),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1911),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1911),
    [aux_sym_password_authentication_token1] = ACTIONS(1911),
    [aux_sym_permit_local_command_token1] = ACTIONS(1911),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1911),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1911),
    [aux_sym_port_token1] = ACTIONS(1911),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1911),
    [aux_sym_protocol_token1] = ACTIONS(1911),
    [aux_sym_proxy_command_token1] = ACTIONS(1911),
    [aux_sym_proxy_jump_token1] = ACTIONS(1911),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1911),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1911),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1911),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1911),
    [aux_sym_rekey_limit_token1] = ACTIONS(1911),
    [aux_sym_remote_command_token1] = ACTIONS(1911),
    [aux_sym_remote_forward_token1] = ACTIONS(1911),
    [aux_sym_request_tty_token1] = ACTIONS(1911),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1911),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1911),
    [aux_sym_security_key_provider_token1] = ACTIONS(1911),
    [aux_sym_send_env_token1] = ACTIONS(1911),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1911),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1911),
    [aux_sym_session_type_token1] = ACTIONS(1911),
    [aux_sym_set_env_token1] = ACTIONS(1911),
    [aux_sym_stdin_null_token1] = ACTIONS(1911),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1911),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1911),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1911),
    [aux_sym_syslog_facility_token1] = ACTIONS(1911),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1911),
    [aux_sym_keep_alive_token1] = ACTIONS(1911),
    [aux_sym_tag_token1] = ACTIONS(1911),
    [aux_sym_tunnel_token1] = ACTIONS(1913),
    [aux_sym_tunnel_device_token1] = ACTIONS(1911),
    [aux_sym_update_host_keys_token1] = ACTIONS(1911),
    [aux_sym_use_keychain_token1] = ACTIONS(1911),
    [aux_sym_use_roaming_token1] = ACTIONS(1911),
    [aux_sym_user_token1] = ACTIONS(1913),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1911),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1911),
    [aux_sym_visual_host_key_token1] = ACTIONS(1911),
    [aux_sym_xauth_location_token1] = ACTIONS(1911),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1561),
    [aux_sym_match_token1] = ACTIONS(1559),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1559),
    [aux_sym_address_family_token1] = ACTIONS(1559),
    [aux_sym_batch_mode_token1] = ACTIONS(1559),
    [aux_sym_bind_address_token1] = ACTIONS(1559),
    [aux_sym_bind_interface_token1] = ACTIONS(1559),
    [aux_sym_canonical_domains_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1559),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1559),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1559),
    [aux_sym_certificate_file_token1] = ACTIONS(1559),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1559),
    [aux_sym_channel_timeout_token1] = ACTIONS(1559),
    [aux_sym_check_host_ip_token1] = ACTIONS(1559),
    [aux_sym_ciphers_token1] = ACTIONS(1559),
    [aux_sym_cipher_token1] = ACTIONS(1561),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1559),
    [aux_sym_compression_token1] = ACTIONS(1559),
    [aux_sym_connection_attempts_token1] = ACTIONS(1559),
    [aux_sym_connect_timeout_token1] = ACTIONS(1559),
    [aux_sym_control_master_token1] = ACTIONS(1559),
    [aux_sym_control_path_token1] = ACTIONS(1559),
    [aux_sym_control_persist_token1] = ACTIONS(1559),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1559),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1559),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1559),
    [aux_sym_escape_char_token1] = ACTIONS(1559),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1559),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1559),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1559),
    [aux_sym_forward_agent_token1] = ACTIONS(1559),
    [aux_sym_forward_x11_token1] = ACTIONS(1561),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1559),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1559),
    [aux_sym_gateway_ports_token1] = ACTIONS(1559),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1559),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1559),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1559),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1559),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1559),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1559),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1559),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1559),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1559),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1559),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1559),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1559),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1559),
    [aux_sym_host_key_alias_token1] = ACTIONS(1559),
    [aux_sym_hostname_token1] = ACTIONS(1559),
    [aux_sym_identities_only_token1] = ACTIONS(1559),
    [aux_sym_identity_agent_token1] = ACTIONS(1559),
    [aux_sym_identity_file_token1] = ACTIONS(1559),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1559),
    [aux_sym_include_token1] = ACTIONS(1559),
    [aux_sym_ip_qos_token1] = ACTIONS(1559),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1559),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1559),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1559),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1559),
    [aux_sym_local_command_token1] = ACTIONS(1559),
    [aux_sym_local_forward_token1] = ACTIONS(1559),
    [aux_sym_log_level_token1] = ACTIONS(1559),
    [aux_sym_log_verbose_token1] = ACTIONS(1559),
    [aux_sym_macs_token1] = ACTIONS(1559),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1559),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1559),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1559),
    [aux_sym_password_authentication_token1] = ACTIONS(1559),
    [aux_sym_permit_local_command_token1] = ACTIONS(1559),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1559),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1559),
    [aux_sym_port_token1] = ACTIONS(1559),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1559),
    [aux_sym_protocol_token1] = ACTIONS(1559),
    [aux_sym_proxy_command_token1] = ACTIONS(1559),
    [aux_sym_proxy_jump_token1] = ACTIONS(1559),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1559),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1559),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1559),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1559),
    [aux_sym_rekey_limit_token1] = ACTIONS(1559),
    [aux_sym_remote_command_token1] = ACTIONS(1559),
    [aux_sym_remote_forward_token1] = ACTIONS(1559),
    [aux_sym_request_tty_token1] = ACTIONS(1559),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1559),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1559),
    [aux_sym_security_key_provider_token1] = ACTIONS(1559),
    [aux_sym_send_env_token1] = ACTIONS(1559),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1559),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1559),
    [aux_sym_session_type_token1] = ACTIONS(1559),
    [aux_sym_set_env_token1] = ACTIONS(1559),
    [aux_sym_stdin_null_token1] = ACTIONS(1559),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1559),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1559),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1559),
    [aux_sym_syslog_facility_token1] = ACTIONS(1559),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1559),
    [aux_sym_keep_alive_token1] = ACTIONS(1559),
    [aux_sym_tag_token1] = ACTIONS(1559),
    [aux_sym_tunnel_token1] = ACTIONS(1561),
    [aux_sym_tunnel_device_token1] = ACTIONS(1559),
    [aux_sym_update_host_keys_token1] = ACTIONS(1559),
    [aux_sym_use_keychain_token1] = ACTIONS(1559),
    [aux_sym_use_roaming_token1] = ACTIONS(1559),
    [aux_sym_user_token1] = ACTIONS(1561),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1559),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1559),
    [aux_sym_visual_host_key_token1] = ACTIONS(1559),
    [aux_sym_xauth_location_token1] = ACTIONS(1559),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(887),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(889),
    [aux_sym_match_token1] = ACTIONS(887),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(887),
    [aux_sym_address_family_token1] = ACTIONS(887),
    [aux_sym_batch_mode_token1] = ACTIONS(887),
    [aux_sym_bind_address_token1] = ACTIONS(887),
    [aux_sym_bind_interface_token1] = ACTIONS(887),
    [aux_sym_canonical_domains_token1] = ACTIONS(887),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(887),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(887),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(887),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(887),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(887),
    [aux_sym_certificate_file_token1] = ACTIONS(887),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(887),
    [aux_sym_channel_timeout_token1] = ACTIONS(887),
    [aux_sym_check_host_ip_token1] = ACTIONS(887),
    [aux_sym_ciphers_token1] = ACTIONS(887),
    [aux_sym_cipher_token1] = ACTIONS(889),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(887),
    [aux_sym_compression_token1] = ACTIONS(887),
    [aux_sym_connection_attempts_token1] = ACTIONS(887),
    [aux_sym_connect_timeout_token1] = ACTIONS(887),
    [aux_sym_control_master_token1] = ACTIONS(887),
    [aux_sym_control_path_token1] = ACTIONS(887),
    [aux_sym_control_persist_token1] = ACTIONS(887),
    [aux_sym_dynamic_forward_token1] = ACTIONS(887),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(887),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(887),
    [aux_sym_escape_char_token1] = ACTIONS(887),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(887),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(887),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(887),
    [aux_sym_forward_agent_token1] = ACTIONS(887),
    [aux_sym_forward_x11_token1] = ACTIONS(889),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(887),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(887),
    [aux_sym_gateway_ports_token1] = ACTIONS(887),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(887),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(887),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(887),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(887),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(887),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(887),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(887),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(887),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(887),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(887),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(887),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(887),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(887),
    [aux_sym_host_key_alias_token1] = ACTIONS(887),
    [aux_sym_hostname_token1] = ACTIONS(887),
    [aux_sym_identities_only_token1] = ACTIONS(887),
    [aux_sym_identity_agent_token1] = ACTIONS(887),
    [aux_sym_identity_file_token1] = ACTIONS(887),
    [aux_sym_ignore_unknown_token1] = ACTIONS(887),
    [aux_sym_include_token1] = ACTIONS(887),
    [aux_sym_ip_qos_token1] = ACTIONS(887),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(887),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(887),
    [aux_sym_kex_algorithms_token1] = ACTIONS(887),
    [aux_sym_known_hosts_command_token1] = ACTIONS(887),
    [aux_sym_local_command_token1] = ACTIONS(887),
    [aux_sym_local_forward_token1] = ACTIONS(887),
    [aux_sym_log_level_token1] = ACTIONS(887),
    [aux_sym_log_verbose_token1] = ACTIONS(887),
    [aux_sym_macs_token1] = ACTIONS(887),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(887),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(887),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(887),
    [aux_sym_password_authentication_token1] = ACTIONS(887),
    [aux_sym_permit_local_command_token1] = ACTIONS(887),
    [aux_sym_permit_remote_open_token1] = ACTIONS(887),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(887),
    [aux_sym_port_token1] = ACTIONS(887),
    [aux_sym_preferred_authentications_token1] = ACTIONS(887),
    [aux_sym_protocol_token1] = ACTIONS(887),
    [aux_sym_proxy_command_token1] = ACTIONS(887),
    [aux_sym_proxy_jump_token1] = ACTIONS(887),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(887),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(887),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(887),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(887),
    [aux_sym_rekey_limit_token1] = ACTIONS(887),
    [aux_sym_remote_command_token1] = ACTIONS(887),
    [aux_sym_remote_forward_token1] = ACTIONS(887),
    [aux_sym_request_tty_token1] = ACTIONS(887),
    [aux_sym_required_rsa_size_token1] = ACTIONS(887),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(887),
    [aux_sym_security_key_provider_token1] = ACTIONS(887),
    [aux_sym_send_env_token1] = ACTIONS(887),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(887),
    [aux_sym_server_alive_interval_token1] = ACTIONS(887),
    [aux_sym_session_type_token1] = ACTIONS(887),
    [aux_sym_set_env_token1] = ACTIONS(887),
    [aux_sym_stdin_null_token1] = ACTIONS(887),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(887),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(887),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(887),
    [aux_sym_syslog_facility_token1] = ACTIONS(887),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(887),
    [aux_sym_keep_alive_token1] = ACTIONS(887),
    [aux_sym_tag_token1] = ACTIONS(887),
    [aux_sym_tunnel_token1] = ACTIONS(889),
    [aux_sym_tunnel_device_token1] = ACTIONS(887),
    [aux_sym_update_host_keys_token1] = ACTIONS(887),
    [aux_sym_use_keychain_token1] = ACTIONS(887),
    [aux_sym_use_roaming_token1] = ACTIONS(887),
    [aux_sym_user_token1] = ACTIONS(889),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(887),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(887),
    [aux_sym_visual_host_key_token1] = ACTIONS(887),
    [aux_sym_xauth_location_token1] = ACTIONS(887),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1907),
    [aux_sym_match_token1] = ACTIONS(1905),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1905),
    [aux_sym_address_family_token1] = ACTIONS(1905),
    [aux_sym_batch_mode_token1] = ACTIONS(1905),
    [aux_sym_bind_address_token1] = ACTIONS(1905),
    [aux_sym_bind_interface_token1] = ACTIONS(1905),
    [aux_sym_canonical_domains_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1905),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1905),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1905),
    [aux_sym_certificate_file_token1] = ACTIONS(1905),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1905),
    [aux_sym_channel_timeout_token1] = ACTIONS(1905),
    [aux_sym_check_host_ip_token1] = ACTIONS(1905),
    [aux_sym_ciphers_token1] = ACTIONS(1905),
    [aux_sym_cipher_token1] = ACTIONS(1907),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1905),
    [aux_sym_compression_token1] = ACTIONS(1905),
    [aux_sym_connection_attempts_token1] = ACTIONS(1905),
    [aux_sym_connect_timeout_token1] = ACTIONS(1905),
    [aux_sym_control_master_token1] = ACTIONS(1905),
    [aux_sym_control_path_token1] = ACTIONS(1905),
    [aux_sym_control_persist_token1] = ACTIONS(1905),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1905),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1905),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1905),
    [aux_sym_escape_char_token1] = ACTIONS(1905),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1905),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1905),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1905),
    [aux_sym_forward_agent_token1] = ACTIONS(1905),
    [aux_sym_forward_x11_token1] = ACTIONS(1907),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1905),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1905),
    [aux_sym_gateway_ports_token1] = ACTIONS(1905),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1905),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1905),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1905),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1905),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1905),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1905),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1905),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1905),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1905),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1905),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1905),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1905),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1905),
    [aux_sym_host_key_alias_token1] = ACTIONS(1905),
    [aux_sym_hostname_token1] = ACTIONS(1905),
    [aux_sym_identities_only_token1] = ACTIONS(1905),
    [aux_sym_identity_agent_token1] = ACTIONS(1905),
    [aux_sym_identity_file_token1] = ACTIONS(1905),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1905),
    [aux_sym_include_token1] = ACTIONS(1905),
    [aux_sym_ip_qos_token1] = ACTIONS(1905),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1905),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1905),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1905),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1905),
    [aux_sym_local_command_token1] = ACTIONS(1905),
    [aux_sym_local_forward_token1] = ACTIONS(1905),
    [aux_sym_log_level_token1] = ACTIONS(1905),
    [aux_sym_log_verbose_token1] = ACTIONS(1905),
    [aux_sym_macs_token1] = ACTIONS(1905),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1905),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1905),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1905),
    [aux_sym_password_authentication_token1] = ACTIONS(1905),
    [aux_sym_permit_local_command_token1] = ACTIONS(1905),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1905),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1905),
    [aux_sym_port_token1] = ACTIONS(1905),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1905),
    [aux_sym_protocol_token1] = ACTIONS(1905),
    [aux_sym_proxy_command_token1] = ACTIONS(1905),
    [aux_sym_proxy_jump_token1] = ACTIONS(1905),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1905),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1905),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1905),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1905),
    [aux_sym_rekey_limit_token1] = ACTIONS(1905),
    [aux_sym_remote_command_token1] = ACTIONS(1905),
    [aux_sym_remote_forward_token1] = ACTIONS(1905),
    [aux_sym_request_tty_token1] = ACTIONS(1905),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1905),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1905),
    [aux_sym_security_key_provider_token1] = ACTIONS(1905),
    [aux_sym_send_env_token1] = ACTIONS(1905),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1905),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1905),
    [aux_sym_session_type_token1] = ACTIONS(1905),
    [aux_sym_set_env_token1] = ACTIONS(1905),
    [aux_sym_stdin_null_token1] = ACTIONS(1905),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1905),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1905),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1905),
    [aux_sym_syslog_facility_token1] = ACTIONS(1905),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1905),
    [aux_sym_keep_alive_token1] = ACTIONS(1905),
    [aux_sym_tag_token1] = ACTIONS(1905),
    [aux_sym_tunnel_token1] = ACTIONS(1907),
    [aux_sym_tunnel_device_token1] = ACTIONS(1905),
    [aux_sym_update_host_keys_token1] = ACTIONS(1905),
    [aux_sym_use_keychain_token1] = ACTIONS(1905),
    [aux_sym_use_roaming_token1] = ACTIONS(1905),
    [aux_sym_user_token1] = ACTIONS(1907),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1905),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1905),
    [aux_sym_visual_host_key_token1] = ACTIONS(1905),
    [aux_sym_xauth_location_token1] = ACTIONS(1905),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(691),
    [aux_sym_match_token1] = ACTIONS(689),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(689),
    [aux_sym_address_family_token1] = ACTIONS(689),
    [aux_sym_batch_mode_token1] = ACTIONS(689),
    [aux_sym_bind_address_token1] = ACTIONS(689),
    [aux_sym_bind_interface_token1] = ACTIONS(689),
    [aux_sym_canonical_domains_token1] = ACTIONS(689),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(689),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(689),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(689),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(689),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(689),
    [aux_sym_certificate_file_token1] = ACTIONS(689),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(689),
    [aux_sym_channel_timeout_token1] = ACTIONS(689),
    [aux_sym_check_host_ip_token1] = ACTIONS(689),
    [aux_sym_ciphers_token1] = ACTIONS(689),
    [aux_sym_cipher_token1] = ACTIONS(691),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(689),
    [aux_sym_compression_token1] = ACTIONS(689),
    [aux_sym_connection_attempts_token1] = ACTIONS(689),
    [aux_sym_connect_timeout_token1] = ACTIONS(689),
    [aux_sym_control_master_token1] = ACTIONS(689),
    [aux_sym_control_path_token1] = ACTIONS(689),
    [aux_sym_control_persist_token1] = ACTIONS(689),
    [aux_sym_dynamic_forward_token1] = ACTIONS(689),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(689),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(689),
    [aux_sym_escape_char_token1] = ACTIONS(689),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(689),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(689),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(689),
    [aux_sym_forward_agent_token1] = ACTIONS(689),
    [aux_sym_forward_x11_token1] = ACTIONS(691),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(689),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(689),
    [aux_sym_gateway_ports_token1] = ACTIONS(689),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(689),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(689),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(689),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(689),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(689),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(689),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(689),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(689),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(689),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(689),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(689),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(689),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(689),
    [aux_sym_host_key_alias_token1] = ACTIONS(689),
    [aux_sym_hostname_token1] = ACTIONS(689),
    [aux_sym_identities_only_token1] = ACTIONS(689),
    [aux_sym_identity_agent_token1] = ACTIONS(689),
    [aux_sym_identity_file_token1] = ACTIONS(689),
    [aux_sym_ignore_unknown_token1] = ACTIONS(689),
    [aux_sym_include_token1] = ACTIONS(689),
    [aux_sym_ip_qos_token1] = ACTIONS(689),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(689),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(689),
    [aux_sym_kex_algorithms_token1] = ACTIONS(689),
    [aux_sym_known_hosts_command_token1] = ACTIONS(689),
    [aux_sym_local_command_token1] = ACTIONS(689),
    [aux_sym_local_forward_token1] = ACTIONS(689),
    [aux_sym_log_level_token1] = ACTIONS(689),
    [aux_sym_log_verbose_token1] = ACTIONS(689),
    [aux_sym_macs_token1] = ACTIONS(689),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(689),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(689),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(689),
    [aux_sym_password_authentication_token1] = ACTIONS(689),
    [aux_sym_permit_local_command_token1] = ACTIONS(689),
    [aux_sym_permit_remote_open_token1] = ACTIONS(689),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(689),
    [aux_sym_port_token1] = ACTIONS(689),
    [aux_sym_preferred_authentications_token1] = ACTIONS(689),
    [aux_sym_protocol_token1] = ACTIONS(689),
    [aux_sym_proxy_command_token1] = ACTIONS(689),
    [aux_sym_proxy_jump_token1] = ACTIONS(689),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(689),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(689),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(689),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(689),
    [aux_sym_rekey_limit_token1] = ACTIONS(689),
    [aux_sym_remote_command_token1] = ACTIONS(689),
    [aux_sym_remote_forward_token1] = ACTIONS(689),
    [aux_sym_request_tty_token1] = ACTIONS(689),
    [aux_sym_required_rsa_size_token1] = ACTIONS(689),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(689),
    [aux_sym_security_key_provider_token1] = ACTIONS(689),
    [aux_sym_send_env_token1] = ACTIONS(689),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(689),
    [aux_sym_server_alive_interval_token1] = ACTIONS(689),
    [aux_sym_session_type_token1] = ACTIONS(689),
    [aux_sym_set_env_token1] = ACTIONS(689),
    [aux_sym_stdin_null_token1] = ACTIONS(689),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(689),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(689),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(689),
    [aux_sym_syslog_facility_token1] = ACTIONS(689),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(689),
    [aux_sym_keep_alive_token1] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(689),
    [aux_sym_tunnel_token1] = ACTIONS(691),
    [aux_sym_tunnel_device_token1] = ACTIONS(689),
    [aux_sym_update_host_keys_token1] = ACTIONS(689),
    [aux_sym_use_keychain_token1] = ACTIONS(689),
    [aux_sym_use_roaming_token1] = ACTIONS(689),
    [aux_sym_user_token1] = ACTIONS(691),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(689),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(689),
    [aux_sym_visual_host_key_token1] = ACTIONS(689),
    [aux_sym_xauth_location_token1] = ACTIONS(689),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1691),
    [aux_sym_match_token1] = ACTIONS(1689),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1689),
    [aux_sym_address_family_token1] = ACTIONS(1689),
    [aux_sym_batch_mode_token1] = ACTIONS(1689),
    [aux_sym_bind_address_token1] = ACTIONS(1689),
    [aux_sym_bind_interface_token1] = ACTIONS(1689),
    [aux_sym_canonical_domains_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1689),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1689),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1689),
    [aux_sym_certificate_file_token1] = ACTIONS(1689),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1689),
    [aux_sym_channel_timeout_token1] = ACTIONS(1689),
    [aux_sym_check_host_ip_token1] = ACTIONS(1689),
    [aux_sym_ciphers_token1] = ACTIONS(1689),
    [aux_sym_cipher_token1] = ACTIONS(1691),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1689),
    [aux_sym_compression_token1] = ACTIONS(1689),
    [aux_sym_connection_attempts_token1] = ACTIONS(1689),
    [aux_sym_connect_timeout_token1] = ACTIONS(1689),
    [aux_sym_control_master_token1] = ACTIONS(1689),
    [aux_sym_control_path_token1] = ACTIONS(1689),
    [aux_sym_control_persist_token1] = ACTIONS(1689),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1689),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1689),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1689),
    [aux_sym_escape_char_token1] = ACTIONS(1689),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1689),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1689),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1689),
    [aux_sym_forward_agent_token1] = ACTIONS(1689),
    [aux_sym_forward_x11_token1] = ACTIONS(1691),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1689),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1689),
    [aux_sym_gateway_ports_token1] = ACTIONS(1689),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1689),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1689),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1689),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1689),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1689),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1689),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1689),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1689),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1689),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1689),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1689),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1689),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1689),
    [aux_sym_host_key_alias_token1] = ACTIONS(1689),
    [aux_sym_hostname_token1] = ACTIONS(1689),
    [aux_sym_identities_only_token1] = ACTIONS(1689),
    [aux_sym_identity_agent_token1] = ACTIONS(1689),
    [aux_sym_identity_file_token1] = ACTIONS(1689),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1689),
    [aux_sym_include_token1] = ACTIONS(1689),
    [aux_sym_ip_qos_token1] = ACTIONS(1689),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1689),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1689),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1689),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1689),
    [aux_sym_local_command_token1] = ACTIONS(1689),
    [aux_sym_local_forward_token1] = ACTIONS(1689),
    [aux_sym_log_level_token1] = ACTIONS(1689),
    [aux_sym_log_verbose_token1] = ACTIONS(1689),
    [aux_sym_macs_token1] = ACTIONS(1689),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1689),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1689),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1689),
    [aux_sym_password_authentication_token1] = ACTIONS(1689),
    [aux_sym_permit_local_command_token1] = ACTIONS(1689),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1689),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1689),
    [aux_sym_port_token1] = ACTIONS(1689),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1689),
    [aux_sym_protocol_token1] = ACTIONS(1689),
    [aux_sym_proxy_command_token1] = ACTIONS(1689),
    [aux_sym_proxy_jump_token1] = ACTIONS(1689),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1689),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1689),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1689),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1689),
    [aux_sym_rekey_limit_token1] = ACTIONS(1689),
    [aux_sym_remote_command_token1] = ACTIONS(1689),
    [aux_sym_remote_forward_token1] = ACTIONS(1689),
    [aux_sym_request_tty_token1] = ACTIONS(1689),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1689),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1689),
    [aux_sym_security_key_provider_token1] = ACTIONS(1689),
    [aux_sym_send_env_token1] = ACTIONS(1689),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1689),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1689),
    [aux_sym_session_type_token1] = ACTIONS(1689),
    [aux_sym_set_env_token1] = ACTIONS(1689),
    [aux_sym_stdin_null_token1] = ACTIONS(1689),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1689),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1689),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1689),
    [aux_sym_syslog_facility_token1] = ACTIONS(1689),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1689),
    [aux_sym_keep_alive_token1] = ACTIONS(1689),
    [aux_sym_tag_token1] = ACTIONS(1689),
    [aux_sym_tunnel_token1] = ACTIONS(1691),
    [aux_sym_tunnel_device_token1] = ACTIONS(1689),
    [aux_sym_update_host_keys_token1] = ACTIONS(1689),
    [aux_sym_use_keychain_token1] = ACTIONS(1689),
    [aux_sym_use_roaming_token1] = ACTIONS(1689),
    [aux_sym_user_token1] = ACTIONS(1691),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1689),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1689),
    [aux_sym_visual_host_key_token1] = ACTIONS(1689),
    [aux_sym_xauth_location_token1] = ACTIONS(1689),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1901),
    [aux_sym_match_token1] = ACTIONS(1899),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1899),
    [aux_sym_address_family_token1] = ACTIONS(1899),
    [aux_sym_batch_mode_token1] = ACTIONS(1899),
    [aux_sym_bind_address_token1] = ACTIONS(1899),
    [aux_sym_bind_interface_token1] = ACTIONS(1899),
    [aux_sym_canonical_domains_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1899),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1899),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1899),
    [aux_sym_certificate_file_token1] = ACTIONS(1899),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1899),
    [aux_sym_channel_timeout_token1] = ACTIONS(1899),
    [aux_sym_check_host_ip_token1] = ACTIONS(1899),
    [aux_sym_ciphers_token1] = ACTIONS(1899),
    [aux_sym_cipher_token1] = ACTIONS(1901),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1899),
    [aux_sym_compression_token1] = ACTIONS(1899),
    [aux_sym_connection_attempts_token1] = ACTIONS(1899),
    [aux_sym_connect_timeout_token1] = ACTIONS(1899),
    [aux_sym_control_master_token1] = ACTIONS(1899),
    [aux_sym_control_path_token1] = ACTIONS(1899),
    [aux_sym_control_persist_token1] = ACTIONS(1899),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1899),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1899),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1899),
    [aux_sym_escape_char_token1] = ACTIONS(1899),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1899),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1899),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1899),
    [aux_sym_forward_agent_token1] = ACTIONS(1899),
    [aux_sym_forward_x11_token1] = ACTIONS(1901),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1899),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1899),
    [aux_sym_gateway_ports_token1] = ACTIONS(1899),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1899),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1899),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1899),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1899),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1899),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1899),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1899),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1899),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1899),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1899),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1899),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1899),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1899),
    [aux_sym_host_key_alias_token1] = ACTIONS(1899),
    [aux_sym_hostname_token1] = ACTIONS(1899),
    [aux_sym_identities_only_token1] = ACTIONS(1899),
    [aux_sym_identity_agent_token1] = ACTIONS(1899),
    [aux_sym_identity_file_token1] = ACTIONS(1899),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1899),
    [aux_sym_include_token1] = ACTIONS(1899),
    [aux_sym_ip_qos_token1] = ACTIONS(1899),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1899),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1899),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1899),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1899),
    [aux_sym_local_command_token1] = ACTIONS(1899),
    [aux_sym_local_forward_token1] = ACTIONS(1899),
    [aux_sym_log_level_token1] = ACTIONS(1899),
    [aux_sym_log_verbose_token1] = ACTIONS(1899),
    [aux_sym_macs_token1] = ACTIONS(1899),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1899),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1899),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1899),
    [aux_sym_password_authentication_token1] = ACTIONS(1899),
    [aux_sym_permit_local_command_token1] = ACTIONS(1899),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1899),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1899),
    [aux_sym_port_token1] = ACTIONS(1899),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1899),
    [aux_sym_protocol_token1] = ACTIONS(1899),
    [aux_sym_proxy_command_token1] = ACTIONS(1899),
    [aux_sym_proxy_jump_token1] = ACTIONS(1899),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1899),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1899),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1899),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1899),
    [aux_sym_rekey_limit_token1] = ACTIONS(1899),
    [aux_sym_remote_command_token1] = ACTIONS(1899),
    [aux_sym_remote_forward_token1] = ACTIONS(1899),
    [aux_sym_request_tty_token1] = ACTIONS(1899),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1899),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1899),
    [aux_sym_security_key_provider_token1] = ACTIONS(1899),
    [aux_sym_send_env_token1] = ACTIONS(1899),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1899),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1899),
    [aux_sym_session_type_token1] = ACTIONS(1899),
    [aux_sym_set_env_token1] = ACTIONS(1899),
    [aux_sym_stdin_null_token1] = ACTIONS(1899),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1899),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1899),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1899),
    [aux_sym_syslog_facility_token1] = ACTIONS(1899),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1899),
    [aux_sym_keep_alive_token1] = ACTIONS(1899),
    [aux_sym_tag_token1] = ACTIONS(1899),
    [aux_sym_tunnel_token1] = ACTIONS(1901),
    [aux_sym_tunnel_device_token1] = ACTIONS(1899),
    [aux_sym_update_host_keys_token1] = ACTIONS(1899),
    [aux_sym_use_keychain_token1] = ACTIONS(1899),
    [aux_sym_use_roaming_token1] = ACTIONS(1899),
    [aux_sym_user_token1] = ACTIONS(1901),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1899),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1899),
    [aux_sym_visual_host_key_token1] = ACTIONS(1899),
    [aux_sym_xauth_location_token1] = ACTIONS(1899),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(697),
    [aux_sym_match_token1] = ACTIONS(695),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(695),
    [aux_sym_address_family_token1] = ACTIONS(695),
    [aux_sym_batch_mode_token1] = ACTIONS(695),
    [aux_sym_bind_address_token1] = ACTIONS(695),
    [aux_sym_bind_interface_token1] = ACTIONS(695),
    [aux_sym_canonical_domains_token1] = ACTIONS(695),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(695),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(695),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(695),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(695),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(695),
    [aux_sym_certificate_file_token1] = ACTIONS(695),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(695),
    [aux_sym_channel_timeout_token1] = ACTIONS(695),
    [aux_sym_check_host_ip_token1] = ACTIONS(695),
    [aux_sym_ciphers_token1] = ACTIONS(695),
    [aux_sym_cipher_token1] = ACTIONS(697),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(695),
    [aux_sym_compression_token1] = ACTIONS(695),
    [aux_sym_connection_attempts_token1] = ACTIONS(695),
    [aux_sym_connect_timeout_token1] = ACTIONS(695),
    [aux_sym_control_master_token1] = ACTIONS(695),
    [aux_sym_control_path_token1] = ACTIONS(695),
    [aux_sym_control_persist_token1] = ACTIONS(695),
    [aux_sym_dynamic_forward_token1] = ACTIONS(695),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(695),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(695),
    [aux_sym_escape_char_token1] = ACTIONS(695),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(695),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(695),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(695),
    [aux_sym_forward_agent_token1] = ACTIONS(695),
    [aux_sym_forward_x11_token1] = ACTIONS(697),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(695),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(695),
    [aux_sym_gateway_ports_token1] = ACTIONS(695),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(695),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(695),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(695),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(695),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(695),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(695),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(695),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(695),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(695),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(695),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(695),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(695),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(695),
    [aux_sym_host_key_alias_token1] = ACTIONS(695),
    [aux_sym_hostname_token1] = ACTIONS(695),
    [aux_sym_identities_only_token1] = ACTIONS(695),
    [aux_sym_identity_agent_token1] = ACTIONS(695),
    [aux_sym_identity_file_token1] = ACTIONS(695),
    [aux_sym_ignore_unknown_token1] = ACTIONS(695),
    [aux_sym_include_token1] = ACTIONS(695),
    [aux_sym_ip_qos_token1] = ACTIONS(695),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(695),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(695),
    [aux_sym_kex_algorithms_token1] = ACTIONS(695),
    [aux_sym_known_hosts_command_token1] = ACTIONS(695),
    [aux_sym_local_command_token1] = ACTIONS(695),
    [aux_sym_local_forward_token1] = ACTIONS(695),
    [aux_sym_log_level_token1] = ACTIONS(695),
    [aux_sym_log_verbose_token1] = ACTIONS(695),
    [aux_sym_macs_token1] = ACTIONS(695),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(695),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(695),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(695),
    [aux_sym_password_authentication_token1] = ACTIONS(695),
    [aux_sym_permit_local_command_token1] = ACTIONS(695),
    [aux_sym_permit_remote_open_token1] = ACTIONS(695),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(695),
    [aux_sym_port_token1] = ACTIONS(695),
    [aux_sym_preferred_authentications_token1] = ACTIONS(695),
    [aux_sym_protocol_token1] = ACTIONS(695),
    [aux_sym_proxy_command_token1] = ACTIONS(695),
    [aux_sym_proxy_jump_token1] = ACTIONS(695),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(695),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(695),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(695),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(695),
    [aux_sym_rekey_limit_token1] = ACTIONS(695),
    [aux_sym_remote_command_token1] = ACTIONS(695),
    [aux_sym_remote_forward_token1] = ACTIONS(695),
    [aux_sym_request_tty_token1] = ACTIONS(695),
    [aux_sym_required_rsa_size_token1] = ACTIONS(695),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(695),
    [aux_sym_security_key_provider_token1] = ACTIONS(695),
    [aux_sym_send_env_token1] = ACTIONS(695),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(695),
    [aux_sym_server_alive_interval_token1] = ACTIONS(695),
    [aux_sym_session_type_token1] = ACTIONS(695),
    [aux_sym_set_env_token1] = ACTIONS(695),
    [aux_sym_stdin_null_token1] = ACTIONS(695),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(695),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(695),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(695),
    [aux_sym_syslog_facility_token1] = ACTIONS(695),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(695),
    [aux_sym_keep_alive_token1] = ACTIONS(695),
    [aux_sym_tag_token1] = ACTIONS(695),
    [aux_sym_tunnel_token1] = ACTIONS(697),
    [aux_sym_tunnel_device_token1] = ACTIONS(695),
    [aux_sym_update_host_keys_token1] = ACTIONS(695),
    [aux_sym_use_keychain_token1] = ACTIONS(695),
    [aux_sym_use_roaming_token1] = ACTIONS(695),
    [aux_sym_user_token1] = ACTIONS(697),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(695),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(695),
    [aux_sym_visual_host_key_token1] = ACTIONS(695),
    [aux_sym_xauth_location_token1] = ACTIONS(695),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(961),
    [aux_sym_match_token1] = ACTIONS(959),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(959),
    [aux_sym_address_family_token1] = ACTIONS(959),
    [aux_sym_batch_mode_token1] = ACTIONS(959),
    [aux_sym_bind_address_token1] = ACTIONS(959),
    [aux_sym_bind_interface_token1] = ACTIONS(959),
    [aux_sym_canonical_domains_token1] = ACTIONS(959),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(959),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(959),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(959),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(959),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(959),
    [aux_sym_certificate_file_token1] = ACTIONS(959),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(959),
    [aux_sym_channel_timeout_token1] = ACTIONS(959),
    [aux_sym_check_host_ip_token1] = ACTIONS(959),
    [aux_sym_ciphers_token1] = ACTIONS(959),
    [aux_sym_cipher_token1] = ACTIONS(961),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(959),
    [aux_sym_compression_token1] = ACTIONS(959),
    [aux_sym_connection_attempts_token1] = ACTIONS(959),
    [aux_sym_connect_timeout_token1] = ACTIONS(959),
    [aux_sym_control_master_token1] = ACTIONS(959),
    [aux_sym_control_path_token1] = ACTIONS(959),
    [aux_sym_control_persist_token1] = ACTIONS(959),
    [aux_sym_dynamic_forward_token1] = ACTIONS(959),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(959),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(959),
    [aux_sym_escape_char_token1] = ACTIONS(959),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(959),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(959),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(959),
    [aux_sym_forward_agent_token1] = ACTIONS(959),
    [aux_sym_forward_x11_token1] = ACTIONS(961),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(959),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(959),
    [aux_sym_gateway_ports_token1] = ACTIONS(959),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(959),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(959),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(959),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(959),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(959),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(959),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(959),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(959),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(959),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(959),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(959),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(959),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(959),
    [aux_sym_host_key_alias_token1] = ACTIONS(959),
    [aux_sym_hostname_token1] = ACTIONS(959),
    [aux_sym_identities_only_token1] = ACTIONS(959),
    [aux_sym_identity_agent_token1] = ACTIONS(959),
    [aux_sym_identity_file_token1] = ACTIONS(959),
    [aux_sym_ignore_unknown_token1] = ACTIONS(959),
    [aux_sym_include_token1] = ACTIONS(959),
    [aux_sym_ip_qos_token1] = ACTIONS(959),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(959),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(959),
    [aux_sym_kex_algorithms_token1] = ACTIONS(959),
    [aux_sym_known_hosts_command_token1] = ACTIONS(959),
    [aux_sym_local_command_token1] = ACTIONS(959),
    [aux_sym_local_forward_token1] = ACTIONS(959),
    [aux_sym_log_level_token1] = ACTIONS(959),
    [aux_sym_log_verbose_token1] = ACTIONS(959),
    [aux_sym_macs_token1] = ACTIONS(959),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(959),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(959),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(959),
    [aux_sym_password_authentication_token1] = ACTIONS(959),
    [aux_sym_permit_local_command_token1] = ACTIONS(959),
    [aux_sym_permit_remote_open_token1] = ACTIONS(959),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(959),
    [aux_sym_port_token1] = ACTIONS(959),
    [aux_sym_preferred_authentications_token1] = ACTIONS(959),
    [aux_sym_protocol_token1] = ACTIONS(959),
    [aux_sym_proxy_command_token1] = ACTIONS(959),
    [aux_sym_proxy_jump_token1] = ACTIONS(959),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(959),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(959),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(959),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(959),
    [aux_sym_rekey_limit_token1] = ACTIONS(959),
    [aux_sym_remote_command_token1] = ACTIONS(959),
    [aux_sym_remote_forward_token1] = ACTIONS(959),
    [aux_sym_request_tty_token1] = ACTIONS(959),
    [aux_sym_required_rsa_size_token1] = ACTIONS(959),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(959),
    [aux_sym_security_key_provider_token1] = ACTIONS(959),
    [aux_sym_send_env_token1] = ACTIONS(959),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(959),
    [aux_sym_server_alive_interval_token1] = ACTIONS(959),
    [aux_sym_session_type_token1] = ACTIONS(959),
    [aux_sym_set_env_token1] = ACTIONS(959),
    [aux_sym_stdin_null_token1] = ACTIONS(959),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(959),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(959),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(959),
    [aux_sym_syslog_facility_token1] = ACTIONS(959),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(959),
    [aux_sym_keep_alive_token1] = ACTIONS(959),
    [aux_sym_tag_token1] = ACTIONS(959),
    [aux_sym_tunnel_token1] = ACTIONS(961),
    [aux_sym_tunnel_device_token1] = ACTIONS(959),
    [aux_sym_update_host_keys_token1] = ACTIONS(959),
    [aux_sym_use_keychain_token1] = ACTIONS(959),
    [aux_sym_use_roaming_token1] = ACTIONS(959),
    [aux_sym_user_token1] = ACTIONS(961),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(959),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(959),
    [aux_sym_visual_host_key_token1] = ACTIONS(959),
    [aux_sym_xauth_location_token1] = ACTIONS(959),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1895),
    [aux_sym_match_token1] = ACTIONS(1893),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1893),
    [aux_sym_address_family_token1] = ACTIONS(1893),
    [aux_sym_batch_mode_token1] = ACTIONS(1893),
    [aux_sym_bind_address_token1] = ACTIONS(1893),
    [aux_sym_bind_interface_token1] = ACTIONS(1893),
    [aux_sym_canonical_domains_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1893),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1893),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1893),
    [aux_sym_certificate_file_token1] = ACTIONS(1893),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1893),
    [aux_sym_channel_timeout_token1] = ACTIONS(1893),
    [aux_sym_check_host_ip_token1] = ACTIONS(1893),
    [aux_sym_ciphers_token1] = ACTIONS(1893),
    [aux_sym_cipher_token1] = ACTIONS(1895),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1893),
    [aux_sym_compression_token1] = ACTIONS(1893),
    [aux_sym_connection_attempts_token1] = ACTIONS(1893),
    [aux_sym_connect_timeout_token1] = ACTIONS(1893),
    [aux_sym_control_master_token1] = ACTIONS(1893),
    [aux_sym_control_path_token1] = ACTIONS(1893),
    [aux_sym_control_persist_token1] = ACTIONS(1893),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1893),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1893),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1893),
    [aux_sym_escape_char_token1] = ACTIONS(1893),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1893),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1893),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1893),
    [aux_sym_forward_agent_token1] = ACTIONS(1893),
    [aux_sym_forward_x11_token1] = ACTIONS(1895),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1893),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1893),
    [aux_sym_gateway_ports_token1] = ACTIONS(1893),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1893),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1893),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1893),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1893),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1893),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1893),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1893),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1893),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1893),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1893),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1893),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1893),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1893),
    [aux_sym_host_key_alias_token1] = ACTIONS(1893),
    [aux_sym_hostname_token1] = ACTIONS(1893),
    [aux_sym_identities_only_token1] = ACTIONS(1893),
    [aux_sym_identity_agent_token1] = ACTIONS(1893),
    [aux_sym_identity_file_token1] = ACTIONS(1893),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1893),
    [aux_sym_include_token1] = ACTIONS(1893),
    [aux_sym_ip_qos_token1] = ACTIONS(1893),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1893),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1893),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1893),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1893),
    [aux_sym_local_command_token1] = ACTIONS(1893),
    [aux_sym_local_forward_token1] = ACTIONS(1893),
    [aux_sym_log_level_token1] = ACTIONS(1893),
    [aux_sym_log_verbose_token1] = ACTIONS(1893),
    [aux_sym_macs_token1] = ACTIONS(1893),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1893),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1893),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1893),
    [aux_sym_password_authentication_token1] = ACTIONS(1893),
    [aux_sym_permit_local_command_token1] = ACTIONS(1893),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1893),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1893),
    [aux_sym_port_token1] = ACTIONS(1893),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1893),
    [aux_sym_protocol_token1] = ACTIONS(1893),
    [aux_sym_proxy_command_token1] = ACTIONS(1893),
    [aux_sym_proxy_jump_token1] = ACTIONS(1893),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1893),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1893),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1893),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1893),
    [aux_sym_rekey_limit_token1] = ACTIONS(1893),
    [aux_sym_remote_command_token1] = ACTIONS(1893),
    [aux_sym_remote_forward_token1] = ACTIONS(1893),
    [aux_sym_request_tty_token1] = ACTIONS(1893),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1893),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1893),
    [aux_sym_security_key_provider_token1] = ACTIONS(1893),
    [aux_sym_send_env_token1] = ACTIONS(1893),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1893),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1893),
    [aux_sym_session_type_token1] = ACTIONS(1893),
    [aux_sym_set_env_token1] = ACTIONS(1893),
    [aux_sym_stdin_null_token1] = ACTIONS(1893),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1893),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1893),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1893),
    [aux_sym_syslog_facility_token1] = ACTIONS(1893),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1893),
    [aux_sym_keep_alive_token1] = ACTIONS(1893),
    [aux_sym_tag_token1] = ACTIONS(1893),
    [aux_sym_tunnel_token1] = ACTIONS(1895),
    [aux_sym_tunnel_device_token1] = ACTIONS(1893),
    [aux_sym_update_host_keys_token1] = ACTIONS(1893),
    [aux_sym_use_keychain_token1] = ACTIONS(1893),
    [aux_sym_use_roaming_token1] = ACTIONS(1893),
    [aux_sym_user_token1] = ACTIONS(1895),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1893),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1893),
    [aux_sym_visual_host_key_token1] = ACTIONS(1893),
    [aux_sym_xauth_location_token1] = ACTIONS(1893),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(703),
    [aux_sym_match_token1] = ACTIONS(701),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(701),
    [aux_sym_address_family_token1] = ACTIONS(701),
    [aux_sym_batch_mode_token1] = ACTIONS(701),
    [aux_sym_bind_address_token1] = ACTIONS(701),
    [aux_sym_bind_interface_token1] = ACTIONS(701),
    [aux_sym_canonical_domains_token1] = ACTIONS(701),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(701),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(701),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(701),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(701),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(701),
    [aux_sym_certificate_file_token1] = ACTIONS(701),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(701),
    [aux_sym_channel_timeout_token1] = ACTIONS(701),
    [aux_sym_check_host_ip_token1] = ACTIONS(701),
    [aux_sym_ciphers_token1] = ACTIONS(701),
    [aux_sym_cipher_token1] = ACTIONS(703),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(701),
    [aux_sym_compression_token1] = ACTIONS(701),
    [aux_sym_connection_attempts_token1] = ACTIONS(701),
    [aux_sym_connect_timeout_token1] = ACTIONS(701),
    [aux_sym_control_master_token1] = ACTIONS(701),
    [aux_sym_control_path_token1] = ACTIONS(701),
    [aux_sym_control_persist_token1] = ACTIONS(701),
    [aux_sym_dynamic_forward_token1] = ACTIONS(701),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(701),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(701),
    [aux_sym_escape_char_token1] = ACTIONS(701),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(701),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(701),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(701),
    [aux_sym_forward_agent_token1] = ACTIONS(701),
    [aux_sym_forward_x11_token1] = ACTIONS(703),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(701),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(701),
    [aux_sym_gateway_ports_token1] = ACTIONS(701),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(701),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(701),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(701),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(701),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(701),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(701),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(701),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(701),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(701),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(701),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(701),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(701),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(701),
    [aux_sym_host_key_alias_token1] = ACTIONS(701),
    [aux_sym_hostname_token1] = ACTIONS(701),
    [aux_sym_identities_only_token1] = ACTIONS(701),
    [aux_sym_identity_agent_token1] = ACTIONS(701),
    [aux_sym_identity_file_token1] = ACTIONS(701),
    [aux_sym_ignore_unknown_token1] = ACTIONS(701),
    [aux_sym_include_token1] = ACTIONS(701),
    [aux_sym_ip_qos_token1] = ACTIONS(701),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(701),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(701),
    [aux_sym_kex_algorithms_token1] = ACTIONS(701),
    [aux_sym_known_hosts_command_token1] = ACTIONS(701),
    [aux_sym_local_command_token1] = ACTIONS(701),
    [aux_sym_local_forward_token1] = ACTIONS(701),
    [aux_sym_log_level_token1] = ACTIONS(701),
    [aux_sym_log_verbose_token1] = ACTIONS(701),
    [aux_sym_macs_token1] = ACTIONS(701),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(701),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(701),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(701),
    [aux_sym_password_authentication_token1] = ACTIONS(701),
    [aux_sym_permit_local_command_token1] = ACTIONS(701),
    [aux_sym_permit_remote_open_token1] = ACTIONS(701),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(701),
    [aux_sym_port_token1] = ACTIONS(701),
    [aux_sym_preferred_authentications_token1] = ACTIONS(701),
    [aux_sym_protocol_token1] = ACTIONS(701),
    [aux_sym_proxy_command_token1] = ACTIONS(701),
    [aux_sym_proxy_jump_token1] = ACTIONS(701),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(701),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(701),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(701),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(701),
    [aux_sym_rekey_limit_token1] = ACTIONS(701),
    [aux_sym_remote_command_token1] = ACTIONS(701),
    [aux_sym_remote_forward_token1] = ACTIONS(701),
    [aux_sym_request_tty_token1] = ACTIONS(701),
    [aux_sym_required_rsa_size_token1] = ACTIONS(701),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(701),
    [aux_sym_security_key_provider_token1] = ACTIONS(701),
    [aux_sym_send_env_token1] = ACTIONS(701),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(701),
    [aux_sym_server_alive_interval_token1] = ACTIONS(701),
    [aux_sym_session_type_token1] = ACTIONS(701),
    [aux_sym_set_env_token1] = ACTIONS(701),
    [aux_sym_stdin_null_token1] = ACTIONS(701),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(701),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(701),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(701),
    [aux_sym_syslog_facility_token1] = ACTIONS(701),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(701),
    [aux_sym_keep_alive_token1] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(701),
    [aux_sym_tunnel_token1] = ACTIONS(703),
    [aux_sym_tunnel_device_token1] = ACTIONS(701),
    [aux_sym_update_host_keys_token1] = ACTIONS(701),
    [aux_sym_use_keychain_token1] = ACTIONS(701),
    [aux_sym_use_roaming_token1] = ACTIONS(701),
    [aux_sym_user_token1] = ACTIONS(703),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(701),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(701),
    [aux_sym_visual_host_key_token1] = ACTIONS(701),
    [aux_sym_xauth_location_token1] = ACTIONS(701),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1453),
    [aux_sym_match_token1] = ACTIONS(1451),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1451),
    [aux_sym_address_family_token1] = ACTIONS(1451),
    [aux_sym_batch_mode_token1] = ACTIONS(1451),
    [aux_sym_bind_address_token1] = ACTIONS(1451),
    [aux_sym_bind_interface_token1] = ACTIONS(1451),
    [aux_sym_canonical_domains_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1451),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1451),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1451),
    [aux_sym_certificate_file_token1] = ACTIONS(1451),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1451),
    [aux_sym_channel_timeout_token1] = ACTIONS(1451),
    [aux_sym_check_host_ip_token1] = ACTIONS(1451),
    [aux_sym_ciphers_token1] = ACTIONS(1451),
    [aux_sym_cipher_token1] = ACTIONS(1453),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1451),
    [aux_sym_compression_token1] = ACTIONS(1451),
    [aux_sym_connection_attempts_token1] = ACTIONS(1451),
    [aux_sym_connect_timeout_token1] = ACTIONS(1451),
    [aux_sym_control_master_token1] = ACTIONS(1451),
    [aux_sym_control_path_token1] = ACTIONS(1451),
    [aux_sym_control_persist_token1] = ACTIONS(1451),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1451),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1451),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1451),
    [aux_sym_escape_char_token1] = ACTIONS(1451),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1451),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1451),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1451),
    [aux_sym_forward_agent_token1] = ACTIONS(1451),
    [aux_sym_forward_x11_token1] = ACTIONS(1453),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1451),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1451),
    [aux_sym_gateway_ports_token1] = ACTIONS(1451),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1451),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1451),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1451),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1451),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1451),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1451),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1451),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1451),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1451),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1451),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1451),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1451),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1451),
    [aux_sym_host_key_alias_token1] = ACTIONS(1451),
    [aux_sym_hostname_token1] = ACTIONS(1451),
    [aux_sym_identities_only_token1] = ACTIONS(1451),
    [aux_sym_identity_agent_token1] = ACTIONS(1451),
    [aux_sym_identity_file_token1] = ACTIONS(1451),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1451),
    [aux_sym_include_token1] = ACTIONS(1451),
    [aux_sym_ip_qos_token1] = ACTIONS(1451),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1451),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1451),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1451),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1451),
    [aux_sym_local_command_token1] = ACTIONS(1451),
    [aux_sym_local_forward_token1] = ACTIONS(1451),
    [aux_sym_log_level_token1] = ACTIONS(1451),
    [aux_sym_log_verbose_token1] = ACTIONS(1451),
    [aux_sym_macs_token1] = ACTIONS(1451),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1451),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1451),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1451),
    [aux_sym_password_authentication_token1] = ACTIONS(1451),
    [aux_sym_permit_local_command_token1] = ACTIONS(1451),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1451),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1451),
    [aux_sym_port_token1] = ACTIONS(1451),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1451),
    [aux_sym_protocol_token1] = ACTIONS(1451),
    [aux_sym_proxy_command_token1] = ACTIONS(1451),
    [aux_sym_proxy_jump_token1] = ACTIONS(1451),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1451),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1451),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1451),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1451),
    [aux_sym_rekey_limit_token1] = ACTIONS(1451),
    [aux_sym_remote_command_token1] = ACTIONS(1451),
    [aux_sym_remote_forward_token1] = ACTIONS(1451),
    [aux_sym_request_tty_token1] = ACTIONS(1451),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1451),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1451),
    [aux_sym_security_key_provider_token1] = ACTIONS(1451),
    [aux_sym_send_env_token1] = ACTIONS(1451),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1451),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1451),
    [aux_sym_session_type_token1] = ACTIONS(1451),
    [aux_sym_set_env_token1] = ACTIONS(1451),
    [aux_sym_stdin_null_token1] = ACTIONS(1451),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1451),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1451),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1451),
    [aux_sym_syslog_facility_token1] = ACTIONS(1451),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1451),
    [aux_sym_keep_alive_token1] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1451),
    [aux_sym_tunnel_token1] = ACTIONS(1453),
    [aux_sym_tunnel_device_token1] = ACTIONS(1451),
    [aux_sym_update_host_keys_token1] = ACTIONS(1451),
    [aux_sym_use_keychain_token1] = ACTIONS(1451),
    [aux_sym_use_roaming_token1] = ACTIONS(1451),
    [aux_sym_user_token1] = ACTIONS(1453),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1451),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1451),
    [aux_sym_visual_host_key_token1] = ACTIONS(1451),
    [aux_sym_xauth_location_token1] = ACTIONS(1451),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1889),
    [aux_sym_match_token1] = ACTIONS(1887),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1887),
    [aux_sym_address_family_token1] = ACTIONS(1887),
    [aux_sym_batch_mode_token1] = ACTIONS(1887),
    [aux_sym_bind_address_token1] = ACTIONS(1887),
    [aux_sym_bind_interface_token1] = ACTIONS(1887),
    [aux_sym_canonical_domains_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1887),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1887),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1887),
    [aux_sym_certificate_file_token1] = ACTIONS(1887),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1887),
    [aux_sym_channel_timeout_token1] = ACTIONS(1887),
    [aux_sym_check_host_ip_token1] = ACTIONS(1887),
    [aux_sym_ciphers_token1] = ACTIONS(1887),
    [aux_sym_cipher_token1] = ACTIONS(1889),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1887),
    [aux_sym_compression_token1] = ACTIONS(1887),
    [aux_sym_connection_attempts_token1] = ACTIONS(1887),
    [aux_sym_connect_timeout_token1] = ACTIONS(1887),
    [aux_sym_control_master_token1] = ACTIONS(1887),
    [aux_sym_control_path_token1] = ACTIONS(1887),
    [aux_sym_control_persist_token1] = ACTIONS(1887),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1887),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1887),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1887),
    [aux_sym_escape_char_token1] = ACTIONS(1887),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1887),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1887),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1887),
    [aux_sym_forward_agent_token1] = ACTIONS(1887),
    [aux_sym_forward_x11_token1] = ACTIONS(1889),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1887),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1887),
    [aux_sym_gateway_ports_token1] = ACTIONS(1887),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1887),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1887),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1887),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1887),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1887),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1887),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1887),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1887),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1887),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1887),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1887),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1887),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1887),
    [aux_sym_host_key_alias_token1] = ACTIONS(1887),
    [aux_sym_hostname_token1] = ACTIONS(1887),
    [aux_sym_identities_only_token1] = ACTIONS(1887),
    [aux_sym_identity_agent_token1] = ACTIONS(1887),
    [aux_sym_identity_file_token1] = ACTIONS(1887),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1887),
    [aux_sym_include_token1] = ACTIONS(1887),
    [aux_sym_ip_qos_token1] = ACTIONS(1887),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1887),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1887),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1887),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1887),
    [aux_sym_local_command_token1] = ACTIONS(1887),
    [aux_sym_local_forward_token1] = ACTIONS(1887),
    [aux_sym_log_level_token1] = ACTIONS(1887),
    [aux_sym_log_verbose_token1] = ACTIONS(1887),
    [aux_sym_macs_token1] = ACTIONS(1887),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1887),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1887),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1887),
    [aux_sym_password_authentication_token1] = ACTIONS(1887),
    [aux_sym_permit_local_command_token1] = ACTIONS(1887),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1887),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1887),
    [aux_sym_port_token1] = ACTIONS(1887),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1887),
    [aux_sym_protocol_token1] = ACTIONS(1887),
    [aux_sym_proxy_command_token1] = ACTIONS(1887),
    [aux_sym_proxy_jump_token1] = ACTIONS(1887),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1887),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1887),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1887),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1887),
    [aux_sym_rekey_limit_token1] = ACTIONS(1887),
    [aux_sym_remote_command_token1] = ACTIONS(1887),
    [aux_sym_remote_forward_token1] = ACTIONS(1887),
    [aux_sym_request_tty_token1] = ACTIONS(1887),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1887),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1887),
    [aux_sym_security_key_provider_token1] = ACTIONS(1887),
    [aux_sym_send_env_token1] = ACTIONS(1887),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1887),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1887),
    [aux_sym_session_type_token1] = ACTIONS(1887),
    [aux_sym_set_env_token1] = ACTIONS(1887),
    [aux_sym_stdin_null_token1] = ACTIONS(1887),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1887),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1887),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1887),
    [aux_sym_syslog_facility_token1] = ACTIONS(1887),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1887),
    [aux_sym_keep_alive_token1] = ACTIONS(1887),
    [aux_sym_tag_token1] = ACTIONS(1887),
    [aux_sym_tunnel_token1] = ACTIONS(1889),
    [aux_sym_tunnel_device_token1] = ACTIONS(1887),
    [aux_sym_update_host_keys_token1] = ACTIONS(1887),
    [aux_sym_use_keychain_token1] = ACTIONS(1887),
    [aux_sym_use_roaming_token1] = ACTIONS(1887),
    [aux_sym_user_token1] = ACTIONS(1889),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1887),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1887),
    [aux_sym_visual_host_key_token1] = ACTIONS(1887),
    [aux_sym_xauth_location_token1] = ACTIONS(1887),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(709),
    [aux_sym_match_token1] = ACTIONS(707),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(707),
    [aux_sym_address_family_token1] = ACTIONS(707),
    [aux_sym_batch_mode_token1] = ACTIONS(707),
    [aux_sym_bind_address_token1] = ACTIONS(707),
    [aux_sym_bind_interface_token1] = ACTIONS(707),
    [aux_sym_canonical_domains_token1] = ACTIONS(707),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(707),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(707),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(707),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(707),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(707),
    [aux_sym_certificate_file_token1] = ACTIONS(707),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(707),
    [aux_sym_channel_timeout_token1] = ACTIONS(707),
    [aux_sym_check_host_ip_token1] = ACTIONS(707),
    [aux_sym_ciphers_token1] = ACTIONS(707),
    [aux_sym_cipher_token1] = ACTIONS(709),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(707),
    [aux_sym_compression_token1] = ACTIONS(707),
    [aux_sym_connection_attempts_token1] = ACTIONS(707),
    [aux_sym_connect_timeout_token1] = ACTIONS(707),
    [aux_sym_control_master_token1] = ACTIONS(707),
    [aux_sym_control_path_token1] = ACTIONS(707),
    [aux_sym_control_persist_token1] = ACTIONS(707),
    [aux_sym_dynamic_forward_token1] = ACTIONS(707),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(707),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(707),
    [aux_sym_escape_char_token1] = ACTIONS(707),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(707),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(707),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(707),
    [aux_sym_forward_agent_token1] = ACTIONS(707),
    [aux_sym_forward_x11_token1] = ACTIONS(709),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(707),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(707),
    [aux_sym_gateway_ports_token1] = ACTIONS(707),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(707),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(707),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(707),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(707),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(707),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(707),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(707),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(707),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(707),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(707),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(707),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(707),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(707),
    [aux_sym_host_key_alias_token1] = ACTIONS(707),
    [aux_sym_hostname_token1] = ACTIONS(707),
    [aux_sym_identities_only_token1] = ACTIONS(707),
    [aux_sym_identity_agent_token1] = ACTIONS(707),
    [aux_sym_identity_file_token1] = ACTIONS(707),
    [aux_sym_ignore_unknown_token1] = ACTIONS(707),
    [aux_sym_include_token1] = ACTIONS(707),
    [aux_sym_ip_qos_token1] = ACTIONS(707),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(707),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(707),
    [aux_sym_kex_algorithms_token1] = ACTIONS(707),
    [aux_sym_known_hosts_command_token1] = ACTIONS(707),
    [aux_sym_local_command_token1] = ACTIONS(707),
    [aux_sym_local_forward_token1] = ACTIONS(707),
    [aux_sym_log_level_token1] = ACTIONS(707),
    [aux_sym_log_verbose_token1] = ACTIONS(707),
    [aux_sym_macs_token1] = ACTIONS(707),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(707),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(707),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(707),
    [aux_sym_password_authentication_token1] = ACTIONS(707),
    [aux_sym_permit_local_command_token1] = ACTIONS(707),
    [aux_sym_permit_remote_open_token1] = ACTIONS(707),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(707),
    [aux_sym_port_token1] = ACTIONS(707),
    [aux_sym_preferred_authentications_token1] = ACTIONS(707),
    [aux_sym_protocol_token1] = ACTIONS(707),
    [aux_sym_proxy_command_token1] = ACTIONS(707),
    [aux_sym_proxy_jump_token1] = ACTIONS(707),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(707),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(707),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(707),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(707),
    [aux_sym_rekey_limit_token1] = ACTIONS(707),
    [aux_sym_remote_command_token1] = ACTIONS(707),
    [aux_sym_remote_forward_token1] = ACTIONS(707),
    [aux_sym_request_tty_token1] = ACTIONS(707),
    [aux_sym_required_rsa_size_token1] = ACTIONS(707),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(707),
    [aux_sym_security_key_provider_token1] = ACTIONS(707),
    [aux_sym_send_env_token1] = ACTIONS(707),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(707),
    [aux_sym_server_alive_interval_token1] = ACTIONS(707),
    [aux_sym_session_type_token1] = ACTIONS(707),
    [aux_sym_set_env_token1] = ACTIONS(707),
    [aux_sym_stdin_null_token1] = ACTIONS(707),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(707),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(707),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(707),
    [aux_sym_syslog_facility_token1] = ACTIONS(707),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(707),
    [aux_sym_keep_alive_token1] = ACTIONS(707),
    [aux_sym_tag_token1] = ACTIONS(707),
    [aux_sym_tunnel_token1] = ACTIONS(709),
    [aux_sym_tunnel_device_token1] = ACTIONS(707),
    [aux_sym_update_host_keys_token1] = ACTIONS(707),
    [aux_sym_use_keychain_token1] = ACTIONS(707),
    [aux_sym_use_roaming_token1] = ACTIONS(707),
    [aux_sym_user_token1] = ACTIONS(709),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(707),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(707),
    [aux_sym_visual_host_key_token1] = ACTIONS(707),
    [aux_sym_xauth_location_token1] = ACTIONS(707),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(955),
    [aux_sym_match_token1] = ACTIONS(953),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(953),
    [aux_sym_address_family_token1] = ACTIONS(953),
    [aux_sym_batch_mode_token1] = ACTIONS(953),
    [aux_sym_bind_address_token1] = ACTIONS(953),
    [aux_sym_bind_interface_token1] = ACTIONS(953),
    [aux_sym_canonical_domains_token1] = ACTIONS(953),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(953),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(953),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(953),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(953),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(953),
    [aux_sym_certificate_file_token1] = ACTIONS(953),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(953),
    [aux_sym_channel_timeout_token1] = ACTIONS(953),
    [aux_sym_check_host_ip_token1] = ACTIONS(953),
    [aux_sym_ciphers_token1] = ACTIONS(953),
    [aux_sym_cipher_token1] = ACTIONS(955),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(953),
    [aux_sym_compression_token1] = ACTIONS(953),
    [aux_sym_connection_attempts_token1] = ACTIONS(953),
    [aux_sym_connect_timeout_token1] = ACTIONS(953),
    [aux_sym_control_master_token1] = ACTIONS(953),
    [aux_sym_control_path_token1] = ACTIONS(953),
    [aux_sym_control_persist_token1] = ACTIONS(953),
    [aux_sym_dynamic_forward_token1] = ACTIONS(953),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(953),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(953),
    [aux_sym_escape_char_token1] = ACTIONS(953),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(953),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(953),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(953),
    [aux_sym_forward_agent_token1] = ACTIONS(953),
    [aux_sym_forward_x11_token1] = ACTIONS(955),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(953),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(953),
    [aux_sym_gateway_ports_token1] = ACTIONS(953),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(953),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(953),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(953),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(953),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(953),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(953),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(953),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(953),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(953),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(953),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(953),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(953),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(953),
    [aux_sym_host_key_alias_token1] = ACTIONS(953),
    [aux_sym_hostname_token1] = ACTIONS(953),
    [aux_sym_identities_only_token1] = ACTIONS(953),
    [aux_sym_identity_agent_token1] = ACTIONS(953),
    [aux_sym_identity_file_token1] = ACTIONS(953),
    [aux_sym_ignore_unknown_token1] = ACTIONS(953),
    [aux_sym_include_token1] = ACTIONS(953),
    [aux_sym_ip_qos_token1] = ACTIONS(953),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(953),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(953),
    [aux_sym_kex_algorithms_token1] = ACTIONS(953),
    [aux_sym_known_hosts_command_token1] = ACTIONS(953),
    [aux_sym_local_command_token1] = ACTIONS(953),
    [aux_sym_local_forward_token1] = ACTIONS(953),
    [aux_sym_log_level_token1] = ACTIONS(953),
    [aux_sym_log_verbose_token1] = ACTIONS(953),
    [aux_sym_macs_token1] = ACTIONS(953),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(953),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(953),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(953),
    [aux_sym_password_authentication_token1] = ACTIONS(953),
    [aux_sym_permit_local_command_token1] = ACTIONS(953),
    [aux_sym_permit_remote_open_token1] = ACTIONS(953),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(953),
    [aux_sym_port_token1] = ACTIONS(953),
    [aux_sym_preferred_authentications_token1] = ACTIONS(953),
    [aux_sym_protocol_token1] = ACTIONS(953),
    [aux_sym_proxy_command_token1] = ACTIONS(953),
    [aux_sym_proxy_jump_token1] = ACTIONS(953),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(953),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(953),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(953),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(953),
    [aux_sym_rekey_limit_token1] = ACTIONS(953),
    [aux_sym_remote_command_token1] = ACTIONS(953),
    [aux_sym_remote_forward_token1] = ACTIONS(953),
    [aux_sym_request_tty_token1] = ACTIONS(953),
    [aux_sym_required_rsa_size_token1] = ACTIONS(953),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(953),
    [aux_sym_security_key_provider_token1] = ACTIONS(953),
    [aux_sym_send_env_token1] = ACTIONS(953),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(953),
    [aux_sym_server_alive_interval_token1] = ACTIONS(953),
    [aux_sym_session_type_token1] = ACTIONS(953),
    [aux_sym_set_env_token1] = ACTIONS(953),
    [aux_sym_stdin_null_token1] = ACTIONS(953),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(953),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(953),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(953),
    [aux_sym_syslog_facility_token1] = ACTIONS(953),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(953),
    [aux_sym_keep_alive_token1] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(953),
    [aux_sym_tunnel_token1] = ACTIONS(955),
    [aux_sym_tunnel_device_token1] = ACTIONS(953),
    [aux_sym_update_host_keys_token1] = ACTIONS(953),
    [aux_sym_use_keychain_token1] = ACTIONS(953),
    [aux_sym_use_roaming_token1] = ACTIONS(953),
    [aux_sym_user_token1] = ACTIONS(955),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(953),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(953),
    [aux_sym_visual_host_key_token1] = ACTIONS(953),
    [aux_sym_xauth_location_token1] = ACTIONS(953),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1883),
    [aux_sym_match_token1] = ACTIONS(1881),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1881),
    [aux_sym_address_family_token1] = ACTIONS(1881),
    [aux_sym_batch_mode_token1] = ACTIONS(1881),
    [aux_sym_bind_address_token1] = ACTIONS(1881),
    [aux_sym_bind_interface_token1] = ACTIONS(1881),
    [aux_sym_canonical_domains_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1881),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1881),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1881),
    [aux_sym_certificate_file_token1] = ACTIONS(1881),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1881),
    [aux_sym_channel_timeout_token1] = ACTIONS(1881),
    [aux_sym_check_host_ip_token1] = ACTIONS(1881),
    [aux_sym_ciphers_token1] = ACTIONS(1881),
    [aux_sym_cipher_token1] = ACTIONS(1883),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1881),
    [aux_sym_compression_token1] = ACTIONS(1881),
    [aux_sym_connection_attempts_token1] = ACTIONS(1881),
    [aux_sym_connect_timeout_token1] = ACTIONS(1881),
    [aux_sym_control_master_token1] = ACTIONS(1881),
    [aux_sym_control_path_token1] = ACTIONS(1881),
    [aux_sym_control_persist_token1] = ACTIONS(1881),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1881),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1881),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1881),
    [aux_sym_escape_char_token1] = ACTIONS(1881),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1881),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1881),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1881),
    [aux_sym_forward_agent_token1] = ACTIONS(1881),
    [aux_sym_forward_x11_token1] = ACTIONS(1883),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1881),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1881),
    [aux_sym_gateway_ports_token1] = ACTIONS(1881),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1881),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1881),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1881),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1881),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1881),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1881),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1881),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1881),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1881),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1881),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1881),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1881),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1881),
    [aux_sym_host_key_alias_token1] = ACTIONS(1881),
    [aux_sym_hostname_token1] = ACTIONS(1881),
    [aux_sym_identities_only_token1] = ACTIONS(1881),
    [aux_sym_identity_agent_token1] = ACTIONS(1881),
    [aux_sym_identity_file_token1] = ACTIONS(1881),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1881),
    [aux_sym_include_token1] = ACTIONS(1881),
    [aux_sym_ip_qos_token1] = ACTIONS(1881),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1881),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1881),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1881),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1881),
    [aux_sym_local_command_token1] = ACTIONS(1881),
    [aux_sym_local_forward_token1] = ACTIONS(1881),
    [aux_sym_log_level_token1] = ACTIONS(1881),
    [aux_sym_log_verbose_token1] = ACTIONS(1881),
    [aux_sym_macs_token1] = ACTIONS(1881),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1881),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1881),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1881),
    [aux_sym_password_authentication_token1] = ACTIONS(1881),
    [aux_sym_permit_local_command_token1] = ACTIONS(1881),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1881),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1881),
    [aux_sym_port_token1] = ACTIONS(1881),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1881),
    [aux_sym_protocol_token1] = ACTIONS(1881),
    [aux_sym_proxy_command_token1] = ACTIONS(1881),
    [aux_sym_proxy_jump_token1] = ACTIONS(1881),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1881),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1881),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1881),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1881),
    [aux_sym_rekey_limit_token1] = ACTIONS(1881),
    [aux_sym_remote_command_token1] = ACTIONS(1881),
    [aux_sym_remote_forward_token1] = ACTIONS(1881),
    [aux_sym_request_tty_token1] = ACTIONS(1881),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1881),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1881),
    [aux_sym_security_key_provider_token1] = ACTIONS(1881),
    [aux_sym_send_env_token1] = ACTIONS(1881),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1881),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1881),
    [aux_sym_session_type_token1] = ACTIONS(1881),
    [aux_sym_set_env_token1] = ACTIONS(1881),
    [aux_sym_stdin_null_token1] = ACTIONS(1881),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1881),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1881),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1881),
    [aux_sym_syslog_facility_token1] = ACTIONS(1881),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1881),
    [aux_sym_keep_alive_token1] = ACTIONS(1881),
    [aux_sym_tag_token1] = ACTIONS(1881),
    [aux_sym_tunnel_token1] = ACTIONS(1883),
    [aux_sym_tunnel_device_token1] = ACTIONS(1881),
    [aux_sym_update_host_keys_token1] = ACTIONS(1881),
    [aux_sym_use_keychain_token1] = ACTIONS(1881),
    [aux_sym_use_roaming_token1] = ACTIONS(1881),
    [aux_sym_user_token1] = ACTIONS(1883),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1881),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1881),
    [aux_sym_visual_host_key_token1] = ACTIONS(1881),
    [aux_sym_xauth_location_token1] = ACTIONS(1881),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1459),
    [aux_sym_match_token1] = ACTIONS(1457),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1457),
    [aux_sym_address_family_token1] = ACTIONS(1457),
    [aux_sym_batch_mode_token1] = ACTIONS(1457),
    [aux_sym_bind_address_token1] = ACTIONS(1457),
    [aux_sym_bind_interface_token1] = ACTIONS(1457),
    [aux_sym_canonical_domains_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1457),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1457),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1457),
    [aux_sym_certificate_file_token1] = ACTIONS(1457),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1457),
    [aux_sym_channel_timeout_token1] = ACTIONS(1457),
    [aux_sym_check_host_ip_token1] = ACTIONS(1457),
    [aux_sym_ciphers_token1] = ACTIONS(1457),
    [aux_sym_cipher_token1] = ACTIONS(1459),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1457),
    [aux_sym_compression_token1] = ACTIONS(1457),
    [aux_sym_connection_attempts_token1] = ACTIONS(1457),
    [aux_sym_connect_timeout_token1] = ACTIONS(1457),
    [aux_sym_control_master_token1] = ACTIONS(1457),
    [aux_sym_control_path_token1] = ACTIONS(1457),
    [aux_sym_control_persist_token1] = ACTIONS(1457),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1457),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1457),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1457),
    [aux_sym_escape_char_token1] = ACTIONS(1457),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1457),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1457),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1457),
    [aux_sym_forward_agent_token1] = ACTIONS(1457),
    [aux_sym_forward_x11_token1] = ACTIONS(1459),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1457),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1457),
    [aux_sym_gateway_ports_token1] = ACTIONS(1457),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1457),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1457),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1457),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1457),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1457),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1457),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1457),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1457),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1457),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1457),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1457),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1457),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1457),
    [aux_sym_host_key_alias_token1] = ACTIONS(1457),
    [aux_sym_hostname_token1] = ACTIONS(1457),
    [aux_sym_identities_only_token1] = ACTIONS(1457),
    [aux_sym_identity_agent_token1] = ACTIONS(1457),
    [aux_sym_identity_file_token1] = ACTIONS(1457),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1457),
    [aux_sym_include_token1] = ACTIONS(1457),
    [aux_sym_ip_qos_token1] = ACTIONS(1457),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1457),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1457),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1457),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1457),
    [aux_sym_local_command_token1] = ACTIONS(1457),
    [aux_sym_local_forward_token1] = ACTIONS(1457),
    [aux_sym_log_level_token1] = ACTIONS(1457),
    [aux_sym_log_verbose_token1] = ACTIONS(1457),
    [aux_sym_macs_token1] = ACTIONS(1457),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1457),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1457),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1457),
    [aux_sym_password_authentication_token1] = ACTIONS(1457),
    [aux_sym_permit_local_command_token1] = ACTIONS(1457),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1457),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1457),
    [aux_sym_port_token1] = ACTIONS(1457),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1457),
    [aux_sym_protocol_token1] = ACTIONS(1457),
    [aux_sym_proxy_command_token1] = ACTIONS(1457),
    [aux_sym_proxy_jump_token1] = ACTIONS(1457),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1457),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1457),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1457),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1457),
    [aux_sym_rekey_limit_token1] = ACTIONS(1457),
    [aux_sym_remote_command_token1] = ACTIONS(1457),
    [aux_sym_remote_forward_token1] = ACTIONS(1457),
    [aux_sym_request_tty_token1] = ACTIONS(1457),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1457),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1457),
    [aux_sym_security_key_provider_token1] = ACTIONS(1457),
    [aux_sym_send_env_token1] = ACTIONS(1457),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1457),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1457),
    [aux_sym_session_type_token1] = ACTIONS(1457),
    [aux_sym_set_env_token1] = ACTIONS(1457),
    [aux_sym_stdin_null_token1] = ACTIONS(1457),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1457),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1457),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1457),
    [aux_sym_syslog_facility_token1] = ACTIONS(1457),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1457),
    [aux_sym_keep_alive_token1] = ACTIONS(1457),
    [aux_sym_tag_token1] = ACTIONS(1457),
    [aux_sym_tunnel_token1] = ACTIONS(1459),
    [aux_sym_tunnel_device_token1] = ACTIONS(1457),
    [aux_sym_update_host_keys_token1] = ACTIONS(1457),
    [aux_sym_use_keychain_token1] = ACTIONS(1457),
    [aux_sym_use_roaming_token1] = ACTIONS(1457),
    [aux_sym_user_token1] = ACTIONS(1459),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1457),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1457),
    [aux_sym_visual_host_key_token1] = ACTIONS(1457),
    [aux_sym_xauth_location_token1] = ACTIONS(1457),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(793),
    [aux_sym_match_token1] = ACTIONS(791),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(791),
    [aux_sym_address_family_token1] = ACTIONS(791),
    [aux_sym_batch_mode_token1] = ACTIONS(791),
    [aux_sym_bind_address_token1] = ACTIONS(791),
    [aux_sym_bind_interface_token1] = ACTIONS(791),
    [aux_sym_canonical_domains_token1] = ACTIONS(791),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(791),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(791),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(791),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(791),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(791),
    [aux_sym_certificate_file_token1] = ACTIONS(791),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(791),
    [aux_sym_channel_timeout_token1] = ACTIONS(791),
    [aux_sym_check_host_ip_token1] = ACTIONS(791),
    [aux_sym_ciphers_token1] = ACTIONS(791),
    [aux_sym_cipher_token1] = ACTIONS(793),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(791),
    [aux_sym_compression_token1] = ACTIONS(791),
    [aux_sym_connection_attempts_token1] = ACTIONS(791),
    [aux_sym_connect_timeout_token1] = ACTIONS(791),
    [aux_sym_control_master_token1] = ACTIONS(791),
    [aux_sym_control_path_token1] = ACTIONS(791),
    [aux_sym_control_persist_token1] = ACTIONS(791),
    [aux_sym_dynamic_forward_token1] = ACTIONS(791),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(791),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(791),
    [aux_sym_escape_char_token1] = ACTIONS(791),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(791),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(791),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(791),
    [aux_sym_forward_agent_token1] = ACTIONS(791),
    [aux_sym_forward_x11_token1] = ACTIONS(793),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(791),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(791),
    [aux_sym_gateway_ports_token1] = ACTIONS(791),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(791),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(791),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(791),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(791),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(791),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(791),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(791),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(791),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(791),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(791),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(791),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(791),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(791),
    [aux_sym_host_key_alias_token1] = ACTIONS(791),
    [aux_sym_hostname_token1] = ACTIONS(791),
    [aux_sym_identities_only_token1] = ACTIONS(791),
    [aux_sym_identity_agent_token1] = ACTIONS(791),
    [aux_sym_identity_file_token1] = ACTIONS(791),
    [aux_sym_ignore_unknown_token1] = ACTIONS(791),
    [aux_sym_include_token1] = ACTIONS(791),
    [aux_sym_ip_qos_token1] = ACTIONS(791),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(791),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(791),
    [aux_sym_kex_algorithms_token1] = ACTIONS(791),
    [aux_sym_known_hosts_command_token1] = ACTIONS(791),
    [aux_sym_local_command_token1] = ACTIONS(791),
    [aux_sym_local_forward_token1] = ACTIONS(791),
    [aux_sym_log_level_token1] = ACTIONS(791),
    [aux_sym_log_verbose_token1] = ACTIONS(791),
    [aux_sym_macs_token1] = ACTIONS(791),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(791),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(791),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(791),
    [aux_sym_password_authentication_token1] = ACTIONS(791),
    [aux_sym_permit_local_command_token1] = ACTIONS(791),
    [aux_sym_permit_remote_open_token1] = ACTIONS(791),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(791),
    [aux_sym_port_token1] = ACTIONS(791),
    [aux_sym_preferred_authentications_token1] = ACTIONS(791),
    [aux_sym_protocol_token1] = ACTIONS(791),
    [aux_sym_proxy_command_token1] = ACTIONS(791),
    [aux_sym_proxy_jump_token1] = ACTIONS(791),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(791),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(791),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(791),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(791),
    [aux_sym_rekey_limit_token1] = ACTIONS(791),
    [aux_sym_remote_command_token1] = ACTIONS(791),
    [aux_sym_remote_forward_token1] = ACTIONS(791),
    [aux_sym_request_tty_token1] = ACTIONS(791),
    [aux_sym_required_rsa_size_token1] = ACTIONS(791),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(791),
    [aux_sym_security_key_provider_token1] = ACTIONS(791),
    [aux_sym_send_env_token1] = ACTIONS(791),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(791),
    [aux_sym_server_alive_interval_token1] = ACTIONS(791),
    [aux_sym_session_type_token1] = ACTIONS(791),
    [aux_sym_set_env_token1] = ACTIONS(791),
    [aux_sym_stdin_null_token1] = ACTIONS(791),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(791),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(791),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(791),
    [aux_sym_syslog_facility_token1] = ACTIONS(791),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(791),
    [aux_sym_keep_alive_token1] = ACTIONS(791),
    [aux_sym_tag_token1] = ACTIONS(791),
    [aux_sym_tunnel_token1] = ACTIONS(793),
    [aux_sym_tunnel_device_token1] = ACTIONS(791),
    [aux_sym_update_host_keys_token1] = ACTIONS(791),
    [aux_sym_use_keychain_token1] = ACTIONS(791),
    [aux_sym_use_roaming_token1] = ACTIONS(791),
    [aux_sym_user_token1] = ACTIONS(793),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(791),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(791),
    [aux_sym_visual_host_key_token1] = ACTIONS(791),
    [aux_sym_xauth_location_token1] = ACTIONS(791),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1877),
    [aux_sym_match_token1] = ACTIONS(1875),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1875),
    [aux_sym_address_family_token1] = ACTIONS(1875),
    [aux_sym_batch_mode_token1] = ACTIONS(1875),
    [aux_sym_bind_address_token1] = ACTIONS(1875),
    [aux_sym_bind_interface_token1] = ACTIONS(1875),
    [aux_sym_canonical_domains_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1875),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1875),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1875),
    [aux_sym_certificate_file_token1] = ACTIONS(1875),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1875),
    [aux_sym_channel_timeout_token1] = ACTIONS(1875),
    [aux_sym_check_host_ip_token1] = ACTIONS(1875),
    [aux_sym_ciphers_token1] = ACTIONS(1875),
    [aux_sym_cipher_token1] = ACTIONS(1877),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1875),
    [aux_sym_compression_token1] = ACTIONS(1875),
    [aux_sym_connection_attempts_token1] = ACTIONS(1875),
    [aux_sym_connect_timeout_token1] = ACTIONS(1875),
    [aux_sym_control_master_token1] = ACTIONS(1875),
    [aux_sym_control_path_token1] = ACTIONS(1875),
    [aux_sym_control_persist_token1] = ACTIONS(1875),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1875),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1875),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1875),
    [aux_sym_escape_char_token1] = ACTIONS(1875),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1875),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1875),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1875),
    [aux_sym_forward_agent_token1] = ACTIONS(1875),
    [aux_sym_forward_x11_token1] = ACTIONS(1877),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1875),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1875),
    [aux_sym_gateway_ports_token1] = ACTIONS(1875),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1875),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1875),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1875),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1875),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1875),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1875),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1875),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1875),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1875),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1875),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1875),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1875),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1875),
    [aux_sym_host_key_alias_token1] = ACTIONS(1875),
    [aux_sym_hostname_token1] = ACTIONS(1875),
    [aux_sym_identities_only_token1] = ACTIONS(1875),
    [aux_sym_identity_agent_token1] = ACTIONS(1875),
    [aux_sym_identity_file_token1] = ACTIONS(1875),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1875),
    [aux_sym_include_token1] = ACTIONS(1875),
    [aux_sym_ip_qos_token1] = ACTIONS(1875),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1875),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1875),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1875),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1875),
    [aux_sym_local_command_token1] = ACTIONS(1875),
    [aux_sym_local_forward_token1] = ACTIONS(1875),
    [aux_sym_log_level_token1] = ACTIONS(1875),
    [aux_sym_log_verbose_token1] = ACTIONS(1875),
    [aux_sym_macs_token1] = ACTIONS(1875),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1875),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1875),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1875),
    [aux_sym_password_authentication_token1] = ACTIONS(1875),
    [aux_sym_permit_local_command_token1] = ACTIONS(1875),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1875),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1875),
    [aux_sym_port_token1] = ACTIONS(1875),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1875),
    [aux_sym_protocol_token1] = ACTIONS(1875),
    [aux_sym_proxy_command_token1] = ACTIONS(1875),
    [aux_sym_proxy_jump_token1] = ACTIONS(1875),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1875),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1875),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1875),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1875),
    [aux_sym_rekey_limit_token1] = ACTIONS(1875),
    [aux_sym_remote_command_token1] = ACTIONS(1875),
    [aux_sym_remote_forward_token1] = ACTIONS(1875),
    [aux_sym_request_tty_token1] = ACTIONS(1875),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1875),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1875),
    [aux_sym_security_key_provider_token1] = ACTIONS(1875),
    [aux_sym_send_env_token1] = ACTIONS(1875),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1875),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1875),
    [aux_sym_session_type_token1] = ACTIONS(1875),
    [aux_sym_set_env_token1] = ACTIONS(1875),
    [aux_sym_stdin_null_token1] = ACTIONS(1875),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1875),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1875),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1875),
    [aux_sym_syslog_facility_token1] = ACTIONS(1875),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1875),
    [aux_sym_keep_alive_token1] = ACTIONS(1875),
    [aux_sym_tag_token1] = ACTIONS(1875),
    [aux_sym_tunnel_token1] = ACTIONS(1877),
    [aux_sym_tunnel_device_token1] = ACTIONS(1875),
    [aux_sym_update_host_keys_token1] = ACTIONS(1875),
    [aux_sym_use_keychain_token1] = ACTIONS(1875),
    [aux_sym_use_roaming_token1] = ACTIONS(1875),
    [aux_sym_user_token1] = ACTIONS(1877),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1875),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1875),
    [aux_sym_visual_host_key_token1] = ACTIONS(1875),
    [aux_sym_xauth_location_token1] = ACTIONS(1875),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1697),
    [aux_sym_match_token1] = ACTIONS(1695),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1695),
    [aux_sym_address_family_token1] = ACTIONS(1695),
    [aux_sym_batch_mode_token1] = ACTIONS(1695),
    [aux_sym_bind_address_token1] = ACTIONS(1695),
    [aux_sym_bind_interface_token1] = ACTIONS(1695),
    [aux_sym_canonical_domains_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1695),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1695),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1695),
    [aux_sym_certificate_file_token1] = ACTIONS(1695),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1695),
    [aux_sym_channel_timeout_token1] = ACTIONS(1695),
    [aux_sym_check_host_ip_token1] = ACTIONS(1695),
    [aux_sym_ciphers_token1] = ACTIONS(1695),
    [aux_sym_cipher_token1] = ACTIONS(1697),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1695),
    [aux_sym_compression_token1] = ACTIONS(1695),
    [aux_sym_connection_attempts_token1] = ACTIONS(1695),
    [aux_sym_connect_timeout_token1] = ACTIONS(1695),
    [aux_sym_control_master_token1] = ACTIONS(1695),
    [aux_sym_control_path_token1] = ACTIONS(1695),
    [aux_sym_control_persist_token1] = ACTIONS(1695),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1695),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1695),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1695),
    [aux_sym_escape_char_token1] = ACTIONS(1695),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1695),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1695),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1695),
    [aux_sym_forward_agent_token1] = ACTIONS(1695),
    [aux_sym_forward_x11_token1] = ACTIONS(1697),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1695),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1695),
    [aux_sym_gateway_ports_token1] = ACTIONS(1695),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1695),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1695),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1695),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1695),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1695),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1695),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1695),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1695),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1695),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1695),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1695),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1695),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1695),
    [aux_sym_host_key_alias_token1] = ACTIONS(1695),
    [aux_sym_hostname_token1] = ACTIONS(1695),
    [aux_sym_identities_only_token1] = ACTIONS(1695),
    [aux_sym_identity_agent_token1] = ACTIONS(1695),
    [aux_sym_identity_file_token1] = ACTIONS(1695),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1695),
    [aux_sym_include_token1] = ACTIONS(1695),
    [aux_sym_ip_qos_token1] = ACTIONS(1695),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1695),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1695),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1695),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1695),
    [aux_sym_local_command_token1] = ACTIONS(1695),
    [aux_sym_local_forward_token1] = ACTIONS(1695),
    [aux_sym_log_level_token1] = ACTIONS(1695),
    [aux_sym_log_verbose_token1] = ACTIONS(1695),
    [aux_sym_macs_token1] = ACTIONS(1695),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1695),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1695),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1695),
    [aux_sym_password_authentication_token1] = ACTIONS(1695),
    [aux_sym_permit_local_command_token1] = ACTIONS(1695),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1695),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1695),
    [aux_sym_port_token1] = ACTIONS(1695),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1695),
    [aux_sym_protocol_token1] = ACTIONS(1695),
    [aux_sym_proxy_command_token1] = ACTIONS(1695),
    [aux_sym_proxy_jump_token1] = ACTIONS(1695),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1695),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1695),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1695),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1695),
    [aux_sym_rekey_limit_token1] = ACTIONS(1695),
    [aux_sym_remote_command_token1] = ACTIONS(1695),
    [aux_sym_remote_forward_token1] = ACTIONS(1695),
    [aux_sym_request_tty_token1] = ACTIONS(1695),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1695),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1695),
    [aux_sym_security_key_provider_token1] = ACTIONS(1695),
    [aux_sym_send_env_token1] = ACTIONS(1695),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1695),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1695),
    [aux_sym_session_type_token1] = ACTIONS(1695),
    [aux_sym_set_env_token1] = ACTIONS(1695),
    [aux_sym_stdin_null_token1] = ACTIONS(1695),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1695),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1695),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1695),
    [aux_sym_syslog_facility_token1] = ACTIONS(1695),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1695),
    [aux_sym_keep_alive_token1] = ACTIONS(1695),
    [aux_sym_tag_token1] = ACTIONS(1695),
    [aux_sym_tunnel_token1] = ACTIONS(1697),
    [aux_sym_tunnel_device_token1] = ACTIONS(1695),
    [aux_sym_update_host_keys_token1] = ACTIONS(1695),
    [aux_sym_use_keychain_token1] = ACTIONS(1695),
    [aux_sym_use_roaming_token1] = ACTIONS(1695),
    [aux_sym_user_token1] = ACTIONS(1697),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1695),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1695),
    [aux_sym_visual_host_key_token1] = ACTIONS(1695),
    [aux_sym_xauth_location_token1] = ACTIONS(1695),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1555),
    [aux_sym_match_token1] = ACTIONS(1553),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1553),
    [aux_sym_address_family_token1] = ACTIONS(1553),
    [aux_sym_batch_mode_token1] = ACTIONS(1553),
    [aux_sym_bind_address_token1] = ACTIONS(1553),
    [aux_sym_bind_interface_token1] = ACTIONS(1553),
    [aux_sym_canonical_domains_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1553),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1553),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1553),
    [aux_sym_certificate_file_token1] = ACTIONS(1553),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1553),
    [aux_sym_channel_timeout_token1] = ACTIONS(1553),
    [aux_sym_check_host_ip_token1] = ACTIONS(1553),
    [aux_sym_ciphers_token1] = ACTIONS(1553),
    [aux_sym_cipher_token1] = ACTIONS(1555),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1553),
    [aux_sym_compression_token1] = ACTIONS(1553),
    [aux_sym_connection_attempts_token1] = ACTIONS(1553),
    [aux_sym_connect_timeout_token1] = ACTIONS(1553),
    [aux_sym_control_master_token1] = ACTIONS(1553),
    [aux_sym_control_path_token1] = ACTIONS(1553),
    [aux_sym_control_persist_token1] = ACTIONS(1553),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1553),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1553),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1553),
    [aux_sym_escape_char_token1] = ACTIONS(1553),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1553),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1553),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1553),
    [aux_sym_forward_agent_token1] = ACTIONS(1553),
    [aux_sym_forward_x11_token1] = ACTIONS(1555),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1553),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1553),
    [aux_sym_gateway_ports_token1] = ACTIONS(1553),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1553),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1553),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1553),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1553),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1553),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1553),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1553),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1553),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1553),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1553),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1553),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1553),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1553),
    [aux_sym_host_key_alias_token1] = ACTIONS(1553),
    [aux_sym_hostname_token1] = ACTIONS(1553),
    [aux_sym_identities_only_token1] = ACTIONS(1553),
    [aux_sym_identity_agent_token1] = ACTIONS(1553),
    [aux_sym_identity_file_token1] = ACTIONS(1553),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1553),
    [aux_sym_include_token1] = ACTIONS(1553),
    [aux_sym_ip_qos_token1] = ACTIONS(1553),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1553),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1553),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1553),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1553),
    [aux_sym_local_command_token1] = ACTIONS(1553),
    [aux_sym_local_forward_token1] = ACTIONS(1553),
    [aux_sym_log_level_token1] = ACTIONS(1553),
    [aux_sym_log_verbose_token1] = ACTIONS(1553),
    [aux_sym_macs_token1] = ACTIONS(1553),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1553),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1553),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1553),
    [aux_sym_password_authentication_token1] = ACTIONS(1553),
    [aux_sym_permit_local_command_token1] = ACTIONS(1553),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1553),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1553),
    [aux_sym_port_token1] = ACTIONS(1553),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1553),
    [aux_sym_protocol_token1] = ACTIONS(1553),
    [aux_sym_proxy_command_token1] = ACTIONS(1553),
    [aux_sym_proxy_jump_token1] = ACTIONS(1553),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1553),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1553),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1553),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1553),
    [aux_sym_rekey_limit_token1] = ACTIONS(1553),
    [aux_sym_remote_command_token1] = ACTIONS(1553),
    [aux_sym_remote_forward_token1] = ACTIONS(1553),
    [aux_sym_request_tty_token1] = ACTIONS(1553),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1553),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1553),
    [aux_sym_security_key_provider_token1] = ACTIONS(1553),
    [aux_sym_send_env_token1] = ACTIONS(1553),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1553),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1553),
    [aux_sym_session_type_token1] = ACTIONS(1553),
    [aux_sym_set_env_token1] = ACTIONS(1553),
    [aux_sym_stdin_null_token1] = ACTIONS(1553),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1553),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1553),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1553),
    [aux_sym_syslog_facility_token1] = ACTIONS(1553),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1553),
    [aux_sym_keep_alive_token1] = ACTIONS(1553),
    [aux_sym_tag_token1] = ACTIONS(1553),
    [aux_sym_tunnel_token1] = ACTIONS(1555),
    [aux_sym_tunnel_device_token1] = ACTIONS(1553),
    [aux_sym_update_host_keys_token1] = ACTIONS(1553),
    [aux_sym_use_keychain_token1] = ACTIONS(1553),
    [aux_sym_use_roaming_token1] = ACTIONS(1553),
    [aux_sym_user_token1] = ACTIONS(1555),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1553),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1553),
    [aux_sym_visual_host_key_token1] = ACTIONS(1553),
    [aux_sym_xauth_location_token1] = ACTIONS(1553),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(715),
    [aux_sym_match_token1] = ACTIONS(713),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(713),
    [aux_sym_address_family_token1] = ACTIONS(713),
    [aux_sym_batch_mode_token1] = ACTIONS(713),
    [aux_sym_bind_address_token1] = ACTIONS(713),
    [aux_sym_bind_interface_token1] = ACTIONS(713),
    [aux_sym_canonical_domains_token1] = ACTIONS(713),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(713),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(713),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(713),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(713),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(713),
    [aux_sym_certificate_file_token1] = ACTIONS(713),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(713),
    [aux_sym_channel_timeout_token1] = ACTIONS(713),
    [aux_sym_check_host_ip_token1] = ACTIONS(713),
    [aux_sym_ciphers_token1] = ACTIONS(713),
    [aux_sym_cipher_token1] = ACTIONS(715),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(713),
    [aux_sym_compression_token1] = ACTIONS(713),
    [aux_sym_connection_attempts_token1] = ACTIONS(713),
    [aux_sym_connect_timeout_token1] = ACTIONS(713),
    [aux_sym_control_master_token1] = ACTIONS(713),
    [aux_sym_control_path_token1] = ACTIONS(713),
    [aux_sym_control_persist_token1] = ACTIONS(713),
    [aux_sym_dynamic_forward_token1] = ACTIONS(713),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(713),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(713),
    [aux_sym_escape_char_token1] = ACTIONS(713),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(713),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(713),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(713),
    [aux_sym_forward_agent_token1] = ACTIONS(713),
    [aux_sym_forward_x11_token1] = ACTIONS(715),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(713),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(713),
    [aux_sym_gateway_ports_token1] = ACTIONS(713),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(713),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(713),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(713),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(713),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(713),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(713),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(713),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(713),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(713),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(713),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(713),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(713),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(713),
    [aux_sym_host_key_alias_token1] = ACTIONS(713),
    [aux_sym_hostname_token1] = ACTIONS(713),
    [aux_sym_identities_only_token1] = ACTIONS(713),
    [aux_sym_identity_agent_token1] = ACTIONS(713),
    [aux_sym_identity_file_token1] = ACTIONS(713),
    [aux_sym_ignore_unknown_token1] = ACTIONS(713),
    [aux_sym_include_token1] = ACTIONS(713),
    [aux_sym_ip_qos_token1] = ACTIONS(713),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(713),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(713),
    [aux_sym_kex_algorithms_token1] = ACTIONS(713),
    [aux_sym_known_hosts_command_token1] = ACTIONS(713),
    [aux_sym_local_command_token1] = ACTIONS(713),
    [aux_sym_local_forward_token1] = ACTIONS(713),
    [aux_sym_log_level_token1] = ACTIONS(713),
    [aux_sym_log_verbose_token1] = ACTIONS(713),
    [aux_sym_macs_token1] = ACTIONS(713),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(713),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(713),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(713),
    [aux_sym_password_authentication_token1] = ACTIONS(713),
    [aux_sym_permit_local_command_token1] = ACTIONS(713),
    [aux_sym_permit_remote_open_token1] = ACTIONS(713),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(713),
    [aux_sym_port_token1] = ACTIONS(713),
    [aux_sym_preferred_authentications_token1] = ACTIONS(713),
    [aux_sym_protocol_token1] = ACTIONS(713),
    [aux_sym_proxy_command_token1] = ACTIONS(713),
    [aux_sym_proxy_jump_token1] = ACTIONS(713),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(713),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(713),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(713),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(713),
    [aux_sym_rekey_limit_token1] = ACTIONS(713),
    [aux_sym_remote_command_token1] = ACTIONS(713),
    [aux_sym_remote_forward_token1] = ACTIONS(713),
    [aux_sym_request_tty_token1] = ACTIONS(713),
    [aux_sym_required_rsa_size_token1] = ACTIONS(713),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(713),
    [aux_sym_security_key_provider_token1] = ACTIONS(713),
    [aux_sym_send_env_token1] = ACTIONS(713),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(713),
    [aux_sym_server_alive_interval_token1] = ACTIONS(713),
    [aux_sym_session_type_token1] = ACTIONS(713),
    [aux_sym_set_env_token1] = ACTIONS(713),
    [aux_sym_stdin_null_token1] = ACTIONS(713),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(713),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(713),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(713),
    [aux_sym_syslog_facility_token1] = ACTIONS(713),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(713),
    [aux_sym_keep_alive_token1] = ACTIONS(713),
    [aux_sym_tag_token1] = ACTIONS(713),
    [aux_sym_tunnel_token1] = ACTIONS(715),
    [aux_sym_tunnel_device_token1] = ACTIONS(713),
    [aux_sym_update_host_keys_token1] = ACTIONS(713),
    [aux_sym_use_keychain_token1] = ACTIONS(713),
    [aux_sym_use_roaming_token1] = ACTIONS(713),
    [aux_sym_user_token1] = ACTIONS(715),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(713),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(713),
    [aux_sym_visual_host_key_token1] = ACTIONS(713),
    [aux_sym_xauth_location_token1] = ACTIONS(713),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(609),
    [aux_sym_match_token1] = ACTIONS(607),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(607),
    [aux_sym_address_family_token1] = ACTIONS(607),
    [aux_sym_batch_mode_token1] = ACTIONS(607),
    [aux_sym_bind_address_token1] = ACTIONS(607),
    [aux_sym_bind_interface_token1] = ACTIONS(607),
    [aux_sym_canonical_domains_token1] = ACTIONS(607),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(607),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(607),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(607),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(607),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(607),
    [aux_sym_certificate_file_token1] = ACTIONS(607),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(607),
    [aux_sym_channel_timeout_token1] = ACTIONS(607),
    [aux_sym_check_host_ip_token1] = ACTIONS(607),
    [aux_sym_ciphers_token1] = ACTIONS(607),
    [aux_sym_cipher_token1] = ACTIONS(609),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(607),
    [aux_sym_compression_token1] = ACTIONS(607),
    [aux_sym_connection_attempts_token1] = ACTIONS(607),
    [aux_sym_connect_timeout_token1] = ACTIONS(607),
    [aux_sym_control_master_token1] = ACTIONS(607),
    [aux_sym_control_path_token1] = ACTIONS(607),
    [aux_sym_control_persist_token1] = ACTIONS(607),
    [aux_sym_dynamic_forward_token1] = ACTIONS(607),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(607),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(607),
    [aux_sym_escape_char_token1] = ACTIONS(607),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(607),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(607),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(607),
    [aux_sym_forward_agent_token1] = ACTIONS(607),
    [aux_sym_forward_x11_token1] = ACTIONS(609),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(607),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(607),
    [aux_sym_gateway_ports_token1] = ACTIONS(607),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(607),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(607),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(607),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(607),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(607),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(607),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(607),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(607),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(607),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(607),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(607),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(607),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(607),
    [aux_sym_host_key_alias_token1] = ACTIONS(607),
    [aux_sym_hostname_token1] = ACTIONS(607),
    [aux_sym_identities_only_token1] = ACTIONS(607),
    [aux_sym_identity_agent_token1] = ACTIONS(607),
    [aux_sym_identity_file_token1] = ACTIONS(607),
    [aux_sym_ignore_unknown_token1] = ACTIONS(607),
    [aux_sym_include_token1] = ACTIONS(607),
    [aux_sym_ip_qos_token1] = ACTIONS(607),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(607),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(607),
    [aux_sym_kex_algorithms_token1] = ACTIONS(607),
    [aux_sym_known_hosts_command_token1] = ACTIONS(607),
    [aux_sym_local_command_token1] = ACTIONS(607),
    [aux_sym_local_forward_token1] = ACTIONS(607),
    [aux_sym_log_level_token1] = ACTIONS(607),
    [aux_sym_log_verbose_token1] = ACTIONS(607),
    [aux_sym_macs_token1] = ACTIONS(607),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(607),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(607),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(607),
    [aux_sym_password_authentication_token1] = ACTIONS(607),
    [aux_sym_permit_local_command_token1] = ACTIONS(607),
    [aux_sym_permit_remote_open_token1] = ACTIONS(607),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(607),
    [aux_sym_port_token1] = ACTIONS(607),
    [aux_sym_preferred_authentications_token1] = ACTIONS(607),
    [aux_sym_protocol_token1] = ACTIONS(607),
    [aux_sym_proxy_command_token1] = ACTIONS(607),
    [aux_sym_proxy_jump_token1] = ACTIONS(607),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(607),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(607),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(607),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(607),
    [aux_sym_rekey_limit_token1] = ACTIONS(607),
    [aux_sym_remote_command_token1] = ACTIONS(607),
    [aux_sym_remote_forward_token1] = ACTIONS(607),
    [aux_sym_request_tty_token1] = ACTIONS(607),
    [aux_sym_required_rsa_size_token1] = ACTIONS(607),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(607),
    [aux_sym_security_key_provider_token1] = ACTIONS(607),
    [aux_sym_send_env_token1] = ACTIONS(607),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(607),
    [aux_sym_server_alive_interval_token1] = ACTIONS(607),
    [aux_sym_session_type_token1] = ACTIONS(607),
    [aux_sym_set_env_token1] = ACTIONS(607),
    [aux_sym_stdin_null_token1] = ACTIONS(607),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(607),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(607),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(607),
    [aux_sym_syslog_facility_token1] = ACTIONS(607),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(607),
    [aux_sym_keep_alive_token1] = ACTIONS(607),
    [aux_sym_tag_token1] = ACTIONS(607),
    [aux_sym_tunnel_token1] = ACTIONS(609),
    [aux_sym_tunnel_device_token1] = ACTIONS(607),
    [aux_sym_update_host_keys_token1] = ACTIONS(607),
    [aux_sym_use_keychain_token1] = ACTIONS(607),
    [aux_sym_use_roaming_token1] = ACTIONS(607),
    [aux_sym_user_token1] = ACTIONS(609),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(607),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(607),
    [aux_sym_visual_host_key_token1] = ACTIONS(607),
    [aux_sym_xauth_location_token1] = ACTIONS(607),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1703),
    [aux_sym_match_token1] = ACTIONS(1701),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1701),
    [aux_sym_address_family_token1] = ACTIONS(1701),
    [aux_sym_batch_mode_token1] = ACTIONS(1701),
    [aux_sym_bind_address_token1] = ACTIONS(1701),
    [aux_sym_bind_interface_token1] = ACTIONS(1701),
    [aux_sym_canonical_domains_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1701),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1701),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1701),
    [aux_sym_certificate_file_token1] = ACTIONS(1701),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1701),
    [aux_sym_channel_timeout_token1] = ACTIONS(1701),
    [aux_sym_check_host_ip_token1] = ACTIONS(1701),
    [aux_sym_ciphers_token1] = ACTIONS(1701),
    [aux_sym_cipher_token1] = ACTIONS(1703),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1701),
    [aux_sym_compression_token1] = ACTIONS(1701),
    [aux_sym_connection_attempts_token1] = ACTIONS(1701),
    [aux_sym_connect_timeout_token1] = ACTIONS(1701),
    [aux_sym_control_master_token1] = ACTIONS(1701),
    [aux_sym_control_path_token1] = ACTIONS(1701),
    [aux_sym_control_persist_token1] = ACTIONS(1701),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1701),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1701),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1701),
    [aux_sym_escape_char_token1] = ACTIONS(1701),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1701),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1701),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1701),
    [aux_sym_forward_agent_token1] = ACTIONS(1701),
    [aux_sym_forward_x11_token1] = ACTIONS(1703),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1701),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1701),
    [aux_sym_gateway_ports_token1] = ACTIONS(1701),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1701),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1701),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1701),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1701),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1701),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1701),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1701),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1701),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1701),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1701),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1701),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1701),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1701),
    [aux_sym_host_key_alias_token1] = ACTIONS(1701),
    [aux_sym_hostname_token1] = ACTIONS(1701),
    [aux_sym_identities_only_token1] = ACTIONS(1701),
    [aux_sym_identity_agent_token1] = ACTIONS(1701),
    [aux_sym_identity_file_token1] = ACTIONS(1701),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1701),
    [aux_sym_include_token1] = ACTIONS(1701),
    [aux_sym_ip_qos_token1] = ACTIONS(1701),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1701),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1701),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1701),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1701),
    [aux_sym_local_command_token1] = ACTIONS(1701),
    [aux_sym_local_forward_token1] = ACTIONS(1701),
    [aux_sym_log_level_token1] = ACTIONS(1701),
    [aux_sym_log_verbose_token1] = ACTIONS(1701),
    [aux_sym_macs_token1] = ACTIONS(1701),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1701),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1701),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1701),
    [aux_sym_password_authentication_token1] = ACTIONS(1701),
    [aux_sym_permit_local_command_token1] = ACTIONS(1701),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1701),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1701),
    [aux_sym_port_token1] = ACTIONS(1701),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1701),
    [aux_sym_protocol_token1] = ACTIONS(1701),
    [aux_sym_proxy_command_token1] = ACTIONS(1701),
    [aux_sym_proxy_jump_token1] = ACTIONS(1701),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1701),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1701),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1701),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1701),
    [aux_sym_rekey_limit_token1] = ACTIONS(1701),
    [aux_sym_remote_command_token1] = ACTIONS(1701),
    [aux_sym_remote_forward_token1] = ACTIONS(1701),
    [aux_sym_request_tty_token1] = ACTIONS(1701),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1701),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1701),
    [aux_sym_security_key_provider_token1] = ACTIONS(1701),
    [aux_sym_send_env_token1] = ACTIONS(1701),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1701),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1701),
    [aux_sym_session_type_token1] = ACTIONS(1701),
    [aux_sym_set_env_token1] = ACTIONS(1701),
    [aux_sym_stdin_null_token1] = ACTIONS(1701),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1701),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1701),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1701),
    [aux_sym_syslog_facility_token1] = ACTIONS(1701),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1701),
    [aux_sym_keep_alive_token1] = ACTIONS(1701),
    [aux_sym_tag_token1] = ACTIONS(1701),
    [aux_sym_tunnel_token1] = ACTIONS(1703),
    [aux_sym_tunnel_device_token1] = ACTIONS(1701),
    [aux_sym_update_host_keys_token1] = ACTIONS(1701),
    [aux_sym_use_keychain_token1] = ACTIONS(1701),
    [aux_sym_use_roaming_token1] = ACTIONS(1701),
    [aux_sym_user_token1] = ACTIONS(1703),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1701),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1701),
    [aux_sym_visual_host_key_token1] = ACTIONS(1701),
    [aux_sym_xauth_location_token1] = ACTIONS(1701),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1549),
    [aux_sym_match_token1] = ACTIONS(1547),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1547),
    [aux_sym_address_family_token1] = ACTIONS(1547),
    [aux_sym_batch_mode_token1] = ACTIONS(1547),
    [aux_sym_bind_address_token1] = ACTIONS(1547),
    [aux_sym_bind_interface_token1] = ACTIONS(1547),
    [aux_sym_canonical_domains_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1547),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1547),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1547),
    [aux_sym_certificate_file_token1] = ACTIONS(1547),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1547),
    [aux_sym_channel_timeout_token1] = ACTIONS(1547),
    [aux_sym_check_host_ip_token1] = ACTIONS(1547),
    [aux_sym_ciphers_token1] = ACTIONS(1547),
    [aux_sym_cipher_token1] = ACTIONS(1549),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1547),
    [aux_sym_compression_token1] = ACTIONS(1547),
    [aux_sym_connection_attempts_token1] = ACTIONS(1547),
    [aux_sym_connect_timeout_token1] = ACTIONS(1547),
    [aux_sym_control_master_token1] = ACTIONS(1547),
    [aux_sym_control_path_token1] = ACTIONS(1547),
    [aux_sym_control_persist_token1] = ACTIONS(1547),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1547),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1547),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1547),
    [aux_sym_escape_char_token1] = ACTIONS(1547),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1547),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1547),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1547),
    [aux_sym_forward_agent_token1] = ACTIONS(1547),
    [aux_sym_forward_x11_token1] = ACTIONS(1549),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1547),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1547),
    [aux_sym_gateway_ports_token1] = ACTIONS(1547),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1547),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1547),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1547),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1547),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1547),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1547),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1547),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1547),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1547),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1547),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1547),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1547),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1547),
    [aux_sym_host_key_alias_token1] = ACTIONS(1547),
    [aux_sym_hostname_token1] = ACTIONS(1547),
    [aux_sym_identities_only_token1] = ACTIONS(1547),
    [aux_sym_identity_agent_token1] = ACTIONS(1547),
    [aux_sym_identity_file_token1] = ACTIONS(1547),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1547),
    [aux_sym_include_token1] = ACTIONS(1547),
    [aux_sym_ip_qos_token1] = ACTIONS(1547),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1547),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1547),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1547),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1547),
    [aux_sym_local_command_token1] = ACTIONS(1547),
    [aux_sym_local_forward_token1] = ACTIONS(1547),
    [aux_sym_log_level_token1] = ACTIONS(1547),
    [aux_sym_log_verbose_token1] = ACTIONS(1547),
    [aux_sym_macs_token1] = ACTIONS(1547),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1547),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1547),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1547),
    [aux_sym_password_authentication_token1] = ACTIONS(1547),
    [aux_sym_permit_local_command_token1] = ACTIONS(1547),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1547),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1547),
    [aux_sym_port_token1] = ACTIONS(1547),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1547),
    [aux_sym_protocol_token1] = ACTIONS(1547),
    [aux_sym_proxy_command_token1] = ACTIONS(1547),
    [aux_sym_proxy_jump_token1] = ACTIONS(1547),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1547),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1547),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1547),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1547),
    [aux_sym_rekey_limit_token1] = ACTIONS(1547),
    [aux_sym_remote_command_token1] = ACTIONS(1547),
    [aux_sym_remote_forward_token1] = ACTIONS(1547),
    [aux_sym_request_tty_token1] = ACTIONS(1547),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1547),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1547),
    [aux_sym_security_key_provider_token1] = ACTIONS(1547),
    [aux_sym_send_env_token1] = ACTIONS(1547),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1547),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1547),
    [aux_sym_session_type_token1] = ACTIONS(1547),
    [aux_sym_set_env_token1] = ACTIONS(1547),
    [aux_sym_stdin_null_token1] = ACTIONS(1547),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1547),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1547),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1547),
    [aux_sym_syslog_facility_token1] = ACTIONS(1547),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1547),
    [aux_sym_keep_alive_token1] = ACTIONS(1547),
    [aux_sym_tag_token1] = ACTIONS(1547),
    [aux_sym_tunnel_token1] = ACTIONS(1549),
    [aux_sym_tunnel_device_token1] = ACTIONS(1547),
    [aux_sym_update_host_keys_token1] = ACTIONS(1547),
    [aux_sym_use_keychain_token1] = ACTIONS(1547),
    [aux_sym_use_roaming_token1] = ACTIONS(1547),
    [aux_sym_user_token1] = ACTIONS(1549),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1547),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1547),
    [aux_sym_visual_host_key_token1] = ACTIONS(1547),
    [aux_sym_xauth_location_token1] = ACTIONS(1547),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1709),
    [aux_sym_match_token1] = ACTIONS(1707),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1707),
    [aux_sym_address_family_token1] = ACTIONS(1707),
    [aux_sym_batch_mode_token1] = ACTIONS(1707),
    [aux_sym_bind_address_token1] = ACTIONS(1707),
    [aux_sym_bind_interface_token1] = ACTIONS(1707),
    [aux_sym_canonical_domains_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1707),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1707),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1707),
    [aux_sym_certificate_file_token1] = ACTIONS(1707),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1707),
    [aux_sym_channel_timeout_token1] = ACTIONS(1707),
    [aux_sym_check_host_ip_token1] = ACTIONS(1707),
    [aux_sym_ciphers_token1] = ACTIONS(1707),
    [aux_sym_cipher_token1] = ACTIONS(1709),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1707),
    [aux_sym_compression_token1] = ACTIONS(1707),
    [aux_sym_connection_attempts_token1] = ACTIONS(1707),
    [aux_sym_connect_timeout_token1] = ACTIONS(1707),
    [aux_sym_control_master_token1] = ACTIONS(1707),
    [aux_sym_control_path_token1] = ACTIONS(1707),
    [aux_sym_control_persist_token1] = ACTIONS(1707),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1707),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1707),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1707),
    [aux_sym_escape_char_token1] = ACTIONS(1707),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1707),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1707),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1707),
    [aux_sym_forward_agent_token1] = ACTIONS(1707),
    [aux_sym_forward_x11_token1] = ACTIONS(1709),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1707),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1707),
    [aux_sym_gateway_ports_token1] = ACTIONS(1707),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1707),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1707),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1707),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1707),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1707),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1707),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1707),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1707),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1707),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1707),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1707),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1707),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1707),
    [aux_sym_host_key_alias_token1] = ACTIONS(1707),
    [aux_sym_hostname_token1] = ACTIONS(1707),
    [aux_sym_identities_only_token1] = ACTIONS(1707),
    [aux_sym_identity_agent_token1] = ACTIONS(1707),
    [aux_sym_identity_file_token1] = ACTIONS(1707),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1707),
    [aux_sym_include_token1] = ACTIONS(1707),
    [aux_sym_ip_qos_token1] = ACTIONS(1707),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1707),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1707),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1707),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1707),
    [aux_sym_local_command_token1] = ACTIONS(1707),
    [aux_sym_local_forward_token1] = ACTIONS(1707),
    [aux_sym_log_level_token1] = ACTIONS(1707),
    [aux_sym_log_verbose_token1] = ACTIONS(1707),
    [aux_sym_macs_token1] = ACTIONS(1707),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1707),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1707),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1707),
    [aux_sym_password_authentication_token1] = ACTIONS(1707),
    [aux_sym_permit_local_command_token1] = ACTIONS(1707),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1707),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1707),
    [aux_sym_port_token1] = ACTIONS(1707),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1707),
    [aux_sym_protocol_token1] = ACTIONS(1707),
    [aux_sym_proxy_command_token1] = ACTIONS(1707),
    [aux_sym_proxy_jump_token1] = ACTIONS(1707),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1707),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1707),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1707),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1707),
    [aux_sym_rekey_limit_token1] = ACTIONS(1707),
    [aux_sym_remote_command_token1] = ACTIONS(1707),
    [aux_sym_remote_forward_token1] = ACTIONS(1707),
    [aux_sym_request_tty_token1] = ACTIONS(1707),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1707),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1707),
    [aux_sym_security_key_provider_token1] = ACTIONS(1707),
    [aux_sym_send_env_token1] = ACTIONS(1707),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1707),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1707),
    [aux_sym_session_type_token1] = ACTIONS(1707),
    [aux_sym_set_env_token1] = ACTIONS(1707),
    [aux_sym_stdin_null_token1] = ACTIONS(1707),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1707),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1707),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1707),
    [aux_sym_syslog_facility_token1] = ACTIONS(1707),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1707),
    [aux_sym_keep_alive_token1] = ACTIONS(1707),
    [aux_sym_tag_token1] = ACTIONS(1707),
    [aux_sym_tunnel_token1] = ACTIONS(1709),
    [aux_sym_tunnel_device_token1] = ACTIONS(1707),
    [aux_sym_update_host_keys_token1] = ACTIONS(1707),
    [aux_sym_use_keychain_token1] = ACTIONS(1707),
    [aux_sym_use_roaming_token1] = ACTIONS(1707),
    [aux_sym_user_token1] = ACTIONS(1709),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1707),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1707),
    [aux_sym_visual_host_key_token1] = ACTIONS(1707),
    [aux_sym_xauth_location_token1] = ACTIONS(1707),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1859),
    [aux_sym_match_token1] = ACTIONS(1857),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1857),
    [aux_sym_address_family_token1] = ACTIONS(1857),
    [aux_sym_batch_mode_token1] = ACTIONS(1857),
    [aux_sym_bind_address_token1] = ACTIONS(1857),
    [aux_sym_bind_interface_token1] = ACTIONS(1857),
    [aux_sym_canonical_domains_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1857),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1857),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1857),
    [aux_sym_certificate_file_token1] = ACTIONS(1857),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1857),
    [aux_sym_channel_timeout_token1] = ACTIONS(1857),
    [aux_sym_check_host_ip_token1] = ACTIONS(1857),
    [aux_sym_ciphers_token1] = ACTIONS(1857),
    [aux_sym_cipher_token1] = ACTIONS(1859),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1857),
    [aux_sym_compression_token1] = ACTIONS(1857),
    [aux_sym_connection_attempts_token1] = ACTIONS(1857),
    [aux_sym_connect_timeout_token1] = ACTIONS(1857),
    [aux_sym_control_master_token1] = ACTIONS(1857),
    [aux_sym_control_path_token1] = ACTIONS(1857),
    [aux_sym_control_persist_token1] = ACTIONS(1857),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1857),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1857),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1857),
    [aux_sym_escape_char_token1] = ACTIONS(1857),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1857),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1857),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1857),
    [aux_sym_forward_agent_token1] = ACTIONS(1857),
    [aux_sym_forward_x11_token1] = ACTIONS(1859),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1857),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1857),
    [aux_sym_gateway_ports_token1] = ACTIONS(1857),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1857),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1857),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1857),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1857),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1857),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1857),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1857),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1857),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1857),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1857),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1857),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1857),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1857),
    [aux_sym_host_key_alias_token1] = ACTIONS(1857),
    [aux_sym_hostname_token1] = ACTIONS(1857),
    [aux_sym_identities_only_token1] = ACTIONS(1857),
    [aux_sym_identity_agent_token1] = ACTIONS(1857),
    [aux_sym_identity_file_token1] = ACTIONS(1857),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1857),
    [aux_sym_include_token1] = ACTIONS(1857),
    [aux_sym_ip_qos_token1] = ACTIONS(1857),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1857),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1857),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1857),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1857),
    [aux_sym_local_command_token1] = ACTIONS(1857),
    [aux_sym_local_forward_token1] = ACTIONS(1857),
    [aux_sym_log_level_token1] = ACTIONS(1857),
    [aux_sym_log_verbose_token1] = ACTIONS(1857),
    [aux_sym_macs_token1] = ACTIONS(1857),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1857),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1857),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1857),
    [aux_sym_password_authentication_token1] = ACTIONS(1857),
    [aux_sym_permit_local_command_token1] = ACTIONS(1857),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1857),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1857),
    [aux_sym_port_token1] = ACTIONS(1857),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1857),
    [aux_sym_protocol_token1] = ACTIONS(1857),
    [aux_sym_proxy_command_token1] = ACTIONS(1857),
    [aux_sym_proxy_jump_token1] = ACTIONS(1857),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1857),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1857),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1857),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1857),
    [aux_sym_rekey_limit_token1] = ACTIONS(1857),
    [aux_sym_remote_command_token1] = ACTIONS(1857),
    [aux_sym_remote_forward_token1] = ACTIONS(1857),
    [aux_sym_request_tty_token1] = ACTIONS(1857),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1857),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1857),
    [aux_sym_security_key_provider_token1] = ACTIONS(1857),
    [aux_sym_send_env_token1] = ACTIONS(1857),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1857),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1857),
    [aux_sym_session_type_token1] = ACTIONS(1857),
    [aux_sym_set_env_token1] = ACTIONS(1857),
    [aux_sym_stdin_null_token1] = ACTIONS(1857),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1857),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1857),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1857),
    [aux_sym_syslog_facility_token1] = ACTIONS(1857),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1857),
    [aux_sym_keep_alive_token1] = ACTIONS(1857),
    [aux_sym_tag_token1] = ACTIONS(1857),
    [aux_sym_tunnel_token1] = ACTIONS(1859),
    [aux_sym_tunnel_device_token1] = ACTIONS(1857),
    [aux_sym_update_host_keys_token1] = ACTIONS(1857),
    [aux_sym_use_keychain_token1] = ACTIONS(1857),
    [aux_sym_use_roaming_token1] = ACTIONS(1857),
    [aux_sym_user_token1] = ACTIONS(1859),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1857),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1857),
    [aux_sym_visual_host_key_token1] = ACTIONS(1857),
    [aux_sym_xauth_location_token1] = ACTIONS(1857),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(721),
    [aux_sym_match_token1] = ACTIONS(719),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(719),
    [aux_sym_address_family_token1] = ACTIONS(719),
    [aux_sym_batch_mode_token1] = ACTIONS(719),
    [aux_sym_bind_address_token1] = ACTIONS(719),
    [aux_sym_bind_interface_token1] = ACTIONS(719),
    [aux_sym_canonical_domains_token1] = ACTIONS(719),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(719),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(719),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(719),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(719),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(719),
    [aux_sym_certificate_file_token1] = ACTIONS(719),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(719),
    [aux_sym_channel_timeout_token1] = ACTIONS(719),
    [aux_sym_check_host_ip_token1] = ACTIONS(719),
    [aux_sym_ciphers_token1] = ACTIONS(719),
    [aux_sym_cipher_token1] = ACTIONS(721),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(719),
    [aux_sym_compression_token1] = ACTIONS(719),
    [aux_sym_connection_attempts_token1] = ACTIONS(719),
    [aux_sym_connect_timeout_token1] = ACTIONS(719),
    [aux_sym_control_master_token1] = ACTIONS(719),
    [aux_sym_control_path_token1] = ACTIONS(719),
    [aux_sym_control_persist_token1] = ACTIONS(719),
    [aux_sym_dynamic_forward_token1] = ACTIONS(719),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(719),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(719),
    [aux_sym_escape_char_token1] = ACTIONS(719),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(719),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(719),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(719),
    [aux_sym_forward_agent_token1] = ACTIONS(719),
    [aux_sym_forward_x11_token1] = ACTIONS(721),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(719),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(719),
    [aux_sym_gateway_ports_token1] = ACTIONS(719),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(719),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(719),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(719),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(719),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(719),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(719),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(719),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(719),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(719),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(719),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(719),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(719),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(719),
    [aux_sym_host_key_alias_token1] = ACTIONS(719),
    [aux_sym_hostname_token1] = ACTIONS(719),
    [aux_sym_identities_only_token1] = ACTIONS(719),
    [aux_sym_identity_agent_token1] = ACTIONS(719),
    [aux_sym_identity_file_token1] = ACTIONS(719),
    [aux_sym_ignore_unknown_token1] = ACTIONS(719),
    [aux_sym_include_token1] = ACTIONS(719),
    [aux_sym_ip_qos_token1] = ACTIONS(719),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(719),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(719),
    [aux_sym_kex_algorithms_token1] = ACTIONS(719),
    [aux_sym_known_hosts_command_token1] = ACTIONS(719),
    [aux_sym_local_command_token1] = ACTIONS(719),
    [aux_sym_local_forward_token1] = ACTIONS(719),
    [aux_sym_log_level_token1] = ACTIONS(719),
    [aux_sym_log_verbose_token1] = ACTIONS(719),
    [aux_sym_macs_token1] = ACTIONS(719),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(719),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(719),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(719),
    [aux_sym_password_authentication_token1] = ACTIONS(719),
    [aux_sym_permit_local_command_token1] = ACTIONS(719),
    [aux_sym_permit_remote_open_token1] = ACTIONS(719),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(719),
    [aux_sym_port_token1] = ACTIONS(719),
    [aux_sym_preferred_authentications_token1] = ACTIONS(719),
    [aux_sym_protocol_token1] = ACTIONS(719),
    [aux_sym_proxy_command_token1] = ACTIONS(719),
    [aux_sym_proxy_jump_token1] = ACTIONS(719),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(719),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(719),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(719),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(719),
    [aux_sym_rekey_limit_token1] = ACTIONS(719),
    [aux_sym_remote_command_token1] = ACTIONS(719),
    [aux_sym_remote_forward_token1] = ACTIONS(719),
    [aux_sym_request_tty_token1] = ACTIONS(719),
    [aux_sym_required_rsa_size_token1] = ACTIONS(719),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(719),
    [aux_sym_security_key_provider_token1] = ACTIONS(719),
    [aux_sym_send_env_token1] = ACTIONS(719),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(719),
    [aux_sym_server_alive_interval_token1] = ACTIONS(719),
    [aux_sym_session_type_token1] = ACTIONS(719),
    [aux_sym_set_env_token1] = ACTIONS(719),
    [aux_sym_stdin_null_token1] = ACTIONS(719),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(719),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(719),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(719),
    [aux_sym_syslog_facility_token1] = ACTIONS(719),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(719),
    [aux_sym_keep_alive_token1] = ACTIONS(719),
    [aux_sym_tag_token1] = ACTIONS(719),
    [aux_sym_tunnel_token1] = ACTIONS(721),
    [aux_sym_tunnel_device_token1] = ACTIONS(719),
    [aux_sym_update_host_keys_token1] = ACTIONS(719),
    [aux_sym_use_keychain_token1] = ACTIONS(719),
    [aux_sym_use_roaming_token1] = ACTIONS(719),
    [aux_sym_user_token1] = ACTIONS(721),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(719),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(719),
    [aux_sym_visual_host_key_token1] = ACTIONS(719),
    [aux_sym_xauth_location_token1] = ACTIONS(719),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(895),
    [aux_sym_match_token1] = ACTIONS(893),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(893),
    [aux_sym_address_family_token1] = ACTIONS(893),
    [aux_sym_batch_mode_token1] = ACTIONS(893),
    [aux_sym_bind_address_token1] = ACTIONS(893),
    [aux_sym_bind_interface_token1] = ACTIONS(893),
    [aux_sym_canonical_domains_token1] = ACTIONS(893),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(893),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(893),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(893),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(893),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(893),
    [aux_sym_certificate_file_token1] = ACTIONS(893),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(893),
    [aux_sym_channel_timeout_token1] = ACTIONS(893),
    [aux_sym_check_host_ip_token1] = ACTIONS(893),
    [aux_sym_ciphers_token1] = ACTIONS(893),
    [aux_sym_cipher_token1] = ACTIONS(895),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(893),
    [aux_sym_compression_token1] = ACTIONS(893),
    [aux_sym_connection_attempts_token1] = ACTIONS(893),
    [aux_sym_connect_timeout_token1] = ACTIONS(893),
    [aux_sym_control_master_token1] = ACTIONS(893),
    [aux_sym_control_path_token1] = ACTIONS(893),
    [aux_sym_control_persist_token1] = ACTIONS(893),
    [aux_sym_dynamic_forward_token1] = ACTIONS(893),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(893),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(893),
    [aux_sym_escape_char_token1] = ACTIONS(893),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(893),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(893),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(893),
    [aux_sym_forward_agent_token1] = ACTIONS(893),
    [aux_sym_forward_x11_token1] = ACTIONS(895),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(893),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(893),
    [aux_sym_gateway_ports_token1] = ACTIONS(893),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(893),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(893),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(893),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(893),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(893),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(893),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(893),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(893),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(893),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(893),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(893),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(893),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(893),
    [aux_sym_host_key_alias_token1] = ACTIONS(893),
    [aux_sym_hostname_token1] = ACTIONS(893),
    [aux_sym_identities_only_token1] = ACTIONS(893),
    [aux_sym_identity_agent_token1] = ACTIONS(893),
    [aux_sym_identity_file_token1] = ACTIONS(893),
    [aux_sym_ignore_unknown_token1] = ACTIONS(893),
    [aux_sym_include_token1] = ACTIONS(893),
    [aux_sym_ip_qos_token1] = ACTIONS(893),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(893),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(893),
    [aux_sym_kex_algorithms_token1] = ACTIONS(893),
    [aux_sym_known_hosts_command_token1] = ACTIONS(893),
    [aux_sym_local_command_token1] = ACTIONS(893),
    [aux_sym_local_forward_token1] = ACTIONS(893),
    [aux_sym_log_level_token1] = ACTIONS(893),
    [aux_sym_log_verbose_token1] = ACTIONS(893),
    [aux_sym_macs_token1] = ACTIONS(893),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(893),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(893),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(893),
    [aux_sym_password_authentication_token1] = ACTIONS(893),
    [aux_sym_permit_local_command_token1] = ACTIONS(893),
    [aux_sym_permit_remote_open_token1] = ACTIONS(893),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(893),
    [aux_sym_port_token1] = ACTIONS(893),
    [aux_sym_preferred_authentications_token1] = ACTIONS(893),
    [aux_sym_protocol_token1] = ACTIONS(893),
    [aux_sym_proxy_command_token1] = ACTIONS(893),
    [aux_sym_proxy_jump_token1] = ACTIONS(893),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(893),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(893),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(893),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(893),
    [aux_sym_rekey_limit_token1] = ACTIONS(893),
    [aux_sym_remote_command_token1] = ACTIONS(893),
    [aux_sym_remote_forward_token1] = ACTIONS(893),
    [aux_sym_request_tty_token1] = ACTIONS(893),
    [aux_sym_required_rsa_size_token1] = ACTIONS(893),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(893),
    [aux_sym_security_key_provider_token1] = ACTIONS(893),
    [aux_sym_send_env_token1] = ACTIONS(893),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(893),
    [aux_sym_server_alive_interval_token1] = ACTIONS(893),
    [aux_sym_session_type_token1] = ACTIONS(893),
    [aux_sym_set_env_token1] = ACTIONS(893),
    [aux_sym_stdin_null_token1] = ACTIONS(893),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(893),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(893),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(893),
    [aux_sym_syslog_facility_token1] = ACTIONS(893),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(893),
    [aux_sym_keep_alive_token1] = ACTIONS(893),
    [aux_sym_tag_token1] = ACTIONS(893),
    [aux_sym_tunnel_token1] = ACTIONS(895),
    [aux_sym_tunnel_device_token1] = ACTIONS(893),
    [aux_sym_update_host_keys_token1] = ACTIONS(893),
    [aux_sym_use_keychain_token1] = ACTIONS(893),
    [aux_sym_use_roaming_token1] = ACTIONS(893),
    [aux_sym_user_token1] = ACTIONS(895),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(893),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(893),
    [aux_sym_visual_host_key_token1] = ACTIONS(893),
    [aux_sym_xauth_location_token1] = ACTIONS(893),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1853),
    [aux_sym_match_token1] = ACTIONS(1851),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1851),
    [aux_sym_address_family_token1] = ACTIONS(1851),
    [aux_sym_batch_mode_token1] = ACTIONS(1851),
    [aux_sym_bind_address_token1] = ACTIONS(1851),
    [aux_sym_bind_interface_token1] = ACTIONS(1851),
    [aux_sym_canonical_domains_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1851),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1851),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1851),
    [aux_sym_certificate_file_token1] = ACTIONS(1851),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1851),
    [aux_sym_channel_timeout_token1] = ACTIONS(1851),
    [aux_sym_check_host_ip_token1] = ACTIONS(1851),
    [aux_sym_ciphers_token1] = ACTIONS(1851),
    [aux_sym_cipher_token1] = ACTIONS(1853),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1851),
    [aux_sym_compression_token1] = ACTIONS(1851),
    [aux_sym_connection_attempts_token1] = ACTIONS(1851),
    [aux_sym_connect_timeout_token1] = ACTIONS(1851),
    [aux_sym_control_master_token1] = ACTIONS(1851),
    [aux_sym_control_path_token1] = ACTIONS(1851),
    [aux_sym_control_persist_token1] = ACTIONS(1851),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1851),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1851),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1851),
    [aux_sym_escape_char_token1] = ACTIONS(1851),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1851),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1851),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1851),
    [aux_sym_forward_agent_token1] = ACTIONS(1851),
    [aux_sym_forward_x11_token1] = ACTIONS(1853),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1851),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1851),
    [aux_sym_gateway_ports_token1] = ACTIONS(1851),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1851),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1851),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1851),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1851),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1851),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1851),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1851),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1851),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1851),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1851),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1851),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1851),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1851),
    [aux_sym_host_key_alias_token1] = ACTIONS(1851),
    [aux_sym_hostname_token1] = ACTIONS(1851),
    [aux_sym_identities_only_token1] = ACTIONS(1851),
    [aux_sym_identity_agent_token1] = ACTIONS(1851),
    [aux_sym_identity_file_token1] = ACTIONS(1851),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1851),
    [aux_sym_include_token1] = ACTIONS(1851),
    [aux_sym_ip_qos_token1] = ACTIONS(1851),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1851),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1851),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1851),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1851),
    [aux_sym_local_command_token1] = ACTIONS(1851),
    [aux_sym_local_forward_token1] = ACTIONS(1851),
    [aux_sym_log_level_token1] = ACTIONS(1851),
    [aux_sym_log_verbose_token1] = ACTIONS(1851),
    [aux_sym_macs_token1] = ACTIONS(1851),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1851),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1851),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1851),
    [aux_sym_password_authentication_token1] = ACTIONS(1851),
    [aux_sym_permit_local_command_token1] = ACTIONS(1851),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1851),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1851),
    [aux_sym_port_token1] = ACTIONS(1851),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1851),
    [aux_sym_protocol_token1] = ACTIONS(1851),
    [aux_sym_proxy_command_token1] = ACTIONS(1851),
    [aux_sym_proxy_jump_token1] = ACTIONS(1851),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1851),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1851),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1851),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1851),
    [aux_sym_rekey_limit_token1] = ACTIONS(1851),
    [aux_sym_remote_command_token1] = ACTIONS(1851),
    [aux_sym_remote_forward_token1] = ACTIONS(1851),
    [aux_sym_request_tty_token1] = ACTIONS(1851),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1851),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1851),
    [aux_sym_security_key_provider_token1] = ACTIONS(1851),
    [aux_sym_send_env_token1] = ACTIONS(1851),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1851),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1851),
    [aux_sym_session_type_token1] = ACTIONS(1851),
    [aux_sym_set_env_token1] = ACTIONS(1851),
    [aux_sym_stdin_null_token1] = ACTIONS(1851),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1851),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1851),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1851),
    [aux_sym_syslog_facility_token1] = ACTIONS(1851),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1851),
    [aux_sym_keep_alive_token1] = ACTIONS(1851),
    [aux_sym_tag_token1] = ACTIONS(1851),
    [aux_sym_tunnel_token1] = ACTIONS(1853),
    [aux_sym_tunnel_device_token1] = ACTIONS(1851),
    [aux_sym_update_host_keys_token1] = ACTIONS(1851),
    [aux_sym_use_keychain_token1] = ACTIONS(1851),
    [aux_sym_use_roaming_token1] = ACTIONS(1851),
    [aux_sym_user_token1] = ACTIONS(1853),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1851),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1851),
    [aux_sym_visual_host_key_token1] = ACTIONS(1851),
    [aux_sym_xauth_location_token1] = ACTIONS(1851),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1983),
    [aux_sym_match_token1] = ACTIONS(1981),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1981),
    [aux_sym_address_family_token1] = ACTIONS(1981),
    [aux_sym_batch_mode_token1] = ACTIONS(1981),
    [aux_sym_bind_address_token1] = ACTIONS(1981),
    [aux_sym_bind_interface_token1] = ACTIONS(1981),
    [aux_sym_canonical_domains_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1981),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1981),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1981),
    [aux_sym_certificate_file_token1] = ACTIONS(1981),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1981),
    [aux_sym_channel_timeout_token1] = ACTIONS(1981),
    [aux_sym_check_host_ip_token1] = ACTIONS(1981),
    [aux_sym_ciphers_token1] = ACTIONS(1981),
    [aux_sym_cipher_token1] = ACTIONS(1983),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1981),
    [aux_sym_compression_token1] = ACTIONS(1981),
    [aux_sym_connection_attempts_token1] = ACTIONS(1981),
    [aux_sym_connect_timeout_token1] = ACTIONS(1981),
    [aux_sym_control_master_token1] = ACTIONS(1981),
    [aux_sym_control_path_token1] = ACTIONS(1981),
    [aux_sym_control_persist_token1] = ACTIONS(1981),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1981),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1981),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1981),
    [aux_sym_escape_char_token1] = ACTIONS(1981),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1981),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1981),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1981),
    [aux_sym_forward_agent_token1] = ACTIONS(1981),
    [aux_sym_forward_x11_token1] = ACTIONS(1983),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1981),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1981),
    [aux_sym_gateway_ports_token1] = ACTIONS(1981),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1981),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1981),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1981),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1981),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1981),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1981),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1981),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1981),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1981),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1981),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1981),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1981),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1981),
    [aux_sym_host_key_alias_token1] = ACTIONS(1981),
    [aux_sym_hostname_token1] = ACTIONS(1981),
    [aux_sym_identities_only_token1] = ACTIONS(1981),
    [aux_sym_identity_agent_token1] = ACTIONS(1981),
    [aux_sym_identity_file_token1] = ACTIONS(1981),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1981),
    [aux_sym_include_token1] = ACTIONS(1981),
    [aux_sym_ip_qos_token1] = ACTIONS(1981),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1981),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1981),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1981),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1981),
    [aux_sym_local_command_token1] = ACTIONS(1981),
    [aux_sym_local_forward_token1] = ACTIONS(1981),
    [aux_sym_log_level_token1] = ACTIONS(1981),
    [aux_sym_log_verbose_token1] = ACTIONS(1981),
    [aux_sym_macs_token1] = ACTIONS(1981),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1981),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1981),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1981),
    [aux_sym_password_authentication_token1] = ACTIONS(1981),
    [aux_sym_permit_local_command_token1] = ACTIONS(1981),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1981),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1981),
    [aux_sym_port_token1] = ACTIONS(1981),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1981),
    [aux_sym_protocol_token1] = ACTIONS(1981),
    [aux_sym_proxy_command_token1] = ACTIONS(1981),
    [aux_sym_proxy_jump_token1] = ACTIONS(1981),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1981),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1981),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1981),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1981),
    [aux_sym_rekey_limit_token1] = ACTIONS(1981),
    [aux_sym_remote_command_token1] = ACTIONS(1981),
    [aux_sym_remote_forward_token1] = ACTIONS(1981),
    [aux_sym_request_tty_token1] = ACTIONS(1981),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1981),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1981),
    [aux_sym_security_key_provider_token1] = ACTIONS(1981),
    [aux_sym_send_env_token1] = ACTIONS(1981),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1981),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1981),
    [aux_sym_session_type_token1] = ACTIONS(1981),
    [aux_sym_set_env_token1] = ACTIONS(1981),
    [aux_sym_stdin_null_token1] = ACTIONS(1981),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1981),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1981),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1981),
    [aux_sym_syslog_facility_token1] = ACTIONS(1981),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1981),
    [aux_sym_keep_alive_token1] = ACTIONS(1981),
    [aux_sym_tag_token1] = ACTIONS(1981),
    [aux_sym_tunnel_token1] = ACTIONS(1983),
    [aux_sym_tunnel_device_token1] = ACTIONS(1981),
    [aux_sym_update_host_keys_token1] = ACTIONS(1981),
    [aux_sym_use_keychain_token1] = ACTIONS(1981),
    [aux_sym_use_roaming_token1] = ACTIONS(1981),
    [aux_sym_user_token1] = ACTIONS(1983),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1981),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1981),
    [aux_sym_visual_host_key_token1] = ACTIONS(1981),
    [aux_sym_xauth_location_token1] = ACTIONS(1981),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1465),
    [aux_sym_match_token1] = ACTIONS(1463),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1463),
    [aux_sym_address_family_token1] = ACTIONS(1463),
    [aux_sym_batch_mode_token1] = ACTIONS(1463),
    [aux_sym_bind_address_token1] = ACTIONS(1463),
    [aux_sym_bind_interface_token1] = ACTIONS(1463),
    [aux_sym_canonical_domains_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1463),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1463),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1463),
    [aux_sym_certificate_file_token1] = ACTIONS(1463),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1463),
    [aux_sym_channel_timeout_token1] = ACTIONS(1463),
    [aux_sym_check_host_ip_token1] = ACTIONS(1463),
    [aux_sym_ciphers_token1] = ACTIONS(1463),
    [aux_sym_cipher_token1] = ACTIONS(1465),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1463),
    [aux_sym_compression_token1] = ACTIONS(1463),
    [aux_sym_connection_attempts_token1] = ACTIONS(1463),
    [aux_sym_connect_timeout_token1] = ACTIONS(1463),
    [aux_sym_control_master_token1] = ACTIONS(1463),
    [aux_sym_control_path_token1] = ACTIONS(1463),
    [aux_sym_control_persist_token1] = ACTIONS(1463),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1463),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1463),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1463),
    [aux_sym_escape_char_token1] = ACTIONS(1463),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1463),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1463),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1463),
    [aux_sym_forward_agent_token1] = ACTIONS(1463),
    [aux_sym_forward_x11_token1] = ACTIONS(1465),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1463),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1463),
    [aux_sym_gateway_ports_token1] = ACTIONS(1463),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1463),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1463),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1463),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1463),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1463),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1463),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1463),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1463),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1463),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1463),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1463),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1463),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1463),
    [aux_sym_host_key_alias_token1] = ACTIONS(1463),
    [aux_sym_hostname_token1] = ACTIONS(1463),
    [aux_sym_identities_only_token1] = ACTIONS(1463),
    [aux_sym_identity_agent_token1] = ACTIONS(1463),
    [aux_sym_identity_file_token1] = ACTIONS(1463),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1463),
    [aux_sym_include_token1] = ACTIONS(1463),
    [aux_sym_ip_qos_token1] = ACTIONS(1463),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1463),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1463),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1463),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1463),
    [aux_sym_local_command_token1] = ACTIONS(1463),
    [aux_sym_local_forward_token1] = ACTIONS(1463),
    [aux_sym_log_level_token1] = ACTIONS(1463),
    [aux_sym_log_verbose_token1] = ACTIONS(1463),
    [aux_sym_macs_token1] = ACTIONS(1463),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1463),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1463),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1463),
    [aux_sym_password_authentication_token1] = ACTIONS(1463),
    [aux_sym_permit_local_command_token1] = ACTIONS(1463),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1463),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1463),
    [aux_sym_port_token1] = ACTIONS(1463),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1463),
    [aux_sym_protocol_token1] = ACTIONS(1463),
    [aux_sym_proxy_command_token1] = ACTIONS(1463),
    [aux_sym_proxy_jump_token1] = ACTIONS(1463),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1463),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1463),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1463),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1463),
    [aux_sym_rekey_limit_token1] = ACTIONS(1463),
    [aux_sym_remote_command_token1] = ACTIONS(1463),
    [aux_sym_remote_forward_token1] = ACTIONS(1463),
    [aux_sym_request_tty_token1] = ACTIONS(1463),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1463),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1463),
    [aux_sym_security_key_provider_token1] = ACTIONS(1463),
    [aux_sym_send_env_token1] = ACTIONS(1463),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1463),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1463),
    [aux_sym_session_type_token1] = ACTIONS(1463),
    [aux_sym_set_env_token1] = ACTIONS(1463),
    [aux_sym_stdin_null_token1] = ACTIONS(1463),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1463),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1463),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1463),
    [aux_sym_syslog_facility_token1] = ACTIONS(1463),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1463),
    [aux_sym_keep_alive_token1] = ACTIONS(1463),
    [aux_sym_tag_token1] = ACTIONS(1463),
    [aux_sym_tunnel_token1] = ACTIONS(1465),
    [aux_sym_tunnel_device_token1] = ACTIONS(1463),
    [aux_sym_update_host_keys_token1] = ACTIONS(1463),
    [aux_sym_use_keychain_token1] = ACTIONS(1463),
    [aux_sym_use_roaming_token1] = ACTIONS(1463),
    [aux_sym_user_token1] = ACTIONS(1465),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1463),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1463),
    [aux_sym_visual_host_key_token1] = ACTIONS(1463),
    [aux_sym_xauth_location_token1] = ACTIONS(1463),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1847),
    [aux_sym_match_token1] = ACTIONS(1845),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1845),
    [aux_sym_address_family_token1] = ACTIONS(1845),
    [aux_sym_batch_mode_token1] = ACTIONS(1845),
    [aux_sym_bind_address_token1] = ACTIONS(1845),
    [aux_sym_bind_interface_token1] = ACTIONS(1845),
    [aux_sym_canonical_domains_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1845),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1845),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1845),
    [aux_sym_certificate_file_token1] = ACTIONS(1845),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1845),
    [aux_sym_channel_timeout_token1] = ACTIONS(1845),
    [aux_sym_check_host_ip_token1] = ACTIONS(1845),
    [aux_sym_ciphers_token1] = ACTIONS(1845),
    [aux_sym_cipher_token1] = ACTIONS(1847),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1845),
    [aux_sym_compression_token1] = ACTIONS(1845),
    [aux_sym_connection_attempts_token1] = ACTIONS(1845),
    [aux_sym_connect_timeout_token1] = ACTIONS(1845),
    [aux_sym_control_master_token1] = ACTIONS(1845),
    [aux_sym_control_path_token1] = ACTIONS(1845),
    [aux_sym_control_persist_token1] = ACTIONS(1845),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1845),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1845),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1845),
    [aux_sym_escape_char_token1] = ACTIONS(1845),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1845),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1845),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1845),
    [aux_sym_forward_agent_token1] = ACTIONS(1845),
    [aux_sym_forward_x11_token1] = ACTIONS(1847),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1845),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1845),
    [aux_sym_gateway_ports_token1] = ACTIONS(1845),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1845),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1845),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1845),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1845),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1845),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1845),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1845),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1845),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1845),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1845),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1845),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1845),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1845),
    [aux_sym_host_key_alias_token1] = ACTIONS(1845),
    [aux_sym_hostname_token1] = ACTIONS(1845),
    [aux_sym_identities_only_token1] = ACTIONS(1845),
    [aux_sym_identity_agent_token1] = ACTIONS(1845),
    [aux_sym_identity_file_token1] = ACTIONS(1845),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1845),
    [aux_sym_include_token1] = ACTIONS(1845),
    [aux_sym_ip_qos_token1] = ACTIONS(1845),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1845),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1845),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1845),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1845),
    [aux_sym_local_command_token1] = ACTIONS(1845),
    [aux_sym_local_forward_token1] = ACTIONS(1845),
    [aux_sym_log_level_token1] = ACTIONS(1845),
    [aux_sym_log_verbose_token1] = ACTIONS(1845),
    [aux_sym_macs_token1] = ACTIONS(1845),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1845),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1845),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1845),
    [aux_sym_password_authentication_token1] = ACTIONS(1845),
    [aux_sym_permit_local_command_token1] = ACTIONS(1845),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1845),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1845),
    [aux_sym_port_token1] = ACTIONS(1845),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1845),
    [aux_sym_protocol_token1] = ACTIONS(1845),
    [aux_sym_proxy_command_token1] = ACTIONS(1845),
    [aux_sym_proxy_jump_token1] = ACTIONS(1845),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1845),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1845),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1845),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1845),
    [aux_sym_rekey_limit_token1] = ACTIONS(1845),
    [aux_sym_remote_command_token1] = ACTIONS(1845),
    [aux_sym_remote_forward_token1] = ACTIONS(1845),
    [aux_sym_request_tty_token1] = ACTIONS(1845),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1845),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1845),
    [aux_sym_security_key_provider_token1] = ACTIONS(1845),
    [aux_sym_send_env_token1] = ACTIONS(1845),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1845),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1845),
    [aux_sym_session_type_token1] = ACTIONS(1845),
    [aux_sym_set_env_token1] = ACTIONS(1845),
    [aux_sym_stdin_null_token1] = ACTIONS(1845),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1845),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1845),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1845),
    [aux_sym_syslog_facility_token1] = ACTIONS(1845),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1845),
    [aux_sym_keep_alive_token1] = ACTIONS(1845),
    [aux_sym_tag_token1] = ACTIONS(1845),
    [aux_sym_tunnel_token1] = ACTIONS(1847),
    [aux_sym_tunnel_device_token1] = ACTIONS(1845),
    [aux_sym_update_host_keys_token1] = ACTIONS(1845),
    [aux_sym_use_keychain_token1] = ACTIONS(1845),
    [aux_sym_use_roaming_token1] = ACTIONS(1845),
    [aux_sym_user_token1] = ACTIONS(1847),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1845),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1845),
    [aux_sym_visual_host_key_token1] = ACTIONS(1845),
    [aux_sym_xauth_location_token1] = ACTIONS(1845),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(949),
    [aux_sym_match_token1] = ACTIONS(947),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(947),
    [aux_sym_address_family_token1] = ACTIONS(947),
    [aux_sym_batch_mode_token1] = ACTIONS(947),
    [aux_sym_bind_address_token1] = ACTIONS(947),
    [aux_sym_bind_interface_token1] = ACTIONS(947),
    [aux_sym_canonical_domains_token1] = ACTIONS(947),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(947),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(947),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(947),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(947),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(947),
    [aux_sym_certificate_file_token1] = ACTIONS(947),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(947),
    [aux_sym_channel_timeout_token1] = ACTIONS(947),
    [aux_sym_check_host_ip_token1] = ACTIONS(947),
    [aux_sym_ciphers_token1] = ACTIONS(947),
    [aux_sym_cipher_token1] = ACTIONS(949),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(947),
    [aux_sym_compression_token1] = ACTIONS(947),
    [aux_sym_connection_attempts_token1] = ACTIONS(947),
    [aux_sym_connect_timeout_token1] = ACTIONS(947),
    [aux_sym_control_master_token1] = ACTIONS(947),
    [aux_sym_control_path_token1] = ACTIONS(947),
    [aux_sym_control_persist_token1] = ACTIONS(947),
    [aux_sym_dynamic_forward_token1] = ACTIONS(947),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(947),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(947),
    [aux_sym_escape_char_token1] = ACTIONS(947),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(947),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(947),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(947),
    [aux_sym_forward_agent_token1] = ACTIONS(947),
    [aux_sym_forward_x11_token1] = ACTIONS(949),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(947),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(947),
    [aux_sym_gateway_ports_token1] = ACTIONS(947),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(947),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(947),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(947),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(947),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(947),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(947),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(947),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(947),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(947),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(947),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(947),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(947),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(947),
    [aux_sym_host_key_alias_token1] = ACTIONS(947),
    [aux_sym_hostname_token1] = ACTIONS(947),
    [aux_sym_identities_only_token1] = ACTIONS(947),
    [aux_sym_identity_agent_token1] = ACTIONS(947),
    [aux_sym_identity_file_token1] = ACTIONS(947),
    [aux_sym_ignore_unknown_token1] = ACTIONS(947),
    [aux_sym_include_token1] = ACTIONS(947),
    [aux_sym_ip_qos_token1] = ACTIONS(947),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(947),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(947),
    [aux_sym_kex_algorithms_token1] = ACTIONS(947),
    [aux_sym_known_hosts_command_token1] = ACTIONS(947),
    [aux_sym_local_command_token1] = ACTIONS(947),
    [aux_sym_local_forward_token1] = ACTIONS(947),
    [aux_sym_log_level_token1] = ACTIONS(947),
    [aux_sym_log_verbose_token1] = ACTIONS(947),
    [aux_sym_macs_token1] = ACTIONS(947),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(947),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(947),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(947),
    [aux_sym_password_authentication_token1] = ACTIONS(947),
    [aux_sym_permit_local_command_token1] = ACTIONS(947),
    [aux_sym_permit_remote_open_token1] = ACTIONS(947),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(947),
    [aux_sym_port_token1] = ACTIONS(947),
    [aux_sym_preferred_authentications_token1] = ACTIONS(947),
    [aux_sym_protocol_token1] = ACTIONS(947),
    [aux_sym_proxy_command_token1] = ACTIONS(947),
    [aux_sym_proxy_jump_token1] = ACTIONS(947),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(947),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(947),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(947),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(947),
    [aux_sym_rekey_limit_token1] = ACTIONS(947),
    [aux_sym_remote_command_token1] = ACTIONS(947),
    [aux_sym_remote_forward_token1] = ACTIONS(947),
    [aux_sym_request_tty_token1] = ACTIONS(947),
    [aux_sym_required_rsa_size_token1] = ACTIONS(947),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(947),
    [aux_sym_security_key_provider_token1] = ACTIONS(947),
    [aux_sym_send_env_token1] = ACTIONS(947),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(947),
    [aux_sym_server_alive_interval_token1] = ACTIONS(947),
    [aux_sym_session_type_token1] = ACTIONS(947),
    [aux_sym_set_env_token1] = ACTIONS(947),
    [aux_sym_stdin_null_token1] = ACTIONS(947),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(947),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(947),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(947),
    [aux_sym_syslog_facility_token1] = ACTIONS(947),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(947),
    [aux_sym_keep_alive_token1] = ACTIONS(947),
    [aux_sym_tag_token1] = ACTIONS(947),
    [aux_sym_tunnel_token1] = ACTIONS(949),
    [aux_sym_tunnel_device_token1] = ACTIONS(947),
    [aux_sym_update_host_keys_token1] = ACTIONS(947),
    [aux_sym_use_keychain_token1] = ACTIONS(947),
    [aux_sym_use_roaming_token1] = ACTIONS(947),
    [aux_sym_user_token1] = ACTIONS(949),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(947),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(947),
    [aux_sym_visual_host_key_token1] = ACTIONS(947),
    [aux_sym_xauth_location_token1] = ACTIONS(947),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1543),
    [aux_sym_match_token1] = ACTIONS(1541),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1541),
    [aux_sym_address_family_token1] = ACTIONS(1541),
    [aux_sym_batch_mode_token1] = ACTIONS(1541),
    [aux_sym_bind_address_token1] = ACTIONS(1541),
    [aux_sym_bind_interface_token1] = ACTIONS(1541),
    [aux_sym_canonical_domains_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1541),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1541),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1541),
    [aux_sym_certificate_file_token1] = ACTIONS(1541),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1541),
    [aux_sym_channel_timeout_token1] = ACTIONS(1541),
    [aux_sym_check_host_ip_token1] = ACTIONS(1541),
    [aux_sym_ciphers_token1] = ACTIONS(1541),
    [aux_sym_cipher_token1] = ACTIONS(1543),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1541),
    [aux_sym_compression_token1] = ACTIONS(1541),
    [aux_sym_connection_attempts_token1] = ACTIONS(1541),
    [aux_sym_connect_timeout_token1] = ACTIONS(1541),
    [aux_sym_control_master_token1] = ACTIONS(1541),
    [aux_sym_control_path_token1] = ACTIONS(1541),
    [aux_sym_control_persist_token1] = ACTIONS(1541),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1541),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1541),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1541),
    [aux_sym_escape_char_token1] = ACTIONS(1541),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1541),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1541),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1541),
    [aux_sym_forward_agent_token1] = ACTIONS(1541),
    [aux_sym_forward_x11_token1] = ACTIONS(1543),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1541),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1541),
    [aux_sym_gateway_ports_token1] = ACTIONS(1541),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1541),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1541),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1541),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1541),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1541),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1541),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1541),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1541),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1541),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1541),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1541),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1541),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1541),
    [aux_sym_host_key_alias_token1] = ACTIONS(1541),
    [aux_sym_hostname_token1] = ACTIONS(1541),
    [aux_sym_identities_only_token1] = ACTIONS(1541),
    [aux_sym_identity_agent_token1] = ACTIONS(1541),
    [aux_sym_identity_file_token1] = ACTIONS(1541),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1541),
    [aux_sym_include_token1] = ACTIONS(1541),
    [aux_sym_ip_qos_token1] = ACTIONS(1541),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1541),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1541),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1541),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1541),
    [aux_sym_local_command_token1] = ACTIONS(1541),
    [aux_sym_local_forward_token1] = ACTIONS(1541),
    [aux_sym_log_level_token1] = ACTIONS(1541),
    [aux_sym_log_verbose_token1] = ACTIONS(1541),
    [aux_sym_macs_token1] = ACTIONS(1541),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1541),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1541),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1541),
    [aux_sym_password_authentication_token1] = ACTIONS(1541),
    [aux_sym_permit_local_command_token1] = ACTIONS(1541),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1541),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1541),
    [aux_sym_port_token1] = ACTIONS(1541),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1541),
    [aux_sym_protocol_token1] = ACTIONS(1541),
    [aux_sym_proxy_command_token1] = ACTIONS(1541),
    [aux_sym_proxy_jump_token1] = ACTIONS(1541),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1541),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1541),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1541),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1541),
    [aux_sym_rekey_limit_token1] = ACTIONS(1541),
    [aux_sym_remote_command_token1] = ACTIONS(1541),
    [aux_sym_remote_forward_token1] = ACTIONS(1541),
    [aux_sym_request_tty_token1] = ACTIONS(1541),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1541),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1541),
    [aux_sym_security_key_provider_token1] = ACTIONS(1541),
    [aux_sym_send_env_token1] = ACTIONS(1541),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1541),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1541),
    [aux_sym_session_type_token1] = ACTIONS(1541),
    [aux_sym_set_env_token1] = ACTIONS(1541),
    [aux_sym_stdin_null_token1] = ACTIONS(1541),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1541),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1541),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1541),
    [aux_sym_syslog_facility_token1] = ACTIONS(1541),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1541),
    [aux_sym_keep_alive_token1] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1541),
    [aux_sym_tunnel_token1] = ACTIONS(1543),
    [aux_sym_tunnel_device_token1] = ACTIONS(1541),
    [aux_sym_update_host_keys_token1] = ACTIONS(1541),
    [aux_sym_use_keychain_token1] = ACTIONS(1541),
    [aux_sym_use_roaming_token1] = ACTIONS(1541),
    [aux_sym_user_token1] = ACTIONS(1543),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1541),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1541),
    [aux_sym_visual_host_key_token1] = ACTIONS(1541),
    [aux_sym_xauth_location_token1] = ACTIONS(1541),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1841),
    [aux_sym_match_token1] = ACTIONS(1839),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1839),
    [aux_sym_address_family_token1] = ACTIONS(1839),
    [aux_sym_batch_mode_token1] = ACTIONS(1839),
    [aux_sym_bind_address_token1] = ACTIONS(1839),
    [aux_sym_bind_interface_token1] = ACTIONS(1839),
    [aux_sym_canonical_domains_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1839),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1839),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1839),
    [aux_sym_certificate_file_token1] = ACTIONS(1839),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1839),
    [aux_sym_channel_timeout_token1] = ACTIONS(1839),
    [aux_sym_check_host_ip_token1] = ACTIONS(1839),
    [aux_sym_ciphers_token1] = ACTIONS(1839),
    [aux_sym_cipher_token1] = ACTIONS(1841),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1839),
    [aux_sym_compression_token1] = ACTIONS(1839),
    [aux_sym_connection_attempts_token1] = ACTIONS(1839),
    [aux_sym_connect_timeout_token1] = ACTIONS(1839),
    [aux_sym_control_master_token1] = ACTIONS(1839),
    [aux_sym_control_path_token1] = ACTIONS(1839),
    [aux_sym_control_persist_token1] = ACTIONS(1839),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1839),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1839),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1839),
    [aux_sym_escape_char_token1] = ACTIONS(1839),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1839),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1839),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1839),
    [aux_sym_forward_agent_token1] = ACTIONS(1839),
    [aux_sym_forward_x11_token1] = ACTIONS(1841),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1839),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1839),
    [aux_sym_gateway_ports_token1] = ACTIONS(1839),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1839),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1839),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1839),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1839),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1839),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1839),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1839),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1839),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1839),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1839),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1839),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1839),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1839),
    [aux_sym_host_key_alias_token1] = ACTIONS(1839),
    [aux_sym_hostname_token1] = ACTIONS(1839),
    [aux_sym_identities_only_token1] = ACTIONS(1839),
    [aux_sym_identity_agent_token1] = ACTIONS(1839),
    [aux_sym_identity_file_token1] = ACTIONS(1839),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1839),
    [aux_sym_include_token1] = ACTIONS(1839),
    [aux_sym_ip_qos_token1] = ACTIONS(1839),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1839),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1839),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1839),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1839),
    [aux_sym_local_command_token1] = ACTIONS(1839),
    [aux_sym_local_forward_token1] = ACTIONS(1839),
    [aux_sym_log_level_token1] = ACTIONS(1839),
    [aux_sym_log_verbose_token1] = ACTIONS(1839),
    [aux_sym_macs_token1] = ACTIONS(1839),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1839),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1839),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1839),
    [aux_sym_password_authentication_token1] = ACTIONS(1839),
    [aux_sym_permit_local_command_token1] = ACTIONS(1839),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1839),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1839),
    [aux_sym_port_token1] = ACTIONS(1839),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1839),
    [aux_sym_protocol_token1] = ACTIONS(1839),
    [aux_sym_proxy_command_token1] = ACTIONS(1839),
    [aux_sym_proxy_jump_token1] = ACTIONS(1839),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1839),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1839),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1839),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1839),
    [aux_sym_rekey_limit_token1] = ACTIONS(1839),
    [aux_sym_remote_command_token1] = ACTIONS(1839),
    [aux_sym_remote_forward_token1] = ACTIONS(1839),
    [aux_sym_request_tty_token1] = ACTIONS(1839),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1839),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1839),
    [aux_sym_security_key_provider_token1] = ACTIONS(1839),
    [aux_sym_send_env_token1] = ACTIONS(1839),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1839),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1839),
    [aux_sym_session_type_token1] = ACTIONS(1839),
    [aux_sym_set_env_token1] = ACTIONS(1839),
    [aux_sym_stdin_null_token1] = ACTIONS(1839),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1839),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1839),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1839),
    [aux_sym_syslog_facility_token1] = ACTIONS(1839),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1839),
    [aux_sym_keep_alive_token1] = ACTIONS(1839),
    [aux_sym_tag_token1] = ACTIONS(1839),
    [aux_sym_tunnel_token1] = ACTIONS(1841),
    [aux_sym_tunnel_device_token1] = ACTIONS(1839),
    [aux_sym_update_host_keys_token1] = ACTIONS(1839),
    [aux_sym_use_keychain_token1] = ACTIONS(1839),
    [aux_sym_use_roaming_token1] = ACTIONS(1839),
    [aux_sym_user_token1] = ACTIONS(1841),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1839),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1839),
    [aux_sym_visual_host_key_token1] = ACTIONS(1839),
    [aux_sym_xauth_location_token1] = ACTIONS(1839),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1471),
    [aux_sym_match_token1] = ACTIONS(1469),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1469),
    [aux_sym_address_family_token1] = ACTIONS(1469),
    [aux_sym_batch_mode_token1] = ACTIONS(1469),
    [aux_sym_bind_address_token1] = ACTIONS(1469),
    [aux_sym_bind_interface_token1] = ACTIONS(1469),
    [aux_sym_canonical_domains_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1469),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1469),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1469),
    [aux_sym_certificate_file_token1] = ACTIONS(1469),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1469),
    [aux_sym_channel_timeout_token1] = ACTIONS(1469),
    [aux_sym_check_host_ip_token1] = ACTIONS(1469),
    [aux_sym_ciphers_token1] = ACTIONS(1469),
    [aux_sym_cipher_token1] = ACTIONS(1471),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1469),
    [aux_sym_compression_token1] = ACTIONS(1469),
    [aux_sym_connection_attempts_token1] = ACTIONS(1469),
    [aux_sym_connect_timeout_token1] = ACTIONS(1469),
    [aux_sym_control_master_token1] = ACTIONS(1469),
    [aux_sym_control_path_token1] = ACTIONS(1469),
    [aux_sym_control_persist_token1] = ACTIONS(1469),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1469),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1469),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1469),
    [aux_sym_escape_char_token1] = ACTIONS(1469),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1469),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1469),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1469),
    [aux_sym_forward_agent_token1] = ACTIONS(1469),
    [aux_sym_forward_x11_token1] = ACTIONS(1471),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1469),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1469),
    [aux_sym_gateway_ports_token1] = ACTIONS(1469),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1469),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1469),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1469),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1469),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1469),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1469),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1469),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1469),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1469),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1469),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1469),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1469),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1469),
    [aux_sym_host_key_alias_token1] = ACTIONS(1469),
    [aux_sym_hostname_token1] = ACTIONS(1469),
    [aux_sym_identities_only_token1] = ACTIONS(1469),
    [aux_sym_identity_agent_token1] = ACTIONS(1469),
    [aux_sym_identity_file_token1] = ACTIONS(1469),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1469),
    [aux_sym_include_token1] = ACTIONS(1469),
    [aux_sym_ip_qos_token1] = ACTIONS(1469),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1469),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1469),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1469),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1469),
    [aux_sym_local_command_token1] = ACTIONS(1469),
    [aux_sym_local_forward_token1] = ACTIONS(1469),
    [aux_sym_log_level_token1] = ACTIONS(1469),
    [aux_sym_log_verbose_token1] = ACTIONS(1469),
    [aux_sym_macs_token1] = ACTIONS(1469),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1469),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1469),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1469),
    [aux_sym_password_authentication_token1] = ACTIONS(1469),
    [aux_sym_permit_local_command_token1] = ACTIONS(1469),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1469),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1469),
    [aux_sym_port_token1] = ACTIONS(1469),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1469),
    [aux_sym_protocol_token1] = ACTIONS(1469),
    [aux_sym_proxy_command_token1] = ACTIONS(1469),
    [aux_sym_proxy_jump_token1] = ACTIONS(1469),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1469),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1469),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1469),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1469),
    [aux_sym_rekey_limit_token1] = ACTIONS(1469),
    [aux_sym_remote_command_token1] = ACTIONS(1469),
    [aux_sym_remote_forward_token1] = ACTIONS(1469),
    [aux_sym_request_tty_token1] = ACTIONS(1469),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1469),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1469),
    [aux_sym_security_key_provider_token1] = ACTIONS(1469),
    [aux_sym_send_env_token1] = ACTIONS(1469),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1469),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1469),
    [aux_sym_session_type_token1] = ACTIONS(1469),
    [aux_sym_set_env_token1] = ACTIONS(1469),
    [aux_sym_stdin_null_token1] = ACTIONS(1469),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1469),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1469),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1469),
    [aux_sym_syslog_facility_token1] = ACTIONS(1469),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1469),
    [aux_sym_keep_alive_token1] = ACTIONS(1469),
    [aux_sym_tag_token1] = ACTIONS(1469),
    [aux_sym_tunnel_token1] = ACTIONS(1471),
    [aux_sym_tunnel_device_token1] = ACTIONS(1469),
    [aux_sym_update_host_keys_token1] = ACTIONS(1469),
    [aux_sym_use_keychain_token1] = ACTIONS(1469),
    [aux_sym_use_roaming_token1] = ACTIONS(1469),
    [aux_sym_user_token1] = ACTIONS(1471),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1469),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1469),
    [aux_sym_visual_host_key_token1] = ACTIONS(1469),
    [aux_sym_xauth_location_token1] = ACTIONS(1469),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1715),
    [aux_sym_match_token1] = ACTIONS(1713),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1713),
    [aux_sym_address_family_token1] = ACTIONS(1713),
    [aux_sym_batch_mode_token1] = ACTIONS(1713),
    [aux_sym_bind_address_token1] = ACTIONS(1713),
    [aux_sym_bind_interface_token1] = ACTIONS(1713),
    [aux_sym_canonical_domains_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1713),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1713),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1713),
    [aux_sym_certificate_file_token1] = ACTIONS(1713),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1713),
    [aux_sym_channel_timeout_token1] = ACTIONS(1713),
    [aux_sym_check_host_ip_token1] = ACTIONS(1713),
    [aux_sym_ciphers_token1] = ACTIONS(1713),
    [aux_sym_cipher_token1] = ACTIONS(1715),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1713),
    [aux_sym_compression_token1] = ACTIONS(1713),
    [aux_sym_connection_attempts_token1] = ACTIONS(1713),
    [aux_sym_connect_timeout_token1] = ACTIONS(1713),
    [aux_sym_control_master_token1] = ACTIONS(1713),
    [aux_sym_control_path_token1] = ACTIONS(1713),
    [aux_sym_control_persist_token1] = ACTIONS(1713),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1713),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1713),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1713),
    [aux_sym_escape_char_token1] = ACTIONS(1713),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1713),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1713),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1713),
    [aux_sym_forward_agent_token1] = ACTIONS(1713),
    [aux_sym_forward_x11_token1] = ACTIONS(1715),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1713),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1713),
    [aux_sym_gateway_ports_token1] = ACTIONS(1713),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1713),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1713),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1713),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1713),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1713),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1713),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1713),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1713),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1713),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1713),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1713),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1713),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1713),
    [aux_sym_host_key_alias_token1] = ACTIONS(1713),
    [aux_sym_hostname_token1] = ACTIONS(1713),
    [aux_sym_identities_only_token1] = ACTIONS(1713),
    [aux_sym_identity_agent_token1] = ACTIONS(1713),
    [aux_sym_identity_file_token1] = ACTIONS(1713),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1713),
    [aux_sym_include_token1] = ACTIONS(1713),
    [aux_sym_ip_qos_token1] = ACTIONS(1713),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1713),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1713),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1713),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1713),
    [aux_sym_local_command_token1] = ACTIONS(1713),
    [aux_sym_local_forward_token1] = ACTIONS(1713),
    [aux_sym_log_level_token1] = ACTIONS(1713),
    [aux_sym_log_verbose_token1] = ACTIONS(1713),
    [aux_sym_macs_token1] = ACTIONS(1713),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1713),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1713),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1713),
    [aux_sym_password_authentication_token1] = ACTIONS(1713),
    [aux_sym_permit_local_command_token1] = ACTIONS(1713),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1713),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1713),
    [aux_sym_port_token1] = ACTIONS(1713),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1713),
    [aux_sym_protocol_token1] = ACTIONS(1713),
    [aux_sym_proxy_command_token1] = ACTIONS(1713),
    [aux_sym_proxy_jump_token1] = ACTIONS(1713),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1713),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1713),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1713),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1713),
    [aux_sym_rekey_limit_token1] = ACTIONS(1713),
    [aux_sym_remote_command_token1] = ACTIONS(1713),
    [aux_sym_remote_forward_token1] = ACTIONS(1713),
    [aux_sym_request_tty_token1] = ACTIONS(1713),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1713),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1713),
    [aux_sym_security_key_provider_token1] = ACTIONS(1713),
    [aux_sym_send_env_token1] = ACTIONS(1713),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1713),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1713),
    [aux_sym_session_type_token1] = ACTIONS(1713),
    [aux_sym_set_env_token1] = ACTIONS(1713),
    [aux_sym_stdin_null_token1] = ACTIONS(1713),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1713),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1713),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1713),
    [aux_sym_syslog_facility_token1] = ACTIONS(1713),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1713),
    [aux_sym_keep_alive_token1] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1713),
    [aux_sym_tunnel_token1] = ACTIONS(1715),
    [aux_sym_tunnel_device_token1] = ACTIONS(1713),
    [aux_sym_update_host_keys_token1] = ACTIONS(1713),
    [aux_sym_use_keychain_token1] = ACTIONS(1713),
    [aux_sym_use_roaming_token1] = ACTIONS(1713),
    [aux_sym_user_token1] = ACTIONS(1715),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1713),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1713),
    [aux_sym_visual_host_key_token1] = ACTIONS(1713),
    [aux_sym_xauth_location_token1] = ACTIONS(1713),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1835),
    [aux_sym_match_token1] = ACTIONS(1833),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1833),
    [aux_sym_address_family_token1] = ACTIONS(1833),
    [aux_sym_batch_mode_token1] = ACTIONS(1833),
    [aux_sym_bind_address_token1] = ACTIONS(1833),
    [aux_sym_bind_interface_token1] = ACTIONS(1833),
    [aux_sym_canonical_domains_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1833),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1833),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1833),
    [aux_sym_certificate_file_token1] = ACTIONS(1833),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1833),
    [aux_sym_channel_timeout_token1] = ACTIONS(1833),
    [aux_sym_check_host_ip_token1] = ACTIONS(1833),
    [aux_sym_ciphers_token1] = ACTIONS(1833),
    [aux_sym_cipher_token1] = ACTIONS(1835),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1833),
    [aux_sym_compression_token1] = ACTIONS(1833),
    [aux_sym_connection_attempts_token1] = ACTIONS(1833),
    [aux_sym_connect_timeout_token1] = ACTIONS(1833),
    [aux_sym_control_master_token1] = ACTIONS(1833),
    [aux_sym_control_path_token1] = ACTIONS(1833),
    [aux_sym_control_persist_token1] = ACTIONS(1833),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1833),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1833),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1833),
    [aux_sym_escape_char_token1] = ACTIONS(1833),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1833),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1833),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1833),
    [aux_sym_forward_agent_token1] = ACTIONS(1833),
    [aux_sym_forward_x11_token1] = ACTIONS(1835),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1833),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1833),
    [aux_sym_gateway_ports_token1] = ACTIONS(1833),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1833),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1833),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1833),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1833),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1833),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1833),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1833),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1833),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1833),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1833),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1833),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1833),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1833),
    [aux_sym_host_key_alias_token1] = ACTIONS(1833),
    [aux_sym_hostname_token1] = ACTIONS(1833),
    [aux_sym_identities_only_token1] = ACTIONS(1833),
    [aux_sym_identity_agent_token1] = ACTIONS(1833),
    [aux_sym_identity_file_token1] = ACTIONS(1833),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1833),
    [aux_sym_include_token1] = ACTIONS(1833),
    [aux_sym_ip_qos_token1] = ACTIONS(1833),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1833),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1833),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1833),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1833),
    [aux_sym_local_command_token1] = ACTIONS(1833),
    [aux_sym_local_forward_token1] = ACTIONS(1833),
    [aux_sym_log_level_token1] = ACTIONS(1833),
    [aux_sym_log_verbose_token1] = ACTIONS(1833),
    [aux_sym_macs_token1] = ACTIONS(1833),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1833),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1833),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1833),
    [aux_sym_password_authentication_token1] = ACTIONS(1833),
    [aux_sym_permit_local_command_token1] = ACTIONS(1833),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1833),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1833),
    [aux_sym_port_token1] = ACTIONS(1833),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1833),
    [aux_sym_protocol_token1] = ACTIONS(1833),
    [aux_sym_proxy_command_token1] = ACTIONS(1833),
    [aux_sym_proxy_jump_token1] = ACTIONS(1833),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1833),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1833),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1833),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1833),
    [aux_sym_rekey_limit_token1] = ACTIONS(1833),
    [aux_sym_remote_command_token1] = ACTIONS(1833),
    [aux_sym_remote_forward_token1] = ACTIONS(1833),
    [aux_sym_request_tty_token1] = ACTIONS(1833),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1833),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1833),
    [aux_sym_security_key_provider_token1] = ACTIONS(1833),
    [aux_sym_send_env_token1] = ACTIONS(1833),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1833),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1833),
    [aux_sym_session_type_token1] = ACTIONS(1833),
    [aux_sym_set_env_token1] = ACTIONS(1833),
    [aux_sym_stdin_null_token1] = ACTIONS(1833),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1833),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1833),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1833),
    [aux_sym_syslog_facility_token1] = ACTIONS(1833),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1833),
    [aux_sym_keep_alive_token1] = ACTIONS(1833),
    [aux_sym_tag_token1] = ACTIONS(1833),
    [aux_sym_tunnel_token1] = ACTIONS(1835),
    [aux_sym_tunnel_device_token1] = ACTIONS(1833),
    [aux_sym_update_host_keys_token1] = ACTIONS(1833),
    [aux_sym_use_keychain_token1] = ACTIONS(1833),
    [aux_sym_use_roaming_token1] = ACTIONS(1833),
    [aux_sym_user_token1] = ACTIONS(1835),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1833),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1833),
    [aux_sym_visual_host_key_token1] = ACTIONS(1833),
    [aux_sym_xauth_location_token1] = ACTIONS(1833),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(733),
    [aux_sym_match_token1] = ACTIONS(731),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(731),
    [aux_sym_address_family_token1] = ACTIONS(731),
    [aux_sym_batch_mode_token1] = ACTIONS(731),
    [aux_sym_bind_address_token1] = ACTIONS(731),
    [aux_sym_bind_interface_token1] = ACTIONS(731),
    [aux_sym_canonical_domains_token1] = ACTIONS(731),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(731),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(731),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(731),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(731),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(731),
    [aux_sym_certificate_file_token1] = ACTIONS(731),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(731),
    [aux_sym_channel_timeout_token1] = ACTIONS(731),
    [aux_sym_check_host_ip_token1] = ACTIONS(731),
    [aux_sym_ciphers_token1] = ACTIONS(731),
    [aux_sym_cipher_token1] = ACTIONS(733),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(731),
    [aux_sym_compression_token1] = ACTIONS(731),
    [aux_sym_connection_attempts_token1] = ACTIONS(731),
    [aux_sym_connect_timeout_token1] = ACTIONS(731),
    [aux_sym_control_master_token1] = ACTIONS(731),
    [aux_sym_control_path_token1] = ACTIONS(731),
    [aux_sym_control_persist_token1] = ACTIONS(731),
    [aux_sym_dynamic_forward_token1] = ACTIONS(731),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(731),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(731),
    [aux_sym_escape_char_token1] = ACTIONS(731),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(731),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(731),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(731),
    [aux_sym_forward_agent_token1] = ACTIONS(731),
    [aux_sym_forward_x11_token1] = ACTIONS(733),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(731),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(731),
    [aux_sym_gateway_ports_token1] = ACTIONS(731),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(731),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(731),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(731),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(731),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(731),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(731),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(731),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(731),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(731),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(731),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(731),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(731),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(731),
    [aux_sym_host_key_alias_token1] = ACTIONS(731),
    [aux_sym_hostname_token1] = ACTIONS(731),
    [aux_sym_identities_only_token1] = ACTIONS(731),
    [aux_sym_identity_agent_token1] = ACTIONS(731),
    [aux_sym_identity_file_token1] = ACTIONS(731),
    [aux_sym_ignore_unknown_token1] = ACTIONS(731),
    [aux_sym_include_token1] = ACTIONS(731),
    [aux_sym_ip_qos_token1] = ACTIONS(731),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(731),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(731),
    [aux_sym_kex_algorithms_token1] = ACTIONS(731),
    [aux_sym_known_hosts_command_token1] = ACTIONS(731),
    [aux_sym_local_command_token1] = ACTIONS(731),
    [aux_sym_local_forward_token1] = ACTIONS(731),
    [aux_sym_log_level_token1] = ACTIONS(731),
    [aux_sym_log_verbose_token1] = ACTIONS(731),
    [aux_sym_macs_token1] = ACTIONS(731),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(731),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(731),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(731),
    [aux_sym_password_authentication_token1] = ACTIONS(731),
    [aux_sym_permit_local_command_token1] = ACTIONS(731),
    [aux_sym_permit_remote_open_token1] = ACTIONS(731),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(731),
    [aux_sym_port_token1] = ACTIONS(731),
    [aux_sym_preferred_authentications_token1] = ACTIONS(731),
    [aux_sym_protocol_token1] = ACTIONS(731),
    [aux_sym_proxy_command_token1] = ACTIONS(731),
    [aux_sym_proxy_jump_token1] = ACTIONS(731),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(731),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(731),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(731),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(731),
    [aux_sym_rekey_limit_token1] = ACTIONS(731),
    [aux_sym_remote_command_token1] = ACTIONS(731),
    [aux_sym_remote_forward_token1] = ACTIONS(731),
    [aux_sym_request_tty_token1] = ACTIONS(731),
    [aux_sym_required_rsa_size_token1] = ACTIONS(731),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(731),
    [aux_sym_security_key_provider_token1] = ACTIONS(731),
    [aux_sym_send_env_token1] = ACTIONS(731),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(731),
    [aux_sym_server_alive_interval_token1] = ACTIONS(731),
    [aux_sym_session_type_token1] = ACTIONS(731),
    [aux_sym_set_env_token1] = ACTIONS(731),
    [aux_sym_stdin_null_token1] = ACTIONS(731),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(731),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(731),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(731),
    [aux_sym_syslog_facility_token1] = ACTIONS(731),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(731),
    [aux_sym_keep_alive_token1] = ACTIONS(731),
    [aux_sym_tag_token1] = ACTIONS(731),
    [aux_sym_tunnel_token1] = ACTIONS(733),
    [aux_sym_tunnel_device_token1] = ACTIONS(731),
    [aux_sym_update_host_keys_token1] = ACTIONS(731),
    [aux_sym_use_keychain_token1] = ACTIONS(731),
    [aux_sym_use_roaming_token1] = ACTIONS(731),
    [aux_sym_user_token1] = ACTIONS(733),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(731),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(731),
    [aux_sym_visual_host_key_token1] = ACTIONS(731),
    [aux_sym_xauth_location_token1] = ACTIONS(731),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(943),
    [aux_sym_match_token1] = ACTIONS(941),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(941),
    [aux_sym_address_family_token1] = ACTIONS(941),
    [aux_sym_batch_mode_token1] = ACTIONS(941),
    [aux_sym_bind_address_token1] = ACTIONS(941),
    [aux_sym_bind_interface_token1] = ACTIONS(941),
    [aux_sym_canonical_domains_token1] = ACTIONS(941),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(941),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(941),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(941),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(941),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(941),
    [aux_sym_certificate_file_token1] = ACTIONS(941),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(941),
    [aux_sym_channel_timeout_token1] = ACTIONS(941),
    [aux_sym_check_host_ip_token1] = ACTIONS(941),
    [aux_sym_ciphers_token1] = ACTIONS(941),
    [aux_sym_cipher_token1] = ACTIONS(943),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(941),
    [aux_sym_compression_token1] = ACTIONS(941),
    [aux_sym_connection_attempts_token1] = ACTIONS(941),
    [aux_sym_connect_timeout_token1] = ACTIONS(941),
    [aux_sym_control_master_token1] = ACTIONS(941),
    [aux_sym_control_path_token1] = ACTIONS(941),
    [aux_sym_control_persist_token1] = ACTIONS(941),
    [aux_sym_dynamic_forward_token1] = ACTIONS(941),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(941),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(941),
    [aux_sym_escape_char_token1] = ACTIONS(941),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(941),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(941),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(941),
    [aux_sym_forward_agent_token1] = ACTIONS(941),
    [aux_sym_forward_x11_token1] = ACTIONS(943),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(941),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(941),
    [aux_sym_gateway_ports_token1] = ACTIONS(941),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(941),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(941),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(941),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(941),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(941),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(941),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(941),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(941),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(941),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(941),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(941),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(941),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(941),
    [aux_sym_host_key_alias_token1] = ACTIONS(941),
    [aux_sym_hostname_token1] = ACTIONS(941),
    [aux_sym_identities_only_token1] = ACTIONS(941),
    [aux_sym_identity_agent_token1] = ACTIONS(941),
    [aux_sym_identity_file_token1] = ACTIONS(941),
    [aux_sym_ignore_unknown_token1] = ACTIONS(941),
    [aux_sym_include_token1] = ACTIONS(941),
    [aux_sym_ip_qos_token1] = ACTIONS(941),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(941),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(941),
    [aux_sym_kex_algorithms_token1] = ACTIONS(941),
    [aux_sym_known_hosts_command_token1] = ACTIONS(941),
    [aux_sym_local_command_token1] = ACTIONS(941),
    [aux_sym_local_forward_token1] = ACTIONS(941),
    [aux_sym_log_level_token1] = ACTIONS(941),
    [aux_sym_log_verbose_token1] = ACTIONS(941),
    [aux_sym_macs_token1] = ACTIONS(941),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(941),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(941),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(941),
    [aux_sym_password_authentication_token1] = ACTIONS(941),
    [aux_sym_permit_local_command_token1] = ACTIONS(941),
    [aux_sym_permit_remote_open_token1] = ACTIONS(941),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(941),
    [aux_sym_port_token1] = ACTIONS(941),
    [aux_sym_preferred_authentications_token1] = ACTIONS(941),
    [aux_sym_protocol_token1] = ACTIONS(941),
    [aux_sym_proxy_command_token1] = ACTIONS(941),
    [aux_sym_proxy_jump_token1] = ACTIONS(941),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(941),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(941),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(941),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(941),
    [aux_sym_rekey_limit_token1] = ACTIONS(941),
    [aux_sym_remote_command_token1] = ACTIONS(941),
    [aux_sym_remote_forward_token1] = ACTIONS(941),
    [aux_sym_request_tty_token1] = ACTIONS(941),
    [aux_sym_required_rsa_size_token1] = ACTIONS(941),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(941),
    [aux_sym_security_key_provider_token1] = ACTIONS(941),
    [aux_sym_send_env_token1] = ACTIONS(941),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(941),
    [aux_sym_server_alive_interval_token1] = ACTIONS(941),
    [aux_sym_session_type_token1] = ACTIONS(941),
    [aux_sym_set_env_token1] = ACTIONS(941),
    [aux_sym_stdin_null_token1] = ACTIONS(941),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(941),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(941),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(941),
    [aux_sym_syslog_facility_token1] = ACTIONS(941),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(941),
    [aux_sym_keep_alive_token1] = ACTIONS(941),
    [aux_sym_tag_token1] = ACTIONS(941),
    [aux_sym_tunnel_token1] = ACTIONS(943),
    [aux_sym_tunnel_device_token1] = ACTIONS(941),
    [aux_sym_update_host_keys_token1] = ACTIONS(941),
    [aux_sym_use_keychain_token1] = ACTIONS(941),
    [aux_sym_use_roaming_token1] = ACTIONS(941),
    [aux_sym_user_token1] = ACTIONS(943),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(941),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(941),
    [aux_sym_visual_host_key_token1] = ACTIONS(941),
    [aux_sym_xauth_location_token1] = ACTIONS(941),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1829),
    [aux_sym_match_token1] = ACTIONS(1827),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1827),
    [aux_sym_address_family_token1] = ACTIONS(1827),
    [aux_sym_batch_mode_token1] = ACTIONS(1827),
    [aux_sym_bind_address_token1] = ACTIONS(1827),
    [aux_sym_bind_interface_token1] = ACTIONS(1827),
    [aux_sym_canonical_domains_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1827),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1827),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1827),
    [aux_sym_certificate_file_token1] = ACTIONS(1827),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1827),
    [aux_sym_channel_timeout_token1] = ACTIONS(1827),
    [aux_sym_check_host_ip_token1] = ACTIONS(1827),
    [aux_sym_ciphers_token1] = ACTIONS(1827),
    [aux_sym_cipher_token1] = ACTIONS(1829),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1827),
    [aux_sym_compression_token1] = ACTIONS(1827),
    [aux_sym_connection_attempts_token1] = ACTIONS(1827),
    [aux_sym_connect_timeout_token1] = ACTIONS(1827),
    [aux_sym_control_master_token1] = ACTIONS(1827),
    [aux_sym_control_path_token1] = ACTIONS(1827),
    [aux_sym_control_persist_token1] = ACTIONS(1827),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1827),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1827),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1827),
    [aux_sym_escape_char_token1] = ACTIONS(1827),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1827),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1827),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1827),
    [aux_sym_forward_agent_token1] = ACTIONS(1827),
    [aux_sym_forward_x11_token1] = ACTIONS(1829),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1827),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1827),
    [aux_sym_gateway_ports_token1] = ACTIONS(1827),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1827),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1827),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1827),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1827),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1827),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1827),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1827),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1827),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1827),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1827),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1827),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1827),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1827),
    [aux_sym_host_key_alias_token1] = ACTIONS(1827),
    [aux_sym_hostname_token1] = ACTIONS(1827),
    [aux_sym_identities_only_token1] = ACTIONS(1827),
    [aux_sym_identity_agent_token1] = ACTIONS(1827),
    [aux_sym_identity_file_token1] = ACTIONS(1827),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1827),
    [aux_sym_include_token1] = ACTIONS(1827),
    [aux_sym_ip_qos_token1] = ACTIONS(1827),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1827),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1827),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1827),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1827),
    [aux_sym_local_command_token1] = ACTIONS(1827),
    [aux_sym_local_forward_token1] = ACTIONS(1827),
    [aux_sym_log_level_token1] = ACTIONS(1827),
    [aux_sym_log_verbose_token1] = ACTIONS(1827),
    [aux_sym_macs_token1] = ACTIONS(1827),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1827),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1827),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1827),
    [aux_sym_password_authentication_token1] = ACTIONS(1827),
    [aux_sym_permit_local_command_token1] = ACTIONS(1827),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1827),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1827),
    [aux_sym_port_token1] = ACTIONS(1827),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1827),
    [aux_sym_protocol_token1] = ACTIONS(1827),
    [aux_sym_proxy_command_token1] = ACTIONS(1827),
    [aux_sym_proxy_jump_token1] = ACTIONS(1827),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1827),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1827),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1827),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1827),
    [aux_sym_rekey_limit_token1] = ACTIONS(1827),
    [aux_sym_remote_command_token1] = ACTIONS(1827),
    [aux_sym_remote_forward_token1] = ACTIONS(1827),
    [aux_sym_request_tty_token1] = ACTIONS(1827),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1827),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1827),
    [aux_sym_security_key_provider_token1] = ACTIONS(1827),
    [aux_sym_send_env_token1] = ACTIONS(1827),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1827),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1827),
    [aux_sym_session_type_token1] = ACTIONS(1827),
    [aux_sym_set_env_token1] = ACTIONS(1827),
    [aux_sym_stdin_null_token1] = ACTIONS(1827),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1827),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1827),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1827),
    [aux_sym_syslog_facility_token1] = ACTIONS(1827),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1827),
    [aux_sym_keep_alive_token1] = ACTIONS(1827),
    [aux_sym_tag_token1] = ACTIONS(1827),
    [aux_sym_tunnel_token1] = ACTIONS(1829),
    [aux_sym_tunnel_device_token1] = ACTIONS(1827),
    [aux_sym_update_host_keys_token1] = ACTIONS(1827),
    [aux_sym_use_keychain_token1] = ACTIONS(1827),
    [aux_sym_use_roaming_token1] = ACTIONS(1827),
    [aux_sym_user_token1] = ACTIONS(1829),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1827),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1827),
    [aux_sym_visual_host_key_token1] = ACTIONS(1827),
    [aux_sym_xauth_location_token1] = ACTIONS(1827),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(739),
    [aux_sym_match_token1] = ACTIONS(737),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(737),
    [aux_sym_address_family_token1] = ACTIONS(737),
    [aux_sym_batch_mode_token1] = ACTIONS(737),
    [aux_sym_bind_address_token1] = ACTIONS(737),
    [aux_sym_bind_interface_token1] = ACTIONS(737),
    [aux_sym_canonical_domains_token1] = ACTIONS(737),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(737),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(737),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(737),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(737),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(737),
    [aux_sym_certificate_file_token1] = ACTIONS(737),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(737),
    [aux_sym_channel_timeout_token1] = ACTIONS(737),
    [aux_sym_check_host_ip_token1] = ACTIONS(737),
    [aux_sym_ciphers_token1] = ACTIONS(737),
    [aux_sym_cipher_token1] = ACTIONS(739),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(737),
    [aux_sym_compression_token1] = ACTIONS(737),
    [aux_sym_connection_attempts_token1] = ACTIONS(737),
    [aux_sym_connect_timeout_token1] = ACTIONS(737),
    [aux_sym_control_master_token1] = ACTIONS(737),
    [aux_sym_control_path_token1] = ACTIONS(737),
    [aux_sym_control_persist_token1] = ACTIONS(737),
    [aux_sym_dynamic_forward_token1] = ACTIONS(737),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(737),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(737),
    [aux_sym_escape_char_token1] = ACTIONS(737),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(737),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(737),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(737),
    [aux_sym_forward_agent_token1] = ACTIONS(737),
    [aux_sym_forward_x11_token1] = ACTIONS(739),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(737),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(737),
    [aux_sym_gateway_ports_token1] = ACTIONS(737),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(737),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(737),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(737),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(737),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(737),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(737),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(737),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(737),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(737),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(737),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(737),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(737),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(737),
    [aux_sym_host_key_alias_token1] = ACTIONS(737),
    [aux_sym_hostname_token1] = ACTIONS(737),
    [aux_sym_identities_only_token1] = ACTIONS(737),
    [aux_sym_identity_agent_token1] = ACTIONS(737),
    [aux_sym_identity_file_token1] = ACTIONS(737),
    [aux_sym_ignore_unknown_token1] = ACTIONS(737),
    [aux_sym_include_token1] = ACTIONS(737),
    [aux_sym_ip_qos_token1] = ACTIONS(737),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(737),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(737),
    [aux_sym_kex_algorithms_token1] = ACTIONS(737),
    [aux_sym_known_hosts_command_token1] = ACTIONS(737),
    [aux_sym_local_command_token1] = ACTIONS(737),
    [aux_sym_local_forward_token1] = ACTIONS(737),
    [aux_sym_log_level_token1] = ACTIONS(737),
    [aux_sym_log_verbose_token1] = ACTIONS(737),
    [aux_sym_macs_token1] = ACTIONS(737),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(737),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(737),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(737),
    [aux_sym_password_authentication_token1] = ACTIONS(737),
    [aux_sym_permit_local_command_token1] = ACTIONS(737),
    [aux_sym_permit_remote_open_token1] = ACTIONS(737),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(737),
    [aux_sym_port_token1] = ACTIONS(737),
    [aux_sym_preferred_authentications_token1] = ACTIONS(737),
    [aux_sym_protocol_token1] = ACTIONS(737),
    [aux_sym_proxy_command_token1] = ACTIONS(737),
    [aux_sym_proxy_jump_token1] = ACTIONS(737),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(737),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(737),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(737),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(737),
    [aux_sym_rekey_limit_token1] = ACTIONS(737),
    [aux_sym_remote_command_token1] = ACTIONS(737),
    [aux_sym_remote_forward_token1] = ACTIONS(737),
    [aux_sym_request_tty_token1] = ACTIONS(737),
    [aux_sym_required_rsa_size_token1] = ACTIONS(737),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(737),
    [aux_sym_security_key_provider_token1] = ACTIONS(737),
    [aux_sym_send_env_token1] = ACTIONS(737),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(737),
    [aux_sym_server_alive_interval_token1] = ACTIONS(737),
    [aux_sym_session_type_token1] = ACTIONS(737),
    [aux_sym_set_env_token1] = ACTIONS(737),
    [aux_sym_stdin_null_token1] = ACTIONS(737),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(737),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(737),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(737),
    [aux_sym_syslog_facility_token1] = ACTIONS(737),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(737),
    [aux_sym_keep_alive_token1] = ACTIONS(737),
    [aux_sym_tag_token1] = ACTIONS(737),
    [aux_sym_tunnel_token1] = ACTIONS(739),
    [aux_sym_tunnel_device_token1] = ACTIONS(737),
    [aux_sym_update_host_keys_token1] = ACTIONS(737),
    [aux_sym_use_keychain_token1] = ACTIONS(737),
    [aux_sym_use_roaming_token1] = ACTIONS(737),
    [aux_sym_user_token1] = ACTIONS(739),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(737),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(737),
    [aux_sym_visual_host_key_token1] = ACTIONS(737),
    [aux_sym_xauth_location_token1] = ACTIONS(737),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1477),
    [aux_sym_match_token1] = ACTIONS(1475),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1475),
    [aux_sym_address_family_token1] = ACTIONS(1475),
    [aux_sym_batch_mode_token1] = ACTIONS(1475),
    [aux_sym_bind_address_token1] = ACTIONS(1475),
    [aux_sym_bind_interface_token1] = ACTIONS(1475),
    [aux_sym_canonical_domains_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1475),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1475),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1475),
    [aux_sym_certificate_file_token1] = ACTIONS(1475),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1475),
    [aux_sym_channel_timeout_token1] = ACTIONS(1475),
    [aux_sym_check_host_ip_token1] = ACTIONS(1475),
    [aux_sym_ciphers_token1] = ACTIONS(1475),
    [aux_sym_cipher_token1] = ACTIONS(1477),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1475),
    [aux_sym_compression_token1] = ACTIONS(1475),
    [aux_sym_connection_attempts_token1] = ACTIONS(1475),
    [aux_sym_connect_timeout_token1] = ACTIONS(1475),
    [aux_sym_control_master_token1] = ACTIONS(1475),
    [aux_sym_control_path_token1] = ACTIONS(1475),
    [aux_sym_control_persist_token1] = ACTIONS(1475),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1475),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1475),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1475),
    [aux_sym_escape_char_token1] = ACTIONS(1475),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1475),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1475),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1475),
    [aux_sym_forward_agent_token1] = ACTIONS(1475),
    [aux_sym_forward_x11_token1] = ACTIONS(1477),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1475),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1475),
    [aux_sym_gateway_ports_token1] = ACTIONS(1475),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1475),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1475),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1475),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1475),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1475),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1475),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1475),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1475),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1475),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1475),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1475),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1475),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1475),
    [aux_sym_host_key_alias_token1] = ACTIONS(1475),
    [aux_sym_hostname_token1] = ACTIONS(1475),
    [aux_sym_identities_only_token1] = ACTIONS(1475),
    [aux_sym_identity_agent_token1] = ACTIONS(1475),
    [aux_sym_identity_file_token1] = ACTIONS(1475),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1475),
    [aux_sym_include_token1] = ACTIONS(1475),
    [aux_sym_ip_qos_token1] = ACTIONS(1475),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1475),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1475),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1475),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1475),
    [aux_sym_local_command_token1] = ACTIONS(1475),
    [aux_sym_local_forward_token1] = ACTIONS(1475),
    [aux_sym_log_level_token1] = ACTIONS(1475),
    [aux_sym_log_verbose_token1] = ACTIONS(1475),
    [aux_sym_macs_token1] = ACTIONS(1475),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1475),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1475),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1475),
    [aux_sym_password_authentication_token1] = ACTIONS(1475),
    [aux_sym_permit_local_command_token1] = ACTIONS(1475),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1475),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1475),
    [aux_sym_port_token1] = ACTIONS(1475),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1475),
    [aux_sym_protocol_token1] = ACTIONS(1475),
    [aux_sym_proxy_command_token1] = ACTIONS(1475),
    [aux_sym_proxy_jump_token1] = ACTIONS(1475),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1475),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1475),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1475),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1475),
    [aux_sym_rekey_limit_token1] = ACTIONS(1475),
    [aux_sym_remote_command_token1] = ACTIONS(1475),
    [aux_sym_remote_forward_token1] = ACTIONS(1475),
    [aux_sym_request_tty_token1] = ACTIONS(1475),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1475),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1475),
    [aux_sym_security_key_provider_token1] = ACTIONS(1475),
    [aux_sym_send_env_token1] = ACTIONS(1475),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1475),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1475),
    [aux_sym_session_type_token1] = ACTIONS(1475),
    [aux_sym_set_env_token1] = ACTIONS(1475),
    [aux_sym_stdin_null_token1] = ACTIONS(1475),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1475),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1475),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1475),
    [aux_sym_syslog_facility_token1] = ACTIONS(1475),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1475),
    [aux_sym_keep_alive_token1] = ACTIONS(1475),
    [aux_sym_tag_token1] = ACTIONS(1475),
    [aux_sym_tunnel_token1] = ACTIONS(1477),
    [aux_sym_tunnel_device_token1] = ACTIONS(1475),
    [aux_sym_update_host_keys_token1] = ACTIONS(1475),
    [aux_sym_use_keychain_token1] = ACTIONS(1475),
    [aux_sym_use_roaming_token1] = ACTIONS(1475),
    [aux_sym_user_token1] = ACTIONS(1477),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1475),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1475),
    [aux_sym_visual_host_key_token1] = ACTIONS(1475),
    [aux_sym_xauth_location_token1] = ACTIONS(1475),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1823),
    [aux_sym_match_token1] = ACTIONS(1821),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1821),
    [aux_sym_address_family_token1] = ACTIONS(1821),
    [aux_sym_batch_mode_token1] = ACTIONS(1821),
    [aux_sym_bind_address_token1] = ACTIONS(1821),
    [aux_sym_bind_interface_token1] = ACTIONS(1821),
    [aux_sym_canonical_domains_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1821),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1821),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1821),
    [aux_sym_certificate_file_token1] = ACTIONS(1821),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1821),
    [aux_sym_channel_timeout_token1] = ACTIONS(1821),
    [aux_sym_check_host_ip_token1] = ACTIONS(1821),
    [aux_sym_ciphers_token1] = ACTIONS(1821),
    [aux_sym_cipher_token1] = ACTIONS(1823),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1821),
    [aux_sym_compression_token1] = ACTIONS(1821),
    [aux_sym_connection_attempts_token1] = ACTIONS(1821),
    [aux_sym_connect_timeout_token1] = ACTIONS(1821),
    [aux_sym_control_master_token1] = ACTIONS(1821),
    [aux_sym_control_path_token1] = ACTIONS(1821),
    [aux_sym_control_persist_token1] = ACTIONS(1821),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1821),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1821),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1821),
    [aux_sym_escape_char_token1] = ACTIONS(1821),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1821),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1821),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1821),
    [aux_sym_forward_agent_token1] = ACTIONS(1821),
    [aux_sym_forward_x11_token1] = ACTIONS(1823),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1821),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1821),
    [aux_sym_gateway_ports_token1] = ACTIONS(1821),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1821),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1821),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1821),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1821),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1821),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1821),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1821),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1821),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1821),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1821),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1821),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1821),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1821),
    [aux_sym_host_key_alias_token1] = ACTIONS(1821),
    [aux_sym_hostname_token1] = ACTIONS(1821),
    [aux_sym_identities_only_token1] = ACTIONS(1821),
    [aux_sym_identity_agent_token1] = ACTIONS(1821),
    [aux_sym_identity_file_token1] = ACTIONS(1821),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1821),
    [aux_sym_include_token1] = ACTIONS(1821),
    [aux_sym_ip_qos_token1] = ACTIONS(1821),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1821),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1821),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1821),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1821),
    [aux_sym_local_command_token1] = ACTIONS(1821),
    [aux_sym_local_forward_token1] = ACTIONS(1821),
    [aux_sym_log_level_token1] = ACTIONS(1821),
    [aux_sym_log_verbose_token1] = ACTIONS(1821),
    [aux_sym_macs_token1] = ACTIONS(1821),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1821),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1821),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1821),
    [aux_sym_password_authentication_token1] = ACTIONS(1821),
    [aux_sym_permit_local_command_token1] = ACTIONS(1821),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1821),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1821),
    [aux_sym_port_token1] = ACTIONS(1821),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1821),
    [aux_sym_protocol_token1] = ACTIONS(1821),
    [aux_sym_proxy_command_token1] = ACTIONS(1821),
    [aux_sym_proxy_jump_token1] = ACTIONS(1821),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1821),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1821),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1821),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1821),
    [aux_sym_rekey_limit_token1] = ACTIONS(1821),
    [aux_sym_remote_command_token1] = ACTIONS(1821),
    [aux_sym_remote_forward_token1] = ACTIONS(1821),
    [aux_sym_request_tty_token1] = ACTIONS(1821),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1821),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1821),
    [aux_sym_security_key_provider_token1] = ACTIONS(1821),
    [aux_sym_send_env_token1] = ACTIONS(1821),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1821),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1821),
    [aux_sym_session_type_token1] = ACTIONS(1821),
    [aux_sym_set_env_token1] = ACTIONS(1821),
    [aux_sym_stdin_null_token1] = ACTIONS(1821),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1821),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1821),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1821),
    [aux_sym_syslog_facility_token1] = ACTIONS(1821),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1821),
    [aux_sym_keep_alive_token1] = ACTIONS(1821),
    [aux_sym_tag_token1] = ACTIONS(1821),
    [aux_sym_tunnel_token1] = ACTIONS(1823),
    [aux_sym_tunnel_device_token1] = ACTIONS(1821),
    [aux_sym_update_host_keys_token1] = ACTIONS(1821),
    [aux_sym_use_keychain_token1] = ACTIONS(1821),
    [aux_sym_use_roaming_token1] = ACTIONS(1821),
    [aux_sym_user_token1] = ACTIONS(1823),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1821),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1821),
    [aux_sym_visual_host_key_token1] = ACTIONS(1821),
    [aux_sym_xauth_location_token1] = ACTIONS(1821),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(785),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(787),
    [aux_sym_match_token1] = ACTIONS(785),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(785),
    [aux_sym_address_family_token1] = ACTIONS(785),
    [aux_sym_batch_mode_token1] = ACTIONS(785),
    [aux_sym_bind_address_token1] = ACTIONS(785),
    [aux_sym_bind_interface_token1] = ACTIONS(785),
    [aux_sym_canonical_domains_token1] = ACTIONS(785),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(785),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(785),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(785),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(785),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(785),
    [aux_sym_certificate_file_token1] = ACTIONS(785),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(785),
    [aux_sym_channel_timeout_token1] = ACTIONS(785),
    [aux_sym_check_host_ip_token1] = ACTIONS(785),
    [aux_sym_ciphers_token1] = ACTIONS(785),
    [aux_sym_cipher_token1] = ACTIONS(787),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(785),
    [aux_sym_compression_token1] = ACTIONS(785),
    [aux_sym_connection_attempts_token1] = ACTIONS(785),
    [aux_sym_connect_timeout_token1] = ACTIONS(785),
    [aux_sym_control_master_token1] = ACTIONS(785),
    [aux_sym_control_path_token1] = ACTIONS(785),
    [aux_sym_control_persist_token1] = ACTIONS(785),
    [aux_sym_dynamic_forward_token1] = ACTIONS(785),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(785),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(785),
    [aux_sym_escape_char_token1] = ACTIONS(785),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(785),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(785),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(785),
    [aux_sym_forward_agent_token1] = ACTIONS(785),
    [aux_sym_forward_x11_token1] = ACTIONS(787),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(785),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(785),
    [aux_sym_gateway_ports_token1] = ACTIONS(785),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(785),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(785),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(785),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(785),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(785),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(785),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(785),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(785),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(785),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(785),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(785),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(785),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(785),
    [aux_sym_host_key_alias_token1] = ACTIONS(785),
    [aux_sym_hostname_token1] = ACTIONS(785),
    [aux_sym_identities_only_token1] = ACTIONS(785),
    [aux_sym_identity_agent_token1] = ACTIONS(785),
    [aux_sym_identity_file_token1] = ACTIONS(785),
    [aux_sym_ignore_unknown_token1] = ACTIONS(785),
    [aux_sym_include_token1] = ACTIONS(785),
    [aux_sym_ip_qos_token1] = ACTIONS(785),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(785),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(785),
    [aux_sym_kex_algorithms_token1] = ACTIONS(785),
    [aux_sym_known_hosts_command_token1] = ACTIONS(785),
    [aux_sym_local_command_token1] = ACTIONS(785),
    [aux_sym_local_forward_token1] = ACTIONS(785),
    [aux_sym_log_level_token1] = ACTIONS(785),
    [aux_sym_log_verbose_token1] = ACTIONS(785),
    [aux_sym_macs_token1] = ACTIONS(785),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(785),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(785),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(785),
    [aux_sym_password_authentication_token1] = ACTIONS(785),
    [aux_sym_permit_local_command_token1] = ACTIONS(785),
    [aux_sym_permit_remote_open_token1] = ACTIONS(785),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(785),
    [aux_sym_port_token1] = ACTIONS(785),
    [aux_sym_preferred_authentications_token1] = ACTIONS(785),
    [aux_sym_protocol_token1] = ACTIONS(785),
    [aux_sym_proxy_command_token1] = ACTIONS(785),
    [aux_sym_proxy_jump_token1] = ACTIONS(785),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(785),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(785),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(785),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(785),
    [aux_sym_rekey_limit_token1] = ACTIONS(785),
    [aux_sym_remote_command_token1] = ACTIONS(785),
    [aux_sym_remote_forward_token1] = ACTIONS(785),
    [aux_sym_request_tty_token1] = ACTIONS(785),
    [aux_sym_required_rsa_size_token1] = ACTIONS(785),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(785),
    [aux_sym_security_key_provider_token1] = ACTIONS(785),
    [aux_sym_send_env_token1] = ACTIONS(785),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(785),
    [aux_sym_server_alive_interval_token1] = ACTIONS(785),
    [aux_sym_session_type_token1] = ACTIONS(785),
    [aux_sym_set_env_token1] = ACTIONS(785),
    [aux_sym_stdin_null_token1] = ACTIONS(785),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(785),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(785),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(785),
    [aux_sym_syslog_facility_token1] = ACTIONS(785),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(785),
    [aux_sym_keep_alive_token1] = ACTIONS(785),
    [aux_sym_tag_token1] = ACTIONS(785),
    [aux_sym_tunnel_token1] = ACTIONS(787),
    [aux_sym_tunnel_device_token1] = ACTIONS(785),
    [aux_sym_update_host_keys_token1] = ACTIONS(785),
    [aux_sym_use_keychain_token1] = ACTIONS(785),
    [aux_sym_use_roaming_token1] = ACTIONS(785),
    [aux_sym_user_token1] = ACTIONS(787),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(785),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(785),
    [aux_sym_visual_host_key_token1] = ACTIONS(785),
    [aux_sym_xauth_location_token1] = ACTIONS(785),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1483),
    [aux_sym_match_token1] = ACTIONS(1481),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1481),
    [aux_sym_address_family_token1] = ACTIONS(1481),
    [aux_sym_batch_mode_token1] = ACTIONS(1481),
    [aux_sym_bind_address_token1] = ACTIONS(1481),
    [aux_sym_bind_interface_token1] = ACTIONS(1481),
    [aux_sym_canonical_domains_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1481),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1481),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1481),
    [aux_sym_certificate_file_token1] = ACTIONS(1481),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1481),
    [aux_sym_channel_timeout_token1] = ACTIONS(1481),
    [aux_sym_check_host_ip_token1] = ACTIONS(1481),
    [aux_sym_ciphers_token1] = ACTIONS(1481),
    [aux_sym_cipher_token1] = ACTIONS(1483),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1481),
    [aux_sym_compression_token1] = ACTIONS(1481),
    [aux_sym_connection_attempts_token1] = ACTIONS(1481),
    [aux_sym_connect_timeout_token1] = ACTIONS(1481),
    [aux_sym_control_master_token1] = ACTIONS(1481),
    [aux_sym_control_path_token1] = ACTIONS(1481),
    [aux_sym_control_persist_token1] = ACTIONS(1481),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1481),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1481),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1481),
    [aux_sym_escape_char_token1] = ACTIONS(1481),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1481),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1481),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1481),
    [aux_sym_forward_agent_token1] = ACTIONS(1481),
    [aux_sym_forward_x11_token1] = ACTIONS(1483),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1481),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1481),
    [aux_sym_gateway_ports_token1] = ACTIONS(1481),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1481),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1481),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1481),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1481),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1481),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1481),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1481),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1481),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1481),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1481),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1481),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1481),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1481),
    [aux_sym_host_key_alias_token1] = ACTIONS(1481),
    [aux_sym_hostname_token1] = ACTIONS(1481),
    [aux_sym_identities_only_token1] = ACTIONS(1481),
    [aux_sym_identity_agent_token1] = ACTIONS(1481),
    [aux_sym_identity_file_token1] = ACTIONS(1481),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1481),
    [aux_sym_include_token1] = ACTIONS(1481),
    [aux_sym_ip_qos_token1] = ACTIONS(1481),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1481),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1481),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1481),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1481),
    [aux_sym_local_command_token1] = ACTIONS(1481),
    [aux_sym_local_forward_token1] = ACTIONS(1481),
    [aux_sym_log_level_token1] = ACTIONS(1481),
    [aux_sym_log_verbose_token1] = ACTIONS(1481),
    [aux_sym_macs_token1] = ACTIONS(1481),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1481),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1481),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1481),
    [aux_sym_password_authentication_token1] = ACTIONS(1481),
    [aux_sym_permit_local_command_token1] = ACTIONS(1481),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1481),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1481),
    [aux_sym_port_token1] = ACTIONS(1481),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1481),
    [aux_sym_protocol_token1] = ACTIONS(1481),
    [aux_sym_proxy_command_token1] = ACTIONS(1481),
    [aux_sym_proxy_jump_token1] = ACTIONS(1481),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1481),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1481),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1481),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1481),
    [aux_sym_rekey_limit_token1] = ACTIONS(1481),
    [aux_sym_remote_command_token1] = ACTIONS(1481),
    [aux_sym_remote_forward_token1] = ACTIONS(1481),
    [aux_sym_request_tty_token1] = ACTIONS(1481),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1481),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1481),
    [aux_sym_security_key_provider_token1] = ACTIONS(1481),
    [aux_sym_send_env_token1] = ACTIONS(1481),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1481),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1481),
    [aux_sym_session_type_token1] = ACTIONS(1481),
    [aux_sym_set_env_token1] = ACTIONS(1481),
    [aux_sym_stdin_null_token1] = ACTIONS(1481),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1481),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1481),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1481),
    [aux_sym_syslog_facility_token1] = ACTIONS(1481),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1481),
    [aux_sym_keep_alive_token1] = ACTIONS(1481),
    [aux_sym_tag_token1] = ACTIONS(1481),
    [aux_sym_tunnel_token1] = ACTIONS(1483),
    [aux_sym_tunnel_device_token1] = ACTIONS(1481),
    [aux_sym_update_host_keys_token1] = ACTIONS(1481),
    [aux_sym_use_keychain_token1] = ACTIONS(1481),
    [aux_sym_use_roaming_token1] = ACTIONS(1481),
    [aux_sym_user_token1] = ACTIONS(1483),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1481),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1481),
    [aux_sym_visual_host_key_token1] = ACTIONS(1481),
    [aux_sym_xauth_location_token1] = ACTIONS(1481),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1817),
    [aux_sym_match_token1] = ACTIONS(1815),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1815),
    [aux_sym_address_family_token1] = ACTIONS(1815),
    [aux_sym_batch_mode_token1] = ACTIONS(1815),
    [aux_sym_bind_address_token1] = ACTIONS(1815),
    [aux_sym_bind_interface_token1] = ACTIONS(1815),
    [aux_sym_canonical_domains_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1815),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1815),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1815),
    [aux_sym_certificate_file_token1] = ACTIONS(1815),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1815),
    [aux_sym_channel_timeout_token1] = ACTIONS(1815),
    [aux_sym_check_host_ip_token1] = ACTIONS(1815),
    [aux_sym_ciphers_token1] = ACTIONS(1815),
    [aux_sym_cipher_token1] = ACTIONS(1817),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1815),
    [aux_sym_compression_token1] = ACTIONS(1815),
    [aux_sym_connection_attempts_token1] = ACTIONS(1815),
    [aux_sym_connect_timeout_token1] = ACTIONS(1815),
    [aux_sym_control_master_token1] = ACTIONS(1815),
    [aux_sym_control_path_token1] = ACTIONS(1815),
    [aux_sym_control_persist_token1] = ACTIONS(1815),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1815),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1815),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1815),
    [aux_sym_escape_char_token1] = ACTIONS(1815),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1815),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1815),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1815),
    [aux_sym_forward_agent_token1] = ACTIONS(1815),
    [aux_sym_forward_x11_token1] = ACTIONS(1817),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1815),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1815),
    [aux_sym_gateway_ports_token1] = ACTIONS(1815),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1815),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1815),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1815),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1815),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1815),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1815),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1815),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1815),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1815),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1815),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1815),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1815),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1815),
    [aux_sym_host_key_alias_token1] = ACTIONS(1815),
    [aux_sym_hostname_token1] = ACTIONS(1815),
    [aux_sym_identities_only_token1] = ACTIONS(1815),
    [aux_sym_identity_agent_token1] = ACTIONS(1815),
    [aux_sym_identity_file_token1] = ACTIONS(1815),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1815),
    [aux_sym_include_token1] = ACTIONS(1815),
    [aux_sym_ip_qos_token1] = ACTIONS(1815),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1815),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1815),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1815),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1815),
    [aux_sym_local_command_token1] = ACTIONS(1815),
    [aux_sym_local_forward_token1] = ACTIONS(1815),
    [aux_sym_log_level_token1] = ACTIONS(1815),
    [aux_sym_log_verbose_token1] = ACTIONS(1815),
    [aux_sym_macs_token1] = ACTIONS(1815),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1815),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1815),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1815),
    [aux_sym_password_authentication_token1] = ACTIONS(1815),
    [aux_sym_permit_local_command_token1] = ACTIONS(1815),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1815),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1815),
    [aux_sym_port_token1] = ACTIONS(1815),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1815),
    [aux_sym_protocol_token1] = ACTIONS(1815),
    [aux_sym_proxy_command_token1] = ACTIONS(1815),
    [aux_sym_proxy_jump_token1] = ACTIONS(1815),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1815),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1815),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1815),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1815),
    [aux_sym_rekey_limit_token1] = ACTIONS(1815),
    [aux_sym_remote_command_token1] = ACTIONS(1815),
    [aux_sym_remote_forward_token1] = ACTIONS(1815),
    [aux_sym_request_tty_token1] = ACTIONS(1815),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1815),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1815),
    [aux_sym_security_key_provider_token1] = ACTIONS(1815),
    [aux_sym_send_env_token1] = ACTIONS(1815),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1815),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1815),
    [aux_sym_session_type_token1] = ACTIONS(1815),
    [aux_sym_set_env_token1] = ACTIONS(1815),
    [aux_sym_stdin_null_token1] = ACTIONS(1815),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1815),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1815),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1815),
    [aux_sym_syslog_facility_token1] = ACTIONS(1815),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1815),
    [aux_sym_keep_alive_token1] = ACTIONS(1815),
    [aux_sym_tag_token1] = ACTIONS(1815),
    [aux_sym_tunnel_token1] = ACTIONS(1817),
    [aux_sym_tunnel_device_token1] = ACTIONS(1815),
    [aux_sym_update_host_keys_token1] = ACTIONS(1815),
    [aux_sym_use_keychain_token1] = ACTIONS(1815),
    [aux_sym_use_roaming_token1] = ACTIONS(1815),
    [aux_sym_user_token1] = ACTIONS(1817),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1815),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1815),
    [aux_sym_visual_host_key_token1] = ACTIONS(1815),
    [aux_sym_xauth_location_token1] = ACTIONS(1815),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(745),
    [aux_sym_match_token1] = ACTIONS(743),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(743),
    [aux_sym_address_family_token1] = ACTIONS(743),
    [aux_sym_batch_mode_token1] = ACTIONS(743),
    [aux_sym_bind_address_token1] = ACTIONS(743),
    [aux_sym_bind_interface_token1] = ACTIONS(743),
    [aux_sym_canonical_domains_token1] = ACTIONS(743),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(743),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(743),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(743),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(743),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(743),
    [aux_sym_certificate_file_token1] = ACTIONS(743),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(743),
    [aux_sym_channel_timeout_token1] = ACTIONS(743),
    [aux_sym_check_host_ip_token1] = ACTIONS(743),
    [aux_sym_ciphers_token1] = ACTIONS(743),
    [aux_sym_cipher_token1] = ACTIONS(745),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(743),
    [aux_sym_compression_token1] = ACTIONS(743),
    [aux_sym_connection_attempts_token1] = ACTIONS(743),
    [aux_sym_connect_timeout_token1] = ACTIONS(743),
    [aux_sym_control_master_token1] = ACTIONS(743),
    [aux_sym_control_path_token1] = ACTIONS(743),
    [aux_sym_control_persist_token1] = ACTIONS(743),
    [aux_sym_dynamic_forward_token1] = ACTIONS(743),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(743),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(743),
    [aux_sym_escape_char_token1] = ACTIONS(743),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(743),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(743),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(743),
    [aux_sym_forward_agent_token1] = ACTIONS(743),
    [aux_sym_forward_x11_token1] = ACTIONS(745),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(743),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(743),
    [aux_sym_gateway_ports_token1] = ACTIONS(743),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(743),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(743),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(743),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(743),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(743),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(743),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(743),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(743),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(743),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(743),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(743),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(743),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(743),
    [aux_sym_host_key_alias_token1] = ACTIONS(743),
    [aux_sym_hostname_token1] = ACTIONS(743),
    [aux_sym_identities_only_token1] = ACTIONS(743),
    [aux_sym_identity_agent_token1] = ACTIONS(743),
    [aux_sym_identity_file_token1] = ACTIONS(743),
    [aux_sym_ignore_unknown_token1] = ACTIONS(743),
    [aux_sym_include_token1] = ACTIONS(743),
    [aux_sym_ip_qos_token1] = ACTIONS(743),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(743),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(743),
    [aux_sym_kex_algorithms_token1] = ACTIONS(743),
    [aux_sym_known_hosts_command_token1] = ACTIONS(743),
    [aux_sym_local_command_token1] = ACTIONS(743),
    [aux_sym_local_forward_token1] = ACTIONS(743),
    [aux_sym_log_level_token1] = ACTIONS(743),
    [aux_sym_log_verbose_token1] = ACTIONS(743),
    [aux_sym_macs_token1] = ACTIONS(743),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(743),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(743),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(743),
    [aux_sym_password_authentication_token1] = ACTIONS(743),
    [aux_sym_permit_local_command_token1] = ACTIONS(743),
    [aux_sym_permit_remote_open_token1] = ACTIONS(743),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(743),
    [aux_sym_port_token1] = ACTIONS(743),
    [aux_sym_preferred_authentications_token1] = ACTIONS(743),
    [aux_sym_protocol_token1] = ACTIONS(743),
    [aux_sym_proxy_command_token1] = ACTIONS(743),
    [aux_sym_proxy_jump_token1] = ACTIONS(743),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(743),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(743),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(743),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(743),
    [aux_sym_rekey_limit_token1] = ACTIONS(743),
    [aux_sym_remote_command_token1] = ACTIONS(743),
    [aux_sym_remote_forward_token1] = ACTIONS(743),
    [aux_sym_request_tty_token1] = ACTIONS(743),
    [aux_sym_required_rsa_size_token1] = ACTIONS(743),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(743),
    [aux_sym_security_key_provider_token1] = ACTIONS(743),
    [aux_sym_send_env_token1] = ACTIONS(743),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(743),
    [aux_sym_server_alive_interval_token1] = ACTIONS(743),
    [aux_sym_session_type_token1] = ACTIONS(743),
    [aux_sym_set_env_token1] = ACTIONS(743),
    [aux_sym_stdin_null_token1] = ACTIONS(743),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(743),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(743),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(743),
    [aux_sym_syslog_facility_token1] = ACTIONS(743),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(743),
    [aux_sym_keep_alive_token1] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(743),
    [aux_sym_tunnel_token1] = ACTIONS(745),
    [aux_sym_tunnel_device_token1] = ACTIONS(743),
    [aux_sym_update_host_keys_token1] = ACTIONS(743),
    [aux_sym_use_keychain_token1] = ACTIONS(743),
    [aux_sym_use_roaming_token1] = ACTIONS(743),
    [aux_sym_user_token1] = ACTIONS(745),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(743),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(743),
    [aux_sym_visual_host_key_token1] = ACTIONS(743),
    [aux_sym_xauth_location_token1] = ACTIONS(743),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1721),
    [aux_sym_match_token1] = ACTIONS(1719),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1719),
    [aux_sym_address_family_token1] = ACTIONS(1719),
    [aux_sym_batch_mode_token1] = ACTIONS(1719),
    [aux_sym_bind_address_token1] = ACTIONS(1719),
    [aux_sym_bind_interface_token1] = ACTIONS(1719),
    [aux_sym_canonical_domains_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1719),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1719),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1719),
    [aux_sym_certificate_file_token1] = ACTIONS(1719),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1719),
    [aux_sym_channel_timeout_token1] = ACTIONS(1719),
    [aux_sym_check_host_ip_token1] = ACTIONS(1719),
    [aux_sym_ciphers_token1] = ACTIONS(1719),
    [aux_sym_cipher_token1] = ACTIONS(1721),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1719),
    [aux_sym_compression_token1] = ACTIONS(1719),
    [aux_sym_connection_attempts_token1] = ACTIONS(1719),
    [aux_sym_connect_timeout_token1] = ACTIONS(1719),
    [aux_sym_control_master_token1] = ACTIONS(1719),
    [aux_sym_control_path_token1] = ACTIONS(1719),
    [aux_sym_control_persist_token1] = ACTIONS(1719),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1719),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1719),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1719),
    [aux_sym_escape_char_token1] = ACTIONS(1719),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1719),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1719),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1719),
    [aux_sym_forward_agent_token1] = ACTIONS(1719),
    [aux_sym_forward_x11_token1] = ACTIONS(1721),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1719),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1719),
    [aux_sym_gateway_ports_token1] = ACTIONS(1719),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1719),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1719),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1719),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1719),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1719),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1719),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1719),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1719),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1719),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1719),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1719),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1719),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1719),
    [aux_sym_host_key_alias_token1] = ACTIONS(1719),
    [aux_sym_hostname_token1] = ACTIONS(1719),
    [aux_sym_identities_only_token1] = ACTIONS(1719),
    [aux_sym_identity_agent_token1] = ACTIONS(1719),
    [aux_sym_identity_file_token1] = ACTIONS(1719),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1719),
    [aux_sym_include_token1] = ACTIONS(1719),
    [aux_sym_ip_qos_token1] = ACTIONS(1719),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1719),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1719),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1719),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1719),
    [aux_sym_local_command_token1] = ACTIONS(1719),
    [aux_sym_local_forward_token1] = ACTIONS(1719),
    [aux_sym_log_level_token1] = ACTIONS(1719),
    [aux_sym_log_verbose_token1] = ACTIONS(1719),
    [aux_sym_macs_token1] = ACTIONS(1719),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1719),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1719),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1719),
    [aux_sym_password_authentication_token1] = ACTIONS(1719),
    [aux_sym_permit_local_command_token1] = ACTIONS(1719),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1719),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1719),
    [aux_sym_port_token1] = ACTIONS(1719),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1719),
    [aux_sym_protocol_token1] = ACTIONS(1719),
    [aux_sym_proxy_command_token1] = ACTIONS(1719),
    [aux_sym_proxy_jump_token1] = ACTIONS(1719),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1719),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1719),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1719),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1719),
    [aux_sym_rekey_limit_token1] = ACTIONS(1719),
    [aux_sym_remote_command_token1] = ACTIONS(1719),
    [aux_sym_remote_forward_token1] = ACTIONS(1719),
    [aux_sym_request_tty_token1] = ACTIONS(1719),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1719),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1719),
    [aux_sym_security_key_provider_token1] = ACTIONS(1719),
    [aux_sym_send_env_token1] = ACTIONS(1719),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1719),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1719),
    [aux_sym_session_type_token1] = ACTIONS(1719),
    [aux_sym_set_env_token1] = ACTIONS(1719),
    [aux_sym_stdin_null_token1] = ACTIONS(1719),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1719),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1719),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1719),
    [aux_sym_syslog_facility_token1] = ACTIONS(1719),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1719),
    [aux_sym_keep_alive_token1] = ACTIONS(1719),
    [aux_sym_tag_token1] = ACTIONS(1719),
    [aux_sym_tunnel_token1] = ACTIONS(1721),
    [aux_sym_tunnel_device_token1] = ACTIONS(1719),
    [aux_sym_update_host_keys_token1] = ACTIONS(1719),
    [aux_sym_use_keychain_token1] = ACTIONS(1719),
    [aux_sym_use_roaming_token1] = ACTIONS(1719),
    [aux_sym_user_token1] = ACTIONS(1721),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1719),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1719),
    [aux_sym_visual_host_key_token1] = ACTIONS(1719),
    [aux_sym_xauth_location_token1] = ACTIONS(1719),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1811),
    [aux_sym_match_token1] = ACTIONS(1809),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1809),
    [aux_sym_address_family_token1] = ACTIONS(1809),
    [aux_sym_batch_mode_token1] = ACTIONS(1809),
    [aux_sym_bind_address_token1] = ACTIONS(1809),
    [aux_sym_bind_interface_token1] = ACTIONS(1809),
    [aux_sym_canonical_domains_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1809),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1809),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1809),
    [aux_sym_certificate_file_token1] = ACTIONS(1809),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1809),
    [aux_sym_channel_timeout_token1] = ACTIONS(1809),
    [aux_sym_check_host_ip_token1] = ACTIONS(1809),
    [aux_sym_ciphers_token1] = ACTIONS(1809),
    [aux_sym_cipher_token1] = ACTIONS(1811),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1809),
    [aux_sym_compression_token1] = ACTIONS(1809),
    [aux_sym_connection_attempts_token1] = ACTIONS(1809),
    [aux_sym_connect_timeout_token1] = ACTIONS(1809),
    [aux_sym_control_master_token1] = ACTIONS(1809),
    [aux_sym_control_path_token1] = ACTIONS(1809),
    [aux_sym_control_persist_token1] = ACTIONS(1809),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1809),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1809),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1809),
    [aux_sym_escape_char_token1] = ACTIONS(1809),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1809),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1809),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1809),
    [aux_sym_forward_agent_token1] = ACTIONS(1809),
    [aux_sym_forward_x11_token1] = ACTIONS(1811),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1809),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1809),
    [aux_sym_gateway_ports_token1] = ACTIONS(1809),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1809),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1809),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1809),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1809),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1809),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1809),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1809),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1809),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1809),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1809),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1809),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1809),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1809),
    [aux_sym_host_key_alias_token1] = ACTIONS(1809),
    [aux_sym_hostname_token1] = ACTIONS(1809),
    [aux_sym_identities_only_token1] = ACTIONS(1809),
    [aux_sym_identity_agent_token1] = ACTIONS(1809),
    [aux_sym_identity_file_token1] = ACTIONS(1809),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1809),
    [aux_sym_include_token1] = ACTIONS(1809),
    [aux_sym_ip_qos_token1] = ACTIONS(1809),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1809),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1809),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1809),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1809),
    [aux_sym_local_command_token1] = ACTIONS(1809),
    [aux_sym_local_forward_token1] = ACTIONS(1809),
    [aux_sym_log_level_token1] = ACTIONS(1809),
    [aux_sym_log_verbose_token1] = ACTIONS(1809),
    [aux_sym_macs_token1] = ACTIONS(1809),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1809),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1809),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1809),
    [aux_sym_password_authentication_token1] = ACTIONS(1809),
    [aux_sym_permit_local_command_token1] = ACTIONS(1809),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1809),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1809),
    [aux_sym_port_token1] = ACTIONS(1809),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1809),
    [aux_sym_protocol_token1] = ACTIONS(1809),
    [aux_sym_proxy_command_token1] = ACTIONS(1809),
    [aux_sym_proxy_jump_token1] = ACTIONS(1809),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1809),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1809),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1809),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1809),
    [aux_sym_rekey_limit_token1] = ACTIONS(1809),
    [aux_sym_remote_command_token1] = ACTIONS(1809),
    [aux_sym_remote_forward_token1] = ACTIONS(1809),
    [aux_sym_request_tty_token1] = ACTIONS(1809),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1809),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1809),
    [aux_sym_security_key_provider_token1] = ACTIONS(1809),
    [aux_sym_send_env_token1] = ACTIONS(1809),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1809),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1809),
    [aux_sym_session_type_token1] = ACTIONS(1809),
    [aux_sym_set_env_token1] = ACTIONS(1809),
    [aux_sym_stdin_null_token1] = ACTIONS(1809),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1809),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1809),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1809),
    [aux_sym_syslog_facility_token1] = ACTIONS(1809),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1809),
    [aux_sym_keep_alive_token1] = ACTIONS(1809),
    [aux_sym_tag_token1] = ACTIONS(1809),
    [aux_sym_tunnel_token1] = ACTIONS(1811),
    [aux_sym_tunnel_device_token1] = ACTIONS(1809),
    [aux_sym_update_host_keys_token1] = ACTIONS(1809),
    [aux_sym_use_keychain_token1] = ACTIONS(1809),
    [aux_sym_use_roaming_token1] = ACTIONS(1809),
    [aux_sym_user_token1] = ACTIONS(1811),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1809),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1809),
    [aux_sym_visual_host_key_token1] = ACTIONS(1809),
    [aux_sym_xauth_location_token1] = ACTIONS(1809),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(937),
    [aux_sym_match_token1] = ACTIONS(935),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(935),
    [aux_sym_address_family_token1] = ACTIONS(935),
    [aux_sym_batch_mode_token1] = ACTIONS(935),
    [aux_sym_bind_address_token1] = ACTIONS(935),
    [aux_sym_bind_interface_token1] = ACTIONS(935),
    [aux_sym_canonical_domains_token1] = ACTIONS(935),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(935),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(935),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(935),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(935),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(935),
    [aux_sym_certificate_file_token1] = ACTIONS(935),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(935),
    [aux_sym_channel_timeout_token1] = ACTIONS(935),
    [aux_sym_check_host_ip_token1] = ACTIONS(935),
    [aux_sym_ciphers_token1] = ACTIONS(935),
    [aux_sym_cipher_token1] = ACTIONS(937),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(935),
    [aux_sym_compression_token1] = ACTIONS(935),
    [aux_sym_connection_attempts_token1] = ACTIONS(935),
    [aux_sym_connect_timeout_token1] = ACTIONS(935),
    [aux_sym_control_master_token1] = ACTIONS(935),
    [aux_sym_control_path_token1] = ACTIONS(935),
    [aux_sym_control_persist_token1] = ACTIONS(935),
    [aux_sym_dynamic_forward_token1] = ACTIONS(935),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(935),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(935),
    [aux_sym_escape_char_token1] = ACTIONS(935),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(935),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(935),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(935),
    [aux_sym_forward_agent_token1] = ACTIONS(935),
    [aux_sym_forward_x11_token1] = ACTIONS(937),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(935),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(935),
    [aux_sym_gateway_ports_token1] = ACTIONS(935),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(935),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(935),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(935),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(935),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(935),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(935),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(935),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(935),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(935),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(935),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(935),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(935),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(935),
    [aux_sym_host_key_alias_token1] = ACTIONS(935),
    [aux_sym_hostname_token1] = ACTIONS(935),
    [aux_sym_identities_only_token1] = ACTIONS(935),
    [aux_sym_identity_agent_token1] = ACTIONS(935),
    [aux_sym_identity_file_token1] = ACTIONS(935),
    [aux_sym_ignore_unknown_token1] = ACTIONS(935),
    [aux_sym_include_token1] = ACTIONS(935),
    [aux_sym_ip_qos_token1] = ACTIONS(935),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(935),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(935),
    [aux_sym_kex_algorithms_token1] = ACTIONS(935),
    [aux_sym_known_hosts_command_token1] = ACTIONS(935),
    [aux_sym_local_command_token1] = ACTIONS(935),
    [aux_sym_local_forward_token1] = ACTIONS(935),
    [aux_sym_log_level_token1] = ACTIONS(935),
    [aux_sym_log_verbose_token1] = ACTIONS(935),
    [aux_sym_macs_token1] = ACTIONS(935),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(935),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(935),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(935),
    [aux_sym_password_authentication_token1] = ACTIONS(935),
    [aux_sym_permit_local_command_token1] = ACTIONS(935),
    [aux_sym_permit_remote_open_token1] = ACTIONS(935),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(935),
    [aux_sym_port_token1] = ACTIONS(935),
    [aux_sym_preferred_authentications_token1] = ACTIONS(935),
    [aux_sym_protocol_token1] = ACTIONS(935),
    [aux_sym_proxy_command_token1] = ACTIONS(935),
    [aux_sym_proxy_jump_token1] = ACTIONS(935),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(935),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(935),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(935),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(935),
    [aux_sym_rekey_limit_token1] = ACTIONS(935),
    [aux_sym_remote_command_token1] = ACTIONS(935),
    [aux_sym_remote_forward_token1] = ACTIONS(935),
    [aux_sym_request_tty_token1] = ACTIONS(935),
    [aux_sym_required_rsa_size_token1] = ACTIONS(935),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(935),
    [aux_sym_security_key_provider_token1] = ACTIONS(935),
    [aux_sym_send_env_token1] = ACTIONS(935),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(935),
    [aux_sym_server_alive_interval_token1] = ACTIONS(935),
    [aux_sym_session_type_token1] = ACTIONS(935),
    [aux_sym_set_env_token1] = ACTIONS(935),
    [aux_sym_stdin_null_token1] = ACTIONS(935),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(935),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(935),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(935),
    [aux_sym_syslog_facility_token1] = ACTIONS(935),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(935),
    [aux_sym_keep_alive_token1] = ACTIONS(935),
    [aux_sym_tag_token1] = ACTIONS(935),
    [aux_sym_tunnel_token1] = ACTIONS(937),
    [aux_sym_tunnel_device_token1] = ACTIONS(935),
    [aux_sym_update_host_keys_token1] = ACTIONS(935),
    [aux_sym_use_keychain_token1] = ACTIONS(935),
    [aux_sym_use_roaming_token1] = ACTIONS(935),
    [aux_sym_user_token1] = ACTIONS(937),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(935),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(935),
    [aux_sym_visual_host_key_token1] = ACTIONS(935),
    [aux_sym_xauth_location_token1] = ACTIONS(935),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(1487),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1489),
    [aux_sym_match_token1] = ACTIONS(1487),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1487),
    [aux_sym_address_family_token1] = ACTIONS(1487),
    [aux_sym_batch_mode_token1] = ACTIONS(1487),
    [aux_sym_bind_address_token1] = ACTIONS(1487),
    [aux_sym_bind_interface_token1] = ACTIONS(1487),
    [aux_sym_canonical_domains_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1487),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1487),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1487),
    [aux_sym_certificate_file_token1] = ACTIONS(1487),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1487),
    [aux_sym_channel_timeout_token1] = ACTIONS(1487),
    [aux_sym_check_host_ip_token1] = ACTIONS(1487),
    [aux_sym_ciphers_token1] = ACTIONS(1487),
    [aux_sym_cipher_token1] = ACTIONS(1489),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1487),
    [aux_sym_compression_token1] = ACTIONS(1487),
    [aux_sym_connection_attempts_token1] = ACTIONS(1487),
    [aux_sym_connect_timeout_token1] = ACTIONS(1487),
    [aux_sym_control_master_token1] = ACTIONS(1487),
    [aux_sym_control_path_token1] = ACTIONS(1487),
    [aux_sym_control_persist_token1] = ACTIONS(1487),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1487),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1487),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1487),
    [aux_sym_escape_char_token1] = ACTIONS(1487),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1487),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1487),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1487),
    [aux_sym_forward_agent_token1] = ACTIONS(1487),
    [aux_sym_forward_x11_token1] = ACTIONS(1489),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1487),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1487),
    [aux_sym_gateway_ports_token1] = ACTIONS(1487),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1487),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1487),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1487),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1487),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1487),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1487),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1487),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1487),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1487),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1487),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1487),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1487),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1487),
    [aux_sym_host_key_alias_token1] = ACTIONS(1487),
    [aux_sym_hostname_token1] = ACTIONS(1487),
    [aux_sym_identities_only_token1] = ACTIONS(1487),
    [aux_sym_identity_agent_token1] = ACTIONS(1487),
    [aux_sym_identity_file_token1] = ACTIONS(1487),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1487),
    [aux_sym_include_token1] = ACTIONS(1487),
    [aux_sym_ip_qos_token1] = ACTIONS(1487),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1487),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1487),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1487),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1487),
    [aux_sym_local_command_token1] = ACTIONS(1487),
    [aux_sym_local_forward_token1] = ACTIONS(1487),
    [aux_sym_log_level_token1] = ACTIONS(1487),
    [aux_sym_log_verbose_token1] = ACTIONS(1487),
    [aux_sym_macs_token1] = ACTIONS(1487),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1487),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1487),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1487),
    [aux_sym_password_authentication_token1] = ACTIONS(1487),
    [aux_sym_permit_local_command_token1] = ACTIONS(1487),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1487),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1487),
    [aux_sym_port_token1] = ACTIONS(1487),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1487),
    [aux_sym_protocol_token1] = ACTIONS(1487),
    [aux_sym_proxy_command_token1] = ACTIONS(1487),
    [aux_sym_proxy_jump_token1] = ACTIONS(1487),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1487),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1487),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1487),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1487),
    [aux_sym_rekey_limit_token1] = ACTIONS(1487),
    [aux_sym_remote_command_token1] = ACTIONS(1487),
    [aux_sym_remote_forward_token1] = ACTIONS(1487),
    [aux_sym_request_tty_token1] = ACTIONS(1487),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1487),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1487),
    [aux_sym_security_key_provider_token1] = ACTIONS(1487),
    [aux_sym_send_env_token1] = ACTIONS(1487),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1487),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1487),
    [aux_sym_session_type_token1] = ACTIONS(1487),
    [aux_sym_set_env_token1] = ACTIONS(1487),
    [aux_sym_stdin_null_token1] = ACTIONS(1487),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1487),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1487),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1487),
    [aux_sym_syslog_facility_token1] = ACTIONS(1487),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1487),
    [aux_sym_keep_alive_token1] = ACTIONS(1487),
    [aux_sym_tag_token1] = ACTIONS(1487),
    [aux_sym_tunnel_token1] = ACTIONS(1489),
    [aux_sym_tunnel_device_token1] = ACTIONS(1487),
    [aux_sym_update_host_keys_token1] = ACTIONS(1487),
    [aux_sym_use_keychain_token1] = ACTIONS(1487),
    [aux_sym_use_roaming_token1] = ACTIONS(1487),
    [aux_sym_user_token1] = ACTIONS(1489),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1487),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1487),
    [aux_sym_visual_host_key_token1] = ACTIONS(1487),
    [aux_sym_xauth_location_token1] = ACTIONS(1487),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1805),
    [aux_sym_match_token1] = ACTIONS(1803),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1803),
    [aux_sym_address_family_token1] = ACTIONS(1803),
    [aux_sym_batch_mode_token1] = ACTIONS(1803),
    [aux_sym_bind_address_token1] = ACTIONS(1803),
    [aux_sym_bind_interface_token1] = ACTIONS(1803),
    [aux_sym_canonical_domains_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1803),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1803),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1803),
    [aux_sym_certificate_file_token1] = ACTIONS(1803),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1803),
    [aux_sym_channel_timeout_token1] = ACTIONS(1803),
    [aux_sym_check_host_ip_token1] = ACTIONS(1803),
    [aux_sym_ciphers_token1] = ACTIONS(1803),
    [aux_sym_cipher_token1] = ACTIONS(1805),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1803),
    [aux_sym_compression_token1] = ACTIONS(1803),
    [aux_sym_connection_attempts_token1] = ACTIONS(1803),
    [aux_sym_connect_timeout_token1] = ACTIONS(1803),
    [aux_sym_control_master_token1] = ACTIONS(1803),
    [aux_sym_control_path_token1] = ACTIONS(1803),
    [aux_sym_control_persist_token1] = ACTIONS(1803),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1803),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1803),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1803),
    [aux_sym_escape_char_token1] = ACTIONS(1803),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1803),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1803),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1803),
    [aux_sym_forward_agent_token1] = ACTIONS(1803),
    [aux_sym_forward_x11_token1] = ACTIONS(1805),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1803),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1803),
    [aux_sym_gateway_ports_token1] = ACTIONS(1803),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1803),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1803),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1803),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1803),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1803),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1803),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1803),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1803),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1803),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1803),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1803),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1803),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1803),
    [aux_sym_host_key_alias_token1] = ACTIONS(1803),
    [aux_sym_hostname_token1] = ACTIONS(1803),
    [aux_sym_identities_only_token1] = ACTIONS(1803),
    [aux_sym_identity_agent_token1] = ACTIONS(1803),
    [aux_sym_identity_file_token1] = ACTIONS(1803),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1803),
    [aux_sym_include_token1] = ACTIONS(1803),
    [aux_sym_ip_qos_token1] = ACTIONS(1803),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1803),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1803),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1803),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1803),
    [aux_sym_local_command_token1] = ACTIONS(1803),
    [aux_sym_local_forward_token1] = ACTIONS(1803),
    [aux_sym_log_level_token1] = ACTIONS(1803),
    [aux_sym_log_verbose_token1] = ACTIONS(1803),
    [aux_sym_macs_token1] = ACTIONS(1803),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1803),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1803),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1803),
    [aux_sym_password_authentication_token1] = ACTIONS(1803),
    [aux_sym_permit_local_command_token1] = ACTIONS(1803),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1803),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1803),
    [aux_sym_port_token1] = ACTIONS(1803),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1803),
    [aux_sym_protocol_token1] = ACTIONS(1803),
    [aux_sym_proxy_command_token1] = ACTIONS(1803),
    [aux_sym_proxy_jump_token1] = ACTIONS(1803),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1803),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1803),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1803),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1803),
    [aux_sym_rekey_limit_token1] = ACTIONS(1803),
    [aux_sym_remote_command_token1] = ACTIONS(1803),
    [aux_sym_remote_forward_token1] = ACTIONS(1803),
    [aux_sym_request_tty_token1] = ACTIONS(1803),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1803),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1803),
    [aux_sym_security_key_provider_token1] = ACTIONS(1803),
    [aux_sym_send_env_token1] = ACTIONS(1803),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1803),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1803),
    [aux_sym_session_type_token1] = ACTIONS(1803),
    [aux_sym_set_env_token1] = ACTIONS(1803),
    [aux_sym_stdin_null_token1] = ACTIONS(1803),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1803),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1803),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1803),
    [aux_sym_syslog_facility_token1] = ACTIONS(1803),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1803),
    [aux_sym_keep_alive_token1] = ACTIONS(1803),
    [aux_sym_tag_token1] = ACTIONS(1803),
    [aux_sym_tunnel_token1] = ACTIONS(1805),
    [aux_sym_tunnel_device_token1] = ACTIONS(1803),
    [aux_sym_update_host_keys_token1] = ACTIONS(1803),
    [aux_sym_use_keychain_token1] = ACTIONS(1803),
    [aux_sym_use_roaming_token1] = ACTIONS(1803),
    [aux_sym_user_token1] = ACTIONS(1805),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1803),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1803),
    [aux_sym_visual_host_key_token1] = ACTIONS(1803),
    [aux_sym_xauth_location_token1] = ACTIONS(1803),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(751),
    [aux_sym_match_token1] = ACTIONS(749),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(749),
    [aux_sym_address_family_token1] = ACTIONS(749),
    [aux_sym_batch_mode_token1] = ACTIONS(749),
    [aux_sym_bind_address_token1] = ACTIONS(749),
    [aux_sym_bind_interface_token1] = ACTIONS(749),
    [aux_sym_canonical_domains_token1] = ACTIONS(749),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(749),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(749),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(749),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(749),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(749),
    [aux_sym_certificate_file_token1] = ACTIONS(749),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(749),
    [aux_sym_channel_timeout_token1] = ACTIONS(749),
    [aux_sym_check_host_ip_token1] = ACTIONS(749),
    [aux_sym_ciphers_token1] = ACTIONS(749),
    [aux_sym_cipher_token1] = ACTIONS(751),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(749),
    [aux_sym_compression_token1] = ACTIONS(749),
    [aux_sym_connection_attempts_token1] = ACTIONS(749),
    [aux_sym_connect_timeout_token1] = ACTIONS(749),
    [aux_sym_control_master_token1] = ACTIONS(749),
    [aux_sym_control_path_token1] = ACTIONS(749),
    [aux_sym_control_persist_token1] = ACTIONS(749),
    [aux_sym_dynamic_forward_token1] = ACTIONS(749),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(749),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(749),
    [aux_sym_escape_char_token1] = ACTIONS(749),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(749),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(749),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(749),
    [aux_sym_forward_agent_token1] = ACTIONS(749),
    [aux_sym_forward_x11_token1] = ACTIONS(751),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(749),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(749),
    [aux_sym_gateway_ports_token1] = ACTIONS(749),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(749),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(749),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(749),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(749),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(749),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(749),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(749),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(749),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(749),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(749),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(749),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(749),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(749),
    [aux_sym_host_key_alias_token1] = ACTIONS(749),
    [aux_sym_hostname_token1] = ACTIONS(749),
    [aux_sym_identities_only_token1] = ACTIONS(749),
    [aux_sym_identity_agent_token1] = ACTIONS(749),
    [aux_sym_identity_file_token1] = ACTIONS(749),
    [aux_sym_ignore_unknown_token1] = ACTIONS(749),
    [aux_sym_include_token1] = ACTIONS(749),
    [aux_sym_ip_qos_token1] = ACTIONS(749),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(749),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(749),
    [aux_sym_kex_algorithms_token1] = ACTIONS(749),
    [aux_sym_known_hosts_command_token1] = ACTIONS(749),
    [aux_sym_local_command_token1] = ACTIONS(749),
    [aux_sym_local_forward_token1] = ACTIONS(749),
    [aux_sym_log_level_token1] = ACTIONS(749),
    [aux_sym_log_verbose_token1] = ACTIONS(749),
    [aux_sym_macs_token1] = ACTIONS(749),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(749),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(749),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(749),
    [aux_sym_password_authentication_token1] = ACTIONS(749),
    [aux_sym_permit_local_command_token1] = ACTIONS(749),
    [aux_sym_permit_remote_open_token1] = ACTIONS(749),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(749),
    [aux_sym_port_token1] = ACTIONS(749),
    [aux_sym_preferred_authentications_token1] = ACTIONS(749),
    [aux_sym_protocol_token1] = ACTIONS(749),
    [aux_sym_proxy_command_token1] = ACTIONS(749),
    [aux_sym_proxy_jump_token1] = ACTIONS(749),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(749),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(749),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(749),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(749),
    [aux_sym_rekey_limit_token1] = ACTIONS(749),
    [aux_sym_remote_command_token1] = ACTIONS(749),
    [aux_sym_remote_forward_token1] = ACTIONS(749),
    [aux_sym_request_tty_token1] = ACTIONS(749),
    [aux_sym_required_rsa_size_token1] = ACTIONS(749),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(749),
    [aux_sym_security_key_provider_token1] = ACTIONS(749),
    [aux_sym_send_env_token1] = ACTIONS(749),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(749),
    [aux_sym_server_alive_interval_token1] = ACTIONS(749),
    [aux_sym_session_type_token1] = ACTIONS(749),
    [aux_sym_set_env_token1] = ACTIONS(749),
    [aux_sym_stdin_null_token1] = ACTIONS(749),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(749),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(749),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(749),
    [aux_sym_syslog_facility_token1] = ACTIONS(749),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(749),
    [aux_sym_keep_alive_token1] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(749),
    [aux_sym_tunnel_token1] = ACTIONS(751),
    [aux_sym_tunnel_device_token1] = ACTIONS(749),
    [aux_sym_update_host_keys_token1] = ACTIONS(749),
    [aux_sym_use_keychain_token1] = ACTIONS(749),
    [aux_sym_use_roaming_token1] = ACTIONS(749),
    [aux_sym_user_token1] = ACTIONS(751),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(749),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(749),
    [aux_sym_visual_host_key_token1] = ACTIONS(749),
    [aux_sym_xauth_location_token1] = ACTIONS(749),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1537),
    [aux_sym_match_token1] = ACTIONS(1535),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1535),
    [aux_sym_address_family_token1] = ACTIONS(1535),
    [aux_sym_batch_mode_token1] = ACTIONS(1535),
    [aux_sym_bind_address_token1] = ACTIONS(1535),
    [aux_sym_bind_interface_token1] = ACTIONS(1535),
    [aux_sym_canonical_domains_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1535),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1535),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1535),
    [aux_sym_certificate_file_token1] = ACTIONS(1535),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1535),
    [aux_sym_channel_timeout_token1] = ACTIONS(1535),
    [aux_sym_check_host_ip_token1] = ACTIONS(1535),
    [aux_sym_ciphers_token1] = ACTIONS(1535),
    [aux_sym_cipher_token1] = ACTIONS(1537),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1535),
    [aux_sym_compression_token1] = ACTIONS(1535),
    [aux_sym_connection_attempts_token1] = ACTIONS(1535),
    [aux_sym_connect_timeout_token1] = ACTIONS(1535),
    [aux_sym_control_master_token1] = ACTIONS(1535),
    [aux_sym_control_path_token1] = ACTIONS(1535),
    [aux_sym_control_persist_token1] = ACTIONS(1535),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1535),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1535),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1535),
    [aux_sym_escape_char_token1] = ACTIONS(1535),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1535),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1535),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1535),
    [aux_sym_forward_agent_token1] = ACTIONS(1535),
    [aux_sym_forward_x11_token1] = ACTIONS(1537),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1535),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1535),
    [aux_sym_gateway_ports_token1] = ACTIONS(1535),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1535),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1535),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1535),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1535),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1535),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1535),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1535),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1535),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1535),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1535),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1535),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1535),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1535),
    [aux_sym_host_key_alias_token1] = ACTIONS(1535),
    [aux_sym_hostname_token1] = ACTIONS(1535),
    [aux_sym_identities_only_token1] = ACTIONS(1535),
    [aux_sym_identity_agent_token1] = ACTIONS(1535),
    [aux_sym_identity_file_token1] = ACTIONS(1535),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1535),
    [aux_sym_include_token1] = ACTIONS(1535),
    [aux_sym_ip_qos_token1] = ACTIONS(1535),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1535),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1535),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1535),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1535),
    [aux_sym_local_command_token1] = ACTIONS(1535),
    [aux_sym_local_forward_token1] = ACTIONS(1535),
    [aux_sym_log_level_token1] = ACTIONS(1535),
    [aux_sym_log_verbose_token1] = ACTIONS(1535),
    [aux_sym_macs_token1] = ACTIONS(1535),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1535),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1535),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1535),
    [aux_sym_password_authentication_token1] = ACTIONS(1535),
    [aux_sym_permit_local_command_token1] = ACTIONS(1535),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1535),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1535),
    [aux_sym_port_token1] = ACTIONS(1535),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1535),
    [aux_sym_protocol_token1] = ACTIONS(1535),
    [aux_sym_proxy_command_token1] = ACTIONS(1535),
    [aux_sym_proxy_jump_token1] = ACTIONS(1535),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1535),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1535),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1535),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1535),
    [aux_sym_rekey_limit_token1] = ACTIONS(1535),
    [aux_sym_remote_command_token1] = ACTIONS(1535),
    [aux_sym_remote_forward_token1] = ACTIONS(1535),
    [aux_sym_request_tty_token1] = ACTIONS(1535),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1535),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1535),
    [aux_sym_security_key_provider_token1] = ACTIONS(1535),
    [aux_sym_send_env_token1] = ACTIONS(1535),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1535),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1535),
    [aux_sym_session_type_token1] = ACTIONS(1535),
    [aux_sym_set_env_token1] = ACTIONS(1535),
    [aux_sym_stdin_null_token1] = ACTIONS(1535),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1535),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1535),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1535),
    [aux_sym_syslog_facility_token1] = ACTIONS(1535),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1535),
    [aux_sym_keep_alive_token1] = ACTIONS(1535),
    [aux_sym_tag_token1] = ACTIONS(1535),
    [aux_sym_tunnel_token1] = ACTIONS(1537),
    [aux_sym_tunnel_device_token1] = ACTIONS(1535),
    [aux_sym_update_host_keys_token1] = ACTIONS(1535),
    [aux_sym_use_keychain_token1] = ACTIONS(1535),
    [aux_sym_use_roaming_token1] = ACTIONS(1535),
    [aux_sym_user_token1] = ACTIONS(1537),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1535),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1535),
    [aux_sym_visual_host_key_token1] = ACTIONS(1535),
    [aux_sym_xauth_location_token1] = ACTIONS(1535),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(1797),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1799),
    [aux_sym_match_token1] = ACTIONS(1797),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1797),
    [aux_sym_address_family_token1] = ACTIONS(1797),
    [aux_sym_batch_mode_token1] = ACTIONS(1797),
    [aux_sym_bind_address_token1] = ACTIONS(1797),
    [aux_sym_bind_interface_token1] = ACTIONS(1797),
    [aux_sym_canonical_domains_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1797),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1797),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1797),
    [aux_sym_certificate_file_token1] = ACTIONS(1797),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1797),
    [aux_sym_channel_timeout_token1] = ACTIONS(1797),
    [aux_sym_check_host_ip_token1] = ACTIONS(1797),
    [aux_sym_ciphers_token1] = ACTIONS(1797),
    [aux_sym_cipher_token1] = ACTIONS(1799),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1797),
    [aux_sym_compression_token1] = ACTIONS(1797),
    [aux_sym_connection_attempts_token1] = ACTIONS(1797),
    [aux_sym_connect_timeout_token1] = ACTIONS(1797),
    [aux_sym_control_master_token1] = ACTIONS(1797),
    [aux_sym_control_path_token1] = ACTIONS(1797),
    [aux_sym_control_persist_token1] = ACTIONS(1797),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1797),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1797),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1797),
    [aux_sym_escape_char_token1] = ACTIONS(1797),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1797),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1797),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1797),
    [aux_sym_forward_agent_token1] = ACTIONS(1797),
    [aux_sym_forward_x11_token1] = ACTIONS(1799),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1797),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1797),
    [aux_sym_gateway_ports_token1] = ACTIONS(1797),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1797),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1797),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1797),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1797),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1797),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1797),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1797),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1797),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1797),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1797),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1797),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1797),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1797),
    [aux_sym_host_key_alias_token1] = ACTIONS(1797),
    [aux_sym_hostname_token1] = ACTIONS(1797),
    [aux_sym_identities_only_token1] = ACTIONS(1797),
    [aux_sym_identity_agent_token1] = ACTIONS(1797),
    [aux_sym_identity_file_token1] = ACTIONS(1797),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1797),
    [aux_sym_include_token1] = ACTIONS(1797),
    [aux_sym_ip_qos_token1] = ACTIONS(1797),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1797),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1797),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1797),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1797),
    [aux_sym_local_command_token1] = ACTIONS(1797),
    [aux_sym_local_forward_token1] = ACTIONS(1797),
    [aux_sym_log_level_token1] = ACTIONS(1797),
    [aux_sym_log_verbose_token1] = ACTIONS(1797),
    [aux_sym_macs_token1] = ACTIONS(1797),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1797),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1797),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1797),
    [aux_sym_password_authentication_token1] = ACTIONS(1797),
    [aux_sym_permit_local_command_token1] = ACTIONS(1797),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1797),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1797),
    [aux_sym_port_token1] = ACTIONS(1797),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1797),
    [aux_sym_protocol_token1] = ACTIONS(1797),
    [aux_sym_proxy_command_token1] = ACTIONS(1797),
    [aux_sym_proxy_jump_token1] = ACTIONS(1797),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1797),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1797),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1797),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1797),
    [aux_sym_rekey_limit_token1] = ACTIONS(1797),
    [aux_sym_remote_command_token1] = ACTIONS(1797),
    [aux_sym_remote_forward_token1] = ACTIONS(1797),
    [aux_sym_request_tty_token1] = ACTIONS(1797),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1797),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1797),
    [aux_sym_security_key_provider_token1] = ACTIONS(1797),
    [aux_sym_send_env_token1] = ACTIONS(1797),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1797),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1797),
    [aux_sym_session_type_token1] = ACTIONS(1797),
    [aux_sym_set_env_token1] = ACTIONS(1797),
    [aux_sym_stdin_null_token1] = ACTIONS(1797),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1797),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1797),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1797),
    [aux_sym_syslog_facility_token1] = ACTIONS(1797),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1797),
    [aux_sym_keep_alive_token1] = ACTIONS(1797),
    [aux_sym_tag_token1] = ACTIONS(1797),
    [aux_sym_tunnel_token1] = ACTIONS(1799),
    [aux_sym_tunnel_device_token1] = ACTIONS(1797),
    [aux_sym_update_host_keys_token1] = ACTIONS(1797),
    [aux_sym_use_keychain_token1] = ACTIONS(1797),
    [aux_sym_use_roaming_token1] = ACTIONS(1797),
    [aux_sym_user_token1] = ACTIONS(1799),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1797),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1797),
    [aux_sym_visual_host_key_token1] = ACTIONS(1797),
    [aux_sym_xauth_location_token1] = ACTIONS(1797),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(931),
    [aux_sym_match_token1] = ACTIONS(929),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(929),
    [aux_sym_address_family_token1] = ACTIONS(929),
    [aux_sym_batch_mode_token1] = ACTIONS(929),
    [aux_sym_bind_address_token1] = ACTIONS(929),
    [aux_sym_bind_interface_token1] = ACTIONS(929),
    [aux_sym_canonical_domains_token1] = ACTIONS(929),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(929),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(929),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(929),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(929),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(929),
    [aux_sym_certificate_file_token1] = ACTIONS(929),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(929),
    [aux_sym_channel_timeout_token1] = ACTIONS(929),
    [aux_sym_check_host_ip_token1] = ACTIONS(929),
    [aux_sym_ciphers_token1] = ACTIONS(929),
    [aux_sym_cipher_token1] = ACTIONS(931),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(929),
    [aux_sym_compression_token1] = ACTIONS(929),
    [aux_sym_connection_attempts_token1] = ACTIONS(929),
    [aux_sym_connect_timeout_token1] = ACTIONS(929),
    [aux_sym_control_master_token1] = ACTIONS(929),
    [aux_sym_control_path_token1] = ACTIONS(929),
    [aux_sym_control_persist_token1] = ACTIONS(929),
    [aux_sym_dynamic_forward_token1] = ACTIONS(929),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(929),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(929),
    [aux_sym_escape_char_token1] = ACTIONS(929),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(929),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(929),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(929),
    [aux_sym_forward_agent_token1] = ACTIONS(929),
    [aux_sym_forward_x11_token1] = ACTIONS(931),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(929),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(929),
    [aux_sym_gateway_ports_token1] = ACTIONS(929),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(929),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(929),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(929),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(929),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(929),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(929),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(929),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(929),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(929),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(929),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(929),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(929),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(929),
    [aux_sym_host_key_alias_token1] = ACTIONS(929),
    [aux_sym_hostname_token1] = ACTIONS(929),
    [aux_sym_identities_only_token1] = ACTIONS(929),
    [aux_sym_identity_agent_token1] = ACTIONS(929),
    [aux_sym_identity_file_token1] = ACTIONS(929),
    [aux_sym_ignore_unknown_token1] = ACTIONS(929),
    [aux_sym_include_token1] = ACTIONS(929),
    [aux_sym_ip_qos_token1] = ACTIONS(929),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(929),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(929),
    [aux_sym_kex_algorithms_token1] = ACTIONS(929),
    [aux_sym_known_hosts_command_token1] = ACTIONS(929),
    [aux_sym_local_command_token1] = ACTIONS(929),
    [aux_sym_local_forward_token1] = ACTIONS(929),
    [aux_sym_log_level_token1] = ACTIONS(929),
    [aux_sym_log_verbose_token1] = ACTIONS(929),
    [aux_sym_macs_token1] = ACTIONS(929),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(929),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(929),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(929),
    [aux_sym_password_authentication_token1] = ACTIONS(929),
    [aux_sym_permit_local_command_token1] = ACTIONS(929),
    [aux_sym_permit_remote_open_token1] = ACTIONS(929),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(929),
    [aux_sym_port_token1] = ACTIONS(929),
    [aux_sym_preferred_authentications_token1] = ACTIONS(929),
    [aux_sym_protocol_token1] = ACTIONS(929),
    [aux_sym_proxy_command_token1] = ACTIONS(929),
    [aux_sym_proxy_jump_token1] = ACTIONS(929),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(929),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(929),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(929),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(929),
    [aux_sym_rekey_limit_token1] = ACTIONS(929),
    [aux_sym_remote_command_token1] = ACTIONS(929),
    [aux_sym_remote_forward_token1] = ACTIONS(929),
    [aux_sym_request_tty_token1] = ACTIONS(929),
    [aux_sym_required_rsa_size_token1] = ACTIONS(929),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(929),
    [aux_sym_security_key_provider_token1] = ACTIONS(929),
    [aux_sym_send_env_token1] = ACTIONS(929),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(929),
    [aux_sym_server_alive_interval_token1] = ACTIONS(929),
    [aux_sym_session_type_token1] = ACTIONS(929),
    [aux_sym_set_env_token1] = ACTIONS(929),
    [aux_sym_stdin_null_token1] = ACTIONS(929),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(929),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(929),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(929),
    [aux_sym_syslog_facility_token1] = ACTIONS(929),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(929),
    [aux_sym_keep_alive_token1] = ACTIONS(929),
    [aux_sym_tag_token1] = ACTIONS(929),
    [aux_sym_tunnel_token1] = ACTIONS(931),
    [aux_sym_tunnel_device_token1] = ACTIONS(929),
    [aux_sym_update_host_keys_token1] = ACTIONS(929),
    [aux_sym_use_keychain_token1] = ACTIONS(929),
    [aux_sym_use_roaming_token1] = ACTIONS(929),
    [aux_sym_user_token1] = ACTIONS(931),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(929),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(929),
    [aux_sym_visual_host_key_token1] = ACTIONS(929),
    [aux_sym_xauth_location_token1] = ACTIONS(929),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1495),
    [aux_sym_match_token1] = ACTIONS(1493),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1493),
    [aux_sym_address_family_token1] = ACTIONS(1493),
    [aux_sym_batch_mode_token1] = ACTIONS(1493),
    [aux_sym_bind_address_token1] = ACTIONS(1493),
    [aux_sym_bind_interface_token1] = ACTIONS(1493),
    [aux_sym_canonical_domains_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1493),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1493),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1493),
    [aux_sym_certificate_file_token1] = ACTIONS(1493),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1493),
    [aux_sym_channel_timeout_token1] = ACTIONS(1493),
    [aux_sym_check_host_ip_token1] = ACTIONS(1493),
    [aux_sym_ciphers_token1] = ACTIONS(1493),
    [aux_sym_cipher_token1] = ACTIONS(1495),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1493),
    [aux_sym_compression_token1] = ACTIONS(1493),
    [aux_sym_connection_attempts_token1] = ACTIONS(1493),
    [aux_sym_connect_timeout_token1] = ACTIONS(1493),
    [aux_sym_control_master_token1] = ACTIONS(1493),
    [aux_sym_control_path_token1] = ACTIONS(1493),
    [aux_sym_control_persist_token1] = ACTIONS(1493),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1493),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1493),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1493),
    [aux_sym_escape_char_token1] = ACTIONS(1493),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1493),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1493),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1493),
    [aux_sym_forward_agent_token1] = ACTIONS(1493),
    [aux_sym_forward_x11_token1] = ACTIONS(1495),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1493),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1493),
    [aux_sym_gateway_ports_token1] = ACTIONS(1493),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1493),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1493),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1493),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1493),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1493),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1493),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1493),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1493),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1493),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1493),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1493),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1493),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1493),
    [aux_sym_host_key_alias_token1] = ACTIONS(1493),
    [aux_sym_hostname_token1] = ACTIONS(1493),
    [aux_sym_identities_only_token1] = ACTIONS(1493),
    [aux_sym_identity_agent_token1] = ACTIONS(1493),
    [aux_sym_identity_file_token1] = ACTIONS(1493),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1493),
    [aux_sym_include_token1] = ACTIONS(1493),
    [aux_sym_ip_qos_token1] = ACTIONS(1493),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1493),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1493),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1493),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1493),
    [aux_sym_local_command_token1] = ACTIONS(1493),
    [aux_sym_local_forward_token1] = ACTIONS(1493),
    [aux_sym_log_level_token1] = ACTIONS(1493),
    [aux_sym_log_verbose_token1] = ACTIONS(1493),
    [aux_sym_macs_token1] = ACTIONS(1493),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1493),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1493),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1493),
    [aux_sym_password_authentication_token1] = ACTIONS(1493),
    [aux_sym_permit_local_command_token1] = ACTIONS(1493),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1493),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1493),
    [aux_sym_port_token1] = ACTIONS(1493),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1493),
    [aux_sym_protocol_token1] = ACTIONS(1493),
    [aux_sym_proxy_command_token1] = ACTIONS(1493),
    [aux_sym_proxy_jump_token1] = ACTIONS(1493),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1493),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1493),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1493),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1493),
    [aux_sym_rekey_limit_token1] = ACTIONS(1493),
    [aux_sym_remote_command_token1] = ACTIONS(1493),
    [aux_sym_remote_forward_token1] = ACTIONS(1493),
    [aux_sym_request_tty_token1] = ACTIONS(1493),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1493),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1493),
    [aux_sym_security_key_provider_token1] = ACTIONS(1493),
    [aux_sym_send_env_token1] = ACTIONS(1493),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1493),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1493),
    [aux_sym_session_type_token1] = ACTIONS(1493),
    [aux_sym_set_env_token1] = ACTIONS(1493),
    [aux_sym_stdin_null_token1] = ACTIONS(1493),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1493),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1493),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1493),
    [aux_sym_syslog_facility_token1] = ACTIONS(1493),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1493),
    [aux_sym_keep_alive_token1] = ACTIONS(1493),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [aux_sym_tunnel_token1] = ACTIONS(1495),
    [aux_sym_tunnel_device_token1] = ACTIONS(1493),
    [aux_sym_update_host_keys_token1] = ACTIONS(1493),
    [aux_sym_use_keychain_token1] = ACTIONS(1493),
    [aux_sym_use_roaming_token1] = ACTIONS(1493),
    [aux_sym_user_token1] = ACTIONS(1495),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1493),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1493),
    [aux_sym_visual_host_key_token1] = ACTIONS(1493),
    [aux_sym_xauth_location_token1] = ACTIONS(1493),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1793),
    [aux_sym_match_token1] = ACTIONS(1791),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1791),
    [aux_sym_address_family_token1] = ACTIONS(1791),
    [aux_sym_batch_mode_token1] = ACTIONS(1791),
    [aux_sym_bind_address_token1] = ACTIONS(1791),
    [aux_sym_bind_interface_token1] = ACTIONS(1791),
    [aux_sym_canonical_domains_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1791),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1791),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1791),
    [aux_sym_certificate_file_token1] = ACTIONS(1791),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1791),
    [aux_sym_channel_timeout_token1] = ACTIONS(1791),
    [aux_sym_check_host_ip_token1] = ACTIONS(1791),
    [aux_sym_ciphers_token1] = ACTIONS(1791),
    [aux_sym_cipher_token1] = ACTIONS(1793),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1791),
    [aux_sym_compression_token1] = ACTIONS(1791),
    [aux_sym_connection_attempts_token1] = ACTIONS(1791),
    [aux_sym_connect_timeout_token1] = ACTIONS(1791),
    [aux_sym_control_master_token1] = ACTIONS(1791),
    [aux_sym_control_path_token1] = ACTIONS(1791),
    [aux_sym_control_persist_token1] = ACTIONS(1791),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1791),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1791),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1791),
    [aux_sym_escape_char_token1] = ACTIONS(1791),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1791),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1791),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1791),
    [aux_sym_forward_agent_token1] = ACTIONS(1791),
    [aux_sym_forward_x11_token1] = ACTIONS(1793),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1791),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1791),
    [aux_sym_gateway_ports_token1] = ACTIONS(1791),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1791),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1791),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1791),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1791),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1791),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1791),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1791),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1791),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1791),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1791),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1791),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1791),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1791),
    [aux_sym_host_key_alias_token1] = ACTIONS(1791),
    [aux_sym_hostname_token1] = ACTIONS(1791),
    [aux_sym_identities_only_token1] = ACTIONS(1791),
    [aux_sym_identity_agent_token1] = ACTIONS(1791),
    [aux_sym_identity_file_token1] = ACTIONS(1791),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1791),
    [aux_sym_include_token1] = ACTIONS(1791),
    [aux_sym_ip_qos_token1] = ACTIONS(1791),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1791),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1791),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1791),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1791),
    [aux_sym_local_command_token1] = ACTIONS(1791),
    [aux_sym_local_forward_token1] = ACTIONS(1791),
    [aux_sym_log_level_token1] = ACTIONS(1791),
    [aux_sym_log_verbose_token1] = ACTIONS(1791),
    [aux_sym_macs_token1] = ACTIONS(1791),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1791),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1791),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1791),
    [aux_sym_password_authentication_token1] = ACTIONS(1791),
    [aux_sym_permit_local_command_token1] = ACTIONS(1791),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1791),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1791),
    [aux_sym_port_token1] = ACTIONS(1791),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1791),
    [aux_sym_protocol_token1] = ACTIONS(1791),
    [aux_sym_proxy_command_token1] = ACTIONS(1791),
    [aux_sym_proxy_jump_token1] = ACTIONS(1791),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1791),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1791),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1791),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1791),
    [aux_sym_rekey_limit_token1] = ACTIONS(1791),
    [aux_sym_remote_command_token1] = ACTIONS(1791),
    [aux_sym_remote_forward_token1] = ACTIONS(1791),
    [aux_sym_request_tty_token1] = ACTIONS(1791),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1791),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1791),
    [aux_sym_security_key_provider_token1] = ACTIONS(1791),
    [aux_sym_send_env_token1] = ACTIONS(1791),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1791),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1791),
    [aux_sym_session_type_token1] = ACTIONS(1791),
    [aux_sym_set_env_token1] = ACTIONS(1791),
    [aux_sym_stdin_null_token1] = ACTIONS(1791),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1791),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1791),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1791),
    [aux_sym_syslog_facility_token1] = ACTIONS(1791),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1791),
    [aux_sym_keep_alive_token1] = ACTIONS(1791),
    [aux_sym_tag_token1] = ACTIONS(1791),
    [aux_sym_tunnel_token1] = ACTIONS(1793),
    [aux_sym_tunnel_device_token1] = ACTIONS(1791),
    [aux_sym_update_host_keys_token1] = ACTIONS(1791),
    [aux_sym_use_keychain_token1] = ACTIONS(1791),
    [aux_sym_use_roaming_token1] = ACTIONS(1791),
    [aux_sym_user_token1] = ACTIONS(1793),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1791),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1791),
    [aux_sym_visual_host_key_token1] = ACTIONS(1791),
    [aux_sym_xauth_location_token1] = ACTIONS(1791),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(925),
    [aux_sym_match_token1] = ACTIONS(923),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(923),
    [aux_sym_address_family_token1] = ACTIONS(923),
    [aux_sym_batch_mode_token1] = ACTIONS(923),
    [aux_sym_bind_address_token1] = ACTIONS(923),
    [aux_sym_bind_interface_token1] = ACTIONS(923),
    [aux_sym_canonical_domains_token1] = ACTIONS(923),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(923),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(923),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(923),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(923),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(923),
    [aux_sym_certificate_file_token1] = ACTIONS(923),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(923),
    [aux_sym_channel_timeout_token1] = ACTIONS(923),
    [aux_sym_check_host_ip_token1] = ACTIONS(923),
    [aux_sym_ciphers_token1] = ACTIONS(923),
    [aux_sym_cipher_token1] = ACTIONS(925),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(923),
    [aux_sym_compression_token1] = ACTIONS(923),
    [aux_sym_connection_attempts_token1] = ACTIONS(923),
    [aux_sym_connect_timeout_token1] = ACTIONS(923),
    [aux_sym_control_master_token1] = ACTIONS(923),
    [aux_sym_control_path_token1] = ACTIONS(923),
    [aux_sym_control_persist_token1] = ACTIONS(923),
    [aux_sym_dynamic_forward_token1] = ACTIONS(923),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(923),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(923),
    [aux_sym_escape_char_token1] = ACTIONS(923),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(923),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(923),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(923),
    [aux_sym_forward_agent_token1] = ACTIONS(923),
    [aux_sym_forward_x11_token1] = ACTIONS(925),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(923),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(923),
    [aux_sym_gateway_ports_token1] = ACTIONS(923),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(923),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(923),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(923),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(923),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(923),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(923),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(923),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(923),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(923),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(923),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(923),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(923),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(923),
    [aux_sym_host_key_alias_token1] = ACTIONS(923),
    [aux_sym_hostname_token1] = ACTIONS(923),
    [aux_sym_identities_only_token1] = ACTIONS(923),
    [aux_sym_identity_agent_token1] = ACTIONS(923),
    [aux_sym_identity_file_token1] = ACTIONS(923),
    [aux_sym_ignore_unknown_token1] = ACTIONS(923),
    [aux_sym_include_token1] = ACTIONS(923),
    [aux_sym_ip_qos_token1] = ACTIONS(923),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(923),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(923),
    [aux_sym_kex_algorithms_token1] = ACTIONS(923),
    [aux_sym_known_hosts_command_token1] = ACTIONS(923),
    [aux_sym_local_command_token1] = ACTIONS(923),
    [aux_sym_local_forward_token1] = ACTIONS(923),
    [aux_sym_log_level_token1] = ACTIONS(923),
    [aux_sym_log_verbose_token1] = ACTIONS(923),
    [aux_sym_macs_token1] = ACTIONS(923),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(923),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(923),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(923),
    [aux_sym_password_authentication_token1] = ACTIONS(923),
    [aux_sym_permit_local_command_token1] = ACTIONS(923),
    [aux_sym_permit_remote_open_token1] = ACTIONS(923),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(923),
    [aux_sym_port_token1] = ACTIONS(923),
    [aux_sym_preferred_authentications_token1] = ACTIONS(923),
    [aux_sym_protocol_token1] = ACTIONS(923),
    [aux_sym_proxy_command_token1] = ACTIONS(923),
    [aux_sym_proxy_jump_token1] = ACTIONS(923),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(923),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(923),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(923),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(923),
    [aux_sym_rekey_limit_token1] = ACTIONS(923),
    [aux_sym_remote_command_token1] = ACTIONS(923),
    [aux_sym_remote_forward_token1] = ACTIONS(923),
    [aux_sym_request_tty_token1] = ACTIONS(923),
    [aux_sym_required_rsa_size_token1] = ACTIONS(923),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(923),
    [aux_sym_security_key_provider_token1] = ACTIONS(923),
    [aux_sym_send_env_token1] = ACTIONS(923),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(923),
    [aux_sym_server_alive_interval_token1] = ACTIONS(923),
    [aux_sym_session_type_token1] = ACTIONS(923),
    [aux_sym_set_env_token1] = ACTIONS(923),
    [aux_sym_stdin_null_token1] = ACTIONS(923),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(923),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(923),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(923),
    [aux_sym_syslog_facility_token1] = ACTIONS(923),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(923),
    [aux_sym_keep_alive_token1] = ACTIONS(923),
    [aux_sym_tag_token1] = ACTIONS(923),
    [aux_sym_tunnel_token1] = ACTIONS(925),
    [aux_sym_tunnel_device_token1] = ACTIONS(923),
    [aux_sym_update_host_keys_token1] = ACTIONS(923),
    [aux_sym_use_keychain_token1] = ACTIONS(923),
    [aux_sym_use_roaming_token1] = ACTIONS(923),
    [aux_sym_user_token1] = ACTIONS(925),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(923),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(923),
    [aux_sym_visual_host_key_token1] = ACTIONS(923),
    [aux_sym_xauth_location_token1] = ACTIONS(923),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1531),
    [aux_sym_match_token1] = ACTIONS(1529),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1529),
    [aux_sym_address_family_token1] = ACTIONS(1529),
    [aux_sym_batch_mode_token1] = ACTIONS(1529),
    [aux_sym_bind_address_token1] = ACTIONS(1529),
    [aux_sym_bind_interface_token1] = ACTIONS(1529),
    [aux_sym_canonical_domains_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1529),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1529),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1529),
    [aux_sym_certificate_file_token1] = ACTIONS(1529),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1529),
    [aux_sym_channel_timeout_token1] = ACTIONS(1529),
    [aux_sym_check_host_ip_token1] = ACTIONS(1529),
    [aux_sym_ciphers_token1] = ACTIONS(1529),
    [aux_sym_cipher_token1] = ACTIONS(1531),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1529),
    [aux_sym_compression_token1] = ACTIONS(1529),
    [aux_sym_connection_attempts_token1] = ACTIONS(1529),
    [aux_sym_connect_timeout_token1] = ACTIONS(1529),
    [aux_sym_control_master_token1] = ACTIONS(1529),
    [aux_sym_control_path_token1] = ACTIONS(1529),
    [aux_sym_control_persist_token1] = ACTIONS(1529),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1529),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1529),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1529),
    [aux_sym_escape_char_token1] = ACTIONS(1529),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1529),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1529),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1529),
    [aux_sym_forward_agent_token1] = ACTIONS(1529),
    [aux_sym_forward_x11_token1] = ACTIONS(1531),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1529),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1529),
    [aux_sym_gateway_ports_token1] = ACTIONS(1529),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1529),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1529),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1529),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1529),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1529),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1529),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1529),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1529),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1529),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1529),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1529),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1529),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1529),
    [aux_sym_host_key_alias_token1] = ACTIONS(1529),
    [aux_sym_hostname_token1] = ACTIONS(1529),
    [aux_sym_identities_only_token1] = ACTIONS(1529),
    [aux_sym_identity_agent_token1] = ACTIONS(1529),
    [aux_sym_identity_file_token1] = ACTIONS(1529),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1529),
    [aux_sym_include_token1] = ACTIONS(1529),
    [aux_sym_ip_qos_token1] = ACTIONS(1529),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1529),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1529),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1529),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1529),
    [aux_sym_local_command_token1] = ACTIONS(1529),
    [aux_sym_local_forward_token1] = ACTIONS(1529),
    [aux_sym_log_level_token1] = ACTIONS(1529),
    [aux_sym_log_verbose_token1] = ACTIONS(1529),
    [aux_sym_macs_token1] = ACTIONS(1529),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1529),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1529),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1529),
    [aux_sym_password_authentication_token1] = ACTIONS(1529),
    [aux_sym_permit_local_command_token1] = ACTIONS(1529),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1529),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1529),
    [aux_sym_port_token1] = ACTIONS(1529),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1529),
    [aux_sym_protocol_token1] = ACTIONS(1529),
    [aux_sym_proxy_command_token1] = ACTIONS(1529),
    [aux_sym_proxy_jump_token1] = ACTIONS(1529),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1529),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1529),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1529),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1529),
    [aux_sym_rekey_limit_token1] = ACTIONS(1529),
    [aux_sym_remote_command_token1] = ACTIONS(1529),
    [aux_sym_remote_forward_token1] = ACTIONS(1529),
    [aux_sym_request_tty_token1] = ACTIONS(1529),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1529),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1529),
    [aux_sym_security_key_provider_token1] = ACTIONS(1529),
    [aux_sym_send_env_token1] = ACTIONS(1529),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1529),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1529),
    [aux_sym_session_type_token1] = ACTIONS(1529),
    [aux_sym_set_env_token1] = ACTIONS(1529),
    [aux_sym_stdin_null_token1] = ACTIONS(1529),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1529),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1529),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1529),
    [aux_sym_syslog_facility_token1] = ACTIONS(1529),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1529),
    [aux_sym_keep_alive_token1] = ACTIONS(1529),
    [aux_sym_tag_token1] = ACTIONS(1529),
    [aux_sym_tunnel_token1] = ACTIONS(1531),
    [aux_sym_tunnel_device_token1] = ACTIONS(1529),
    [aux_sym_update_host_keys_token1] = ACTIONS(1529),
    [aux_sym_use_keychain_token1] = ACTIONS(1529),
    [aux_sym_use_roaming_token1] = ACTIONS(1529),
    [aux_sym_user_token1] = ACTIONS(1531),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1529),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1529),
    [aux_sym_visual_host_key_token1] = ACTIONS(1529),
    [aux_sym_xauth_location_token1] = ACTIONS(1529),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1787),
    [aux_sym_match_token1] = ACTIONS(1785),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1785),
    [aux_sym_address_family_token1] = ACTIONS(1785),
    [aux_sym_batch_mode_token1] = ACTIONS(1785),
    [aux_sym_bind_address_token1] = ACTIONS(1785),
    [aux_sym_bind_interface_token1] = ACTIONS(1785),
    [aux_sym_canonical_domains_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1785),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1785),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1785),
    [aux_sym_certificate_file_token1] = ACTIONS(1785),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1785),
    [aux_sym_channel_timeout_token1] = ACTIONS(1785),
    [aux_sym_check_host_ip_token1] = ACTIONS(1785),
    [aux_sym_ciphers_token1] = ACTIONS(1785),
    [aux_sym_cipher_token1] = ACTIONS(1787),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1785),
    [aux_sym_compression_token1] = ACTIONS(1785),
    [aux_sym_connection_attempts_token1] = ACTIONS(1785),
    [aux_sym_connect_timeout_token1] = ACTIONS(1785),
    [aux_sym_control_master_token1] = ACTIONS(1785),
    [aux_sym_control_path_token1] = ACTIONS(1785),
    [aux_sym_control_persist_token1] = ACTIONS(1785),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1785),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1785),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1785),
    [aux_sym_escape_char_token1] = ACTIONS(1785),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1785),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1785),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1785),
    [aux_sym_forward_agent_token1] = ACTIONS(1785),
    [aux_sym_forward_x11_token1] = ACTIONS(1787),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1785),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1785),
    [aux_sym_gateway_ports_token1] = ACTIONS(1785),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1785),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1785),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1785),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1785),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1785),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1785),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1785),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1785),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1785),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1785),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1785),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1785),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1785),
    [aux_sym_host_key_alias_token1] = ACTIONS(1785),
    [aux_sym_hostname_token1] = ACTIONS(1785),
    [aux_sym_identities_only_token1] = ACTIONS(1785),
    [aux_sym_identity_agent_token1] = ACTIONS(1785),
    [aux_sym_identity_file_token1] = ACTIONS(1785),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1785),
    [aux_sym_include_token1] = ACTIONS(1785),
    [aux_sym_ip_qos_token1] = ACTIONS(1785),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1785),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1785),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1785),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1785),
    [aux_sym_local_command_token1] = ACTIONS(1785),
    [aux_sym_local_forward_token1] = ACTIONS(1785),
    [aux_sym_log_level_token1] = ACTIONS(1785),
    [aux_sym_log_verbose_token1] = ACTIONS(1785),
    [aux_sym_macs_token1] = ACTIONS(1785),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1785),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1785),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1785),
    [aux_sym_password_authentication_token1] = ACTIONS(1785),
    [aux_sym_permit_local_command_token1] = ACTIONS(1785),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1785),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1785),
    [aux_sym_port_token1] = ACTIONS(1785),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1785),
    [aux_sym_protocol_token1] = ACTIONS(1785),
    [aux_sym_proxy_command_token1] = ACTIONS(1785),
    [aux_sym_proxy_jump_token1] = ACTIONS(1785),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1785),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1785),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1785),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1785),
    [aux_sym_rekey_limit_token1] = ACTIONS(1785),
    [aux_sym_remote_command_token1] = ACTIONS(1785),
    [aux_sym_remote_forward_token1] = ACTIONS(1785),
    [aux_sym_request_tty_token1] = ACTIONS(1785),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1785),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1785),
    [aux_sym_security_key_provider_token1] = ACTIONS(1785),
    [aux_sym_send_env_token1] = ACTIONS(1785),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1785),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1785),
    [aux_sym_session_type_token1] = ACTIONS(1785),
    [aux_sym_set_env_token1] = ACTIONS(1785),
    [aux_sym_stdin_null_token1] = ACTIONS(1785),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1785),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1785),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1785),
    [aux_sym_syslog_facility_token1] = ACTIONS(1785),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1785),
    [aux_sym_keep_alive_token1] = ACTIONS(1785),
    [aux_sym_tag_token1] = ACTIONS(1785),
    [aux_sym_tunnel_token1] = ACTIONS(1787),
    [aux_sym_tunnel_device_token1] = ACTIONS(1785),
    [aux_sym_update_host_keys_token1] = ACTIONS(1785),
    [aux_sym_use_keychain_token1] = ACTIONS(1785),
    [aux_sym_use_roaming_token1] = ACTIONS(1785),
    [aux_sym_user_token1] = ACTIONS(1787),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1785),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1785),
    [aux_sym_visual_host_key_token1] = ACTIONS(1785),
    [aux_sym_xauth_location_token1] = ACTIONS(1785),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(757),
    [aux_sym_match_token1] = ACTIONS(755),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(755),
    [aux_sym_address_family_token1] = ACTIONS(755),
    [aux_sym_batch_mode_token1] = ACTIONS(755),
    [aux_sym_bind_address_token1] = ACTIONS(755),
    [aux_sym_bind_interface_token1] = ACTIONS(755),
    [aux_sym_canonical_domains_token1] = ACTIONS(755),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(755),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(755),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(755),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(755),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(755),
    [aux_sym_certificate_file_token1] = ACTIONS(755),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(755),
    [aux_sym_channel_timeout_token1] = ACTIONS(755),
    [aux_sym_check_host_ip_token1] = ACTIONS(755),
    [aux_sym_ciphers_token1] = ACTIONS(755),
    [aux_sym_cipher_token1] = ACTIONS(757),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(755),
    [aux_sym_compression_token1] = ACTIONS(755),
    [aux_sym_connection_attempts_token1] = ACTIONS(755),
    [aux_sym_connect_timeout_token1] = ACTIONS(755),
    [aux_sym_control_master_token1] = ACTIONS(755),
    [aux_sym_control_path_token1] = ACTIONS(755),
    [aux_sym_control_persist_token1] = ACTIONS(755),
    [aux_sym_dynamic_forward_token1] = ACTIONS(755),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(755),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(755),
    [aux_sym_escape_char_token1] = ACTIONS(755),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(755),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(755),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(755),
    [aux_sym_forward_agent_token1] = ACTIONS(755),
    [aux_sym_forward_x11_token1] = ACTIONS(757),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(755),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(755),
    [aux_sym_gateway_ports_token1] = ACTIONS(755),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(755),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(755),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(755),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(755),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(755),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(755),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(755),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(755),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(755),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(755),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(755),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(755),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(755),
    [aux_sym_host_key_alias_token1] = ACTIONS(755),
    [aux_sym_hostname_token1] = ACTIONS(755),
    [aux_sym_identities_only_token1] = ACTIONS(755),
    [aux_sym_identity_agent_token1] = ACTIONS(755),
    [aux_sym_identity_file_token1] = ACTIONS(755),
    [aux_sym_ignore_unknown_token1] = ACTIONS(755),
    [aux_sym_include_token1] = ACTIONS(755),
    [aux_sym_ip_qos_token1] = ACTIONS(755),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(755),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(755),
    [aux_sym_kex_algorithms_token1] = ACTIONS(755),
    [aux_sym_known_hosts_command_token1] = ACTIONS(755),
    [aux_sym_local_command_token1] = ACTIONS(755),
    [aux_sym_local_forward_token1] = ACTIONS(755),
    [aux_sym_log_level_token1] = ACTIONS(755),
    [aux_sym_log_verbose_token1] = ACTIONS(755),
    [aux_sym_macs_token1] = ACTIONS(755),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(755),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(755),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(755),
    [aux_sym_password_authentication_token1] = ACTIONS(755),
    [aux_sym_permit_local_command_token1] = ACTIONS(755),
    [aux_sym_permit_remote_open_token1] = ACTIONS(755),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(755),
    [aux_sym_port_token1] = ACTIONS(755),
    [aux_sym_preferred_authentications_token1] = ACTIONS(755),
    [aux_sym_protocol_token1] = ACTIONS(755),
    [aux_sym_proxy_command_token1] = ACTIONS(755),
    [aux_sym_proxy_jump_token1] = ACTIONS(755),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(755),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(755),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(755),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(755),
    [aux_sym_rekey_limit_token1] = ACTIONS(755),
    [aux_sym_remote_command_token1] = ACTIONS(755),
    [aux_sym_remote_forward_token1] = ACTIONS(755),
    [aux_sym_request_tty_token1] = ACTIONS(755),
    [aux_sym_required_rsa_size_token1] = ACTIONS(755),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(755),
    [aux_sym_security_key_provider_token1] = ACTIONS(755),
    [aux_sym_send_env_token1] = ACTIONS(755),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(755),
    [aux_sym_server_alive_interval_token1] = ACTIONS(755),
    [aux_sym_session_type_token1] = ACTIONS(755),
    [aux_sym_set_env_token1] = ACTIONS(755),
    [aux_sym_stdin_null_token1] = ACTIONS(755),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(755),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(755),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(755),
    [aux_sym_syslog_facility_token1] = ACTIONS(755),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(755),
    [aux_sym_keep_alive_token1] = ACTIONS(755),
    [aux_sym_tag_token1] = ACTIONS(755),
    [aux_sym_tunnel_token1] = ACTIONS(757),
    [aux_sym_tunnel_device_token1] = ACTIONS(755),
    [aux_sym_update_host_keys_token1] = ACTIONS(755),
    [aux_sym_use_keychain_token1] = ACTIONS(755),
    [aux_sym_use_roaming_token1] = ACTIONS(755),
    [aux_sym_user_token1] = ACTIONS(757),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(755),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(755),
    [aux_sym_visual_host_key_token1] = ACTIONS(755),
    [aux_sym_xauth_location_token1] = ACTIONS(755),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(1499),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1501),
    [aux_sym_match_token1] = ACTIONS(1499),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1499),
    [aux_sym_address_family_token1] = ACTIONS(1499),
    [aux_sym_batch_mode_token1] = ACTIONS(1499),
    [aux_sym_bind_address_token1] = ACTIONS(1499),
    [aux_sym_bind_interface_token1] = ACTIONS(1499),
    [aux_sym_canonical_domains_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1499),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1499),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1499),
    [aux_sym_certificate_file_token1] = ACTIONS(1499),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1499),
    [aux_sym_channel_timeout_token1] = ACTIONS(1499),
    [aux_sym_check_host_ip_token1] = ACTIONS(1499),
    [aux_sym_ciphers_token1] = ACTIONS(1499),
    [aux_sym_cipher_token1] = ACTIONS(1501),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1499),
    [aux_sym_compression_token1] = ACTIONS(1499),
    [aux_sym_connection_attempts_token1] = ACTIONS(1499),
    [aux_sym_connect_timeout_token1] = ACTIONS(1499),
    [aux_sym_control_master_token1] = ACTIONS(1499),
    [aux_sym_control_path_token1] = ACTIONS(1499),
    [aux_sym_control_persist_token1] = ACTIONS(1499),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1499),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1499),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1499),
    [aux_sym_escape_char_token1] = ACTIONS(1499),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1499),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1499),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1499),
    [aux_sym_forward_agent_token1] = ACTIONS(1499),
    [aux_sym_forward_x11_token1] = ACTIONS(1501),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1499),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1499),
    [aux_sym_gateway_ports_token1] = ACTIONS(1499),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1499),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1499),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1499),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1499),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1499),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1499),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1499),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1499),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1499),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1499),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1499),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1499),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1499),
    [aux_sym_host_key_alias_token1] = ACTIONS(1499),
    [aux_sym_hostname_token1] = ACTIONS(1499),
    [aux_sym_identities_only_token1] = ACTIONS(1499),
    [aux_sym_identity_agent_token1] = ACTIONS(1499),
    [aux_sym_identity_file_token1] = ACTIONS(1499),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1499),
    [aux_sym_include_token1] = ACTIONS(1499),
    [aux_sym_ip_qos_token1] = ACTIONS(1499),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1499),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1499),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1499),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1499),
    [aux_sym_local_command_token1] = ACTIONS(1499),
    [aux_sym_local_forward_token1] = ACTIONS(1499),
    [aux_sym_log_level_token1] = ACTIONS(1499),
    [aux_sym_log_verbose_token1] = ACTIONS(1499),
    [aux_sym_macs_token1] = ACTIONS(1499),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1499),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1499),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1499),
    [aux_sym_password_authentication_token1] = ACTIONS(1499),
    [aux_sym_permit_local_command_token1] = ACTIONS(1499),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1499),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1499),
    [aux_sym_port_token1] = ACTIONS(1499),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1499),
    [aux_sym_protocol_token1] = ACTIONS(1499),
    [aux_sym_proxy_command_token1] = ACTIONS(1499),
    [aux_sym_proxy_jump_token1] = ACTIONS(1499),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1499),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1499),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1499),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1499),
    [aux_sym_rekey_limit_token1] = ACTIONS(1499),
    [aux_sym_remote_command_token1] = ACTIONS(1499),
    [aux_sym_remote_forward_token1] = ACTIONS(1499),
    [aux_sym_request_tty_token1] = ACTIONS(1499),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1499),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1499),
    [aux_sym_security_key_provider_token1] = ACTIONS(1499),
    [aux_sym_send_env_token1] = ACTIONS(1499),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1499),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1499),
    [aux_sym_session_type_token1] = ACTIONS(1499),
    [aux_sym_set_env_token1] = ACTIONS(1499),
    [aux_sym_stdin_null_token1] = ACTIONS(1499),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1499),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1499),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1499),
    [aux_sym_syslog_facility_token1] = ACTIONS(1499),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1499),
    [aux_sym_keep_alive_token1] = ACTIONS(1499),
    [aux_sym_tag_token1] = ACTIONS(1499),
    [aux_sym_tunnel_token1] = ACTIONS(1501),
    [aux_sym_tunnel_device_token1] = ACTIONS(1499),
    [aux_sym_update_host_keys_token1] = ACTIONS(1499),
    [aux_sym_use_keychain_token1] = ACTIONS(1499),
    [aux_sym_use_roaming_token1] = ACTIONS(1499),
    [aux_sym_user_token1] = ACTIONS(1501),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1499),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1499),
    [aux_sym_visual_host_key_token1] = ACTIONS(1499),
    [aux_sym_xauth_location_token1] = ACTIONS(1499),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1781),
    [aux_sym_match_token1] = ACTIONS(1779),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1779),
    [aux_sym_address_family_token1] = ACTIONS(1779),
    [aux_sym_batch_mode_token1] = ACTIONS(1779),
    [aux_sym_bind_address_token1] = ACTIONS(1779),
    [aux_sym_bind_interface_token1] = ACTIONS(1779),
    [aux_sym_canonical_domains_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1779),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1779),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1779),
    [aux_sym_certificate_file_token1] = ACTIONS(1779),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1779),
    [aux_sym_channel_timeout_token1] = ACTIONS(1779),
    [aux_sym_check_host_ip_token1] = ACTIONS(1779),
    [aux_sym_ciphers_token1] = ACTIONS(1779),
    [aux_sym_cipher_token1] = ACTIONS(1781),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1779),
    [aux_sym_compression_token1] = ACTIONS(1779),
    [aux_sym_connection_attempts_token1] = ACTIONS(1779),
    [aux_sym_connect_timeout_token1] = ACTIONS(1779),
    [aux_sym_control_master_token1] = ACTIONS(1779),
    [aux_sym_control_path_token1] = ACTIONS(1779),
    [aux_sym_control_persist_token1] = ACTIONS(1779),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1779),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1779),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1779),
    [aux_sym_escape_char_token1] = ACTIONS(1779),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1779),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1779),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1779),
    [aux_sym_forward_agent_token1] = ACTIONS(1779),
    [aux_sym_forward_x11_token1] = ACTIONS(1781),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1779),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1779),
    [aux_sym_gateway_ports_token1] = ACTIONS(1779),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1779),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1779),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1779),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1779),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1779),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1779),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1779),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1779),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1779),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1779),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1779),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1779),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1779),
    [aux_sym_host_key_alias_token1] = ACTIONS(1779),
    [aux_sym_hostname_token1] = ACTIONS(1779),
    [aux_sym_identities_only_token1] = ACTIONS(1779),
    [aux_sym_identity_agent_token1] = ACTIONS(1779),
    [aux_sym_identity_file_token1] = ACTIONS(1779),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1779),
    [aux_sym_include_token1] = ACTIONS(1779),
    [aux_sym_ip_qos_token1] = ACTIONS(1779),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1779),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1779),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1779),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1779),
    [aux_sym_local_command_token1] = ACTIONS(1779),
    [aux_sym_local_forward_token1] = ACTIONS(1779),
    [aux_sym_log_level_token1] = ACTIONS(1779),
    [aux_sym_log_verbose_token1] = ACTIONS(1779),
    [aux_sym_macs_token1] = ACTIONS(1779),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1779),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1779),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1779),
    [aux_sym_password_authentication_token1] = ACTIONS(1779),
    [aux_sym_permit_local_command_token1] = ACTIONS(1779),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1779),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1779),
    [aux_sym_port_token1] = ACTIONS(1779),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1779),
    [aux_sym_protocol_token1] = ACTIONS(1779),
    [aux_sym_proxy_command_token1] = ACTIONS(1779),
    [aux_sym_proxy_jump_token1] = ACTIONS(1779),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1779),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1779),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1779),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1779),
    [aux_sym_rekey_limit_token1] = ACTIONS(1779),
    [aux_sym_remote_command_token1] = ACTIONS(1779),
    [aux_sym_remote_forward_token1] = ACTIONS(1779),
    [aux_sym_request_tty_token1] = ACTIONS(1779),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1779),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1779),
    [aux_sym_security_key_provider_token1] = ACTIONS(1779),
    [aux_sym_send_env_token1] = ACTIONS(1779),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1779),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1779),
    [aux_sym_session_type_token1] = ACTIONS(1779),
    [aux_sym_set_env_token1] = ACTIONS(1779),
    [aux_sym_stdin_null_token1] = ACTIONS(1779),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1779),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1779),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1779),
    [aux_sym_syslog_facility_token1] = ACTIONS(1779),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1779),
    [aux_sym_keep_alive_token1] = ACTIONS(1779),
    [aux_sym_tag_token1] = ACTIONS(1779),
    [aux_sym_tunnel_token1] = ACTIONS(1781),
    [aux_sym_tunnel_device_token1] = ACTIONS(1779),
    [aux_sym_update_host_keys_token1] = ACTIONS(1779),
    [aux_sym_use_keychain_token1] = ACTIONS(1779),
    [aux_sym_use_roaming_token1] = ACTIONS(1779),
    [aux_sym_user_token1] = ACTIONS(1781),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1779),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1779),
    [aux_sym_visual_host_key_token1] = ACTIONS(1779),
    [aux_sym_xauth_location_token1] = ACTIONS(1779),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1727),
    [aux_sym_match_token1] = ACTIONS(1725),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1725),
    [aux_sym_address_family_token1] = ACTIONS(1725),
    [aux_sym_batch_mode_token1] = ACTIONS(1725),
    [aux_sym_bind_address_token1] = ACTIONS(1725),
    [aux_sym_bind_interface_token1] = ACTIONS(1725),
    [aux_sym_canonical_domains_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1725),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1725),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1725),
    [aux_sym_certificate_file_token1] = ACTIONS(1725),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1725),
    [aux_sym_channel_timeout_token1] = ACTIONS(1725),
    [aux_sym_check_host_ip_token1] = ACTIONS(1725),
    [aux_sym_ciphers_token1] = ACTIONS(1725),
    [aux_sym_cipher_token1] = ACTIONS(1727),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1725),
    [aux_sym_compression_token1] = ACTIONS(1725),
    [aux_sym_connection_attempts_token1] = ACTIONS(1725),
    [aux_sym_connect_timeout_token1] = ACTIONS(1725),
    [aux_sym_control_master_token1] = ACTIONS(1725),
    [aux_sym_control_path_token1] = ACTIONS(1725),
    [aux_sym_control_persist_token1] = ACTIONS(1725),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1725),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1725),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1725),
    [aux_sym_escape_char_token1] = ACTIONS(1725),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1725),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1725),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1725),
    [aux_sym_forward_agent_token1] = ACTIONS(1725),
    [aux_sym_forward_x11_token1] = ACTIONS(1727),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1725),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1725),
    [aux_sym_gateway_ports_token1] = ACTIONS(1725),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1725),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1725),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1725),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1725),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1725),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1725),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1725),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1725),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1725),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1725),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1725),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1725),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1725),
    [aux_sym_host_key_alias_token1] = ACTIONS(1725),
    [aux_sym_hostname_token1] = ACTIONS(1725),
    [aux_sym_identities_only_token1] = ACTIONS(1725),
    [aux_sym_identity_agent_token1] = ACTIONS(1725),
    [aux_sym_identity_file_token1] = ACTIONS(1725),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1725),
    [aux_sym_include_token1] = ACTIONS(1725),
    [aux_sym_ip_qos_token1] = ACTIONS(1725),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1725),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1725),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1725),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1725),
    [aux_sym_local_command_token1] = ACTIONS(1725),
    [aux_sym_local_forward_token1] = ACTIONS(1725),
    [aux_sym_log_level_token1] = ACTIONS(1725),
    [aux_sym_log_verbose_token1] = ACTIONS(1725),
    [aux_sym_macs_token1] = ACTIONS(1725),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1725),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1725),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1725),
    [aux_sym_password_authentication_token1] = ACTIONS(1725),
    [aux_sym_permit_local_command_token1] = ACTIONS(1725),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1725),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1725),
    [aux_sym_port_token1] = ACTIONS(1725),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1725),
    [aux_sym_protocol_token1] = ACTIONS(1725),
    [aux_sym_proxy_command_token1] = ACTIONS(1725),
    [aux_sym_proxy_jump_token1] = ACTIONS(1725),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1725),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1725),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1725),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1725),
    [aux_sym_rekey_limit_token1] = ACTIONS(1725),
    [aux_sym_remote_command_token1] = ACTIONS(1725),
    [aux_sym_remote_forward_token1] = ACTIONS(1725),
    [aux_sym_request_tty_token1] = ACTIONS(1725),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1725),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1725),
    [aux_sym_security_key_provider_token1] = ACTIONS(1725),
    [aux_sym_send_env_token1] = ACTIONS(1725),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1725),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1725),
    [aux_sym_session_type_token1] = ACTIONS(1725),
    [aux_sym_set_env_token1] = ACTIONS(1725),
    [aux_sym_stdin_null_token1] = ACTIONS(1725),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1725),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1725),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1725),
    [aux_sym_syslog_facility_token1] = ACTIONS(1725),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1725),
    [aux_sym_keep_alive_token1] = ACTIONS(1725),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [aux_sym_tunnel_token1] = ACTIONS(1727),
    [aux_sym_tunnel_device_token1] = ACTIONS(1725),
    [aux_sym_update_host_keys_token1] = ACTIONS(1725),
    [aux_sym_use_keychain_token1] = ACTIONS(1725),
    [aux_sym_use_roaming_token1] = ACTIONS(1725),
    [aux_sym_user_token1] = ACTIONS(1727),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1725),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1725),
    [aux_sym_visual_host_key_token1] = ACTIONS(1725),
    [aux_sym_xauth_location_token1] = ACTIONS(1725),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(919),
    [aux_sym_match_token1] = ACTIONS(917),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(917),
    [aux_sym_address_family_token1] = ACTIONS(917),
    [aux_sym_batch_mode_token1] = ACTIONS(917),
    [aux_sym_bind_address_token1] = ACTIONS(917),
    [aux_sym_bind_interface_token1] = ACTIONS(917),
    [aux_sym_canonical_domains_token1] = ACTIONS(917),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(917),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(917),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(917),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(917),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(917),
    [aux_sym_certificate_file_token1] = ACTIONS(917),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(917),
    [aux_sym_channel_timeout_token1] = ACTIONS(917),
    [aux_sym_check_host_ip_token1] = ACTIONS(917),
    [aux_sym_ciphers_token1] = ACTIONS(917),
    [aux_sym_cipher_token1] = ACTIONS(919),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(917),
    [aux_sym_compression_token1] = ACTIONS(917),
    [aux_sym_connection_attempts_token1] = ACTIONS(917),
    [aux_sym_connect_timeout_token1] = ACTIONS(917),
    [aux_sym_control_master_token1] = ACTIONS(917),
    [aux_sym_control_path_token1] = ACTIONS(917),
    [aux_sym_control_persist_token1] = ACTIONS(917),
    [aux_sym_dynamic_forward_token1] = ACTIONS(917),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(917),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(917),
    [aux_sym_escape_char_token1] = ACTIONS(917),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(917),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(917),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(917),
    [aux_sym_forward_agent_token1] = ACTIONS(917),
    [aux_sym_forward_x11_token1] = ACTIONS(919),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(917),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(917),
    [aux_sym_gateway_ports_token1] = ACTIONS(917),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(917),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(917),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(917),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(917),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(917),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(917),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(917),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(917),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(917),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(917),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(917),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(917),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(917),
    [aux_sym_host_key_alias_token1] = ACTIONS(917),
    [aux_sym_hostname_token1] = ACTIONS(917),
    [aux_sym_identities_only_token1] = ACTIONS(917),
    [aux_sym_identity_agent_token1] = ACTIONS(917),
    [aux_sym_identity_file_token1] = ACTIONS(917),
    [aux_sym_ignore_unknown_token1] = ACTIONS(917),
    [aux_sym_include_token1] = ACTIONS(917),
    [aux_sym_ip_qos_token1] = ACTIONS(917),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(917),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(917),
    [aux_sym_kex_algorithms_token1] = ACTIONS(917),
    [aux_sym_known_hosts_command_token1] = ACTIONS(917),
    [aux_sym_local_command_token1] = ACTIONS(917),
    [aux_sym_local_forward_token1] = ACTIONS(917),
    [aux_sym_log_level_token1] = ACTIONS(917),
    [aux_sym_log_verbose_token1] = ACTIONS(917),
    [aux_sym_macs_token1] = ACTIONS(917),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(917),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(917),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(917),
    [aux_sym_password_authentication_token1] = ACTIONS(917),
    [aux_sym_permit_local_command_token1] = ACTIONS(917),
    [aux_sym_permit_remote_open_token1] = ACTIONS(917),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(917),
    [aux_sym_port_token1] = ACTIONS(917),
    [aux_sym_preferred_authentications_token1] = ACTIONS(917),
    [aux_sym_protocol_token1] = ACTIONS(917),
    [aux_sym_proxy_command_token1] = ACTIONS(917),
    [aux_sym_proxy_jump_token1] = ACTIONS(917),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(917),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(917),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(917),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(917),
    [aux_sym_rekey_limit_token1] = ACTIONS(917),
    [aux_sym_remote_command_token1] = ACTIONS(917),
    [aux_sym_remote_forward_token1] = ACTIONS(917),
    [aux_sym_request_tty_token1] = ACTIONS(917),
    [aux_sym_required_rsa_size_token1] = ACTIONS(917),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(917),
    [aux_sym_security_key_provider_token1] = ACTIONS(917),
    [aux_sym_send_env_token1] = ACTIONS(917),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(917),
    [aux_sym_server_alive_interval_token1] = ACTIONS(917),
    [aux_sym_session_type_token1] = ACTIONS(917),
    [aux_sym_set_env_token1] = ACTIONS(917),
    [aux_sym_stdin_null_token1] = ACTIONS(917),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(917),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(917),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(917),
    [aux_sym_syslog_facility_token1] = ACTIONS(917),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(917),
    [aux_sym_keep_alive_token1] = ACTIONS(917),
    [aux_sym_tag_token1] = ACTIONS(917),
    [aux_sym_tunnel_token1] = ACTIONS(919),
    [aux_sym_tunnel_device_token1] = ACTIONS(917),
    [aux_sym_update_host_keys_token1] = ACTIONS(917),
    [aux_sym_use_keychain_token1] = ACTIONS(917),
    [aux_sym_use_roaming_token1] = ACTIONS(917),
    [aux_sym_user_token1] = ACTIONS(919),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(917),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(917),
    [aux_sym_visual_host_key_token1] = ACTIONS(917),
    [aux_sym_xauth_location_token1] = ACTIONS(917),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1775),
    [aux_sym_match_token1] = ACTIONS(1773),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1773),
    [aux_sym_address_family_token1] = ACTIONS(1773),
    [aux_sym_batch_mode_token1] = ACTIONS(1773),
    [aux_sym_bind_address_token1] = ACTIONS(1773),
    [aux_sym_bind_interface_token1] = ACTIONS(1773),
    [aux_sym_canonical_domains_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1773),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1773),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1773),
    [aux_sym_certificate_file_token1] = ACTIONS(1773),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1773),
    [aux_sym_channel_timeout_token1] = ACTIONS(1773),
    [aux_sym_check_host_ip_token1] = ACTIONS(1773),
    [aux_sym_ciphers_token1] = ACTIONS(1773),
    [aux_sym_cipher_token1] = ACTIONS(1775),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1773),
    [aux_sym_compression_token1] = ACTIONS(1773),
    [aux_sym_connection_attempts_token1] = ACTIONS(1773),
    [aux_sym_connect_timeout_token1] = ACTIONS(1773),
    [aux_sym_control_master_token1] = ACTIONS(1773),
    [aux_sym_control_path_token1] = ACTIONS(1773),
    [aux_sym_control_persist_token1] = ACTIONS(1773),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1773),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1773),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1773),
    [aux_sym_escape_char_token1] = ACTIONS(1773),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1773),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1773),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1773),
    [aux_sym_forward_agent_token1] = ACTIONS(1773),
    [aux_sym_forward_x11_token1] = ACTIONS(1775),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1773),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1773),
    [aux_sym_gateway_ports_token1] = ACTIONS(1773),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1773),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1773),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1773),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1773),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1773),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1773),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1773),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1773),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1773),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1773),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1773),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1773),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1773),
    [aux_sym_host_key_alias_token1] = ACTIONS(1773),
    [aux_sym_hostname_token1] = ACTIONS(1773),
    [aux_sym_identities_only_token1] = ACTIONS(1773),
    [aux_sym_identity_agent_token1] = ACTIONS(1773),
    [aux_sym_identity_file_token1] = ACTIONS(1773),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1773),
    [aux_sym_include_token1] = ACTIONS(1773),
    [aux_sym_ip_qos_token1] = ACTIONS(1773),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1773),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1773),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1773),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1773),
    [aux_sym_local_command_token1] = ACTIONS(1773),
    [aux_sym_local_forward_token1] = ACTIONS(1773),
    [aux_sym_log_level_token1] = ACTIONS(1773),
    [aux_sym_log_verbose_token1] = ACTIONS(1773),
    [aux_sym_macs_token1] = ACTIONS(1773),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1773),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1773),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1773),
    [aux_sym_password_authentication_token1] = ACTIONS(1773),
    [aux_sym_permit_local_command_token1] = ACTIONS(1773),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1773),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1773),
    [aux_sym_port_token1] = ACTIONS(1773),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1773),
    [aux_sym_protocol_token1] = ACTIONS(1773),
    [aux_sym_proxy_command_token1] = ACTIONS(1773),
    [aux_sym_proxy_jump_token1] = ACTIONS(1773),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1773),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1773),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1773),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1773),
    [aux_sym_rekey_limit_token1] = ACTIONS(1773),
    [aux_sym_remote_command_token1] = ACTIONS(1773),
    [aux_sym_remote_forward_token1] = ACTIONS(1773),
    [aux_sym_request_tty_token1] = ACTIONS(1773),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1773),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1773),
    [aux_sym_security_key_provider_token1] = ACTIONS(1773),
    [aux_sym_send_env_token1] = ACTIONS(1773),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1773),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1773),
    [aux_sym_session_type_token1] = ACTIONS(1773),
    [aux_sym_set_env_token1] = ACTIONS(1773),
    [aux_sym_stdin_null_token1] = ACTIONS(1773),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1773),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1773),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1773),
    [aux_sym_syslog_facility_token1] = ACTIONS(1773),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1773),
    [aux_sym_keep_alive_token1] = ACTIONS(1773),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [aux_sym_tunnel_token1] = ACTIONS(1775),
    [aux_sym_tunnel_device_token1] = ACTIONS(1773),
    [aux_sym_update_host_keys_token1] = ACTIONS(1773),
    [aux_sym_use_keychain_token1] = ACTIONS(1773),
    [aux_sym_use_roaming_token1] = ACTIONS(1773),
    [aux_sym_user_token1] = ACTIONS(1775),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1773),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1773),
    [aux_sym_visual_host_key_token1] = ACTIONS(1773),
    [aux_sym_xauth_location_token1] = ACTIONS(1773),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(763),
    [aux_sym_match_token1] = ACTIONS(761),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(761),
    [aux_sym_address_family_token1] = ACTIONS(761),
    [aux_sym_batch_mode_token1] = ACTIONS(761),
    [aux_sym_bind_address_token1] = ACTIONS(761),
    [aux_sym_bind_interface_token1] = ACTIONS(761),
    [aux_sym_canonical_domains_token1] = ACTIONS(761),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(761),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(761),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(761),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(761),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(761),
    [aux_sym_certificate_file_token1] = ACTIONS(761),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(761),
    [aux_sym_channel_timeout_token1] = ACTIONS(761),
    [aux_sym_check_host_ip_token1] = ACTIONS(761),
    [aux_sym_ciphers_token1] = ACTIONS(761),
    [aux_sym_cipher_token1] = ACTIONS(763),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(761),
    [aux_sym_compression_token1] = ACTIONS(761),
    [aux_sym_connection_attempts_token1] = ACTIONS(761),
    [aux_sym_connect_timeout_token1] = ACTIONS(761),
    [aux_sym_control_master_token1] = ACTIONS(761),
    [aux_sym_control_path_token1] = ACTIONS(761),
    [aux_sym_control_persist_token1] = ACTIONS(761),
    [aux_sym_dynamic_forward_token1] = ACTIONS(761),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(761),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(761),
    [aux_sym_escape_char_token1] = ACTIONS(761),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(761),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(761),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(761),
    [aux_sym_forward_agent_token1] = ACTIONS(761),
    [aux_sym_forward_x11_token1] = ACTIONS(763),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(761),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(761),
    [aux_sym_gateway_ports_token1] = ACTIONS(761),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(761),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(761),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(761),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(761),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(761),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(761),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(761),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(761),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(761),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(761),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(761),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(761),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(761),
    [aux_sym_host_key_alias_token1] = ACTIONS(761),
    [aux_sym_hostname_token1] = ACTIONS(761),
    [aux_sym_identities_only_token1] = ACTIONS(761),
    [aux_sym_identity_agent_token1] = ACTIONS(761),
    [aux_sym_identity_file_token1] = ACTIONS(761),
    [aux_sym_ignore_unknown_token1] = ACTIONS(761),
    [aux_sym_include_token1] = ACTIONS(761),
    [aux_sym_ip_qos_token1] = ACTIONS(761),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(761),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(761),
    [aux_sym_kex_algorithms_token1] = ACTIONS(761),
    [aux_sym_known_hosts_command_token1] = ACTIONS(761),
    [aux_sym_local_command_token1] = ACTIONS(761),
    [aux_sym_local_forward_token1] = ACTIONS(761),
    [aux_sym_log_level_token1] = ACTIONS(761),
    [aux_sym_log_verbose_token1] = ACTIONS(761),
    [aux_sym_macs_token1] = ACTIONS(761),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(761),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(761),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(761),
    [aux_sym_password_authentication_token1] = ACTIONS(761),
    [aux_sym_permit_local_command_token1] = ACTIONS(761),
    [aux_sym_permit_remote_open_token1] = ACTIONS(761),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(761),
    [aux_sym_port_token1] = ACTIONS(761),
    [aux_sym_preferred_authentications_token1] = ACTIONS(761),
    [aux_sym_protocol_token1] = ACTIONS(761),
    [aux_sym_proxy_command_token1] = ACTIONS(761),
    [aux_sym_proxy_jump_token1] = ACTIONS(761),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(761),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(761),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(761),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(761),
    [aux_sym_rekey_limit_token1] = ACTIONS(761),
    [aux_sym_remote_command_token1] = ACTIONS(761),
    [aux_sym_remote_forward_token1] = ACTIONS(761),
    [aux_sym_request_tty_token1] = ACTIONS(761),
    [aux_sym_required_rsa_size_token1] = ACTIONS(761),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(761),
    [aux_sym_security_key_provider_token1] = ACTIONS(761),
    [aux_sym_send_env_token1] = ACTIONS(761),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(761),
    [aux_sym_server_alive_interval_token1] = ACTIONS(761),
    [aux_sym_session_type_token1] = ACTIONS(761),
    [aux_sym_set_env_token1] = ACTIONS(761),
    [aux_sym_stdin_null_token1] = ACTIONS(761),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(761),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(761),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(761),
    [aux_sym_syslog_facility_token1] = ACTIONS(761),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(761),
    [aux_sym_keep_alive_token1] = ACTIONS(761),
    [aux_sym_tag_token1] = ACTIONS(761),
    [aux_sym_tunnel_token1] = ACTIONS(763),
    [aux_sym_tunnel_device_token1] = ACTIONS(761),
    [aux_sym_update_host_keys_token1] = ACTIONS(761),
    [aux_sym_use_keychain_token1] = ACTIONS(761),
    [aux_sym_use_roaming_token1] = ACTIONS(761),
    [aux_sym_user_token1] = ACTIONS(763),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(761),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(761),
    [aux_sym_visual_host_key_token1] = ACTIONS(761),
    [aux_sym_xauth_location_token1] = ACTIONS(761),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1507),
    [aux_sym_match_token1] = ACTIONS(1505),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1505),
    [aux_sym_address_family_token1] = ACTIONS(1505),
    [aux_sym_batch_mode_token1] = ACTIONS(1505),
    [aux_sym_bind_address_token1] = ACTIONS(1505),
    [aux_sym_bind_interface_token1] = ACTIONS(1505),
    [aux_sym_canonical_domains_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1505),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1505),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1505),
    [aux_sym_certificate_file_token1] = ACTIONS(1505),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1505),
    [aux_sym_channel_timeout_token1] = ACTIONS(1505),
    [aux_sym_check_host_ip_token1] = ACTIONS(1505),
    [aux_sym_ciphers_token1] = ACTIONS(1505),
    [aux_sym_cipher_token1] = ACTIONS(1507),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1505),
    [aux_sym_compression_token1] = ACTIONS(1505),
    [aux_sym_connection_attempts_token1] = ACTIONS(1505),
    [aux_sym_connect_timeout_token1] = ACTIONS(1505),
    [aux_sym_control_master_token1] = ACTIONS(1505),
    [aux_sym_control_path_token1] = ACTIONS(1505),
    [aux_sym_control_persist_token1] = ACTIONS(1505),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1505),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1505),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1505),
    [aux_sym_escape_char_token1] = ACTIONS(1505),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1505),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1505),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1505),
    [aux_sym_forward_agent_token1] = ACTIONS(1505),
    [aux_sym_forward_x11_token1] = ACTIONS(1507),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1505),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1505),
    [aux_sym_gateway_ports_token1] = ACTIONS(1505),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1505),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1505),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1505),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1505),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1505),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1505),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1505),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1505),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1505),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1505),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1505),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1505),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1505),
    [aux_sym_host_key_alias_token1] = ACTIONS(1505),
    [aux_sym_hostname_token1] = ACTIONS(1505),
    [aux_sym_identities_only_token1] = ACTIONS(1505),
    [aux_sym_identity_agent_token1] = ACTIONS(1505),
    [aux_sym_identity_file_token1] = ACTIONS(1505),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1505),
    [aux_sym_include_token1] = ACTIONS(1505),
    [aux_sym_ip_qos_token1] = ACTIONS(1505),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1505),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1505),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1505),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1505),
    [aux_sym_local_command_token1] = ACTIONS(1505),
    [aux_sym_local_forward_token1] = ACTIONS(1505),
    [aux_sym_log_level_token1] = ACTIONS(1505),
    [aux_sym_log_verbose_token1] = ACTIONS(1505),
    [aux_sym_macs_token1] = ACTIONS(1505),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1505),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1505),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1505),
    [aux_sym_password_authentication_token1] = ACTIONS(1505),
    [aux_sym_permit_local_command_token1] = ACTIONS(1505),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1505),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1505),
    [aux_sym_port_token1] = ACTIONS(1505),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1505),
    [aux_sym_protocol_token1] = ACTIONS(1505),
    [aux_sym_proxy_command_token1] = ACTIONS(1505),
    [aux_sym_proxy_jump_token1] = ACTIONS(1505),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1505),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1505),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1505),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1505),
    [aux_sym_rekey_limit_token1] = ACTIONS(1505),
    [aux_sym_remote_command_token1] = ACTIONS(1505),
    [aux_sym_remote_forward_token1] = ACTIONS(1505),
    [aux_sym_request_tty_token1] = ACTIONS(1505),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1505),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1505),
    [aux_sym_security_key_provider_token1] = ACTIONS(1505),
    [aux_sym_send_env_token1] = ACTIONS(1505),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1505),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1505),
    [aux_sym_session_type_token1] = ACTIONS(1505),
    [aux_sym_set_env_token1] = ACTIONS(1505),
    [aux_sym_stdin_null_token1] = ACTIONS(1505),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1505),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1505),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1505),
    [aux_sym_syslog_facility_token1] = ACTIONS(1505),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1505),
    [aux_sym_keep_alive_token1] = ACTIONS(1505),
    [aux_sym_tag_token1] = ACTIONS(1505),
    [aux_sym_tunnel_token1] = ACTIONS(1507),
    [aux_sym_tunnel_device_token1] = ACTIONS(1505),
    [aux_sym_update_host_keys_token1] = ACTIONS(1505),
    [aux_sym_use_keychain_token1] = ACTIONS(1505),
    [aux_sym_use_roaming_token1] = ACTIONS(1505),
    [aux_sym_user_token1] = ACTIONS(1507),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1505),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1505),
    [aux_sym_visual_host_key_token1] = ACTIONS(1505),
    [aux_sym_xauth_location_token1] = ACTIONS(1505),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1769),
    [aux_sym_match_token1] = ACTIONS(1767),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1767),
    [aux_sym_address_family_token1] = ACTIONS(1767),
    [aux_sym_batch_mode_token1] = ACTIONS(1767),
    [aux_sym_bind_address_token1] = ACTIONS(1767),
    [aux_sym_bind_interface_token1] = ACTIONS(1767),
    [aux_sym_canonical_domains_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1767),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1767),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1767),
    [aux_sym_certificate_file_token1] = ACTIONS(1767),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1767),
    [aux_sym_channel_timeout_token1] = ACTIONS(1767),
    [aux_sym_check_host_ip_token1] = ACTIONS(1767),
    [aux_sym_ciphers_token1] = ACTIONS(1767),
    [aux_sym_cipher_token1] = ACTIONS(1769),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1767),
    [aux_sym_compression_token1] = ACTIONS(1767),
    [aux_sym_connection_attempts_token1] = ACTIONS(1767),
    [aux_sym_connect_timeout_token1] = ACTIONS(1767),
    [aux_sym_control_master_token1] = ACTIONS(1767),
    [aux_sym_control_path_token1] = ACTIONS(1767),
    [aux_sym_control_persist_token1] = ACTIONS(1767),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1767),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1767),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1767),
    [aux_sym_escape_char_token1] = ACTIONS(1767),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1767),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1767),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1767),
    [aux_sym_forward_agent_token1] = ACTIONS(1767),
    [aux_sym_forward_x11_token1] = ACTIONS(1769),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1767),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1767),
    [aux_sym_gateway_ports_token1] = ACTIONS(1767),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1767),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1767),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1767),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1767),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1767),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1767),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1767),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1767),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1767),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1767),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1767),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1767),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1767),
    [aux_sym_host_key_alias_token1] = ACTIONS(1767),
    [aux_sym_hostname_token1] = ACTIONS(1767),
    [aux_sym_identities_only_token1] = ACTIONS(1767),
    [aux_sym_identity_agent_token1] = ACTIONS(1767),
    [aux_sym_identity_file_token1] = ACTIONS(1767),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1767),
    [aux_sym_include_token1] = ACTIONS(1767),
    [aux_sym_ip_qos_token1] = ACTIONS(1767),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1767),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1767),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1767),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1767),
    [aux_sym_local_command_token1] = ACTIONS(1767),
    [aux_sym_local_forward_token1] = ACTIONS(1767),
    [aux_sym_log_level_token1] = ACTIONS(1767),
    [aux_sym_log_verbose_token1] = ACTIONS(1767),
    [aux_sym_macs_token1] = ACTIONS(1767),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1767),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1767),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1767),
    [aux_sym_password_authentication_token1] = ACTIONS(1767),
    [aux_sym_permit_local_command_token1] = ACTIONS(1767),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1767),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1767),
    [aux_sym_port_token1] = ACTIONS(1767),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1767),
    [aux_sym_protocol_token1] = ACTIONS(1767),
    [aux_sym_proxy_command_token1] = ACTIONS(1767),
    [aux_sym_proxy_jump_token1] = ACTIONS(1767),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1767),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1767),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1767),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1767),
    [aux_sym_rekey_limit_token1] = ACTIONS(1767),
    [aux_sym_remote_command_token1] = ACTIONS(1767),
    [aux_sym_remote_forward_token1] = ACTIONS(1767),
    [aux_sym_request_tty_token1] = ACTIONS(1767),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1767),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1767),
    [aux_sym_security_key_provider_token1] = ACTIONS(1767),
    [aux_sym_send_env_token1] = ACTIONS(1767),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1767),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1767),
    [aux_sym_session_type_token1] = ACTIONS(1767),
    [aux_sym_set_env_token1] = ACTIONS(1767),
    [aux_sym_stdin_null_token1] = ACTIONS(1767),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1767),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1767),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1767),
    [aux_sym_syslog_facility_token1] = ACTIONS(1767),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1767),
    [aux_sym_keep_alive_token1] = ACTIONS(1767),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [aux_sym_tunnel_token1] = ACTIONS(1769),
    [aux_sym_tunnel_device_token1] = ACTIONS(1767),
    [aux_sym_update_host_keys_token1] = ACTIONS(1767),
    [aux_sym_use_keychain_token1] = ACTIONS(1767),
    [aux_sym_use_roaming_token1] = ACTIONS(1767),
    [aux_sym_user_token1] = ACTIONS(1769),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1767),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1767),
    [aux_sym_visual_host_key_token1] = ACTIONS(1767),
    [aux_sym_xauth_location_token1] = ACTIONS(1767),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(913),
    [aux_sym_match_token1] = ACTIONS(911),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(911),
    [aux_sym_address_family_token1] = ACTIONS(911),
    [aux_sym_batch_mode_token1] = ACTIONS(911),
    [aux_sym_bind_address_token1] = ACTIONS(911),
    [aux_sym_bind_interface_token1] = ACTIONS(911),
    [aux_sym_canonical_domains_token1] = ACTIONS(911),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(911),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(911),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(911),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(911),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(911),
    [aux_sym_certificate_file_token1] = ACTIONS(911),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(911),
    [aux_sym_channel_timeout_token1] = ACTIONS(911),
    [aux_sym_check_host_ip_token1] = ACTIONS(911),
    [aux_sym_ciphers_token1] = ACTIONS(911),
    [aux_sym_cipher_token1] = ACTIONS(913),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(911),
    [aux_sym_compression_token1] = ACTIONS(911),
    [aux_sym_connection_attempts_token1] = ACTIONS(911),
    [aux_sym_connect_timeout_token1] = ACTIONS(911),
    [aux_sym_control_master_token1] = ACTIONS(911),
    [aux_sym_control_path_token1] = ACTIONS(911),
    [aux_sym_control_persist_token1] = ACTIONS(911),
    [aux_sym_dynamic_forward_token1] = ACTIONS(911),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(911),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(911),
    [aux_sym_escape_char_token1] = ACTIONS(911),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(911),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(911),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(911),
    [aux_sym_forward_agent_token1] = ACTIONS(911),
    [aux_sym_forward_x11_token1] = ACTIONS(913),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(911),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(911),
    [aux_sym_gateway_ports_token1] = ACTIONS(911),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(911),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(911),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(911),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(911),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(911),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(911),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(911),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(911),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(911),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(911),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(911),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(911),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(911),
    [aux_sym_host_key_alias_token1] = ACTIONS(911),
    [aux_sym_hostname_token1] = ACTIONS(911),
    [aux_sym_identities_only_token1] = ACTIONS(911),
    [aux_sym_identity_agent_token1] = ACTIONS(911),
    [aux_sym_identity_file_token1] = ACTIONS(911),
    [aux_sym_ignore_unknown_token1] = ACTIONS(911),
    [aux_sym_include_token1] = ACTIONS(911),
    [aux_sym_ip_qos_token1] = ACTIONS(911),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(911),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(911),
    [aux_sym_kex_algorithms_token1] = ACTIONS(911),
    [aux_sym_known_hosts_command_token1] = ACTIONS(911),
    [aux_sym_local_command_token1] = ACTIONS(911),
    [aux_sym_local_forward_token1] = ACTIONS(911),
    [aux_sym_log_level_token1] = ACTIONS(911),
    [aux_sym_log_verbose_token1] = ACTIONS(911),
    [aux_sym_macs_token1] = ACTIONS(911),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(911),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(911),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(911),
    [aux_sym_password_authentication_token1] = ACTIONS(911),
    [aux_sym_permit_local_command_token1] = ACTIONS(911),
    [aux_sym_permit_remote_open_token1] = ACTIONS(911),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(911),
    [aux_sym_port_token1] = ACTIONS(911),
    [aux_sym_preferred_authentications_token1] = ACTIONS(911),
    [aux_sym_protocol_token1] = ACTIONS(911),
    [aux_sym_proxy_command_token1] = ACTIONS(911),
    [aux_sym_proxy_jump_token1] = ACTIONS(911),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(911),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(911),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(911),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(911),
    [aux_sym_rekey_limit_token1] = ACTIONS(911),
    [aux_sym_remote_command_token1] = ACTIONS(911),
    [aux_sym_remote_forward_token1] = ACTIONS(911),
    [aux_sym_request_tty_token1] = ACTIONS(911),
    [aux_sym_required_rsa_size_token1] = ACTIONS(911),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(911),
    [aux_sym_security_key_provider_token1] = ACTIONS(911),
    [aux_sym_send_env_token1] = ACTIONS(911),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(911),
    [aux_sym_server_alive_interval_token1] = ACTIONS(911),
    [aux_sym_session_type_token1] = ACTIONS(911),
    [aux_sym_set_env_token1] = ACTIONS(911),
    [aux_sym_stdin_null_token1] = ACTIONS(911),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(911),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(911),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(911),
    [aux_sym_syslog_facility_token1] = ACTIONS(911),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(911),
    [aux_sym_keep_alive_token1] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(911),
    [aux_sym_tunnel_token1] = ACTIONS(913),
    [aux_sym_tunnel_device_token1] = ACTIONS(911),
    [aux_sym_update_host_keys_token1] = ACTIONS(911),
    [aux_sym_use_keychain_token1] = ACTIONS(911),
    [aux_sym_use_roaming_token1] = ACTIONS(911),
    [aux_sym_user_token1] = ACTIONS(913),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(911),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(911),
    [aux_sym_visual_host_key_token1] = ACTIONS(911),
    [aux_sym_xauth_location_token1] = ACTIONS(911),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(781),
    [aux_sym_match_token1] = ACTIONS(779),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(779),
    [aux_sym_address_family_token1] = ACTIONS(779),
    [aux_sym_batch_mode_token1] = ACTIONS(779),
    [aux_sym_bind_address_token1] = ACTIONS(779),
    [aux_sym_bind_interface_token1] = ACTIONS(779),
    [aux_sym_canonical_domains_token1] = ACTIONS(779),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(779),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(779),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(779),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(779),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(779),
    [aux_sym_certificate_file_token1] = ACTIONS(779),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(779),
    [aux_sym_channel_timeout_token1] = ACTIONS(779),
    [aux_sym_check_host_ip_token1] = ACTIONS(779),
    [aux_sym_ciphers_token1] = ACTIONS(779),
    [aux_sym_cipher_token1] = ACTIONS(781),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(779),
    [aux_sym_compression_token1] = ACTIONS(779),
    [aux_sym_connection_attempts_token1] = ACTIONS(779),
    [aux_sym_connect_timeout_token1] = ACTIONS(779),
    [aux_sym_control_master_token1] = ACTIONS(779),
    [aux_sym_control_path_token1] = ACTIONS(779),
    [aux_sym_control_persist_token1] = ACTIONS(779),
    [aux_sym_dynamic_forward_token1] = ACTIONS(779),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(779),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(779),
    [aux_sym_escape_char_token1] = ACTIONS(779),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(779),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(779),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(779),
    [aux_sym_forward_agent_token1] = ACTIONS(779),
    [aux_sym_forward_x11_token1] = ACTIONS(781),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(779),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(779),
    [aux_sym_gateway_ports_token1] = ACTIONS(779),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(779),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(779),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(779),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(779),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(779),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(779),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(779),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(779),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(779),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(779),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(779),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(779),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(779),
    [aux_sym_host_key_alias_token1] = ACTIONS(779),
    [aux_sym_hostname_token1] = ACTIONS(779),
    [aux_sym_identities_only_token1] = ACTIONS(779),
    [aux_sym_identity_agent_token1] = ACTIONS(779),
    [aux_sym_identity_file_token1] = ACTIONS(779),
    [aux_sym_ignore_unknown_token1] = ACTIONS(779),
    [aux_sym_include_token1] = ACTIONS(779),
    [aux_sym_ip_qos_token1] = ACTIONS(779),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(779),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(779),
    [aux_sym_kex_algorithms_token1] = ACTIONS(779),
    [aux_sym_known_hosts_command_token1] = ACTIONS(779),
    [aux_sym_local_command_token1] = ACTIONS(779),
    [aux_sym_local_forward_token1] = ACTIONS(779),
    [aux_sym_log_level_token1] = ACTIONS(779),
    [aux_sym_log_verbose_token1] = ACTIONS(779),
    [aux_sym_macs_token1] = ACTIONS(779),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(779),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(779),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(779),
    [aux_sym_password_authentication_token1] = ACTIONS(779),
    [aux_sym_permit_local_command_token1] = ACTIONS(779),
    [aux_sym_permit_remote_open_token1] = ACTIONS(779),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(779),
    [aux_sym_port_token1] = ACTIONS(779),
    [aux_sym_preferred_authentications_token1] = ACTIONS(779),
    [aux_sym_protocol_token1] = ACTIONS(779),
    [aux_sym_proxy_command_token1] = ACTIONS(779),
    [aux_sym_proxy_jump_token1] = ACTIONS(779),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(779),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(779),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(779),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(779),
    [aux_sym_rekey_limit_token1] = ACTIONS(779),
    [aux_sym_remote_command_token1] = ACTIONS(779),
    [aux_sym_remote_forward_token1] = ACTIONS(779),
    [aux_sym_request_tty_token1] = ACTIONS(779),
    [aux_sym_required_rsa_size_token1] = ACTIONS(779),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(779),
    [aux_sym_security_key_provider_token1] = ACTIONS(779),
    [aux_sym_send_env_token1] = ACTIONS(779),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(779),
    [aux_sym_server_alive_interval_token1] = ACTIONS(779),
    [aux_sym_session_type_token1] = ACTIONS(779),
    [aux_sym_set_env_token1] = ACTIONS(779),
    [aux_sym_stdin_null_token1] = ACTIONS(779),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(779),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(779),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(779),
    [aux_sym_syslog_facility_token1] = ACTIONS(779),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(779),
    [aux_sym_keep_alive_token1] = ACTIONS(779),
    [aux_sym_tag_token1] = ACTIONS(779),
    [aux_sym_tunnel_token1] = ACTIONS(781),
    [aux_sym_tunnel_device_token1] = ACTIONS(779),
    [aux_sym_update_host_keys_token1] = ACTIONS(779),
    [aux_sym_use_keychain_token1] = ACTIONS(779),
    [aux_sym_use_roaming_token1] = ACTIONS(779),
    [aux_sym_user_token1] = ACTIONS(781),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(779),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(779),
    [aux_sym_visual_host_key_token1] = ACTIONS(779),
    [aux_sym_xauth_location_token1] = ACTIONS(779),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1763),
    [aux_sym_match_token1] = ACTIONS(1761),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1761),
    [aux_sym_address_family_token1] = ACTIONS(1761),
    [aux_sym_batch_mode_token1] = ACTIONS(1761),
    [aux_sym_bind_address_token1] = ACTIONS(1761),
    [aux_sym_bind_interface_token1] = ACTIONS(1761),
    [aux_sym_canonical_domains_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1761),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1761),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1761),
    [aux_sym_certificate_file_token1] = ACTIONS(1761),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1761),
    [aux_sym_channel_timeout_token1] = ACTIONS(1761),
    [aux_sym_check_host_ip_token1] = ACTIONS(1761),
    [aux_sym_ciphers_token1] = ACTIONS(1761),
    [aux_sym_cipher_token1] = ACTIONS(1763),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1761),
    [aux_sym_compression_token1] = ACTIONS(1761),
    [aux_sym_connection_attempts_token1] = ACTIONS(1761),
    [aux_sym_connect_timeout_token1] = ACTIONS(1761),
    [aux_sym_control_master_token1] = ACTIONS(1761),
    [aux_sym_control_path_token1] = ACTIONS(1761),
    [aux_sym_control_persist_token1] = ACTIONS(1761),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1761),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1761),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1761),
    [aux_sym_escape_char_token1] = ACTIONS(1761),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1761),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1761),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1761),
    [aux_sym_forward_agent_token1] = ACTIONS(1761),
    [aux_sym_forward_x11_token1] = ACTIONS(1763),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1761),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1761),
    [aux_sym_gateway_ports_token1] = ACTIONS(1761),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1761),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1761),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1761),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1761),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1761),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1761),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1761),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1761),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1761),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1761),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1761),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1761),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1761),
    [aux_sym_host_key_alias_token1] = ACTIONS(1761),
    [aux_sym_hostname_token1] = ACTIONS(1761),
    [aux_sym_identities_only_token1] = ACTIONS(1761),
    [aux_sym_identity_agent_token1] = ACTIONS(1761),
    [aux_sym_identity_file_token1] = ACTIONS(1761),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1761),
    [aux_sym_include_token1] = ACTIONS(1761),
    [aux_sym_ip_qos_token1] = ACTIONS(1761),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1761),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1761),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1761),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1761),
    [aux_sym_local_command_token1] = ACTIONS(1761),
    [aux_sym_local_forward_token1] = ACTIONS(1761),
    [aux_sym_log_level_token1] = ACTIONS(1761),
    [aux_sym_log_verbose_token1] = ACTIONS(1761),
    [aux_sym_macs_token1] = ACTIONS(1761),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1761),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1761),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1761),
    [aux_sym_password_authentication_token1] = ACTIONS(1761),
    [aux_sym_permit_local_command_token1] = ACTIONS(1761),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1761),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1761),
    [aux_sym_port_token1] = ACTIONS(1761),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1761),
    [aux_sym_protocol_token1] = ACTIONS(1761),
    [aux_sym_proxy_command_token1] = ACTIONS(1761),
    [aux_sym_proxy_jump_token1] = ACTIONS(1761),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1761),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1761),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1761),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1761),
    [aux_sym_rekey_limit_token1] = ACTIONS(1761),
    [aux_sym_remote_command_token1] = ACTIONS(1761),
    [aux_sym_remote_forward_token1] = ACTIONS(1761),
    [aux_sym_request_tty_token1] = ACTIONS(1761),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1761),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1761),
    [aux_sym_security_key_provider_token1] = ACTIONS(1761),
    [aux_sym_send_env_token1] = ACTIONS(1761),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1761),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1761),
    [aux_sym_session_type_token1] = ACTIONS(1761),
    [aux_sym_set_env_token1] = ACTIONS(1761),
    [aux_sym_stdin_null_token1] = ACTIONS(1761),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1761),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1761),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1761),
    [aux_sym_syslog_facility_token1] = ACTIONS(1761),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1761),
    [aux_sym_keep_alive_token1] = ACTIONS(1761),
    [aux_sym_tag_token1] = ACTIONS(1761),
    [aux_sym_tunnel_token1] = ACTIONS(1763),
    [aux_sym_tunnel_device_token1] = ACTIONS(1761),
    [aux_sym_update_host_keys_token1] = ACTIONS(1761),
    [aux_sym_use_keychain_token1] = ACTIONS(1761),
    [aux_sym_use_roaming_token1] = ACTIONS(1761),
    [aux_sym_user_token1] = ACTIONS(1763),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1761),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1761),
    [aux_sym_visual_host_key_token1] = ACTIONS(1761),
    [aux_sym_xauth_location_token1] = ACTIONS(1761),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(769),
    [aux_sym_match_token1] = ACTIONS(767),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(767),
    [aux_sym_address_family_token1] = ACTIONS(767),
    [aux_sym_batch_mode_token1] = ACTIONS(767),
    [aux_sym_bind_address_token1] = ACTIONS(767),
    [aux_sym_bind_interface_token1] = ACTIONS(767),
    [aux_sym_canonical_domains_token1] = ACTIONS(767),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(767),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(767),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(767),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(767),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(767),
    [aux_sym_certificate_file_token1] = ACTIONS(767),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(767),
    [aux_sym_channel_timeout_token1] = ACTIONS(767),
    [aux_sym_check_host_ip_token1] = ACTIONS(767),
    [aux_sym_ciphers_token1] = ACTIONS(767),
    [aux_sym_cipher_token1] = ACTIONS(769),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(767),
    [aux_sym_compression_token1] = ACTIONS(767),
    [aux_sym_connection_attempts_token1] = ACTIONS(767),
    [aux_sym_connect_timeout_token1] = ACTIONS(767),
    [aux_sym_control_master_token1] = ACTIONS(767),
    [aux_sym_control_path_token1] = ACTIONS(767),
    [aux_sym_control_persist_token1] = ACTIONS(767),
    [aux_sym_dynamic_forward_token1] = ACTIONS(767),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(767),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(767),
    [aux_sym_escape_char_token1] = ACTIONS(767),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(767),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(767),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(767),
    [aux_sym_forward_agent_token1] = ACTIONS(767),
    [aux_sym_forward_x11_token1] = ACTIONS(769),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(767),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(767),
    [aux_sym_gateway_ports_token1] = ACTIONS(767),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(767),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(767),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(767),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(767),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(767),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(767),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(767),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(767),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(767),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(767),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(767),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(767),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(767),
    [aux_sym_host_key_alias_token1] = ACTIONS(767),
    [aux_sym_hostname_token1] = ACTIONS(767),
    [aux_sym_identities_only_token1] = ACTIONS(767),
    [aux_sym_identity_agent_token1] = ACTIONS(767),
    [aux_sym_identity_file_token1] = ACTIONS(767),
    [aux_sym_ignore_unknown_token1] = ACTIONS(767),
    [aux_sym_include_token1] = ACTIONS(767),
    [aux_sym_ip_qos_token1] = ACTIONS(767),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(767),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(767),
    [aux_sym_kex_algorithms_token1] = ACTIONS(767),
    [aux_sym_known_hosts_command_token1] = ACTIONS(767),
    [aux_sym_local_command_token1] = ACTIONS(767),
    [aux_sym_local_forward_token1] = ACTIONS(767),
    [aux_sym_log_level_token1] = ACTIONS(767),
    [aux_sym_log_verbose_token1] = ACTIONS(767),
    [aux_sym_macs_token1] = ACTIONS(767),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(767),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(767),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(767),
    [aux_sym_password_authentication_token1] = ACTIONS(767),
    [aux_sym_permit_local_command_token1] = ACTIONS(767),
    [aux_sym_permit_remote_open_token1] = ACTIONS(767),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(767),
    [aux_sym_port_token1] = ACTIONS(767),
    [aux_sym_preferred_authentications_token1] = ACTIONS(767),
    [aux_sym_protocol_token1] = ACTIONS(767),
    [aux_sym_proxy_command_token1] = ACTIONS(767),
    [aux_sym_proxy_jump_token1] = ACTIONS(767),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(767),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(767),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(767),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(767),
    [aux_sym_rekey_limit_token1] = ACTIONS(767),
    [aux_sym_remote_command_token1] = ACTIONS(767),
    [aux_sym_remote_forward_token1] = ACTIONS(767),
    [aux_sym_request_tty_token1] = ACTIONS(767),
    [aux_sym_required_rsa_size_token1] = ACTIONS(767),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(767),
    [aux_sym_security_key_provider_token1] = ACTIONS(767),
    [aux_sym_send_env_token1] = ACTIONS(767),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(767),
    [aux_sym_server_alive_interval_token1] = ACTIONS(767),
    [aux_sym_session_type_token1] = ACTIONS(767),
    [aux_sym_set_env_token1] = ACTIONS(767),
    [aux_sym_stdin_null_token1] = ACTIONS(767),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(767),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(767),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(767),
    [aux_sym_syslog_facility_token1] = ACTIONS(767),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(767),
    [aux_sym_keep_alive_token1] = ACTIONS(767),
    [aux_sym_tag_token1] = ACTIONS(767),
    [aux_sym_tunnel_token1] = ACTIONS(769),
    [aux_sym_tunnel_device_token1] = ACTIONS(767),
    [aux_sym_update_host_keys_token1] = ACTIONS(767),
    [aux_sym_use_keychain_token1] = ACTIONS(767),
    [aux_sym_use_roaming_token1] = ACTIONS(767),
    [aux_sym_user_token1] = ACTIONS(769),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(767),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(767),
    [aux_sym_visual_host_key_token1] = ACTIONS(767),
    [aux_sym_xauth_location_token1] = ACTIONS(767),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(1511),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1513),
    [aux_sym_match_token1] = ACTIONS(1511),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1511),
    [aux_sym_address_family_token1] = ACTIONS(1511),
    [aux_sym_batch_mode_token1] = ACTIONS(1511),
    [aux_sym_bind_address_token1] = ACTIONS(1511),
    [aux_sym_bind_interface_token1] = ACTIONS(1511),
    [aux_sym_canonical_domains_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1511),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1511),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1511),
    [aux_sym_certificate_file_token1] = ACTIONS(1511),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1511),
    [aux_sym_channel_timeout_token1] = ACTIONS(1511),
    [aux_sym_check_host_ip_token1] = ACTIONS(1511),
    [aux_sym_ciphers_token1] = ACTIONS(1511),
    [aux_sym_cipher_token1] = ACTIONS(1513),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1511),
    [aux_sym_compression_token1] = ACTIONS(1511),
    [aux_sym_connection_attempts_token1] = ACTIONS(1511),
    [aux_sym_connect_timeout_token1] = ACTIONS(1511),
    [aux_sym_control_master_token1] = ACTIONS(1511),
    [aux_sym_control_path_token1] = ACTIONS(1511),
    [aux_sym_control_persist_token1] = ACTIONS(1511),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1511),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1511),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1511),
    [aux_sym_escape_char_token1] = ACTIONS(1511),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1511),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1511),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1511),
    [aux_sym_forward_agent_token1] = ACTIONS(1511),
    [aux_sym_forward_x11_token1] = ACTIONS(1513),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1511),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1511),
    [aux_sym_gateway_ports_token1] = ACTIONS(1511),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1511),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1511),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1511),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1511),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1511),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1511),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1511),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1511),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1511),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1511),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1511),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1511),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1511),
    [aux_sym_host_key_alias_token1] = ACTIONS(1511),
    [aux_sym_hostname_token1] = ACTIONS(1511),
    [aux_sym_identities_only_token1] = ACTIONS(1511),
    [aux_sym_identity_agent_token1] = ACTIONS(1511),
    [aux_sym_identity_file_token1] = ACTIONS(1511),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1511),
    [aux_sym_include_token1] = ACTIONS(1511),
    [aux_sym_ip_qos_token1] = ACTIONS(1511),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1511),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1511),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1511),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1511),
    [aux_sym_local_command_token1] = ACTIONS(1511),
    [aux_sym_local_forward_token1] = ACTIONS(1511),
    [aux_sym_log_level_token1] = ACTIONS(1511),
    [aux_sym_log_verbose_token1] = ACTIONS(1511),
    [aux_sym_macs_token1] = ACTIONS(1511),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1511),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1511),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1511),
    [aux_sym_password_authentication_token1] = ACTIONS(1511),
    [aux_sym_permit_local_command_token1] = ACTIONS(1511),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1511),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1511),
    [aux_sym_port_token1] = ACTIONS(1511),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1511),
    [aux_sym_protocol_token1] = ACTIONS(1511),
    [aux_sym_proxy_command_token1] = ACTIONS(1511),
    [aux_sym_proxy_jump_token1] = ACTIONS(1511),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1511),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1511),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1511),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1511),
    [aux_sym_rekey_limit_token1] = ACTIONS(1511),
    [aux_sym_remote_command_token1] = ACTIONS(1511),
    [aux_sym_remote_forward_token1] = ACTIONS(1511),
    [aux_sym_request_tty_token1] = ACTIONS(1511),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1511),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1511),
    [aux_sym_security_key_provider_token1] = ACTIONS(1511),
    [aux_sym_send_env_token1] = ACTIONS(1511),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1511),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1511),
    [aux_sym_session_type_token1] = ACTIONS(1511),
    [aux_sym_set_env_token1] = ACTIONS(1511),
    [aux_sym_stdin_null_token1] = ACTIONS(1511),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1511),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1511),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1511),
    [aux_sym_syslog_facility_token1] = ACTIONS(1511),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1511),
    [aux_sym_keep_alive_token1] = ACTIONS(1511),
    [aux_sym_tag_token1] = ACTIONS(1511),
    [aux_sym_tunnel_token1] = ACTIONS(1513),
    [aux_sym_tunnel_device_token1] = ACTIONS(1511),
    [aux_sym_update_host_keys_token1] = ACTIONS(1511),
    [aux_sym_use_keychain_token1] = ACTIONS(1511),
    [aux_sym_use_roaming_token1] = ACTIONS(1511),
    [aux_sym_user_token1] = ACTIONS(1513),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1511),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1511),
    [aux_sym_visual_host_key_token1] = ACTIONS(1511),
    [aux_sym_xauth_location_token1] = ACTIONS(1511),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1757),
    [aux_sym_match_token1] = ACTIONS(1755),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1755),
    [aux_sym_address_family_token1] = ACTIONS(1755),
    [aux_sym_batch_mode_token1] = ACTIONS(1755),
    [aux_sym_bind_address_token1] = ACTIONS(1755),
    [aux_sym_bind_interface_token1] = ACTIONS(1755),
    [aux_sym_canonical_domains_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1755),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1755),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1755),
    [aux_sym_certificate_file_token1] = ACTIONS(1755),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1755),
    [aux_sym_channel_timeout_token1] = ACTIONS(1755),
    [aux_sym_check_host_ip_token1] = ACTIONS(1755),
    [aux_sym_ciphers_token1] = ACTIONS(1755),
    [aux_sym_cipher_token1] = ACTIONS(1757),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1755),
    [aux_sym_compression_token1] = ACTIONS(1755),
    [aux_sym_connection_attempts_token1] = ACTIONS(1755),
    [aux_sym_connect_timeout_token1] = ACTIONS(1755),
    [aux_sym_control_master_token1] = ACTIONS(1755),
    [aux_sym_control_path_token1] = ACTIONS(1755),
    [aux_sym_control_persist_token1] = ACTIONS(1755),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1755),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1755),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1755),
    [aux_sym_escape_char_token1] = ACTIONS(1755),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1755),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1755),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1755),
    [aux_sym_forward_agent_token1] = ACTIONS(1755),
    [aux_sym_forward_x11_token1] = ACTIONS(1757),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1755),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1755),
    [aux_sym_gateway_ports_token1] = ACTIONS(1755),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1755),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1755),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1755),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1755),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1755),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1755),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1755),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1755),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1755),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1755),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1755),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1755),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1755),
    [aux_sym_host_key_alias_token1] = ACTIONS(1755),
    [aux_sym_hostname_token1] = ACTIONS(1755),
    [aux_sym_identities_only_token1] = ACTIONS(1755),
    [aux_sym_identity_agent_token1] = ACTIONS(1755),
    [aux_sym_identity_file_token1] = ACTIONS(1755),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1755),
    [aux_sym_include_token1] = ACTIONS(1755),
    [aux_sym_ip_qos_token1] = ACTIONS(1755),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1755),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1755),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1755),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1755),
    [aux_sym_local_command_token1] = ACTIONS(1755),
    [aux_sym_local_forward_token1] = ACTIONS(1755),
    [aux_sym_log_level_token1] = ACTIONS(1755),
    [aux_sym_log_verbose_token1] = ACTIONS(1755),
    [aux_sym_macs_token1] = ACTIONS(1755),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1755),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1755),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1755),
    [aux_sym_password_authentication_token1] = ACTIONS(1755),
    [aux_sym_permit_local_command_token1] = ACTIONS(1755),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1755),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1755),
    [aux_sym_port_token1] = ACTIONS(1755),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1755),
    [aux_sym_protocol_token1] = ACTIONS(1755),
    [aux_sym_proxy_command_token1] = ACTIONS(1755),
    [aux_sym_proxy_jump_token1] = ACTIONS(1755),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1755),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1755),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1755),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1755),
    [aux_sym_rekey_limit_token1] = ACTIONS(1755),
    [aux_sym_remote_command_token1] = ACTIONS(1755),
    [aux_sym_remote_forward_token1] = ACTIONS(1755),
    [aux_sym_request_tty_token1] = ACTIONS(1755),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1755),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1755),
    [aux_sym_security_key_provider_token1] = ACTIONS(1755),
    [aux_sym_send_env_token1] = ACTIONS(1755),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1755),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1755),
    [aux_sym_session_type_token1] = ACTIONS(1755),
    [aux_sym_set_env_token1] = ACTIONS(1755),
    [aux_sym_stdin_null_token1] = ACTIONS(1755),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1755),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1755),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1755),
    [aux_sym_syslog_facility_token1] = ACTIONS(1755),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1755),
    [aux_sym_keep_alive_token1] = ACTIONS(1755),
    [aux_sym_tag_token1] = ACTIONS(1755),
    [aux_sym_tunnel_token1] = ACTIONS(1757),
    [aux_sym_tunnel_device_token1] = ACTIONS(1755),
    [aux_sym_update_host_keys_token1] = ACTIONS(1755),
    [aux_sym_use_keychain_token1] = ACTIONS(1755),
    [aux_sym_use_roaming_token1] = ACTIONS(1755),
    [aux_sym_user_token1] = ACTIONS(1757),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1755),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1755),
    [aux_sym_visual_host_key_token1] = ACTIONS(1755),
    [aux_sym_xauth_location_token1] = ACTIONS(1755),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1733),
    [aux_sym_match_token1] = ACTIONS(1731),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1731),
    [aux_sym_address_family_token1] = ACTIONS(1731),
    [aux_sym_batch_mode_token1] = ACTIONS(1731),
    [aux_sym_bind_address_token1] = ACTIONS(1731),
    [aux_sym_bind_interface_token1] = ACTIONS(1731),
    [aux_sym_canonical_domains_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1731),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1731),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1731),
    [aux_sym_certificate_file_token1] = ACTIONS(1731),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1731),
    [aux_sym_channel_timeout_token1] = ACTIONS(1731),
    [aux_sym_check_host_ip_token1] = ACTIONS(1731),
    [aux_sym_ciphers_token1] = ACTIONS(1731),
    [aux_sym_cipher_token1] = ACTIONS(1733),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1731),
    [aux_sym_compression_token1] = ACTIONS(1731),
    [aux_sym_connection_attempts_token1] = ACTIONS(1731),
    [aux_sym_connect_timeout_token1] = ACTIONS(1731),
    [aux_sym_control_master_token1] = ACTIONS(1731),
    [aux_sym_control_path_token1] = ACTIONS(1731),
    [aux_sym_control_persist_token1] = ACTIONS(1731),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1731),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1731),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1731),
    [aux_sym_escape_char_token1] = ACTIONS(1731),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1731),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1731),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1731),
    [aux_sym_forward_agent_token1] = ACTIONS(1731),
    [aux_sym_forward_x11_token1] = ACTIONS(1733),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1731),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1731),
    [aux_sym_gateway_ports_token1] = ACTIONS(1731),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1731),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1731),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1731),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1731),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1731),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1731),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1731),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1731),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1731),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1731),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1731),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1731),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1731),
    [aux_sym_host_key_alias_token1] = ACTIONS(1731),
    [aux_sym_hostname_token1] = ACTIONS(1731),
    [aux_sym_identities_only_token1] = ACTIONS(1731),
    [aux_sym_identity_agent_token1] = ACTIONS(1731),
    [aux_sym_identity_file_token1] = ACTIONS(1731),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1731),
    [aux_sym_include_token1] = ACTIONS(1731),
    [aux_sym_ip_qos_token1] = ACTIONS(1731),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1731),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1731),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1731),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1731),
    [aux_sym_local_command_token1] = ACTIONS(1731),
    [aux_sym_local_forward_token1] = ACTIONS(1731),
    [aux_sym_log_level_token1] = ACTIONS(1731),
    [aux_sym_log_verbose_token1] = ACTIONS(1731),
    [aux_sym_macs_token1] = ACTIONS(1731),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1731),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1731),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1731),
    [aux_sym_password_authentication_token1] = ACTIONS(1731),
    [aux_sym_permit_local_command_token1] = ACTIONS(1731),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1731),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1731),
    [aux_sym_port_token1] = ACTIONS(1731),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1731),
    [aux_sym_protocol_token1] = ACTIONS(1731),
    [aux_sym_proxy_command_token1] = ACTIONS(1731),
    [aux_sym_proxy_jump_token1] = ACTIONS(1731),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1731),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1731),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1731),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1731),
    [aux_sym_rekey_limit_token1] = ACTIONS(1731),
    [aux_sym_remote_command_token1] = ACTIONS(1731),
    [aux_sym_remote_forward_token1] = ACTIONS(1731),
    [aux_sym_request_tty_token1] = ACTIONS(1731),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1731),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1731),
    [aux_sym_security_key_provider_token1] = ACTIONS(1731),
    [aux_sym_send_env_token1] = ACTIONS(1731),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1731),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1731),
    [aux_sym_session_type_token1] = ACTIONS(1731),
    [aux_sym_set_env_token1] = ACTIONS(1731),
    [aux_sym_stdin_null_token1] = ACTIONS(1731),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1731),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1731),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1731),
    [aux_sym_syslog_facility_token1] = ACTIONS(1731),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1731),
    [aux_sym_keep_alive_token1] = ACTIONS(1731),
    [aux_sym_tag_token1] = ACTIONS(1731),
    [aux_sym_tunnel_token1] = ACTIONS(1733),
    [aux_sym_tunnel_device_token1] = ACTIONS(1731),
    [aux_sym_update_host_keys_token1] = ACTIONS(1731),
    [aux_sym_use_keychain_token1] = ACTIONS(1731),
    [aux_sym_use_roaming_token1] = ACTIONS(1731),
    [aux_sym_user_token1] = ACTIONS(1733),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1731),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1731),
    [aux_sym_visual_host_key_token1] = ACTIONS(1731),
    [aux_sym_xauth_location_token1] = ACTIONS(1731),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(907),
    [aux_sym_match_token1] = ACTIONS(905),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(905),
    [aux_sym_address_family_token1] = ACTIONS(905),
    [aux_sym_batch_mode_token1] = ACTIONS(905),
    [aux_sym_bind_address_token1] = ACTIONS(905),
    [aux_sym_bind_interface_token1] = ACTIONS(905),
    [aux_sym_canonical_domains_token1] = ACTIONS(905),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(905),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(905),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(905),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(905),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(905),
    [aux_sym_certificate_file_token1] = ACTIONS(905),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(905),
    [aux_sym_channel_timeout_token1] = ACTIONS(905),
    [aux_sym_check_host_ip_token1] = ACTIONS(905),
    [aux_sym_ciphers_token1] = ACTIONS(905),
    [aux_sym_cipher_token1] = ACTIONS(907),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(905),
    [aux_sym_compression_token1] = ACTIONS(905),
    [aux_sym_connection_attempts_token1] = ACTIONS(905),
    [aux_sym_connect_timeout_token1] = ACTIONS(905),
    [aux_sym_control_master_token1] = ACTIONS(905),
    [aux_sym_control_path_token1] = ACTIONS(905),
    [aux_sym_control_persist_token1] = ACTIONS(905),
    [aux_sym_dynamic_forward_token1] = ACTIONS(905),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(905),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(905),
    [aux_sym_escape_char_token1] = ACTIONS(905),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(905),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(905),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(905),
    [aux_sym_forward_agent_token1] = ACTIONS(905),
    [aux_sym_forward_x11_token1] = ACTIONS(907),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(905),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(905),
    [aux_sym_gateway_ports_token1] = ACTIONS(905),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(905),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(905),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(905),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(905),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(905),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(905),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(905),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(905),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(905),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(905),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(905),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(905),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(905),
    [aux_sym_host_key_alias_token1] = ACTIONS(905),
    [aux_sym_hostname_token1] = ACTIONS(905),
    [aux_sym_identities_only_token1] = ACTIONS(905),
    [aux_sym_identity_agent_token1] = ACTIONS(905),
    [aux_sym_identity_file_token1] = ACTIONS(905),
    [aux_sym_ignore_unknown_token1] = ACTIONS(905),
    [aux_sym_include_token1] = ACTIONS(905),
    [aux_sym_ip_qos_token1] = ACTIONS(905),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(905),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(905),
    [aux_sym_kex_algorithms_token1] = ACTIONS(905),
    [aux_sym_known_hosts_command_token1] = ACTIONS(905),
    [aux_sym_local_command_token1] = ACTIONS(905),
    [aux_sym_local_forward_token1] = ACTIONS(905),
    [aux_sym_log_level_token1] = ACTIONS(905),
    [aux_sym_log_verbose_token1] = ACTIONS(905),
    [aux_sym_macs_token1] = ACTIONS(905),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(905),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(905),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(905),
    [aux_sym_password_authentication_token1] = ACTIONS(905),
    [aux_sym_permit_local_command_token1] = ACTIONS(905),
    [aux_sym_permit_remote_open_token1] = ACTIONS(905),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(905),
    [aux_sym_port_token1] = ACTIONS(905),
    [aux_sym_preferred_authentications_token1] = ACTIONS(905),
    [aux_sym_protocol_token1] = ACTIONS(905),
    [aux_sym_proxy_command_token1] = ACTIONS(905),
    [aux_sym_proxy_jump_token1] = ACTIONS(905),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(905),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(905),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(905),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(905),
    [aux_sym_rekey_limit_token1] = ACTIONS(905),
    [aux_sym_remote_command_token1] = ACTIONS(905),
    [aux_sym_remote_forward_token1] = ACTIONS(905),
    [aux_sym_request_tty_token1] = ACTIONS(905),
    [aux_sym_required_rsa_size_token1] = ACTIONS(905),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(905),
    [aux_sym_security_key_provider_token1] = ACTIONS(905),
    [aux_sym_send_env_token1] = ACTIONS(905),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(905),
    [aux_sym_server_alive_interval_token1] = ACTIONS(905),
    [aux_sym_session_type_token1] = ACTIONS(905),
    [aux_sym_set_env_token1] = ACTIONS(905),
    [aux_sym_stdin_null_token1] = ACTIONS(905),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(905),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(905),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(905),
    [aux_sym_syslog_facility_token1] = ACTIONS(905),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(905),
    [aux_sym_keep_alive_token1] = ACTIONS(905),
    [aux_sym_tag_token1] = ACTIONS(905),
    [aux_sym_tunnel_token1] = ACTIONS(907),
    [aux_sym_tunnel_device_token1] = ACTIONS(905),
    [aux_sym_update_host_keys_token1] = ACTIONS(905),
    [aux_sym_use_keychain_token1] = ACTIONS(905),
    [aux_sym_use_roaming_token1] = ACTIONS(905),
    [aux_sym_user_token1] = ACTIONS(907),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(905),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(905),
    [aux_sym_visual_host_key_token1] = ACTIONS(905),
    [aux_sym_xauth_location_token1] = ACTIONS(905),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1751),
    [aux_sym_match_token1] = ACTIONS(1749),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1749),
    [aux_sym_address_family_token1] = ACTIONS(1749),
    [aux_sym_batch_mode_token1] = ACTIONS(1749),
    [aux_sym_bind_address_token1] = ACTIONS(1749),
    [aux_sym_bind_interface_token1] = ACTIONS(1749),
    [aux_sym_canonical_domains_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1749),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1749),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1749),
    [aux_sym_certificate_file_token1] = ACTIONS(1749),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1749),
    [aux_sym_channel_timeout_token1] = ACTIONS(1749),
    [aux_sym_check_host_ip_token1] = ACTIONS(1749),
    [aux_sym_ciphers_token1] = ACTIONS(1749),
    [aux_sym_cipher_token1] = ACTIONS(1751),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1749),
    [aux_sym_compression_token1] = ACTIONS(1749),
    [aux_sym_connection_attempts_token1] = ACTIONS(1749),
    [aux_sym_connect_timeout_token1] = ACTIONS(1749),
    [aux_sym_control_master_token1] = ACTIONS(1749),
    [aux_sym_control_path_token1] = ACTIONS(1749),
    [aux_sym_control_persist_token1] = ACTIONS(1749),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1749),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1749),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1749),
    [aux_sym_escape_char_token1] = ACTIONS(1749),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1749),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1749),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1749),
    [aux_sym_forward_agent_token1] = ACTIONS(1749),
    [aux_sym_forward_x11_token1] = ACTIONS(1751),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1749),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1749),
    [aux_sym_gateway_ports_token1] = ACTIONS(1749),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1749),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1749),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1749),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1749),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1749),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1749),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1749),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1749),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1749),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1749),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1749),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1749),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1749),
    [aux_sym_host_key_alias_token1] = ACTIONS(1749),
    [aux_sym_hostname_token1] = ACTIONS(1749),
    [aux_sym_identities_only_token1] = ACTIONS(1749),
    [aux_sym_identity_agent_token1] = ACTIONS(1749),
    [aux_sym_identity_file_token1] = ACTIONS(1749),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1749),
    [aux_sym_include_token1] = ACTIONS(1749),
    [aux_sym_ip_qos_token1] = ACTIONS(1749),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1749),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1749),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1749),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1749),
    [aux_sym_local_command_token1] = ACTIONS(1749),
    [aux_sym_local_forward_token1] = ACTIONS(1749),
    [aux_sym_log_level_token1] = ACTIONS(1749),
    [aux_sym_log_verbose_token1] = ACTIONS(1749),
    [aux_sym_macs_token1] = ACTIONS(1749),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1749),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1749),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1749),
    [aux_sym_password_authentication_token1] = ACTIONS(1749),
    [aux_sym_permit_local_command_token1] = ACTIONS(1749),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1749),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1749),
    [aux_sym_port_token1] = ACTIONS(1749),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1749),
    [aux_sym_protocol_token1] = ACTIONS(1749),
    [aux_sym_proxy_command_token1] = ACTIONS(1749),
    [aux_sym_proxy_jump_token1] = ACTIONS(1749),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1749),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1749),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1749),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1749),
    [aux_sym_rekey_limit_token1] = ACTIONS(1749),
    [aux_sym_remote_command_token1] = ACTIONS(1749),
    [aux_sym_remote_forward_token1] = ACTIONS(1749),
    [aux_sym_request_tty_token1] = ACTIONS(1749),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1749),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1749),
    [aux_sym_security_key_provider_token1] = ACTIONS(1749),
    [aux_sym_send_env_token1] = ACTIONS(1749),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1749),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1749),
    [aux_sym_session_type_token1] = ACTIONS(1749),
    [aux_sym_set_env_token1] = ACTIONS(1749),
    [aux_sym_stdin_null_token1] = ACTIONS(1749),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1749),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1749),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1749),
    [aux_sym_syslog_facility_token1] = ACTIONS(1749),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1749),
    [aux_sym_keep_alive_token1] = ACTIONS(1749),
    [aux_sym_tag_token1] = ACTIONS(1749),
    [aux_sym_tunnel_token1] = ACTIONS(1751),
    [aux_sym_tunnel_device_token1] = ACTIONS(1749),
    [aux_sym_update_host_keys_token1] = ACTIONS(1749),
    [aux_sym_use_keychain_token1] = ACTIONS(1749),
    [aux_sym_use_roaming_token1] = ACTIONS(1749),
    [aux_sym_user_token1] = ACTIONS(1751),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1749),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1749),
    [aux_sym_visual_host_key_token1] = ACTIONS(1749),
    [aux_sym_xauth_location_token1] = ACTIONS(1749),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(775),
    [aux_sym_match_token1] = ACTIONS(773),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(773),
    [aux_sym_address_family_token1] = ACTIONS(773),
    [aux_sym_batch_mode_token1] = ACTIONS(773),
    [aux_sym_bind_address_token1] = ACTIONS(773),
    [aux_sym_bind_interface_token1] = ACTIONS(773),
    [aux_sym_canonical_domains_token1] = ACTIONS(773),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(773),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(773),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(773),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(773),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(773),
    [aux_sym_certificate_file_token1] = ACTIONS(773),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(773),
    [aux_sym_channel_timeout_token1] = ACTIONS(773),
    [aux_sym_check_host_ip_token1] = ACTIONS(773),
    [aux_sym_ciphers_token1] = ACTIONS(773),
    [aux_sym_cipher_token1] = ACTIONS(775),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(773),
    [aux_sym_compression_token1] = ACTIONS(773),
    [aux_sym_connection_attempts_token1] = ACTIONS(773),
    [aux_sym_connect_timeout_token1] = ACTIONS(773),
    [aux_sym_control_master_token1] = ACTIONS(773),
    [aux_sym_control_path_token1] = ACTIONS(773),
    [aux_sym_control_persist_token1] = ACTIONS(773),
    [aux_sym_dynamic_forward_token1] = ACTIONS(773),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(773),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(773),
    [aux_sym_escape_char_token1] = ACTIONS(773),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(773),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(773),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(773),
    [aux_sym_forward_agent_token1] = ACTIONS(773),
    [aux_sym_forward_x11_token1] = ACTIONS(775),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(773),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(773),
    [aux_sym_gateway_ports_token1] = ACTIONS(773),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(773),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(773),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(773),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(773),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(773),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(773),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(773),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(773),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(773),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(773),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(773),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(773),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(773),
    [aux_sym_host_key_alias_token1] = ACTIONS(773),
    [aux_sym_hostname_token1] = ACTIONS(773),
    [aux_sym_identities_only_token1] = ACTIONS(773),
    [aux_sym_identity_agent_token1] = ACTIONS(773),
    [aux_sym_identity_file_token1] = ACTIONS(773),
    [aux_sym_ignore_unknown_token1] = ACTIONS(773),
    [aux_sym_include_token1] = ACTIONS(773),
    [aux_sym_ip_qos_token1] = ACTIONS(773),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(773),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(773),
    [aux_sym_kex_algorithms_token1] = ACTIONS(773),
    [aux_sym_known_hosts_command_token1] = ACTIONS(773),
    [aux_sym_local_command_token1] = ACTIONS(773),
    [aux_sym_local_forward_token1] = ACTIONS(773),
    [aux_sym_log_level_token1] = ACTIONS(773),
    [aux_sym_log_verbose_token1] = ACTIONS(773),
    [aux_sym_macs_token1] = ACTIONS(773),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(773),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(773),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(773),
    [aux_sym_password_authentication_token1] = ACTIONS(773),
    [aux_sym_permit_local_command_token1] = ACTIONS(773),
    [aux_sym_permit_remote_open_token1] = ACTIONS(773),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(773),
    [aux_sym_port_token1] = ACTIONS(773),
    [aux_sym_preferred_authentications_token1] = ACTIONS(773),
    [aux_sym_protocol_token1] = ACTIONS(773),
    [aux_sym_proxy_command_token1] = ACTIONS(773),
    [aux_sym_proxy_jump_token1] = ACTIONS(773),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(773),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(773),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(773),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(773),
    [aux_sym_rekey_limit_token1] = ACTIONS(773),
    [aux_sym_remote_command_token1] = ACTIONS(773),
    [aux_sym_remote_forward_token1] = ACTIONS(773),
    [aux_sym_request_tty_token1] = ACTIONS(773),
    [aux_sym_required_rsa_size_token1] = ACTIONS(773),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(773),
    [aux_sym_security_key_provider_token1] = ACTIONS(773),
    [aux_sym_send_env_token1] = ACTIONS(773),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(773),
    [aux_sym_server_alive_interval_token1] = ACTIONS(773),
    [aux_sym_session_type_token1] = ACTIONS(773),
    [aux_sym_set_env_token1] = ACTIONS(773),
    [aux_sym_stdin_null_token1] = ACTIONS(773),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(773),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(773),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(773),
    [aux_sym_syslog_facility_token1] = ACTIONS(773),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(773),
    [aux_sym_keep_alive_token1] = ACTIONS(773),
    [aux_sym_tag_token1] = ACTIONS(773),
    [aux_sym_tunnel_token1] = ACTIONS(775),
    [aux_sym_tunnel_device_token1] = ACTIONS(773),
    [aux_sym_update_host_keys_token1] = ACTIONS(773),
    [aux_sym_use_keychain_token1] = ACTIONS(773),
    [aux_sym_use_roaming_token1] = ACTIONS(773),
    [aux_sym_user_token1] = ACTIONS(775),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(773),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(773),
    [aux_sym_visual_host_key_token1] = ACTIONS(773),
    [aux_sym_xauth_location_token1] = ACTIONS(773),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1525),
    [aux_sym_match_token1] = ACTIONS(1523),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1523),
    [aux_sym_address_family_token1] = ACTIONS(1523),
    [aux_sym_batch_mode_token1] = ACTIONS(1523),
    [aux_sym_bind_address_token1] = ACTIONS(1523),
    [aux_sym_bind_interface_token1] = ACTIONS(1523),
    [aux_sym_canonical_domains_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1523),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1523),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1523),
    [aux_sym_certificate_file_token1] = ACTIONS(1523),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1523),
    [aux_sym_channel_timeout_token1] = ACTIONS(1523),
    [aux_sym_check_host_ip_token1] = ACTIONS(1523),
    [aux_sym_ciphers_token1] = ACTIONS(1523),
    [aux_sym_cipher_token1] = ACTIONS(1525),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1523),
    [aux_sym_compression_token1] = ACTIONS(1523),
    [aux_sym_connection_attempts_token1] = ACTIONS(1523),
    [aux_sym_connect_timeout_token1] = ACTIONS(1523),
    [aux_sym_control_master_token1] = ACTIONS(1523),
    [aux_sym_control_path_token1] = ACTIONS(1523),
    [aux_sym_control_persist_token1] = ACTIONS(1523),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1523),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1523),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1523),
    [aux_sym_escape_char_token1] = ACTIONS(1523),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1523),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1523),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1523),
    [aux_sym_forward_agent_token1] = ACTIONS(1523),
    [aux_sym_forward_x11_token1] = ACTIONS(1525),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1523),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1523),
    [aux_sym_gateway_ports_token1] = ACTIONS(1523),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1523),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1523),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1523),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1523),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1523),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1523),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1523),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1523),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1523),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1523),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1523),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1523),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1523),
    [aux_sym_host_key_alias_token1] = ACTIONS(1523),
    [aux_sym_hostname_token1] = ACTIONS(1523),
    [aux_sym_identities_only_token1] = ACTIONS(1523),
    [aux_sym_identity_agent_token1] = ACTIONS(1523),
    [aux_sym_identity_file_token1] = ACTIONS(1523),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1523),
    [aux_sym_include_token1] = ACTIONS(1523),
    [aux_sym_ip_qos_token1] = ACTIONS(1523),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1523),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1523),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1523),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1523),
    [aux_sym_local_command_token1] = ACTIONS(1523),
    [aux_sym_local_forward_token1] = ACTIONS(1523),
    [aux_sym_log_level_token1] = ACTIONS(1523),
    [aux_sym_log_verbose_token1] = ACTIONS(1523),
    [aux_sym_macs_token1] = ACTIONS(1523),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1523),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1523),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1523),
    [aux_sym_password_authentication_token1] = ACTIONS(1523),
    [aux_sym_permit_local_command_token1] = ACTIONS(1523),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1523),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1523),
    [aux_sym_port_token1] = ACTIONS(1523),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1523),
    [aux_sym_protocol_token1] = ACTIONS(1523),
    [aux_sym_proxy_command_token1] = ACTIONS(1523),
    [aux_sym_proxy_jump_token1] = ACTIONS(1523),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1523),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1523),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1523),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1523),
    [aux_sym_rekey_limit_token1] = ACTIONS(1523),
    [aux_sym_remote_command_token1] = ACTIONS(1523),
    [aux_sym_remote_forward_token1] = ACTIONS(1523),
    [aux_sym_request_tty_token1] = ACTIONS(1523),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1523),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1523),
    [aux_sym_security_key_provider_token1] = ACTIONS(1523),
    [aux_sym_send_env_token1] = ACTIONS(1523),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1523),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1523),
    [aux_sym_session_type_token1] = ACTIONS(1523),
    [aux_sym_set_env_token1] = ACTIONS(1523),
    [aux_sym_stdin_null_token1] = ACTIONS(1523),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1523),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1523),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1523),
    [aux_sym_syslog_facility_token1] = ACTIONS(1523),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1523),
    [aux_sym_keep_alive_token1] = ACTIONS(1523),
    [aux_sym_tag_token1] = ACTIONS(1523),
    [aux_sym_tunnel_token1] = ACTIONS(1525),
    [aux_sym_tunnel_device_token1] = ACTIONS(1523),
    [aux_sym_update_host_keys_token1] = ACTIONS(1523),
    [aux_sym_use_keychain_token1] = ACTIONS(1523),
    [aux_sym_use_roaming_token1] = ACTIONS(1523),
    [aux_sym_user_token1] = ACTIONS(1525),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1523),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1523),
    [aux_sym_visual_host_key_token1] = ACTIONS(1523),
    [aux_sym_xauth_location_token1] = ACTIONS(1523),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1745),
    [aux_sym_match_token1] = ACTIONS(1743),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1743),
    [aux_sym_address_family_token1] = ACTIONS(1743),
    [aux_sym_batch_mode_token1] = ACTIONS(1743),
    [aux_sym_bind_address_token1] = ACTIONS(1743),
    [aux_sym_bind_interface_token1] = ACTIONS(1743),
    [aux_sym_canonical_domains_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1743),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1743),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1743),
    [aux_sym_certificate_file_token1] = ACTIONS(1743),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1743),
    [aux_sym_channel_timeout_token1] = ACTIONS(1743),
    [aux_sym_check_host_ip_token1] = ACTIONS(1743),
    [aux_sym_ciphers_token1] = ACTIONS(1743),
    [aux_sym_cipher_token1] = ACTIONS(1745),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1743),
    [aux_sym_compression_token1] = ACTIONS(1743),
    [aux_sym_connection_attempts_token1] = ACTIONS(1743),
    [aux_sym_connect_timeout_token1] = ACTIONS(1743),
    [aux_sym_control_master_token1] = ACTIONS(1743),
    [aux_sym_control_path_token1] = ACTIONS(1743),
    [aux_sym_control_persist_token1] = ACTIONS(1743),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1743),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1743),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1743),
    [aux_sym_escape_char_token1] = ACTIONS(1743),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1743),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1743),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1743),
    [aux_sym_forward_agent_token1] = ACTIONS(1743),
    [aux_sym_forward_x11_token1] = ACTIONS(1745),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1743),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1743),
    [aux_sym_gateway_ports_token1] = ACTIONS(1743),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1743),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1743),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1743),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1743),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1743),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1743),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1743),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1743),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1743),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1743),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1743),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1743),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1743),
    [aux_sym_host_key_alias_token1] = ACTIONS(1743),
    [aux_sym_hostname_token1] = ACTIONS(1743),
    [aux_sym_identities_only_token1] = ACTIONS(1743),
    [aux_sym_identity_agent_token1] = ACTIONS(1743),
    [aux_sym_identity_file_token1] = ACTIONS(1743),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1743),
    [aux_sym_include_token1] = ACTIONS(1743),
    [aux_sym_ip_qos_token1] = ACTIONS(1743),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1743),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1743),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1743),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1743),
    [aux_sym_local_command_token1] = ACTIONS(1743),
    [aux_sym_local_forward_token1] = ACTIONS(1743),
    [aux_sym_log_level_token1] = ACTIONS(1743),
    [aux_sym_log_verbose_token1] = ACTIONS(1743),
    [aux_sym_macs_token1] = ACTIONS(1743),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1743),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1743),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1743),
    [aux_sym_password_authentication_token1] = ACTIONS(1743),
    [aux_sym_permit_local_command_token1] = ACTIONS(1743),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1743),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1743),
    [aux_sym_port_token1] = ACTIONS(1743),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1743),
    [aux_sym_protocol_token1] = ACTIONS(1743),
    [aux_sym_proxy_command_token1] = ACTIONS(1743),
    [aux_sym_proxy_jump_token1] = ACTIONS(1743),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1743),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1743),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1743),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1743),
    [aux_sym_rekey_limit_token1] = ACTIONS(1743),
    [aux_sym_remote_command_token1] = ACTIONS(1743),
    [aux_sym_remote_forward_token1] = ACTIONS(1743),
    [aux_sym_request_tty_token1] = ACTIONS(1743),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1743),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1743),
    [aux_sym_security_key_provider_token1] = ACTIONS(1743),
    [aux_sym_send_env_token1] = ACTIONS(1743),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1743),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1743),
    [aux_sym_session_type_token1] = ACTIONS(1743),
    [aux_sym_set_env_token1] = ACTIONS(1743),
    [aux_sym_stdin_null_token1] = ACTIONS(1743),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1743),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1743),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1743),
    [aux_sym_syslog_facility_token1] = ACTIONS(1743),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1743),
    [aux_sym_keep_alive_token1] = ACTIONS(1743),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [aux_sym_tunnel_token1] = ACTIONS(1745),
    [aux_sym_tunnel_device_token1] = ACTIONS(1743),
    [aux_sym_update_host_keys_token1] = ACTIONS(1743),
    [aux_sym_use_keychain_token1] = ACTIONS(1743),
    [aux_sym_use_roaming_token1] = ACTIONS(1743),
    [aux_sym_user_token1] = ACTIONS(1745),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1743),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1743),
    [aux_sym_visual_host_key_token1] = ACTIONS(1743),
    [aux_sym_xauth_location_token1] = ACTIONS(1743),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1519),
    [aux_sym_match_token1] = ACTIONS(1517),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1517),
    [aux_sym_address_family_token1] = ACTIONS(1517),
    [aux_sym_batch_mode_token1] = ACTIONS(1517),
    [aux_sym_bind_address_token1] = ACTIONS(1517),
    [aux_sym_bind_interface_token1] = ACTIONS(1517),
    [aux_sym_canonical_domains_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1517),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1517),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1517),
    [aux_sym_certificate_file_token1] = ACTIONS(1517),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1517),
    [aux_sym_channel_timeout_token1] = ACTIONS(1517),
    [aux_sym_check_host_ip_token1] = ACTIONS(1517),
    [aux_sym_ciphers_token1] = ACTIONS(1517),
    [aux_sym_cipher_token1] = ACTIONS(1519),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1517),
    [aux_sym_compression_token1] = ACTIONS(1517),
    [aux_sym_connection_attempts_token1] = ACTIONS(1517),
    [aux_sym_connect_timeout_token1] = ACTIONS(1517),
    [aux_sym_control_master_token1] = ACTIONS(1517),
    [aux_sym_control_path_token1] = ACTIONS(1517),
    [aux_sym_control_persist_token1] = ACTIONS(1517),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1517),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1517),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1517),
    [aux_sym_escape_char_token1] = ACTIONS(1517),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1517),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1517),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1517),
    [aux_sym_forward_agent_token1] = ACTIONS(1517),
    [aux_sym_forward_x11_token1] = ACTIONS(1519),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1517),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1517),
    [aux_sym_gateway_ports_token1] = ACTIONS(1517),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1517),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1517),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1517),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1517),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1517),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1517),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1517),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1517),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1517),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1517),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1517),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1517),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1517),
    [aux_sym_host_key_alias_token1] = ACTIONS(1517),
    [aux_sym_hostname_token1] = ACTIONS(1517),
    [aux_sym_identities_only_token1] = ACTIONS(1517),
    [aux_sym_identity_agent_token1] = ACTIONS(1517),
    [aux_sym_identity_file_token1] = ACTIONS(1517),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1517),
    [aux_sym_include_token1] = ACTIONS(1517),
    [aux_sym_ip_qos_token1] = ACTIONS(1517),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1517),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1517),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1517),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1517),
    [aux_sym_local_command_token1] = ACTIONS(1517),
    [aux_sym_local_forward_token1] = ACTIONS(1517),
    [aux_sym_log_level_token1] = ACTIONS(1517),
    [aux_sym_log_verbose_token1] = ACTIONS(1517),
    [aux_sym_macs_token1] = ACTIONS(1517),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1517),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1517),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1517),
    [aux_sym_password_authentication_token1] = ACTIONS(1517),
    [aux_sym_permit_local_command_token1] = ACTIONS(1517),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1517),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1517),
    [aux_sym_port_token1] = ACTIONS(1517),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1517),
    [aux_sym_protocol_token1] = ACTIONS(1517),
    [aux_sym_proxy_command_token1] = ACTIONS(1517),
    [aux_sym_proxy_jump_token1] = ACTIONS(1517),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1517),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1517),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1517),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1517),
    [aux_sym_rekey_limit_token1] = ACTIONS(1517),
    [aux_sym_remote_command_token1] = ACTIONS(1517),
    [aux_sym_remote_forward_token1] = ACTIONS(1517),
    [aux_sym_request_tty_token1] = ACTIONS(1517),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1517),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1517),
    [aux_sym_security_key_provider_token1] = ACTIONS(1517),
    [aux_sym_send_env_token1] = ACTIONS(1517),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1517),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1517),
    [aux_sym_session_type_token1] = ACTIONS(1517),
    [aux_sym_set_env_token1] = ACTIONS(1517),
    [aux_sym_stdin_null_token1] = ACTIONS(1517),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1517),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1517),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1517),
    [aux_sym_syslog_facility_token1] = ACTIONS(1517),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1517),
    [aux_sym_keep_alive_token1] = ACTIONS(1517),
    [aux_sym_tag_token1] = ACTIONS(1517),
    [aux_sym_tunnel_token1] = ACTIONS(1519),
    [aux_sym_tunnel_device_token1] = ACTIONS(1517),
    [aux_sym_update_host_keys_token1] = ACTIONS(1517),
    [aux_sym_use_keychain_token1] = ACTIONS(1517),
    [aux_sym_use_roaming_token1] = ACTIONS(1517),
    [aux_sym_user_token1] = ACTIONS(1519),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1517),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1517),
    [aux_sym_visual_host_key_token1] = ACTIONS(1517),
    [aux_sym_xauth_location_token1] = ACTIONS(1517),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(901),
    [aux_sym_match_token1] = ACTIONS(899),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(899),
    [aux_sym_address_family_token1] = ACTIONS(899),
    [aux_sym_batch_mode_token1] = ACTIONS(899),
    [aux_sym_bind_address_token1] = ACTIONS(899),
    [aux_sym_bind_interface_token1] = ACTIONS(899),
    [aux_sym_canonical_domains_token1] = ACTIONS(899),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(899),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(899),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(899),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(899),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(899),
    [aux_sym_certificate_file_token1] = ACTIONS(899),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(899),
    [aux_sym_channel_timeout_token1] = ACTIONS(899),
    [aux_sym_check_host_ip_token1] = ACTIONS(899),
    [aux_sym_ciphers_token1] = ACTIONS(899),
    [aux_sym_cipher_token1] = ACTIONS(901),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(899),
    [aux_sym_compression_token1] = ACTIONS(899),
    [aux_sym_connection_attempts_token1] = ACTIONS(899),
    [aux_sym_connect_timeout_token1] = ACTIONS(899),
    [aux_sym_control_master_token1] = ACTIONS(899),
    [aux_sym_control_path_token1] = ACTIONS(899),
    [aux_sym_control_persist_token1] = ACTIONS(899),
    [aux_sym_dynamic_forward_token1] = ACTIONS(899),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(899),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(899),
    [aux_sym_escape_char_token1] = ACTIONS(899),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(899),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(899),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(899),
    [aux_sym_forward_agent_token1] = ACTIONS(899),
    [aux_sym_forward_x11_token1] = ACTIONS(901),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(899),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(899),
    [aux_sym_gateway_ports_token1] = ACTIONS(899),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(899),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(899),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(899),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(899),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(899),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(899),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(899),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(899),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(899),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(899),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(899),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(899),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(899),
    [aux_sym_host_key_alias_token1] = ACTIONS(899),
    [aux_sym_hostname_token1] = ACTIONS(899),
    [aux_sym_identities_only_token1] = ACTIONS(899),
    [aux_sym_identity_agent_token1] = ACTIONS(899),
    [aux_sym_identity_file_token1] = ACTIONS(899),
    [aux_sym_ignore_unknown_token1] = ACTIONS(899),
    [aux_sym_include_token1] = ACTIONS(899),
    [aux_sym_ip_qos_token1] = ACTIONS(899),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(899),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(899),
    [aux_sym_kex_algorithms_token1] = ACTIONS(899),
    [aux_sym_known_hosts_command_token1] = ACTIONS(899),
    [aux_sym_local_command_token1] = ACTIONS(899),
    [aux_sym_local_forward_token1] = ACTIONS(899),
    [aux_sym_log_level_token1] = ACTIONS(899),
    [aux_sym_log_verbose_token1] = ACTIONS(899),
    [aux_sym_macs_token1] = ACTIONS(899),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(899),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(899),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(899),
    [aux_sym_password_authentication_token1] = ACTIONS(899),
    [aux_sym_permit_local_command_token1] = ACTIONS(899),
    [aux_sym_permit_remote_open_token1] = ACTIONS(899),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(899),
    [aux_sym_port_token1] = ACTIONS(899),
    [aux_sym_preferred_authentications_token1] = ACTIONS(899),
    [aux_sym_protocol_token1] = ACTIONS(899),
    [aux_sym_proxy_command_token1] = ACTIONS(899),
    [aux_sym_proxy_jump_token1] = ACTIONS(899),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(899),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(899),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(899),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(899),
    [aux_sym_rekey_limit_token1] = ACTIONS(899),
    [aux_sym_remote_command_token1] = ACTIONS(899),
    [aux_sym_remote_forward_token1] = ACTIONS(899),
    [aux_sym_request_tty_token1] = ACTIONS(899),
    [aux_sym_required_rsa_size_token1] = ACTIONS(899),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(899),
    [aux_sym_security_key_provider_token1] = ACTIONS(899),
    [aux_sym_send_env_token1] = ACTIONS(899),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(899),
    [aux_sym_server_alive_interval_token1] = ACTIONS(899),
    [aux_sym_session_type_token1] = ACTIONS(899),
    [aux_sym_set_env_token1] = ACTIONS(899),
    [aux_sym_stdin_null_token1] = ACTIONS(899),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(899),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(899),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(899),
    [aux_sym_syslog_facility_token1] = ACTIONS(899),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(899),
    [aux_sym_keep_alive_token1] = ACTIONS(899),
    [aux_sym_tag_token1] = ACTIONS(899),
    [aux_sym_tunnel_token1] = ACTIONS(901),
    [aux_sym_tunnel_device_token1] = ACTIONS(899),
    [aux_sym_update_host_keys_token1] = ACTIONS(899),
    [aux_sym_use_keychain_token1] = ACTIONS(899),
    [aux_sym_use_roaming_token1] = ACTIONS(899),
    [aux_sym_user_token1] = ACTIONS(901),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(899),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(899),
    [aux_sym_visual_host_key_token1] = ACTIONS(899),
    [aux_sym_xauth_location_token1] = ACTIONS(899),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
    [aux_sym_host_token1] = ACTIONS(1739),
    [aux_sym_match_token1] = ACTIONS(1737),
    [aux_sym_add_keys_to_agent_token1] = ACTIONS(1737),
    [aux_sym_address_family_token1] = ACTIONS(1737),
    [aux_sym_batch_mode_token1] = ACTIONS(1737),
    [aux_sym_bind_address_token1] = ACTIONS(1737),
    [aux_sym_bind_interface_token1] = ACTIONS(1737),
    [aux_sym_canonical_domains_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_fallback_local_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_hostname_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_max_dots_token1] = ACTIONS(1737),
    [aux_sym_canonicalize_permitted_cnames_token1] = ACTIONS(1737),
    [aux_sym_ca_signature_algorithms_token1] = ACTIONS(1737),
    [aux_sym_certificate_file_token1] = ACTIONS(1737),
    [aux_sym_challenge_response_authentication_token1] = ACTIONS(1737),
    [aux_sym_channel_timeout_token1] = ACTIONS(1737),
    [aux_sym_check_host_ip_token1] = ACTIONS(1737),
    [aux_sym_ciphers_token1] = ACTIONS(1737),
    [aux_sym_cipher_token1] = ACTIONS(1739),
    [aux_sym_clear_all_forwardings_token1] = ACTIONS(1737),
    [aux_sym_compression_token1] = ACTIONS(1737),
    [aux_sym_connection_attempts_token1] = ACTIONS(1737),
    [aux_sym_connect_timeout_token1] = ACTIONS(1737),
    [aux_sym_control_master_token1] = ACTIONS(1737),
    [aux_sym_control_path_token1] = ACTIONS(1737),
    [aux_sym_control_persist_token1] = ACTIONS(1737),
    [aux_sym_dynamic_forward_token1] = ACTIONS(1737),
    [aux_sym_enable_escape_commandline_token1] = ACTIONS(1737),
    [aux_sym_enable_ssh_keysign_token1] = ACTIONS(1737),
    [aux_sym_escape_char_token1] = ACTIONS(1737),
    [aux_sym_exit_on_forward_failure_token1] = ACTIONS(1737),
    [aux_sym_fingerprint_hash_token1] = ACTIONS(1737),
    [aux_sym_fork_after_authentication_token1] = ACTIONS(1737),
    [aux_sym_forward_agent_token1] = ACTIONS(1737),
    [aux_sym_forward_x11_token1] = ACTIONS(1739),
    [aux_sym_forward_x11_timeout_token1] = ACTIONS(1737),
    [aux_sym_forward_x11_trusted_token1] = ACTIONS(1737),
    [aux_sym_gateway_ports_token1] = ACTIONS(1737),
    [aux_sym_global_known_hosts_file_token1] = ACTIONS(1737),
    [aux_sym_gssapi_authentication_token1] = ACTIONS(1737),
    [aux_sym_gssapi_client_identity_token1] = ACTIONS(1737),
    [aux_sym_gssapi_delegate_credentials_token1] = ACTIONS(1737),
    [aux_sym_gssapi_key_exchange_token1] = ACTIONS(1737),
    [aux_sym_gssapi_renewal_forces_rekey_token1] = ACTIONS(1737),
    [aux_sym_gssapi_server_identity_token1] = ACTIONS(1737),
    [aux_sym_gssapi_trust_dns_token1] = ACTIONS(1737),
    [aux_sym_gssapi_kex_algorithms_token1] = ACTIONS(1737),
    [aux_sym_hash_known_hosts_token1] = ACTIONS(1737),
    [aux_sym_hostbased_accepted_algorithms_token1] = ACTIONS(1737),
    [aux_sym_hostbased_authentication_token1] = ACTIONS(1737),
    [aux_sym_host_key_algorithms_token1] = ACTIONS(1737),
    [aux_sym_host_key_alias_token1] = ACTIONS(1737),
    [aux_sym_hostname_token1] = ACTIONS(1737),
    [aux_sym_identities_only_token1] = ACTIONS(1737),
    [aux_sym_identity_agent_token1] = ACTIONS(1737),
    [aux_sym_identity_file_token1] = ACTIONS(1737),
    [aux_sym_ignore_unknown_token1] = ACTIONS(1737),
    [aux_sym_include_token1] = ACTIONS(1737),
    [aux_sym_ip_qos_token1] = ACTIONS(1737),
    [aux_sym_kbd_interactive_authentication_token1] = ACTIONS(1737),
    [aux_sym_kbd_interactive_devices_token1] = ACTIONS(1737),
    [aux_sym_kex_algorithms_token1] = ACTIONS(1737),
    [aux_sym_known_hosts_command_token1] = ACTIONS(1737),
    [aux_sym_local_command_token1] = ACTIONS(1737),
    [aux_sym_local_forward_token1] = ACTIONS(1737),
    [aux_sym_log_level_token1] = ACTIONS(1737),
    [aux_sym_log_verbose_token1] = ACTIONS(1737),
    [aux_sym_macs_token1] = ACTIONS(1737),
    [aux_sym_no_host_authentication_for_localhost_token1] = ACTIONS(1737),
    [aux_sym_number_of_password_prompts_token1] = ACTIONS(1737),
    [aux_sym_obscure_keystroke_timing_token1] = ACTIONS(1737),
    [aux_sym_password_authentication_token1] = ACTIONS(1737),
    [aux_sym_permit_local_command_token1] = ACTIONS(1737),
    [aux_sym_permit_remote_open_token1] = ACTIONS(1737),
    [aux_sym_pkcs11_provider_token1] = ACTIONS(1737),
    [aux_sym_port_token1] = ACTIONS(1737),
    [aux_sym_preferred_authentications_token1] = ACTIONS(1737),
    [aux_sym_protocol_token1] = ACTIONS(1737),
    [aux_sym_proxy_command_token1] = ACTIONS(1737),
    [aux_sym_proxy_jump_token1] = ACTIONS(1737),
    [aux_sym_proxy_use_fdpass_token1] = ACTIONS(1737),
    [aux_sym_pubkey_accepted_algorithms_token1] = ACTIONS(1737),
    [aux_sym_pubkey_accepted_key_types_token1] = ACTIONS(1737),
    [aux_sym_pubkey_authentication_token1] = ACTIONS(1737),
    [aux_sym_rekey_limit_token1] = ACTIONS(1737),
    [aux_sym_remote_command_token1] = ACTIONS(1737),
    [aux_sym_remote_forward_token1] = ACTIONS(1737),
    [aux_sym_request_tty_token1] = ACTIONS(1737),
    [aux_sym_required_rsa_size_token1] = ACTIONS(1737),
    [aux_sym_revoked_host_keys_token1] = ACTIONS(1737),
    [aux_sym_security_key_provider_token1] = ACTIONS(1737),
    [aux_sym_send_env_token1] = ACTIONS(1737),
    [aux_sym_server_alive_count_max_token1] = ACTIONS(1737),
    [aux_sym_server_alive_interval_token1] = ACTIONS(1737),
    [aux_sym_session_type_token1] = ACTIONS(1737),
    [aux_sym_set_env_token1] = ACTIONS(1737),
    [aux_sym_stdin_null_token1] = ACTIONS(1737),
    [aux_sym_stream_local_bind_mask_token1] = ACTIONS(1737),
    [aux_sym_stream_local_bind_unlink_token1] = ACTIONS(1737),
    [aux_sym_strict_host_key_checking_token1] = ACTIONS(1737),
    [aux_sym_syslog_facility_token1] = ACTIONS(1737),
    [aux_sym_tcp_keep_alive_token1] = ACTIONS(1737),
    [aux_sym_keep_alive_token1] = ACTIONS(1737),
    [aux_sym_tag_token1] = ACTIONS(1737),
    [aux_sym_tunnel_token1] = ACTIONS(1739),
    [aux_sym_tunnel_device_token1] = ACTIONS(1737),
    [aux_sym_update_host_keys_token1] = ACTIONS(1737),
    [aux_sym_use_keychain_token1] = ACTIONS(1737),
    [aux_sym_use_roaming_token1] = ACTIONS(1737),
    [aux_sym_user_token1] = ACTIONS(1739),
    [aux_sym_user_known_hosts_file_token1] = ACTIONS(1737),
    [aux_sym_verify_host_key_dns_token1] = ACTIONS(1737),
    [aux_sym_visual_host_key_token1] = ACTIONS(1737),
    [aux_sym_xauth_location_token1] = ACTIONS(1737),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym_ip_qos_value,
    ACTIONS(3567), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [42] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      anon_sym_DQUOTE,
    STATE(174), 1,
      sym_ip_qos_value,
    ACTIONS(3567), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [81] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(174), 1,
      sym_ip_qos_value,
    ACTIONS(3567), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(61), 1,
      sym_ip_qos_value,
    ACTIONS(3567), 27,
      sym_number,
      anon_sym_none,
      anon_sym_af11,
      anon_sym_af12,
      anon_sym_af13,
      anon_sym_af21,
      anon_sym_af22,
      anon_sym_af23,
      anon_sym_af31,
      anon_sym_af32,
      anon_sym_af33,
      anon_sym_af41,
      anon_sym_af42,
      anon_sym_af43,
      anon_sym_cs0,
      anon_sym_cs1,
      anon_sym_cs2,
      anon_sym_cs3,
      anon_sym_cs4,
      anon_sym_cs5,
      anon_sym_cs6,
      anon_sym_cs7,
      anon_sym_ef,
      anon_sym_le,
      anon_sym_lowdelay,
      anon_sym_throughput,
      anon_sym_reliability,
  [153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_EQ,
    ACTIONS(3577), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym_syslog_facility_value,
    ACTIONS(3579), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_DQUOTE,
    STATE(132), 1,
      sym_syslog_facility_value,
    ACTIONS(3579), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(132), 1,
      sym_syslog_facility_value,
    ACTIONS(3579), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(3585), 1,
      anon_sym_DQUOTE,
    STATE(6), 1,
      aux_sym__channel_timeout_value,
    STATE(1376), 1,
      sym_channel_timeout_type,
    ACTIONS(597), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(19), 1,
      sym_syslog_facility_value,
    ACTIONS(3579), 11,
      anon_sym_DAEMON,
      anon_sym_USER,
      anon_sym_AUTH,
      anon_sym_LOCAL0,
      anon_sym_LOCAL1,
      anon_sym_LOCAL2,
      anon_sym_LOCAL3,
      anon_sym_LOCAL4,
      anon_sym_LOCAL5,
      anon_sym_LOCAL6,
      anon_sym_LOCAL7,
  [268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_DQUOTE,
    ACTIONS(3593), 1,
      aux_sym_log_level_value_token6,
    STATE(429), 1,
      sym_log_level_value,
    ACTIONS(3591), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      aux_sym_log_level_value_token6,
    ACTIONS(3595), 1,
      anon_sym_DQUOTE,
    STATE(167), 1,
      sym_log_level_value,
    ACTIONS(3591), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_DQUOTE,
    STATE(7), 1,
      aux_sym__channel_timeout_value,
    STATE(1376), 1,
      sym_channel_timeout_type,
    ACTIONS(597), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5), 1,
      aux_sym__channel_timeout_value,
    STATE(1376), 1,
      sym_channel_timeout_type,
    ACTIONS(597), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      aux_sym_log_level_value_token6,
    STATE(167), 1,
      sym_log_level_value,
    ACTIONS(3591), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7), 1,
      aux_sym__channel_timeout_value,
    STATE(1376), 1,
      sym_channel_timeout_type,
    ACTIONS(597), 8,
      aux_sym_channel_timeout_type_token1,
      aux_sym_channel_timeout_type_token2,
      aux_sym_channel_timeout_type_token3,
      aux_sym_channel_timeout_type_token4,
      aux_sym_channel_timeout_type_token5,
      aux_sym_channel_timeout_type_token6,
      aux_sym_channel_timeout_type_token7,
      aux_sym_channel_timeout_type_token8,
  [400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_EQ,
    ACTIONS(3603), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3599), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      aux_sym_log_level_value_token6,
    STATE(54), 1,
      sym_log_level_value,
    ACTIONS(3591), 8,
      aux_sym_log_level_value_token1,
      aux_sym_log_level_value_token2,
      aux_sym_log_level_value_token3,
      aux_sym_log_level_value_token4,
      aux_sym_log_level_value_token5,
      aux_sym_log_level_value_token7,
      aux_sym_log_level_value_token8,
      aux_sym_log_level_value_token9,
  [442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_EQ,
    ACTIONS(3609), 1,
      anon_sym_DQUOTE,
    ACTIONS(3611), 1,
      aux_sym_control_master_value_token2,
    STATE(331), 1,
      sym_control_master_value,
    ACTIONS(3605), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      aux_sym_boolean_token3,
    ACTIONS(3617), 1,
      anon_sym_EQ,
    ACTIONS(3619), 1,
      anon_sym_DQUOTE,
    STATE(274), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3613), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_time_format,
    ACTIONS(3625), 1,
      anon_sym_EQ,
    ACTIONS(3627), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym_boolean,
    STATE(339), 1,
      sym_control_persist_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      anon_sym_EQ,
    ACTIONS(3633), 1,
      anon_sym_DQUOTE,
    STATE(356), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3629), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3637), 1,
      anon_sym_EQ,
    ACTIONS(3639), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym_request_tty_value,
    ACTIONS(3635), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      aux_sym_control_master_value_token2,
    ACTIONS(3641), 1,
      anon_sym_DQUOTE,
    STATE(209), 1,
      sym_control_master_value,
    ACTIONS(3605), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_DQUOTE,
    STATE(133), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3599), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_EQ,
    ACTIONS(3647), 1,
      anon_sym_DQUOTE,
    STATE(416), 1,
      sym_no_host_authentication_for_localhost_value,
    STATE(417), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_EQ,
    ACTIONS(3651), 1,
      anon_sym_DQUOTE,
    STATE(264), 1,
      sym_use_keychain_value,
    STATE(265), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_EQ,
    ACTIONS(3655), 1,
      anon_sym_DQUOTE,
    STATE(358), 1,
      sym_boolean,
    STATE(359), 1,
      sym_exit_on_forward_failure_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      anon_sym_DQUOTE,
    STATE(260), 1,
      sym_use_roaming_value,
    STATE(261), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      anon_sym_EQ,
    ACTIONS(3665), 1,
      anon_sym_DQUOTE,
    STATE(247), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3661), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_EQ,
    ACTIONS(3669), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym_boolean,
    STATE(435), 1,
      sym_hostbased_authentication_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_EQ,
    ACTIONS(3673), 1,
      anon_sym_DQUOTE,
    STATE(243), 1,
      sym_visual_host_key_value,
    STATE(244), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_EQ,
    ACTIONS(3677), 1,
      anon_sym_DQUOTE,
    STATE(350), 1,
      sym_boolean,
    STATE(351), 1,
      sym_enable_ssh_keysign_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_EQ,
    ACTIONS(3681), 1,
      anon_sym_DQUOTE,
    STATE(288), 1,
      sym_tcp_keep_alive_value,
    STATE(289), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3683), 1,
      anon_sym_EQ,
    ACTIONS(3685), 1,
      anon_sym_DQUOTE,
    STATE(346), 1,
      sym_boolean,
    STATE(347), 1,
      sym_enable_escape_commandline_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_EQ,
    ACTIONS(3689), 1,
      anon_sym_DQUOTE,
    STATE(369), 1,
      sym_proxy_use_fdpass_value,
    STATE(370), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_EQ,
    ACTIONS(3693), 1,
      anon_sym_DQUOTE,
    STATE(305), 1,
      sym_stdin_null_value,
    STATE(306), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3695), 1,
      anon_sym_EQ,
    ACTIONS(3697), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym_boolean,
    STATE(427), 1,
      sym_hash_known_hosts_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_EQ,
    ACTIONS(3701), 1,
      anon_sym_DQUOTE,
    STATE(318), 1,
      sym_boolean,
    STATE(319), 1,
      sym_compression_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_EQ,
    ACTIONS(3705), 1,
      anon_sym_DQUOTE,
    STATE(314), 1,
      sym_boolean,
    STATE(315), 1,
      sym_clear_all_forwardings_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      aux_sym_boolean_token3,
    ACTIONS(3707), 1,
      anon_sym_DQUOTE,
    STATE(224), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3613), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    ACTIONS(3711), 1,
      anon_sym_DQUOTE,
    STATE(366), 1,
      sym_boolean,
    STATE(367), 1,
      sym_fork_after_authentication_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(20), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3599), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_EQ,
    ACTIONS(3715), 1,
      anon_sym_DQUOTE,
    STATE(302), 1,
      sym_boolean,
    STATE(303), 1,
      sym_check_host_ip_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_EQ,
    ACTIONS(3719), 1,
      anon_sym_DQUOTE,
    STATE(297), 1,
      sym_stream_local_bind_unlink_value,
    STATE(298), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3721), 1,
      anon_sym_EQ,
    ACTIONS(3723), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym_boolean,
    STATE(375), 1,
      sym_forward_x11_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_EQ,
    ACTIONS(3727), 1,
      anon_sym_DQUOTE,
    STATE(450), 1,
      sym_boolean,
    STATE(451), 1,
      sym_identities_only_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(3731), 1,
      anon_sym_DQUOTE,
    STATE(293), 1,
      sym_boolean,
    STATE(294), 1,
      sym_challenge_response_authentication_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(3735), 1,
      anon_sym_DQUOTE,
    STATE(418), 1,
      sym_boolean,
    STATE(419), 1,
      sym_gssapi_trust_dns_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      aux_sym_control_master_value_token2,
    STATE(96), 1,
      sym_control_master_value,
    ACTIONS(3605), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [1132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_EQ,
    ACTIONS(3739), 1,
      anon_sym_DQUOTE,
    STATE(382), 1,
      sym_boolean,
    STATE(383), 1,
      sym_forward_x11_trusted_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(133), 1,
      sym_strict_host_key_checking_value,
    ACTIONS(3599), 7,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_strict_host_key_checking_value_token1,
      aux_sym_strict_host_key_checking_value_token2,
  [1170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_EQ,
    ACTIONS(3743), 1,
      anon_sym_DQUOTE,
    STATE(400), 1,
      sym_permit_local_command_value,
    STATE(401), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(3747), 1,
      anon_sym_DQUOTE,
    STATE(406), 1,
      sym_boolean,
    STATE(407), 1,
      sym_gssapi_key_exchange_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 1,
      anon_sym_EQ,
    ACTIONS(3751), 1,
      anon_sym_DQUOTE,
    STATE(453), 1,
      sym_boolean,
    STATE(454), 1,
      sym_kbd_interactive_authentication_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_EQ,
    ACTIONS(3755), 1,
      anon_sym_DQUOTE,
    STATE(269), 1,
      sym_boolean,
    STATE(270), 1,
      sym_canonicalize_fallback_local_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_EQ,
    ACTIONS(3761), 1,
      anon_sym_DQUOTE,
    STATE(267), 1,
      sym_update_host_keys_value,
    ACTIONS(3757), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [1278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_EQ,
    ACTIONS(3765), 1,
      anon_sym_DQUOTE,
    STATE(386), 1,
      sym_boolean,
    STATE(387), 1,
      sym_gateway_ports_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      aux_sym_control_master_value_token2,
    STATE(209), 1,
      sym_control_master_value,
    ACTIONS(3605), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
      aux_sym_control_master_value_token3,
  [1318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_DQUOTE,
    STATE(404), 1,
      sym_password_authentication_value,
    STATE(405), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_time_format,
    ACTIONS(3771), 1,
      anon_sym_DQUOTE,
    STATE(207), 1,
      sym_control_persist_value,
    STATE(336), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_DQUOTE,
    STATE(145), 1,
      sym_request_tty_value,
    ACTIONS(3635), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [1380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_EQ,
    ACTIONS(3777), 1,
      anon_sym_DQUOTE,
    STATE(253), 1,
      sym_boolean,
    STATE(254), 1,
      sym_batch_mode_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_DQUOTE,
    STATE(245), 1,
      sym_boolean,
    STATE(246), 1,
      sym_add_keys_to_agent_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_DQUOTE,
    STATE(149), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3629), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [1442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_DQUOTE,
    STATE(394), 1,
      sym_boolean,
    STATE(395), 1,
      sym_gssapi_authentication_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_EQ,
    ACTIONS(3791), 1,
      anon_sym_DQUOTE,
    STATE(410), 1,
      sym_boolean,
    STATE(411), 1,
      sym_gssapi_renewal_forces_rekey_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3793), 1,
      anon_sym_EQ,
    ACTIONS(3795), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym_keep_alive_value,
    STATE(285), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_EQ,
    ACTIONS(3799), 1,
      anon_sym_DQUOTE,
    STATE(402), 1,
      sym_boolean,
    STATE(403), 1,
      sym_gssapi_delegate_credentials_value,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_DQUOTE,
    STATE(213), 1,
      sym_clear_all_forwardings_value,
    STATE(314), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_DQUOTE,
    STATE(205), 1,
      sym_enable_escape_commandline_value,
    STATE(346), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_DQUOTE,
    STATE(179), 1,
      sym_identities_only_value,
    STATE(450), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DQUOTE,
    STATE(173), 1,
      sym_kbd_interactive_authentication_value,
    STATE(453), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_DQUOTE,
    STATE(185), 1,
      sym_hash_known_hosts_value,
    STATE(426), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 1,
      anon_sym_DQUOTE,
    STATE(164), 1,
      sym_no_host_authentication_for_localhost_value,
    STATE(417), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_DQUOTE,
    STATE(187), 1,
      sym_gssapi_trust_dns_value,
    STATE(418), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    STATE(161), 1,
      sym_password_authentication_value,
    STATE(405), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_DQUOTE,
    STATE(189), 1,
      sym_gssapi_renewal_forces_rekey_value,
    STATE(410), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    STATE(160), 1,
      sym_permit_local_command_value,
    STATE(401), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_DQUOTE,
    STATE(190), 1,
      sym_gssapi_key_exchange_value,
    STATE(406), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_DQUOTE,
    STATE(191), 1,
      sym_gssapi_delegate_credentials_value,
    STATE(402), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_DQUOTE,
    STATE(193), 1,
      sym_gssapi_authentication_value,
    STATE(394), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_DQUOTE,
    STATE(195), 1,
      sym_gateway_ports_value,
    STATE(386), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_DQUOTE,
    STATE(196), 1,
      sym_forward_x11_trusted_value,
    STATE(382), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_DQUOTE,
    STATE(152), 1,
      sym_proxy_use_fdpass_value,
    STATE(370), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_DQUOTE,
    STATE(198), 1,
      sym_forward_x11_value,
    STATE(374), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_DQUOTE,
    STATE(200), 1,
      sym_fork_after_authentication_value,
    STATE(366), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(149), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3629), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [1887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_DQUOTE,
    STATE(202), 1,
      sym_exit_on_forward_failure_value,
    STATE(358), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_DQUOTE,
    STATE(204), 1,
      sym_enable_ssh_keysign_value,
    STATE(350), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(145), 1,
      sym_request_tty_value,
    ACTIONS(3635), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [1940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_time_format,
    STATE(207), 1,
      sym_control_persist_value,
    STATE(336), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_DQUOTE,
    STATE(212), 1,
      sym_compression_value,
    STATE(318), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3843), 1,
      anon_sym_DQUOTE,
    STATE(136), 1,
      sym_stdin_null_value,
    STATE(306), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [1997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_DQUOTE,
    STATE(134), 1,
      sym_stream_local_bind_unlink_value,
    STATE(298), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_DQUOTE,
    STATE(216), 1,
      sym_check_host_ip_value,
    STATE(302), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_DQUOTE,
    STATE(131), 1,
      sym_tcp_keep_alive_value,
    STATE(289), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_DQUOTE,
    STATE(219), 1,
      sym_challenge_response_authentication_value,
    STATE(293), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_DQUOTE,
    STATE(130), 1,
      sym_keep_alive_value,
    STATE(285), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      aux_sym_boolean_token3,
    STATE(224), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3613), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [2109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_DQUOTE,
    STATE(126), 1,
      sym_update_host_keys_value,
    ACTIONS(3757), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 1,
      anon_sym_DQUOTE,
    STATE(125), 1,
      sym_use_keychain_value,
    STATE(265), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_DQUOTE,
    STATE(225), 1,
      sym_canonicalize_fallback_local_value,
    STATE(269), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_DQUOTE,
    STATE(124), 1,
      sym_use_roaming_value,
    STATE(261), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 1,
      anon_sym_DQUOTE,
    STATE(229), 1,
      sym_batch_mode_value,
    STATE(253), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      anon_sym_DQUOTE,
    STATE(121), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3661), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [2219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_DQUOTE,
    STATE(120), 1,
      sym_visual_host_key_value,
    STATE(244), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3869), 1,
      anon_sym_DQUOTE,
    STATE(231), 1,
      sym_add_keys_to_agent_value,
    STATE(245), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_DQUOTE,
    STATE(183), 1,
      sym_hostbased_authentication_value,
    STATE(434), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(32), 1,
      sym_request_tty_value,
    ACTIONS(3635), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token2,
      aux_sym_request_tty_value_token1,
  [2291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      aux_sym_boolean_token3,
    STATE(109), 1,
      sym_canonicalize_hostname_value,
    ACTIONS(3613), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token4,
      aux_sym_canonicalize_hostname_value_token1,
      aux_sym_canonicalize_hostname_value_token2,
  [2308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_EQ,
    ACTIONS(3877), 1,
      anon_sym_DQUOTE,
    STATE(276), 1,
      sym_tunnel_value,
    ACTIONS(3873), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [2327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(36), 1,
      sym_pubkey_authentication_value,
    ACTIONS(3629), 6,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_pubkey_authentication_value_token1,
      aux_sym_pubkey_authentication_value_token2,
  [2342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_time_format,
    STATE(94), 1,
      sym_control_persist_value,
    STATE(336), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(130), 1,
      sym_keep_alive_value,
    STATE(285), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(179), 1,
      sym_identities_only_value,
    STATE(450), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(173), 1,
      sym_kbd_interactive_authentication_value,
    STATE(453), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(87), 1,
      sym_fork_after_authentication_value,
    STATE(366), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(185), 1,
      sym_hash_known_hosts_value,
    STATE(426), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(164), 1,
      sym_no_host_authentication_for_localhost_value,
    STATE(417), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(89), 1,
      sym_exit_on_forward_failure_value,
    STATE(358), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(187), 1,
      sym_gssapi_trust_dns_value,
    STATE(418), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(189), 1,
      sym_gssapi_renewal_forces_rekey_value,
    STATE(410), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(91), 1,
      sym_enable_ssh_keysign_value,
    STATE(350), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(161), 1,
      sym_password_authentication_value,
    STATE(405), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(92), 1,
      sym_enable_escape_commandline_value,
    STATE(346), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(190), 1,
      sym_gssapi_key_exchange_value,
    STATE(406), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(60), 1,
      sym_kbd_interactive_authentication_value,
    STATE(453), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(160), 1,
      sym_permit_local_command_value,
    STATE(401), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(191), 1,
      sym_gssapi_delegate_credentials_value,
    STATE(402), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(39), 1,
      sym_proxy_use_fdpass_value,
    STATE(370), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(193), 1,
      sym_gssapi_authentication_value,
    STATE(394), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(195), 1,
      sym_gateway_ports_value,
    STATE(386), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(104), 1,
      sym_challenge_response_authentication_value,
    STATE(293), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      anon_sym_EQ,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE,
    STATE(312), 1,
      sym_session_type_value,
    ACTIONS(3883), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [2699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(196), 1,
      sym_forward_x11_trusted_value,
    STATE(382), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(99), 1,
      sym_compression_value,
    STATE(318), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(198), 1,
      sym_forward_x11_value,
    STATE(374), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(100), 1,
      sym_clear_all_forwardings_value,
    STATE(314), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(83), 1,
      sym_forward_x11_trusted_value,
    STATE(382), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(152), 1,
      sym_proxy_use_fdpass_value,
    STATE(370), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(103), 1,
      sym_check_host_ip_value,
    STATE(302), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(200), 1,
      sym_fork_after_authentication_value,
    STATE(366), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(70), 1,
      sym_hostbased_authentication_value,
    STATE(434), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(202), 1,
      sym_exit_on_forward_failure_value,
    STATE(358), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(85), 1,
      sym_forward_x11_value,
    STATE(374), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(212), 1,
      sym_compression_value,
    STATE(318), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(82), 1,
      sym_gateway_ports_value,
    STATE(386), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(110), 1,
      sym_canonicalize_fallback_local_value,
    STATE(269), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      anon_sym_EQ,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(3891), 1,
      aux_sym_address_family_value_token2,
    STATE(250), 1,
      sym_address_family_value,
    ACTIONS(3889), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [2943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(232), 1,
      sym_visual_host_key_value,
    STATE(244), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(204), 1,
      sym_enable_ssh_keysign_value,
    STATE(350), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(72), 1,
      sym_hash_known_hosts_value,
    STATE(426), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [2991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(114), 1,
      sym_batch_mode_value,
    STATE(253), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(230), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3661), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [3021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(205), 1,
      sym_enable_escape_commandline_value,
    STATE(346), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(66), 1,
      sym_identities_only_value,
    STATE(450), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(116), 1,
      sym_add_keys_to_agent_value,
    STATE(245), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_EQ,
    ACTIONS(3897), 1,
      anon_sym_DQUOTE,
    STATE(408), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3893), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [3087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(183), 1,
      sym_hostbased_authentication_value,
    STATE(434), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(11), 1,
      sym_use_roaming_value,
    STATE(261), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(80), 1,
      sym_gssapi_authentication_value,
    STATE(394), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(231), 1,
      sym_add_keys_to_agent_value,
    STATE(245), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(12), 1,
      sym_use_keychain_value,
    STATE(265), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(213), 1,
      sym_clear_all_forwardings_value,
    STATE(314), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(120), 1,
      sym_visual_host_key_value,
    STATE(244), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(47), 1,
      sym_permit_local_command_value,
    STATE(401), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(13), 1,
      sym_update_host_keys_value,
    ACTIONS(3757), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [3229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(121), 1,
      sym_verify_host_key_dns_value,
    ACTIONS(3661), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [3243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(74), 1,
      sym_gssapi_trust_dns_value,
    STATE(418), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(136), 1,
      sym_stdin_null_value,
    STATE(306), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(216), 1,
      sym_check_host_ip_value,
    STATE(302), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(51), 1,
      sym_no_host_authentication_for_localhost_value,
    STATE(417), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(134), 1,
      sym_stream_local_bind_unlink_value,
    STATE(298), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(229), 1,
      sym_batch_mode_value,
    STATE(253), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(124), 1,
      sym_use_roaming_value,
    STATE(261), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(48), 1,
      sym_password_authentication_value,
    STATE(405), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(76), 1,
      sym_gssapi_renewal_forces_rekey_value,
    STATE(410), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(23), 1,
      sym_stdin_null_value,
    STATE(306), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(125), 1,
      sym_use_keychain_value,
    STATE(265), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(78), 1,
      sym_gssapi_delegate_credentials_value,
    STATE(402), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(225), 1,
      sym_canonicalize_fallback_local_value,
    STATE(269), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(219), 1,
      sym_challenge_response_authentication_value,
    STATE(293), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(126), 1,
      sym_update_host_keys_value,
    ACTIONS(3757), 5,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
      aux_sym_control_master_value_token1,
  [3481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(21), 1,
      sym_stream_local_bind_unlink_value,
    STATE(298), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17), 1,
      sym_keep_alive_value,
    STATE(285), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(131), 1,
      sym_tcp_keep_alive_value,
    STATE(289), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18), 1,
      sym_tcp_keep_alive_value,
    STATE(289), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(77), 1,
      sym_gssapi_key_exchange_value,
    STATE(406), 1,
      sym_boolean,
    ACTIONS(3621), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token2,
      aux_sym_boolean_token3,
      aux_sym_boolean_token4,
  [3561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_DQUOTE,
    STATE(128), 1,
      sym_tunnel_value,
    ACTIONS(3873), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [3577] = 6,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3903), 1,
      aux_sym_pattern_token1,
    ACTIONS(3905), 1,
      anon_sym_EQ,
    ACTIONS(3907), 1,
      anon_sym_DQUOTE,
    STATE(240), 1,
      sym_pattern,
    STATE(241), 1,
      sym_match_value,
  [3596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3909), 1,
      anon_sym_DQUOTE,
    STATE(138), 1,
      sym_session_type_value,
    ACTIONS(3883), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [3611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3911), 1,
      anon_sym_DQUOTE,
    STATE(162), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3893), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [3626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(128), 1,
      sym_tunnel_value,
    ACTIONS(3873), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [3639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3913), 1,
      anon_sym_EQ,
    ACTIONS(3915), 1,
      anon_sym_DQUOTE,
    STATE(363), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3917), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [3656] = 6,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3903), 1,
      aux_sym_pattern_token1,
    ACTIONS(3919), 1,
      anon_sym_EQ,
    ACTIONS(3921), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym_host_value,
    STATE(177), 1,
      sym_pattern,
  [3675] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_EQ,
    ACTIONS(3925), 1,
      anon_sym_DQUOTE,
    STATE(355), 1,
      sym_escape_char_value,
    ACTIONS(3927), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [3692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      aux_sym_address_family_value_token2,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    STATE(9), 1,
      sym_address_family_value,
    ACTIONS(3889), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [3709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15), 1,
      sym_tunnel_value,
    ACTIONS(3873), 4,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_tunnel_value_token1,
      aux_sym_tunnel_value_token2,
  [3722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(3933), 1,
      anon_sym_DQUOTE,
    STATE(380), 1,
      sym_protocol_value,
    ACTIONS(3935), 2,
      anon_sym_1,
      anon_sym_2,
  [3739] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3937), 1,
      anon_sym_DQUOTE,
    STATE(203), 1,
      sym_escape_char_value,
    ACTIONS(3927), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [3753] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3939), 1,
      aux_sym_pattern_token1,
    ACTIONS(3941), 1,
      anon_sym_EQ,
    ACTIONS(3943), 1,
      anon_sym_DQUOTE,
    STATE(439), 1,
      sym_host_key_algorithms_value,
  [3769] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3945), 1,
      aux_sym_pattern_token1,
    ACTIONS(3947), 1,
      anon_sym_EQ,
    ACTIONS(3949), 1,
      anon_sym_DQUOTE,
    STATE(307), 1,
      sym_ciphers_value,
  [3785] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3951), 1,
      aux_sym_pattern_token1,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_DQUOTE,
    STATE(311), 1,
      sym_cipher_value,
  [3801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 1,
      sym_number,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(3961), 1,
      anon_sym_DQUOTE,
    STATE(278), 1,
      sym_canonicalize_max_dots_value,
  [3817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym_number,
    ACTIONS(3965), 1,
      anon_sym_EQ,
    ACTIONS(3967), 1,
      anon_sym_DQUOTE,
    STATE(389), 1,
      sym_port_value,
  [3833] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3969), 1,
      aux_sym_pattern_token1,
    ACTIONS(3971), 1,
      anon_sym_EQ,
    ACTIONS(3973), 1,
      anon_sym_DQUOTE,
    STATE(282), 1,
      sym_canonicalize_permitted_cnames_value,
  [3849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      sym_number,
    ACTIONS(3977), 1,
      anon_sym_EQ,
    ACTIONS(3979), 1,
      anon_sym_DQUOTE,
    STATE(323), 1,
      sym_connection_attempts_value,
  [3865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(25), 1,
      sym_session_type_value,
    ACTIONS(3883), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [3877] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3981), 1,
      aux_sym_pattern_token1,
    ACTIONS(3983), 1,
      anon_sym_EQ,
    ACTIONS(3985), 1,
      anon_sym_DQUOTE,
    STATE(415), 1,
      sym_gssapi_server_identity_value,
  [3893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 1,
      sym_number,
    ACTIONS(3989), 1,
      anon_sym_EQ,
    ACTIONS(3991), 1,
      anon_sym_DQUOTE,
    STATE(327), 1,
      sym_connect_timeout_value,
  [3909] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3993), 1,
      aux_sym_pattern_token1,
    ACTIONS(3995), 1,
      anon_sym_EQ,
    ACTIONS(3997), 1,
      anon_sym_DQUOTE,
    STATE(384), 1,
      sym_preferred_authentications_value,
  [3925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      aux_sym_address_family_value_token2,
    STATE(9), 1,
      sym_address_family_value,
    ACTIONS(3889), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [3939] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_pattern_token1,
    ACTIONS(4001), 1,
      anon_sym_EQ,
    ACTIONS(4003), 1,
      anon_sym_DQUOTE,
    STATE(431), 1,
      sym_hostbased_accepted_algorithms_value,
  [3955] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4005), 1,
      aux_sym_pattern_token1,
    ACTIONS(4007), 1,
      anon_sym_EQ,
    ACTIONS(4009), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym_control_path_value,
  [3971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(138), 1,
      sym_session_type_value,
    ACTIONS(3883), 3,
      aux_sym_canonicalize_hostname_value_token2,
      aux_sym_session_type_value_token1,
      aux_sym_session_type_value_token2,
  [3983] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4011), 1,
      aux_sym_pattern_token1,
    ACTIONS(4013), 1,
      anon_sym_EQ,
    ACTIONS(4015), 1,
      anon_sym_DQUOTE,
    STATE(266), 1,
      sym_canonical_domains_value,
  [3999] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3903), 1,
      aux_sym_pattern_token1,
    ACTIONS(4017), 1,
      anon_sym_DQUOTE,
    STATE(234), 1,
      sym_match_value,
    STATE(240), 1,
      sym_pattern,
  [4015] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym_pattern_token1,
    ACTIONS(4021), 1,
      anon_sym_EQ,
    ACTIONS(4023), 1,
      anon_sym_DQUOTE,
    STATE(262), 1,
      sym_bind_interface_value,
  [4031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_number,
    ACTIONS(4027), 1,
      anon_sym_EQ,
    ACTIONS(4029), 1,
      anon_sym_DQUOTE,
    STATE(413), 1,
      sym_number_of_password_prompts_value,
  [4047] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4031), 1,
      aux_sym_pattern_token1,
    ACTIONS(4033), 1,
      anon_sym_EQ,
    ACTIONS(4035), 1,
      anon_sym_DQUOTE,
    STATE(343), 1,
      sym_dynamic_forward_value,
  [4063] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4037), 1,
      aux_sym_pattern_token1,
    ACTIONS(4039), 1,
      anon_sym_EQ,
    ACTIONS(4041), 1,
      anon_sym_DQUOTE,
    STATE(258), 1,
      sym_bind_address_value,
  [4079] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3903), 1,
      aux_sym_pattern_token1,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE,
    STATE(144), 1,
      sym_host_value,
    STATE(177), 1,
      sym_pattern,
  [4095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      aux_sym_address_family_value_token2,
    STATE(115), 1,
      sym_address_family_value,
    ACTIONS(3889), 2,
      aux_sym_address_family_value_token1,
      aux_sym_address_family_value_token3,
  [4109] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4045), 1,
      aux_sym_pattern_token1,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    ACTIONS(4049), 1,
      anon_sym_DQUOTE,
    STATE(238), 1,
      sym_xauth_location_value,
  [4125] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4051), 1,
      aux_sym_pattern_token1,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(4055), 1,
      anon_sym_DQUOTE,
    STATE(251), 1,
      sym_user_known_hosts_file_value,
  [4141] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4057), 1,
      aux_sym_pattern_token1,
    ACTIONS(4059), 1,
      anon_sym_EQ,
    ACTIONS(4061), 1,
      anon_sym_DQUOTE,
    STATE(377), 1,
      sym_proxy_command_value,
  [4157] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4063), 1,
      aux_sym_pattern_token1,
    ACTIONS(4065), 1,
      anon_sym_EQ,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    STATE(256), 1,
      sym_user_value,
  [4173] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4069), 1,
      aux_sym_pattern_token1,
    ACTIONS(4071), 1,
      anon_sym_EQ,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(423), 1,
      sym_gssapi_kex_algorithms_value,
  [4189] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_pattern_token1,
    ACTIONS(4077), 1,
      anon_sym_EQ,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    STATE(421), 1,
      sym_macs_value,
  [4205] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4081), 1,
      aux_sym_pattern_token1,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(4085), 1,
      anon_sym_DQUOTE,
    STATE(360), 1,
      sym_pubkey_accepted_key_types_value,
  [4221] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4087), 1,
      aux_sym_pattern_token1,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    STATE(372), 1,
      sym_proxy_jump_value,
  [4237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(49), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3893), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [4249] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4093), 1,
      aux_sym_pattern_token1,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    STATE(280), 1,
      sym_tag_value,
  [4265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_DQUOTE,
    STATE(201), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3917), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [4279] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4101), 1,
      aux_sym_pattern_token1,
    ACTIONS(4103), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym_certificate_file_value,
  [4295] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4107), 1,
      aux_sym_pattern_token1,
    ACTIONS(4109), 1,
      anon_sym_EQ,
    ACTIONS(4111), 1,
      anon_sym_DQUOTE,
    STATE(397), 1,
      sym_permit_remote_open_value,
  [4311] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4113), 1,
      aux_sym_pattern_token1,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(4117), 1,
      anon_sym_DQUOTE,
    STATE(424), 1,
      sym_log_verbose_value,
  [4327] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4119), 1,
      aux_sym_pattern_token1,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    STATE(272), 1,
      sym_tunnel_device_value,
  [4343] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4125), 1,
      aux_sym_pattern_token1,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_DQUOTE,
    STATE(449), 1,
      sym_local_forward_value,
  [4359] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4131), 1,
      aux_sym_pattern_token1,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_DQUOTE,
    STATE(300), 1,
      sym_stream_local_bind_mask_value,
  [4375] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4137), 1,
      aux_sym_pattern_token1,
    ACTIONS(4139), 1,
      anon_sym_EQ,
    ACTIONS(4141), 1,
      anon_sym_DQUOTE,
    STATE(443), 1,
      sym_host_key_alias_value,
  [4391] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4143), 1,
      aux_sym_pattern_token1,
    ACTIONS(4145), 1,
      anon_sym_EQ,
    ACTIONS(4147), 1,
      anon_sym_DQUOTE,
    STATE(371), 1,
      sym_forward_agent_value,
  [4407] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_pattern_token1,
    ACTIONS(4151), 1,
      anon_sym_EQ,
    ACTIONS(4153), 1,
      anon_sym_DQUOTE,
    STATE(309), 1,
      sym_set_env_value,
  [4423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_DQUOTE,
    STATE(155), 1,
      sym_protocol_value,
    ACTIONS(3935), 2,
      anon_sym_1,
      anon_sym_2,
  [4437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      sym_number,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    ACTIONS(4161), 1,
      anon_sym_DQUOTE,
    STATE(316), 1,
      sym_server_alive_interval_value,
  [4453] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4163), 1,
      aux_sym_pattern_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4167), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym_kbd_interactive_devices_value,
  [4469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      sym_number,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_DQUOTE,
    STATE(321), 1,
      sym_server_alive_count_max_value,
  [4485] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4175), 1,
      aux_sym_pattern_token1,
    ACTIONS(4177), 1,
      anon_sym_EQ,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    STATE(447), 1,
      sym_hostname_value,
  [4501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym_time_format,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    STATE(379), 1,
      sym_forward_x11_timeout_value,
  [4517] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4187), 1,
      aux_sym_pattern_token1,
    ACTIONS(4189), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_DQUOTE,
    STATE(217), 1,
      sym_ignore_unknown_value,
  [4533] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4193), 1,
      aux_sym_pattern_token1,
    ACTIONS(4195), 1,
      anon_sym_EQ,
    ACTIONS(4197), 1,
      anon_sym_DQUOTE,
    STATE(325), 1,
      sym_send_env_value,
  [4549] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4199), 1,
      aux_sym_pattern_token1,
    ACTIONS(4201), 1,
      anon_sym_EQ,
    ACTIONS(4203), 1,
      anon_sym_DQUOTE,
    STATE(364), 1,
      sym_pubkey_accepted_algorithms_value,
  [4565] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4205), 1,
      aux_sym_pattern_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_DQUOTE,
    STATE(329), 1,
      sym_security_key_provider_value,
  [4581] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4211), 1,
      aux_sym_pattern_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ,
    ACTIONS(4215), 1,
      anon_sym_DQUOTE,
    STATE(286), 1,
      sym_ca_signature_algorithms_value,
  [4597] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4217), 1,
      aux_sym_pattern_token1,
    ACTIONS(4219), 1,
      anon_sym_EQ,
    ACTIONS(4221), 1,
      anon_sym_DQUOTE,
    STATE(333), 1,
      sym_revoked_host_keys_value,
  [4613] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4223), 1,
      aux_sym_pattern_token1,
    ACTIONS(4225), 1,
      anon_sym_EQ,
    ACTIONS(4227), 1,
      anon_sym_DQUOTE,
    STATE(458), 1,
      sym_local_command_value,
  [4629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4229), 1,
      sym_number,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(4233), 1,
      anon_sym_DQUOTE,
    STATE(337), 1,
      sym_required_rsa_size_value,
  [4645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(162), 1,
      sym_obscure_keystroke_timing_value,
    ACTIONS(3893), 3,
      aux_sym_boolean_token1,
      aux_sym_boolean_token3,
      aux_sym_obscure_keystroke_timing_value_token1,
  [4657] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4235), 1,
      aux_sym_pattern_token1,
    ACTIONS(4237), 1,
      anon_sym_EQ,
    ACTIONS(4239), 1,
      anon_sym_DQUOTE,
    STATE(392), 1,
      sym_pkcs11_provider_value,
  [4673] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4241), 1,
      aux_sym_pattern_token1,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(4245), 1,
      anon_sym_DQUOTE,
    STATE(438), 1,
      sym_include_value,
  [4689] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4247), 1,
      aux_sym_pattern_token1,
    ACTIONS(4249), 1,
      anon_sym_EQ,
    ACTIONS(4251), 1,
      anon_sym_DQUOTE,
    STATE(391), 1,
      sym_global_known_hosts_file_value,
  [4705] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4253), 1,
      aux_sym_pattern_token1,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_DQUOTE,
    STATE(344), 1,
      sym_remote_forward_value,
  [4721] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4259), 1,
      aux_sym_pattern_token1,
    ACTIONS(4261), 1,
      anon_sym_EQ,
    ACTIONS(4263), 1,
      anon_sym_DQUOTE,
    STATE(455), 1,
      sym_identity_agent_value,
  [4737] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4265), 1,
      aux_sym_pattern_token1,
    ACTIONS(4267), 1,
      anon_sym_EQ,
    ACTIONS(4269), 1,
      anon_sym_DQUOTE,
    STATE(461), 1,
      sym_known_hosts_command_value,
  [4753] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4271), 1,
      aux_sym_pattern_token1,
    ACTIONS(4273), 1,
      anon_sym_EQ,
    ACTIONS(4275), 1,
      anon_sym_DQUOTE,
    STATE(348), 1,
      sym_remote_command_value,
  [4769] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4277), 1,
      aux_sym_pattern_token1,
    ACTIONS(4279), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_DQUOTE,
    STATE(352), 1,
      sym_rekey_limit_value,
  [4785] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4283), 1,
      aux_sym_pattern_token1,
    ACTIONS(4285), 1,
      anon_sym_EQ,
    ACTIONS(4287), 1,
      anon_sym_DQUOTE,
    STATE(445), 1,
      sym_kex_algorithms_value,
  [4801] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4289), 1,
      aux_sym_pattern_token1,
    ACTIONS(4291), 1,
      anon_sym_EQ,
    ACTIONS(4293), 1,
      anon_sym_DQUOTE,
    STATE(399), 1,
      sym_gssapi_client_identity_value,
  [4817] = 5,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4295), 1,
      aux_sym_pattern_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ,
    ACTIONS(4299), 1,
      anon_sym_DQUOTE,
    STATE(459), 1,
      sym_identity_file_value,
  [4833] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4301), 1,
      aux_sym_pattern_token1,
    STATE(234), 1,
      sym_match_value,
    STATE(240), 1,
      sym_pattern,
  [4846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(42), 1,
      sym_protocol_value,
    ACTIONS(3935), 2,
      anon_sym_1,
      anon_sym_2,
  [4857] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4137), 1,
      aux_sym_pattern_token1,
    ACTIONS(4303), 1,
      anon_sym_DQUOTE,
    STATE(181), 1,
      sym_host_key_alias_value,
  [4870] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4175), 1,
      aux_sym_pattern_token1,
    ACTIONS(4305), 1,
      anon_sym_DQUOTE,
    STATE(180), 1,
      sym_hostname_value,
  [4883] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4259), 1,
      aux_sym_pattern_token1,
    ACTIONS(4307), 1,
      anon_sym_DQUOTE,
    STATE(178), 1,
      sym_identity_agent_value,
  [4896] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4295), 1,
      aux_sym_pattern_token1,
    ACTIONS(4309), 1,
      anon_sym_DQUOTE,
    STATE(10), 1,
      sym_identity_file_value,
  [4909] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4187), 1,
      aux_sym_pattern_token1,
    ACTIONS(4311), 1,
      anon_sym_DQUOTE,
    STATE(176), 1,
      sym_ignore_unknown_value,
  [4922] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4241), 1,
      aux_sym_pattern_token1,
    ACTIONS(4313), 1,
      anon_sym_DQUOTE,
    STATE(175), 1,
      sym_include_value,
  [4935] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4163), 1,
      aux_sym_pattern_token1,
    ACTIONS(4315), 1,
      anon_sym_DQUOTE,
    STATE(172), 1,
      sym_kbd_interactive_devices_value,
  [4948] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4283), 1,
      aux_sym_pattern_token1,
    ACTIONS(4317), 1,
      anon_sym_DQUOTE,
    STATE(171), 1,
      sym_kex_algorithms_value,
  [4961] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4265), 1,
      aux_sym_pattern_token1,
    ACTIONS(4319), 1,
      anon_sym_DQUOTE,
    STATE(170), 1,
      sym_known_hosts_command_value,
  [4974] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4223), 1,
      aux_sym_pattern_token1,
    ACTIONS(4321), 1,
      anon_sym_DQUOTE,
    STATE(169), 1,
      sym_local_command_value,
  [4987] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4125), 1,
      aux_sym_pattern_token1,
    ACTIONS(4323), 1,
      anon_sym_DQUOTE,
    STATE(168), 1,
      sym_local_forward_value,
  [5000] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4247), 1,
      aux_sym_pattern_token1,
    ACTIONS(4325), 1,
      anon_sym_DQUOTE,
    STATE(194), 1,
      sym_global_known_hosts_file_value,
  [5013] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_pattern_token1,
    ACTIONS(4327), 1,
      anon_sym_DQUOTE,
    STATE(184), 1,
      sym_hostbased_accepted_algorithms_value,
  [5026] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4113), 1,
      aux_sym_pattern_token1,
    ACTIONS(4329), 1,
      anon_sym_DQUOTE,
    STATE(166), 1,
      sym_log_verbose_value,
  [5039] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_pattern_token1,
    ACTIONS(4331), 1,
      anon_sym_DQUOTE,
    STATE(165), 1,
      sym_macs_value,
  [5052] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4069), 1,
      aux_sym_pattern_token1,
    ACTIONS(4333), 1,
      anon_sym_DQUOTE,
    STATE(186), 1,
      sym_gssapi_kex_algorithms_value,
  [5065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_number,
    ACTIONS(4335), 1,
      anon_sym_DQUOTE,
    STATE(163), 1,
      sym_number_of_password_prompts_value,
  [5078] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3981), 1,
      aux_sym_pattern_token1,
    ACTIONS(4337), 1,
      anon_sym_DQUOTE,
    STATE(188), 1,
      sym_gssapi_server_identity_value,
  [5091] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4107), 1,
      aux_sym_pattern_token1,
    ACTIONS(4339), 1,
      anon_sym_DQUOTE,
    STATE(159), 1,
      sym_permit_remote_open_value,
  [5104] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4289), 1,
      aux_sym_pattern_token1,
    ACTIONS(4341), 1,
      anon_sym_DQUOTE,
    STATE(192), 1,
      sym_gssapi_client_identity_value,
  [5117] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4235), 1,
      aux_sym_pattern_token1,
    ACTIONS(4343), 1,
      anon_sym_DQUOTE,
    STATE(158), 1,
      sym_pkcs11_provider_value,
  [5130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym_number,
    ACTIONS(4345), 1,
      anon_sym_DQUOTE,
    STATE(157), 1,
      sym_port_value,
  [5143] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3945), 1,
      aux_sym_pattern_token1,
    ACTIONS(4347), 1,
      anon_sym_DQUOTE,
    STATE(215), 1,
      sym_ciphers_value,
  [5156] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3993), 1,
      aux_sym_pattern_token1,
    ACTIONS(4349), 1,
      anon_sym_DQUOTE,
    STATE(156), 1,
      sym_preferred_authentications_value,
  [5169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(155), 1,
      sym_protocol_value,
    ACTIONS(3935), 2,
      anon_sym_1,
      anon_sym_2,
  [5180] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4057), 1,
      aux_sym_pattern_token1,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    STATE(154), 1,
      sym_proxy_command_value,
  [5193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym_time_format,
    ACTIONS(4353), 1,
      anon_sym_DQUOTE,
    STATE(197), 1,
      sym_forward_x11_timeout_value,
  [5206] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4087), 1,
      aux_sym_pattern_token1,
    ACTIONS(4355), 1,
      anon_sym_DQUOTE,
    STATE(153), 1,
      sym_proxy_jump_value,
  [5219] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4143), 1,
      aux_sym_pattern_token1,
    ACTIONS(4357), 1,
      anon_sym_DQUOTE,
    STATE(199), 1,
      sym_forward_agent_value,
  [5232] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4199), 1,
      aux_sym_pattern_token1,
    ACTIONS(4359), 1,
      anon_sym_DQUOTE,
    STATE(151), 1,
      sym_pubkey_accepted_algorithms_value,
  [5245] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4081), 1,
      aux_sym_pattern_token1,
    ACTIONS(4361), 1,
      anon_sym_DQUOTE,
    STATE(150), 1,
      sym_pubkey_accepted_key_types_value,
  [5258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(201), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3917), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [5269] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4277), 1,
      aux_sym_pattern_token1,
    ACTIONS(4363), 1,
      anon_sym_DQUOTE,
    STATE(148), 1,
      sym_rekey_limit_value,
  [5282] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    STATE(203), 1,
      sym_escape_char_value,
    ACTIONS(3927), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [5293] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4271), 1,
      aux_sym_pattern_token1,
    ACTIONS(4365), 1,
      anon_sym_DQUOTE,
    STATE(147), 1,
      sym_remote_command_value,
  [5306] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4253), 1,
      aux_sym_pattern_token1,
    ACTIONS(4367), 1,
      anon_sym_DQUOTE,
    STATE(146), 1,
      sym_remote_forward_value,
  [5319] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4031), 1,
      aux_sym_pattern_token1,
    ACTIONS(4369), 1,
      anon_sym_DQUOTE,
    STATE(206), 1,
      sym_dynamic_forward_value,
  [5332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4229), 1,
      sym_number,
    ACTIONS(4371), 1,
      anon_sym_DQUOTE,
    STATE(235), 1,
      sym_required_rsa_size_value,
  [5345] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4217), 1,
      aux_sym_pattern_token1,
    ACTIONS(4373), 1,
      anon_sym_DQUOTE,
    STATE(143), 1,
      sym_revoked_host_keys_value,
  [5358] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3939), 1,
      aux_sym_pattern_token1,
    ACTIONS(4375), 1,
      anon_sym_DQUOTE,
    STATE(182), 1,
      sym_host_key_algorithms_value,
  [5371] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4005), 1,
      aux_sym_pattern_token1,
    ACTIONS(4377), 1,
      anon_sym_DQUOTE,
    STATE(208), 1,
      sym_control_path_value,
  [5384] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4205), 1,
      aux_sym_pattern_token1,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE,
    STATE(142), 1,
      sym_security_key_provider_value,
  [5397] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4193), 1,
      aux_sym_pattern_token1,
    ACTIONS(4381), 1,
      anon_sym_DQUOTE,
    STATE(141), 1,
      sym_send_env_value,
  [5410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 1,
      sym_number,
    ACTIONS(4383), 1,
      anon_sym_DQUOTE,
    STATE(210), 1,
      sym_connect_timeout_value,
  [5423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      sym_number,
    ACTIONS(4385), 1,
      anon_sym_DQUOTE,
    STATE(140), 1,
      sym_server_alive_count_max_value,
  [5436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      sym_number,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    STATE(211), 1,
      sym_connection_attempts_value,
  [5449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      sym_number,
    ACTIONS(4389), 1,
      anon_sym_DQUOTE,
    STATE(139), 1,
      sym_server_alive_interval_value,
  [5462] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_pattern_token1,
    ACTIONS(4391), 1,
      anon_sym_DQUOTE,
    STATE(137), 1,
      sym_set_env_value,
  [5475] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3951), 1,
      aux_sym_pattern_token1,
    ACTIONS(4393), 1,
      anon_sym_DQUOTE,
    STATE(214), 1,
      sym_cipher_value,
  [5488] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym_pattern_token1,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    STATE(227), 1,
      sym_bind_interface_value,
  [5501] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4131), 1,
      aux_sym_pattern_token1,
    ACTIONS(4397), 1,
      anon_sym_DQUOTE,
    STATE(135), 1,
      sym_stream_local_bind_mask_value,
  [5514] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4101), 1,
      aux_sym_pattern_token1,
    ACTIONS(4399), 1,
      anon_sym_DQUOTE,
    STATE(220), 1,
      sym_certificate_file_value,
  [5527] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4211), 1,
      aux_sym_pattern_token1,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    STATE(221), 1,
      sym_ca_signature_algorithms_value,
  [5540] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4093), 1,
      aux_sym_pattern_token1,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    STATE(129), 1,
      sym_tag_value,
  [5553] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(3969), 1,
      aux_sym_pattern_token1,
    ACTIONS(4405), 1,
      anon_sym_DQUOTE,
    STATE(222), 1,
      sym_canonicalize_permitted_cnames_value,
  [5566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 1,
      sym_number,
    ACTIONS(4407), 1,
      anon_sym_DQUOTE,
    STATE(223), 1,
      sym_canonicalize_max_dots_value,
  [5579] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4119), 1,
      aux_sym_pattern_token1,
    ACTIONS(4409), 1,
      anon_sym_DQUOTE,
    STATE(127), 1,
      sym_tunnel_device_value,
  [5592] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4011), 1,
      aux_sym_pattern_token1,
    ACTIONS(4411), 1,
      anon_sym_DQUOTE,
    STATE(226), 1,
      sym_canonical_domains_value,
  [5605] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4063), 1,
      aux_sym_pattern_token1,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    STATE(123), 1,
      sym_user_value,
  [5618] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4037), 1,
      aux_sym_pattern_token1,
    ACTIONS(4415), 1,
      anon_sym_DQUOTE,
    STATE(228), 1,
      sym_bind_address_value,
  [5631] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4051), 1,
      aux_sym_pattern_token1,
    ACTIONS(4417), 1,
      anon_sym_DQUOTE,
    STATE(122), 1,
      sym_user_known_hosts_file_value,
  [5644] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4301), 1,
      aux_sym_pattern_token1,
    STATE(118), 1,
      sym_host_value,
    STATE(177), 1,
      sym_pattern,
  [5657] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4301), 1,
      aux_sym_pattern_token1,
    STATE(117), 1,
      sym_match_value,
    STATE(240), 1,
      sym_pattern,
  [5670] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4301), 1,
      aux_sym_pattern_token1,
    STATE(144), 1,
      sym_host_value,
    STATE(177), 1,
      sym_pattern,
  [5683] = 4,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4045), 1,
      aux_sym_pattern_token1,
    ACTIONS(4419), 1,
      anon_sym_DQUOTE,
    STATE(119), 1,
      sym_xauth_location_value,
  [5696] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    STATE(90), 1,
      sym_escape_char_value,
    ACTIONS(3927), 2,
      anon_sym_none,
      aux_sym_escape_char_value_token1,
  [5707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(88), 1,
      sym_fingerprint_hash_value,
    ACTIONS(3917), 2,
      anon_sym_md5,
      anon_sym_sha256,
  [5718] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4421), 1,
      aux_sym_host_token2,
    ACTIONS(4423), 1,
      anon_sym_EQ,
  [5728] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4425), 1,
      aux_sym_pattern_token1,
    STATE(228), 1,
      sym_bind_address_value,
  [5738] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4427), 1,
      aux_sym_pattern_token1,
    STATE(33), 1,
      sym_remote_forward_value,
  [5748] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4429), 1,
      aux_sym_host_token2,
    ACTIONS(4431), 1,
      anon_sym_EQ,
  [5758] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4433), 1,
      aux_sym_pattern_token1,
    STATE(34), 1,
      sym_remote_command_value,
  [5768] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4435), 1,
      aux_sym_host_token2,
    ACTIONS(4437), 1,
      anon_sym_EQ,
  [5778] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4439), 1,
      aux_sym_pattern_token1,
    STATE(35), 1,
      sym_rekey_limit_value,
  [5788] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4441), 1,
      aux_sym_host_token2,
    ACTIONS(4443), 1,
      anon_sym_EQ,
  [5798] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4445), 1,
      aux_sym_pattern_token1,
    STATE(37), 1,
      sym_pubkey_accepted_key_types_value,
  [5808] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4447), 1,
      aux_sym_host_token2,
    ACTIONS(4449), 1,
      anon_sym_EQ,
  [5818] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4451), 1,
      aux_sym_pattern_token1,
    STATE(38), 1,
      sym_pubkey_accepted_algorithms_value,
  [5828] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4453), 1,
      aux_sym_host_token2,
    ACTIONS(4455), 1,
      anon_sym_EQ,
  [5838] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4457), 1,
      aux_sym_pattern_token1,
    STATE(40), 1,
      sym_proxy_jump_value,
  [5848] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4459), 1,
      aux_sym_host_token2,
    ACTIONS(4461), 1,
      anon_sym_EQ,
  [5858] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4463), 1,
      aux_sym_pattern_token1,
    STATE(41), 1,
      sym_proxy_command_value,
  [5868] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4465), 1,
      aux_sym_host_token2,
    ACTIONS(4467), 1,
      anon_sym_EQ,
  [5878] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4469), 1,
      aux_sym_host_token2,
    ACTIONS(4471), 1,
      anon_sym_EQ,
  [5888] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym_pattern_token1,
    STATE(43), 1,
      sym_preferred_authentications_value,
  [5898] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4475), 1,
      aux_sym_host_token2,
    ACTIONS(4477), 1,
      anon_sym_EQ,
  [5908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym_number,
    STATE(44), 1,
      sym_port_value,
  [5918] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4479), 1,
      aux_sym_host_token2,
    ACTIONS(4481), 1,
      anon_sym_EQ,
  [5928] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4483), 1,
      aux_sym_pattern_token1,
    STATE(45), 1,
      sym_pkcs11_provider_value,
  [5938] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4485), 1,
      aux_sym_host_token2,
    ACTIONS(4487), 1,
      anon_sym_EQ,
  [5948] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4489), 1,
      aux_sym_pattern_token1,
    STATE(46), 1,
      sym_permit_remote_open_value,
  [5958] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4491), 1,
      aux_sym_host_token2,
    ACTIONS(4493), 1,
      anon_sym_EQ,
  [5968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_number,
    STATE(50), 1,
      sym_number_of_password_prompts_value,
  [5978] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4495), 1,
      aux_sym_host_token2,
    ACTIONS(4497), 1,
      anon_sym_EQ,
  [5988] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4499), 1,
      aux_sym_pattern_token1,
    STATE(52), 1,
      sym_macs_value,
  [5998] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4501), 1,
      aux_sym_host_token2,
    ACTIONS(4503), 1,
      anon_sym_EQ,
  [6008] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4505), 1,
      aux_sym_pattern_token1,
    STATE(53), 1,
      sym_log_verbose_value,
  [6018] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4507), 1,
      aux_sym_host_token2,
    ACTIONS(4509), 1,
      anon_sym_EQ,
  [6028] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4511), 1,
      aux_sym_pattern_token1,
    STATE(55), 1,
      sym_local_forward_value,
  [6038] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4513), 1,
      aux_sym_host_token2,
    ACTIONS(4515), 1,
      anon_sym_EQ,
  [6048] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4517), 1,
      aux_sym_pattern_token1,
    STATE(56), 1,
      sym_local_command_value,
  [6058] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4519), 1,
      aux_sym_host_token2,
    ACTIONS(4521), 1,
      anon_sym_EQ,
  [6068] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4523), 1,
      aux_sym_pattern_token1,
    STATE(57), 1,
      sym_known_hosts_command_value,
  [6078] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4525), 1,
      aux_sym_host_token2,
    ACTIONS(4527), 1,
      anon_sym_EQ,
  [6088] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4529), 1,
      aux_sym_pattern_token1,
    STATE(58), 1,
      sym_kex_algorithms_value,
  [6098] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4531), 1,
      aux_sym_host_token2,
    ACTIONS(4533), 1,
      anon_sym_EQ,
  [6108] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4535), 1,
      aux_sym_pattern_token1,
    STATE(59), 1,
      sym_kbd_interactive_devices_value,
  [6118] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4537), 1,
      aux_sym_host_token2,
    ACTIONS(4539), 1,
      anon_sym_EQ,
  [6128] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4541), 1,
      aux_sym_pattern_token1,
    STATE(62), 1,
      sym_include_value,
  [6138] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4543), 1,
      aux_sym_host_token2,
    ACTIONS(4545), 1,
      anon_sym_EQ,
  [6148] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4547), 1,
      aux_sym_pattern_token1,
    STATE(63), 1,
      sym_ignore_unknown_value,
  [6158] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4549), 1,
      aux_sym_host_token2,
    ACTIONS(4551), 1,
      anon_sym_EQ,
  [6168] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4553), 1,
      aux_sym_pattern_token1,
    STATE(64), 1,
      sym_identity_file_value,
  [6178] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4555), 1,
      aux_sym_host_token2,
    ACTIONS(4557), 1,
      anon_sym_EQ,
  [6188] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4559), 1,
      aux_sym_pattern_token1,
    STATE(65), 1,
      sym_identity_agent_value,
  [6198] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4561), 1,
      aux_sym_host_token2,
    ACTIONS(4563), 1,
      anon_sym_EQ,
  [6208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 1,
      sym_number,
    STATE(108), 1,
      sym_canonicalize_max_dots_value,
  [6218] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4565), 1,
      aux_sym_host_token2,
    ACTIONS(4567), 1,
      anon_sym_EQ,
  [6228] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4569), 1,
      aux_sym_pattern_token1,
    STATE(68), 1,
      sym_host_key_alias_value,
  [6238] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4571), 1,
      aux_sym_host_token2,
    ACTIONS(4573), 1,
      anon_sym_EQ,
  [6248] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4575), 1,
      aux_sym_pattern_token1,
    STATE(69), 1,
      sym_host_key_algorithms_value,
  [6258] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4577), 1,
      aux_sym_host_token2,
    ACTIONS(4579), 1,
      anon_sym_EQ,
  [6268] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_pattern_token1,
    STATE(71), 1,
      sym_hostbased_accepted_algorithms_value,
  [6278] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4583), 1,
      aux_sym_host_token2,
    ACTIONS(4585), 1,
      anon_sym_EQ,
  [6288] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4587), 1,
      aux_sym_pattern_token1,
    STATE(73), 1,
      sym_gssapi_kex_algorithms_value,
  [6298] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_host_token2,
    ACTIONS(4591), 1,
      anon_sym_EQ,
  [6308] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4593), 1,
      aux_sym_pattern_token1,
    STATE(75), 1,
      sym_gssapi_server_identity_value,
  [6318] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4595), 1,
      aux_sym_host_token2,
    ACTIONS(4597), 1,
      anon_sym_EQ,
  [6328] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4599), 1,
      aux_sym_pattern_token1,
    STATE(79), 1,
      sym_gssapi_client_identity_value,
  [6338] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4601), 1,
      aux_sym_host_token2,
    ACTIONS(4603), 1,
      anon_sym_EQ,
  [6348] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4605), 1,
      aux_sym_pattern_token1,
    STATE(81), 1,
      sym_global_known_hosts_file_value,
  [6358] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4607), 1,
      aux_sym_host_token2,
    ACTIONS(4609), 1,
      anon_sym_EQ,
  [6368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym_time_format,
    STATE(84), 1,
      sym_forward_x11_timeout_value,
  [6378] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4611), 1,
      aux_sym_host_token2,
    ACTIONS(4613), 1,
      anon_sym_EQ,
  [6388] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4615), 1,
      aux_sym_pattern_token1,
    STATE(86), 1,
      sym_forward_agent_value,
  [6398] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_host_token2,
    ACTIONS(4619), 1,
      anon_sym_EQ,
  [6408] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_host_token2,
    ACTIONS(4623), 1,
      anon_sym_EQ,
  [6418] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4625), 1,
      aux_sym_host_token2,
    ACTIONS(4627), 1,
      anon_sym_EQ,
  [6428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4229), 1,
      sym_number,
    STATE(31), 1,
      sym_required_rsa_size_value,
  [6438] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4629), 1,
      aux_sym_host_token2,
    ACTIONS(4631), 1,
      anon_sym_EQ,
  [6448] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4633), 1,
      aux_sym_pattern_token1,
    STATE(93), 1,
      sym_dynamic_forward_value,
  [6458] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4635), 1,
      aux_sym_host_token2,
    ACTIONS(4637), 1,
      anon_sym_EQ,
  [6468] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4639), 1,
      aux_sym_pattern_token1,
    STATE(95), 1,
      sym_control_path_value,
  [6478] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4641), 1,
      aux_sym_host_token2,
    ACTIONS(4643), 1,
      anon_sym_EQ,
  [6488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 1,
      sym_number,
    STATE(97), 1,
      sym_connect_timeout_value,
  [6498] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4645), 1,
      aux_sym_host_token2,
    ACTIONS(4647), 1,
      anon_sym_EQ,
  [6508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      sym_number,
    STATE(98), 1,
      sym_connection_attempts_value,
  [6518] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4649), 1,
      aux_sym_host_token2,
    ACTIONS(4651), 1,
      anon_sym_EQ,
  [6528] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4653), 1,
      aux_sym_pattern_token1,
    STATE(101), 1,
      sym_cipher_value,
  [6538] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4655), 1,
      aux_sym_host_token2,
    ACTIONS(4657), 1,
      anon_sym_EQ,
  [6548] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4659), 1,
      aux_sym_pattern_token1,
    STATE(102), 1,
      sym_ciphers_value,
  [6558] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4661), 1,
      aux_sym_host_token2,
    ACTIONS(4663), 1,
      anon_sym_EQ,
  [6568] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4575), 1,
      aux_sym_pattern_token1,
    STATE(182), 1,
      sym_host_key_algorithms_value,
  [6578] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4665), 1,
      aux_sym_host_token2,
    ACTIONS(4667), 1,
      anon_sym_EQ,
  [6588] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4669), 1,
      aux_sym_pattern_token1,
    STATE(105), 1,
      sym_certificate_file_value,
  [6598] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4671), 1,
      aux_sym_host_token2,
    ACTIONS(4673), 1,
      anon_sym_EQ,
  [6608] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4675), 1,
      aux_sym_pattern_token1,
    STATE(106), 1,
      sym_ca_signature_algorithms_value,
  [6618] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4677), 1,
      aux_sym_host_token2,
    ACTIONS(4679), 1,
      anon_sym_EQ,
  [6628] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4681), 1,
      aux_sym_pattern_token1,
    STATE(107), 1,
      sym_canonicalize_permitted_cnames_value,
  [6638] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4683), 1,
      aux_sym_host_token2,
    ACTIONS(4685), 1,
      anon_sym_EQ,
  [6648] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4687), 1,
      aux_sym_host_token2,
    ACTIONS(4689), 1,
      anon_sym_EQ,
  [6658] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4691), 1,
      aux_sym_host_token2,
    ACTIONS(4693), 1,
      anon_sym_EQ,
  [6668] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4695), 1,
      aux_sym_pattern_token1,
    STATE(111), 1,
      sym_canonical_domains_value,
  [6678] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4697), 1,
      aux_sym_host_token2,
    ACTIONS(4699), 1,
      anon_sym_EQ,
  [6688] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4701), 1,
      aux_sym_pattern_token1,
    STATE(112), 1,
      sym_bind_interface_value,
  [6698] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4703), 1,
      aux_sym_host_token2,
    ACTIONS(4705), 1,
      anon_sym_EQ,
  [6708] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4425), 1,
      aux_sym_pattern_token1,
    STATE(113), 1,
      sym_bind_address_value,
  [6718] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4707), 1,
      aux_sym_host_token2,
    ACTIONS(4709), 1,
      anon_sym_EQ,
  [6728] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4711), 1,
      aux_sym_pattern_token1,
    STATE(30), 1,
      sym_revoked_host_keys_value,
  [6738] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4713), 1,
      aux_sym_host_token2,
    ACTIONS(4715), 1,
      anon_sym_EQ,
  [6748] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4717), 1,
      aux_sym_host_token2,
    ACTIONS(4719), 1,
      anon_sym_EQ,
  [6758] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4721), 1,
      aux_sym_host_token2,
    ACTIONS(4723), 1,
      anon_sym_EQ,
  [6768] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4725), 1,
      aux_sym_pattern_token1,
    STATE(29), 1,
      sym_security_key_provider_value,
  [6778] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4727), 1,
      aux_sym_host_token2,
    ACTIONS(4729), 1,
      anon_sym_EQ,
  [6788] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4731), 1,
      aux_sym_pattern_token1,
    STATE(119), 1,
      sym_xauth_location_value,
  [6798] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4733), 1,
      aux_sym_host_token2,
    ACTIONS(4735), 1,
      anon_sym_EQ,
  [6808] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4711), 1,
      aux_sym_pattern_token1,
    STATE(143), 1,
      sym_revoked_host_keys_value,
  [6818] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4737), 1,
      aux_sym_host_token2,
    ACTIONS(4739), 1,
      anon_sym_EQ,
  [6828] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4741), 1,
      aux_sym_pattern_token1,
    STATE(122), 1,
      sym_user_known_hosts_file_value,
  [6838] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4743), 1,
      aux_sym_host_token2,
    ACTIONS(4745), 1,
      anon_sym_EQ,
  [6848] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4747), 1,
      aux_sym_host_token2,
    ACTIONS(4749), 1,
      anon_sym_EQ,
  [6858] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4751), 1,
      aux_sym_host_token2,
    ACTIONS(4753), 1,
      anon_sym_EQ,
  [6868] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4755), 1,
      aux_sym_pattern_token1,
    STATE(28), 1,
      sym_send_env_value,
  [6878] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4757), 1,
      aux_sym_host_token2,
    ACTIONS(4759), 1,
      anon_sym_EQ,
  [6888] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4761), 1,
      aux_sym_host_token2,
    ACTIONS(4763), 1,
      anon_sym_EQ,
  [6898] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4765), 1,
      aux_sym_host_token2,
    ACTIONS(4767), 1,
      anon_sym_EQ,
  [6908] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4769), 1,
      aux_sym_pattern_token1,
    STATE(123), 1,
      sym_user_value,
  [6918] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4771), 1,
      aux_sym_host_token2,
    ACTIONS(4773), 1,
      anon_sym_EQ,
  [6928] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4775), 1,
      aux_sym_host_token2,
    ACTIONS(4777), 1,
      anon_sym_EQ,
  [6938] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4701), 1,
      aux_sym_pattern_token1,
    STATE(227), 1,
      sym_bind_interface_value,
  [6948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      sym_number,
    STATE(237), 1,
      sym_server_alive_count_max_value,
  [6958] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4695), 1,
      aux_sym_pattern_token1,
    STATE(226), 1,
      sym_canonical_domains_value,
  [6968] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4779), 1,
      aux_sym_pattern_token1,
    STATE(127), 1,
      sym_tunnel_device_value,
  [6978] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4781), 1,
      aux_sym_host_token2,
    ACTIONS(4783), 1,
      anon_sym_EQ,
  [6988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      sym_number,
    STATE(26), 1,
      sym_server_alive_interval_value,
  [6998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 1,
      sym_number,
    STATE(223), 1,
      sym_canonicalize_max_dots_value,
  [7008] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4785), 1,
      aux_sym_host_token2,
    ACTIONS(4787), 1,
      anon_sym_EQ,
  [7018] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4681), 1,
      aux_sym_pattern_token1,
    STATE(222), 1,
      sym_canonicalize_permitted_cnames_value,
  [7028] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4789), 1,
      aux_sym_pattern_token1,
    STATE(129), 1,
      sym_tag_value,
  [7038] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4791), 1,
      aux_sym_pattern_token1,
    STATE(67), 1,
      sym_hostname_value,
  [7048] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4793), 1,
      aux_sym_host_token2,
    ACTIONS(4795), 1,
      anon_sym_EQ,
  [7058] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4675), 1,
      aux_sym_pattern_token1,
    STATE(221), 1,
      sym_ca_signature_algorithms_value,
  [7068] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_pattern_token1,
    STATE(22), 1,
      sym_stream_local_bind_mask_value,
  [7078] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4669), 1,
      aux_sym_pattern_token1,
    STATE(220), 1,
      sym_certificate_file_value,
  [7088] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4799), 1,
      aux_sym_host_token2,
    ACTIONS(4801), 1,
      anon_sym_EQ,
  [7098] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4569), 1,
      aux_sym_pattern_token1,
    STATE(181), 1,
      sym_host_key_alias_value,
  [7108] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_pattern_token1,
    STATE(135), 1,
      sym_stream_local_bind_mask_value,
  [7118] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_host_token2,
    ACTIONS(4805), 1,
      anon_sym_EQ,
  [7128] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4789), 1,
      aux_sym_pattern_token1,
    STATE(16), 1,
      sym_tag_value,
  [7138] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4659), 1,
      aux_sym_pattern_token1,
    STATE(215), 1,
      sym_ciphers_value,
  [7148] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4807), 1,
      aux_sym_host_token2,
    ACTIONS(4809), 1,
      anon_sym_EQ,
  [7158] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4653), 1,
      aux_sym_pattern_token1,
    STATE(214), 1,
      sym_cipher_value,
  [7168] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_pattern_token1,
    STATE(137), 1,
      sym_set_env_value,
  [7178] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_pattern_token1,
    STATE(24), 1,
      sym_set_env_value,
  [7188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      sym_number,
    STATE(139), 1,
      sym_server_alive_interval_value,
  [7198] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4813), 1,
      aux_sym_host_token2,
    ACTIONS(4815), 1,
      anon_sym_EQ,
  [7208] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4817), 1,
      aux_sym_host_token2,
    ACTIONS(4819), 1,
      anon_sym_EQ,
  [7218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      sym_number,
    STATE(211), 1,
      sym_connection_attempts_value,
  [7228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      sym_number,
    STATE(140), 1,
      sym_server_alive_count_max_value,
  [7238] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4821), 1,
      aux_sym_host_token2,
    ACTIONS(4823), 1,
      anon_sym_EQ,
  [7248] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4769), 1,
      aux_sym_pattern_token1,
    STATE(236), 1,
      sym_user_value,
  [7258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 1,
      sym_number,
    STATE(210), 1,
      sym_connect_timeout_value,
  [7268] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4755), 1,
      aux_sym_pattern_token1,
    STATE(141), 1,
      sym_send_env_value,
  [7278] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4825), 1,
      aux_sym_host_token2,
    ACTIONS(4827), 1,
      anon_sym_EQ,
  [7288] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4725), 1,
      aux_sym_pattern_token1,
    STATE(142), 1,
      sym_security_key_provider_value,
  [7298] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4741), 1,
      aux_sym_pattern_token1,
    STATE(218), 1,
      sym_user_known_hosts_file_value,
  [7308] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_host_token2,
    ACTIONS(4831), 1,
      anon_sym_EQ,
  [7318] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4639), 1,
      aux_sym_pattern_token1,
    STATE(208), 1,
      sym_control_path_value,
  [7328] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4731), 1,
      aux_sym_pattern_token1,
    STATE(299), 1,
      sym_xauth_location_value,
  [7338] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4833), 1,
      aux_sym_host_token2,
    ACTIONS(4835), 1,
      anon_sym_EQ,
  [7348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4229), 1,
      sym_number,
    STATE(235), 1,
      sym_required_rsa_size_value,
  [7358] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4837), 1,
      aux_sym_host_token2,
    ACTIONS(4839), 1,
      anon_sym_EQ,
  [7368] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4841), 1,
      aux_sym_host_token2,
    ACTIONS(4843), 1,
      anon_sym_EQ,
  [7378] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4633), 1,
      aux_sym_pattern_token1,
    STATE(206), 1,
      sym_dynamic_forward_value,
  [7388] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4427), 1,
      aux_sym_pattern_token1,
    STATE(146), 1,
      sym_remote_forward_value,
  [7398] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4845), 1,
      aux_sym_host_token2,
    ACTIONS(4847), 1,
      anon_sym_EQ,
  [7408] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4433), 1,
      aux_sym_pattern_token1,
    STATE(147), 1,
      sym_remote_command_value,
  [7418] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4849), 1,
      aux_sym_host_token2,
    ACTIONS(4851), 1,
      anon_sym_EQ,
  [7428] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4853), 1,
      aux_sym_host_token2,
    ACTIONS(4855), 1,
      anon_sym_EQ,
  [7438] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4439), 1,
      aux_sym_pattern_token1,
    STATE(148), 1,
      sym_rekey_limit_value,
  [7448] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4857), 1,
      aux_sym_host_token2,
    ACTIONS(4859), 1,
      anon_sym_EQ,
  [7458] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4861), 1,
      aux_sym_host_token2,
    ACTIONS(4863), 1,
      anon_sym_EQ,
  [7468] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4445), 1,
      aux_sym_pattern_token1,
    STATE(150), 1,
      sym_pubkey_accepted_key_types_value,
  [7478] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4865), 1,
      aux_sym_host_token2,
    ACTIONS(4867), 1,
      anon_sym_EQ,
  [7488] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4451), 1,
      aux_sym_pattern_token1,
    STATE(151), 1,
      sym_pubkey_accepted_algorithms_value,
  [7498] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4779), 1,
      aux_sym_pattern_token1,
    STATE(14), 1,
      sym_tunnel_device_value,
  [7508] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4869), 1,
      aux_sym_host_token2,
    ACTIONS(4871), 1,
      anon_sym_EQ,
  [7518] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4615), 1,
      aux_sym_pattern_token1,
    STATE(199), 1,
      sym_forward_agent_value,
  [7528] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4457), 1,
      aux_sym_pattern_token1,
    STATE(153), 1,
      sym_proxy_jump_value,
  [7538] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4873), 1,
      aux_sym_host_token2,
    ACTIONS(4875), 1,
      anon_sym_EQ,
  [7548] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_host_token2,
    ACTIONS(4879), 1,
      anon_sym_EQ,
  [7558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym_time_format,
    STATE(197), 1,
      sym_forward_x11_timeout_value,
  [7568] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4463), 1,
      aux_sym_pattern_token1,
    STATE(154), 1,
      sym_proxy_command_value,
  [7578] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4881), 1,
      aux_sym_host_token2,
    ACTIONS(4883), 1,
      anon_sym_EQ,
  [7588] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4885), 1,
      aux_sym_host_token2,
    ACTIONS(4887), 1,
      anon_sym_EQ,
  [7598] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym_pattern_token1,
    STATE(156), 1,
      sym_preferred_authentications_value,
  [7608] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4889), 1,
      aux_sym_host_token2,
    ACTIONS(4891), 1,
      anon_sym_EQ,
  [7618] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4893), 1,
      aux_sym_host_token2,
    ACTIONS(4895), 1,
      anon_sym_EQ,
  [7628] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4605), 1,
      aux_sym_pattern_token1,
    STATE(194), 1,
      sym_global_known_hosts_file_value,
  [7638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym_number,
    STATE(157), 1,
      sym_port_value,
  [7648] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4897), 1,
      aux_sym_host_token2,
    ACTIONS(4899), 1,
      anon_sym_EQ,
  [7658] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4483), 1,
      aux_sym_pattern_token1,
    STATE(158), 1,
      sym_pkcs11_provider_value,
  [7668] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4901), 1,
      aux_sym_host_token2,
    ACTIONS(4903), 1,
      anon_sym_EQ,
  [7678] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4905), 1,
      aux_sym_host_token2,
    ACTIONS(4907), 1,
      anon_sym_EQ,
  [7688] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4599), 1,
      aux_sym_pattern_token1,
    STATE(192), 1,
      sym_gssapi_client_identity_value,
  [7698] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4489), 1,
      aux_sym_pattern_token1,
    STATE(159), 1,
      sym_permit_remote_open_value,
  [7708] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4909), 1,
      aux_sym_host_token2,
    ACTIONS(4911), 1,
      anon_sym_EQ,
  [7718] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4913), 1,
      aux_sym_host_token2,
    ACTIONS(4915), 1,
      anon_sym_EQ,
  [7728] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4593), 1,
      aux_sym_pattern_token1,
    STATE(188), 1,
      sym_gssapi_server_identity_value,
  [7738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_number,
    STATE(163), 1,
      sym_number_of_password_prompts_value,
  [7748] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4917), 1,
      aux_sym_host_token2,
    ACTIONS(4919), 1,
      anon_sym_EQ,
  [7758] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4921), 1,
      aux_sym_host_token2,
    ACTIONS(4923), 1,
      anon_sym_EQ,
  [7768] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4587), 1,
      aux_sym_pattern_token1,
    STATE(186), 1,
      sym_gssapi_kex_algorithms_value,
  [7778] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4499), 1,
      aux_sym_pattern_token1,
    STATE(165), 1,
      sym_macs_value,
  [7788] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4925), 1,
      aux_sym_host_token2,
    ACTIONS(4927), 1,
      anon_sym_EQ,
  [7798] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4505), 1,
      aux_sym_pattern_token1,
    STATE(166), 1,
      sym_log_verbose_value,
  [7808] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4929), 1,
      aux_sym_host_token2,
    ACTIONS(4931), 1,
      anon_sym_EQ,
  [7818] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4933), 1,
      aux_sym_host_token2,
    ACTIONS(4935), 1,
      anon_sym_EQ,
  [7828] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_pattern_token1,
    STATE(184), 1,
      sym_hostbased_accepted_algorithms_value,
  [7838] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4937), 1,
      aux_sym_host_token2,
    ACTIONS(4939), 1,
      anon_sym_EQ,
  [7848] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4511), 1,
      aux_sym_pattern_token1,
    STATE(168), 1,
      sym_local_forward_value,
  [7858] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4941), 1,
      aux_sym_host_token2,
    ACTIONS(4943), 1,
      anon_sym_EQ,
  [7868] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4517), 1,
      aux_sym_pattern_token1,
    STATE(169), 1,
      sym_local_command_value,
  [7878] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4945), 1,
      aux_sym_host_token2,
    ACTIONS(4947), 1,
      anon_sym_EQ,
  [7888] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4523), 1,
      aux_sym_pattern_token1,
    STATE(170), 1,
      sym_known_hosts_command_value,
  [7898] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4949), 1,
      aux_sym_host_token2,
    ACTIONS(4951), 1,
      anon_sym_EQ,
  [7908] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4529), 1,
      aux_sym_pattern_token1,
    STATE(171), 1,
      sym_kex_algorithms_value,
  [7918] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym_host_token2,
    ACTIONS(4955), 1,
      anon_sym_EQ,
  [7928] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4535), 1,
      aux_sym_pattern_token1,
    STATE(172), 1,
      sym_kbd_interactive_devices_value,
  [7938] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4957), 1,
      aux_sym_host_token2,
    ACTIONS(4959), 1,
      anon_sym_EQ,
  [7948] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4541), 1,
      aux_sym_pattern_token1,
    STATE(175), 1,
      sym_include_value,
  [7958] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym_host_token2,
    ACTIONS(4963), 1,
      anon_sym_EQ,
  [7968] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4547), 1,
      aux_sym_pattern_token1,
    STATE(176), 1,
      sym_ignore_unknown_value,
  [7978] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_host_token2,
    ACTIONS(4967), 1,
      anon_sym_EQ,
  [7988] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4553), 1,
      aux_sym_pattern_token1,
    STATE(10), 1,
      sym_identity_file_value,
  [7998] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4969), 1,
      aux_sym_host_token2,
    ACTIONS(4971), 1,
      anon_sym_EQ,
  [8008] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4559), 1,
      aux_sym_pattern_token1,
    STATE(178), 1,
      sym_identity_agent_value,
  [8018] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4973), 1,
      aux_sym_host_token2,
    ACTIONS(4975), 1,
      anon_sym_EQ,
  [8028] = 3,
    ACTIONS(3901), 1,
      sym_comment,
    ACTIONS(4791), 1,
      aux_sym_pattern_token1,
    STATE(180), 1,
      sym_hostname_value,
  [8038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 1,
      ts_builtin_sym_end,
  [8045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_EQ,
  [8052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_EQ,
  [8059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4983), 1,
      sym_time_format,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(805)] = 0,
  [SMALL_STATE(806)] = 42,
  [SMALL_STATE(807)] = 81,
  [SMALL_STATE(808)] = 117,
  [SMALL_STATE(809)] = 153,
  [SMALL_STATE(810)] = 179,
  [SMALL_STATE(811)] = 202,
  [SMALL_STATE(812)] = 222,
  [SMALL_STATE(813)] = 248,
  [SMALL_STATE(814)] = 268,
  [SMALL_STATE(815)] = 294,
  [SMALL_STATE(816)] = 317,
  [SMALL_STATE(817)] = 340,
  [SMALL_STATE(818)] = 360,
  [SMALL_STATE(819)] = 380,
  [SMALL_STATE(820)] = 400,
  [SMALL_STATE(821)] = 422,
  [SMALL_STATE(822)] = 442,
  [SMALL_STATE(823)] = 466,
  [SMALL_STATE(824)] = 489,
  [SMALL_STATE(825)] = 514,
  [SMALL_STATE(826)] = 535,
  [SMALL_STATE(827)] = 556,
  [SMALL_STATE(828)] = 577,
  [SMALL_STATE(829)] = 596,
  [SMALL_STATE(830)] = 618,
  [SMALL_STATE(831)] = 640,
  [SMALL_STATE(832)] = 662,
  [SMALL_STATE(833)] = 684,
  [SMALL_STATE(834)] = 704,
  [SMALL_STATE(835)] = 726,
  [SMALL_STATE(836)] = 748,
  [SMALL_STATE(837)] = 770,
  [SMALL_STATE(838)] = 792,
  [SMALL_STATE(839)] = 814,
  [SMALL_STATE(840)] = 836,
  [SMALL_STATE(841)] = 858,
  [SMALL_STATE(842)] = 880,
  [SMALL_STATE(843)] = 902,
  [SMALL_STATE(844)] = 924,
  [SMALL_STATE(845)] = 944,
  [SMALL_STATE(846)] = 966,
  [SMALL_STATE(847)] = 982,
  [SMALL_STATE(848)] = 1004,
  [SMALL_STATE(849)] = 1026,
  [SMALL_STATE(850)] = 1048,
  [SMALL_STATE(851)] = 1070,
  [SMALL_STATE(852)] = 1092,
  [SMALL_STATE(853)] = 1114,
  [SMALL_STATE(854)] = 1132,
  [SMALL_STATE(855)] = 1154,
  [SMALL_STATE(856)] = 1170,
  [SMALL_STATE(857)] = 1192,
  [SMALL_STATE(858)] = 1214,
  [SMALL_STATE(859)] = 1236,
  [SMALL_STATE(860)] = 1258,
  [SMALL_STATE(861)] = 1278,
  [SMALL_STATE(862)] = 1300,
  [SMALL_STATE(863)] = 1318,
  [SMALL_STATE(864)] = 1340,
  [SMALL_STATE(865)] = 1362,
  [SMALL_STATE(866)] = 1380,
  [SMALL_STATE(867)] = 1402,
  [SMALL_STATE(868)] = 1424,
  [SMALL_STATE(869)] = 1442,
  [SMALL_STATE(870)] = 1464,
  [SMALL_STATE(871)] = 1486,
  [SMALL_STATE(872)] = 1508,
  [SMALL_STATE(873)] = 1530,
  [SMALL_STATE(874)] = 1549,
  [SMALL_STATE(875)] = 1568,
  [SMALL_STATE(876)] = 1587,
  [SMALL_STATE(877)] = 1606,
  [SMALL_STATE(878)] = 1625,
  [SMALL_STATE(879)] = 1644,
  [SMALL_STATE(880)] = 1663,
  [SMALL_STATE(881)] = 1682,
  [SMALL_STATE(882)] = 1701,
  [SMALL_STATE(883)] = 1720,
  [SMALL_STATE(884)] = 1739,
  [SMALL_STATE(885)] = 1758,
  [SMALL_STATE(886)] = 1777,
  [SMALL_STATE(887)] = 1796,
  [SMALL_STATE(888)] = 1815,
  [SMALL_STATE(889)] = 1834,
  [SMALL_STATE(890)] = 1853,
  [SMALL_STATE(891)] = 1872,
  [SMALL_STATE(892)] = 1887,
  [SMALL_STATE(893)] = 1906,
  [SMALL_STATE(894)] = 1925,
  [SMALL_STATE(895)] = 1940,
  [SMALL_STATE(896)] = 1959,
  [SMALL_STATE(897)] = 1978,
  [SMALL_STATE(898)] = 1997,
  [SMALL_STATE(899)] = 2016,
  [SMALL_STATE(900)] = 2035,
  [SMALL_STATE(901)] = 2054,
  [SMALL_STATE(902)] = 2073,
  [SMALL_STATE(903)] = 2092,
  [SMALL_STATE(904)] = 2109,
  [SMALL_STATE(905)] = 2126,
  [SMALL_STATE(906)] = 2145,
  [SMALL_STATE(907)] = 2164,
  [SMALL_STATE(908)] = 2183,
  [SMALL_STATE(909)] = 2202,
  [SMALL_STATE(910)] = 2219,
  [SMALL_STATE(911)] = 2238,
  [SMALL_STATE(912)] = 2257,
  [SMALL_STATE(913)] = 2276,
  [SMALL_STATE(914)] = 2291,
  [SMALL_STATE(915)] = 2308,
  [SMALL_STATE(916)] = 2327,
  [SMALL_STATE(917)] = 2342,
  [SMALL_STATE(918)] = 2361,
  [SMALL_STATE(919)] = 2377,
  [SMALL_STATE(920)] = 2393,
  [SMALL_STATE(921)] = 2409,
  [SMALL_STATE(922)] = 2425,
  [SMALL_STATE(923)] = 2441,
  [SMALL_STATE(924)] = 2457,
  [SMALL_STATE(925)] = 2473,
  [SMALL_STATE(926)] = 2489,
  [SMALL_STATE(927)] = 2505,
  [SMALL_STATE(928)] = 2521,
  [SMALL_STATE(929)] = 2537,
  [SMALL_STATE(930)] = 2553,
  [SMALL_STATE(931)] = 2569,
  [SMALL_STATE(932)] = 2585,
  [SMALL_STATE(933)] = 2601,
  [SMALL_STATE(934)] = 2617,
  [SMALL_STATE(935)] = 2633,
  [SMALL_STATE(936)] = 2649,
  [SMALL_STATE(937)] = 2665,
  [SMALL_STATE(938)] = 2681,
  [SMALL_STATE(939)] = 2699,
  [SMALL_STATE(940)] = 2715,
  [SMALL_STATE(941)] = 2731,
  [SMALL_STATE(942)] = 2747,
  [SMALL_STATE(943)] = 2763,
  [SMALL_STATE(944)] = 2779,
  [SMALL_STATE(945)] = 2795,
  [SMALL_STATE(946)] = 2811,
  [SMALL_STATE(947)] = 2827,
  [SMALL_STATE(948)] = 2843,
  [SMALL_STATE(949)] = 2859,
  [SMALL_STATE(950)] = 2875,
  [SMALL_STATE(951)] = 2891,
  [SMALL_STATE(952)] = 2907,
  [SMALL_STATE(953)] = 2923,
  [SMALL_STATE(954)] = 2943,
  [SMALL_STATE(955)] = 2959,
  [SMALL_STATE(956)] = 2975,
  [SMALL_STATE(957)] = 2991,
  [SMALL_STATE(958)] = 3007,
  [SMALL_STATE(959)] = 3021,
  [SMALL_STATE(960)] = 3037,
  [SMALL_STATE(961)] = 3053,
  [SMALL_STATE(962)] = 3069,
  [SMALL_STATE(963)] = 3087,
  [SMALL_STATE(964)] = 3103,
  [SMALL_STATE(965)] = 3119,
  [SMALL_STATE(966)] = 3135,
  [SMALL_STATE(967)] = 3151,
  [SMALL_STATE(968)] = 3167,
  [SMALL_STATE(969)] = 3183,
  [SMALL_STATE(970)] = 3199,
  [SMALL_STATE(971)] = 3215,
  [SMALL_STATE(972)] = 3229,
  [SMALL_STATE(973)] = 3243,
  [SMALL_STATE(974)] = 3259,
  [SMALL_STATE(975)] = 3275,
  [SMALL_STATE(976)] = 3291,
  [SMALL_STATE(977)] = 3307,
  [SMALL_STATE(978)] = 3323,
  [SMALL_STATE(979)] = 3339,
  [SMALL_STATE(980)] = 3355,
  [SMALL_STATE(981)] = 3371,
  [SMALL_STATE(982)] = 3387,
  [SMALL_STATE(983)] = 3403,
  [SMALL_STATE(984)] = 3419,
  [SMALL_STATE(985)] = 3435,
  [SMALL_STATE(986)] = 3451,
  [SMALL_STATE(987)] = 3467,
  [SMALL_STATE(988)] = 3481,
  [SMALL_STATE(989)] = 3497,
  [SMALL_STATE(990)] = 3513,
  [SMALL_STATE(991)] = 3529,
  [SMALL_STATE(992)] = 3545,
  [SMALL_STATE(993)] = 3561,
  [SMALL_STATE(994)] = 3577,
  [SMALL_STATE(995)] = 3596,
  [SMALL_STATE(996)] = 3611,
  [SMALL_STATE(997)] = 3626,
  [SMALL_STATE(998)] = 3639,
  [SMALL_STATE(999)] = 3656,
  [SMALL_STATE(1000)] = 3675,
  [SMALL_STATE(1001)] = 3692,
  [SMALL_STATE(1002)] = 3709,
  [SMALL_STATE(1003)] = 3722,
  [SMALL_STATE(1004)] = 3739,
  [SMALL_STATE(1005)] = 3753,
  [SMALL_STATE(1006)] = 3769,
  [SMALL_STATE(1007)] = 3785,
  [SMALL_STATE(1008)] = 3801,
  [SMALL_STATE(1009)] = 3817,
  [SMALL_STATE(1010)] = 3833,
  [SMALL_STATE(1011)] = 3849,
  [SMALL_STATE(1012)] = 3865,
  [SMALL_STATE(1013)] = 3877,
  [SMALL_STATE(1014)] = 3893,
  [SMALL_STATE(1015)] = 3909,
  [SMALL_STATE(1016)] = 3925,
  [SMALL_STATE(1017)] = 3939,
  [SMALL_STATE(1018)] = 3955,
  [SMALL_STATE(1019)] = 3971,
  [SMALL_STATE(1020)] = 3983,
  [SMALL_STATE(1021)] = 3999,
  [SMALL_STATE(1022)] = 4015,
  [SMALL_STATE(1023)] = 4031,
  [SMALL_STATE(1024)] = 4047,
  [SMALL_STATE(1025)] = 4063,
  [SMALL_STATE(1026)] = 4079,
  [SMALL_STATE(1027)] = 4095,
  [SMALL_STATE(1028)] = 4109,
  [SMALL_STATE(1029)] = 4125,
  [SMALL_STATE(1030)] = 4141,
  [SMALL_STATE(1031)] = 4157,
  [SMALL_STATE(1032)] = 4173,
  [SMALL_STATE(1033)] = 4189,
  [SMALL_STATE(1034)] = 4205,
  [SMALL_STATE(1035)] = 4221,
  [SMALL_STATE(1036)] = 4237,
  [SMALL_STATE(1037)] = 4249,
  [SMALL_STATE(1038)] = 4265,
  [SMALL_STATE(1039)] = 4279,
  [SMALL_STATE(1040)] = 4295,
  [SMALL_STATE(1041)] = 4311,
  [SMALL_STATE(1042)] = 4327,
  [SMALL_STATE(1043)] = 4343,
  [SMALL_STATE(1044)] = 4359,
  [SMALL_STATE(1045)] = 4375,
  [SMALL_STATE(1046)] = 4391,
  [SMALL_STATE(1047)] = 4407,
  [SMALL_STATE(1048)] = 4423,
  [SMALL_STATE(1049)] = 4437,
  [SMALL_STATE(1050)] = 4453,
  [SMALL_STATE(1051)] = 4469,
  [SMALL_STATE(1052)] = 4485,
  [SMALL_STATE(1053)] = 4501,
  [SMALL_STATE(1054)] = 4517,
  [SMALL_STATE(1055)] = 4533,
  [SMALL_STATE(1056)] = 4549,
  [SMALL_STATE(1057)] = 4565,
  [SMALL_STATE(1058)] = 4581,
  [SMALL_STATE(1059)] = 4597,
  [SMALL_STATE(1060)] = 4613,
  [SMALL_STATE(1061)] = 4629,
  [SMALL_STATE(1062)] = 4645,
  [SMALL_STATE(1063)] = 4657,
  [SMALL_STATE(1064)] = 4673,
  [SMALL_STATE(1065)] = 4689,
  [SMALL_STATE(1066)] = 4705,
  [SMALL_STATE(1067)] = 4721,
  [SMALL_STATE(1068)] = 4737,
  [SMALL_STATE(1069)] = 4753,
  [SMALL_STATE(1070)] = 4769,
  [SMALL_STATE(1071)] = 4785,
  [SMALL_STATE(1072)] = 4801,
  [SMALL_STATE(1073)] = 4817,
  [SMALL_STATE(1074)] = 4833,
  [SMALL_STATE(1075)] = 4846,
  [SMALL_STATE(1076)] = 4857,
  [SMALL_STATE(1077)] = 4870,
  [SMALL_STATE(1078)] = 4883,
  [SMALL_STATE(1079)] = 4896,
  [SMALL_STATE(1080)] = 4909,
  [SMALL_STATE(1081)] = 4922,
  [SMALL_STATE(1082)] = 4935,
  [SMALL_STATE(1083)] = 4948,
  [SMALL_STATE(1084)] = 4961,
  [SMALL_STATE(1085)] = 4974,
  [SMALL_STATE(1086)] = 4987,
  [SMALL_STATE(1087)] = 5000,
  [SMALL_STATE(1088)] = 5013,
  [SMALL_STATE(1089)] = 5026,
  [SMALL_STATE(1090)] = 5039,
  [SMALL_STATE(1091)] = 5052,
  [SMALL_STATE(1092)] = 5065,
  [SMALL_STATE(1093)] = 5078,
  [SMALL_STATE(1094)] = 5091,
  [SMALL_STATE(1095)] = 5104,
  [SMALL_STATE(1096)] = 5117,
  [SMALL_STATE(1097)] = 5130,
  [SMALL_STATE(1098)] = 5143,
  [SMALL_STATE(1099)] = 5156,
  [SMALL_STATE(1100)] = 5169,
  [SMALL_STATE(1101)] = 5180,
  [SMALL_STATE(1102)] = 5193,
  [SMALL_STATE(1103)] = 5206,
  [SMALL_STATE(1104)] = 5219,
  [SMALL_STATE(1105)] = 5232,
  [SMALL_STATE(1106)] = 5245,
  [SMALL_STATE(1107)] = 5258,
  [SMALL_STATE(1108)] = 5269,
  [SMALL_STATE(1109)] = 5282,
  [SMALL_STATE(1110)] = 5293,
  [SMALL_STATE(1111)] = 5306,
  [SMALL_STATE(1112)] = 5319,
  [SMALL_STATE(1113)] = 5332,
  [SMALL_STATE(1114)] = 5345,
  [SMALL_STATE(1115)] = 5358,
  [SMALL_STATE(1116)] = 5371,
  [SMALL_STATE(1117)] = 5384,
  [SMALL_STATE(1118)] = 5397,
  [SMALL_STATE(1119)] = 5410,
  [SMALL_STATE(1120)] = 5423,
  [SMALL_STATE(1121)] = 5436,
  [SMALL_STATE(1122)] = 5449,
  [SMALL_STATE(1123)] = 5462,
  [SMALL_STATE(1124)] = 5475,
  [SMALL_STATE(1125)] = 5488,
  [SMALL_STATE(1126)] = 5501,
  [SMALL_STATE(1127)] = 5514,
  [SMALL_STATE(1128)] = 5527,
  [SMALL_STATE(1129)] = 5540,
  [SMALL_STATE(1130)] = 5553,
  [SMALL_STATE(1131)] = 5566,
  [SMALL_STATE(1132)] = 5579,
  [SMALL_STATE(1133)] = 5592,
  [SMALL_STATE(1134)] = 5605,
  [SMALL_STATE(1135)] = 5618,
  [SMALL_STATE(1136)] = 5631,
  [SMALL_STATE(1137)] = 5644,
  [SMALL_STATE(1138)] = 5657,
  [SMALL_STATE(1139)] = 5670,
  [SMALL_STATE(1140)] = 5683,
  [SMALL_STATE(1141)] = 5696,
  [SMALL_STATE(1142)] = 5707,
  [SMALL_STATE(1143)] = 5718,
  [SMALL_STATE(1144)] = 5728,
  [SMALL_STATE(1145)] = 5738,
  [SMALL_STATE(1146)] = 5748,
  [SMALL_STATE(1147)] = 5758,
  [SMALL_STATE(1148)] = 5768,
  [SMALL_STATE(1149)] = 5778,
  [SMALL_STATE(1150)] = 5788,
  [SMALL_STATE(1151)] = 5798,
  [SMALL_STATE(1152)] = 5808,
  [SMALL_STATE(1153)] = 5818,
  [SMALL_STATE(1154)] = 5828,
  [SMALL_STATE(1155)] = 5838,
  [SMALL_STATE(1156)] = 5848,
  [SMALL_STATE(1157)] = 5858,
  [SMALL_STATE(1158)] = 5868,
  [SMALL_STATE(1159)] = 5878,
  [SMALL_STATE(1160)] = 5888,
  [SMALL_STATE(1161)] = 5898,
  [SMALL_STATE(1162)] = 5908,
  [SMALL_STATE(1163)] = 5918,
  [SMALL_STATE(1164)] = 5928,
  [SMALL_STATE(1165)] = 5938,
  [SMALL_STATE(1166)] = 5948,
  [SMALL_STATE(1167)] = 5958,
  [SMALL_STATE(1168)] = 5968,
  [SMALL_STATE(1169)] = 5978,
  [SMALL_STATE(1170)] = 5988,
  [SMALL_STATE(1171)] = 5998,
  [SMALL_STATE(1172)] = 6008,
  [SMALL_STATE(1173)] = 6018,
  [SMALL_STATE(1174)] = 6028,
  [SMALL_STATE(1175)] = 6038,
  [SMALL_STATE(1176)] = 6048,
  [SMALL_STATE(1177)] = 6058,
  [SMALL_STATE(1178)] = 6068,
  [SMALL_STATE(1179)] = 6078,
  [SMALL_STATE(1180)] = 6088,
  [SMALL_STATE(1181)] = 6098,
  [SMALL_STATE(1182)] = 6108,
  [SMALL_STATE(1183)] = 6118,
  [SMALL_STATE(1184)] = 6128,
  [SMALL_STATE(1185)] = 6138,
  [SMALL_STATE(1186)] = 6148,
  [SMALL_STATE(1187)] = 6158,
  [SMALL_STATE(1188)] = 6168,
  [SMALL_STATE(1189)] = 6178,
  [SMALL_STATE(1190)] = 6188,
  [SMALL_STATE(1191)] = 6198,
  [SMALL_STATE(1192)] = 6208,
  [SMALL_STATE(1193)] = 6218,
  [SMALL_STATE(1194)] = 6228,
  [SMALL_STATE(1195)] = 6238,
  [SMALL_STATE(1196)] = 6248,
  [SMALL_STATE(1197)] = 6258,
  [SMALL_STATE(1198)] = 6268,
  [SMALL_STATE(1199)] = 6278,
  [SMALL_STATE(1200)] = 6288,
  [SMALL_STATE(1201)] = 6298,
  [SMALL_STATE(1202)] = 6308,
  [SMALL_STATE(1203)] = 6318,
  [SMALL_STATE(1204)] = 6328,
  [SMALL_STATE(1205)] = 6338,
  [SMALL_STATE(1206)] = 6348,
  [SMALL_STATE(1207)] = 6358,
  [SMALL_STATE(1208)] = 6368,
  [SMALL_STATE(1209)] = 6378,
  [SMALL_STATE(1210)] = 6388,
  [SMALL_STATE(1211)] = 6398,
  [SMALL_STATE(1212)] = 6408,
  [SMALL_STATE(1213)] = 6418,
  [SMALL_STATE(1214)] = 6428,
  [SMALL_STATE(1215)] = 6438,
  [SMALL_STATE(1216)] = 6448,
  [SMALL_STATE(1217)] = 6458,
  [SMALL_STATE(1218)] = 6468,
  [SMALL_STATE(1219)] = 6478,
  [SMALL_STATE(1220)] = 6488,
  [SMALL_STATE(1221)] = 6498,
  [SMALL_STATE(1222)] = 6508,
  [SMALL_STATE(1223)] = 6518,
  [SMALL_STATE(1224)] = 6528,
  [SMALL_STATE(1225)] = 6538,
  [SMALL_STATE(1226)] = 6548,
  [SMALL_STATE(1227)] = 6558,
  [SMALL_STATE(1228)] = 6568,
  [SMALL_STATE(1229)] = 6578,
  [SMALL_STATE(1230)] = 6588,
  [SMALL_STATE(1231)] = 6598,
  [SMALL_STATE(1232)] = 6608,
  [SMALL_STATE(1233)] = 6618,
  [SMALL_STATE(1234)] = 6628,
  [SMALL_STATE(1235)] = 6638,
  [SMALL_STATE(1236)] = 6648,
  [SMALL_STATE(1237)] = 6658,
  [SMALL_STATE(1238)] = 6668,
  [SMALL_STATE(1239)] = 6678,
  [SMALL_STATE(1240)] = 6688,
  [SMALL_STATE(1241)] = 6698,
  [SMALL_STATE(1242)] = 6708,
  [SMALL_STATE(1243)] = 6718,
  [SMALL_STATE(1244)] = 6728,
  [SMALL_STATE(1245)] = 6738,
  [SMALL_STATE(1246)] = 6748,
  [SMALL_STATE(1247)] = 6758,
  [SMALL_STATE(1248)] = 6768,
  [SMALL_STATE(1249)] = 6778,
  [SMALL_STATE(1250)] = 6788,
  [SMALL_STATE(1251)] = 6798,
  [SMALL_STATE(1252)] = 6808,
  [SMALL_STATE(1253)] = 6818,
  [SMALL_STATE(1254)] = 6828,
  [SMALL_STATE(1255)] = 6838,
  [SMALL_STATE(1256)] = 6848,
  [SMALL_STATE(1257)] = 6858,
  [SMALL_STATE(1258)] = 6868,
  [SMALL_STATE(1259)] = 6878,
  [SMALL_STATE(1260)] = 6888,
  [SMALL_STATE(1261)] = 6898,
  [SMALL_STATE(1262)] = 6908,
  [SMALL_STATE(1263)] = 6918,
  [SMALL_STATE(1264)] = 6928,
  [SMALL_STATE(1265)] = 6938,
  [SMALL_STATE(1266)] = 6948,
  [SMALL_STATE(1267)] = 6958,
  [SMALL_STATE(1268)] = 6968,
  [SMALL_STATE(1269)] = 6978,
  [SMALL_STATE(1270)] = 6988,
  [SMALL_STATE(1271)] = 6998,
  [SMALL_STATE(1272)] = 7008,
  [SMALL_STATE(1273)] = 7018,
  [SMALL_STATE(1274)] = 7028,
  [SMALL_STATE(1275)] = 7038,
  [SMALL_STATE(1276)] = 7048,
  [SMALL_STATE(1277)] = 7058,
  [SMALL_STATE(1278)] = 7068,
  [SMALL_STATE(1279)] = 7078,
  [SMALL_STATE(1280)] = 7088,
  [SMALL_STATE(1281)] = 7098,
  [SMALL_STATE(1282)] = 7108,
  [SMALL_STATE(1283)] = 7118,
  [SMALL_STATE(1284)] = 7128,
  [SMALL_STATE(1285)] = 7138,
  [SMALL_STATE(1286)] = 7148,
  [SMALL_STATE(1287)] = 7158,
  [SMALL_STATE(1288)] = 7168,
  [SMALL_STATE(1289)] = 7178,
  [SMALL_STATE(1290)] = 7188,
  [SMALL_STATE(1291)] = 7198,
  [SMALL_STATE(1292)] = 7208,
  [SMALL_STATE(1293)] = 7218,
  [SMALL_STATE(1294)] = 7228,
  [SMALL_STATE(1295)] = 7238,
  [SMALL_STATE(1296)] = 7248,
  [SMALL_STATE(1297)] = 7258,
  [SMALL_STATE(1298)] = 7268,
  [SMALL_STATE(1299)] = 7278,
  [SMALL_STATE(1300)] = 7288,
  [SMALL_STATE(1301)] = 7298,
  [SMALL_STATE(1302)] = 7308,
  [SMALL_STATE(1303)] = 7318,
  [SMALL_STATE(1304)] = 7328,
  [SMALL_STATE(1305)] = 7338,
  [SMALL_STATE(1306)] = 7348,
  [SMALL_STATE(1307)] = 7358,
  [SMALL_STATE(1308)] = 7368,
  [SMALL_STATE(1309)] = 7378,
  [SMALL_STATE(1310)] = 7388,
  [SMALL_STATE(1311)] = 7398,
  [SMALL_STATE(1312)] = 7408,
  [SMALL_STATE(1313)] = 7418,
  [SMALL_STATE(1314)] = 7428,
  [SMALL_STATE(1315)] = 7438,
  [SMALL_STATE(1316)] = 7448,
  [SMALL_STATE(1317)] = 7458,
  [SMALL_STATE(1318)] = 7468,
  [SMALL_STATE(1319)] = 7478,
  [SMALL_STATE(1320)] = 7488,
  [SMALL_STATE(1321)] = 7498,
  [SMALL_STATE(1322)] = 7508,
  [SMALL_STATE(1323)] = 7518,
  [SMALL_STATE(1324)] = 7528,
  [SMALL_STATE(1325)] = 7538,
  [SMALL_STATE(1326)] = 7548,
  [SMALL_STATE(1327)] = 7558,
  [SMALL_STATE(1328)] = 7568,
  [SMALL_STATE(1329)] = 7578,
  [SMALL_STATE(1330)] = 7588,
  [SMALL_STATE(1331)] = 7598,
  [SMALL_STATE(1332)] = 7608,
  [SMALL_STATE(1333)] = 7618,
  [SMALL_STATE(1334)] = 7628,
  [SMALL_STATE(1335)] = 7638,
  [SMALL_STATE(1336)] = 7648,
  [SMALL_STATE(1337)] = 7658,
  [SMALL_STATE(1338)] = 7668,
  [SMALL_STATE(1339)] = 7678,
  [SMALL_STATE(1340)] = 7688,
  [SMALL_STATE(1341)] = 7698,
  [SMALL_STATE(1342)] = 7708,
  [SMALL_STATE(1343)] = 7718,
  [SMALL_STATE(1344)] = 7728,
  [SMALL_STATE(1345)] = 7738,
  [SMALL_STATE(1346)] = 7748,
  [SMALL_STATE(1347)] = 7758,
  [SMALL_STATE(1348)] = 7768,
  [SMALL_STATE(1349)] = 7778,
  [SMALL_STATE(1350)] = 7788,
  [SMALL_STATE(1351)] = 7798,
  [SMALL_STATE(1352)] = 7808,
  [SMALL_STATE(1353)] = 7818,
  [SMALL_STATE(1354)] = 7828,
  [SMALL_STATE(1355)] = 7838,
  [SMALL_STATE(1356)] = 7848,
  [SMALL_STATE(1357)] = 7858,
  [SMALL_STATE(1358)] = 7868,
  [SMALL_STATE(1359)] = 7878,
  [SMALL_STATE(1360)] = 7888,
  [SMALL_STATE(1361)] = 7898,
  [SMALL_STATE(1362)] = 7908,
  [SMALL_STATE(1363)] = 7918,
  [SMALL_STATE(1364)] = 7928,
  [SMALL_STATE(1365)] = 7938,
  [SMALL_STATE(1366)] = 7948,
  [SMALL_STATE(1367)] = 7958,
  [SMALL_STATE(1368)] = 7968,
  [SMALL_STATE(1369)] = 7978,
  [SMALL_STATE(1370)] = 7988,
  [SMALL_STATE(1371)] = 7998,
  [SMALL_STATE(1372)] = 8008,
  [SMALL_STATE(1373)] = 8018,
  [SMALL_STATE(1374)] = 8028,
  [SMALL_STATE(1375)] = 8038,
  [SMALL_STATE(1376)] = 8045,
  [SMALL_STATE(1377)] = 8052,
  [SMALL_STATE(1378)] = 8059,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_client_config, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_client_config, 1, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1263),
  [245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1259),
  [251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1257),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1253),
  [260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1239),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1237),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1223),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1221),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1219),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1217),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1215),
  [317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1213),
  [320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1211),
  [323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1205),
  [332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1181),
  [368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1179),
  [371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1175),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1167),
  [389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1159),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1264),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1276),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1299),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1308),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1313),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1316),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1280),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1314),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_client_config_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0),
  [585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0), SHIFT_REPEAT(1377),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 2, 0, 0), SHIFT_REPEAT(1377),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 5, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 5, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 3, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 3, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 4, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 4, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__channel_timeout_value, 3, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__channel_timeout_value, 3, 0, 0),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 4, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 4, 0, 0),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 4, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 4, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 5, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 5, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 5, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 5, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 5, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 5, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 5, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 5, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 5, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 5, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 5, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 5, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 5, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 5, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 5, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 5, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 5, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 5, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 5, 0, 0),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 5, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 5, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 5, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 5, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 5, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 5, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 5, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 5, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 5, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 5, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 5, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 5, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 5, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 3, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 3, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 5, 0, 0),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 5, 0, 0),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 5, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 5, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 5, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 5, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 5, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 5, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 5, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 5, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 5, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 5, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 5, 0, 0),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 5, 0, 0),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 5, 0, 0),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 5, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 5, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 5, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 5, 0, 0),
  [787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 5, 0, 0),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 5, 0, 0),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 5, 0, 0),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 5, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 5, 0, 0),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 5, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 5, 0, 0),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 5, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 5, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 5, 0, 0),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 5, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 5, 0, 0),
  [823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 5, 0, 0),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 5, 0, 0),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 5, 0, 0),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 5, 0, 0),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 5, 0, 0),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 5, 0, 0),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 5, 0, 0),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 5, 0, 0),
  [847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 5, 0, 0),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 5, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 5, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 5, 0, 0),
  [859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 5, 0, 0),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 5, 0, 0),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 5, 0, 0),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 5, 0, 0),
  [871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 5, 0, 0),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 5, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 5, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 5, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 5, 0, 0),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 5, 0, 0),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 5, 0, 0),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 5, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 5, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 5, 0, 0),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 5, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 5, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 5, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 5, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 5, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 5, 0, 0),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 5, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 5, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 5, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 5, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 5, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 5, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 5, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 5, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 5, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 5, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 5, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 5, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 5, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 5, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 5, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 5, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 5, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 5, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 5, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 5, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 5, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 5, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 5, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 5, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 5, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 5, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 5, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 5, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 5, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 5, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 5, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 5, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 5, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 5, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 5, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 5, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 5, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 5, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 5, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 5, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 5, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 5, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 5, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 5, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 5, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 5, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 5, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 5, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 5, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 5, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 5, 0, 0),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 5, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 5, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 5, 0, 0),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 5, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 5, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 5, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 5, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 5, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 5, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 5, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 5, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 5, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 5, 0, 0),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 5, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 5, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 5, 0, 0),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 5, 0, 0),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 5, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 5, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 5, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 5, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 5, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 5, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 5, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 5, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 5, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 5, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 5, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 5, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 5, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 5, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 5, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 5, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 5, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 5, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 5, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 5, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 5, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 5, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 5, 0, 0),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 5, 0, 0),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 5, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 5, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 5, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 5, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 5, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 5, 0, 0),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 5, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 5, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 5, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 5, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 5, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 5, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 5, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 5, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 5, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 5, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 5, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 5, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 5, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 5, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 5, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 5, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 5, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 5, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 5, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 5, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 5, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 4, 0, 0),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 4, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 4, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 4, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 4, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 4, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 4, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 4, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 4, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 4, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 4, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 4, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 4, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 4, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 4, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 4, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 4, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 4, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 4, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 4, 0, 0),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 4, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 4, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 4, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 4, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 4, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 4, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 4, 0, 0),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 4, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 4, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 4, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 4, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 4, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 4, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 4, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 4, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 4, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 4, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 4, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 4, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 4, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 4, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 4, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 4, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 4, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 4, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 4, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 4, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 4, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 4, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 4, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 4, 0, 0),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 4, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 4, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 4, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 4, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 4, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 4, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 4, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 4, 0, 0),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 4, 0, 0),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 4, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 4, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 4, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 4, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 4, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 4, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 4, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 4, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 4, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 4, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 4, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 4, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 4, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 4, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 4, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 4, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 4, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 4, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 4, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 4, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 4, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 4, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 4, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 4, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 4, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 4, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 4, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 4, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 4, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 4, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 4, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 4, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 4, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 4, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 4, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 4, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 4, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 4, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 4, 0, 0),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 4, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 4, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 4, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 4, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 4, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 4, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 4, 0, 0),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 4, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 4, 0, 0),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 4, 0, 0),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 4, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 4, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 4, 0, 0),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 4, 0, 0),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 4, 0, 0),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 4, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 4, 0, 0),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_value, 1, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_value, 1, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 4, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 4, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 4, 0, 0),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 4, 0, 0),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 4, 0, 0),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 4, 0, 0),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 4, 0, 0),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 4, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 4, 0, 0),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 4, 0, 0),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 4, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 4, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 4, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 4, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 4, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 4, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 4, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 4, 0, 0),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 4, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 4, 0, 0),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 4, 0, 0),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 4, 0, 0),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 4, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 4, 0, 0),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 4, 0, 0),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 4, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 4, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 4, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 4, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 4, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 4, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 4, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 4, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 4, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 4, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 4, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 4, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 4, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 4, 0, 0),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 4, 0, 0),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 4, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 4, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 4, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 4, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 4, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 4, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 4, 0, 0),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 4, 0, 0),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 4, 0, 0),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 4, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 4, 0, 0),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 4, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 4, 0, 0),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 4, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 4, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 4, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 4, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 4, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 4, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 4, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 4, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 4, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 4, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 4, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 4, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 4, 0, 0),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 4, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 4, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 4, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 4, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 4, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 4, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 4, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 4, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 4, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 4, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 4, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 4, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 3, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 3, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 5, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 5, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 4, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 4, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 4, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 4, 0, 0),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 4, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 4, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 4, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 4, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 4, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 4, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 4, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 4, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 4, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 4, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 4, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 4, 0, 0),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 4, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 4, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 4, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 4, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 4, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 4, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 5, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 5, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 4, 0, 0),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 4, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 5, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 5, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 4, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 4, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 4, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 4, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 5, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 5, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 5, 0, 0),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 5, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 3, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 3, 0, 0),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location_value, 1, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location_value, 1, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_value, 1, 0, 1),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_value, 1, 0, 1),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 3, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 3, 0, 0),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 3, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 3, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key_value, 1, 0, 44),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key_value, 1, 0, 44),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent_value, 1, 0, 0),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent_value, 1, 0, 0),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 3, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 3, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 3, 0, 0),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 3, 0, 0),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns_value, 1, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns_value, 1, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family_value, 1, 0, 0),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family_value, 1, 0, 0),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 3, 0, 0),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 3, 0, 0),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 3, 0, 0),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 3, 0, 0),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file_value, 1, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file_value, 1, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode_value, 1, 0, 2),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode_value, 1, 0, 2),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 3, 0, 0),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 3, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address_value, 1, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address_value, 1, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 3, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 3, 0, 0),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_value, 1, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_value, 1, 0, 0),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 3, 0, 0),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 3, 0, 0),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface_value, 1, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface_value, 1, 0, 0),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 3, 0, 0),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 3, 0, 0),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming_value, 1, 0, 43),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming_value, 1, 0, 43),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 3, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 3, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains_value, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains_value, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 3, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 3, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain_value, 1, 0, 42),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain_value, 1, 0, 42),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 3, 0, 0),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 3, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 3, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 3, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys_value, 1, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys_value, 1, 0, 0),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local_value, 1, 0, 3),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local_value, 1, 0, 3),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 3, 0, 0),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 3, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname_value, 1, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname_value, 1, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 3, 0, 0),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 3, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device_value, 1, 0, 0),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device_value, 1, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 3, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 3, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots_value, 1, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots_value, 1, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 3, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 3, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_value, 1, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_value, 1, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 3, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 3, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames_value, 1, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames_value, 1, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 3, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 3, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_value, 1, 0, 0),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_value, 1, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 3, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 3, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms_value, 1, 0, 0),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms_value, 1, 0, 0),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 3, 0, 0),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 3, 0, 0),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive_value, 1, 0, 41),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive_value, 1, 0, 41),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 3, 0, 0),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 3, 0, 0),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file_value, 1, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file_value, 1, 0, 0),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 3, 0, 0),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 3, 0, 0),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive_value, 1, 0, 40),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive_value, 1, 0, 40),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 3, 0, 0),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 3, 0, 0),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 3, 0, 0),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 3, 0, 0),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility_value, 1, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility_value, 1, 0, 0),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication_value, 1, 0, 4),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication_value, 1, 0, 4),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 3, 0, 0),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 3, 0, 0),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 3, 0, 0),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 3, 0, 0),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking_value, 1, 0, 0),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking_value, 1, 0, 0),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 3, 0, 0),
  [2283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 3, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink_value, 1, 0, 39),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink_value, 1, 0, 39),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 5, 0, 0),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 5, 0, 0),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 3, 0, 0),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 3, 0, 0),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask_value, 1, 0, 0),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask_value, 1, 0, 0),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip_value, 1, 0, 5),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip_value, 1, 0, 5),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 3, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 3, 0, 0),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers_value, 1, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers_value, 1, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 3, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 3, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null_value, 1, 0, 38),
  [2329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null_value, 1, 0, 38),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 3, 0, 0),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 3, 0, 0),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher_value, 1, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher_value, 1, 0, 0),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 3, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 3, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env_value, 1, 0, 0),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env_value, 1, 0, 0),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 3, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 3, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 3, 0, 0),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 3, 0, 0),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type_value, 1, 0, 0),
  [2365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type_value, 1, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings_value, 1, 0, 6),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings_value, 1, 0, 6),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 3, 0, 0),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 3, 0, 0),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 3, 0, 0),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 3, 0, 0),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval_value, 1, 0, 37),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval_value, 1, 0, 37),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression_value, 1, 0, 7),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression_value, 1, 0, 7),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 3, 0, 0),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 3, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts_value, 1, 0, 8),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts_value, 1, 0, 8),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 3, 0, 0),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 3, 0, 0),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max_value, 1, 0, 36),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max_value, 1, 0, 36),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 3, 0, 0),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 3, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout_value, 1, 0, 9),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout_value, 1, 0, 9),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 3, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 3, 0, 0),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env_value, 1, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env_value, 1, 0, 0),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 3, 0, 0),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 3, 0, 0),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master_value, 1, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master_value, 1, 0, 0),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 3, 0, 0),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 3, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider_value, 1, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider_value, 1, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 3, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 3, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path_value, 1, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path_value, 1, 0, 0),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 3, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 3, 0, 0),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys_value, 1, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys_value, 1, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 3, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 3, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist_value, 1, 0, 10),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist_value, 1, 0, 10),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 3, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 3, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size_value, 1, 0, 35),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size_value, 1, 0, 35),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 3, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 3, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward_value, 1, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward_value, 1, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 3, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 3, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty_value, 1, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty_value, 1, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 3, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 3, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 3, 0, 0),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 3, 0, 0),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward_value, 1, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward_value, 1, 0, 0),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline_value, 1, 0, 11),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline_value, 1, 0, 11),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 3, 0, 0),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 3, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 3, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 3, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command_value, 1, 0, 0),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command_value, 1, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign_value, 1, 0, 12),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign_value, 1, 0, 12),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 3, 0, 0),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 3, 0, 0),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 3, 0, 0),
  [2559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 3, 0, 0),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit_value, 1, 0, 0),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit_value, 1, 0, 0),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char_value, 1, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char_value, 1, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 3, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 3, 0, 0),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 3, 0, 0),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 3, 0, 0),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication_value, 1, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication_value, 1, 0, 0),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure_value, 1, 0, 13),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure_value, 1, 0, 13),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 3, 0, 0),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 3, 0, 0),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 3, 0, 0),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 3, 0, 0),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types_value, 1, 0, 0),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types_value, 1, 0, 0),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash_value, 1, 0, 0),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash_value, 1, 0, 0),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 3, 0, 0),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 3, 0, 0),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 3, 0, 0),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 3, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms_value, 1, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms_value, 1, 0, 0),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication_value, 1, 0, 14),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication_value, 1, 0, 14),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 3, 0, 0),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 3, 0, 0),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent_value, 1, 0, 0),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent_value, 1, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 3, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 3, 0, 0),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass_value, 1, 0, 34),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass_value, 1, 0, 34),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 3, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 3, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 3, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 3, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump_value, 1, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump_value, 1, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_value, 1, 0, 15),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_value, 1, 0, 15),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 3, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 3, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout_value, 1, 0, 16),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout_value, 1, 0, 16),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 3, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 3, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command_value, 1, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command_value, 1, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 3, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 3, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 3, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 3, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_value, 1, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_value, 1, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted_value, 1, 0, 17),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted_value, 1, 0, 17),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 3, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 3, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 3, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 3, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications_value, 1, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications_value, 1, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports_value, 1, 0, 18),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports_value, 1, 0, 18),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 3, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 3, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file_value, 1, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file_value, 1, 0, 0),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 3, 0, 0),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 3, 0, 0),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port_value, 1, 0, 33),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port_value, 1, 0, 33),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 3, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 3, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 3, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 3, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider_value, 1, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider_value, 1, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication_value, 1, 0, 19),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication_value, 1, 0, 19),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 3, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 3, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity_value, 1, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity_value, 1, 0, 0),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 3, 0, 0),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 3, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open_value, 1, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open_value, 1, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 3, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 3, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 3, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 3, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command_value, 1, 0, 32),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command_value, 1, 0, 32),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials_value, 1, 0, 20),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials_value, 1, 0, 20),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 3, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 3, 0, 0),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 3, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 3, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication_value, 1, 0, 31),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication_value, 1, 0, 31),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange_value, 1, 0, 21),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange_value, 1, 0, 21),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 3, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 3, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 3, 0, 0),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 3, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing_value, 1, 0, 0),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing_value, 1, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey_value, 1, 0, 22),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey_value, 1, 0, 22),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 3, 0, 0),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 3, 0, 0),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity_value, 1, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity_value, 1, 0, 0),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 3, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 3, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts_value, 1, 0, 30),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts_value, 1, 0, 30),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 3, 0, 0),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 3, 0, 0),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 3, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 3, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost_value, 1, 0, 29),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost_value, 1, 0, 29),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns_value, 1, 0, 23),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns_value, 1, 0, 23),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 3, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 3, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms_value, 1, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms_value, 1, 0, 0),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 3, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 3, 0, 0),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs_value, 1, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs_value, 1, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 3, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 3, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 3, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 3, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose_value, 1, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose_value, 1, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts_value, 1, 0, 24),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts_value, 1, 0, 24),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 3, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 3, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms_value, 1, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms_value, 1, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 3, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 3, 0, 0),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level_value, 1, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level_value, 1, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 3, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 3, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_value, 1, 0, 0),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_value, 1, 0, 0),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms_value, 1, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms_value, 1, 0, 0),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication_value, 1, 0, 25),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication_value, 1, 0, 25),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 3, 0, 0),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 3, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms_value, 1, 0, 0),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms_value, 1, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command_value, 1, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command_value, 1, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 3, 0, 0),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 3, 0, 0),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 3, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 3, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias_value, 1, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias_value, 1, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos_value, 1, 0, 27),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos_value, 1, 0, 27),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward_value, 1, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward_value, 1, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 3, 0, 0),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 3, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname_value, 1, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname_value, 1, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 3, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 3, 0, 0),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 3, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 3, 0, 0),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 3, 0, 0),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 3, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command_value, 1, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command_value, 1, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 3, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 3, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only_value, 1, 0, 26),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only_value, 1, 0, 26),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 3, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 3, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent_value, 1, 0, 0),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent_value, 1, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication_value, 1, 0, 28),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication_value, 1, 0, 28),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 3, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 3, 0, 0),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 3, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 3, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file_value, 1, 0, 0),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file_value, 1, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices_value, 1, 0, 0),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices_value, 1, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 3, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 3, 0, 0),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 3, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 3, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown_value, 1, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown_value, 1, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 3, 0, 0),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 3, 0, 0),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 3, 0, 0),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 3, 0, 0),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xauth_location, 6, 0, 0),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xauth_location, 6, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visual_host_key, 6, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visual_host_key, 6, 0, 0),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verify_host_key_dns, 6, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verify_host_key_dns, 6, 0, 0),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_known_hosts_file, 6, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_known_hosts_file, 6, 0, 0),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user, 6, 0, 0),
  [3129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user, 6, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_roaming, 6, 0, 0),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_roaming, 6, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_keychain, 6, 0, 0),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_keychain, 6, 0, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_host_keys, 6, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_host_keys, 6, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel_device, 6, 0, 0),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel_device, 6, 0, 0),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tunnel, 6, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tunnel, 6, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 6, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 6, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keep_alive, 6, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keep_alive, 6, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tcp_keep_alive, 6, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tcp_keep_alive, 6, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_syslog_facility, 6, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_syslog_facility, 6, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strict_host_key_checking, 6, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strict_host_key_checking, 6, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_unlink, 6, 0, 0),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_unlink, 6, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stream_local_bind_mask, 6, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stream_local_bind_mask, 6, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stdin_null, 6, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stdin_null, 6, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_env, 6, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_env, 6, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_session_type, 6, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_session_type, 6, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_interval, 6, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_interval, 6, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_server_alive_count_max, 6, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_server_alive_count_max, 6, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_env, 6, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_env, 6, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_security_key_provider, 6, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_security_key_provider, 6, 0, 0),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoked_host_keys, 6, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoked_host_keys, 6, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_rsa_size, 6, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_required_rsa_size, 6, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_request_tty, 6, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_request_tty, 6, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_forward, 6, 0, 0),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_forward, 6, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_command, 6, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_command, 6, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rekey_limit, 6, 0, 0),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rekey_limit, 6, 0, 0),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_authentication, 6, 0, 0),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_authentication, 6, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_key_types, 6, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_key_types, 6, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pubkey_accepted_algorithms, 6, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pubkey_accepted_algorithms, 6, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_use_fdpass, 6, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_use_fdpass, 6, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_jump, 6, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_jump, 6, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proxy_command, 6, 0, 0),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proxy_command, 6, 0, 0),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol, 6, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol, 6, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preferred_authentications, 6, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preferred_authentications, 6, 0, 0),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_port, 6, 0, 0),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_port, 6, 0, 0),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pkcs11_provider, 6, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pkcs11_provider, 6, 0, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_remote_open, 6, 0, 0),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_remote_open, 6, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permit_local_command, 6, 0, 0),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_permit_local_command, 6, 0, 0),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_password_authentication, 6, 0, 0),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_password_authentication, 6, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_obscure_keystroke_timing, 6, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_obscure_keystroke_timing, 6, 0, 0),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_of_password_prompts, 6, 0, 0),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_of_password_prompts, 6, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_no_host_authentication_for_localhost, 6, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_no_host_authentication_for_localhost, 6, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macs, 6, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macs, 6, 0, 0),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_verbose, 6, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_verbose, 6, 0, 0),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_log_level, 6, 0, 0),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_log_level, 6, 0, 0),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_forward, 6, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_forward, 6, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_command, 6, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_command, 6, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_known_hosts_command, 6, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_known_hosts_command, 6, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kex_algorithms, 6, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kex_algorithms, 6, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_devices, 6, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_devices, 6, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kbd_interactive_authentication, 6, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kbd_interactive_authentication, 6, 0, 0),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ip_qos, 6, 0, 0),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ip_qos, 6, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 6, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 6, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ignore_unknown, 6, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ignore_unknown, 6, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_file, 6, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_file, 6, 0, 0),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identity_agent, 6, 0, 0),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identity_agent, 6, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identities_only, 6, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identities_only, 6, 0, 0),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostname, 6, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostname, 6, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_alias, 6, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_alias, 6, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_key_algorithms, 6, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_key_algorithms, 6, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_authentication, 6, 0, 0),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_authentication, 6, 0, 0),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hostbased_accepted_algorithms, 6, 0, 0),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hostbased_accepted_algorithms, 6, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_known_hosts, 6, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_known_hosts, 6, 0, 0),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_kex_algorithms, 6, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_kex_algorithms, 6, 0, 0),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_trust_dns, 6, 0, 0),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_trust_dns, 6, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_server_identity, 6, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_server_identity, 6, 0, 0),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_renewal_forces_rekey, 6, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_renewal_forces_rekey, 6, 0, 0),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_key_exchange, 6, 0, 0),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_key_exchange, 6, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_delegate_credentials, 6, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_delegate_credentials, 6, 0, 0),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_client_identity, 6, 0, 0),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_client_identity, 6, 0, 0),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gssapi_authentication, 6, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gssapi_authentication, 6, 0, 0),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_known_hosts_file, 6, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_known_hosts_file, 6, 0, 0),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gateway_ports, 6, 0, 0),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gateway_ports, 6, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_trusted, 6, 0, 0),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_trusted, 6, 0, 0),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11_timeout, 6, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11_timeout, 6, 0, 0),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_x11, 6, 0, 0),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_x11, 6, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_agent, 6, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_agent, 6, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fork_after_authentication, 6, 0, 0),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fork_after_authentication, 6, 0, 0),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fingerprint_hash, 6, 0, 0),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fingerprint_hash, 6, 0, 0),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_on_forward_failure, 6, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_on_forward_failure, 6, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_char, 6, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_char, 6, 0, 0),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_ssh_keysign, 6, 0, 0),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_ssh_keysign, 6, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enable_escape_commandline, 6, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enable_escape_commandline, 6, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_forward, 6, 0, 0),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_forward, 6, 0, 0),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_persist, 6, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_persist, 6, 0, 0),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_path, 6, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_path, 6, 0, 0),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_control_master, 6, 0, 0),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_control_master, 6, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connect_timeout, 6, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connect_timeout, 6, 0, 0),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_attempts, 6, 0, 0),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_attempts, 6, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compression, 6, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compression, 6, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clear_all_forwardings, 6, 0, 0),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clear_all_forwardings, 6, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cipher, 6, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cipher, 6, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ciphers, 6, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ciphers, 6, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_check_host_ip, 6, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_check_host_ip, 6, 0, 0),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout, 6, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_timeout, 6, 0, 0),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_challenge_response_authentication, 6, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_challenge_response_authentication, 6, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_certificate_file, 6, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_certificate_file, 6, 0, 0),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ca_signature_algorithms, 6, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ca_signature_algorithms, 6, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_permitted_cnames, 6, 0, 0),
  [3521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_permitted_cnames, 6, 0, 0),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_max_dots, 6, 0, 0),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_max_dots, 6, 0, 0),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_hostname, 6, 0, 0),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_hostname, 6, 0, 0),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonicalize_fallback_local, 6, 0, 0),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonicalize_fallback_local, 6, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_canonical_domains, 6, 0, 0),
  [3537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_canonical_domains, 6, 0, 0),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_interface, 6, 0, 0),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_interface, 6, 0, 0),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bind_address, 6, 0, 0),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bind_address, 6, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_batch_mode, 6, 0, 0),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_batch_mode, 6, 0, 0),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_family, 6, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_family, 6, 0, 0),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_keys_to_agent, 6, 0, 0),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_keys_to_agent, 6, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 6, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match, 6, 0, 0),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host, 6, 0, 0),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host, 6, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [4977] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_timeout_type, 1, 0, 0),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ssh_client_config(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
